#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 14840
#define LARGE_STATE_COUNT 300
#define SYMBOL_COUNT 718
#define ALIAS_COUNT 2
#define TOKEN_COUNT 408
#define EXTERNAL_TOKEN_COUNT 3
#define FIELD_COUNT 51
#define MAX_ALIAS_SEQUENCE_LENGTH 24
#define PRODUCTION_ID_COUNT 286

enum ts_symbol_identifiers {
  sym__identifier = 1,
  anon_sym_SEMI = 2,
  sym_keyword_select = 3,
  sym_keyword_delete = 4,
  sym_keyword_insert = 5,
  sym_keyword_replace = 6,
  sym_keyword_update = 7,
  sym_keyword_truncate = 8,
  sym_keyword_merge = 9,
  sym_keyword_show = 10,
  sym_keyword_into = 11,
  sym_keyword_overwrite = 12,
  sym_keyword_values = 13,
  sym_keyword_value = 14,
  sym_keyword_matched = 15,
  sym_keyword_set = 16,
  sym_keyword_from = 17,
  sym_keyword_left = 18,
  sym_keyword_right = 19,
  sym_keyword_inner = 20,
  sym_keyword_full = 21,
  sym_keyword_outer = 22,
  sym_keyword_cross = 23,
  sym_keyword_join = 24,
  sym_keyword_lateral = 25,
  sym_keyword_natural = 26,
  sym_keyword_on = 27,
  sym_keyword_off = 28,
  sym_keyword_where = 29,
  sym_keyword_order = 30,
  sym_keyword_group = 31,
  sym_keyword_partition = 32,
  sym_keyword_by = 33,
  sym_keyword_having = 34,
  sym_keyword_desc = 35,
  sym_keyword_asc = 36,
  sym_keyword_limit = 37,
  sym_keyword_offset = 38,
  sym_keyword_primary = 39,
  sym_keyword_create = 40,
  sym_keyword_alter = 41,
  sym_keyword_change = 42,
  sym_keyword_analyze = 43,
  sym_keyword_explain = 44,
  sym_keyword_verbose = 45,
  sym_keyword_modify = 46,
  sym_keyword_drop = 47,
  sym_keyword_add = 48,
  sym_keyword_table = 49,
  sym_keyword_tables = 50,
  sym_keyword_view = 51,
  sym_keyword_column = 52,
  sym_keyword_columns = 53,
  sym_keyword_materialized = 54,
  sym_keyword_tablespace = 55,
  sym_keyword_sequence = 56,
  sym_keyword_increment = 57,
  sym_keyword_minvalue = 58,
  sym_keyword_maxvalue = 59,
  sym_keyword_none = 60,
  sym_keyword_owned = 61,
  sym_keyword_start = 62,
  sym_keyword_restart = 63,
  sym_keyword_key = 64,
  sym_keyword_duplicate = 65,
  sym_keyword_as = 66,
  sym_keyword_distinct = 67,
  sym_keyword_constraint = 68,
  sym_keyword_filter = 69,
  sym_keyword_cast = 70,
  sym_keyword_separator = 71,
  sym_keyword_case = 72,
  sym_keyword_when = 73,
  sym_keyword_then = 74,
  sym_keyword_else = 75,
  sym_keyword_end = 76,
  sym_keyword_in = 77,
  sym_keyword_and = 78,
  sym_keyword_or = 79,
  sym_keyword_is = 80,
  sym_keyword_not = 81,
  sym_keyword_force = 82,
  sym_keyword_ignore = 83,
  sym_keyword_using = 84,
  sym_keyword_use = 85,
  sym_keyword_index = 86,
  sym_keyword_for = 87,
  sym_keyword_if = 88,
  sym_keyword_exists = 89,
  sym_keyword_auto_increment = 90,
  sym_keyword_generated = 91,
  sym_keyword_always = 92,
  sym_keyword_collate = 93,
  aux_sym_keyword_character_token1 = 94,
  sym_keyword_engine = 95,
  sym_keyword_default = 96,
  sym_keyword_cascade = 97,
  sym_keyword_restrict = 98,
  sym_keyword_with = 99,
  sym_keyword_without = 100,
  sym_keyword_no = 101,
  sym_keyword_data = 102,
  sym_keyword_type = 103,
  sym_keyword_rename = 104,
  sym_keyword_to = 105,
  sym_keyword_database = 106,
  sym_keyword_schema = 107,
  sym_keyword_owner = 108,
  sym_keyword_user = 109,
  sym_keyword_admin = 110,
  sym_keyword_password = 111,
  sym_keyword_encrypted = 112,
  sym_keyword_valid = 113,
  sym_keyword_until = 114,
  sym_keyword_connection = 115,
  sym_keyword_role = 116,
  sym_keyword_reset = 117,
  sym_keyword_temp = 118,
  sym_keyword_temporary = 119,
  sym_keyword_unlogged = 120,
  sym_keyword_logged = 121,
  sym_keyword_cycle = 122,
  sym_keyword_union = 123,
  sym_keyword_all = 124,
  sym_keyword_any = 125,
  sym_keyword_some = 126,
  sym_keyword_except = 127,
  sym_keyword_intersect = 128,
  sym_keyword_returning = 129,
  sym_keyword_begin = 130,
  sym_keyword_commit = 131,
  sym_keyword_rollback = 132,
  sym_keyword_transaction = 133,
  sym_keyword_over = 134,
  sym_keyword_nulls = 135,
  sym_keyword_first = 136,
  sym_keyword_after = 137,
  sym_keyword_before = 138,
  sym_keyword_last = 139,
  sym_keyword_window = 140,
  sym_keyword_range = 141,
  sym_keyword_rows = 142,
  sym_keyword_groups = 143,
  sym_keyword_between = 144,
  sym_keyword_unbounded = 145,
  sym_keyword_preceding = 146,
  sym_keyword_following = 147,
  sym_keyword_exclude = 148,
  sym_keyword_current = 149,
  sym_keyword_row = 150,
  sym_keyword_ties = 151,
  sym_keyword_others = 152,
  sym_keyword_only = 153,
  sym_keyword_unique = 154,
  sym_keyword_foreign = 155,
  sym_keyword_references = 156,
  sym_keyword_concurrently = 157,
  sym_keyword_btree = 158,
  sym_keyword_hash = 159,
  sym_keyword_gist = 160,
  sym_keyword_spgist = 161,
  sym_keyword_gin = 162,
  sym_keyword_brin = 163,
  aux_sym_keyword_like_token1 = 164,
  aux_sym_keyword_like_token2 = 165,
  sym_keyword_similar = 166,
  sym_keyword_unsigned = 167,
  sym_keyword_zerofill = 168,
  sym_keyword_conflict = 169,
  sym_keyword_do = 170,
  sym_keyword_nothing = 171,
  sym_keyword_high_priority = 172,
  sym_keyword_low_priority = 173,
  sym_keyword_delayed = 174,
  sym_keyword_recursive = 175,
  sym_keyword_cascaded = 176,
  sym_keyword_local = 177,
  sym_keyword_current_timestamp = 178,
  sym_keyword_check = 179,
  sym_keyword_option = 180,
  sym_keyword_vacuum = 181,
  sym_keyword_wait = 182,
  sym_keyword_nowait = 183,
  sym_keyword_attribute = 184,
  sym_keyword_authorization = 185,
  sym_keyword_action = 186,
  sym_keyword_extension = 187,
  sym_keyword_copy = 188,
  sym_keyword_stdin = 189,
  sym_keyword_freeze = 190,
  sym_keyword_escape = 191,
  sym_keyword_encoding = 192,
  sym_keyword_force_quote = 193,
  sym_keyword_quote = 194,
  sym_keyword_force_null = 195,
  sym_keyword_force_not_null = 196,
  sym_keyword_header = 197,
  sym_keyword_match = 198,
  sym_keyword_program = 199,
  sym_keyword_plain = 200,
  sym_keyword_extended = 201,
  sym_keyword_main = 202,
  sym_keyword_storage = 203,
  sym_keyword_compression = 204,
  sym_keyword_trigger = 205,
  sym_keyword_function = 206,
  sym_keyword_returns = 207,
  sym_keyword_return = 208,
  sym_keyword_setof = 209,
  sym_keyword_atomic = 210,
  sym_keyword_declare = 211,
  sym_keyword_language = 212,
  sym_keyword_immutable = 213,
  sym_keyword_stable = 214,
  sym_keyword_volatile = 215,
  sym_keyword_leakproof = 216,
  sym_keyword_parallel = 217,
  sym_keyword_safe = 218,
  sym_keyword_unsafe = 219,
  sym_keyword_restricted = 220,
  sym_keyword_called = 221,
  sym_keyword_input = 222,
  sym_keyword_strict = 223,
  sym_keyword_cost = 224,
  sym_keyword_support = 225,
  sym_keyword_definer = 226,
  sym_keyword_invoker = 227,
  sym_keyword_security = 228,
  sym_keyword_version = 229,
  sym_keyword_out = 230,
  sym_keyword_inout = 231,
  sym_keyword_variadic = 232,
  sym_keyword_ordinality = 233,
  sym_keyword_session = 234,
  sym_keyword_isolation = 235,
  sym_keyword_level = 236,
  sym_keyword_serializable = 237,
  sym_keyword_repeatable = 238,
  sym_keyword_read = 239,
  sym_keyword_write = 240,
  sym_keyword_committed = 241,
  sym_keyword_uncommitted = 242,
  sym_keyword_deferrable = 243,
  sym_keyword_names = 244,
  sym_keyword_zone = 245,
  sym_keyword_immediate = 246,
  sym_keyword_deferred = 247,
  sym_keyword_constraints = 248,
  sym_keyword_snapshot = 249,
  sym_keyword_characteristics = 250,
  sym_keyword_follows = 251,
  sym_keyword_precedes = 252,
  sym_keyword_each = 253,
  sym_keyword_instead = 254,
  sym_keyword_of = 255,
  sym_keyword_initially = 256,
  sym_keyword_old = 257,
  sym_keyword_new = 258,
  sym_keyword_referencing = 259,
  sym_keyword_statement = 260,
  sym_keyword_execute = 261,
  sym_keyword_procedure = 262,
  sym_keyword_external = 263,
  sym_keyword_stored = 264,
  sym_keyword_virtual = 265,
  sym_keyword_cached = 266,
  sym_keyword_uncached = 267,
  sym_keyword_replication = 268,
  sym_keyword_tblproperties = 269,
  sym_keyword_compute = 270,
  sym_keyword_stats = 271,
  sym_keyword_statistics = 272,
  sym_keyword_optimize = 273,
  sym_keyword_rewrite = 274,
  sym_keyword_bin_pack = 275,
  sym_keyword_incremental = 276,
  sym_keyword_location = 277,
  sym_keyword_partitioned = 278,
  sym_keyword_comment = 279,
  sym_keyword_sort = 280,
  sym_keyword_format = 281,
  sym_keyword_delimited = 282,
  sym_keyword_delimiter = 283,
  sym_keyword_fields = 284,
  sym_keyword_terminated = 285,
  sym_keyword_escaped = 286,
  sym_keyword_lines = 287,
  sym_keyword_cache = 288,
  sym_keyword_metadata = 289,
  sym_keyword_noscan = 290,
  sym_keyword_parquet = 291,
  sym_keyword_rcfile = 292,
  sym_keyword_csv = 293,
  sym_keyword_textfile = 294,
  sym_keyword_avro = 295,
  sym_keyword_sequencefile = 296,
  sym_keyword_orc = 297,
  sym_keyword_jsonfile = 298,
  sym_keyword_null = 299,
  sym_keyword_true = 300,
  sym_keyword_false = 301,
  sym_keyword_boolean = 302,
  sym_keyword_bit = 303,
  sym_keyword_binary = 304,
  sym_keyword_varbinary = 305,
  sym_keyword_image = 306,
  aux_sym_keyword_smallserial_token1 = 307,
  aux_sym_keyword_smallserial_token2 = 308,
  aux_sym_keyword_serial_token1 = 309,
  aux_sym_keyword_serial_token2 = 310,
  aux_sym_keyword_bigserial_token1 = 311,
  aux_sym_keyword_bigserial_token2 = 312,
  aux_sym_keyword_tinyint_token1 = 313,
  aux_sym_keyword_tinyint_token2 = 314,
  aux_sym_keyword_smallint_token1 = 315,
  aux_sym_keyword_smallint_token2 = 316,
  aux_sym_keyword_mediumint_token1 = 317,
  aux_sym_keyword_mediumint_token2 = 318,
  aux_sym_keyword_int_token1 = 319,
  aux_sym_keyword_int_token2 = 320,
  aux_sym_keyword_int_token3 = 321,
  aux_sym_keyword_bigint_token1 = 322,
  aux_sym_keyword_bigint_token2 = 323,
  sym_keyword_decimal = 324,
  sym_keyword_numeric = 325,
  aux_sym_keyword_real_token1 = 326,
  aux_sym_keyword_real_token2 = 327,
  sym_keyword_float = 328,
  sym_keyword_double = 329,
  sym_keyword_precision = 330,
  sym_keyword_inet = 331,
  sym_keyword_money = 332,
  sym_keyword_smallmoney = 333,
  sym_keyword_varying = 334,
  aux_sym_keyword_char_token1 = 335,
  sym_keyword_nchar = 336,
  aux_sym_keyword_varchar_token1 = 337,
  sym_keyword_nvarchar = 338,
  sym_keyword_text = 339,
  sym_keyword_string = 340,
  sym_keyword_uuid = 341,
  sym_keyword_json = 342,
  sym_keyword_jsonb = 343,
  sym_keyword_xml = 344,
  sym_keyword_bytea = 345,
  sym_keyword_enum = 346,
  sym_keyword_date = 347,
  sym_keyword_datetime = 348,
  sym_keyword_datetime2 = 349,
  sym_keyword_smalldatetime = 350,
  sym_keyword_datetimeoffset = 351,
  sym_keyword_time = 352,
  sym_keyword_timestamp = 353,
  sym_keyword_timestamptz = 354,
  sym_keyword_interval = 355,
  sym_keyword_geometry = 356,
  sym_keyword_geography = 357,
  sym_keyword_box2d = 358,
  sym_keyword_box3d = 359,
  sym_keyword_oid = 360,
  sym_keyword_oids = 361,
  sym_keyword_name = 362,
  sym_keyword_regclass = 363,
  sym_keyword_regnamespace = 364,
  sym_keyword_regproc = 365,
  sym_keyword_regtype = 366,
  sym_keyword_array = 367,
  anon_sym_LBRACK = 368,
  anon_sym_RBRACK = 369,
  anon_sym_LPAREN = 370,
  anon_sym_RPAREN = 371,
  anon_sym_COMMA = 372,
  aux_sym_double_token1 = 373,
  sym_comment = 374,
  sym_marginalia = 375,
  anon_sym_EQ = 376,
  anon_sym_COLON_EQ = 377,
  anon_sym_DOT = 378,
  anon_sym_STAR = 379,
  sym_parameter = 380,
  anon_sym_COLON_COLON = 381,
  anon_sym_LT = 382,
  anon_sym_GT = 383,
  anon_sym_LT_EQ = 384,
  anon_sym_GT_EQ = 385,
  anon_sym_COLON = 386,
  sym_op_other = 387,
  anon_sym_PLUS = 388,
  anon_sym_DASH = 389,
  anon_sym_SLASH = 390,
  anon_sym_PERCENT = 391,
  anon_sym_CARET = 392,
  anon_sym_BANG_EQ = 393,
  anon_sym_LT_GT = 394,
  sym_op_unary_other = 395,
  sym__double_quote_string = 396,
  aux_sym__single_quote_string_token1 = 397,
  aux_sym__single_quote_string_token2 = 398,
  sym__natural_number = 399,
  aux_sym__integer_token1 = 400,
  aux_sym__decimal_number_token1 = 401,
  aux_sym__bit_string_token1 = 402,
  sym_bang = 403,
  aux_sym_identifier_token1 = 404,
  sym__dollar_quoted_string_start_tag = 405,
  sym__dollar_quoted_string_end_tag = 406,
  sym__dollar_quoted_string = 407,
  sym_program = 408,
  sym_keyword_character = 409,
  sym_keyword_like = 410,
  sym_is_not = 411,
  sym_not_like = 412,
  sym_similar_to = 413,
  sym_not_similar_to = 414,
  sym_distinct_from = 415,
  sym_not_distinct_from = 416,
  sym__temporary = 417,
  sym__not_null = 418,
  sym__primary_key = 419,
  sym__if_exists = 420,
  sym__if_not_exists = 421,
  sym__or_replace = 422,
  sym__current_row = 423,
  sym__exclude_current_row = 424,
  sym__exclude_group = 425,
  sym__exclude_no_others = 426,
  sym__exclude_ties = 427,
  sym__check_option = 428,
  sym_direction = 429,
  sym_keyword_smallserial = 430,
  sym_keyword_serial = 431,
  sym_keyword_bigserial = 432,
  sym_keyword_tinyint = 433,
  sym_keyword_smallint = 434,
  sym_keyword_mediumint = 435,
  sym_keyword_int = 436,
  sym_keyword_bigint = 437,
  sym_keyword_real = 438,
  sym_keyword_char = 439,
  sym_keyword_varchar = 440,
  sym__type = 441,
  sym_array_size_definition = 442,
  sym__array_size_definition = 443,
  sym_tinyint = 444,
  sym_smallint = 445,
  sym_mediumint = 446,
  sym_int = 447,
  sym_bigint = 448,
  sym_bit = 449,
  sym_binary = 450,
  sym_varbinary = 451,
  sym_float = 452,
  sym_double = 453,
  sym_decimal = 454,
  sym_numeric = 455,
  sym_char = 456,
  sym_varchar = 457,
  sym_nchar = 458,
  sym_nvarchar = 459,
  sym__include_time_zone = 460,
  sym_datetimeoffset = 461,
  sym_time = 462,
  sym_timestamp = 463,
  sym_enum = 464,
  sym_array = 465,
  sym_transaction = 466,
  sym__commit = 467,
  sym__rollback = 468,
  sym_block = 469,
  sym_statement = 470,
  sym__ddl_statement = 471,
  sym__cte = 472,
  sym__dml_write = 473,
  sym__dml_read = 474,
  sym__show_statement = 475,
  sym__show_tables = 476,
  sym__show_create = 477,
  sym_cte = 478,
  sym_set_operation = 479,
  sym__select_statement = 480,
  sym_comment_statement = 481,
  sym__argmode = 482,
  sym_function_argument = 483,
  sym_function_arguments = 484,
  sym__comment_target = 485,
  sym_select = 486,
  sym_select_expression = 487,
  sym_term = 488,
  sym__truncate_statement = 489,
  sym__delete_statement = 490,
  sym__delete_from = 491,
  sym_delete = 492,
  sym__create_statement = 493,
  sym__table_settings = 494,
  sym_storage_parameters = 495,
  sym_create_table = 496,
  sym_reset_statement = 497,
  sym__transaction_mode = 498,
  sym_set_statement = 499,
  sym_create_query = 500,
  sym_create_view = 501,
  sym_create_materialized_view = 502,
  sym_create_function = 503,
  sym__function_return = 504,
  sym_function_declaration = 505,
  sym__function_body_statement = 506,
  sym_function_body = 507,
  sym_function_language = 508,
  sym_function_volatility = 509,
  sym_function_leakproof = 510,
  sym_function_security = 511,
  sym_function_safety = 512,
  sym_function_strictness = 513,
  sym_function_cost = 514,
  sym_function_rows = 515,
  sym_function_support = 516,
  sym__operator_class = 517,
  sym__index_field = 518,
  sym_index_fields = 519,
  sym_create_index = 520,
  sym_create_schema = 521,
  sym__with_settings = 522,
  sym_create_database = 523,
  sym_create_role = 524,
  sym__role_options = 525,
  sym__user_access_role_config = 526,
  sym_create_sequence = 527,
  sym_create_extension = 528,
  sym_create_trigger = 529,
  sym__create_trigger_event = 530,
  sym_create_type = 531,
  sym_enum_elements = 532,
  sym__alter_statement = 533,
  sym__rename_statement = 534,
  sym__rename_table_names = 535,
  sym_alter_table = 536,
  sym__alter_specifications = 537,
  sym_add_column = 538,
  sym_add_constraint = 539,
  sym_drop_constraint = 540,
  sym_alter_column = 541,
  sym_modify_column = 542,
  sym_change_column = 543,
  sym_column_position = 544,
  sym_drop_column = 545,
  sym_rename_column = 546,
  sym_alter_view = 547,
  sym_alter_schema = 548,
  sym_alter_database = 549,
  sym_alter_role = 550,
  sym_set_configuration = 551,
  sym_alter_index = 552,
  sym_alter_sequence = 553,
  sym_alter_type = 554,
  sym__drop_behavior = 555,
  sym__drop_statement = 556,
  sym_drop_table = 557,
  sym_drop_view = 558,
  sym_drop_schema = 559,
  sym_drop_database = 560,
  sym_drop_role = 561,
  sym_drop_type = 562,
  sym_drop_sequence = 563,
  sym_drop_index = 564,
  sym_drop_extension = 565,
  sym_rename_object = 566,
  sym_set_schema = 567,
  sym_change_ownership = 568,
  sym_object_reference = 569,
  sym__copy_statement = 570,
  sym__insert_statement = 571,
  sym_insert = 572,
  sym__on_conflict = 573,
  sym__on_duplicate_key_update = 574,
  sym_assignment_list = 575,
  sym__insert_values = 576,
  sym__set_values = 577,
  sym__column_list = 578,
  sym__column = 579,
  sym__update_statement = 580,
  sym__merge_statement = 581,
  sym_when_clause = 582,
  sym__optimize_statement = 583,
  sym__compute_stats = 584,
  sym__optimize_table = 585,
  sym__vacuum_table = 586,
  sym__vacuum_option = 587,
  sym__partition_spec = 588,
  sym_update = 589,
  sym__mysql_update_statement = 590,
  sym__postgres_update_statement = 591,
  sym_storage_location = 592,
  sym_row_format = 593,
  sym_table_sort = 594,
  sym_table_partition = 595,
  sym__key_value_pair = 596,
  sym_stored_as = 597,
  sym_assignment = 598,
  sym_table_option = 599,
  sym_column_definitions = 600,
  sym_column_definition = 601,
  sym__column_comment = 602,
  sym__column_constraint = 603,
  sym__check_constraint = 604,
  sym__default_expression = 605,
  sym__inner_default_expression = 606,
  sym_constraints = 607,
  sym_constraint = 608,
  sym__constraint_literal = 609,
  sym__primary_key_constraint = 610,
  sym__key_constraint = 611,
  sym_ordered_columns = 612,
  sym_ordered_column = 613,
  sym_all_fields = 614,
  sym_case = 615,
  sym_field = 616,
  sym__qualified_field = 617,
  sym_implicit_cast = 618,
  sym_interval = 619,
  sym_cast = 620,
  sym_filter_expression = 621,
  sym_invocation = 622,
  sym_exists = 623,
  sym_partition_by = 624,
  sym_frame_definition = 625,
  sym_window_frame = 626,
  sym_window_clause = 627,
  sym_window_specification = 628,
  sym_window_function = 629,
  sym__alias = 630,
  sym_from = 631,
  sym_relation = 632,
  sym_values = 633,
  sym_index_hint = 634,
  sym_join = 635,
  sym_cross_join = 636,
  sym_lateral_join = 637,
  sym_lateral_cross_join = 638,
  sym_where = 639,
  sym_group_by = 640,
  sym__having = 641,
  sym_order_by = 642,
  sym_order_target = 643,
  sym_limit = 644,
  sym_offset = 645,
  sym_returning = 646,
  sym__expression = 647,
  sym_parenthesized_expression = 648,
  sym_subscript = 649,
  sym_binary_expression = 650,
  sym_unary_expression = 651,
  sym_between_expression = 652,
  sym_not_in = 653,
  sym_subquery = 654,
  sym_list = 655,
  sym_literal = 656,
  sym__single_quote_string = 657,
  sym__literal_string = 658,
  sym__integer = 659,
  sym__decimal_number = 660,
  sym__bit_string = 661,
  sym__string_casting = 662,
  sym_identifier = 663,
  aux_sym_program_repeat1 = 664,
  aux_sym_array_size_definition_repeat1 = 665,
  aux_sym_enum_repeat1 = 666,
  aux_sym_array_repeat1 = 667,
  aux_sym_transaction_repeat1 = 668,
  aux_sym__cte_repeat1 = 669,
  aux_sym_cte_repeat1 = 670,
  aux_sym_set_operation_repeat1 = 671,
  aux_sym_function_arguments_repeat1 = 672,
  aux_sym_select_expression_repeat1 = 673,
  aux_sym__truncate_statement_repeat1 = 674,
  aux_sym__create_statement_repeat1 = 675,
  aux_sym__table_settings_repeat1 = 676,
  aux_sym_storage_parameters_repeat1 = 677,
  aux_sym_create_table_repeat1 = 678,
  aux_sym_set_statement_repeat1 = 679,
  aux_sym_create_function_repeat1 = 680,
  aux_sym_function_body_repeat1 = 681,
  aux_sym_function_body_repeat2 = 682,
  aux_sym_index_fields_repeat1 = 683,
  aux_sym_create_database_repeat1 = 684,
  aux_sym_create_role_repeat1 = 685,
  aux_sym_create_sequence_repeat1 = 686,
  aux_sym_create_trigger_repeat1 = 687,
  aux_sym_create_trigger_repeat2 = 688,
  aux_sym_create_trigger_repeat3 = 689,
  aux_sym_create_type_repeat1 = 690,
  aux_sym_enum_elements_repeat1 = 691,
  aux_sym__rename_statement_repeat1 = 692,
  aux_sym_alter_table_repeat1 = 693,
  aux_sym_alter_column_repeat1 = 694,
  aux_sym_alter_role_repeat1 = 695,
  aux_sym_alter_index_repeat1 = 696,
  aux_sym_alter_sequence_repeat1 = 697,
  aux_sym__copy_statement_repeat1 = 698,
  aux_sym_assignment_list_repeat1 = 699,
  aux_sym__insert_values_repeat1 = 700,
  aux_sym__column_list_repeat1 = 701,
  aux_sym__merge_statement_repeat1 = 702,
  aux_sym__compute_stats_repeat1 = 703,
  aux_sym__compute_stats_repeat2 = 704,
  aux_sym__vacuum_table_repeat1 = 705,
  aux_sym__mysql_update_statement_repeat1 = 706,
  aux_sym__mysql_update_statement_repeat2 = 707,
  aux_sym_column_definitions_repeat1 = 708,
  aux_sym_column_definition_repeat1 = 709,
  aux_sym__column_constraint_repeat1 = 710,
  aux_sym_constraints_repeat1 = 711,
  aux_sym_ordered_columns_repeat1 = 712,
  aux_sym_case_repeat1 = 713,
  aux_sym_invocation_repeat1 = 714,
  aux_sym_from_repeat1 = 715,
  aux_sym_order_by_repeat1 = 716,
  aux_sym__single_quote_string_repeat1 = 717,
  anon_alias_sym_command = 718,
  anon_alias_sym_filename = 719,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__identifier] = "_identifier",
  [anon_sym_SEMI] = ";",
  [sym_keyword_select] = "keyword_select",
  [sym_keyword_delete] = "keyword_delete",
  [sym_keyword_insert] = "keyword_insert",
  [sym_keyword_replace] = "keyword_replace",
  [sym_keyword_update] = "keyword_update",
  [sym_keyword_truncate] = "keyword_truncate",
  [sym_keyword_merge] = "keyword_merge",
  [sym_keyword_show] = "keyword_show",
  [sym_keyword_into] = "keyword_into",
  [sym_keyword_overwrite] = "keyword_overwrite",
  [sym_keyword_values] = "keyword_values",
  [sym_keyword_value] = "keyword_value",
  [sym_keyword_matched] = "keyword_matched",
  [sym_keyword_set] = "keyword_set",
  [sym_keyword_from] = "keyword_from",
  [sym_keyword_left] = "keyword_left",
  [sym_keyword_right] = "keyword_right",
  [sym_keyword_inner] = "keyword_inner",
  [sym_keyword_full] = "keyword_full",
  [sym_keyword_outer] = "keyword_outer",
  [sym_keyword_cross] = "keyword_cross",
  [sym_keyword_join] = "keyword_join",
  [sym_keyword_lateral] = "keyword_lateral",
  [sym_keyword_natural] = "keyword_natural",
  [sym_keyword_on] = "keyword_on",
  [sym_keyword_off] = "keyword_off",
  [sym_keyword_where] = "keyword_where",
  [sym_keyword_order] = "keyword_order",
  [sym_keyword_group] = "keyword_group",
  [sym_keyword_partition] = "keyword_partition",
  [sym_keyword_by] = "keyword_by",
  [sym_keyword_having] = "keyword_having",
  [sym_keyword_desc] = "keyword_desc",
  [sym_keyword_asc] = "keyword_asc",
  [sym_keyword_limit] = "keyword_limit",
  [sym_keyword_offset] = "keyword_offset",
  [sym_keyword_primary] = "keyword_primary",
  [sym_keyword_create] = "keyword_create",
  [sym_keyword_alter] = "keyword_alter",
  [sym_keyword_change] = "keyword_change",
  [sym_keyword_analyze] = "keyword_analyze",
  [sym_keyword_explain] = "keyword_explain",
  [sym_keyword_verbose] = "keyword_verbose",
  [sym_keyword_modify] = "keyword_modify",
  [sym_keyword_drop] = "keyword_drop",
  [sym_keyword_add] = "keyword_add",
  [sym_keyword_table] = "keyword_table",
  [sym_keyword_tables] = "keyword_tables",
  [sym_keyword_view] = "keyword_view",
  [sym_keyword_column] = "keyword_column",
  [sym_keyword_columns] = "keyword_columns",
  [sym_keyword_materialized] = "keyword_materialized",
  [sym_keyword_tablespace] = "keyword_tablespace",
  [sym_keyword_sequence] = "keyword_sequence",
  [sym_keyword_increment] = "keyword_increment",
  [sym_keyword_minvalue] = "keyword_minvalue",
  [sym_keyword_maxvalue] = "keyword_maxvalue",
  [sym_keyword_none] = "keyword_none",
  [sym_keyword_owned] = "keyword_owned",
  [sym_keyword_start] = "keyword_start",
  [sym_keyword_restart] = "keyword_restart",
  [sym_keyword_key] = "keyword_key",
  [sym_keyword_duplicate] = "keyword_duplicate",
  [sym_keyword_as] = "keyword_as",
  [sym_keyword_distinct] = "keyword_distinct",
  [sym_keyword_constraint] = "keyword_constraint",
  [sym_keyword_filter] = "keyword_filter",
  [sym_keyword_cast] = "keyword_cast",
  [sym_keyword_separator] = "keyword_separator",
  [sym_keyword_case] = "keyword_case",
  [sym_keyword_when] = "keyword_when",
  [sym_keyword_then] = "keyword_then",
  [sym_keyword_else] = "keyword_else",
  [sym_keyword_end] = "keyword_end",
  [sym_keyword_in] = "keyword_in",
  [sym_keyword_and] = "keyword_and",
  [sym_keyword_or] = "keyword_or",
  [sym_keyword_is] = "keyword_is",
  [sym_keyword_not] = "keyword_not",
  [sym_keyword_force] = "keyword_force",
  [sym_keyword_ignore] = "keyword_ignore",
  [sym_keyword_using] = "keyword_using",
  [sym_keyword_use] = "keyword_use",
  [sym_keyword_index] = "keyword_index",
  [sym_keyword_for] = "keyword_for",
  [sym_keyword_if] = "keyword_if",
  [sym_keyword_exists] = "keyword_exists",
  [sym_keyword_auto_increment] = "keyword_auto_increment",
  [sym_keyword_generated] = "keyword_generated",
  [sym_keyword_always] = "keyword_always",
  [sym_keyword_collate] = "keyword_collate",
  [aux_sym_keyword_character_token1] = "keyword_character_token1",
  [sym_keyword_engine] = "keyword_engine",
  [sym_keyword_default] = "keyword_default",
  [sym_keyword_cascade] = "keyword_cascade",
  [sym_keyword_restrict] = "keyword_restrict",
  [sym_keyword_with] = "keyword_with",
  [sym_keyword_without] = "keyword_without",
  [sym_keyword_no] = "keyword_no",
  [sym_keyword_data] = "keyword_data",
  [sym_keyword_type] = "keyword_type",
  [sym_keyword_rename] = "keyword_rename",
  [sym_keyword_to] = "keyword_to",
  [sym_keyword_database] = "keyword_database",
  [sym_keyword_schema] = "keyword_schema",
  [sym_keyword_owner] = "keyword_owner",
  [sym_keyword_user] = "keyword_user",
  [sym_keyword_admin] = "keyword_admin",
  [sym_keyword_password] = "keyword_password",
  [sym_keyword_encrypted] = "keyword_encrypted",
  [sym_keyword_valid] = "keyword_valid",
  [sym_keyword_until] = "keyword_until",
  [sym_keyword_connection] = "keyword_connection",
  [sym_keyword_role] = "keyword_role",
  [sym_keyword_reset] = "keyword_reset",
  [sym_keyword_temp] = "keyword_temp",
  [sym_keyword_temporary] = "keyword_temporary",
  [sym_keyword_unlogged] = "keyword_unlogged",
  [sym_keyword_logged] = "keyword_logged",
  [sym_keyword_cycle] = "keyword_cycle",
  [sym_keyword_union] = "keyword_union",
  [sym_keyword_all] = "keyword_all",
  [sym_keyword_any] = "keyword_any",
  [sym_keyword_some] = "keyword_some",
  [sym_keyword_except] = "keyword_except",
  [sym_keyword_intersect] = "keyword_intersect",
  [sym_keyword_returning] = "keyword_returning",
  [sym_keyword_begin] = "keyword_begin",
  [sym_keyword_commit] = "keyword_commit",
  [sym_keyword_rollback] = "keyword_rollback",
  [sym_keyword_transaction] = "keyword_transaction",
  [sym_keyword_over] = "keyword_over",
  [sym_keyword_nulls] = "keyword_nulls",
  [sym_keyword_first] = "keyword_first",
  [sym_keyword_after] = "keyword_after",
  [sym_keyword_before] = "keyword_before",
  [sym_keyword_last] = "keyword_last",
  [sym_keyword_window] = "keyword_window",
  [sym_keyword_range] = "keyword_range",
  [sym_keyword_rows] = "keyword_rows",
  [sym_keyword_groups] = "keyword_groups",
  [sym_keyword_between] = "keyword_between",
  [sym_keyword_unbounded] = "keyword_unbounded",
  [sym_keyword_preceding] = "keyword_preceding",
  [sym_keyword_following] = "keyword_following",
  [sym_keyword_exclude] = "keyword_exclude",
  [sym_keyword_current] = "keyword_current",
  [sym_keyword_row] = "keyword_row",
  [sym_keyword_ties] = "keyword_ties",
  [sym_keyword_others] = "keyword_others",
  [sym_keyword_only] = "keyword_only",
  [sym_keyword_unique] = "keyword_unique",
  [sym_keyword_foreign] = "keyword_foreign",
  [sym_keyword_references] = "keyword_references",
  [sym_keyword_concurrently] = "keyword_concurrently",
  [sym_keyword_btree] = "keyword_btree",
  [sym_keyword_hash] = "keyword_hash",
  [sym_keyword_gist] = "keyword_gist",
  [sym_keyword_spgist] = "keyword_spgist",
  [sym_keyword_gin] = "keyword_gin",
  [sym_keyword_brin] = "keyword_brin",
  [aux_sym_keyword_like_token1] = "keyword_like_token1",
  [aux_sym_keyword_like_token2] = "keyword_like_token2",
  [sym_keyword_similar] = "keyword_similar",
  [sym_keyword_unsigned] = "keyword_unsigned",
  [sym_keyword_zerofill] = "keyword_zerofill",
  [sym_keyword_conflict] = "keyword_conflict",
  [sym_keyword_do] = "keyword_do",
  [sym_keyword_nothing] = "keyword_nothing",
  [sym_keyword_high_priority] = "keyword_high_priority",
  [sym_keyword_low_priority] = "keyword_low_priority",
  [sym_keyword_delayed] = "keyword_delayed",
  [sym_keyword_recursive] = "keyword_recursive",
  [sym_keyword_cascaded] = "keyword_cascaded",
  [sym_keyword_local] = "keyword_local",
  [sym_keyword_current_timestamp] = "keyword_current_timestamp",
  [sym_keyword_check] = "keyword_check",
  [sym_keyword_option] = "keyword_option",
  [sym_keyword_vacuum] = "keyword_vacuum",
  [sym_keyword_wait] = "keyword_wait",
  [sym_keyword_nowait] = "keyword_nowait",
  [sym_keyword_attribute] = "keyword_attribute",
  [sym_keyword_authorization] = "keyword_authorization",
  [sym_keyword_action] = "keyword_action",
  [sym_keyword_extension] = "keyword_extension",
  [sym_keyword_copy] = "keyword_copy",
  [sym_keyword_stdin] = "keyword_stdin",
  [sym_keyword_freeze] = "keyword_freeze",
  [sym_keyword_escape] = "keyword_escape",
  [sym_keyword_encoding] = "keyword_encoding",
  [sym_keyword_force_quote] = "keyword_force_quote",
  [sym_keyword_quote] = "keyword_quote",
  [sym_keyword_force_null] = "keyword_force_null",
  [sym_keyword_force_not_null] = "keyword_force_not_null",
  [sym_keyword_header] = "keyword_header",
  [sym_keyword_match] = "keyword_match",
  [sym_keyword_program] = "keyword_program",
  [sym_keyword_plain] = "keyword_plain",
  [sym_keyword_extended] = "keyword_extended",
  [sym_keyword_main] = "keyword_main",
  [sym_keyword_storage] = "keyword_storage",
  [sym_keyword_compression] = "keyword_compression",
  [sym_keyword_trigger] = "keyword_trigger",
  [sym_keyword_function] = "keyword_function",
  [sym_keyword_returns] = "keyword_returns",
  [sym_keyword_return] = "keyword_return",
  [sym_keyword_setof] = "keyword_setof",
  [sym_keyword_atomic] = "keyword_atomic",
  [sym_keyword_declare] = "keyword_declare",
  [sym_keyword_language] = "keyword_language",
  [sym_keyword_immutable] = "keyword_immutable",
  [sym_keyword_stable] = "keyword_stable",
  [sym_keyword_volatile] = "keyword_volatile",
  [sym_keyword_leakproof] = "keyword_leakproof",
  [sym_keyword_parallel] = "keyword_parallel",
  [sym_keyword_safe] = "keyword_safe",
  [sym_keyword_unsafe] = "keyword_unsafe",
  [sym_keyword_restricted] = "keyword_restricted",
  [sym_keyword_called] = "keyword_called",
  [sym_keyword_input] = "keyword_input",
  [sym_keyword_strict] = "keyword_strict",
  [sym_keyword_cost] = "keyword_cost",
  [sym_keyword_support] = "keyword_support",
  [sym_keyword_definer] = "keyword_definer",
  [sym_keyword_invoker] = "keyword_invoker",
  [sym_keyword_security] = "keyword_security",
  [sym_keyword_version] = "keyword_version",
  [sym_keyword_out] = "keyword_out",
  [sym_keyword_inout] = "keyword_inout",
  [sym_keyword_variadic] = "keyword_variadic",
  [sym_keyword_ordinality] = "keyword_ordinality",
  [sym_keyword_session] = "keyword_session",
  [sym_keyword_isolation] = "keyword_isolation",
  [sym_keyword_level] = "keyword_level",
  [sym_keyword_serializable] = "keyword_serializable",
  [sym_keyword_repeatable] = "keyword_repeatable",
  [sym_keyword_read] = "keyword_read",
  [sym_keyword_write] = "keyword_write",
  [sym_keyword_committed] = "keyword_committed",
  [sym_keyword_uncommitted] = "keyword_uncommitted",
  [sym_keyword_deferrable] = "keyword_deferrable",
  [sym_keyword_names] = "keyword_names",
  [sym_keyword_zone] = "keyword_zone",
  [sym_keyword_immediate] = "keyword_immediate",
  [sym_keyword_deferred] = "keyword_deferred",
  [sym_keyword_constraints] = "keyword_constraints",
  [sym_keyword_snapshot] = "keyword_snapshot",
  [sym_keyword_characteristics] = "keyword_characteristics",
  [sym_keyword_follows] = "keyword_follows",
  [sym_keyword_precedes] = "keyword_precedes",
  [sym_keyword_each] = "keyword_each",
  [sym_keyword_instead] = "keyword_instead",
  [sym_keyword_of] = "keyword_of",
  [sym_keyword_initially] = "keyword_initially",
  [sym_keyword_old] = "keyword_old",
  [sym_keyword_new] = "keyword_new",
  [sym_keyword_referencing] = "keyword_referencing",
  [sym_keyword_statement] = "keyword_statement",
  [sym_keyword_execute] = "keyword_execute",
  [sym_keyword_procedure] = "keyword_procedure",
  [sym_keyword_external] = "keyword_external",
  [sym_keyword_stored] = "keyword_stored",
  [sym_keyword_virtual] = "keyword_virtual",
  [sym_keyword_cached] = "keyword_cached",
  [sym_keyword_uncached] = "keyword_uncached",
  [sym_keyword_replication] = "keyword_replication",
  [sym_keyword_tblproperties] = "keyword_tblproperties",
  [sym_keyword_compute] = "keyword_compute",
  [sym_keyword_stats] = "keyword_stats",
  [sym_keyword_statistics] = "keyword_statistics",
  [sym_keyword_optimize] = "keyword_optimize",
  [sym_keyword_rewrite] = "keyword_rewrite",
  [sym_keyword_bin_pack] = "keyword_bin_pack",
  [sym_keyword_incremental] = "keyword_incremental",
  [sym_keyword_location] = "keyword_location",
  [sym_keyword_partitioned] = "keyword_partitioned",
  [sym_keyword_comment] = "keyword_comment",
  [sym_keyword_sort] = "keyword_sort",
  [sym_keyword_format] = "keyword_format",
  [sym_keyword_delimited] = "keyword_delimited",
  [sym_keyword_delimiter] = "keyword_delimiter",
  [sym_keyword_fields] = "keyword_fields",
  [sym_keyword_terminated] = "keyword_terminated",
  [sym_keyword_escaped] = "keyword_escaped",
  [sym_keyword_lines] = "keyword_lines",
  [sym_keyword_cache] = "keyword_cache",
  [sym_keyword_metadata] = "keyword_metadata",
  [sym_keyword_noscan] = "keyword_noscan",
  [sym_keyword_parquet] = "keyword_parquet",
  [sym_keyword_rcfile] = "keyword_rcfile",
  [sym_keyword_csv] = "keyword_csv",
  [sym_keyword_textfile] = "keyword_textfile",
  [sym_keyword_avro] = "keyword_avro",
  [sym_keyword_sequencefile] = "keyword_sequencefile",
  [sym_keyword_orc] = "keyword_orc",
  [sym_keyword_jsonfile] = "keyword_jsonfile",
  [sym_keyword_null] = "keyword_null",
  [sym_keyword_true] = "keyword_true",
  [sym_keyword_false] = "keyword_false",
  [sym_keyword_boolean] = "keyword_boolean",
  [sym_keyword_bit] = "keyword_bit",
  [sym_keyword_binary] = "keyword_binary",
  [sym_keyword_varbinary] = "keyword_varbinary",
  [sym_keyword_image] = "keyword_image",
  [aux_sym_keyword_smallserial_token1] = "keyword_smallserial_token1",
  [aux_sym_keyword_smallserial_token2] = "keyword_smallserial_token2",
  [aux_sym_keyword_serial_token1] = "keyword_serial_token1",
  [aux_sym_keyword_serial_token2] = "keyword_serial_token2",
  [aux_sym_keyword_bigserial_token1] = "keyword_bigserial_token1",
  [aux_sym_keyword_bigserial_token2] = "keyword_bigserial_token2",
  [aux_sym_keyword_tinyint_token1] = "keyword_tinyint_token1",
  [aux_sym_keyword_tinyint_token2] = "keyword_tinyint_token2",
  [aux_sym_keyword_smallint_token1] = "keyword_smallint_token1",
  [aux_sym_keyword_smallint_token2] = "keyword_smallint_token2",
  [aux_sym_keyword_mediumint_token1] = "keyword_mediumint_token1",
  [aux_sym_keyword_mediumint_token2] = "keyword_mediumint_token2",
  [aux_sym_keyword_int_token1] = "keyword_int_token1",
  [aux_sym_keyword_int_token2] = "keyword_int_token2",
  [aux_sym_keyword_int_token3] = "keyword_int_token3",
  [aux_sym_keyword_bigint_token1] = "keyword_bigint_token1",
  [aux_sym_keyword_bigint_token2] = "keyword_bigint_token2",
  [sym_keyword_decimal] = "keyword_decimal",
  [sym_keyword_numeric] = "keyword_numeric",
  [aux_sym_keyword_real_token1] = "keyword_real_token1",
  [aux_sym_keyword_real_token2] = "keyword_real_token2",
  [sym_keyword_float] = "keyword_float",
  [sym_keyword_double] = "keyword_double",
  [sym_keyword_precision] = "keyword_precision",
  [sym_keyword_inet] = "keyword_inet",
  [sym_keyword_money] = "keyword_money",
  [sym_keyword_smallmoney] = "keyword_smallmoney",
  [sym_keyword_varying] = "keyword_varying",
  [aux_sym_keyword_char_token1] = "keyword_char_token1",
  [sym_keyword_nchar] = "keyword_nchar",
  [aux_sym_keyword_varchar_token1] = "keyword_varchar_token1",
  [sym_keyword_nvarchar] = "keyword_nvarchar",
  [sym_keyword_text] = "keyword_text",
  [sym_keyword_string] = "keyword_string",
  [sym_keyword_uuid] = "keyword_uuid",
  [sym_keyword_json] = "keyword_json",
  [sym_keyword_jsonb] = "keyword_jsonb",
  [sym_keyword_xml] = "keyword_xml",
  [sym_keyword_bytea] = "keyword_bytea",
  [sym_keyword_enum] = "keyword_enum",
  [sym_keyword_date] = "keyword_date",
  [sym_keyword_datetime] = "keyword_datetime",
  [sym_keyword_datetime2] = "keyword_datetime2",
  [sym_keyword_smalldatetime] = "keyword_smalldatetime",
  [sym_keyword_datetimeoffset] = "keyword_datetimeoffset",
  [sym_keyword_time] = "keyword_time",
  [sym_keyword_timestamp] = "keyword_timestamp",
  [sym_keyword_timestamptz] = "keyword_timestamptz",
  [sym_keyword_interval] = "keyword_interval",
  [sym_keyword_geometry] = "keyword_geometry",
  [sym_keyword_geography] = "keyword_geography",
  [sym_keyword_box2d] = "keyword_box2d",
  [sym_keyword_box3d] = "keyword_box3d",
  [sym_keyword_oid] = "keyword_oid",
  [sym_keyword_oids] = "keyword_oids",
  [sym_keyword_name] = "keyword_name",
  [sym_keyword_regclass] = "keyword_regclass",
  [sym_keyword_regnamespace] = "keyword_regnamespace",
  [sym_keyword_regproc] = "keyword_regproc",
  [sym_keyword_regtype] = "keyword_regtype",
  [sym_keyword_array] = "keyword_array",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_COMMA] = ",",
  [aux_sym_double_token1] = "double_token1",
  [sym_comment] = "comment",
  [sym_marginalia] = "marginalia",
  [anon_sym_EQ] = "=",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_DOT] = ".",
  [anon_sym_STAR] = "*",
  [sym_parameter] = "parameter",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_COLON] = ":",
  [sym_op_other] = "op_other",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_CARET] = "^",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT_GT] = "<>",
  [sym_op_unary_other] = "op_unary_other",
  [sym__double_quote_string] = "_double_quote_string",
  [aux_sym__single_quote_string_token1] = "_single_quote_string_token1",
  [aux_sym__single_quote_string_token2] = "_single_quote_string_token2",
  [sym__natural_number] = "_natural_number",
  [aux_sym__integer_token1] = "_integer_token1",
  [aux_sym__decimal_number_token1] = "_decimal_number_token1",
  [aux_sym__bit_string_token1] = "_bit_string_token1",
  [sym_bang] = "bang",
  [aux_sym_identifier_token1] = "identifier_token1",
  [sym__dollar_quoted_string_start_tag] = "dollar_quote",
  [sym__dollar_quoted_string_end_tag] = "dollar_quote",
  [sym__dollar_quoted_string] = "_dollar_quoted_string",
  [sym_program] = "program",
  [sym_keyword_character] = "keyword_character",
  [sym_keyword_like] = "keyword_like",
  [sym_is_not] = "is_not",
  [sym_not_like] = "not_like",
  [sym_similar_to] = "similar_to",
  [sym_not_similar_to] = "not_similar_to",
  [sym_distinct_from] = "distinct_from",
  [sym_not_distinct_from] = "not_distinct_from",
  [sym__temporary] = "_temporary",
  [sym__not_null] = "_not_null",
  [sym__primary_key] = "_primary_key",
  [sym__if_exists] = "_if_exists",
  [sym__if_not_exists] = "_if_not_exists",
  [sym__or_replace] = "_or_replace",
  [sym__current_row] = "_current_row",
  [sym__exclude_current_row] = "_exclude_current_row",
  [sym__exclude_group] = "_exclude_group",
  [sym__exclude_no_others] = "_exclude_no_others",
  [sym__exclude_ties] = "_exclude_ties",
  [sym__check_option] = "_check_option",
  [sym_direction] = "direction",
  [sym_keyword_smallserial] = "keyword_smallserial",
  [sym_keyword_serial] = "keyword_serial",
  [sym_keyword_bigserial] = "keyword_bigserial",
  [sym_keyword_tinyint] = "keyword_tinyint",
  [sym_keyword_smallint] = "keyword_smallint",
  [sym_keyword_mediumint] = "keyword_mediumint",
  [sym_keyword_int] = "keyword_int",
  [sym_keyword_bigint] = "keyword_bigint",
  [sym_keyword_real] = "keyword_real",
  [sym_keyword_char] = "keyword_char",
  [sym_keyword_varchar] = "keyword_varchar",
  [sym__type] = "_type",
  [sym_array_size_definition] = "array_size_definition",
  [sym__array_size_definition] = "_array_size_definition",
  [sym_tinyint] = "tinyint",
  [sym_smallint] = "smallint",
  [sym_mediumint] = "mediumint",
  [sym_int] = "int",
  [sym_bigint] = "bigint",
  [sym_bit] = "bit",
  [sym_binary] = "binary",
  [sym_varbinary] = "varbinary",
  [sym_float] = "float",
  [sym_double] = "double",
  [sym_decimal] = "decimal",
  [sym_numeric] = "numeric",
  [sym_char] = "char",
  [sym_varchar] = "varchar",
  [sym_nchar] = "nchar",
  [sym_nvarchar] = "nvarchar",
  [sym__include_time_zone] = "_include_time_zone",
  [sym_datetimeoffset] = "datetimeoffset",
  [sym_time] = "time",
  [sym_timestamp] = "timestamp",
  [sym_enum] = "enum",
  [sym_array] = "array",
  [sym_transaction] = "transaction",
  [sym__commit] = "_commit",
  [sym__rollback] = "_rollback",
  [sym_block] = "block",
  [sym_statement] = "statement",
  [sym__ddl_statement] = "_ddl_statement",
  [sym__cte] = "_cte",
  [sym__dml_write] = "_dml_write",
  [sym__dml_read] = "_dml_read",
  [sym__show_statement] = "_show_statement",
  [sym__show_tables] = "_show_tables",
  [sym__show_create] = "_show_create",
  [sym_cte] = "cte",
  [sym_set_operation] = "set_operation",
  [sym__select_statement] = "_select_statement",
  [sym_comment_statement] = "comment_statement",
  [sym__argmode] = "_argmode",
  [sym_function_argument] = "function_argument",
  [sym_function_arguments] = "function_arguments",
  [sym__comment_target] = "_comment_target",
  [sym_select] = "select",
  [sym_select_expression] = "select_expression",
  [sym_term] = "term",
  [sym__truncate_statement] = "_truncate_statement",
  [sym__delete_statement] = "_delete_statement",
  [sym__delete_from] = "from",
  [sym_delete] = "delete",
  [sym__create_statement] = "_create_statement",
  [sym__table_settings] = "_table_settings",
  [sym_storage_parameters] = "storage_parameters",
  [sym_create_table] = "create_table",
  [sym_reset_statement] = "reset_statement",
  [sym__transaction_mode] = "_transaction_mode",
  [sym_set_statement] = "set_statement",
  [sym_create_query] = "create_query",
  [sym_create_view] = "create_view",
  [sym_create_materialized_view] = "create_materialized_view",
  [sym_create_function] = "create_function",
  [sym__function_return] = "_function_return",
  [sym_function_declaration] = "function_declaration",
  [sym__function_body_statement] = "_function_body_statement",
  [sym_function_body] = "function_body",
  [sym_function_language] = "function_language",
  [sym_function_volatility] = "function_volatility",
  [sym_function_leakproof] = "function_leakproof",
  [sym_function_security] = "function_security",
  [sym_function_safety] = "function_safety",
  [sym_function_strictness] = "function_strictness",
  [sym_function_cost] = "function_cost",
  [sym_function_rows] = "function_rows",
  [sym_function_support] = "function_support",
  [sym__operator_class] = "_operator_class",
  [sym__index_field] = "field",
  [sym_index_fields] = "index_fields",
  [sym_create_index] = "create_index",
  [sym_create_schema] = "create_schema",
  [sym__with_settings] = "_with_settings",
  [sym_create_database] = "create_database",
  [sym_create_role] = "create_role",
  [sym__role_options] = "_role_options",
  [sym__user_access_role_config] = "_user_access_role_config",
  [sym_create_sequence] = "create_sequence",
  [sym_create_extension] = "create_extension",
  [sym_create_trigger] = "create_trigger",
  [sym__create_trigger_event] = "_create_trigger_event",
  [sym_create_type] = "create_type",
  [sym_enum_elements] = "enum_elements",
  [sym__alter_statement] = "_alter_statement",
  [sym__rename_statement] = "_rename_statement",
  [sym__rename_table_names] = "_rename_table_names",
  [sym_alter_table] = "alter_table",
  [sym__alter_specifications] = "_alter_specifications",
  [sym_add_column] = "add_column",
  [sym_add_constraint] = "add_constraint",
  [sym_drop_constraint] = "drop_constraint",
  [sym_alter_column] = "alter_column",
  [sym_modify_column] = "modify_column",
  [sym_change_column] = "change_column",
  [sym_column_position] = "column_position",
  [sym_drop_column] = "drop_column",
  [sym_rename_column] = "rename_column",
  [sym_alter_view] = "alter_view",
  [sym_alter_schema] = "alter_schema",
  [sym_alter_database] = "alter_database",
  [sym_alter_role] = "alter_role",
  [sym_set_configuration] = "set_configuration",
  [sym_alter_index] = "alter_index",
  [sym_alter_sequence] = "alter_sequence",
  [sym_alter_type] = "alter_type",
  [sym__drop_behavior] = "_drop_behavior",
  [sym__drop_statement] = "_drop_statement",
  [sym_drop_table] = "drop_table",
  [sym_drop_view] = "drop_view",
  [sym_drop_schema] = "drop_schema",
  [sym_drop_database] = "drop_database",
  [sym_drop_role] = "drop_role",
  [sym_drop_type] = "drop_type",
  [sym_drop_sequence] = "drop_sequence",
  [sym_drop_index] = "drop_index",
  [sym_drop_extension] = "drop_extension",
  [sym_rename_object] = "rename_object",
  [sym_set_schema] = "set_schema",
  [sym_change_ownership] = "change_ownership",
  [sym_object_reference] = "object_reference",
  [sym__copy_statement] = "_copy_statement",
  [sym__insert_statement] = "_insert_statement",
  [sym_insert] = "insert",
  [sym__on_conflict] = "_on_conflict",
  [sym__on_duplicate_key_update] = "_on_duplicate_key_update",
  [sym_assignment_list] = "assignment_list",
  [sym__insert_values] = "_insert_values",
  [sym__set_values] = "_set_values",
  [sym__column_list] = "_column_list",
  [sym__column] = "_column",
  [sym__update_statement] = "_update_statement",
  [sym__merge_statement] = "_merge_statement",
  [sym_when_clause] = "when_clause",
  [sym__optimize_statement] = "_optimize_statement",
  [sym__compute_stats] = "_compute_stats",
  [sym__optimize_table] = "_optimize_table",
  [sym__vacuum_table] = "_vacuum_table",
  [sym__vacuum_option] = "_vacuum_option",
  [sym__partition_spec] = "_partition_spec",
  [sym_update] = "update",
  [sym__mysql_update_statement] = "_mysql_update_statement",
  [sym__postgres_update_statement] = "_postgres_update_statement",
  [sym_storage_location] = "storage_location",
  [sym_row_format] = "row_format",
  [sym_table_sort] = "table_sort",
  [sym_table_partition] = "table_partition",
  [sym__key_value_pair] = "_key_value_pair",
  [sym_stored_as] = "stored_as",
  [sym_assignment] = "assignment",
  [sym_table_option] = "table_option",
  [sym_column_definitions] = "column_definitions",
  [sym_column_definition] = "column_definition",
  [sym__column_comment] = "_column_comment",
  [sym__column_constraint] = "_column_constraint",
  [sym__check_constraint] = "_check_constraint",
  [sym__default_expression] = "_default_expression",
  [sym__inner_default_expression] = "_inner_default_expression",
  [sym_constraints] = "constraints",
  [sym_constraint] = "constraint",
  [sym__constraint_literal] = "_constraint_literal",
  [sym__primary_key_constraint] = "_primary_key_constraint",
  [sym__key_constraint] = "_key_constraint",
  [sym_ordered_columns] = "ordered_columns",
  [sym_ordered_column] = "column",
  [sym_all_fields] = "all_fields",
  [sym_case] = "case",
  [sym_field] = "field",
  [sym__qualified_field] = "_qualified_field",
  [sym_implicit_cast] = "cast",
  [sym_interval] = "interval",
  [sym_cast] = "cast",
  [sym_filter_expression] = "filter_expression",
  [sym_invocation] = "invocation",
  [sym_exists] = "exists",
  [sym_partition_by] = "partition_by",
  [sym_frame_definition] = "frame_definition",
  [sym_window_frame] = "window_frame",
  [sym_window_clause] = "window_clause",
  [sym_window_specification] = "window_specification",
  [sym_window_function] = "window_function",
  [sym__alias] = "_alias",
  [sym_from] = "from",
  [sym_relation] = "relation",
  [sym_values] = "values",
  [sym_index_hint] = "index_hint",
  [sym_join] = "join",
  [sym_cross_join] = "cross_join",
  [sym_lateral_join] = "lateral_join",
  [sym_lateral_cross_join] = "lateral_cross_join",
  [sym_where] = "where",
  [sym_group_by] = "group_by",
  [sym__having] = "_having",
  [sym_order_by] = "order_by",
  [sym_order_target] = "order_target",
  [sym_limit] = "limit",
  [sym_offset] = "offset",
  [sym_returning] = "returning",
  [sym__expression] = "_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_subscript] = "subscript",
  [sym_binary_expression] = "binary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_between_expression] = "between_expression",
  [sym_not_in] = "not_in",
  [sym_subquery] = "subquery",
  [sym_list] = "list",
  [sym_literal] = "literal",
  [sym__single_quote_string] = "_single_quote_string",
  [sym__literal_string] = "_literal_string",
  [sym__integer] = "_integer",
  [sym__decimal_number] = "_decimal_number",
  [sym__bit_string] = "_bit_string",
  [sym__string_casting] = "_string_casting",
  [sym_identifier] = "identifier",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym_array_size_definition_repeat1] = "array_size_definition_repeat1",
  [aux_sym_enum_repeat1] = "enum_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_transaction_repeat1] = "transaction_repeat1",
  [aux_sym__cte_repeat1] = "_cte_repeat1",
  [aux_sym_cte_repeat1] = "cte_repeat1",
  [aux_sym_set_operation_repeat1] = "set_operation_repeat1",
  [aux_sym_function_arguments_repeat1] = "function_arguments_repeat1",
  [aux_sym_select_expression_repeat1] = "select_expression_repeat1",
  [aux_sym__truncate_statement_repeat1] = "_truncate_statement_repeat1",
  [aux_sym__create_statement_repeat1] = "_create_statement_repeat1",
  [aux_sym__table_settings_repeat1] = "_table_settings_repeat1",
  [aux_sym_storage_parameters_repeat1] = "storage_parameters_repeat1",
  [aux_sym_create_table_repeat1] = "create_table_repeat1",
  [aux_sym_set_statement_repeat1] = "set_statement_repeat1",
  [aux_sym_create_function_repeat1] = "create_function_repeat1",
  [aux_sym_function_body_repeat1] = "function_body_repeat1",
  [aux_sym_function_body_repeat2] = "function_body_repeat2",
  [aux_sym_index_fields_repeat1] = "index_fields_repeat1",
  [aux_sym_create_database_repeat1] = "create_database_repeat1",
  [aux_sym_create_role_repeat1] = "create_role_repeat1",
  [aux_sym_create_sequence_repeat1] = "create_sequence_repeat1",
  [aux_sym_create_trigger_repeat1] = "create_trigger_repeat1",
  [aux_sym_create_trigger_repeat2] = "create_trigger_repeat2",
  [aux_sym_create_trigger_repeat3] = "create_trigger_repeat3",
  [aux_sym_create_type_repeat1] = "create_type_repeat1",
  [aux_sym_enum_elements_repeat1] = "enum_elements_repeat1",
  [aux_sym__rename_statement_repeat1] = "_rename_statement_repeat1",
  [aux_sym_alter_table_repeat1] = "alter_table_repeat1",
  [aux_sym_alter_column_repeat1] = "alter_column_repeat1",
  [aux_sym_alter_role_repeat1] = "alter_role_repeat1",
  [aux_sym_alter_index_repeat1] = "alter_index_repeat1",
  [aux_sym_alter_sequence_repeat1] = "alter_sequence_repeat1",
  [aux_sym__copy_statement_repeat1] = "_copy_statement_repeat1",
  [aux_sym_assignment_list_repeat1] = "assignment_list_repeat1",
  [aux_sym__insert_values_repeat1] = "_insert_values_repeat1",
  [aux_sym__column_list_repeat1] = "_column_list_repeat1",
  [aux_sym__merge_statement_repeat1] = "_merge_statement_repeat1",
  [aux_sym__compute_stats_repeat1] = "_compute_stats_repeat1",
  [aux_sym__compute_stats_repeat2] = "_compute_stats_repeat2",
  [aux_sym__vacuum_table_repeat1] = "_vacuum_table_repeat1",
  [aux_sym__mysql_update_statement_repeat1] = "_mysql_update_statement_repeat1",
  [aux_sym__mysql_update_statement_repeat2] = "_mysql_update_statement_repeat2",
  [aux_sym_column_definitions_repeat1] = "column_definitions_repeat1",
  [aux_sym_column_definition_repeat1] = "column_definition_repeat1",
  [aux_sym__column_constraint_repeat1] = "_column_constraint_repeat1",
  [aux_sym_constraints_repeat1] = "constraints_repeat1",
  [aux_sym_ordered_columns_repeat1] = "ordered_columns_repeat1",
  [aux_sym_case_repeat1] = "case_repeat1",
  [aux_sym_invocation_repeat1] = "invocation_repeat1",
  [aux_sym_from_repeat1] = "from_repeat1",
  [aux_sym_order_by_repeat1] = "order_by_repeat1",
  [aux_sym__single_quote_string_repeat1] = "_single_quote_string_repeat1",
  [anon_alias_sym_command] = "command",
  [anon_alias_sym_filename] = "filename",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__identifier] = sym__identifier,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [sym_keyword_select] = sym_keyword_select,
  [sym_keyword_delete] = sym_keyword_delete,
  [sym_keyword_insert] = sym_keyword_insert,
  [sym_keyword_replace] = sym_keyword_replace,
  [sym_keyword_update] = sym_keyword_update,
  [sym_keyword_truncate] = sym_keyword_truncate,
  [sym_keyword_merge] = sym_keyword_merge,
  [sym_keyword_show] = sym_keyword_show,
  [sym_keyword_into] = sym_keyword_into,
  [sym_keyword_overwrite] = sym_keyword_overwrite,
  [sym_keyword_values] = sym_keyword_values,
  [sym_keyword_value] = sym_keyword_value,
  [sym_keyword_matched] = sym_keyword_matched,
  [sym_keyword_set] = sym_keyword_set,
  [sym_keyword_from] = sym_keyword_from,
  [sym_keyword_left] = sym_keyword_left,
  [sym_keyword_right] = sym_keyword_right,
  [sym_keyword_inner] = sym_keyword_inner,
  [sym_keyword_full] = sym_keyword_full,
  [sym_keyword_outer] = sym_keyword_outer,
  [sym_keyword_cross] = sym_keyword_cross,
  [sym_keyword_join] = sym_keyword_join,
  [sym_keyword_lateral] = sym_keyword_lateral,
  [sym_keyword_natural] = sym_keyword_natural,
  [sym_keyword_on] = sym_keyword_on,
  [sym_keyword_off] = sym_keyword_off,
  [sym_keyword_where] = sym_keyword_where,
  [sym_keyword_order] = sym_keyword_order,
  [sym_keyword_group] = sym_keyword_group,
  [sym_keyword_partition] = sym_keyword_partition,
  [sym_keyword_by] = sym_keyword_by,
  [sym_keyword_having] = sym_keyword_having,
  [sym_keyword_desc] = sym_keyword_desc,
  [sym_keyword_asc] = sym_keyword_asc,
  [sym_keyword_limit] = sym_keyword_limit,
  [sym_keyword_offset] = sym_keyword_offset,
  [sym_keyword_primary] = sym_keyword_primary,
  [sym_keyword_create] = sym_keyword_create,
  [sym_keyword_alter] = sym_keyword_alter,
  [sym_keyword_change] = sym_keyword_change,
  [sym_keyword_analyze] = sym_keyword_analyze,
  [sym_keyword_explain] = sym_keyword_explain,
  [sym_keyword_verbose] = sym_keyword_verbose,
  [sym_keyword_modify] = sym_keyword_modify,
  [sym_keyword_drop] = sym_keyword_drop,
  [sym_keyword_add] = sym_keyword_add,
  [sym_keyword_table] = sym_keyword_table,
  [sym_keyword_tables] = sym_keyword_tables,
  [sym_keyword_view] = sym_keyword_view,
  [sym_keyword_column] = sym_keyword_column,
  [sym_keyword_columns] = sym_keyword_columns,
  [sym_keyword_materialized] = sym_keyword_materialized,
  [sym_keyword_tablespace] = sym_keyword_tablespace,
  [sym_keyword_sequence] = sym_keyword_sequence,
  [sym_keyword_increment] = sym_keyword_increment,
  [sym_keyword_minvalue] = sym_keyword_minvalue,
  [sym_keyword_maxvalue] = sym_keyword_maxvalue,
  [sym_keyword_none] = sym_keyword_none,
  [sym_keyword_owned] = sym_keyword_owned,
  [sym_keyword_start] = sym_keyword_start,
  [sym_keyword_restart] = sym_keyword_restart,
  [sym_keyword_key] = sym_keyword_key,
  [sym_keyword_duplicate] = sym_keyword_duplicate,
  [sym_keyword_as] = sym_keyword_as,
  [sym_keyword_distinct] = sym_keyword_distinct,
  [sym_keyword_constraint] = sym_keyword_constraint,
  [sym_keyword_filter] = sym_keyword_filter,
  [sym_keyword_cast] = sym_keyword_cast,
  [sym_keyword_separator] = sym_keyword_separator,
  [sym_keyword_case] = sym_keyword_case,
  [sym_keyword_when] = sym_keyword_when,
  [sym_keyword_then] = sym_keyword_then,
  [sym_keyword_else] = sym_keyword_else,
  [sym_keyword_end] = sym_keyword_end,
  [sym_keyword_in] = sym_keyword_in,
  [sym_keyword_and] = sym_keyword_and,
  [sym_keyword_or] = sym_keyword_or,
  [sym_keyword_is] = sym_keyword_is,
  [sym_keyword_not] = sym_keyword_not,
  [sym_keyword_force] = sym_keyword_force,
  [sym_keyword_ignore] = sym_keyword_ignore,
  [sym_keyword_using] = sym_keyword_using,
  [sym_keyword_use] = sym_keyword_use,
  [sym_keyword_index] = sym_keyword_index,
  [sym_keyword_for] = sym_keyword_for,
  [sym_keyword_if] = sym_keyword_if,
  [sym_keyword_exists] = sym_keyword_exists,
  [sym_keyword_auto_increment] = sym_keyword_auto_increment,
  [sym_keyword_generated] = sym_keyword_generated,
  [sym_keyword_always] = sym_keyword_always,
  [sym_keyword_collate] = sym_keyword_collate,
  [aux_sym_keyword_character_token1] = aux_sym_keyword_character_token1,
  [sym_keyword_engine] = sym_keyword_engine,
  [sym_keyword_default] = sym_keyword_default,
  [sym_keyword_cascade] = sym_keyword_cascade,
  [sym_keyword_restrict] = sym_keyword_restrict,
  [sym_keyword_with] = sym_keyword_with,
  [sym_keyword_without] = sym_keyword_without,
  [sym_keyword_no] = sym_keyword_no,
  [sym_keyword_data] = sym_keyword_data,
  [sym_keyword_type] = sym_keyword_type,
  [sym_keyword_rename] = sym_keyword_rename,
  [sym_keyword_to] = sym_keyword_to,
  [sym_keyword_database] = sym_keyword_database,
  [sym_keyword_schema] = sym_keyword_schema,
  [sym_keyword_owner] = sym_keyword_owner,
  [sym_keyword_user] = sym_keyword_user,
  [sym_keyword_admin] = sym_keyword_admin,
  [sym_keyword_password] = sym_keyword_password,
  [sym_keyword_encrypted] = sym_keyword_encrypted,
  [sym_keyword_valid] = sym_keyword_valid,
  [sym_keyword_until] = sym_keyword_until,
  [sym_keyword_connection] = sym_keyword_connection,
  [sym_keyword_role] = sym_keyword_role,
  [sym_keyword_reset] = sym_keyword_reset,
  [sym_keyword_temp] = sym_keyword_temp,
  [sym_keyword_temporary] = sym_keyword_temporary,
  [sym_keyword_unlogged] = sym_keyword_unlogged,
  [sym_keyword_logged] = sym_keyword_logged,
  [sym_keyword_cycle] = sym_keyword_cycle,
  [sym_keyword_union] = sym_keyword_union,
  [sym_keyword_all] = sym_keyword_all,
  [sym_keyword_any] = sym_keyword_any,
  [sym_keyword_some] = sym_keyword_some,
  [sym_keyword_except] = sym_keyword_except,
  [sym_keyword_intersect] = sym_keyword_intersect,
  [sym_keyword_returning] = sym_keyword_returning,
  [sym_keyword_begin] = sym_keyword_begin,
  [sym_keyword_commit] = sym_keyword_commit,
  [sym_keyword_rollback] = sym_keyword_rollback,
  [sym_keyword_transaction] = sym_keyword_transaction,
  [sym_keyword_over] = sym_keyword_over,
  [sym_keyword_nulls] = sym_keyword_nulls,
  [sym_keyword_first] = sym_keyword_first,
  [sym_keyword_after] = sym_keyword_after,
  [sym_keyword_before] = sym_keyword_before,
  [sym_keyword_last] = sym_keyword_last,
  [sym_keyword_window] = sym_keyword_window,
  [sym_keyword_range] = sym_keyword_range,
  [sym_keyword_rows] = sym_keyword_rows,
  [sym_keyword_groups] = sym_keyword_groups,
  [sym_keyword_between] = sym_keyword_between,
  [sym_keyword_unbounded] = sym_keyword_unbounded,
  [sym_keyword_preceding] = sym_keyword_preceding,
  [sym_keyword_following] = sym_keyword_following,
  [sym_keyword_exclude] = sym_keyword_exclude,
  [sym_keyword_current] = sym_keyword_current,
  [sym_keyword_row] = sym_keyword_row,
  [sym_keyword_ties] = sym_keyword_ties,
  [sym_keyword_others] = sym_keyword_others,
  [sym_keyword_only] = sym_keyword_only,
  [sym_keyword_unique] = sym_keyword_unique,
  [sym_keyword_foreign] = sym_keyword_foreign,
  [sym_keyword_references] = sym_keyword_references,
  [sym_keyword_concurrently] = sym_keyword_concurrently,
  [sym_keyword_btree] = sym_keyword_btree,
  [sym_keyword_hash] = sym_keyword_hash,
  [sym_keyword_gist] = sym_keyword_gist,
  [sym_keyword_spgist] = sym_keyword_spgist,
  [sym_keyword_gin] = sym_keyword_gin,
  [sym_keyword_brin] = sym_keyword_brin,
  [aux_sym_keyword_like_token1] = aux_sym_keyword_like_token1,
  [aux_sym_keyword_like_token2] = aux_sym_keyword_like_token2,
  [sym_keyword_similar] = sym_keyword_similar,
  [sym_keyword_unsigned] = sym_keyword_unsigned,
  [sym_keyword_zerofill] = sym_keyword_zerofill,
  [sym_keyword_conflict] = sym_keyword_conflict,
  [sym_keyword_do] = sym_keyword_do,
  [sym_keyword_nothing] = sym_keyword_nothing,
  [sym_keyword_high_priority] = sym_keyword_high_priority,
  [sym_keyword_low_priority] = sym_keyword_low_priority,
  [sym_keyword_delayed] = sym_keyword_delayed,
  [sym_keyword_recursive] = sym_keyword_recursive,
  [sym_keyword_cascaded] = sym_keyword_cascaded,
  [sym_keyword_local] = sym_keyword_local,
  [sym_keyword_current_timestamp] = sym_keyword_current_timestamp,
  [sym_keyword_check] = sym_keyword_check,
  [sym_keyword_option] = sym_keyword_option,
  [sym_keyword_vacuum] = sym_keyword_vacuum,
  [sym_keyword_wait] = sym_keyword_wait,
  [sym_keyword_nowait] = sym_keyword_nowait,
  [sym_keyword_attribute] = sym_keyword_attribute,
  [sym_keyword_authorization] = sym_keyword_authorization,
  [sym_keyword_action] = sym_keyword_action,
  [sym_keyword_extension] = sym_keyword_extension,
  [sym_keyword_copy] = sym_keyword_copy,
  [sym_keyword_stdin] = sym_keyword_stdin,
  [sym_keyword_freeze] = sym_keyword_freeze,
  [sym_keyword_escape] = sym_keyword_escape,
  [sym_keyword_encoding] = sym_keyword_encoding,
  [sym_keyword_force_quote] = sym_keyword_force_quote,
  [sym_keyword_quote] = sym_keyword_quote,
  [sym_keyword_force_null] = sym_keyword_force_null,
  [sym_keyword_force_not_null] = sym_keyword_force_not_null,
  [sym_keyword_header] = sym_keyword_header,
  [sym_keyword_match] = sym_keyword_match,
  [sym_keyword_program] = sym_keyword_program,
  [sym_keyword_plain] = sym_keyword_plain,
  [sym_keyword_extended] = sym_keyword_extended,
  [sym_keyword_main] = sym_keyword_main,
  [sym_keyword_storage] = sym_keyword_storage,
  [sym_keyword_compression] = sym_keyword_compression,
  [sym_keyword_trigger] = sym_keyword_trigger,
  [sym_keyword_function] = sym_keyword_function,
  [sym_keyword_returns] = sym_keyword_returns,
  [sym_keyword_return] = sym_keyword_return,
  [sym_keyword_setof] = sym_keyword_setof,
  [sym_keyword_atomic] = sym_keyword_atomic,
  [sym_keyword_declare] = sym_keyword_declare,
  [sym_keyword_language] = sym_keyword_language,
  [sym_keyword_immutable] = sym_keyword_immutable,
  [sym_keyword_stable] = sym_keyword_stable,
  [sym_keyword_volatile] = sym_keyword_volatile,
  [sym_keyword_leakproof] = sym_keyword_leakproof,
  [sym_keyword_parallel] = sym_keyword_parallel,
  [sym_keyword_safe] = sym_keyword_safe,
  [sym_keyword_unsafe] = sym_keyword_unsafe,
  [sym_keyword_restricted] = sym_keyword_restricted,
  [sym_keyword_called] = sym_keyword_called,
  [sym_keyword_input] = sym_keyword_input,
  [sym_keyword_strict] = sym_keyword_strict,
  [sym_keyword_cost] = sym_keyword_cost,
  [sym_keyword_support] = sym_keyword_support,
  [sym_keyword_definer] = sym_keyword_definer,
  [sym_keyword_invoker] = sym_keyword_invoker,
  [sym_keyword_security] = sym_keyword_security,
  [sym_keyword_version] = sym_keyword_version,
  [sym_keyword_out] = sym_keyword_out,
  [sym_keyword_inout] = sym_keyword_inout,
  [sym_keyword_variadic] = sym_keyword_variadic,
  [sym_keyword_ordinality] = sym_keyword_ordinality,
  [sym_keyword_session] = sym_keyword_session,
  [sym_keyword_isolation] = sym_keyword_isolation,
  [sym_keyword_level] = sym_keyword_level,
  [sym_keyword_serializable] = sym_keyword_serializable,
  [sym_keyword_repeatable] = sym_keyword_repeatable,
  [sym_keyword_read] = sym_keyword_read,
  [sym_keyword_write] = sym_keyword_write,
  [sym_keyword_committed] = sym_keyword_committed,
  [sym_keyword_uncommitted] = sym_keyword_uncommitted,
  [sym_keyword_deferrable] = sym_keyword_deferrable,
  [sym_keyword_names] = sym_keyword_names,
  [sym_keyword_zone] = sym_keyword_zone,
  [sym_keyword_immediate] = sym_keyword_immediate,
  [sym_keyword_deferred] = sym_keyword_deferred,
  [sym_keyword_constraints] = sym_keyword_constraints,
  [sym_keyword_snapshot] = sym_keyword_snapshot,
  [sym_keyword_characteristics] = sym_keyword_characteristics,
  [sym_keyword_follows] = sym_keyword_follows,
  [sym_keyword_precedes] = sym_keyword_precedes,
  [sym_keyword_each] = sym_keyword_each,
  [sym_keyword_instead] = sym_keyword_instead,
  [sym_keyword_of] = sym_keyword_of,
  [sym_keyword_initially] = sym_keyword_initially,
  [sym_keyword_old] = sym_keyword_old,
  [sym_keyword_new] = sym_keyword_new,
  [sym_keyword_referencing] = sym_keyword_referencing,
  [sym_keyword_statement] = sym_keyword_statement,
  [sym_keyword_execute] = sym_keyword_execute,
  [sym_keyword_procedure] = sym_keyword_procedure,
  [sym_keyword_external] = sym_keyword_external,
  [sym_keyword_stored] = sym_keyword_stored,
  [sym_keyword_virtual] = sym_keyword_virtual,
  [sym_keyword_cached] = sym_keyword_cached,
  [sym_keyword_uncached] = sym_keyword_uncached,
  [sym_keyword_replication] = sym_keyword_replication,
  [sym_keyword_tblproperties] = sym_keyword_tblproperties,
  [sym_keyword_compute] = sym_keyword_compute,
  [sym_keyword_stats] = sym_keyword_stats,
  [sym_keyword_statistics] = sym_keyword_statistics,
  [sym_keyword_optimize] = sym_keyword_optimize,
  [sym_keyword_rewrite] = sym_keyword_rewrite,
  [sym_keyword_bin_pack] = sym_keyword_bin_pack,
  [sym_keyword_incremental] = sym_keyword_incremental,
  [sym_keyword_location] = sym_keyword_location,
  [sym_keyword_partitioned] = sym_keyword_partitioned,
  [sym_keyword_comment] = sym_keyword_comment,
  [sym_keyword_sort] = sym_keyword_sort,
  [sym_keyword_format] = sym_keyword_format,
  [sym_keyword_delimited] = sym_keyword_delimited,
  [sym_keyword_delimiter] = sym_keyword_delimiter,
  [sym_keyword_fields] = sym_keyword_fields,
  [sym_keyword_terminated] = sym_keyword_terminated,
  [sym_keyword_escaped] = sym_keyword_escaped,
  [sym_keyword_lines] = sym_keyword_lines,
  [sym_keyword_cache] = sym_keyword_cache,
  [sym_keyword_metadata] = sym_keyword_metadata,
  [sym_keyword_noscan] = sym_keyword_noscan,
  [sym_keyword_parquet] = sym_keyword_parquet,
  [sym_keyword_rcfile] = sym_keyword_rcfile,
  [sym_keyword_csv] = sym_keyword_csv,
  [sym_keyword_textfile] = sym_keyword_textfile,
  [sym_keyword_avro] = sym_keyword_avro,
  [sym_keyword_sequencefile] = sym_keyword_sequencefile,
  [sym_keyword_orc] = sym_keyword_orc,
  [sym_keyword_jsonfile] = sym_keyword_jsonfile,
  [sym_keyword_null] = sym_keyword_null,
  [sym_keyword_true] = sym_keyword_true,
  [sym_keyword_false] = sym_keyword_false,
  [sym_keyword_boolean] = sym_keyword_boolean,
  [sym_keyword_bit] = sym_keyword_bit,
  [sym_keyword_binary] = sym_keyword_binary,
  [sym_keyword_varbinary] = sym_keyword_varbinary,
  [sym_keyword_image] = sym_keyword_image,
  [aux_sym_keyword_smallserial_token1] = aux_sym_keyword_smallserial_token1,
  [aux_sym_keyword_smallserial_token2] = aux_sym_keyword_smallserial_token2,
  [aux_sym_keyword_serial_token1] = aux_sym_keyword_serial_token1,
  [aux_sym_keyword_serial_token2] = aux_sym_keyword_serial_token2,
  [aux_sym_keyword_bigserial_token1] = aux_sym_keyword_bigserial_token1,
  [aux_sym_keyword_bigserial_token2] = aux_sym_keyword_bigserial_token2,
  [aux_sym_keyword_tinyint_token1] = aux_sym_keyword_tinyint_token1,
  [aux_sym_keyword_tinyint_token2] = aux_sym_keyword_tinyint_token2,
  [aux_sym_keyword_smallint_token1] = aux_sym_keyword_smallint_token1,
  [aux_sym_keyword_smallint_token2] = aux_sym_keyword_smallint_token2,
  [aux_sym_keyword_mediumint_token1] = aux_sym_keyword_mediumint_token1,
  [aux_sym_keyword_mediumint_token2] = aux_sym_keyword_mediumint_token2,
  [aux_sym_keyword_int_token1] = aux_sym_keyword_int_token1,
  [aux_sym_keyword_int_token2] = aux_sym_keyword_int_token2,
  [aux_sym_keyword_int_token3] = aux_sym_keyword_int_token3,
  [aux_sym_keyword_bigint_token1] = aux_sym_keyword_bigint_token1,
  [aux_sym_keyword_bigint_token2] = aux_sym_keyword_bigint_token2,
  [sym_keyword_decimal] = sym_keyword_decimal,
  [sym_keyword_numeric] = sym_keyword_numeric,
  [aux_sym_keyword_real_token1] = aux_sym_keyword_real_token1,
  [aux_sym_keyword_real_token2] = aux_sym_keyword_real_token2,
  [sym_keyword_float] = sym_keyword_float,
  [sym_keyword_double] = sym_keyword_double,
  [sym_keyword_precision] = sym_keyword_precision,
  [sym_keyword_inet] = sym_keyword_inet,
  [sym_keyword_money] = sym_keyword_money,
  [sym_keyword_smallmoney] = sym_keyword_smallmoney,
  [sym_keyword_varying] = sym_keyword_varying,
  [aux_sym_keyword_char_token1] = aux_sym_keyword_char_token1,
  [sym_keyword_nchar] = sym_keyword_nchar,
  [aux_sym_keyword_varchar_token1] = aux_sym_keyword_varchar_token1,
  [sym_keyword_nvarchar] = sym_keyword_nvarchar,
  [sym_keyword_text] = sym_keyword_text,
  [sym_keyword_string] = sym_keyword_string,
  [sym_keyword_uuid] = sym_keyword_uuid,
  [sym_keyword_json] = sym_keyword_json,
  [sym_keyword_jsonb] = sym_keyword_jsonb,
  [sym_keyword_xml] = sym_keyword_xml,
  [sym_keyword_bytea] = sym_keyword_bytea,
  [sym_keyword_enum] = sym_keyword_enum,
  [sym_keyword_date] = sym_keyword_date,
  [sym_keyword_datetime] = sym_keyword_datetime,
  [sym_keyword_datetime2] = sym_keyword_datetime2,
  [sym_keyword_smalldatetime] = sym_keyword_smalldatetime,
  [sym_keyword_datetimeoffset] = sym_keyword_datetimeoffset,
  [sym_keyword_time] = sym_keyword_time,
  [sym_keyword_timestamp] = sym_keyword_timestamp,
  [sym_keyword_timestamptz] = sym_keyword_timestamptz,
  [sym_keyword_interval] = sym_keyword_interval,
  [sym_keyword_geometry] = sym_keyword_geometry,
  [sym_keyword_geography] = sym_keyword_geography,
  [sym_keyword_box2d] = sym_keyword_box2d,
  [sym_keyword_box3d] = sym_keyword_box3d,
  [sym_keyword_oid] = sym_keyword_oid,
  [sym_keyword_oids] = sym_keyword_oids,
  [sym_keyword_name] = sym_keyword_name,
  [sym_keyword_regclass] = sym_keyword_regclass,
  [sym_keyword_regnamespace] = sym_keyword_regnamespace,
  [sym_keyword_regproc] = sym_keyword_regproc,
  [sym_keyword_regtype] = sym_keyword_regtype,
  [sym_keyword_array] = sym_keyword_array,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [aux_sym_double_token1] = aux_sym_double_token1,
  [sym_comment] = sym_comment,
  [sym_marginalia] = sym_marginalia,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_STAR] = anon_sym_STAR,
  [sym_parameter] = sym_parameter,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_COLON] = anon_sym_COLON,
  [sym_op_other] = sym_op_other,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [sym_op_unary_other] = sym_op_unary_other,
  [sym__double_quote_string] = sym__double_quote_string,
  [aux_sym__single_quote_string_token1] = aux_sym__single_quote_string_token1,
  [aux_sym__single_quote_string_token2] = aux_sym__single_quote_string_token2,
  [sym__natural_number] = sym__natural_number,
  [aux_sym__integer_token1] = aux_sym__integer_token1,
  [aux_sym__decimal_number_token1] = aux_sym__decimal_number_token1,
  [aux_sym__bit_string_token1] = aux_sym__bit_string_token1,
  [sym_bang] = sym_bang,
  [aux_sym_identifier_token1] = aux_sym_identifier_token1,
  [sym__dollar_quoted_string_start_tag] = sym__dollar_quoted_string_start_tag,
  [sym__dollar_quoted_string_end_tag] = sym__dollar_quoted_string_start_tag,
  [sym__dollar_quoted_string] = sym__dollar_quoted_string,
  [sym_program] = sym_program,
  [sym_keyword_character] = sym_keyword_character,
  [sym_keyword_like] = sym_keyword_like,
  [sym_is_not] = sym_is_not,
  [sym_not_like] = sym_not_like,
  [sym_similar_to] = sym_similar_to,
  [sym_not_similar_to] = sym_not_similar_to,
  [sym_distinct_from] = sym_distinct_from,
  [sym_not_distinct_from] = sym_not_distinct_from,
  [sym__temporary] = sym__temporary,
  [sym__not_null] = sym__not_null,
  [sym__primary_key] = sym__primary_key,
  [sym__if_exists] = sym__if_exists,
  [sym__if_not_exists] = sym__if_not_exists,
  [sym__or_replace] = sym__or_replace,
  [sym__current_row] = sym__current_row,
  [sym__exclude_current_row] = sym__exclude_current_row,
  [sym__exclude_group] = sym__exclude_group,
  [sym__exclude_no_others] = sym__exclude_no_others,
  [sym__exclude_ties] = sym__exclude_ties,
  [sym__check_option] = sym__check_option,
  [sym_direction] = sym_direction,
  [sym_keyword_smallserial] = sym_keyword_smallserial,
  [sym_keyword_serial] = sym_keyword_serial,
  [sym_keyword_bigserial] = sym_keyword_bigserial,
  [sym_keyword_tinyint] = sym_keyword_tinyint,
  [sym_keyword_smallint] = sym_keyword_smallint,
  [sym_keyword_mediumint] = sym_keyword_mediumint,
  [sym_keyword_int] = sym_keyword_int,
  [sym_keyword_bigint] = sym_keyword_bigint,
  [sym_keyword_real] = sym_keyword_real,
  [sym_keyword_char] = sym_keyword_char,
  [sym_keyword_varchar] = sym_keyword_varchar,
  [sym__type] = sym__type,
  [sym_array_size_definition] = sym_array_size_definition,
  [sym__array_size_definition] = sym__array_size_definition,
  [sym_tinyint] = sym_tinyint,
  [sym_smallint] = sym_smallint,
  [sym_mediumint] = sym_mediumint,
  [sym_int] = sym_int,
  [sym_bigint] = sym_bigint,
  [sym_bit] = sym_bit,
  [sym_binary] = sym_binary,
  [sym_varbinary] = sym_varbinary,
  [sym_float] = sym_float,
  [sym_double] = sym_double,
  [sym_decimal] = sym_decimal,
  [sym_numeric] = sym_numeric,
  [sym_char] = sym_char,
  [sym_varchar] = sym_varchar,
  [sym_nchar] = sym_nchar,
  [sym_nvarchar] = sym_nvarchar,
  [sym__include_time_zone] = sym__include_time_zone,
  [sym_datetimeoffset] = sym_datetimeoffset,
  [sym_time] = sym_time,
  [sym_timestamp] = sym_timestamp,
  [sym_enum] = sym_enum,
  [sym_array] = sym_array,
  [sym_transaction] = sym_transaction,
  [sym__commit] = sym__commit,
  [sym__rollback] = sym__rollback,
  [sym_block] = sym_block,
  [sym_statement] = sym_statement,
  [sym__ddl_statement] = sym__ddl_statement,
  [sym__cte] = sym__cte,
  [sym__dml_write] = sym__dml_write,
  [sym__dml_read] = sym__dml_read,
  [sym__show_statement] = sym__show_statement,
  [sym__show_tables] = sym__show_tables,
  [sym__show_create] = sym__show_create,
  [sym_cte] = sym_cte,
  [sym_set_operation] = sym_set_operation,
  [sym__select_statement] = sym__select_statement,
  [sym_comment_statement] = sym_comment_statement,
  [sym__argmode] = sym__argmode,
  [sym_function_argument] = sym_function_argument,
  [sym_function_arguments] = sym_function_arguments,
  [sym__comment_target] = sym__comment_target,
  [sym_select] = sym_select,
  [sym_select_expression] = sym_select_expression,
  [sym_term] = sym_term,
  [sym__truncate_statement] = sym__truncate_statement,
  [sym__delete_statement] = sym__delete_statement,
  [sym__delete_from] = sym_from,
  [sym_delete] = sym_delete,
  [sym__create_statement] = sym__create_statement,
  [sym__table_settings] = sym__table_settings,
  [sym_storage_parameters] = sym_storage_parameters,
  [sym_create_table] = sym_create_table,
  [sym_reset_statement] = sym_reset_statement,
  [sym__transaction_mode] = sym__transaction_mode,
  [sym_set_statement] = sym_set_statement,
  [sym_create_query] = sym_create_query,
  [sym_create_view] = sym_create_view,
  [sym_create_materialized_view] = sym_create_materialized_view,
  [sym_create_function] = sym_create_function,
  [sym__function_return] = sym__function_return,
  [sym_function_declaration] = sym_function_declaration,
  [sym__function_body_statement] = sym__function_body_statement,
  [sym_function_body] = sym_function_body,
  [sym_function_language] = sym_function_language,
  [sym_function_volatility] = sym_function_volatility,
  [sym_function_leakproof] = sym_function_leakproof,
  [sym_function_security] = sym_function_security,
  [sym_function_safety] = sym_function_safety,
  [sym_function_strictness] = sym_function_strictness,
  [sym_function_cost] = sym_function_cost,
  [sym_function_rows] = sym_function_rows,
  [sym_function_support] = sym_function_support,
  [sym__operator_class] = sym__operator_class,
  [sym__index_field] = sym_field,
  [sym_index_fields] = sym_index_fields,
  [sym_create_index] = sym_create_index,
  [sym_create_schema] = sym_create_schema,
  [sym__with_settings] = sym__with_settings,
  [sym_create_database] = sym_create_database,
  [sym_create_role] = sym_create_role,
  [sym__role_options] = sym__role_options,
  [sym__user_access_role_config] = sym__user_access_role_config,
  [sym_create_sequence] = sym_create_sequence,
  [sym_create_extension] = sym_create_extension,
  [sym_create_trigger] = sym_create_trigger,
  [sym__create_trigger_event] = sym__create_trigger_event,
  [sym_create_type] = sym_create_type,
  [sym_enum_elements] = sym_enum_elements,
  [sym__alter_statement] = sym__alter_statement,
  [sym__rename_statement] = sym__rename_statement,
  [sym__rename_table_names] = sym__rename_table_names,
  [sym_alter_table] = sym_alter_table,
  [sym__alter_specifications] = sym__alter_specifications,
  [sym_add_column] = sym_add_column,
  [sym_add_constraint] = sym_add_constraint,
  [sym_drop_constraint] = sym_drop_constraint,
  [sym_alter_column] = sym_alter_column,
  [sym_modify_column] = sym_modify_column,
  [sym_change_column] = sym_change_column,
  [sym_column_position] = sym_column_position,
  [sym_drop_column] = sym_drop_column,
  [sym_rename_column] = sym_rename_column,
  [sym_alter_view] = sym_alter_view,
  [sym_alter_schema] = sym_alter_schema,
  [sym_alter_database] = sym_alter_database,
  [sym_alter_role] = sym_alter_role,
  [sym_set_configuration] = sym_set_configuration,
  [sym_alter_index] = sym_alter_index,
  [sym_alter_sequence] = sym_alter_sequence,
  [sym_alter_type] = sym_alter_type,
  [sym__drop_behavior] = sym__drop_behavior,
  [sym__drop_statement] = sym__drop_statement,
  [sym_drop_table] = sym_drop_table,
  [sym_drop_view] = sym_drop_view,
  [sym_drop_schema] = sym_drop_schema,
  [sym_drop_database] = sym_drop_database,
  [sym_drop_role] = sym_drop_role,
  [sym_drop_type] = sym_drop_type,
  [sym_drop_sequence] = sym_drop_sequence,
  [sym_drop_index] = sym_drop_index,
  [sym_drop_extension] = sym_drop_extension,
  [sym_rename_object] = sym_rename_object,
  [sym_set_schema] = sym_set_schema,
  [sym_change_ownership] = sym_change_ownership,
  [sym_object_reference] = sym_object_reference,
  [sym__copy_statement] = sym__copy_statement,
  [sym__insert_statement] = sym__insert_statement,
  [sym_insert] = sym_insert,
  [sym__on_conflict] = sym__on_conflict,
  [sym__on_duplicate_key_update] = sym__on_duplicate_key_update,
  [sym_assignment_list] = sym_assignment_list,
  [sym__insert_values] = sym__insert_values,
  [sym__set_values] = sym__set_values,
  [sym__column_list] = sym__column_list,
  [sym__column] = sym__column,
  [sym__update_statement] = sym__update_statement,
  [sym__merge_statement] = sym__merge_statement,
  [sym_when_clause] = sym_when_clause,
  [sym__optimize_statement] = sym__optimize_statement,
  [sym__compute_stats] = sym__compute_stats,
  [sym__optimize_table] = sym__optimize_table,
  [sym__vacuum_table] = sym__vacuum_table,
  [sym__vacuum_option] = sym__vacuum_option,
  [sym__partition_spec] = sym__partition_spec,
  [sym_update] = sym_update,
  [sym__mysql_update_statement] = sym__mysql_update_statement,
  [sym__postgres_update_statement] = sym__postgres_update_statement,
  [sym_storage_location] = sym_storage_location,
  [sym_row_format] = sym_row_format,
  [sym_table_sort] = sym_table_sort,
  [sym_table_partition] = sym_table_partition,
  [sym__key_value_pair] = sym__key_value_pair,
  [sym_stored_as] = sym_stored_as,
  [sym_assignment] = sym_assignment,
  [sym_table_option] = sym_table_option,
  [sym_column_definitions] = sym_column_definitions,
  [sym_column_definition] = sym_column_definition,
  [sym__column_comment] = sym__column_comment,
  [sym__column_constraint] = sym__column_constraint,
  [sym__check_constraint] = sym__check_constraint,
  [sym__default_expression] = sym__default_expression,
  [sym__inner_default_expression] = sym__inner_default_expression,
  [sym_constraints] = sym_constraints,
  [sym_constraint] = sym_constraint,
  [sym__constraint_literal] = sym__constraint_literal,
  [sym__primary_key_constraint] = sym__primary_key_constraint,
  [sym__key_constraint] = sym__key_constraint,
  [sym_ordered_columns] = sym_ordered_columns,
  [sym_ordered_column] = sym_ordered_column,
  [sym_all_fields] = sym_all_fields,
  [sym_case] = sym_case,
  [sym_field] = sym_field,
  [sym__qualified_field] = sym__qualified_field,
  [sym_implicit_cast] = sym_cast,
  [sym_interval] = sym_interval,
  [sym_cast] = sym_cast,
  [sym_filter_expression] = sym_filter_expression,
  [sym_invocation] = sym_invocation,
  [sym_exists] = sym_exists,
  [sym_partition_by] = sym_partition_by,
  [sym_frame_definition] = sym_frame_definition,
  [sym_window_frame] = sym_window_frame,
  [sym_window_clause] = sym_window_clause,
  [sym_window_specification] = sym_window_specification,
  [sym_window_function] = sym_window_function,
  [sym__alias] = sym__alias,
  [sym_from] = sym_from,
  [sym_relation] = sym_relation,
  [sym_values] = sym_values,
  [sym_index_hint] = sym_index_hint,
  [sym_join] = sym_join,
  [sym_cross_join] = sym_cross_join,
  [sym_lateral_join] = sym_lateral_join,
  [sym_lateral_cross_join] = sym_lateral_cross_join,
  [sym_where] = sym_where,
  [sym_group_by] = sym_group_by,
  [sym__having] = sym__having,
  [sym_order_by] = sym_order_by,
  [sym_order_target] = sym_order_target,
  [sym_limit] = sym_limit,
  [sym_offset] = sym_offset,
  [sym_returning] = sym_returning,
  [sym__expression] = sym__expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_subscript] = sym_subscript,
  [sym_binary_expression] = sym_binary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_between_expression] = sym_between_expression,
  [sym_not_in] = sym_not_in,
  [sym_subquery] = sym_subquery,
  [sym_list] = sym_list,
  [sym_literal] = sym_literal,
  [sym__single_quote_string] = sym__single_quote_string,
  [sym__literal_string] = sym__literal_string,
  [sym__integer] = sym__integer,
  [sym__decimal_number] = sym__decimal_number,
  [sym__bit_string] = sym__bit_string,
  [sym__string_casting] = sym__string_casting,
  [sym_identifier] = sym_identifier,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym_array_size_definition_repeat1] = aux_sym_array_size_definition_repeat1,
  [aux_sym_enum_repeat1] = aux_sym_enum_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_transaction_repeat1] = aux_sym_transaction_repeat1,
  [aux_sym__cte_repeat1] = aux_sym__cte_repeat1,
  [aux_sym_cte_repeat1] = aux_sym_cte_repeat1,
  [aux_sym_set_operation_repeat1] = aux_sym_set_operation_repeat1,
  [aux_sym_function_arguments_repeat1] = aux_sym_function_arguments_repeat1,
  [aux_sym_select_expression_repeat1] = aux_sym_select_expression_repeat1,
  [aux_sym__truncate_statement_repeat1] = aux_sym__truncate_statement_repeat1,
  [aux_sym__create_statement_repeat1] = aux_sym__create_statement_repeat1,
  [aux_sym__table_settings_repeat1] = aux_sym__table_settings_repeat1,
  [aux_sym_storage_parameters_repeat1] = aux_sym_storage_parameters_repeat1,
  [aux_sym_create_table_repeat1] = aux_sym_create_table_repeat1,
  [aux_sym_set_statement_repeat1] = aux_sym_set_statement_repeat1,
  [aux_sym_create_function_repeat1] = aux_sym_create_function_repeat1,
  [aux_sym_function_body_repeat1] = aux_sym_function_body_repeat1,
  [aux_sym_function_body_repeat2] = aux_sym_function_body_repeat2,
  [aux_sym_index_fields_repeat1] = aux_sym_index_fields_repeat1,
  [aux_sym_create_database_repeat1] = aux_sym_create_database_repeat1,
  [aux_sym_create_role_repeat1] = aux_sym_create_role_repeat1,
  [aux_sym_create_sequence_repeat1] = aux_sym_create_sequence_repeat1,
  [aux_sym_create_trigger_repeat1] = aux_sym_create_trigger_repeat1,
  [aux_sym_create_trigger_repeat2] = aux_sym_create_trigger_repeat2,
  [aux_sym_create_trigger_repeat3] = aux_sym_create_trigger_repeat3,
  [aux_sym_create_type_repeat1] = aux_sym_create_type_repeat1,
  [aux_sym_enum_elements_repeat1] = aux_sym_enum_elements_repeat1,
  [aux_sym__rename_statement_repeat1] = aux_sym__rename_statement_repeat1,
  [aux_sym_alter_table_repeat1] = aux_sym_alter_table_repeat1,
  [aux_sym_alter_column_repeat1] = aux_sym_alter_column_repeat1,
  [aux_sym_alter_role_repeat1] = aux_sym_alter_role_repeat1,
  [aux_sym_alter_index_repeat1] = aux_sym_alter_index_repeat1,
  [aux_sym_alter_sequence_repeat1] = aux_sym_alter_sequence_repeat1,
  [aux_sym__copy_statement_repeat1] = aux_sym__copy_statement_repeat1,
  [aux_sym_assignment_list_repeat1] = aux_sym_assignment_list_repeat1,
  [aux_sym__insert_values_repeat1] = aux_sym__insert_values_repeat1,
  [aux_sym__column_list_repeat1] = aux_sym__column_list_repeat1,
  [aux_sym__merge_statement_repeat1] = aux_sym__merge_statement_repeat1,
  [aux_sym__compute_stats_repeat1] = aux_sym__compute_stats_repeat1,
  [aux_sym__compute_stats_repeat2] = aux_sym__compute_stats_repeat2,
  [aux_sym__vacuum_table_repeat1] = aux_sym__vacuum_table_repeat1,
  [aux_sym__mysql_update_statement_repeat1] = aux_sym__mysql_update_statement_repeat1,
  [aux_sym__mysql_update_statement_repeat2] = aux_sym__mysql_update_statement_repeat2,
  [aux_sym_column_definitions_repeat1] = aux_sym_column_definitions_repeat1,
  [aux_sym_column_definition_repeat1] = aux_sym_column_definition_repeat1,
  [aux_sym__column_constraint_repeat1] = aux_sym__column_constraint_repeat1,
  [aux_sym_constraints_repeat1] = aux_sym_constraints_repeat1,
  [aux_sym_ordered_columns_repeat1] = aux_sym_ordered_columns_repeat1,
  [aux_sym_case_repeat1] = aux_sym_case_repeat1,
  [aux_sym_invocation_repeat1] = aux_sym_invocation_repeat1,
  [aux_sym_from_repeat1] = aux_sym_from_repeat1,
  [aux_sym_order_by_repeat1] = aux_sym_order_by_repeat1,
  [aux_sym__single_quote_string_repeat1] = aux_sym__single_quote_string_repeat1,
  [anon_alias_sym_command] = anon_alias_sym_command,
  [anon_alias_sym_filename] = anon_alias_sym_filename,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__identifier] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [sym_keyword_select] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_delete] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_insert] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_replace] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_update] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_truncate] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_merge] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_show] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_into] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_overwrite] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_values] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_value] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_matched] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_set] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_from] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_left] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_right] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_inner] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_full] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_outer] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_cross] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_join] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_lateral] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_natural] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_on] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_off] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_where] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_order] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_group] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_partition] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_by] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_having] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_desc] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_asc] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_limit] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_offset] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_primary] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_create] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_alter] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_change] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_analyze] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_explain] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_verbose] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_modify] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_drop] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_add] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_table] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_tables] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_view] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_column] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_columns] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_materialized] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_tablespace] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_increment] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_minvalue] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_maxvalue] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_none] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_owned] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_start] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_restart] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_key] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_duplicate] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_as] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_distinct] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_filter] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_cast] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_separator] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_case] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_when] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_then] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_else] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_end] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_in] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_and] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_or] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_is] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_not] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_force] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_ignore] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_using] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_use] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_index] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_for] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_if] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_exists] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_auto_increment] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_generated] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_always] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_collate] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_keyword_character_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_keyword_engine] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_default] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_cascade] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_restrict] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_with] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_without] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_no] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_data] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_type] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_rename] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_to] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_database] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_schema] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_owner] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_user] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_admin] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_password] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_encrypted] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_valid] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_until] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_connection] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_role] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_reset] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_temp] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_temporary] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_unlogged] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_logged] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_cycle] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_union] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_all] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_any] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_some] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_except] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_intersect] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_returning] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_begin] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_commit] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_rollback] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_transaction] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_over] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_nulls] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_first] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_after] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_before] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_last] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_window] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_range] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_rows] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_groups] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_between] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_unbounded] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_preceding] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_following] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_exclude] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_current] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_row] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_ties] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_others] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_only] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_unique] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_foreign] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_references] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_concurrently] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_btree] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_hash] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_gist] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_spgist] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_gin] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_brin] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_keyword_like_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_like_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_keyword_similar] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_unsigned] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_zerofill] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_conflict] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_do] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_nothing] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_high_priority] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_low_priority] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_delayed] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_recursive] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_cascaded] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_local] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_current_timestamp] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_check] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_option] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_vacuum] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_wait] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_nowait] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_authorization] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_action] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_copy] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_stdin] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_freeze] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_escape] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_encoding] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_force_quote] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_quote] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_force_null] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_force_not_null] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_header] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_match] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_program] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_plain] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_extended] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_main] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_storage] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_compression] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_trigger] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_function] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_returns] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_return] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_setof] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_atomic] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_declare] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_language] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_immutable] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_stable] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_volatile] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_leakproof] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_parallel] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_safe] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_unsafe] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_restricted] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_called] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_input] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_strict] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_cost] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_support] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_definer] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_invoker] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_security] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_version] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_out] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_inout] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_variadic] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_ordinality] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_session] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_isolation] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_level] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_serializable] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_repeatable] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_read] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_write] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_committed] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_uncommitted] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_deferrable] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_names] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_zone] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_immediate] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_deferred] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_constraints] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_snapshot] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_characteristics] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_follows] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_precedes] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_each] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_instead] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_of] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_initially] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_old] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_new] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_referencing] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_execute] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_procedure] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_external] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_stored] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_virtual] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_cached] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_uncached] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_replication] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_tblproperties] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_compute] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_stats] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_statistics] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_optimize] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_rewrite] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_bin_pack] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_incremental] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_location] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_partitioned] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_sort] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_format] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_delimited] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_delimiter] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_fields] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_terminated] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_escaped] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_lines] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_cache] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_metadata] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_noscan] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_parquet] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_rcfile] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_csv] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_textfile] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_avro] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_sequencefile] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_orc] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_jsonfile] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_null] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_true] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_false] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_bit] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_binary] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_varbinary] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_image] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_keyword_smallserial_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_smallserial_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_serial_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_serial_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_bigserial_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_bigserial_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_tinyint_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_tinyint_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_smallint_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_smallint_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_mediumint_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_mediumint_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_int_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_int_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_int_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_bigint_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_bigint_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_keyword_decimal] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_numeric] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_keyword_real_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_keyword_real_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_keyword_float] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_double] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_precision] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_inet] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_money] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_smallmoney] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_varying] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_keyword_char_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_keyword_nchar] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_keyword_varchar_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_keyword_nvarchar] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_text] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_string] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_uuid] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_json] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_jsonb] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_xml] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_bytea] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_enum] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_date] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_datetime] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_datetime2] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_smalldatetime] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_datetimeoffset] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_time] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_timestamp] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_timestamptz] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_interval] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_geometry] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_geography] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_box2d] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_box3d] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_oid] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_oids] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_name] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_regclass] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_regnamespace] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_regproc] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_regtype] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_array] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_double_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_marginalia] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [sym_op_other] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_op_unary_other] = {
    .visible = true,
    .named = true,
  },
  [sym__double_quote_string] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__single_quote_string_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__single_quote_string_token2] = {
    .visible = false,
    .named = false,
  },
  [sym__natural_number] = {
    .visible = false,
    .named = true,
  },
  [aux_sym__integer_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__decimal_number_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__bit_string_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_bang] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_identifier_token1] = {
    .visible = false,
    .named = false,
  },
  [sym__dollar_quoted_string_start_tag] = {
    .visible = true,
    .named = true,
  },
  [sym__dollar_quoted_string_end_tag] = {
    .visible = true,
    .named = true,
  },
  [sym__dollar_quoted_string] = {
    .visible = false,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_character] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_like] = {
    .visible = true,
    .named = true,
  },
  [sym_is_not] = {
    .visible = true,
    .named = true,
  },
  [sym_not_like] = {
    .visible = true,
    .named = true,
  },
  [sym_similar_to] = {
    .visible = true,
    .named = true,
  },
  [sym_not_similar_to] = {
    .visible = true,
    .named = true,
  },
  [sym_distinct_from] = {
    .visible = true,
    .named = true,
  },
  [sym_not_distinct_from] = {
    .visible = true,
    .named = true,
  },
  [sym__temporary] = {
    .visible = false,
    .named = true,
  },
  [sym__not_null] = {
    .visible = false,
    .named = true,
  },
  [sym__primary_key] = {
    .visible = false,
    .named = true,
  },
  [sym__if_exists] = {
    .visible = false,
    .named = true,
  },
  [sym__if_not_exists] = {
    .visible = false,
    .named = true,
  },
  [sym__or_replace] = {
    .visible = false,
    .named = true,
  },
  [sym__current_row] = {
    .visible = false,
    .named = true,
  },
  [sym__exclude_current_row] = {
    .visible = false,
    .named = true,
  },
  [sym__exclude_group] = {
    .visible = false,
    .named = true,
  },
  [sym__exclude_no_others] = {
    .visible = false,
    .named = true,
  },
  [sym__exclude_ties] = {
    .visible = false,
    .named = true,
  },
  [sym__check_option] = {
    .visible = false,
    .named = true,
  },
  [sym_direction] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_smallserial] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_serial] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_bigserial] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_tinyint] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_smallint] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_mediumint] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_int] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_bigint] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_real] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_char] = {
    .visible = true,
    .named = true,
  },
  [sym_keyword_varchar] = {
    .visible = true,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
  },
  [sym_array_size_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__array_size_definition] = {
    .visible = false,
    .named = true,
  },
  [sym_tinyint] = {
    .visible = true,
    .named = true,
  },
  [sym_smallint] = {
    .visible = true,
    .named = true,
  },
  [sym_mediumint] = {
    .visible = true,
    .named = true,
  },
  [sym_int] = {
    .visible = true,
    .named = true,
  },
  [sym_bigint] = {
    .visible = true,
    .named = true,
  },
  [sym_bit] = {
    .visible = true,
    .named = true,
  },
  [sym_binary] = {
    .visible = true,
    .named = true,
  },
  [sym_varbinary] = {
    .visible = true,
    .named = true,
  },
  [sym_float] = {
    .visible = true,
    .named = true,
  },
  [sym_double] = {
    .visible = true,
    .named = true,
  },
  [sym_decimal] = {
    .visible = true,
    .named = true,
  },
  [sym_numeric] = {
    .visible = true,
    .named = true,
  },
  [sym_char] = {
    .visible = true,
    .named = true,
  },
  [sym_varchar] = {
    .visible = true,
    .named = true,
  },
  [sym_nchar] = {
    .visible = true,
    .named = true,
  },
  [sym_nvarchar] = {
    .visible = true,
    .named = true,
  },
  [sym__include_time_zone] = {
    .visible = false,
    .named = true,
  },
  [sym_datetimeoffset] = {
    .visible = true,
    .named = true,
  },
  [sym_time] = {
    .visible = true,
    .named = true,
  },
  [sym_timestamp] = {
    .visible = true,
    .named = true,
  },
  [sym_enum] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_transaction] = {
    .visible = true,
    .named = true,
  },
  [sym__commit] = {
    .visible = false,
    .named = true,
  },
  [sym__rollback] = {
    .visible = false,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__ddl_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__cte] = {
    .visible = false,
    .named = true,
  },
  [sym__dml_write] = {
    .visible = false,
    .named = true,
  },
  [sym__dml_read] = {
    .visible = false,
    .named = true,
  },
  [sym__show_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__show_tables] = {
    .visible = false,
    .named = true,
  },
  [sym__show_create] = {
    .visible = false,
    .named = true,
  },
  [sym_cte] = {
    .visible = true,
    .named = true,
  },
  [sym_set_operation] = {
    .visible = true,
    .named = true,
  },
  [sym__select_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_comment_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__argmode] = {
    .visible = false,
    .named = true,
  },
  [sym_function_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_function_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym__comment_target] = {
    .visible = false,
    .named = true,
  },
  [sym_select] = {
    .visible = true,
    .named = true,
  },
  [sym_select_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_term] = {
    .visible = true,
    .named = true,
  },
  [sym__truncate_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__delete_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__delete_from] = {
    .visible = true,
    .named = true,
  },
  [sym_delete] = {
    .visible = true,
    .named = true,
  },
  [sym__create_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__table_settings] = {
    .visible = false,
    .named = true,
  },
  [sym_storage_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_create_table] = {
    .visible = true,
    .named = true,
  },
  [sym_reset_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__transaction_mode] = {
    .visible = false,
    .named = true,
  },
  [sym_set_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_create_query] = {
    .visible = true,
    .named = true,
  },
  [sym_create_view] = {
    .visible = true,
    .named = true,
  },
  [sym_create_materialized_view] = {
    .visible = true,
    .named = true,
  },
  [sym_create_function] = {
    .visible = true,
    .named = true,
  },
  [sym__function_return] = {
    .visible = false,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__function_body_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_function_body] = {
    .visible = true,
    .named = true,
  },
  [sym_function_language] = {
    .visible = true,
    .named = true,
  },
  [sym_function_volatility] = {
    .visible = true,
    .named = true,
  },
  [sym_function_leakproof] = {
    .visible = true,
    .named = true,
  },
  [sym_function_security] = {
    .visible = true,
    .named = true,
  },
  [sym_function_safety] = {
    .visible = true,
    .named = true,
  },
  [sym_function_strictness] = {
    .visible = true,
    .named = true,
  },
  [sym_function_cost] = {
    .visible = true,
    .named = true,
  },
  [sym_function_rows] = {
    .visible = true,
    .named = true,
  },
  [sym_function_support] = {
    .visible = true,
    .named = true,
  },
  [sym__operator_class] = {
    .visible = false,
    .named = true,
  },
  [sym__index_field] = {
    .visible = true,
    .named = true,
  },
  [sym_index_fields] = {
    .visible = true,
    .named = true,
  },
  [sym_create_index] = {
    .visible = true,
    .named = true,
  },
  [sym_create_schema] = {
    .visible = true,
    .named = true,
  },
  [sym__with_settings] = {
    .visible = false,
    .named = true,
  },
  [sym_create_database] = {
    .visible = true,
    .named = true,
  },
  [sym_create_role] = {
    .visible = true,
    .named = true,
  },
  [sym__role_options] = {
    .visible = false,
    .named = true,
  },
  [sym__user_access_role_config] = {
    .visible = false,
    .named = true,
  },
  [sym_create_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_create_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_create_trigger] = {
    .visible = true,
    .named = true,
  },
  [sym__create_trigger_event] = {
    .visible = false,
    .named = true,
  },
  [sym_create_type] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_elements] = {
    .visible = true,
    .named = true,
  },
  [sym__alter_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__rename_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__rename_table_names] = {
    .visible = false,
    .named = true,
  },
  [sym_alter_table] = {
    .visible = true,
    .named = true,
  },
  [sym__alter_specifications] = {
    .visible = false,
    .named = true,
  },
  [sym_add_column] = {
    .visible = true,
    .named = true,
  },
  [sym_add_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_column] = {
    .visible = true,
    .named = true,
  },
  [sym_modify_column] = {
    .visible = true,
    .named = true,
  },
  [sym_change_column] = {
    .visible = true,
    .named = true,
  },
  [sym_column_position] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_column] = {
    .visible = true,
    .named = true,
  },
  [sym_rename_column] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_view] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_schema] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_database] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_role] = {
    .visible = true,
    .named = true,
  },
  [sym_set_configuration] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_index] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_alter_type] = {
    .visible = true,
    .named = true,
  },
  [sym__drop_behavior] = {
    .visible = false,
    .named = true,
  },
  [sym__drop_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_drop_table] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_view] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_schema] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_database] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_role] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_type] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_index] = {
    .visible = true,
    .named = true,
  },
  [sym_drop_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_rename_object] = {
    .visible = true,
    .named = true,
  },
  [sym_set_schema] = {
    .visible = true,
    .named = true,
  },
  [sym_change_ownership] = {
    .visible = true,
    .named = true,
  },
  [sym_object_reference] = {
    .visible = true,
    .named = true,
  },
  [sym__copy_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__insert_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_insert] = {
    .visible = true,
    .named = true,
  },
  [sym__on_conflict] = {
    .visible = false,
    .named = true,
  },
  [sym__on_duplicate_key_update] = {
    .visible = false,
    .named = true,
  },
  [sym_assignment_list] = {
    .visible = true,
    .named = true,
  },
  [sym__insert_values] = {
    .visible = false,
    .named = true,
  },
  [sym__set_values] = {
    .visible = false,
    .named = true,
  },
  [sym__column_list] = {
    .visible = false,
    .named = true,
  },
  [sym__column] = {
    .visible = false,
    .named = true,
  },
  [sym__update_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__merge_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_when_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__optimize_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__compute_stats] = {
    .visible = false,
    .named = true,
  },
  [sym__optimize_table] = {
    .visible = false,
    .named = true,
  },
  [sym__vacuum_table] = {
    .visible = false,
    .named = true,
  },
  [sym__vacuum_option] = {
    .visible = false,
    .named = true,
  },
  [sym__partition_spec] = {
    .visible = false,
    .named = true,
  },
  [sym_update] = {
    .visible = true,
    .named = true,
  },
  [sym__mysql_update_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__postgres_update_statement] = {
    .visible = false,
    .named = true,
  },
  [sym_storage_location] = {
    .visible = true,
    .named = true,
  },
  [sym_row_format] = {
    .visible = true,
    .named = true,
  },
  [sym_table_sort] = {
    .visible = true,
    .named = true,
  },
  [sym_table_partition] = {
    .visible = true,
    .named = true,
  },
  [sym__key_value_pair] = {
    .visible = false,
    .named = true,
  },
  [sym_stored_as] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_table_option] = {
    .visible = true,
    .named = true,
  },
  [sym_column_definitions] = {
    .visible = true,
    .named = true,
  },
  [sym_column_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__column_comment] = {
    .visible = false,
    .named = true,
  },
  [sym__column_constraint] = {
    .visible = false,
    .named = true,
  },
  [sym__check_constraint] = {
    .visible = false,
    .named = true,
  },
  [sym__default_expression] = {
    .visible = false,
    .named = true,
  },
  [sym__inner_default_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_constraints] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym__constraint_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__primary_key_constraint] = {
    .visible = false,
    .named = true,
  },
  [sym__key_constraint] = {
    .visible = false,
    .named = true,
  },
  [sym_ordered_columns] = {
    .visible = true,
    .named = true,
  },
  [sym_ordered_column] = {
    .visible = true,
    .named = true,
  },
  [sym_all_fields] = {
    .visible = true,
    .named = true,
  },
  [sym_case] = {
    .visible = true,
    .named = true,
  },
  [sym_field] = {
    .visible = true,
    .named = true,
  },
  [sym__qualified_field] = {
    .visible = false,
    .named = true,
  },
  [sym_implicit_cast] = {
    .visible = true,
    .named = true,
  },
  [sym_interval] = {
    .visible = true,
    .named = true,
  },
  [sym_cast] = {
    .visible = true,
    .named = true,
  },
  [sym_filter_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_invocation] = {
    .visible = true,
    .named = true,
  },
  [sym_exists] = {
    .visible = true,
    .named = true,
  },
  [sym_partition_by] = {
    .visible = true,
    .named = true,
  },
  [sym_frame_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_window_frame] = {
    .visible = true,
    .named = true,
  },
  [sym_window_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_window_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_window_function] = {
    .visible = true,
    .named = true,
  },
  [sym__alias] = {
    .visible = false,
    .named = true,
  },
  [sym_from] = {
    .visible = true,
    .named = true,
  },
  [sym_relation] = {
    .visible = true,
    .named = true,
  },
  [sym_values] = {
    .visible = true,
    .named = true,
  },
  [sym_index_hint] = {
    .visible = true,
    .named = true,
  },
  [sym_join] = {
    .visible = true,
    .named = true,
  },
  [sym_cross_join] = {
    .visible = true,
    .named = true,
  },
  [sym_lateral_join] = {
    .visible = true,
    .named = true,
  },
  [sym_lateral_cross_join] = {
    .visible = true,
    .named = true,
  },
  [sym_where] = {
    .visible = true,
    .named = true,
  },
  [sym_group_by] = {
    .visible = true,
    .named = true,
  },
  [sym__having] = {
    .visible = false,
    .named = true,
  },
  [sym_order_by] = {
    .visible = true,
    .named = true,
  },
  [sym_order_target] = {
    .visible = true,
    .named = true,
  },
  [sym_limit] = {
    .visible = true,
    .named = true,
  },
  [sym_offset] = {
    .visible = true,
    .named = true,
  },
  [sym_returning] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_between_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_not_in] = {
    .visible = true,
    .named = true,
  },
  [sym_subquery] = {
    .visible = true,
    .named = true,
  },
  [sym_list] = {
    .visible = true,
    .named = true,
  },
  [sym_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__single_quote_string] = {
    .visible = false,
    .named = true,
  },
  [sym__literal_string] = {
    .visible = false,
    .named = true,
  },
  [sym__integer] = {
    .visible = false,
    .named = true,
  },
  [sym__decimal_number] = {
    .visible = false,
    .named = true,
  },
  [sym__bit_string] = {
    .visible = false,
    .named = true,
  },
  [sym__string_casting] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_size_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_transaction_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__cte_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cte_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_set_operation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_select_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__truncate_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__create_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__table_settings_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_storage_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_create_table_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_set_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_create_function_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_body_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_index_fields_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_create_database_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_create_role_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_create_sequence_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_create_trigger_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_create_trigger_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_create_trigger_repeat3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_create_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_elements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__rename_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_alter_table_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_alter_column_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_alter_role_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_alter_index_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_alter_sequence_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__copy_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_assignment_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__insert_values_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__column_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__merge_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__compute_stats_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__compute_stats_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__vacuum_table_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__mysql_update_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__mysql_update_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_column_definitions_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_column_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__column_constraint_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constraints_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_ordered_columns_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_invocation_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_from_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_order_by_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__single_quote_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [anon_alias_sym_command] = {
    .visible = true,
    .named = false,
  },
  [anon_alias_sym_filename] = {
    .visible = true,
    .named = false,
  },
};

enum ts_field_identifiers {
  field_alias = 1,
  field_argument = 2,
  field_cache = 3,
  field_col_name = 4,
  field_column = 5,
  field_compression_method = 6,
  field_configuration_parameter = 7,
  field_connection_limit = 8,
  field_custom_type = 9,
  field_end = 10,
  field_enum_element = 11,
  field_escaped_char = 12,
  field_expression = 13,
  field_fields_terminated_char = 14,
  field_function = 15,
  field_high = 16,
  field_increment = 17,
  field_index_name = 18,
  field_key = 19,
  field_left = 20,
  field_low = 21,
  field_lower = 22,
  field_name = 23,
  field_new_name = 24,
  field_old_name = 25,
  field_opclass = 26,
  field_opclass_parameters = 27,
  field_operand = 28,
  field_operation = 29,
  field_operator = 30,
  field_option = 31,
  field_parameter = 32,
  field_password = 33,
  field_path = 34,
  field_pool = 35,
  field_precision = 36,
  field_predicate = 37,
  field_restart = 38,
  field_right = 39,
  field_row_terminated_char = 40,
  field_scale = 41,
  field_schema = 42,
  field_size = 43,
  field_start = 44,
  field_statistics = 45,
  field_subscript = 46,
  field_timeout = 47,
  field_type = 48,
  field_upper = 49,
  field_valid_until = 50,
  field_value = 51,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias] = "alias",
  [field_argument] = "argument",
  [field_cache] = "cache",
  [field_col_name] = "col_name",
  [field_column] = "column",
  [field_compression_method] = "compression_method",
  [field_configuration_parameter] = "configuration_parameter",
  [field_connection_limit] = "connection_limit",
  [field_custom_type] = "custom_type",
  [field_end] = "end",
  [field_enum_element] = "enum_element",
  [field_escaped_char] = "escaped_char",
  [field_expression] = "expression",
  [field_fields_terminated_char] = "fields_terminated_char",
  [field_function] = "function",
  [field_high] = "high",
  [field_increment] = "increment",
  [field_index_name] = "index_name",
  [field_key] = "key",
  [field_left] = "left",
  [field_low] = "low",
  [field_lower] = "lower",
  [field_name] = "name",
  [field_new_name] = "new_name",
  [field_old_name] = "old_name",
  [field_opclass] = "opclass",
  [field_opclass_parameters] = "opclass_parameters",
  [field_operand] = "operand",
  [field_operation] = "operation",
  [field_operator] = "operator",
  [field_option] = "option",
  [field_parameter] = "parameter",
  [field_password] = "password",
  [field_path] = "path",
  [field_pool] = "pool",
  [field_precision] = "precision",
  [field_predicate] = "predicate",
  [field_restart] = "restart",
  [field_right] = "right",
  [field_row_terminated_char] = "row_terminated_char",
  [field_scale] = "scale",
  [field_schema] = "schema",
  [field_size] = "size",
  [field_start] = "start",
  [field_statistics] = "statistics",
  [field_subscript] = "subscript",
  [field_timeout] = "timeout",
  [field_type] = "type",
  [field_upper] = "upper",
  [field_valid_until] = "valid_until",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 3},
  [2] = {.index = 3, .length = 1},
  [3] = {.index = 4, .length = 1},
  [4] = {.index = 5, .length = 2},
  [5] = {.index = 7, .length = 1},
  [6] = {.index = 3, .length = 1},
  [7] = {.index = 8, .length = 1},
  [8] = {.index = 9, .length = 1},
  [9] = {.index = 10, .length = 3},
  [10] = {.index = 13, .length = 1},
  [11] = {.index = 14, .length = 2},
  [12] = {.index = 16, .length = 2},
  [13] = {.index = 18, .length = 1},
  [14] = {.index = 19, .length = 1},
  [15] = {.index = 20, .length = 1},
  [17] = {.index = 21, .length = 3},
  [18] = {.index = 24, .length = 1},
  [19] = {.index = 25, .length = 1},
  [20] = {.index = 26, .length = 2},
  [21] = {.index = 28, .length = 1},
  [22] = {.index = 29, .length = 3},
  [23] = {.index = 32, .length = 1},
  [24] = {.index = 33, .length = 1},
  [25] = {.index = 34, .length = 2},
  [26] = {.index = 36, .length = 1},
  [27] = {.index = 9, .length = 1},
  [28] = {.index = 20, .length = 1},
  [29] = {.index = 37, .length = 4},
  [30] = {.index = 41, .length = 1},
  [31] = {.index = 42, .length = 4},
  [32] = {.index = 46, .length = 4},
  [33] = {.index = 50, .length = 2},
  [34] = {.index = 52, .length = 2},
  [35] = {.index = 54, .length = 4},
  [36] = {.index = 58, .length = 3},
  [37] = {.index = 61, .length = 1},
  [38] = {.index = 9, .length = 1},
  [39] = {.index = 62, .length = 2},
  [40] = {.index = 64, .length = 1},
  [41] = {.index = 65, .length = 2},
  [42] = {.index = 67, .length = 1},
  [43] = {.index = 68, .length = 1},
  [44] = {.index = 69, .length = 2},
  [45] = {.index = 71, .length = 1},
  [48] = {.index = 72, .length = 1},
  [49] = {.index = 73, .length = 1},
  [50] = {.index = 74, .length = 4},
  [51] = {.index = 78, .length = 1},
  [52] = {.index = 79, .length = 8},
  [53] = {.index = 87, .length = 1},
  [54] = {.index = 88, .length = 4},
  [55] = {.index = 92, .length = 1},
  [56] = {.index = 93, .length = 1},
  [57] = {.index = 94, .length = 1},
  [58] = {.index = 95, .length = 1},
  [59] = {.index = 96, .length = 8},
  [60] = {.index = 104, .length = 2},
  [61] = {.index = 106, .length = 2},
  [62] = {.index = 106, .length = 2},
  [63] = {.index = 108, .length = 4},
  [65] = {.index = 112, .length = 1},
  [66] = {.index = 113, .length = 1},
  [67] = {.index = 114, .length = 1},
  [68] = {.index = 115, .length = 3},
  [69] = {.index = 118, .length = 4},
  [70] = {.index = 122, .length = 1},
  [71] = {.index = 123, .length = 8},
  [72] = {.index = 131, .length = 1},
  [73] = {.index = 132, .length = 1},
  [74] = {.index = 133, .length = 1},
  [75] = {.index = 134, .length = 1},
  [76] = {.index = 135, .length = 2},
  [77] = {.index = 137, .length = 2},
  [78] = {.index = 139, .length = 4},
  [79] = {.index = 143, .length = 1},
  [80] = {.index = 144, .length = 2},
  [81] = {.index = 146, .length = 1},
  [82] = {.index = 147, .length = 2},
  [83] = {.index = 149, .length = 1},
  [84] = {.index = 150, .length = 1},
  [85] = {.index = 151, .length = 3},
  [86] = {.index = 154, .length = 2},
  [87] = {.index = 72, .length = 1},
  [88] = {.index = 156, .length = 1},
  [90] = {.index = 157, .length = 1},
  [91] = {.index = 158, .length = 1},
  [92] = {.index = 159, .length = 1},
  [93] = {.index = 160, .length = 2},
  [94] = {.index = 162, .length = 1},
  [95] = {.index = 163, .length = 1},
  [96] = {.index = 164, .length = 1},
  [97] = {.index = 165, .length = 1},
  [98] = {.index = 166, .length = 1},
  [99] = {.index = 167, .length = 2},
  [100] = {.index = 160, .length = 2},
  [101] = {.index = 169, .length = 4},
  [103] = {.index = 173, .length = 1},
  [104] = {.index = 174, .length = 1},
  [105] = {.index = 175, .length = 1},
  [106] = {.index = 176, .length = 1},
  [107] = {.index = 177, .length = 1},
  [109] = {.index = 36, .length = 1},
  [110] = {.index = 178, .length = 1},
  [111] = {.index = 179, .length = 2},
  [112] = {.index = 181, .length = 3},
  [113] = {.index = 184, .length = 2},
  [114] = {.index = 64, .length = 1},
  [115] = {.index = 186, .length = 2},
  [116] = {.index = 188, .length = 1},
  [117] = {.index = 189, .length = 1},
  [118] = {.index = 188, .length = 1},
  [119] = {.index = 189, .length = 1},
  [120] = {.index = 190, .length = 5},
  [121] = {.index = 195, .length = 3},
  [122] = {.index = 198, .length = 1},
  [123] = {.index = 199, .length = 1},
  [124] = {.index = 200, .length = 1},
  [125] = {.index = 201, .length = 1},
  [126] = {.index = 202, .length = 2},
  [127] = {.index = 204, .length = 1},
  [128] = {.index = 205, .length = 1},
  [129] = {.index = 206, .length = 2},
  [130] = {.index = 208, .length = 4},
  [131] = {.index = 212, .length = 4},
  [132] = {.index = 216, .length = 2},
  [133] = {.index = 218, .length = 2},
  [134] = {.index = 220, .length = 1},
  [136] = {.index = 221, .length = 5},
  [137] = {.index = 226, .length = 3},
  [138] = {.index = 229, .length = 1},
  [139] = {.index = 230, .length = 3},
  [140] = {.index = 233, .length = 1},
  [141] = {.index = 234, .length = 2},
  [142] = {.index = 236, .length = 4},
  [144] = {.index = 240, .length = 1},
  [145] = {.index = 241, .length = 2},
  [146] = {.index = 243, .length = 3},
  [147] = {.index = 246, .length = 1},
  [148] = {.index = 247, .length = 2},
  [150] = {.index = 249, .length = 1},
  [152] = {.index = 68, .length = 1},
  [153] = {.index = 250, .length = 1},
  [154] = {.index = 133, .length = 1},
  [155] = {.index = 251, .length = 2},
  [156] = {.index = 64, .length = 1},
  [157] = {.index = 253, .length = 1},
  [158] = {.index = 254, .length = 1},
  [159] = {.index = 255, .length = 1},
  [160] = {.index = 256, .length = 2},
  [161] = {.index = 258, .length = 2},
  [162] = {.index = 260, .length = 1},
  [163] = {.index = 261, .length = 2},
  [164] = {.index = 263, .length = 1},
  [165] = {.index = 264, .length = 2},
  [166] = {.index = 266, .length = 4},
  [167] = {.index = 270, .length = 1},
  [169] = {.index = 271, .length = 1},
  [170] = {.index = 272, .length = 2},
  [171] = {.index = 274, .length = 3},
  [172] = {.index = 277, .length = 1},
  [173] = {.index = 278, .length = 2},
  [174] = {.index = 280, .length = 1},
  [176] = {.index = 281, .length = 1},
  [177] = {.index = 282, .length = 3},
  [178] = {.index = 285, .length = 2},
  [179] = {.index = 287, .length = 2},
  [180] = {.index = 289, .length = 1},
  [181] = {.index = 290, .length = 2},
  [183] = {.index = 292, .length = 1},
  [186] = {.index = 150, .length = 1},
  [187] = {.index = 293, .length = 1},
  [190] = {.index = 133, .length = 1},
  [191] = {.index = 294, .length = 2},
  [192] = {.index = 296, .length = 2},
  [193] = {.index = 298, .length = 1},
  [194] = {.index = 299, .length = 4},
  [196] = {.index = 303, .length = 2},
  [197] = {.index = 305, .length = 2},
  [198] = {.index = 307, .length = 5},
  [199] = {.index = 312, .length = 3},
  [200] = {.index = 315, .length = 3},
  [201] = {.index = 318, .length = 3},
  [202] = {.index = 321, .length = 4},
  [203] = {.index = 325, .length = 2},
  [204] = {.index = 327, .length = 2},
  [205] = {.index = 329, .length = 1},
  [207] = {.index = 330, .length = 2},
  [208] = {.index = 332, .length = 2},
  [209] = {.index = 334, .length = 3},
  [210] = {.index = 337, .length = 3},
  [212] = {.index = 340, .length = 1},
  [215] = {.index = 205, .length = 1},
  [216] = {.index = 341, .length = 1},
  [217] = {.index = 342, .length = 2},
  [219] = {.index = 344, .length = 2},
  [220] = {.index = 346, .length = 1},
  [222] = {.index = 347, .length = 3},
  [223] = {.index = 350, .length = 1},
  [224] = {.index = 351, .length = 1},
  [225] = {.index = 352, .length = 4},
  [226] = {.index = 356, .length = 3},
  [227] = {.index = 359, .length = 3},
  [228] = {.index = 362, .length = 5},
  [229] = {.index = 367, .length = 1},
  [231] = {.index = 368, .length = 2},
  [232] = {.index = 370, .length = 1},
  [234] = {.index = 371, .length = 1},
  [235] = {.index = 341, .length = 1},
  [236] = {.index = 372, .length = 2},
  [237] = {.index = 374, .length = 2},
  [238] = {.index = 376, .length = 3},
  [239] = {.index = 379, .length = 2},
  [240] = {.index = 381, .length = 1},
  [242] = {.index = 382, .length = 2},
  [243] = {.index = 384, .length = 2},
  [244] = {.index = 386, .length = 5},
  [245] = {.index = 391, .length = 5},
  [246] = {.index = 396, .length = 5},
  [247] = {.index = 401, .length = 2},
  [248] = {.index = 341, .length = 1},
  [249] = {.index = 403, .length = 2},
  [250] = {.index = 374, .length = 2},
  [251] = {.index = 405, .length = 3},
  [252] = {.index = 408, .length = 3},
  [253] = {.index = 411, .length = 3},
  [254] = {.index = 414, .length = 1},
  [255] = {.index = 374, .length = 2},
  [256] = {.index = 415, .length = 3},
  [257] = {.index = 418, .length = 2},
  [258] = {.index = 420, .length = 1},
  [259] = {.index = 421, .length = 2},
  [260] = {.index = 423, .length = 2},
  [261] = {.index = 425, .length = 1},
  [262] = {.index = 426, .length = 2},
  [263] = {.index = 428, .length = 2},
  [264] = {.index = 430, .length = 1},
  [265] = {.index = 431, .length = 2},
  [266] = {.index = 433, .length = 2},
  [267] = {.index = 435, .length = 2},
  [268] = {.index = 437, .length = 1},
  [269] = {.index = 438, .length = 2},
  [270] = {.index = 440, .length = 3},
  [271] = {.index = 443, .length = 2},
  [272] = {.index = 445, .length = 1},
  [273] = {.index = 446, .length = 2},
  [274] = {.index = 448, .length = 1},
  [275] = {.index = 449, .length = 2},
  [276] = {.index = 451, .length = 1},
  [277] = {.index = 452, .length = 2},
  [278] = {.index = 454, .length = 1},
  [279] = {.index = 455, .length = 2},
  [280] = {.index = 457, .length = 1},
  [281] = {.index = 458, .length = 2},
  [282] = {.index = 460, .length = 1},
  [283] = {.index = 461, .length = 2},
  [284] = {.index = 463, .length = 1},
  [285] = {.index = 464, .length = 2},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_alias, 0, .inherited = true},
    {field_predicate, 0, .inherited = true},
    {field_timeout, 0, .inherited = true},
  [3] =
    {field_name, 0, .inherited = true},
  [4] =
    {field_timeout, 0, .inherited = true},
  [5] =
    {field_alias, 0, .inherited = true},
    {field_predicate, 0, .inherited = true},
  [7] =
    {field_value, 0},
  [8] =
    {field_name, 0},
  [9] =
    {field_name, 1, .inherited = true},
  [10] =
    {field_alias, 1, .inherited = true},
    {field_predicate, 1, .inherited = true},
    {field_timeout, 1, .inherited = true},
  [13] =
    {field_operation, 1, .inherited = true},
  [14] =
    {field_operand, 1},
    {field_operator, 0},
  [16] =
    {field_alias, 1, .inherited = true},
    {field_value, 0},
  [18] =
    {field_alias, 0},
  [19] =
    {field_name, 2, .inherited = true},
  [20] =
    {field_alias, 1, .inherited = true},
  [21] =
    {field_alias, 2, .inherited = true},
    {field_predicate, 2, .inherited = true},
    {field_timeout, 2, .inherited = true},
  [24] =
    {field_name, 2},
  [25] =
    {field_operation, 0},
  [26] =
    {field_operation, 0, .inherited = true},
    {field_operation, 1, .inherited = true},
  [28] =
    {field_alias, 1},
  [29] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [32] =
    {field_custom_type, 2, .inherited = true},
  [33] =
    {field_custom_type, 0},
  [34] =
    {field_name, 2},
    {field_schema, 0},
  [36] =
    {field_name, 3, .inherited = true},
  [37] =
    {field_connection_limit, 0, .inherited = true},
    {field_option, 0, .inherited = true},
    {field_password, 0, .inherited = true},
    {field_valid_until, 0, .inherited = true},
  [41] =
    {field_option, 0},
  [42] =
    {field_connection_limit, 3, .inherited = true},
    {field_option, 3, .inherited = true},
    {field_password, 3, .inherited = true},
    {field_valid_until, 3, .inherited = true},
  [46] =
    {field_cache, 3, .inherited = true},
    {field_custom_type, 3, .inherited = true},
    {field_increment, 3, .inherited = true},
    {field_start, 3, .inherited = true},
  [50] =
    {field_name, 0, .inherited = true},
    {field_value, 0, .inherited = true},
  [52] =
    {field_name, 3, .inherited = true},
    {field_value, 3, .inherited = true},
  [54] =
    {field_cache, 3, .inherited = true},
    {field_custom_type, 3, .inherited = true},
    {field_restart, 3, .inherited = true},
    {field_start, 3, .inherited = true},
  [58] =
    {field_alias, 3, .inherited = true},
    {field_predicate, 3, .inherited = true},
    {field_timeout, 3, .inherited = true},
  [61] =
    {field_name, 3},
  [62] =
    {field_operation, 0},
    {field_operation, 1},
  [64] =
    {field_parameter, 2},
  [65] =
    {field_expression, 0},
    {field_subscript, 2},
  [67] =
    {field_size, 0, .inherited = true},
  [68] =
    {field_name, 4, .inherited = true},
  [69] =
    {field_alias, 3},
    {field_name, 4, .inherited = true},
  [71] =
    {field_alias, 3},
  [72] =
    {field_alias, 3, .inherited = true},
  [73] =
    {field_predicate, 1},
  [74] =
    {field_connection_limit, 4, .inherited = true},
    {field_option, 4, .inherited = true},
    {field_password, 4, .inherited = true},
    {field_valid_until, 4, .inherited = true},
  [78] =
    {field_password, 1},
  [79] =
    {field_connection_limit, 0, .inherited = true},
    {field_connection_limit, 1, .inherited = true},
    {field_option, 0, .inherited = true},
    {field_option, 1, .inherited = true},
    {field_password, 0, .inherited = true},
    {field_password, 1, .inherited = true},
    {field_valid_until, 0, .inherited = true},
    {field_valid_until, 1, .inherited = true},
  [87] =
    {field_path, 1},
  [88] =
    {field_cache, 4, .inherited = true},
    {field_custom_type, 4, .inherited = true},
    {field_increment, 4, .inherited = true},
    {field_start, 4, .inherited = true},
  [92] =
    {field_increment, 1},
  [93] =
    {field_start, 1},
  [94] =
    {field_custom_type, 1, .inherited = true},
  [95] =
    {field_cache, 1},
  [96] =
    {field_cache, 0, .inherited = true},
    {field_cache, 1, .inherited = true},
    {field_custom_type, 0, .inherited = true},
    {field_custom_type, 1, .inherited = true},
    {field_increment, 0, .inherited = true},
    {field_increment, 1, .inherited = true},
    {field_start, 0, .inherited = true},
    {field_start, 1, .inherited = true},
  [104] =
    {field_name, 4, .inherited = true},
    {field_value, 4, .inherited = true},
  [106] =
    {field_name, 0},
    {field_value, 1},
  [108] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [112] =
    {field_custom_type, 0, .inherited = true},
  [113] =
    {field_option, 4},
  [114] =
    {field_name, 1},
  [115] =
    {field_custom_type, 1, .inherited = true},
    {field_name, 0},
    {field_type, 1},
  [118] =
    {field_cache, 4, .inherited = true},
    {field_custom_type, 4, .inherited = true},
    {field_restart, 4, .inherited = true},
    {field_start, 4, .inherited = true},
  [122] =
    {field_restart, 1},
  [123] =
    {field_cache, 0, .inherited = true},
    {field_cache, 1, .inherited = true},
    {field_custom_type, 0, .inherited = true},
    {field_custom_type, 1, .inherited = true},
    {field_restart, 0, .inherited = true},
    {field_restart, 1, .inherited = true},
    {field_start, 0, .inherited = true},
    {field_start, 1, .inherited = true},
  [131] =
    {field_configuration_parameter, 4},
  [132] =
    {field_name, 4},
  [133] =
    {field_parameter, 3},
  [134] =
    {field_parameter, 1},
  [135] =
    {field_parameter, 2},
    {field_parameter, 3, .inherited = true},
  [137] =
    {field_parameter, 0, .inherited = true},
    {field_parameter, 1, .inherited = true},
  [139] =
    {field_high, 4},
    {field_left, 0},
    {field_low, 2},
    {field_operator, 1},
  [143] =
    {field_size, 1, .inherited = true},
  [144] =
    {field_size, 0, .inherited = true},
    {field_size, 1, .inherited = true},
  [146] =
    {field_index_name, 3},
  [147] =
    {field_alias, 4},
    {field_name, 5, .inherited = true},
  [149] =
    {field_alias, 4},
  [150] =
    {field_name, 5, .inherited = true},
  [151] =
    {field_left, 0},
    {field_name, 0, .inherited = true},
    {field_right, 2},
  [154] =
    {field_key, 2, .inherited = true},
    {field_value, 2, .inherited = true},
  [156] =
    {field_predicate, 3},
  [157] =
    {field_password, 2},
  [158] =
    {field_valid_until, 2},
  [159] =
    {field_connection_limit, 2},
  [160] =
    {field_name, 0},
    {field_value, 2},
  [162] =
    {field_increment, 2},
  [163] =
    {field_start, 2},
  [164] =
    {field_column, 0},
  [165] =
    {field_function, 0},
  [166] =
    {field_column, 2},
  [167] =
    {field_name, 5, .inherited = true},
    {field_value, 5, .inherited = true},
  [169] =
    {field_cache, 5, .inherited = true},
    {field_custom_type, 5, .inherited = true},
    {field_increment, 5, .inherited = true},
    {field_start, 5, .inherited = true},
  [173] =
    {field_schema, 2},
  [174] =
    {field_old_name, 1},
  [175] =
    {field_col_name, 1},
  [176] =
    {field_restart, 2},
  [177] =
    {field_configuration_parameter, 5},
  [178] =
    {field_argument, 1},
  [179] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [181] =
    {field_custom_type, 4, .inherited = true},
    {field_name, 0},
    {field_parameter, 2},
  [184] =
    {field_parameter, 3},
    {field_parameter, 4, .inherited = true},
  [186] =
    {field_parameter, 2},
    {field_parameter, 4, .inherited = true},
  [188] =
    {field_start, 0},
  [189] =
    {field_end, 0},
  [190] =
    {field_high, 5},
    {field_left, 0},
    {field_low, 3},
    {field_operator, 1},
    {field_operator, 2},
  [195] =
    {field_expression, 0},
    {field_lower, 2},
    {field_upper, 4},
  [198] =
    {field_size, 1},
  [199] =
    {field_precision, 2},
  [200] =
    {field_size, 2},
  [201] =
    {field_value, 2},
  [202] =
    {field_alias, 5},
    {field_name, 6, .inherited = true},
  [204] =
    {field_alias, 5},
  [205] =
    {field_name, 6, .inherited = true},
  [206] =
    {field_key, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [208] =
    {field_key, 2, .inherited = true},
    {field_key, 3, .inherited = true},
    {field_value, 2, .inherited = true},
    {field_value, 3, .inherited = true},
  [212] =
    {field_key, 0, .inherited = true},
    {field_key, 1, .inherited = true},
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [216] =
    {field_key, 0},
    {field_value, 2},
  [218] =
    {field_key, 3, .inherited = true},
    {field_value, 3, .inherited = true},
  [220] =
    {field_predicate, 4},
  [221] =
    {field_column, 1, .inherited = true},
    {field_expression, 1, .inherited = true},
    {field_function, 1, .inherited = true},
    {field_opclass, 1, .inherited = true},
    {field_opclass_parameters, 1, .inherited = true},
  [226] =
    {field_column, 0},
    {field_opclass, 1, .inherited = true},
    {field_opclass_parameters, 1, .inherited = true},
  [229] =
    {field_opclass, 0},
  [230] =
    {field_function, 0},
    {field_opclass, 1, .inherited = true},
    {field_opclass_parameters, 1, .inherited = true},
  [233] =
    {field_column, 3},
  [234] =
    {field_name, 1, .inherited = true},
    {field_value, 1, .inherited = true},
  [236] =
    {field_name, 4, .inherited = true},
    {field_name, 5, .inherited = true},
    {field_value, 4, .inherited = true},
    {field_value, 5, .inherited = true},
  [240] =
    {field_custom_type, 5, .inherited = true},
  [241] =
    {field_option, 0},
    {field_parameter, 2},
  [243] =
    {field_custom_type, 3, .inherited = true},
    {field_name, 1},
    {field_type, 3},
  [246] =
    {field_old_name, 2},
  [247] =
    {field_new_name, 3},
    {field_old_name, 1},
  [249] =
    {field_custom_type, 6, .inherited = true},
  [250] =
    {field_timeout, 4},
  [251] =
    {field_parameter, 3},
    {field_parameter, 5, .inherited = true},
  [253] =
    {field_size, 3},
  [254] =
    {field_precision, 3},
  [255] =
    {field_value, 1},
  [256] =
    {field_value, 2},
    {field_value, 3, .inherited = true},
  [258] =
    {field_value, 0, .inherited = true},
    {field_value, 1, .inherited = true},
  [260] =
    {field_index_name, 5},
  [261] =
    {field_alias, 6},
    {field_name, 7, .inherited = true},
  [263] =
    {field_alias, 6},
  [264] =
    {field_key, 4, .inherited = true},
    {field_value, 4, .inherited = true},
  [266] =
    {field_key, 3, .inherited = true},
    {field_key, 4, .inherited = true},
    {field_value, 3, .inherited = true},
    {field_value, 4, .inherited = true},
  [270] =
    {field_predicate, 5},
  [271] =
    {field_predicate, 6},
  [272] =
    {field_path, 1},
    {field_pool, 4},
  [274] =
    {field_expression, 0},
    {field_expression, 1},
    {field_expression, 2},
  [277] =
    {field_column, 4},
  [278] =
    {field_name, 6, .inherited = true},
    {field_value, 6, .inherited = true},
  [280] =
    {field_enum_element, 1},
  [281] =
    {field_option, 7},
  [282] =
    {field_custom_type, 4, .inherited = true},
    {field_name, 2},
    {field_type, 4},
  [285] =
    {field_compression_method, 4},
    {field_name, 1},
  [287] =
    {field_name, 1},
    {field_statistics, 4},
  [289] =
    {field_old_name, 3},
  [290] =
    {field_new_name, 4},
    {field_old_name, 2},
  [292] =
    {field_custom_type, 7, .inherited = true},
  [293] =
    {field_timeout, 5},
  [294] =
    {field_precision, 2},
    {field_scale, 4},
  [296] =
    {field_alias, 7},
    {field_name, 8, .inherited = true},
  [298] =
    {field_alias, 7},
  [299] =
    {field_key, 4, .inherited = true},
    {field_key, 5, .inherited = true},
    {field_value, 4, .inherited = true},
    {field_value, 5, .inherited = true},
  [303] =
    {field_alias, 5, .inherited = true},
    {field_predicate, 7},
  [305] =
    {field_alias, 3, .inherited = true},
    {field_predicate, 7},
  [307] =
    {field_expression, 0},
    {field_expression, 1},
    {field_expression, 2},
    {field_opclass, 3, .inherited = true},
    {field_opclass_parameters, 3, .inherited = true},
  [312] =
    {field_column, 0},
    {field_opclass, 3, .inherited = true},
    {field_opclass_parameters, 3, .inherited = true},
  [315] =
    {field_opclass, 0},
    {field_opclass_parameters, 1},
    {field_opclass_parameters, 2},
  [318] =
    {field_function, 0},
    {field_opclass, 3, .inherited = true},
    {field_opclass_parameters, 3, .inherited = true},
  [321] =
    {field_name, 6, .inherited = true},
    {field_name, 7, .inherited = true},
    {field_value, 6, .inherited = true},
    {field_value, 7, .inherited = true},
  [325] =
    {field_enum_element, 1},
    {field_enum_element, 2, .inherited = true},
  [327] =
    {field_enum_element, 0, .inherited = true},
    {field_enum_element, 1, .inherited = true},
  [329] =
    {field_column, 5},
  [330] =
    {field_compression_method, 5},
    {field_name, 2},
  [332] =
    {field_name, 2},
    {field_statistics, 5},
  [334] =
    {field_custom_type, 5, .inherited = true},
    {field_name, 1},
    {field_type, 5},
  [337] =
    {field_key, 4, .inherited = true},
    {field_name, 1},
    {field_value, 4, .inherited = true},
  [340] =
    {field_value, 7},
  [341] =
    {field_argument, 2},
  [342] =
    {field_argument, 2},
    {field_name, 6, .inherited = true},
  [344] =
    {field_precision, 3},
    {field_scale, 5},
  [346] =
    {field_predicate, 7},
  [347] =
    {field_alias, 3, .inherited = true},
    {field_alias, 6, .inherited = true},
    {field_predicate, 8},
  [350] =
    {field_fields_terminated_char, 6},
  [351] =
    {field_row_terminated_char, 6},
  [352] =
    {field_opclass, 0},
    {field_opclass_parameters, 1},
    {field_opclass_parameters, 2},
    {field_opclass_parameters, 3},
  [356] =
    {field_custom_type, 6, .inherited = true},
    {field_name, 2},
    {field_type, 6},
  [359] =
    {field_key, 5, .inherited = true},
    {field_name, 2},
    {field_value, 5, .inherited = true},
  [362] =
    {field_key, 4, .inherited = true},
    {field_key, 5, .inherited = true},
    {field_name, 1},
    {field_value, 4, .inherited = true},
    {field_value, 5, .inherited = true},
  [367] =
    {field_value, 8},
  [368] =
    {field_value, 7},
    {field_value, 8, .inherited = true},
  [370] =
    {field_custom_type, 9, .inherited = true},
  [371] =
    {field_name, 7, .inherited = true},
  [372] =
    {field_argument, 2},
    {field_name, 7, .inherited = true},
  [374] =
    {field_argument, 2},
    {field_argument, 3, .inherited = true},
  [376] =
    {field_argument, 2},
    {field_argument, 3, .inherited = true},
    {field_name, 7, .inherited = true},
  [379] =
    {field_precision, 4},
    {field_scale, 6},
  [381] =
    {field_predicate, 8},
  [382] =
    {field_alias, 5, .inherited = true},
    {field_predicate, 8},
  [384] =
    {field_alias, 3, .inherited = true},
    {field_predicate, 8},
  [386] =
    {field_expression, 0},
    {field_expression, 1},
    {field_expression, 2},
    {field_opclass, 5, .inherited = true},
    {field_opclass_parameters, 5, .inherited = true},
  [391] =
    {field_opclass, 0},
    {field_opclass_parameters, 1},
    {field_opclass_parameters, 2},
    {field_opclass_parameters, 3},
    {field_opclass_parameters, 4},
  [396] =
    {field_key, 5, .inherited = true},
    {field_key, 6, .inherited = true},
    {field_name, 2},
    {field_value, 5, .inherited = true},
    {field_value, 6, .inherited = true},
  [401] =
    {field_value, 8},
    {field_value, 9, .inherited = true},
  [403] =
    {field_argument, 2},
    {field_name, 8, .inherited = true},
  [405] =
    {field_argument, 2},
    {field_argument, 3, .inherited = true},
    {field_name, 8, .inherited = true},
  [408] =
    {field_alias, 3, .inherited = true},
    {field_alias, 6, .inherited = true},
    {field_predicate, 9},
  [411] =
    {field_path, 1},
    {field_pool, 4},
    {field_value, 8},
  [414] =
    {field_value, 3},
  [415] =
    {field_argument, 2},
    {field_argument, 3, .inherited = true},
    {field_name, 9, .inherited = true},
  [418] =
    {field_escaped_char, 9},
    {field_fields_terminated_char, 6},
  [420] =
    {field_parameter, 11},
  [421] =
    {field_name, 6, .inherited = true},
    {field_predicate, 3},
  [423] =
    {field_fields_terminated_char, 6},
    {field_row_terminated_char, 10},
  [425] =
    {field_parameter, 12},
  [426] =
    {field_parameter, 11},
    {field_parameter, 12, .inherited = true},
  [428] =
    {field_name, 7, .inherited = true},
    {field_predicate, 4},
  [430] =
    {field_parameter, 13},
  [431] =
    {field_parameter, 12},
    {field_parameter, 13, .inherited = true},
  [433] =
    {field_name, 8, .inherited = true},
    {field_predicate, 4},
  [435] =
    {field_parameter, 13},
    {field_parameter, 14, .inherited = true},
  [437] =
    {field_parameter, 14},
  [438] =
    {field_name, 9, .inherited = true},
    {field_predicate, 5},
  [440] =
    {field_escaped_char, 9},
    {field_fields_terminated_char, 6},
    {field_row_terminated_char, 13},
  [443] =
    {field_parameter, 14},
    {field_parameter, 15, .inherited = true},
  [445] =
    {field_parameter, 15},
  [446] =
    {field_parameter, 15},
    {field_parameter, 16, .inherited = true},
  [448] =
    {field_parameter, 16},
  [449] =
    {field_parameter, 16},
    {field_parameter, 17, .inherited = true},
  [451] =
    {field_parameter, 17},
  [452] =
    {field_parameter, 17},
    {field_parameter, 18, .inherited = true},
  [454] =
    {field_parameter, 18},
  [455] =
    {field_parameter, 18},
    {field_parameter, 19, .inherited = true},
  [457] =
    {field_parameter, 19},
  [458] =
    {field_parameter, 19},
    {field_parameter, 20, .inherited = true},
  [460] =
    {field_parameter, 20},
  [461] =
    {field_parameter, 20},
    {field_parameter, 21, .inherited = true},
  [463] =
    {field_parameter, 21},
  [464] =
    {field_parameter, 21},
    {field_parameter, 22, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [6] = {
    [0] = sym_field,
  },
  [16] = {
    [0] = sym_literal,
  },
  [27] = {
    [0] = sym_list,
  },
  [28] = {
    [2] = sym_list,
  },
  [38] = {
    [1] = sym_object_reference,
  },
  [46] = {
    [1] = sym_ordered_column,
  },
  [47] = {
    [0] = sym_list,
  },
  [51] = {
    [1] = sym_literal,
  },
  [53] = {
    [1] = sym_literal,
  },
  [55] = {
    [1] = sym_literal,
  },
  [56] = {
    [1] = sym_literal,
  },
  [58] = {
    [1] = sym_literal,
  },
  [61] = {
    [1] = sym_literal,
  },
  [64] = {
    [4] = sym_literal,
  },
  [70] = {
    [1] = sym_literal,
  },
  [85] = {
    [0] = sym_field,
  },
  [87] = {
    [4] = sym_list,
  },
  [89] = {
    [3] = sym_list,
  },
  [90] = {
    [2] = sym_literal,
  },
  [91] = {
    [2] = sym_literal,
  },
  [92] = {
    [2] = sym_literal,
  },
  [94] = {
    [2] = sym_literal,
  },
  [95] = {
    [2] = sym_literal,
  },
  [100] = {
    [2] = sym_literal,
  },
  [102] = {
    [5] = sym_literal,
  },
  [106] = {
    [2] = sym_literal,
  },
  [108] = {
    [3] = sym_statement,
  },
  [109] = {
    [3] = sym_statement,
  },
  [114] = {
    [4] = sym_literal,
  },
  [118] = {
    [0] = sym_literal,
  },
  [119] = {
    [0] = sym_literal,
  },
  [122] = {
    [1] = sym_literal,
  },
  [123] = {
    [2] = sym_literal,
  },
  [124] = {
    [2] = sym_literal,
  },
  [125] = {
    [2] = sym_literal,
  },
  [132] = {
    [2] = sym_literal,
  },
  [135] = {
    [4] = sym_list,
  },
  [143] = {
    [6] = sym_literal,
  },
  [149] = {
    [1] = sym_literal,
  },
  [151] = {
    [4] = sym_statement,
  },
  [152] = {
    [4] = sym_statement,
  },
  [153] = {
    [4] = sym_literal,
  },
  [154] = {
    [5] = sym_literal,
  },
  [156] = {
    [5] = sym_literal,
  },
  [157] = {
    [3] = sym_literal,
  },
  [158] = {
    [3] = sym_literal,
  },
  [159] = {
    [1] = sym_literal,
  },
  [160] = {
    [2] = sym_literal,
  },
  [168] = {
    [5] = sym_list,
  },
  [170] = {
    [1] = sym_literal,
    [4] = sym_literal,
  },
  [174] = {
    [1] = sym_literal,
  },
  [175] = {
    [7] = sym_literal,
  },
  [182] = {
    [4] = sym_literal,
    [7] = sym_literal,
  },
  [184] = {
    [5] = sym_literal,
    [7] = sym_literal,
  },
  [185] = {
    [5] = sym_statement,
  },
  [186] = {
    [5] = sym_statement,
  },
  [187] = {
    [5] = sym_literal,
  },
  [188] = {
    [1] = sym_identifier,
  },
  [189] = {
    [4] = anon_alias_sym_filename,
  },
  [190] = {
    [6] = sym_literal,
  },
  [191] = {
    [2] = sym_literal,
    [4] = sym_literal,
  },
  [195] = {
    [6] = sym_list,
  },
  [203] = {
    [1] = sym_literal,
  },
  [206] = {
    [8] = sym_literal,
  },
  [211] = {
    [5] = sym_literal,
    [8] = sym_literal,
  },
  [213] = {
    [6] = sym_literal,
    [8] = sym_literal,
  },
  [214] = {
    [6] = sym_statement,
  },
  [215] = {
    [6] = sym_statement,
  },
  [216] = {
    [6] = sym_statement,
  },
  [217] = {
    [6] = sym_statement,
  },
  [218] = {
    [5] = anon_alias_sym_command,
  },
  [219] = {
    [3] = sym_literal,
    [5] = sym_literal,
  },
  [221] = {
    [7] = sym_list,
  },
  [223] = {
    [6] = sym_literal,
  },
  [224] = {
    [6] = sym_literal,
  },
  [230] = {
    [6] = sym_literal,
    [9] = sym_literal,
  },
  [233] = {
    [7] = sym_statement,
  },
  [234] = {
    [7] = sym_statement,
  },
  [235] = {
    [7] = sym_statement,
  },
  [236] = {
    [7] = sym_statement,
  },
  [237] = {
    [7] = sym_statement,
  },
  [238] = {
    [7] = sym_statement,
  },
  [239] = {
    [4] = sym_literal,
    [6] = sym_literal,
  },
  [241] = {
    [8] = sym_list,
  },
  [248] = {
    [8] = sym_statement,
  },
  [249] = {
    [8] = sym_statement,
  },
  [250] = {
    [8] = sym_statement,
  },
  [251] = {
    [8] = sym_statement,
  },
  [253] = {
    [1] = sym_literal,
    [4] = sym_literal,
    [8] = sym_literal,
  },
  [255] = {
    [9] = sym_statement,
  },
  [256] = {
    [9] = sym_statement,
  },
  [257] = {
    [6] = sym_literal,
    [9] = sym_literal,
  },
  [260] = {
    [6] = sym_literal,
    [10] = sym_literal,
  },
  [270] = {
    [6] = sym_literal,
    [9] = sym_literal,
    [13] = sym_literal,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__dml_write, 2,
    sym__dml_write,
    sym_statement,
  sym__dml_read, 2,
    sym__dml_read,
    sym_statement,
  sym__column_list, 2,
    sym__column_list,
    sym_list,
  sym__column, 2,
    sym__column,
    sym_ordered_column,
  sym__qualified_field, 3,
    sym__qualified_field,
    sym_field,
    sym_object_reference,
  sym__single_quote_string, 2,
    sym__single_quote_string,
    sym_literal,
  sym__literal_string, 5,
    sym__literal_string,
    anon_alias_sym_command,
    anon_alias_sym_filename,
    sym_identifier,
    sym_literal,
  sym__integer, 2,
    sym__integer,
    sym_literal,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 6,
  [9] = 7,
  [10] = 10,
  [11] = 10,
  [12] = 10,
  [13] = 10,
  [14] = 14,
  [15] = 15,
  [16] = 10,
  [17] = 10,
  [18] = 10,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 10,
  [23] = 10,
  [24] = 24,
  [25] = 10,
  [26] = 26,
  [27] = 10,
  [28] = 10,
  [29] = 15,
  [30] = 15,
  [31] = 15,
  [32] = 15,
  [33] = 15,
  [34] = 10,
  [35] = 15,
  [36] = 15,
  [37] = 15,
  [38] = 10,
  [39] = 15,
  [40] = 10,
  [41] = 15,
  [42] = 19,
  [43] = 10,
  [44] = 10,
  [45] = 45,
  [46] = 15,
  [47] = 15,
  [48] = 10,
  [49] = 10,
  [50] = 50,
  [51] = 10,
  [52] = 52,
  [53] = 53,
  [54] = 15,
  [55] = 10,
  [56] = 10,
  [57] = 15,
  [58] = 10,
  [59] = 15,
  [60] = 10,
  [61] = 10,
  [62] = 10,
  [63] = 10,
  [64] = 10,
  [65] = 15,
  [66] = 20,
  [67] = 24,
  [68] = 45,
  [69] = 53,
  [70] = 70,
  [71] = 15,
  [72] = 26,
  [73] = 50,
  [74] = 74,
  [75] = 75,
  [76] = 14,
  [77] = 10,
  [78] = 70,
  [79] = 10,
  [80] = 10,
  [81] = 81,
  [82] = 10,
  [83] = 74,
  [84] = 75,
  [85] = 81,
  [86] = 86,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 90,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 100,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 99,
  [107] = 103,
  [108] = 108,
  [109] = 104,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 111,
  [116] = 113,
  [117] = 112,
  [118] = 86,
  [119] = 88,
  [120] = 87,
  [121] = 121,
  [122] = 122,
  [123] = 121,
  [124] = 124,
  [125] = 124,
  [126] = 124,
  [127] = 127,
  [128] = 127,
  [129] = 127,
  [130] = 130,
  [131] = 130,
  [132] = 132,
  [133] = 132,
  [134] = 130,
  [135] = 132,
  [136] = 136,
  [137] = 89,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 140,
  [144] = 140,
  [145] = 142,
  [146] = 141,
  [147] = 142,
  [148] = 141,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 90,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 183,
  [184] = 184,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 201,
  [202] = 202,
  [203] = 203,
  [204] = 204,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 214,
  [215] = 215,
  [216] = 216,
  [217] = 217,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 228,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 234,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 90,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 88,
  [293] = 87,
  [294] = 86,
  [295] = 90,
  [296] = 296,
  [297] = 296,
  [298] = 90,
  [299] = 90,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 301,
  [304] = 301,
  [305] = 305,
  [306] = 302,
  [307] = 301,
  [308] = 302,
  [309] = 301,
  [310] = 302,
  [311] = 311,
  [312] = 301,
  [313] = 302,
  [314] = 302,
  [315] = 301,
  [316] = 316,
  [317] = 317,
  [318] = 302,
  [319] = 319,
  [320] = 301,
  [321] = 319,
  [322] = 322,
  [323] = 323,
  [324] = 302,
  [325] = 302,
  [326] = 326,
  [327] = 327,
  [328] = 301,
  [329] = 329,
  [330] = 330,
  [331] = 302,
  [332] = 301,
  [333] = 302,
  [334] = 302,
  [335] = 301,
  [336] = 336,
  [337] = 337,
  [338] = 301,
  [339] = 301,
  [340] = 302,
  [341] = 301,
  [342] = 342,
  [343] = 305,
  [344] = 311,
  [345] = 301,
  [346] = 301,
  [347] = 347,
  [348] = 301,
  [349] = 301,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 302,
  [355] = 302,
  [356] = 356,
  [357] = 319,
  [358] = 301,
  [359] = 301,
  [360] = 350,
  [361] = 351,
  [362] = 352,
  [363] = 302,
  [364] = 364,
  [365] = 302,
  [366] = 352,
  [367] = 351,
  [368] = 302,
  [369] = 305,
  [370] = 301,
  [371] = 311,
  [372] = 350,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 89,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 86,
  [394] = 88,
  [395] = 87,
  [396] = 396,
  [397] = 397,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 403,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 149,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 158,
  [419] = 156,
  [420] = 159,
  [421] = 89,
  [422] = 152,
  [423] = 155,
  [424] = 154,
  [425] = 153,
  [426] = 426,
  [427] = 157,
  [428] = 150,
  [429] = 160,
  [430] = 161,
  [431] = 162,
  [432] = 163,
  [433] = 165,
  [434] = 151,
  [435] = 164,
  [436] = 374,
  [437] = 437,
  [438] = 388,
  [439] = 373,
  [440] = 392,
  [441] = 90,
  [442] = 377,
  [443] = 376,
  [444] = 385,
  [445] = 382,
  [446] = 381,
  [447] = 386,
  [448] = 389,
  [449] = 449,
  [450] = 379,
  [451] = 390,
  [452] = 391,
  [453] = 387,
  [454] = 378,
  [455] = 380,
  [456] = 383,
  [457] = 375,
  [458] = 381,
  [459] = 379,
  [460] = 382,
  [461] = 461,
  [462] = 461,
  [463] = 383,
  [464] = 461,
  [465] = 461,
  [466] = 87,
  [467] = 329,
  [468] = 468,
  [469] = 353,
  [470] = 380,
  [471] = 385,
  [472] = 378,
  [473] = 347,
  [474] = 468,
  [475] = 327,
  [476] = 376,
  [477] = 377,
  [478] = 461,
  [479] = 468,
  [480] = 461,
  [481] = 461,
  [482] = 330,
  [483] = 336,
  [484] = 337,
  [485] = 342,
  [486] = 461,
  [487] = 461,
  [488] = 326,
  [489] = 388,
  [490] = 390,
  [491] = 491,
  [492] = 168,
  [493] = 175,
  [494] = 88,
  [495] = 461,
  [496] = 461,
  [497] = 392,
  [498] = 389,
  [499] = 468,
  [500] = 375,
  [501] = 373,
  [502] = 322,
  [503] = 468,
  [504] = 188,
  [505] = 468,
  [506] = 461,
  [507] = 461,
  [508] = 300,
  [509] = 172,
  [510] = 364,
  [511] = 461,
  [512] = 166,
  [513] = 176,
  [514] = 177,
  [515] = 179,
  [516] = 180,
  [517] = 461,
  [518] = 461,
  [519] = 170,
  [520] = 374,
  [521] = 169,
  [522] = 173,
  [523] = 323,
  [524] = 174,
  [525] = 171,
  [526] = 461,
  [527] = 136,
  [528] = 386,
  [529] = 391,
  [530] = 468,
  [531] = 461,
  [532] = 86,
  [533] = 387,
  [534] = 347,
  [535] = 535,
  [536] = 413,
  [537] = 537,
  [538] = 396,
  [539] = 406,
  [540] = 540,
  [541] = 535,
  [542] = 416,
  [543] = 543,
  [544] = 400,
  [545] = 399,
  [546] = 397,
  [547] = 404,
  [548] = 403,
  [549] = 537,
  [550] = 540,
  [551] = 535,
  [552] = 543,
  [553] = 409,
  [554] = 410,
  [555] = 414,
  [556] = 537,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 540,
  [561] = 415,
  [562] = 535,
  [563] = 563,
  [564] = 412,
  [565] = 543,
  [566] = 405,
  [567] = 342,
  [568] = 401,
  [569] = 398,
  [570] = 402,
  [571] = 300,
  [572] = 408,
  [573] = 411,
  [574] = 537,
  [575] = 337,
  [576] = 336,
  [577] = 540,
  [578] = 558,
  [579] = 535,
  [580] = 557,
  [581] = 330,
  [582] = 543,
  [583] = 559,
  [584] = 329,
  [585] = 537,
  [586] = 586,
  [587] = 563,
  [588] = 537,
  [589] = 540,
  [590] = 535,
  [591] = 543,
  [592] = 592,
  [593] = 593,
  [594] = 327,
  [595] = 326,
  [596] = 537,
  [597] = 540,
  [598] = 323,
  [599] = 322,
  [600] = 593,
  [601] = 535,
  [602] = 540,
  [603] = 535,
  [604] = 543,
  [605] = 87,
  [606] = 606,
  [607] = 88,
  [608] = 608,
  [609] = 537,
  [610] = 540,
  [611] = 535,
  [612] = 543,
  [613] = 543,
  [614] = 593,
  [615] = 535,
  [616] = 540,
  [617] = 617,
  [618] = 537,
  [619] = 540,
  [620] = 620,
  [621] = 535,
  [622] = 622,
  [623] = 623,
  [624] = 543,
  [625] = 625,
  [626] = 626,
  [627] = 606,
  [628] = 628,
  [629] = 537,
  [630] = 540,
  [631] = 364,
  [632] = 535,
  [633] = 543,
  [634] = 634,
  [635] = 353,
  [636] = 636,
  [637] = 637,
  [638] = 537,
  [639] = 540,
  [640] = 537,
  [641] = 543,
  [642] = 535,
  [643] = 543,
  [644] = 86,
  [645] = 192,
  [646] = 646,
  [647] = 586,
  [648] = 537,
  [649] = 623,
  [650] = 199,
  [651] = 593,
  [652] = 540,
  [653] = 558,
  [654] = 535,
  [655] = 209,
  [656] = 182,
  [657] = 543,
  [658] = 214,
  [659] = 207,
  [660] = 219,
  [661] = 220,
  [662] = 628,
  [663] = 218,
  [664] = 537,
  [665] = 210,
  [666] = 540,
  [667] = 217,
  [668] = 535,
  [669] = 216,
  [670] = 205,
  [671] = 543,
  [672] = 204,
  [673] = 186,
  [674] = 187,
  [675] = 593,
  [676] = 634,
  [677] = 636,
  [678] = 543,
  [679] = 189,
  [680] = 191,
  [681] = 197,
  [682] = 201,
  [683] = 537,
  [684] = 195,
  [685] = 202,
  [686] = 193,
  [687] = 637,
  [688] = 535,
  [689] = 211,
  [690] = 540,
  [691] = 540,
  [692] = 535,
  [693] = 184,
  [694] = 203,
  [695] = 206,
  [696] = 537,
  [697] = 212,
  [698] = 543,
  [699] = 593,
  [700] = 183,
  [701] = 185,
  [702] = 190,
  [703] = 194,
  [704] = 196,
  [705] = 198,
  [706] = 200,
  [707] = 537,
  [708] = 213,
  [709] = 181,
  [710] = 208,
  [711] = 540,
  [712] = 535,
  [713] = 543,
  [714] = 714,
  [715] = 593,
  [716] = 543,
  [717] = 646,
  [718] = 540,
  [719] = 537,
  [720] = 720,
  [721] = 721,
  [722] = 274,
  [723] = 273,
  [724] = 277,
  [725] = 271,
  [726] = 270,
  [727] = 269,
  [728] = 278,
  [729] = 721,
  [730] = 268,
  [731] = 267,
  [732] = 266,
  [733] = 413,
  [734] = 323,
  [735] = 188,
  [736] = 242,
  [737] = 241,
  [738] = 221,
  [739] = 240,
  [740] = 239,
  [741] = 741,
  [742] = 233,
  [743] = 231,
  [744] = 396,
  [745] = 416,
  [746] = 400,
  [747] = 721,
  [748] = 399,
  [749] = 397,
  [750] = 256,
  [751] = 285,
  [752] = 259,
  [753] = 284,
  [754] = 261,
  [755] = 280,
  [756] = 263,
  [757] = 279,
  [758] = 272,
  [759] = 265,
  [760] = 281,
  [761] = 282,
  [762] = 404,
  [763] = 403,
  [764] = 228,
  [765] = 250,
  [766] = 247,
  [767] = 249,
  [768] = 243,
  [769] = 769,
  [770] = 238,
  [771] = 771,
  [772] = 237,
  [773] = 229,
  [774] = 227,
  [775] = 264,
  [776] = 262,
  [777] = 222,
  [778] = 258,
  [779] = 257,
  [780] = 253,
  [781] = 246,
  [782] = 245,
  [783] = 244,
  [784] = 721,
  [785] = 721,
  [786] = 409,
  [787] = 410,
  [788] = 236,
  [789] = 235,
  [790] = 414,
  [791] = 415,
  [792] = 412,
  [793] = 411,
  [794] = 794,
  [795] = 405,
  [796] = 260,
  [797] = 721,
  [798] = 798,
  [799] = 234,
  [800] = 232,
  [801] = 230,
  [802] = 226,
  [803] = 225,
  [804] = 804,
  [805] = 805,
  [806] = 806,
  [807] = 224,
  [808] = 808,
  [809] = 223,
  [810] = 188,
  [811] = 336,
  [812] = 720,
  [813] = 330,
  [814] = 329,
  [815] = 815,
  [816] = 248,
  [817] = 252,
  [818] = 254,
  [819] = 255,
  [820] = 251,
  [821] = 89,
  [822] = 822,
  [823] = 275,
  [824] = 824,
  [825] = 825,
  [826] = 337,
  [827] = 276,
  [828] = 720,
  [829] = 829,
  [830] = 406,
  [831] = 720,
  [832] = 720,
  [833] = 720,
  [834] = 364,
  [835] = 322,
  [836] = 720,
  [837] = 342,
  [838] = 401,
  [839] = 720,
  [840] = 86,
  [841] = 408,
  [842] = 720,
  [843] = 843,
  [844] = 88,
  [845] = 720,
  [846] = 353,
  [847] = 87,
  [848] = 720,
  [849] = 449,
  [850] = 720,
  [851] = 300,
  [852] = 720,
  [853] = 853,
  [854] = 720,
  [855] = 855,
  [856] = 720,
  [857] = 720,
  [858] = 721,
  [859] = 859,
  [860] = 398,
  [861] = 402,
  [862] = 720,
  [863] = 863,
  [864] = 720,
  [865] = 327,
  [866] = 326,
  [867] = 347,
  [868] = 769,
  [869] = 869,
  [870] = 870,
  [871] = 871,
  [872] = 872,
  [873] = 873,
  [874] = 874,
  [875] = 875,
  [876] = 741,
  [877] = 877,
  [878] = 808,
  [879] = 879,
  [880] = 880,
  [881] = 825,
  [882] = 805,
  [883] = 883,
  [884] = 855,
  [885] = 885,
  [886] = 886,
  [887] = 887,
  [888] = 815,
  [889] = 824,
  [890] = 890,
  [891] = 449,
  [892] = 892,
  [893] = 893,
  [894] = 89,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 859,
  [899] = 899,
  [900] = 900,
  [901] = 901,
  [902] = 829,
  [903] = 843,
  [904] = 904,
  [905] = 905,
  [906] = 288,
  [907] = 907,
  [908] = 908,
  [909] = 794,
  [910] = 910,
  [911] = 874,
  [912] = 912,
  [913] = 289,
  [914] = 914,
  [915] = 804,
  [916] = 287,
  [917] = 798,
  [918] = 291,
  [919] = 919,
  [920] = 290,
  [921] = 921,
  [922] = 771,
  [923] = 286,
  [924] = 924,
  [925] = 925,
  [926] = 426,
  [927] = 927,
  [928] = 928,
  [929] = 927,
  [930] = 930,
  [931] = 931,
  [932] = 930,
  [933] = 927,
  [934] = 934,
  [935] = 928,
  [936] = 936,
  [937] = 930,
  [938] = 930,
  [939] = 927,
  [940] = 927,
  [941] = 930,
  [942] = 927,
  [943] = 934,
  [944] = 927,
  [945] = 927,
  [946] = 90,
  [947] = 930,
  [948] = 930,
  [949] = 949,
  [950] = 930,
  [951] = 927,
  [952] = 949,
  [953] = 949,
  [954] = 949,
  [955] = 931,
  [956] = 927,
  [957] = 949,
  [958] = 949,
  [959] = 949,
  [960] = 437,
  [961] = 417,
  [962] = 914,
  [963] = 949,
  [964] = 949,
  [965] = 930,
  [966] = 931,
  [967] = 949,
  [968] = 949,
  [969] = 934,
  [970] = 771,
  [971] = 921,
  [972] = 927,
  [973] = 949,
  [974] = 934,
  [975] = 798,
  [976] = 804,
  [977] = 794,
  [978] = 769,
  [979] = 843,
  [980] = 934,
  [981] = 930,
  [982] = 930,
  [983] = 829,
  [984] = 934,
  [985] = 934,
  [986] = 931,
  [987] = 927,
  [988] = 949,
  [989] = 824,
  [990] = 859,
  [991] = 855,
  [992] = 825,
  [993] = 808,
  [994] = 741,
  [995] = 934,
  [996] = 930,
  [997] = 934,
  [998] = 934,
  [999] = 934,
  [1000] = 930,
  [1001] = 934,
  [1002] = 927,
  [1003] = 934,
  [1004] = 930,
  [1005] = 936,
  [1006] = 931,
  [1007] = 930,
  [1008] = 934,
  [1009] = 930,
  [1010] = 934,
  [1011] = 936,
  [1012] = 949,
  [1013] = 930,
  [1014] = 927,
  [1015] = 930,
  [1016] = 930,
  [1017] = 949,
  [1018] = 934,
  [1019] = 927,
  [1020] = 934,
  [1021] = 934,
  [1022] = 936,
  [1023] = 89,
  [1024] = 949,
  [1025] = 934,
  [1026] = 930,
  [1027] = 931,
  [1028] = 930,
  [1029] = 949,
  [1030] = 927,
  [1031] = 949,
  [1032] = 934,
  [1033] = 934,
  [1034] = 934,
  [1035] = 149,
  [1036] = 930,
  [1037] = 936,
  [1038] = 934,
  [1039] = 936,
  [1040] = 930,
  [1041] = 927,
  [1042] = 927,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 391,
  [1046] = 387,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1049,
  [1054] = 1054,
  [1055] = 417,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 159,
  [1063] = 376,
  [1064] = 1052,
  [1065] = 1057,
  [1066] = 1066,
  [1067] = 390,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1047,
  [1072] = 426,
  [1073] = 1073,
  [1074] = 1060,
  [1075] = 1075,
  [1076] = 1058,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1054,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1049,
  [1084] = 1048,
  [1085] = 1085,
  [1086] = 1051,
  [1087] = 1087,
  [1088] = 1073,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1070,
  [1095] = 1052,
  [1096] = 1047,
  [1097] = 1069,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1098,
  [1106] = 1068,
  [1107] = 1107,
  [1108] = 1066,
  [1109] = 337,
  [1110] = 1049,
  [1111] = 1089,
  [1112] = 1102,
  [1113] = 1087,
  [1114] = 1114,
  [1115] = 1047,
  [1116] = 1116,
  [1117] = 336,
  [1118] = 330,
  [1119] = 388,
  [1120] = 1085,
  [1121] = 1116,
  [1122] = 1054,
  [1123] = 1052,
  [1124] = 1057,
  [1125] = 1081,
  [1126] = 329,
  [1127] = 1068,
  [1128] = 1092,
  [1129] = 1059,
  [1130] = 1130,
  [1131] = 1091,
  [1132] = 1052,
  [1133] = 1047,
  [1134] = 1134,
  [1135] = 300,
  [1136] = 1050,
  [1137] = 1060,
  [1138] = 1054,
  [1139] = 1050,
  [1140] = 1051,
  [1141] = 1049,
  [1142] = 1081,
  [1143] = 1082,
  [1144] = 1047,
  [1145] = 1145,
  [1146] = 1146,
  [1147] = 1093,
  [1148] = 1100,
  [1149] = 1114,
  [1150] = 1100,
  [1151] = 1087,
  [1152] = 1114,
  [1153] = 1059,
  [1154] = 1047,
  [1155] = 1093,
  [1156] = 377,
  [1157] = 1043,
  [1158] = 1145,
  [1159] = 1043,
  [1160] = 1145,
  [1161] = 1043,
  [1162] = 1145,
  [1163] = 1043,
  [1164] = 1145,
  [1165] = 1043,
  [1166] = 1145,
  [1167] = 1104,
  [1168] = 1050,
  [1169] = 1169,
  [1170] = 1060,
  [1171] = 1054,
  [1172] = 1172,
  [1173] = 1051,
  [1174] = 1174,
  [1175] = 1175,
  [1176] = 1176,
  [1177] = 1090,
  [1178] = 1134,
  [1179] = 1102,
  [1180] = 1043,
  [1181] = 1051,
  [1182] = 1146,
  [1183] = 1145,
  [1184] = 386,
  [1185] = 1092,
  [1186] = 1104,
  [1187] = 1044,
  [1188] = 1169,
  [1189] = 1114,
  [1190] = 1079,
  [1191] = 1191,
  [1192] = 152,
  [1193] = 373,
  [1194] = 1068,
  [1195] = 1089,
  [1196] = 1145,
  [1197] = 1146,
  [1198] = 1059,
  [1199] = 1082,
  [1200] = 1087,
  [1201] = 385,
  [1202] = 1066,
  [1203] = 389,
  [1204] = 1059,
  [1205] = 136,
  [1206] = 1206,
  [1207] = 1172,
  [1208] = 392,
  [1209] = 1174,
  [1210] = 1081,
  [1211] = 1174,
  [1212] = 1043,
  [1213] = 1085,
  [1214] = 1175,
  [1215] = 1049,
  [1216] = 1054,
  [1217] = 1176,
  [1218] = 1052,
  [1219] = 1043,
  [1220] = 1048,
  [1221] = 1146,
  [1222] = 1058,
  [1223] = 1060,
  [1224] = 1145,
  [1225] = 1052,
  [1226] = 155,
  [1227] = 154,
  [1228] = 1050,
  [1229] = 153,
  [1230] = 1104,
  [1231] = 158,
  [1232] = 1102,
  [1233] = 157,
  [1234] = 1234,
  [1235] = 1114,
  [1236] = 1169,
  [1237] = 150,
  [1238] = 1075,
  [1239] = 1172,
  [1240] = 1240,
  [1241] = 1103,
  [1242] = 1099,
  [1243] = 1077,
  [1244] = 342,
  [1245] = 1240,
  [1246] = 1174,
  [1247] = 160,
  [1248] = 161,
  [1249] = 1047,
  [1250] = 1103,
  [1251] = 1099,
  [1252] = 1175,
  [1253] = 1082,
  [1254] = 1176,
  [1255] = 1068,
  [1256] = 1043,
  [1257] = 1100,
  [1258] = 1146,
  [1259] = 1145,
  [1260] = 1081,
  [1261] = 1057,
  [1262] = 1176,
  [1263] = 1175,
  [1264] = 162,
  [1265] = 1104,
  [1266] = 163,
  [1267] = 1169,
  [1268] = 165,
  [1269] = 151,
  [1270] = 1081,
  [1271] = 1172,
  [1272] = 1082,
  [1273] = 1240,
  [1274] = 164,
  [1275] = 1174,
  [1276] = 1175,
  [1277] = 1176,
  [1278] = 1103,
  [1279] = 1043,
  [1280] = 1047,
  [1281] = 1146,
  [1282] = 1145,
  [1283] = 382,
  [1284] = 1099,
  [1285] = 1093,
  [1286] = 1240,
  [1287] = 1100,
  [1288] = 1104,
  [1289] = 1114,
  [1290] = 1049,
  [1291] = 1093,
  [1292] = 1169,
  [1293] = 1134,
  [1294] = 1103,
  [1295] = 1172,
  [1296] = 1051,
  [1297] = 1093,
  [1298] = 1174,
  [1299] = 1099,
  [1300] = 1175,
  [1301] = 1176,
  [1302] = 1240,
  [1303] = 1043,
  [1304] = 1068,
  [1305] = 1146,
  [1306] = 1145,
  [1307] = 1099,
  [1308] = 1050,
  [1309] = 1051,
  [1310] = 1054,
  [1311] = 1060,
  [1312] = 1050,
  [1313] = 1114,
  [1314] = 1100,
  [1315] = 1093,
  [1316] = 437,
  [1317] = 1082,
  [1318] = 1104,
  [1319] = 1081,
  [1320] = 1082,
  [1321] = 1240,
  [1322] = 1169,
  [1323] = 1060,
  [1324] = 1054,
  [1325] = 1172,
  [1326] = 1103,
  [1327] = 1174,
  [1328] = 1175,
  [1329] = 1176,
  [1330] = 1099,
  [1331] = 1051,
  [1332] = 1057,
  [1333] = 1043,
  [1334] = 1098,
  [1335] = 1146,
  [1336] = 1103,
  [1337] = 1100,
  [1338] = 1061,
  [1339] = 1098,
  [1340] = 1145,
  [1341] = 1057,
  [1342] = 1049,
  [1343] = 1047,
  [1344] = 1114,
  [1345] = 1240,
  [1346] = 1052,
  [1347] = 1104,
  [1348] = 1078,
  [1349] = 1052,
  [1350] = 1102,
  [1351] = 1050,
  [1352] = 1069,
  [1353] = 1169,
  [1354] = 1070,
  [1355] = 1092,
  [1356] = 381,
  [1357] = 1047,
  [1358] = 1091,
  [1359] = 1090,
  [1360] = 1073,
  [1361] = 1087,
  [1362] = 1172,
  [1363] = 1085,
  [1364] = 1049,
  [1365] = 1077,
  [1366] = 1049,
  [1367] = 1174,
  [1368] = 1175,
  [1369] = 1058,
  [1370] = 1075,
  [1371] = 1176,
  [1372] = 1060,
  [1373] = 1043,
  [1374] = 1054,
  [1375] = 1146,
  [1376] = 1145,
  [1377] = 1049,
  [1378] = 1047,
  [1379] = 1051,
  [1380] = 1052,
  [1381] = 1104,
  [1382] = 1047,
  [1383] = 1061,
  [1384] = 1103,
  [1385] = 1385,
  [1386] = 1169,
  [1387] = 1057,
  [1388] = 1081,
  [1389] = 1172,
  [1390] = 1082,
  [1391] = 1174,
  [1392] = 1392,
  [1393] = 1175,
  [1394] = 1176,
  [1395] = 149,
  [1396] = 1056,
  [1397] = 1099,
  [1398] = 1048,
  [1399] = 1043,
  [1400] = 1240,
  [1401] = 1146,
  [1402] = 1145,
  [1403] = 1103,
  [1404] = 1048,
  [1405] = 1104,
  [1406] = 1099,
  [1407] = 1169,
  [1408] = 1240,
  [1409] = 1051,
  [1410] = 1172,
  [1411] = 1054,
  [1412] = 1174,
  [1413] = 1175,
  [1414] = 1060,
  [1415] = 1050,
  [1416] = 1114,
  [1417] = 1176,
  [1418] = 1100,
  [1419] = 1093,
  [1420] = 1049,
  [1421] = 1051,
  [1422] = 1043,
  [1423] = 1103,
  [1424] = 1146,
  [1425] = 1145,
  [1426] = 1082,
  [1427] = 1081,
  [1428] = 1099,
  [1429] = 1104,
  [1430] = 1174,
  [1431] = 1169,
  [1432] = 1098,
  [1433] = 1240,
  [1434] = 1172,
  [1435] = 1103,
  [1436] = 1099,
  [1437] = 1073,
  [1438] = 1057,
  [1439] = 1054,
  [1440] = 1174,
  [1441] = 1240,
  [1442] = 1175,
  [1443] = 1176,
  [1444] = 1240,
  [1445] = 1078,
  [1446] = 1069,
  [1447] = 1103,
  [1448] = 1066,
  [1449] = 1043,
  [1450] = 379,
  [1451] = 1146,
  [1452] = 1145,
  [1453] = 1175,
  [1454] = 1051,
  [1455] = 1057,
  [1456] = 1104,
  [1457] = 1099,
  [1458] = 1240,
  [1459] = 1103,
  [1460] = 1169,
  [1461] = 1099,
  [1462] = 1240,
  [1463] = 1103,
  [1464] = 327,
  [1465] = 326,
  [1466] = 1172,
  [1467] = 1172,
  [1468] = 364,
  [1469] = 1047,
  [1470] = 323,
  [1471] = 1049,
  [1472] = 1099,
  [1473] = 322,
  [1474] = 1474,
  [1475] = 1174,
  [1476] = 1476,
  [1477] = 1240,
  [1478] = 1089,
  [1479] = 1102,
  [1480] = 1054,
  [1481] = 1103,
  [1482] = 1099,
  [1483] = 1240,
  [1484] = 1175,
  [1485] = 1385,
  [1486] = 1176,
  [1487] = 1060,
  [1488] = 1050,
  [1489] = 1043,
  [1490] = 1103,
  [1491] = 1146,
  [1492] = 1145,
  [1493] = 1049,
  [1494] = 1051,
  [1495] = 1104,
  [1496] = 1054,
  [1497] = 1060,
  [1498] = 1050,
  [1499] = 1101,
  [1500] = 1114,
  [1501] = 1169,
  [1502] = 1100,
  [1503] = 1114,
  [1504] = 1093,
  [1505] = 1051,
  [1506] = 1082,
  [1507] = 1081,
  [1508] = 1172,
  [1509] = 1047,
  [1510] = 1073,
  [1511] = 1099,
  [1512] = 1240,
  [1513] = 1100,
  [1514] = 1116,
  [1515] = 1174,
  [1516] = 1057,
  [1517] = 1103,
  [1518] = 1175,
  [1519] = 1176,
  [1520] = 1093,
  [1521] = 1081,
  [1522] = 1043,
  [1523] = 90,
  [1524] = 1099,
  [1525] = 1146,
  [1526] = 1145,
  [1527] = 1085,
  [1528] = 1240,
  [1529] = 1093,
  [1530] = 1104,
  [1531] = 374,
  [1532] = 1169,
  [1533] = 1169,
  [1534] = 1099,
  [1535] = 1058,
  [1536] = 388,
  [1537] = 1060,
  [1538] = 1172,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 1069,
  [1542] = 1174,
  [1543] = 373,
  [1544] = 392,
  [1545] = 1175,
  [1546] = 1176,
  [1547] = 1057,
  [1548] = 1050,
  [1549] = 1082,
  [1550] = 771,
  [1551] = 1081,
  [1552] = 1043,
  [1553] = 1540,
  [1554] = 1146,
  [1555] = 1145,
  [1556] = 377,
  [1557] = 376,
  [1558] = 1104,
  [1559] = 798,
  [1560] = 1539,
  [1561] = 1169,
  [1562] = 804,
  [1563] = 385,
  [1564] = 382,
  [1565] = 1191,
  [1566] = 1172,
  [1567] = 381,
  [1568] = 1114,
  [1569] = 1100,
  [1570] = 386,
  [1571] = 1174,
  [1572] = 389,
  [1573] = 1104,
  [1574] = 390,
  [1575] = 391,
  [1576] = 387,
  [1577] = 1175,
  [1578] = 1176,
  [1579] = 1058,
  [1580] = 794,
  [1581] = 1047,
  [1582] = 378,
  [1583] = 380,
  [1584] = 1098,
  [1585] = 383,
  [1586] = 1056,
  [1587] = 1049,
  [1588] = 375,
  [1589] = 1052,
  [1590] = 1068,
  [1591] = 1052,
  [1592] = 1093,
  [1593] = 1057,
  [1594] = 1594,
  [1595] = 769,
  [1596] = 1081,
  [1597] = 1082,
  [1598] = 1070,
  [1599] = 1043,
  [1600] = 1049,
  [1601] = 1054,
  [1602] = 1602,
  [1603] = 1172,
  [1604] = 1100,
  [1605] = 1146,
  [1606] = 1114,
  [1607] = 1145,
  [1608] = 1050,
  [1609] = 1060,
  [1610] = 1054,
  [1611] = 1051,
  [1612] = 1176,
  [1613] = 843,
  [1614] = 1104,
  [1615] = 1049,
  [1616] = 1047,
  [1617] = 1060,
  [1618] = 1618,
  [1619] = 1169,
  [1620] = 1082,
  [1621] = 379,
  [1622] = 1051,
  [1623] = 1054,
  [1624] = 1060,
  [1625] = 1050,
  [1626] = 1114,
  [1627] = 1100,
  [1628] = 1093,
  [1629] = 1540,
  [1630] = 1082,
  [1631] = 1172,
  [1632] = 1081,
  [1633] = 1057,
  [1634] = 1594,
  [1635] = 1057,
  [1636] = 1174,
  [1637] = 1052,
  [1638] = 1057,
  [1639] = 1618,
  [1640] = 1082,
  [1641] = 1539,
  [1642] = 1175,
  [1643] = 1176,
  [1644] = 1191,
  [1645] = 1066,
  [1646] = 1081,
  [1647] = 1082,
  [1648] = 1100,
  [1649] = 1054,
  [1650] = 1091,
  [1651] = 1059,
  [1652] = 1134,
  [1653] = 1068,
  [1654] = 380,
  [1655] = 1146,
  [1656] = 829,
  [1657] = 1145,
  [1658] = 1134,
  [1659] = 1093,
  [1660] = 1052,
  [1661] = 1090,
  [1662] = 1082,
  [1663] = 1100,
  [1664] = 1057,
  [1665] = 1474,
  [1666] = 383,
  [1667] = 1052,
  [1668] = 1114,
  [1669] = 824,
  [1670] = 1081,
  [1671] = 1052,
  [1672] = 1057,
  [1673] = 1052,
  [1674] = 1103,
  [1675] = 1081,
  [1676] = 1082,
  [1677] = 426,
  [1678] = 1061,
  [1679] = 1052,
  [1680] = 1104,
  [1681] = 1057,
  [1682] = 1081,
  [1683] = 1169,
  [1684] = 1092,
  [1685] = 1052,
  [1686] = 1057,
  [1687] = 1075,
  [1688] = 1082,
  [1689] = 1172,
  [1690] = 1050,
  [1691] = 1093,
  [1692] = 90,
  [1693] = 859,
  [1694] = 1047,
  [1695] = 1174,
  [1696] = 149,
  [1697] = 1100,
  [1698] = 1049,
  [1699] = 1093,
  [1700] = 1175,
  [1701] = 1176,
  [1702] = 1089,
  [1703] = 1051,
  [1704] = 1114,
  [1705] = 378,
  [1706] = 156,
  [1707] = 1093,
  [1708] = 1043,
  [1709] = 1100,
  [1710] = 1050,
  [1711] = 1146,
  [1712] = 1145,
  [1713] = 1048,
  [1714] = 1060,
  [1715] = 1092,
  [1716] = 1114,
  [1717] = 1081,
  [1718] = 1047,
  [1719] = 1060,
  [1720] = 1169,
  [1721] = 1050,
  [1722] = 1474,
  [1723] = 1476,
  [1724] = 1054,
  [1725] = 1044,
  [1726] = 1051,
  [1727] = 1043,
  [1728] = 1052,
  [1729] = 1081,
  [1730] = 1068,
  [1731] = 1047,
  [1732] = 1049,
  [1733] = 1050,
  [1734] = 1049,
  [1735] = 1082,
  [1736] = 1051,
  [1737] = 1054,
  [1738] = 1060,
  [1739] = 1052,
  [1740] = 1093,
  [1741] = 1050,
  [1742] = 1114,
  [1743] = 1100,
  [1744] = 1093,
  [1745] = 1100,
  [1746] = 1075,
  [1747] = 1082,
  [1748] = 1081,
  [1749] = 1057,
  [1750] = 1092,
  [1751] = 1073,
  [1752] = 1058,
  [1753] = 1048,
  [1754] = 1098,
  [1755] = 1102,
  [1756] = 1059,
  [1757] = 1114,
  [1758] = 1060,
  [1759] = 1070,
  [1760] = 855,
  [1761] = 1069,
  [1762] = 1049,
  [1763] = 1070,
  [1764] = 1047,
  [1765] = 1091,
  [1766] = 1090,
  [1767] = 1087,
  [1768] = 1085,
  [1769] = 1075,
  [1770] = 1050,
  [1771] = 1061,
  [1772] = 1066,
  [1773] = 1114,
  [1774] = 1089,
  [1775] = 1050,
  [1776] = 1114,
  [1777] = 1100,
  [1778] = 1100,
  [1779] = 1059,
  [1780] = 1134,
  [1781] = 347,
  [1782] = 1054,
  [1783] = 1047,
  [1784] = 1049,
  [1785] = 1051,
  [1786] = 1061,
  [1787] = 1093,
  [1788] = 1091,
  [1789] = 1057,
  [1790] = 353,
  [1791] = 1060,
  [1792] = 1090,
  [1793] = 375,
  [1794] = 1054,
  [1795] = 1057,
  [1796] = 1051,
  [1797] = 1054,
  [1798] = 1060,
  [1799] = 1050,
  [1800] = 1114,
  [1801] = 1051,
  [1802] = 1100,
  [1803] = 1093,
  [1804] = 1618,
  [1805] = 1047,
  [1806] = 1082,
  [1807] = 1081,
  [1808] = 1057,
  [1809] = 374,
  [1810] = 825,
  [1811] = 1052,
  [1812] = 1092,
  [1813] = 1073,
  [1814] = 1058,
  [1815] = 1476,
  [1816] = 1052,
  [1817] = 1093,
  [1818] = 1048,
  [1819] = 1098,
  [1820] = 1102,
  [1821] = 808,
  [1822] = 1068,
  [1823] = 1130,
  [1824] = 1051,
  [1825] = 1054,
  [1826] = 1060,
  [1827] = 741,
  [1828] = 1050,
  [1829] = 1114,
  [1830] = 1100,
  [1831] = 1093,
  [1832] = 1060,
  [1833] = 1082,
  [1834] = 1081,
  [1835] = 1073,
  [1836] = 1049,
  [1837] = 160,
  [1838] = 374,
  [1839] = 380,
  [1840] = 150,
  [1841] = 174,
  [1842] = 153,
  [1843] = 159,
  [1844] = 378,
  [1845] = 379,
  [1846] = 171,
  [1847] = 156,
  [1848] = 157,
  [1849] = 136,
  [1850] = 1850,
  [1851] = 160,
  [1852] = 136,
  [1853] = 608,
  [1854] = 161,
  [1855] = 375,
  [1856] = 165,
  [1857] = 387,
  [1858] = 152,
  [1859] = 151,
  [1860] = 437,
  [1861] = 592,
  [1862] = 417,
  [1863] = 88,
  [1864] = 87,
  [1865] = 164,
  [1866] = 155,
  [1867] = 154,
  [1868] = 153,
  [1869] = 86,
  [1870] = 88,
  [1871] = 162,
  [1872] = 87,
  [1873] = 158,
  [1874] = 157,
  [1875] = 391,
  [1876] = 163,
  [1877] = 158,
  [1878] = 383,
  [1879] = 626,
  [1880] = 86,
  [1881] = 90,
  [1882] = 162,
  [1883] = 154,
  [1884] = 163,
  [1885] = 165,
  [1886] = 155,
  [1887] = 151,
  [1888] = 156,
  [1889] = 164,
  [1890] = 150,
  [1891] = 159,
  [1892] = 625,
  [1893] = 168,
  [1894] = 175,
  [1895] = 161,
  [1896] = 172,
  [1897] = 388,
  [1898] = 608,
  [1899] = 152,
  [1900] = 426,
  [1901] = 166,
  [1902] = 176,
  [1903] = 373,
  [1904] = 392,
  [1905] = 177,
  [1906] = 179,
  [1907] = 377,
  [1908] = 376,
  [1909] = 180,
  [1910] = 170,
  [1911] = 385,
  [1912] = 382,
  [1913] = 381,
  [1914] = 169,
  [1915] = 173,
  [1916] = 386,
  [1917] = 389,
  [1918] = 390,
  [1919] = 326,
  [1920] = 397,
  [1921] = 412,
  [1922] = 415,
  [1923] = 414,
  [1924] = 173,
  [1925] = 168,
  [1926] = 400,
  [1927] = 398,
  [1928] = 86,
  [1929] = 169,
  [1930] = 209,
  [1931] = 170,
  [1932] = 220,
  [1933] = 210,
  [1934] = 168,
  [1935] = 169,
  [1936] = 170,
  [1937] = 197,
  [1938] = 195,
  [1939] = 193,
  [1940] = 211,
  [1941] = 184,
  [1942] = 175,
  [1943] = 347,
  [1944] = 353,
  [1945] = 399,
  [1946] = 401,
  [1947] = 208,
  [1948] = 326,
  [1949] = 181,
  [1950] = 213,
  [1951] = 200,
  [1952] = 198,
  [1953] = 196,
  [1954] = 188,
  [1955] = 194,
  [1956] = 1850,
  [1957] = 180,
  [1958] = 416,
  [1959] = 406,
  [1960] = 411,
  [1961] = 347,
  [1962] = 179,
  [1963] = 353,
  [1964] = 177,
  [1965] = 176,
  [1966] = 322,
  [1967] = 166,
  [1968] = 323,
  [1969] = 364,
  [1970] = 327,
  [1971] = 626,
  [1972] = 185,
  [1973] = 183,
  [1974] = 212,
  [1975] = 206,
  [1976] = 203,
  [1977] = 202,
  [1978] = 329,
  [1979] = 330,
  [1980] = 327,
  [1981] = 336,
  [1982] = 337,
  [1983] = 172,
  [1984] = 201,
  [1985] = 173,
  [1986] = 396,
  [1987] = 364,
  [1988] = 806,
  [1989] = 300,
  [1990] = 824,
  [1991] = 191,
  [1992] = 189,
  [1993] = 174,
  [1994] = 187,
  [1995] = 859,
  [1996] = 415,
  [1997] = 171,
  [1998] = 855,
  [1999] = 186,
  [2000] = 413,
  [2001] = 136,
  [2002] = 204,
  [2003] = 205,
  [2004] = 180,
  [2005] = 829,
  [2006] = 179,
  [2007] = 843,
  [2008] = 177,
  [2009] = 216,
  [2010] = 217,
  [2011] = 218,
  [2012] = 219,
  [2013] = 176,
  [2014] = 403,
  [2015] = 166,
  [2016] = 174,
  [2017] = 171,
  [2018] = 592,
  [2019] = 408,
  [2020] = 825,
  [2021] = 327,
  [2022] = 207,
  [2023] = 342,
  [2024] = 326,
  [2025] = 323,
  [2026] = 300,
  [2027] = 214,
  [2028] = 808,
  [2029] = 323,
  [2030] = 329,
  [2031] = 342,
  [2032] = 322,
  [2033] = 330,
  [2034] = 175,
  [2035] = 741,
  [2036] = 182,
  [2037] = 626,
  [2038] = 199,
  [2039] = 337,
  [2040] = 192,
  [2041] = 364,
  [2042] = 190,
  [2043] = 347,
  [2044] = 769,
  [2045] = 592,
  [2046] = 794,
  [2047] = 322,
  [2048] = 402,
  [2049] = 853,
  [2050] = 405,
  [2051] = 409,
  [2052] = 172,
  [2053] = 336,
  [2054] = 353,
  [2055] = 410,
  [2056] = 625,
  [2057] = 2057,
  [2058] = 342,
  [2059] = 404,
  [2060] = 300,
  [2061] = 336,
  [2062] = 771,
  [2063] = 411,
  [2064] = 804,
  [2065] = 798,
  [2066] = 408,
  [2067] = 330,
  [2068] = 136,
  [2069] = 402,
  [2070] = 398,
  [2071] = 413,
  [2072] = 401,
  [2073] = 337,
  [2074] = 87,
  [2075] = 396,
  [2076] = 406,
  [2077] = 416,
  [2078] = 405,
  [2079] = 412,
  [2080] = 400,
  [2081] = 399,
  [2082] = 414,
  [2083] = 397,
  [2084] = 404,
  [2085] = 88,
  [2086] = 403,
  [2087] = 329,
  [2088] = 410,
  [2089] = 409,
  [2090] = 608,
  [2091] = 200,
  [2092] = 871,
  [2093] = 353,
  [2094] = 879,
  [2095] = 322,
  [2096] = 323,
  [2097] = 326,
  [2098] = 880,
  [2099] = 805,
  [2100] = 327,
  [2101] = 213,
  [2102] = 608,
  [2103] = 353,
  [2104] = 198,
  [2105] = 883,
  [2106] = 815,
  [2107] = 895,
  [2108] = 196,
  [2109] = 181,
  [2110] = 347,
  [2111] = 893,
  [2112] = 89,
  [2113] = 322,
  [2114] = 347,
  [2115] = 194,
  [2116] = 190,
  [2117] = 205,
  [2118] = 330,
  [2119] = 364,
  [2120] = 322,
  [2121] = 336,
  [2122] = 323,
  [2123] = 2123,
  [2124] = 326,
  [2125] = 337,
  [2126] = 327,
  [2127] = 329,
  [2128] = 330,
  [2129] = 336,
  [2130] = 337,
  [2131] = 188,
  [2132] = 208,
  [2133] = 897,
  [2134] = 300,
  [2135] = 204,
  [2136] = 824,
  [2137] = 885,
  [2138] = 342,
  [2139] = 859,
  [2140] = 855,
  [2141] = 887,
  [2142] = 825,
  [2143] = 808,
  [2144] = 741,
  [2145] = 853,
  [2146] = 323,
  [2147] = 186,
  [2148] = 806,
  [2149] = 159,
  [2150] = 300,
  [2151] = 156,
  [2152] = 342,
  [2153] = 216,
  [2154] = 217,
  [2155] = 872,
  [2156] = 218,
  [2157] = 185,
  [2158] = 187,
  [2159] = 183,
  [2160] = 189,
  [2161] = 219,
  [2162] = 449,
  [2163] = 191,
  [2164] = 870,
  [2165] = 201,
  [2166] = 896,
  [2167] = 202,
  [2168] = 88,
  [2169] = 87,
  [2170] = 89,
  [2171] = 815,
  [2172] = 207,
  [2173] = 203,
  [2174] = 214,
  [2175] = 209,
  [2176] = 182,
  [2177] = 206,
  [2178] = 212,
  [2179] = 200,
  [2180] = 873,
  [2181] = 326,
  [2182] = 829,
  [2183] = 199,
  [2184] = 329,
  [2185] = 197,
  [2186] = 592,
  [2187] = 195,
  [2188] = 193,
  [2189] = 255,
  [2190] = 254,
  [2191] = 908,
  [2192] = 252,
  [2193] = 212,
  [2194] = 912,
  [2195] = 192,
  [2196] = 208,
  [2197] = 886,
  [2198] = 181,
  [2199] = 843,
  [2200] = 211,
  [2201] = 184,
  [2202] = 769,
  [2203] = 213,
  [2204] = 794,
  [2205] = 327,
  [2206] = 875,
  [2207] = 182,
  [2208] = 804,
  [2209] = 214,
  [2210] = 798,
  [2211] = 206,
  [2212] = 904,
  [2213] = 203,
  [2214] = 202,
  [2215] = 201,
  [2216] = 905,
  [2217] = 204,
  [2218] = 260,
  [2219] = 626,
  [2220] = 771,
  [2221] = 869,
  [2222] = 924,
  [2223] = 890,
  [2224] = 892,
  [2225] = 625,
  [2226] = 364,
  [2227] = 207,
  [2228] = 219,
  [2229] = 925,
  [2230] = 210,
  [2231] = 218,
  [2232] = 217,
  [2233] = 199,
  [2234] = 901,
  [2235] = 216,
  [2236] = 247,
  [2237] = 86,
  [2238] = 900,
  [2239] = 228,
  [2240] = 342,
  [2241] = 282,
  [2242] = 281,
  [2243] = 907,
  [2244] = 220,
  [2245] = 910,
  [2246] = 261,
  [2247] = 411,
  [2248] = 919,
  [2249] = 272,
  [2250] = 408,
  [2251] = 188,
  [2252] = 186,
  [2253] = 263,
  [2254] = 185,
  [2255] = 187,
  [2256] = 342,
  [2257] = 198,
  [2258] = 1850,
  [2259] = 189,
  [2260] = 259,
  [2261] = 192,
  [2262] = 256,
  [2263] = 2057,
  [2264] = 402,
  [2265] = 231,
  [2266] = 233,
  [2267] = 337,
  [2268] = 404,
  [2269] = 239,
  [2270] = 240,
  [2271] = 221,
  [2272] = 398,
  [2273] = 241,
  [2274] = 242,
  [2275] = 266,
  [2276] = 267,
  [2277] = 337,
  [2278] = 397,
  [2279] = 336,
  [2280] = 805,
  [2281] = 330,
  [2282] = 268,
  [2283] = 269,
  [2284] = 329,
  [2285] = 327,
  [2286] = 326,
  [2287] = 323,
  [2288] = 270,
  [2289] = 322,
  [2290] = 271,
  [2291] = 273,
  [2292] = 274,
  [2293] = 275,
  [2294] = 276,
  [2295] = 277,
  [2296] = 149,
  [2297] = 278,
  [2298] = 285,
  [2299] = 284,
  [2300] = 280,
  [2301] = 279,
  [2302] = 184,
  [2303] = 265,
  [2304] = 250,
  [2305] = 249,
  [2306] = 243,
  [2307] = 238,
  [2308] = 336,
  [2309] = 237,
  [2310] = 229,
  [2311] = 401,
  [2312] = 227,
  [2313] = 205,
  [2314] = 264,
  [2315] = 899,
  [2316] = 211,
  [2317] = 262,
  [2318] = 399,
  [2319] = 222,
  [2320] = 405,
  [2321] = 258,
  [2322] = 257,
  [2323] = 193,
  [2324] = 253,
  [2325] = 195,
  [2326] = 347,
  [2327] = 353,
  [2328] = 197,
  [2329] = 183,
  [2330] = 246,
  [2331] = 245,
  [2332] = 244,
  [2333] = 400,
  [2334] = 877,
  [2335] = 329,
  [2336] = 236,
  [2337] = 235,
  [2338] = 413,
  [2339] = 234,
  [2340] = 232,
  [2341] = 412,
  [2342] = 364,
  [2343] = 230,
  [2344] = 415,
  [2345] = 226,
  [2346] = 225,
  [2347] = 209,
  [2348] = 406,
  [2349] = 224,
  [2350] = 414,
  [2351] = 330,
  [2352] = 223,
  [2353] = 248,
  [2354] = 251,
  [2355] = 191,
  [2356] = 347,
  [2357] = 353,
  [2358] = 190,
  [2359] = 410,
  [2360] = 409,
  [2361] = 300,
  [2362] = 364,
  [2363] = 194,
  [2364] = 210,
  [2365] = 300,
  [2366] = 220,
  [2367] = 396,
  [2368] = 403,
  [2369] = 196,
  [2370] = 416,
  [2371] = 890,
  [2372] = 157,
  [2373] = 901,
  [2374] = 899,
  [2375] = 2375,
  [2376] = 910,
  [2377] = 907,
  [2378] = 230,
  [2379] = 232,
  [2380] = 900,
  [2381] = 225,
  [2382] = 258,
  [2383] = 224,
  [2384] = 234,
  [2385] = 235,
  [2386] = 236,
  [2387] = 244,
  [2388] = 245,
  [2389] = 246,
  [2390] = 337,
  [2391] = 223,
  [2392] = 253,
  [2393] = 257,
  [2394] = 235,
  [2395] = 248,
  [2396] = 236,
  [2397] = 244,
  [2398] = 251,
  [2399] = 245,
  [2400] = 246,
  [2401] = 253,
  [2402] = 257,
  [2403] = 267,
  [2404] = 222,
  [2405] = 262,
  [2406] = 264,
  [2407] = 336,
  [2408] = 227,
  [2409] = 330,
  [2410] = 2410,
  [2411] = 229,
  [2412] = 237,
  [2413] = 238,
  [2414] = 329,
  [2415] = 437,
  [2416] = 892,
  [2417] = 342,
  [2418] = 243,
  [2419] = 895,
  [2420] = 249,
  [2421] = 250,
  [2422] = 265,
  [2423] = 327,
  [2424] = 873,
  [2425] = 872,
  [2426] = 279,
  [2427] = 280,
  [2428] = 326,
  [2429] = 284,
  [2430] = 285,
  [2431] = 323,
  [2432] = 322,
  [2433] = 2433,
  [2434] = 159,
  [2435] = 156,
  [2436] = 174,
  [2437] = 159,
  [2438] = 156,
  [2439] = 171,
  [2440] = 278,
  [2441] = 2123,
  [2442] = 870,
  [2443] = 896,
  [2444] = 277,
  [2445] = 276,
  [2446] = 274,
  [2447] = 273,
  [2448] = 271,
  [2449] = 875,
  [2450] = 877,
  [2451] = 270,
  [2452] = 269,
  [2453] = 268,
  [2454] = 261,
  [2455] = 266,
  [2456] = 87,
  [2457] = 897,
  [2458] = 908,
  [2459] = 242,
  [2460] = 241,
  [2461] = 417,
  [2462] = 221,
  [2463] = 240,
  [2464] = 88,
  [2465] = 2057,
  [2466] = 239,
  [2467] = 233,
  [2468] = 883,
  [2469] = 231,
  [2470] = 885,
  [2471] = 887,
  [2472] = 912,
  [2473] = 806,
  [2474] = 275,
  [2475] = 188,
  [2476] = 251,
  [2477] = 871,
  [2478] = 256,
  [2479] = 259,
  [2480] = 264,
  [2481] = 263,
  [2482] = 919,
  [2483] = 272,
  [2484] = 886,
  [2485] = 281,
  [2486] = 282,
  [2487] = 228,
  [2488] = 247,
  [2489] = 258,
  [2490] = 222,
  [2491] = 262,
  [2492] = 2123,
  [2493] = 227,
  [2494] = 229,
  [2495] = 237,
  [2496] = 924,
  [2497] = 238,
  [2498] = 364,
  [2499] = 243,
  [2500] = 249,
  [2501] = 250,
  [2502] = 265,
  [2503] = 279,
  [2504] = 280,
  [2505] = 353,
  [2506] = 2506,
  [2507] = 347,
  [2508] = 449,
  [2509] = 86,
  [2510] = 300,
  [2511] = 247,
  [2512] = 228,
  [2513] = 282,
  [2514] = 281,
  [2515] = 272,
  [2516] = 263,
  [2517] = 261,
  [2518] = 259,
  [2519] = 256,
  [2520] = 152,
  [2521] = 260,
  [2522] = 155,
  [2523] = 879,
  [2524] = 154,
  [2525] = 153,
  [2526] = 158,
  [2527] = 226,
  [2528] = 150,
  [2529] = 160,
  [2530] = 161,
  [2531] = 162,
  [2532] = 163,
  [2533] = 165,
  [2534] = 151,
  [2535] = 164,
  [2536] = 248,
  [2537] = 1850,
  [2538] = 223,
  [2539] = 224,
  [2540] = 225,
  [2541] = 252,
  [2542] = 254,
  [2543] = 255,
  [2544] = 2544,
  [2545] = 2545,
  [2546] = 2546,
  [2547] = 89,
  [2548] = 880,
  [2549] = 286,
  [2550] = 2550,
  [2551] = 290,
  [2552] = 149,
  [2553] = 156,
  [2554] = 904,
  [2555] = 905,
  [2556] = 869,
  [2557] = 159,
  [2558] = 291,
  [2559] = 287,
  [2560] = 288,
  [2561] = 254,
  [2562] = 234,
  [2563] = 231,
  [2564] = 232,
  [2565] = 233,
  [2566] = 230,
  [2567] = 239,
  [2568] = 240,
  [2569] = 226,
  [2570] = 853,
  [2571] = 221,
  [2572] = 241,
  [2573] = 242,
  [2574] = 289,
  [2575] = 880,
  [2576] = 805,
  [2577] = 255,
  [2578] = 815,
  [2579] = 893,
  [2580] = 924,
  [2581] = 919,
  [2582] = 912,
  [2583] = 908,
  [2584] = 897,
  [2585] = 877,
  [2586] = 875,
  [2587] = 896,
  [2588] = 870,
  [2589] = 252,
  [2590] = 872,
  [2591] = 873,
  [2592] = 890,
  [2593] = 892,
  [2594] = 901,
  [2595] = 900,
  [2596] = 899,
  [2597] = 284,
  [2598] = 910,
  [2599] = 925,
  [2600] = 285,
  [2601] = 278,
  [2602] = 277,
  [2603] = 907,
  [2604] = 895,
  [2605] = 276,
  [2606] = 275,
  [2607] = 893,
  [2608] = 274,
  [2609] = 273,
  [2610] = 271,
  [2611] = 270,
  [2612] = 269,
  [2613] = 268,
  [2614] = 267,
  [2615] = 266,
  [2616] = 883,
  [2617] = 885,
  [2618] = 887,
  [2619] = 871,
  [2620] = 886,
  [2621] = 879,
  [2622] = 905,
  [2623] = 869,
  [2624] = 925,
  [2625] = 260,
  [2626] = 904,
  [2627] = 159,
  [2628] = 815,
  [2629] = 2629,
  [2630] = 89,
  [2631] = 174,
  [2632] = 871,
  [2633] = 924,
  [2634] = 919,
  [2635] = 912,
  [2636] = 908,
  [2637] = 437,
  [2638] = 897,
  [2639] = 136,
  [2640] = 90,
  [2641] = 174,
  [2642] = 171,
  [2643] = 877,
  [2644] = 875,
  [2645] = 896,
  [2646] = 608,
  [2647] = 870,
  [2648] = 872,
  [2649] = 873,
  [2650] = 890,
  [2651] = 417,
  [2652] = 892,
  [2653] = 901,
  [2654] = 286,
  [2655] = 171,
  [2656] = 900,
  [2657] = 899,
  [2658] = 910,
  [2659] = 907,
  [2660] = 895,
  [2661] = 883,
  [2662] = 885,
  [2663] = 887,
  [2664] = 286,
  [2665] = 886,
  [2666] = 2123,
  [2667] = 904,
  [2668] = 905,
  [2669] = 869,
  [2670] = 290,
  [2671] = 925,
  [2672] = 291,
  [2673] = 174,
  [2674] = 171,
  [2675] = 287,
  [2676] = 289,
  [2677] = 288,
  [2678] = 426,
  [2679] = 893,
  [2680] = 149,
  [2681] = 156,
  [2682] = 288,
  [2683] = 289,
  [2684] = 152,
  [2685] = 173,
  [2686] = 169,
  [2687] = 2375,
  [2688] = 155,
  [2689] = 154,
  [2690] = 290,
  [2691] = 291,
  [2692] = 153,
  [2693] = 158,
  [2694] = 170,
  [2695] = 157,
  [2696] = 150,
  [2697] = 160,
  [2698] = 161,
  [2699] = 162,
  [2700] = 2410,
  [2701] = 2545,
  [2702] = 180,
  [2703] = 2550,
  [2704] = 179,
  [2705] = 2705,
  [2706] = 177,
  [2707] = 149,
  [2708] = 176,
  [2709] = 166,
  [2710] = 287,
  [2711] = 172,
  [2712] = 2546,
  [2713] = 2544,
  [2714] = 163,
  [2715] = 2506,
  [2716] = 879,
  [2717] = 880,
  [2718] = 165,
  [2719] = 805,
  [2720] = 2057,
  [2721] = 151,
  [2722] = 164,
  [2723] = 175,
  [2724] = 168,
  [2725] = 2433,
  [2726] = 326,
  [2727] = 190,
  [2728] = 385,
  [2729] = 426,
  [2730] = 805,
  [2731] = 168,
  [2732] = 417,
  [2733] = 175,
  [2734] = 192,
  [2735] = 199,
  [2736] = 342,
  [2737] = 417,
  [2738] = 152,
  [2739] = 2123,
  [2740] = 300,
  [2741] = 182,
  [2742] = 214,
  [2743] = 155,
  [2744] = 337,
  [2745] = 207,
  [2746] = 219,
  [2747] = 197,
  [2748] = 2748,
  [2749] = 193,
  [2750] = 154,
  [2751] = 156,
  [2752] = 90,
  [2753] = 390,
  [2754] = 327,
  [2755] = 379,
  [2756] = 205,
  [2757] = 204,
  [2758] = 437,
  [2759] = 364,
  [2760] = 186,
  [2761] = 187,
  [2762] = 153,
  [2763] = 189,
  [2764] = 191,
  [2765] = 201,
  [2766] = 202,
  [2767] = 203,
  [2768] = 206,
  [2769] = 212,
  [2770] = 183,
  [2771] = 185,
  [2772] = 323,
  [2773] = 195,
  [2774] = 194,
  [2775] = 196,
  [2776] = 198,
  [2777] = 200,
  [2778] = 213,
  [2779] = 181,
  [2780] = 158,
  [2781] = 208,
  [2782] = 157,
  [2783] = 322,
  [2784] = 150,
  [2785] = 2785,
  [2786] = 160,
  [2787] = 161,
  [2788] = 162,
  [2789] = 217,
  [2790] = 815,
  [2791] = 151,
  [2792] = 164,
  [2793] = 2705,
  [2794] = 347,
  [2795] = 353,
  [2796] = 184,
  [2797] = 211,
  [2798] = 2375,
  [2799] = 216,
  [2800] = 165,
  [2801] = 426,
  [2802] = 218,
  [2803] = 163,
  [2804] = 375,
  [2805] = 210,
  [2806] = 172,
  [2807] = 383,
  [2808] = 380,
  [2809] = 220,
  [2810] = 209,
  [2811] = 815,
  [2812] = 805,
  [2813] = 378,
  [2814] = 160,
  [2815] = 387,
  [2816] = 171,
  [2817] = 174,
  [2818] = 437,
  [2819] = 2375,
  [2820] = 391,
  [2821] = 89,
  [2822] = 136,
  [2823] = 188,
  [2824] = 330,
  [2825] = 2825,
  [2826] = 136,
  [2827] = 329,
  [2828] = 389,
  [2829] = 386,
  [2830] = 149,
  [2831] = 166,
  [2832] = 176,
  [2833] = 177,
  [2834] = 179,
  [2835] = 180,
  [2836] = 381,
  [2837] = 382,
  [2838] = 164,
  [2839] = 376,
  [2840] = 426,
  [2841] = 377,
  [2842] = 392,
  [2843] = 156,
  [2844] = 159,
  [2845] = 373,
  [2846] = 388,
  [2847] = 806,
  [2848] = 170,
  [2849] = 169,
  [2850] = 149,
  [2851] = 374,
  [2852] = 173,
  [2853] = 592,
  [2854] = 152,
  [2855] = 151,
  [2856] = 165,
  [2857] = 163,
  [2858] = 162,
  [2859] = 2629,
  [2860] = 437,
  [2861] = 417,
  [2862] = 161,
  [2863] = 155,
  [2864] = 154,
  [2865] = 153,
  [2866] = 158,
  [2867] = 157,
  [2868] = 150,
  [2869] = 159,
  [2870] = 626,
  [2871] = 149,
  [2872] = 871,
  [2873] = 2873,
  [2874] = 336,
  [2875] = 625,
  [2876] = 90,
  [2877] = 375,
  [2878] = 276,
  [2879] = 277,
  [2880] = 278,
  [2881] = 417,
  [2882] = 437,
  [2883] = 159,
  [2884] = 156,
  [2885] = 426,
  [2886] = 90,
  [2887] = 377,
  [2888] = 376,
  [2889] = 385,
  [2890] = 382,
  [2891] = 86,
  [2892] = 592,
  [2893] = 285,
  [2894] = 88,
  [2895] = 284,
  [2896] = 626,
  [2897] = 381,
  [2898] = 87,
  [2899] = 2785,
  [2900] = 2629,
  [2901] = 2873,
  [2902] = 2375,
  [2903] = 280,
  [2904] = 192,
  [2905] = 279,
  [2906] = 265,
  [2907] = 199,
  [2908] = 250,
  [2909] = 249,
  [2910] = 243,
  [2911] = 182,
  [2912] = 214,
  [2913] = 207,
  [2914] = 219,
  [2915] = 218,
  [2916] = 217,
  [2917] = 216,
  [2918] = 238,
  [2919] = 205,
  [2920] = 204,
  [2921] = 237,
  [2922] = 186,
  [2923] = 187,
  [2924] = 189,
  [2925] = 191,
  [2926] = 201,
  [2927] = 202,
  [2928] = 203,
  [2929] = 206,
  [2930] = 229,
  [2931] = 227,
  [2932] = 264,
  [2933] = 262,
  [2934] = 222,
  [2935] = 212,
  [2936] = 183,
  [2937] = 258,
  [2938] = 185,
  [2939] = 257,
  [2940] = 253,
  [2941] = 246,
  [2942] = 190,
  [2943] = 245,
  [2944] = 194,
  [2945] = 244,
  [2946] = 196,
  [2947] = 236,
  [2948] = 198,
  [2949] = 235,
  [2950] = 200,
  [2951] = 234,
  [2952] = 232,
  [2953] = 213,
  [2954] = 181,
  [2955] = 230,
  [2956] = 226,
  [2957] = 208,
  [2958] = 225,
  [2959] = 224,
  [2960] = 223,
  [2961] = 248,
  [2962] = 251,
  [2963] = 136,
  [2964] = 426,
  [2965] = 417,
  [2966] = 375,
  [2967] = 437,
  [2968] = 274,
  [2969] = 152,
  [2970] = 273,
  [2971] = 271,
  [2972] = 270,
  [2973] = 269,
  [2974] = 268,
  [2975] = 267,
  [2976] = 266,
  [2977] = 242,
  [2978] = 853,
  [2979] = 241,
  [2980] = 221,
  [2981] = 240,
  [2982] = 239,
  [2983] = 233,
  [2984] = 231,
  [2985] = 256,
  [2986] = 259,
  [2987] = 261,
  [2988] = 155,
  [2989] = 154,
  [2990] = 153,
  [2991] = 158,
  [2992] = 157,
  [2993] = 150,
  [2994] = 263,
  [2995] = 272,
  [2996] = 388,
  [2997] = 281,
  [2998] = 282,
  [2999] = 426,
  [3000] = 160,
  [3001] = 161,
  [3002] = 228,
  [3003] = 247,
  [3004] = 162,
  [3005] = 163,
  [3006] = 165,
  [3007] = 151,
  [3008] = 164,
  [3009] = 164,
  [3010] = 151,
  [3011] = 165,
  [3012] = 163,
  [3013] = 162,
  [3014] = 260,
  [3015] = 161,
  [3016] = 160,
  [3017] = 184,
  [3018] = 252,
  [3019] = 211,
  [3020] = 254,
  [3021] = 193,
  [3022] = 373,
  [3023] = 195,
  [3024] = 255,
  [3025] = 197,
  [3026] = 392,
  [3027] = 150,
  [3028] = 157,
  [3029] = 158,
  [3030] = 153,
  [3031] = 154,
  [3032] = 155,
  [3033] = 173,
  [3034] = 169,
  [3035] = 170,
  [3036] = 180,
  [3037] = 379,
  [3038] = 179,
  [3039] = 177,
  [3040] = 176,
  [3041] = 152,
  [3042] = 166,
  [3043] = 172,
  [3044] = 175,
  [3045] = 168,
  [3046] = 383,
  [3047] = 210,
  [3048] = 437,
  [3049] = 374,
  [3050] = 220,
  [3051] = 380,
  [3052] = 378,
  [3053] = 159,
  [3054] = 388,
  [3055] = 156,
  [3056] = 209,
  [3057] = 417,
  [3058] = 174,
  [3059] = 373,
  [3060] = 392,
  [3061] = 171,
  [3062] = 90,
  [3063] = 2057,
  [3064] = 152,
  [3065] = 155,
  [3066] = 386,
  [3067] = 389,
  [3068] = 168,
  [3069] = 377,
  [3070] = 376,
  [3071] = 175,
  [3072] = 154,
  [3073] = 153,
  [3074] = 385,
  [3075] = 382,
  [3076] = 390,
  [3077] = 381,
  [3078] = 391,
  [3079] = 158,
  [3080] = 157,
  [3081] = 387,
  [3082] = 374,
  [3083] = 150,
  [3084] = 386,
  [3085] = 389,
  [3086] = 160,
  [3087] = 390,
  [3088] = 391,
  [3089] = 387,
  [3090] = 161,
  [3091] = 162,
  [3092] = 163,
  [3093] = 165,
  [3094] = 378,
  [3095] = 380,
  [3096] = 151,
  [3097] = 383,
  [3098] = 164,
  [3099] = 172,
  [3100] = 871,
  [3101] = 275,
  [3102] = 426,
  [3103] = 173,
  [3104] = 169,
  [3105] = 170,
  [3106] = 379,
  [3107] = 417,
  [3108] = 625,
  [3109] = 180,
  [3110] = 149,
  [3111] = 176,
  [3112] = 437,
  [3113] = 177,
  [3114] = 171,
  [3115] = 179,
  [3116] = 174,
  [3117] = 166,
  [3118] = 375,
  [3119] = 396,
  [3120] = 190,
  [3121] = 194,
  [3122] = 196,
  [3123] = 198,
  [3124] = 200,
  [3125] = 213,
  [3126] = 181,
  [3127] = 208,
  [3128] = 155,
  [3129] = 154,
  [3130] = 153,
  [3131] = 158,
  [3132] = 157,
  [3133] = 150,
  [3134] = 205,
  [3135] = 160,
  [3136] = 161,
  [3137] = 183,
  [3138] = 184,
  [3139] = 162,
  [3140] = 163,
  [3141] = 165,
  [3142] = 151,
  [3143] = 164,
  [3144] = 211,
  [3145] = 193,
  [3146] = 195,
  [3147] = 212,
  [3148] = 1850,
  [3149] = 197,
  [3150] = 853,
  [3151] = 206,
  [3152] = 203,
  [3153] = 210,
  [3154] = 426,
  [3155] = 202,
  [3156] = 220,
  [3157] = 136,
  [3158] = 209,
  [3159] = 152,
  [3160] = 379,
  [3161] = 201,
  [3162] = 625,
  [3163] = 383,
  [3164] = 380,
  [3165] = 378,
  [3166] = 387,
  [3167] = 391,
  [3168] = 390,
  [3169] = 191,
  [3170] = 389,
  [3171] = 386,
  [3172] = 381,
  [3173] = 382,
  [3174] = 385,
  [3175] = 376,
  [3176] = 377,
  [3177] = 392,
  [3178] = 373,
  [3179] = 388,
  [3180] = 173,
  [3181] = 374,
  [3182] = 90,
  [3183] = 379,
  [3184] = 168,
  [3185] = 175,
  [3186] = 374,
  [3187] = 189,
  [3188] = 187,
  [3189] = 186,
  [3190] = 204,
  [3191] = 257,
  [3192] = 216,
  [3193] = 217,
  [3194] = 218,
  [3195] = 219,
  [3196] = 169,
  [3197] = 207,
  [3198] = 214,
  [3199] = 170,
  [3200] = 182,
  [3201] = 199,
  [3202] = 192,
  [3203] = 388,
  [3204] = 188,
  [3205] = 375,
  [3206] = 90,
  [3207] = 172,
  [3208] = 373,
  [3209] = 392,
  [3210] = 156,
  [3211] = 159,
  [3212] = 626,
  [3213] = 383,
  [3214] = 380,
  [3215] = 378,
  [3216] = 387,
  [3217] = 391,
  [3218] = 390,
  [3219] = 389,
  [3220] = 386,
  [3221] = 166,
  [3222] = 176,
  [3223] = 177,
  [3224] = 179,
  [3225] = 180,
  [3226] = 608,
  [3227] = 381,
  [3228] = 382,
  [3229] = 385,
  [3230] = 376,
  [3231] = 377,
  [3232] = 377,
  [3233] = 376,
  [3234] = 1850,
  [3235] = 592,
  [3236] = 251,
  [3237] = 385,
  [3238] = 382,
  [3239] = 392,
  [3240] = 381,
  [3241] = 373,
  [3242] = 388,
  [3243] = 170,
  [3244] = 180,
  [3245] = 179,
  [3246] = 177,
  [3247] = 169,
  [3248] = 176,
  [3249] = 166,
  [3250] = 374,
  [3251] = 173,
  [3252] = 248,
  [3253] = 223,
  [3254] = 224,
  [3255] = 225,
  [3256] = 413,
  [3257] = 226,
  [3258] = 230,
  [3259] = 171,
  [3260] = 174,
  [3261] = 136,
  [3262] = 592,
  [3263] = 232,
  [3264] = 234,
  [3265] = 192,
  [3266] = 199,
  [3267] = 182,
  [3268] = 214,
  [3269] = 207,
  [3270] = 219,
  [3271] = 218,
  [3272] = 386,
  [3273] = 389,
  [3274] = 217,
  [3275] = 390,
  [3276] = 391,
  [3277] = 387,
  [3278] = 216,
  [3279] = 205,
  [3280] = 204,
  [3281] = 186,
  [3282] = 187,
  [3283] = 185,
  [3284] = 189,
  [3285] = 191,
  [3286] = 201,
  [3287] = 202,
  [3288] = 203,
  [3289] = 378,
  [3290] = 380,
  [3291] = 206,
  [3292] = 383,
  [3293] = 212,
  [3294] = 183,
  [3295] = 185,
  [3296] = 190,
  [3297] = 194,
  [3298] = 196,
  [3299] = 198,
  [3300] = 200,
  [3301] = 213,
  [3302] = 181,
  [3303] = 208,
  [3304] = 406,
  [3305] = 416,
  [3306] = 235,
  [3307] = 236,
  [3308] = 244,
  [3309] = 245,
  [3310] = 184,
  [3311] = 211,
  [3312] = 193,
  [3313] = 195,
  [3314] = 197,
  [3315] = 246,
  [3316] = 253,
  [3317] = 172,
  [3318] = 210,
  [3319] = 249,
  [3320] = 375,
  [3321] = 220,
  [3322] = 209,
  [3323] = 86,
  [3324] = 400,
  [3325] = 879,
  [3326] = 880,
  [3327] = 399,
  [3328] = 397,
  [3329] = 404,
  [3330] = 592,
  [3331] = 608,
  [3332] = 379,
  [3333] = 403,
  [3334] = 258,
  [3335] = 222,
  [3336] = 262,
  [3337] = 264,
  [3338] = 227,
  [3339] = 168,
  [3340] = 417,
  [3341] = 375,
  [3342] = 175,
  [3343] = 229,
  [3344] = 237,
  [3345] = 238,
  [3346] = 243,
  [3347] = 288,
  [3348] = 289,
  [3349] = 625,
  [3350] = 174,
  [3351] = 250,
  [3352] = 175,
  [3353] = 168,
  [3354] = 379,
  [3355] = 608,
  [3356] = 265,
  [3357] = 279,
  [3358] = 280,
  [3359] = 409,
  [3360] = 410,
  [3361] = 414,
  [3362] = 415,
  [3363] = 412,
  [3364] = 405,
  [3365] = 287,
  [3366] = 383,
  [3367] = 380,
  [3368] = 378,
  [3369] = 291,
  [3370] = 290,
  [3371] = 437,
  [3372] = 284,
  [3373] = 285,
  [3374] = 172,
  [3375] = 278,
  [3376] = 277,
  [3377] = 276,
  [3378] = 275,
  [3379] = 387,
  [3380] = 391,
  [3381] = 390,
  [3382] = 389,
  [3383] = 386,
  [3384] = 286,
  [3385] = 274,
  [3386] = 273,
  [3387] = 271,
  [3388] = 270,
  [3389] = 269,
  [3390] = 268,
  [3391] = 267,
  [3392] = 266,
  [3393] = 87,
  [3394] = 626,
  [3395] = 88,
  [3396] = 401,
  [3397] = 136,
  [3398] = 398,
  [3399] = 626,
  [3400] = 402,
  [3401] = 2057,
  [3402] = 242,
  [3403] = 241,
  [3404] = 2873,
  [3405] = 221,
  [3406] = 240,
  [3407] = 239,
  [3408] = 625,
  [3409] = 233,
  [3410] = 231,
  [3411] = 408,
  [3412] = 374,
  [3413] = 256,
  [3414] = 259,
  [3415] = 261,
  [3416] = 263,
  [3417] = 272,
  [3418] = 281,
  [3419] = 282,
  [3420] = 388,
  [3421] = 373,
  [3422] = 392,
  [3423] = 228,
  [3424] = 247,
  [3425] = 166,
  [3426] = 176,
  [3427] = 177,
  [3428] = 179,
  [3429] = 180,
  [3430] = 411,
  [3431] = 260,
  [3432] = 252,
  [3433] = 254,
  [3434] = 255,
  [3435] = 170,
  [3436] = 169,
  [3437] = 377,
  [3438] = 376,
  [3439] = 385,
  [3440] = 382,
  [3441] = 381,
  [3442] = 2629,
  [3443] = 173,
  [3444] = 1850,
  [3445] = 893,
  [3446] = 171,
  [3447] = 229,
  [3448] = 87,
  [3449] = 806,
  [3450] = 188,
  [3451] = 86,
  [3452] = 414,
  [3453] = 89,
  [3454] = 409,
  [3455] = 415,
  [3456] = 412,
  [3457] = 893,
  [3458] = 209,
  [3459] = 411,
  [3460] = 347,
  [3461] = 625,
  [3462] = 426,
  [3463] = 815,
  [3464] = 925,
  [3465] = 220,
  [3466] = 405,
  [3467] = 869,
  [3468] = 905,
  [3469] = 904,
  [3470] = 805,
  [3471] = 880,
  [3472] = 210,
  [3473] = 879,
  [3474] = 886,
  [3475] = 871,
  [3476] = 887,
  [3477] = 885,
  [3478] = 625,
  [3479] = 883,
  [3480] = 895,
  [3481] = 907,
  [3482] = 910,
  [3483] = 899,
  [3484] = 900,
  [3485] = 901,
  [3486] = 353,
  [3487] = 853,
  [3488] = 385,
  [3489] = 379,
  [3490] = 322,
  [3491] = 323,
  [3492] = 364,
  [3493] = 326,
  [3494] = 327,
  [3495] = 156,
  [3496] = 159,
  [3497] = 892,
  [3498] = 329,
  [3499] = 330,
  [3500] = 1850,
  [3501] = 336,
  [3502] = 337,
  [3503] = 375,
  [3504] = 890,
  [3505] = 383,
  [3506] = 380,
  [3507] = 378,
  [3508] = 300,
  [3509] = 387,
  [3510] = 391,
  [3511] = 390,
  [3512] = 389,
  [3513] = 386,
  [3514] = 342,
  [3515] = 873,
  [3516] = 872,
  [3517] = 410,
  [3518] = 870,
  [3519] = 381,
  [3520] = 382,
  [3521] = 198,
  [3522] = 376,
  [3523] = 377,
  [3524] = 392,
  [3525] = 373,
  [3526] = 388,
  [3527] = 400,
  [3528] = 399,
  [3529] = 374,
  [3530] = 896,
  [3531] = 397,
  [3532] = 404,
  [3533] = 592,
  [3534] = 192,
  [3535] = 199,
  [3536] = 875,
  [3537] = 877,
  [3538] = 853,
  [3539] = 897,
  [3540] = 908,
  [3541] = 912,
  [3542] = 182,
  [3543] = 608,
  [3544] = 919,
  [3545] = 214,
  [3546] = 207,
  [3547] = 219,
  [3548] = 218,
  [3549] = 217,
  [3550] = 364,
  [3551] = 216,
  [3552] = 924,
  [3553] = 353,
  [3554] = 2873,
  [3555] = 347,
  [3556] = 608,
  [3557] = 806,
  [3558] = 449,
  [3559] = 197,
  [3560] = 195,
  [3561] = 251,
  [3562] = 403,
  [3563] = 248,
  [3564] = 223,
  [3565] = 205,
  [3566] = 224,
  [3567] = 225,
  [3568] = 226,
  [3569] = 204,
  [3570] = 193,
  [3571] = 230,
  [3572] = 186,
  [3573] = 232,
  [3574] = 234,
  [3575] = 235,
  [3576] = 236,
  [3577] = 244,
  [3578] = 245,
  [3579] = 246,
  [3580] = 187,
  [3581] = 189,
  [3582] = 253,
  [3583] = 257,
  [3584] = 211,
  [3585] = 258,
  [3586] = 191,
  [3587] = 222,
  [3588] = 201,
  [3589] = 262,
  [3590] = 202,
  [3591] = 264,
  [3592] = 203,
  [3593] = 227,
  [3594] = 206,
  [3595] = 229,
  [3596] = 237,
  [3597] = 238,
  [3598] = 243,
  [3599] = 249,
  [3600] = 250,
  [3601] = 265,
  [3602] = 279,
  [3603] = 280,
  [3604] = 284,
  [3605] = 285,
  [3606] = 212,
  [3607] = 183,
  [3608] = 184,
  [3609] = 185,
  [3610] = 288,
  [3611] = 278,
  [3612] = 277,
  [3613] = 276,
  [3614] = 275,
  [3615] = 274,
  [3616] = 273,
  [3617] = 271,
  [3618] = 270,
  [3619] = 269,
  [3620] = 268,
  [3621] = 267,
  [3622] = 266,
  [3623] = 289,
  [3624] = 242,
  [3625] = 241,
  [3626] = 221,
  [3627] = 240,
  [3628] = 239,
  [3629] = 208,
  [3630] = 233,
  [3631] = 231,
  [3632] = 287,
  [3633] = 291,
  [3634] = 290,
  [3635] = 190,
  [3636] = 181,
  [3637] = 256,
  [3638] = 213,
  [3639] = 259,
  [3640] = 194,
  [3641] = 261,
  [3642] = 200,
  [3643] = 263,
  [3644] = 196,
  [3645] = 272,
  [3646] = 198,
  [3647] = 281,
  [3648] = 282,
  [3649] = 228,
  [3650] = 196,
  [3651] = 247,
  [3652] = 194,
  [3653] = 200,
  [3654] = 2123,
  [3655] = 190,
  [3656] = 286,
  [3657] = 185,
  [3658] = 213,
  [3659] = 181,
  [3660] = 183,
  [3661] = 212,
  [3662] = 208,
  [3663] = 206,
  [3664] = 203,
  [3665] = 202,
  [3666] = 201,
  [3667] = 260,
  [3668] = 191,
  [3669] = 189,
  [3670] = 187,
  [3671] = 186,
  [3672] = 204,
  [3673] = 205,
  [3674] = 626,
  [3675] = 252,
  [3676] = 254,
  [3677] = 255,
  [3678] = 216,
  [3679] = 217,
  [3680] = 218,
  [3681] = 219,
  [3682] = 207,
  [3683] = 214,
  [3684] = 182,
  [3685] = 199,
  [3686] = 192,
  [3687] = 413,
  [3688] = 608,
  [3689] = 90,
  [3690] = 592,
  [3691] = 136,
  [3692] = 188,
  [3693] = 90,
  [3694] = 413,
  [3695] = 173,
  [3696] = 406,
  [3697] = 416,
  [3698] = 169,
  [3699] = 170,
  [3700] = 400,
  [3701] = 399,
  [3702] = 397,
  [3703] = 404,
  [3704] = 403,
  [3705] = 401,
  [3706] = 409,
  [3707] = 410,
  [3708] = 398,
  [3709] = 414,
  [3710] = 415,
  [3711] = 412,
  [3712] = 405,
  [3713] = 255,
  [3714] = 254,
  [3715] = 252,
  [3716] = 180,
  [3717] = 179,
  [3718] = 177,
  [3719] = 176,
  [3720] = 166,
  [3721] = 401,
  [3722] = 398,
  [3723] = 402,
  [3724] = 625,
  [3725] = 402,
  [3726] = 260,
  [3727] = 408,
  [3728] = 188,
  [3729] = 625,
  [3730] = 408,
  [3731] = 247,
  [3732] = 228,
  [3733] = 282,
  [3734] = 281,
  [3735] = 272,
  [3736] = 263,
  [3737] = 172,
  [3738] = 261,
  [3739] = 259,
  [3740] = 256,
  [3741] = 411,
  [3742] = 231,
  [3743] = 233,
  [3744] = 239,
  [3745] = 240,
  [3746] = 221,
  [3747] = 241,
  [3748] = 242,
  [3749] = 266,
  [3750] = 267,
  [3751] = 268,
  [3752] = 269,
  [3753] = 270,
  [3754] = 271,
  [3755] = 273,
  [3756] = 274,
  [3757] = 275,
  [3758] = 87,
  [3759] = 276,
  [3760] = 277,
  [3761] = 88,
  [3762] = 278,
  [3763] = 396,
  [3764] = 285,
  [3765] = 806,
  [3766] = 284,
  [3767] = 86,
  [3768] = 280,
  [3769] = 279,
  [3770] = 265,
  [3771] = 209,
  [3772] = 250,
  [3773] = 249,
  [3774] = 243,
  [3775] = 238,
  [3776] = 220,
  [3777] = 197,
  [3778] = 237,
  [3779] = 210,
  [3780] = 227,
  [3781] = 264,
  [3782] = 175,
  [3783] = 262,
  [3784] = 168,
  [3785] = 222,
  [3786] = 258,
  [3787] = 257,
  [3788] = 253,
  [3789] = 626,
  [3790] = 608,
  [3791] = 246,
  [3792] = 245,
  [3793] = 244,
  [3794] = 236,
  [3795] = 235,
  [3796] = 234,
  [3797] = 232,
  [3798] = 230,
  [3799] = 342,
  [3800] = 226,
  [3801] = 225,
  [3802] = 224,
  [3803] = 300,
  [3804] = 197,
  [3805] = 223,
  [3806] = 195,
  [3807] = 248,
  [3808] = 193,
  [3809] = 251,
  [3810] = 337,
  [3811] = 211,
  [3812] = 336,
  [3813] = 853,
  [3814] = 330,
  [3815] = 329,
  [3816] = 327,
  [3817] = 184,
  [3818] = 326,
  [3819] = 323,
  [3820] = 322,
  [3821] = 90,
  [3822] = 209,
  [3823] = 220,
  [3824] = 210,
  [3825] = 592,
  [3826] = 626,
  [3827] = 192,
  [3828] = 199,
  [3829] = 182,
  [3830] = 214,
  [3831] = 396,
  [3832] = 207,
  [3833] = 219,
  [3834] = 218,
  [3835] = 217,
  [3836] = 216,
  [3837] = 156,
  [3838] = 159,
  [3839] = 406,
  [3840] = 416,
  [3841] = 205,
  [3842] = 204,
  [3843] = 186,
  [3844] = 187,
  [3845] = 608,
  [3846] = 189,
  [3847] = 191,
  [3848] = 201,
  [3849] = 202,
  [3850] = 203,
  [3851] = 206,
  [3852] = 88,
  [3853] = 183,
  [3854] = 196,
  [3855] = 208,
  [3856] = 212,
  [3857] = 194,
  [3858] = 181,
  [3859] = 213,
  [3860] = 193,
  [3861] = 185,
  [3862] = 190,
  [3863] = 184,
  [3864] = 195,
  [3865] = 171,
  [3866] = 211,
  [3867] = 200,
  [3868] = 174,
  [3869] = 198,
  [3870] = 924,
  [3871] = 193,
  [3872] = 274,
  [3873] = 273,
  [3874] = 271,
  [3875] = 270,
  [3876] = 269,
  [3877] = 268,
  [3878] = 267,
  [3879] = 266,
  [3880] = 401,
  [3881] = 229,
  [3882] = 398,
  [3883] = 227,
  [3884] = 264,
  [3885] = 402,
  [3886] = 242,
  [3887] = 241,
  [3888] = 221,
  [3889] = 240,
  [3890] = 239,
  [3891] = 233,
  [3892] = 231,
  [3893] = 262,
  [3894] = 408,
  [3895] = 256,
  [3896] = 259,
  [3897] = 261,
  [3898] = 263,
  [3899] = 272,
  [3900] = 281,
  [3901] = 282,
  [3902] = 222,
  [3903] = 228,
  [3904] = 247,
  [3905] = 415,
  [3906] = 276,
  [3907] = 277,
  [3908] = 278,
  [3909] = 182,
  [3910] = 258,
  [3911] = 171,
  [3912] = 174,
  [3913] = 403,
  [3914] = 237,
  [3915] = 404,
  [3916] = 238,
  [3917] = 243,
  [3918] = 397,
  [3919] = 411,
  [3920] = 399,
  [3921] = 249,
  [3922] = 250,
  [3923] = 400,
  [3924] = 257,
  [3925] = 253,
  [3926] = 919,
  [3927] = 285,
  [3928] = 265,
  [3929] = 260,
  [3930] = 284,
  [3931] = 279,
  [3932] = 405,
  [3933] = 280,
  [3934] = 409,
  [3935] = 412,
  [3936] = 232,
  [3937] = 414,
  [3938] = 246,
  [3939] = 410,
  [3940] = 414,
  [3941] = 245,
  [3942] = 244,
  [3943] = 236,
  [3944] = 235,
  [3945] = 416,
  [3946] = 252,
  [3947] = 254,
  [3948] = 255,
  [3949] = 410,
  [3950] = 409,
  [3951] = 406,
  [3952] = 396,
  [3953] = 234,
  [3954] = 280,
  [3955] = 232,
  [3956] = 415,
  [3957] = 413,
  [3958] = 396,
  [3959] = 279,
  [3960] = 406,
  [3961] = 416,
  [3962] = 230,
  [3963] = 400,
  [3964] = 399,
  [3965] = 397,
  [3966] = 404,
  [3967] = 265,
  [3968] = 226,
  [3969] = 403,
  [3970] = 409,
  [3971] = 410,
  [3972] = 413,
  [3973] = 225,
  [3974] = 414,
  [3975] = 415,
  [3976] = 412,
  [3977] = 224,
  [3978] = 250,
  [3979] = 405,
  [3980] = 223,
  [3981] = 401,
  [3982] = 248,
  [3983] = 251,
  [3984] = 398,
  [3985] = 249,
  [3986] = 243,
  [3987] = 238,
  [3988] = 402,
  [3989] = 237,
  [3990] = 229,
  [3991] = 408,
  [3992] = 412,
  [3993] = 405,
  [3994] = 227,
  [3995] = 156,
  [3996] = 411,
  [3997] = 159,
  [3998] = 188,
  [3999] = 806,
  [4000] = 264,
  [4001] = 90,
  [4002] = 262,
  [4003] = 222,
  [4004] = 258,
  [4005] = 403,
  [4006] = 284,
  [4007] = 342,
  [4008] = 592,
  [4009] = 404,
  [4010] = 806,
  [4011] = 397,
  [4012] = 399,
  [4013] = 400,
  [4014] = 285,
  [4015] = 257,
  [4016] = 253,
  [4017] = 300,
  [4018] = 278,
  [4019] = 246,
  [4020] = 245,
  [4021] = 244,
  [4022] = 236,
  [4023] = 449,
  [4024] = 235,
  [4025] = 416,
  [4026] = 406,
  [4027] = 277,
  [4028] = 396,
  [4029] = 192,
  [4030] = 234,
  [4031] = 199,
  [4032] = 87,
  [4033] = 271,
  [4034] = 230,
  [4035] = 226,
  [4036] = 413,
  [4037] = 225,
  [4038] = 224,
  [4039] = 223,
  [4040] = 248,
  [4041] = 251,
  [4042] = 925,
  [4043] = 214,
  [4044] = 869,
  [4045] = 207,
  [4046] = 219,
  [4047] = 218,
  [4048] = 217,
  [4049] = 216,
  [4050] = 905,
  [4051] = 904,
  [4052] = 886,
  [4053] = 871,
  [4054] = 379,
  [4055] = 887,
  [4056] = 885,
  [4057] = 883,
  [4058] = 322,
  [4059] = 323,
  [4060] = 326,
  [4061] = 327,
  [4062] = 286,
  [4063] = 275,
  [4064] = 873,
  [4065] = 872,
  [4066] = 274,
  [4067] = 273,
  [4068] = 205,
  [4069] = 337,
  [4070] = 336,
  [4071] = 204,
  [4072] = 290,
  [4073] = 291,
  [4074] = 895,
  [4075] = 287,
  [4076] = 330,
  [4077] = 186,
  [4078] = 329,
  [4079] = 187,
  [4080] = 330,
  [4081] = 336,
  [4082] = 337,
  [4083] = 189,
  [4084] = 188,
  [4085] = 191,
  [4086] = 907,
  [4087] = 910,
  [4088] = 899,
  [4089] = 201,
  [4090] = 375,
  [4091] = 202,
  [4092] = 203,
  [4093] = 206,
  [4094] = 289,
  [4095] = 288,
  [4096] = 853,
  [4097] = 900,
  [4098] = 212,
  [4099] = 183,
  [4100] = 185,
  [4101] = 190,
  [4102] = 194,
  [4103] = 196,
  [4104] = 198,
  [4105] = 200,
  [4106] = 2375,
  [4107] = 901,
  [4108] = 329,
  [4109] = 213,
  [4110] = 870,
  [4111] = 896,
  [4112] = 890,
  [4113] = 892,
  [4114] = 181,
  [4115] = 208,
  [4116] = 853,
  [4117] = 892,
  [4118] = 890,
  [4119] = 383,
  [4120] = 380,
  [4121] = 378,
  [4122] = 873,
  [4123] = 872,
  [4124] = 300,
  [4125] = 870,
  [4126] = 896,
  [4127] = 387,
  [4128] = 391,
  [4129] = 390,
  [4130] = 389,
  [4131] = 386,
  [4132] = 449,
  [4133] = 879,
  [4134] = 875,
  [4135] = 342,
  [4136] = 877,
  [4137] = 184,
  [4138] = 159,
  [4139] = 156,
  [4140] = 880,
  [4141] = 805,
  [4142] = 211,
  [4143] = 275,
  [4144] = 195,
  [4145] = 815,
  [4146] = 893,
  [4147] = 197,
  [4148] = 875,
  [4149] = 2410,
  [4150] = 912,
  [4151] = 270,
  [4152] = 897,
  [4153] = 381,
  [4154] = 382,
  [4155] = 385,
  [4156] = 924,
  [4157] = 877,
  [4158] = 376,
  [4159] = 377,
  [4160] = 908,
  [4161] = 252,
  [4162] = 210,
  [4163] = 228,
  [4164] = 220,
  [4165] = 392,
  [4166] = 209,
  [4167] = 919,
  [4168] = 373,
  [4169] = 895,
  [4170] = 883,
  [4171] = 885,
  [4172] = 887,
  [4173] = 871,
  [4174] = 449,
  [4175] = 886,
  [4176] = 388,
  [4177] = 904,
  [4178] = 905,
  [4179] = 869,
  [4180] = 912,
  [4181] = 919,
  [4182] = 86,
  [4183] = 374,
  [4184] = 400,
  [4185] = 924,
  [4186] = 893,
  [4187] = 347,
  [4188] = 327,
  [4189] = 353,
  [4190] = 626,
  [4191] = 364,
  [4192] = 815,
  [4193] = 326,
  [4194] = 255,
  [4195] = 254,
  [4196] = 238,
  [4197] = 806,
  [4198] = 805,
  [4199] = 880,
  [4200] = 908,
  [4201] = 879,
  [4202] = 364,
  [4203] = 276,
  [4204] = 322,
  [4205] = 269,
  [4206] = 260,
  [4207] = 268,
  [4208] = 897,
  [4209] = 267,
  [4210] = 266,
  [4211] = 401,
  [4212] = 398,
  [4213] = 402,
  [4214] = 242,
  [4215] = 241,
  [4216] = 221,
  [4217] = 240,
  [4218] = 625,
  [4219] = 239,
  [4220] = 233,
  [4221] = 247,
  [4222] = 231,
  [4223] = 408,
  [4224] = 877,
  [4225] = 875,
  [4226] = 228,
  [4227] = 282,
  [4228] = 281,
  [4229] = 256,
  [4230] = 896,
  [4231] = 870,
  [4232] = 272,
  [4233] = 288,
  [4234] = 289,
  [4235] = 263,
  [4236] = 259,
  [4237] = 261,
  [4238] = 323,
  [4239] = 259,
  [4240] = 261,
  [4241] = 256,
  [4242] = 263,
  [4243] = 272,
  [4244] = 287,
  [4245] = 291,
  [4246] = 231,
  [4247] = 872,
  [4248] = 873,
  [4249] = 233,
  [4250] = 890,
  [4251] = 892,
  [4252] = 2629,
  [4253] = 290,
  [4254] = 281,
  [4255] = 239,
  [4256] = 240,
  [4257] = 221,
  [4258] = 241,
  [4259] = 242,
  [4260] = 266,
  [4261] = 2545,
  [4262] = 267,
  [4263] = 268,
  [4264] = 2550,
  [4265] = 269,
  [4266] = 270,
  [4267] = 271,
  [4268] = 273,
  [4269] = 274,
  [4270] = 275,
  [4271] = 276,
  [4272] = 277,
  [4273] = 282,
  [4274] = 286,
  [4275] = 278,
  [4276] = 285,
  [4277] = 284,
  [4278] = 280,
  [4279] = 279,
  [4280] = 265,
  [4281] = 250,
  [4282] = 249,
  [4283] = 901,
  [4284] = 900,
  [4285] = 243,
  [4286] = 899,
  [4287] = 910,
  [4288] = 907,
  [4289] = 895,
  [4290] = 925,
  [4291] = 237,
  [4292] = 229,
  [4293] = 912,
  [4294] = 227,
  [4295] = 247,
  [4296] = 264,
  [4297] = 399,
  [4298] = 262,
  [4299] = 411,
  [4300] = 222,
  [4301] = 89,
  [4302] = 258,
  [4303] = 257,
  [4304] = 253,
  [4305] = 883,
  [4306] = 885,
  [4307] = 887,
  [4308] = 871,
  [4309] = 893,
  [4310] = 886,
  [4311] = 246,
  [4312] = 904,
  [4313] = 905,
  [4314] = 869,
  [4315] = 260,
  [4316] = 925,
  [4317] = 245,
  [4318] = 159,
  [4319] = 156,
  [4320] = 880,
  [4321] = 879,
  [4322] = 347,
  [4323] = 353,
  [4324] = 244,
  [4325] = 188,
  [4326] = 300,
  [4327] = 236,
  [4328] = 411,
  [4329] = 235,
  [4330] = 252,
  [4331] = 342,
  [4332] = 254,
  [4333] = 337,
  [4334] = 336,
  [4335] = 255,
  [4336] = 136,
  [4337] = 2546,
  [4338] = 408,
  [4339] = 2544,
  [4340] = 330,
  [4341] = 342,
  [4342] = 300,
  [4343] = 174,
  [4344] = 171,
  [4345] = 327,
  [4346] = 908,
  [4347] = 364,
  [4348] = 402,
  [4349] = 347,
  [4350] = 398,
  [4351] = 326,
  [4352] = 364,
  [4353] = 401,
  [4354] = 323,
  [4355] = 901,
  [4356] = 322,
  [4357] = 806,
  [4358] = 853,
  [4359] = 337,
  [4360] = 336,
  [4361] = 330,
  [4362] = 329,
  [4363] = 329,
  [4364] = 327,
  [4365] = 326,
  [4366] = 364,
  [4367] = 323,
  [4368] = 322,
  [4369] = 405,
  [4370] = 330,
  [4371] = 412,
  [4372] = 234,
  [4373] = 415,
  [4374] = 329,
  [4375] = 414,
  [4376] = 416,
  [4377] = 322,
  [4378] = 897,
  [4379] = 232,
  [4380] = 406,
  [4381] = 230,
  [4382] = 2506,
  [4383] = 353,
  [4384] = 353,
  [4385] = 410,
  [4386] = 409,
  [4387] = 336,
  [4388] = 396,
  [4389] = 900,
  [4390] = 347,
  [4391] = 337,
  [4392] = 323,
  [4393] = 300,
  [4394] = 226,
  [4395] = 326,
  [4396] = 225,
  [4397] = 224,
  [4398] = 342,
  [4399] = 413,
  [4400] = 347,
  [4401] = 327,
  [4402] = 353,
  [4403] = 2433,
  [4404] = 899,
  [4405] = 403,
  [4406] = 910,
  [4407] = 853,
  [4408] = 223,
  [4409] = 248,
  [4410] = 907,
  [4411] = 426,
  [4412] = 608,
  [4413] = 88,
  [4414] = 404,
  [4415] = 251,
  [4416] = 397,
  [4417] = 815,
  [4418] = 890,
  [4419] = 925,
  [4420] = 869,
  [4421] = 905,
  [4422] = 904,
  [4423] = 886,
  [4424] = 449,
  [4425] = 2433,
  [4426] = 871,
  [4427] = 887,
  [4428] = 2506,
  [4429] = 885,
  [4430] = 883,
  [4431] = 2873,
  [4432] = 895,
  [4433] = 907,
  [4434] = 910,
  [4435] = 2544,
  [4436] = 899,
  [4437] = 2546,
  [4438] = 900,
  [4439] = 901,
  [4440] = 892,
  [4441] = 890,
  [4442] = 873,
  [4443] = 872,
  [4444] = 870,
  [4445] = 896,
  [4446] = 171,
  [4447] = 174,
  [4448] = 2550,
  [4449] = 2545,
  [4450] = 875,
  [4451] = 877,
  [4452] = 897,
  [4453] = 908,
  [4454] = 912,
  [4455] = 919,
  [4456] = 924,
  [4457] = 347,
  [4458] = 893,
  [4459] = 815,
  [4460] = 805,
  [4461] = 880,
  [4462] = 879,
  [4463] = 449,
  [4464] = 353,
  [4465] = 2410,
  [4466] = 288,
  [4467] = 289,
  [4468] = 287,
  [4469] = 2629,
  [4470] = 291,
  [4471] = 290,
  [4472] = 286,
  [4473] = 171,
  [4474] = 174,
  [4475] = 156,
  [4476] = 159,
  [4477] = 89,
  [4478] = 4478,
  [4479] = 4478,
  [4480] = 90,
  [4481] = 925,
  [4482] = 89,
  [4483] = 869,
  [4484] = 905,
  [4485] = 904,
  [4486] = 886,
  [4487] = 871,
  [4488] = 887,
  [4489] = 885,
  [4490] = 883,
  [4491] = 895,
  [4492] = 907,
  [4493] = 910,
  [4494] = 899,
  [4495] = 900,
  [4496] = 901,
  [4497] = 892,
  [4498] = 873,
  [4499] = 872,
  [4500] = 870,
  [4501] = 896,
  [4502] = 875,
  [4503] = 877,
  [4504] = 897,
  [4505] = 908,
  [4506] = 912,
  [4507] = 919,
  [4508] = 924,
  [4509] = 449,
  [4510] = 592,
  [4511] = 925,
  [4512] = 869,
  [4513] = 905,
  [4514] = 904,
  [4515] = 342,
  [4516] = 300,
  [4517] = 337,
  [4518] = 286,
  [4519] = 336,
  [4520] = 886,
  [4521] = 871,
  [4522] = 887,
  [4523] = 330,
  [4524] = 329,
  [4525] = 290,
  [4526] = 291,
  [4527] = 327,
  [4528] = 885,
  [4529] = 883,
  [4530] = 287,
  [4531] = 289,
  [4532] = 288,
  [4533] = 853,
  [4534] = 326,
  [4535] = 364,
  [4536] = 323,
  [4537] = 895,
  [4538] = 907,
  [4539] = 910,
  [4540] = 899,
  [4541] = 879,
  [4542] = 900,
  [4543] = 880,
  [4544] = 805,
  [4545] = 901,
  [4546] = 815,
  [4547] = 893,
  [4548] = 892,
  [4549] = 890,
  [4550] = 873,
  [4551] = 872,
  [4552] = 870,
  [4553] = 896,
  [4554] = 871,
  [4555] = 875,
  [4556] = 877,
  [4557] = 897,
  [4558] = 251,
  [4559] = 248,
  [4560] = 223,
  [4561] = 224,
  [4562] = 225,
  [4563] = 924,
  [4564] = 226,
  [4565] = 230,
  [4566] = 232,
  [4567] = 234,
  [4568] = 919,
  [4569] = 235,
  [4570] = 236,
  [4571] = 244,
  [4572] = 908,
  [4573] = 245,
  [4574] = 246,
  [4575] = 912,
  [4576] = 253,
  [4577] = 257,
  [4578] = 919,
  [4579] = 924,
  [4580] = 188,
  [4581] = 912,
  [4582] = 258,
  [4583] = 222,
  [4584] = 262,
  [4585] = 264,
  [4586] = 227,
  [4587] = 229,
  [4588] = 237,
  [4589] = 238,
  [4590] = 243,
  [4591] = 249,
  [4592] = 250,
  [4593] = 265,
  [4594] = 279,
  [4595] = 280,
  [4596] = 908,
  [4597] = 897,
  [4598] = 284,
  [4599] = 285,
  [4600] = 278,
  [4601] = 277,
  [4602] = 276,
  [4603] = 275,
  [4604] = 274,
  [4605] = 273,
  [4606] = 271,
  [4607] = 270,
  [4608] = 269,
  [4609] = 268,
  [4610] = 267,
  [4611] = 266,
  [4612] = 411,
  [4613] = 877,
  [4614] = 875,
  [4615] = 408,
  [4616] = 896,
  [4617] = 870,
  [4618] = 242,
  [4619] = 241,
  [4620] = 221,
  [4621] = 240,
  [4622] = 239,
  [4623] = 402,
  [4624] = 233,
  [4625] = 231,
  [4626] = 398,
  [4627] = 401,
  [4628] = 872,
  [4629] = 873,
  [4630] = 405,
  [4631] = 890,
  [4632] = 892,
  [4633] = 412,
  [4634] = 256,
  [4635] = 259,
  [4636] = 261,
  [4637] = 415,
  [4638] = 263,
  [4639] = 272,
  [4640] = 281,
  [4641] = 414,
  [4642] = 282,
  [4643] = 228,
  [4644] = 247,
  [4645] = 410,
  [4646] = 409,
  [4647] = 901,
  [4648] = 900,
  [4649] = 899,
  [4650] = 910,
  [4651] = 907,
  [4652] = 895,
  [4653] = 260,
  [4654] = 403,
  [4655] = 404,
  [4656] = 252,
  [4657] = 254,
  [4658] = 255,
  [4659] = 397,
  [4660] = 883,
  [4661] = 885,
  [4662] = 887,
  [4663] = 886,
  [4664] = 399,
  [4665] = 400,
  [4666] = 416,
  [4667] = 904,
  [4668] = 905,
  [4669] = 869,
  [4670] = 925,
  [4671] = 406,
  [4672] = 396,
  [4673] = 413,
  [4674] = 893,
  [4675] = 806,
  [4676] = 322,
  [4677] = 805,
  [4678] = 880,
  [4679] = 626,
  [4680] = 879,
  [4681] = 449,
  [4682] = 288,
  [4683] = 289,
  [4684] = 287,
  [4685] = 291,
  [4686] = 290,
  [4687] = 286,
  [4688] = 171,
  [4689] = 174,
  [4690] = 288,
  [4691] = 322,
  [4692] = 4692,
  [4693] = 329,
  [4694] = 327,
  [4695] = 326,
  [4696] = 353,
  [4697] = 364,
  [4698] = 330,
  [4699] = 336,
  [4700] = 347,
  [4701] = 337,
  [4702] = 300,
  [4703] = 342,
  [4704] = 4478,
  [4705] = 159,
  [4706] = 156,
  [4707] = 2873,
  [4708] = 171,
  [4709] = 174,
  [4710] = 156,
  [4711] = 159,
  [4712] = 824,
  [4713] = 411,
  [4714] = 408,
  [4715] = 402,
  [4716] = 398,
  [4717] = 401,
  [4718] = 405,
  [4719] = 412,
  [4720] = 415,
  [4721] = 414,
  [4722] = 410,
  [4723] = 409,
  [4724] = 403,
  [4725] = 404,
  [4726] = 149,
  [4727] = 397,
  [4728] = 399,
  [4729] = 400,
  [4730] = 416,
  [4731] = 406,
  [4732] = 396,
  [4733] = 413,
  [4734] = 859,
  [4735] = 149,
  [4736] = 323,
  [4737] = 855,
  [4738] = 825,
  [4739] = 741,
  [4740] = 89,
  [4741] = 608,
  [4742] = 449,
  [4743] = 286,
  [4744] = 924,
  [4745] = 290,
  [4746] = 919,
  [4747] = 912,
  [4748] = 908,
  [4749] = 893,
  [4750] = 897,
  [4751] = 289,
  [4752] = 883,
  [4753] = 885,
  [4754] = 887,
  [4755] = 871,
  [4756] = 815,
  [4757] = 886,
  [4758] = 877,
  [4759] = 875,
  [4760] = 896,
  [4761] = 870,
  [4762] = 805,
  [4763] = 880,
  [4764] = 879,
  [4765] = 287,
  [4766] = 872,
  [4767] = 904,
  [4768] = 873,
  [4769] = 905,
  [4770] = 890,
  [4771] = 892,
  [4772] = 869,
  [4773] = 291,
  [4774] = 808,
  [4775] = 901,
  [4776] = 900,
  [4777] = 899,
  [4778] = 910,
  [4779] = 907,
  [4780] = 895,
  [4781] = 925,
  [4782] = 875,
  [4783] = 893,
  [4784] = 4784,
  [4785] = 152,
  [4786] = 149,
  [4787] = 152,
  [4788] = 437,
  [4789] = 417,
  [4790] = 149,
  [4791] = 4791,
  [4792] = 155,
  [4793] = 154,
  [4794] = 153,
  [4795] = 806,
  [4796] = 171,
  [4797] = 174,
  [4798] = 156,
  [4799] = 159,
  [4800] = 156,
  [4801] = 159,
  [4802] = 158,
  [4803] = 157,
  [4804] = 449,
  [4805] = 4791,
  [4806] = 155,
  [4807] = 150,
  [4808] = 154,
  [4809] = 153,
  [4810] = 158,
  [4811] = 157,
  [4812] = 150,
  [4813] = 160,
  [4814] = 161,
  [4815] = 2629,
  [4816] = 162,
  [4817] = 171,
  [4818] = 163,
  [4819] = 174,
  [4820] = 165,
  [4821] = 151,
  [4822] = 164,
  [4823] = 160,
  [4824] = 161,
  [4825] = 162,
  [4826] = 163,
  [4827] = 165,
  [4828] = 437,
  [4829] = 4784,
  [4830] = 417,
  [4831] = 151,
  [4832] = 164,
  [4833] = 925,
  [4834] = 869,
  [4835] = 905,
  [4836] = 904,
  [4837] = 886,
  [4838] = 871,
  [4839] = 887,
  [4840] = 885,
  [4841] = 883,
  [4842] = 895,
  [4843] = 907,
  [4844] = 910,
  [4845] = 899,
  [4846] = 900,
  [4847] = 901,
  [4848] = 892,
  [4849] = 890,
  [4850] = 873,
  [4851] = 872,
  [4852] = 870,
  [4853] = 896,
  [4854] = 924,
  [4855] = 880,
  [4856] = 417,
  [4857] = 919,
  [4858] = 437,
  [4859] = 912,
  [4860] = 879,
  [4861] = 908,
  [4862] = 897,
  [4863] = 877,
  [4864] = 426,
  [4865] = 417,
  [4866] = 162,
  [4867] = 387,
  [4868] = 4868,
  [4869] = 157,
  [4870] = 378,
  [4871] = 380,
  [4872] = 383,
  [4873] = 150,
  [4874] = 176,
  [4875] = 155,
  [4876] = 375,
  [4877] = 154,
  [4878] = 153,
  [4879] = 158,
  [4880] = 168,
  [4881] = 177,
  [4882] = 4882,
  [4883] = 152,
  [4884] = 4884,
  [4885] = 2629,
  [4886] = 4791,
  [4887] = 170,
  [4888] = 180,
  [4889] = 179,
  [4890] = 155,
  [4891] = 154,
  [4892] = 153,
  [4893] = 158,
  [4894] = 379,
  [4895] = 177,
  [4896] = 157,
  [4897] = 150,
  [4898] = 176,
  [4899] = 166,
  [4900] = 152,
  [4901] = 160,
  [4902] = 161,
  [4903] = 179,
  [4904] = 391,
  [4905] = 163,
  [4906] = 165,
  [4907] = 151,
  [4908] = 164,
  [4909] = 160,
  [4910] = 161,
  [4911] = 437,
  [4912] = 166,
  [4913] = 162,
  [4914] = 390,
  [4915] = 163,
  [4916] = 389,
  [4917] = 386,
  [4918] = 165,
  [4919] = 151,
  [4920] = 172,
  [4921] = 164,
  [4922] = 136,
  [4923] = 381,
  [4924] = 382,
  [4925] = 385,
  [4926] = 376,
  [4927] = 377,
  [4928] = 2629,
  [4929] = 4784,
  [4930] = 180,
  [4931] = 90,
  [4932] = 392,
  [4933] = 172,
  [4934] = 373,
  [4935] = 388,
  [4936] = 171,
  [4937] = 374,
  [4938] = 174,
  [4939] = 169,
  [4940] = 171,
  [4941] = 174,
  [4942] = 426,
  [4943] = 170,
  [4944] = 4944,
  [4945] = 169,
  [4946] = 173,
  [4947] = 168,
  [4948] = 175,
  [4949] = 417,
  [4950] = 175,
  [4951] = 173,
  [4952] = 437,
  [4953] = 191,
  [4954] = 4954,
  [4955] = 179,
  [4956] = 199,
  [4957] = 4957,
  [4958] = 210,
  [4959] = 176,
  [4960] = 192,
  [4961] = 220,
  [4962] = 182,
  [4963] = 4944,
  [4964] = 173,
  [4965] = 214,
  [4966] = 166,
  [4967] = 169,
  [4968] = 625,
  [4969] = 209,
  [4970] = 207,
  [4971] = 219,
  [4972] = 4957,
  [4973] = 218,
  [4974] = 217,
  [4975] = 216,
  [4976] = 4954,
  [4977] = 170,
  [4978] = 4954,
  [4979] = 182,
  [4980] = 214,
  [4981] = 4791,
  [4982] = 4957,
  [4983] = 4954,
  [4984] = 207,
  [4985] = 219,
  [4986] = 218,
  [4987] = 217,
  [4988] = 216,
  [4989] = 4957,
  [4990] = 86,
  [4991] = 209,
  [4992] = 220,
  [4993] = 608,
  [4994] = 210,
  [4995] = 4954,
  [4996] = 374,
  [4997] = 4954,
  [4998] = 4954,
  [4999] = 205,
  [5000] = 4784,
  [5001] = 625,
  [5002] = 4784,
  [5003] = 388,
  [5004] = 208,
  [5005] = 4957,
  [5006] = 373,
  [5007] = 192,
  [5008] = 4954,
  [5009] = 4957,
  [5010] = 159,
  [5011] = 156,
  [5012] = 4954,
  [5013] = 195,
  [5014] = 193,
  [5015] = 211,
  [5016] = 186,
  [5017] = 4791,
  [5018] = 187,
  [5019] = 90,
  [5020] = 392,
  [5021] = 189,
  [5022] = 4868,
  [5023] = 184,
  [5024] = 4954,
  [5025] = 168,
  [5026] = 149,
  [5027] = 175,
  [5028] = 592,
  [5029] = 205,
  [5030] = 4957,
  [5031] = 204,
  [5032] = 186,
  [5033] = 4957,
  [5034] = 187,
  [5035] = 4954,
  [5036] = 2629,
  [5037] = 608,
  [5038] = 626,
  [5039] = 204,
  [5040] = 197,
  [5041] = 136,
  [5042] = 189,
  [5043] = 199,
  [5044] = 177,
  [5045] = 4954,
  [5046] = 173,
  [5047] = 201,
  [5048] = 169,
  [5049] = 191,
  [5050] = 4954,
  [5051] = 170,
  [5052] = 172,
  [5053] = 168,
  [5054] = 202,
  [5055] = 4957,
  [5056] = 4954,
  [5057] = 175,
  [5058] = 203,
  [5059] = 206,
  [5060] = 212,
  [5061] = 183,
  [5062] = 185,
  [5063] = 4884,
  [5064] = 4882,
  [5065] = 377,
  [5066] = 376,
  [5067] = 385,
  [5068] = 382,
  [5069] = 190,
  [5070] = 180,
  [5071] = 381,
  [5072] = 179,
  [5073] = 177,
  [5074] = 176,
  [5075] = 166,
  [5076] = 4954,
  [5077] = 4957,
  [5078] = 194,
  [5079] = 196,
  [5080] = 198,
  [5081] = 200,
  [5082] = 4957,
  [5083] = 213,
  [5084] = 181,
  [5085] = 208,
  [5086] = 4957,
  [5087] = 201,
  [5088] = 202,
  [5089] = 4957,
  [5090] = 386,
  [5091] = 389,
  [5092] = 159,
  [5093] = 390,
  [5094] = 156,
  [5095] = 149,
  [5096] = 391,
  [5097] = 387,
  [5098] = 4954,
  [5099] = 378,
  [5100] = 380,
  [5101] = 383,
  [5102] = 184,
  [5103] = 211,
  [5104] = 193,
  [5105] = 195,
  [5106] = 197,
  [5107] = 608,
  [5108] = 375,
  [5109] = 203,
  [5110] = 4954,
  [5111] = 206,
  [5112] = 212,
  [5113] = 4954,
  [5114] = 4957,
  [5115] = 183,
  [5116] = 185,
  [5117] = 4957,
  [5118] = 190,
  [5119] = 379,
  [5120] = 194,
  [5121] = 180,
  [5122] = 196,
  [5123] = 198,
  [5124] = 200,
  [5125] = 87,
  [5126] = 88,
  [5127] = 4957,
  [5128] = 4957,
  [5129] = 172,
  [5130] = 213,
  [5131] = 181,
  [5132] = 4957,
  [5133] = 625,
  [5134] = 268,
  [5135] = 197,
  [5136] = 235,
  [5137] = 217,
  [5138] = 5138,
  [5139] = 216,
  [5140] = 253,
  [5141] = 4791,
  [5142] = 5142,
  [5143] = 5143,
  [5144] = 257,
  [5145] = 208,
  [5146] = 5143,
  [5147] = 5142,
  [5148] = 5138,
  [5149] = 5143,
  [5150] = 5150,
  [5151] = 5138,
  [5152] = 5142,
  [5153] = 853,
  [5154] = 258,
  [5155] = 205,
  [5156] = 204,
  [5157] = 191,
  [5158] = 222,
  [5159] = 186,
  [5160] = 187,
  [5161] = 5143,
  [5162] = 5138,
  [5163] = 189,
  [5164] = 262,
  [5165] = 191,
  [5166] = 201,
  [5167] = 202,
  [5168] = 5142,
  [5169] = 853,
  [5170] = 203,
  [5171] = 206,
  [5172] = 806,
  [5173] = 5143,
  [5174] = 413,
  [5175] = 264,
  [5176] = 212,
  [5177] = 183,
  [5178] = 396,
  [5179] = 204,
  [5180] = 227,
  [5181] = 406,
  [5182] = 205,
  [5183] = 185,
  [5184] = 229,
  [5185] = 416,
  [5186] = 5138,
  [5187] = 5142,
  [5188] = 400,
  [5189] = 399,
  [5190] = 5190,
  [5191] = 397,
  [5192] = 404,
  [5193] = 5193,
  [5194] = 403,
  [5195] = 237,
  [5196] = 238,
  [5197] = 5197,
  [5198] = 243,
  [5199] = 5199,
  [5200] = 249,
  [5201] = 409,
  [5202] = 410,
  [5203] = 190,
  [5204] = 414,
  [5205] = 415,
  [5206] = 412,
  [5207] = 405,
  [5208] = 625,
  [5209] = 194,
  [5210] = 236,
  [5211] = 401,
  [5212] = 398,
  [5213] = 402,
  [5214] = 255,
  [5215] = 254,
  [5216] = 252,
  [5217] = 408,
  [5218] = 260,
  [5219] = 411,
  [5220] = 188,
  [5221] = 174,
  [5222] = 247,
  [5223] = 171,
  [5224] = 228,
  [5225] = 282,
  [5226] = 281,
  [5227] = 272,
  [5228] = 263,
  [5229] = 193,
  [5230] = 196,
  [5231] = 261,
  [5232] = 426,
  [5233] = 184,
  [5234] = 5143,
  [5235] = 259,
  [5236] = 250,
  [5237] = 256,
  [5238] = 265,
  [5239] = 5239,
  [5240] = 5240,
  [5241] = 279,
  [5242] = 280,
  [5243] = 5142,
  [5244] = 198,
  [5245] = 231,
  [5246] = 200,
  [5247] = 5247,
  [5248] = 5248,
  [5249] = 213,
  [5250] = 233,
  [5251] = 5251,
  [5252] = 181,
  [5253] = 5138,
  [5254] = 239,
  [5255] = 284,
  [5256] = 240,
  [5257] = 221,
  [5258] = 285,
  [5259] = 241,
  [5260] = 242,
  [5261] = 266,
  [5262] = 267,
  [5263] = 187,
  [5264] = 269,
  [5265] = 5265,
  [5266] = 270,
  [5267] = 271,
  [5268] = 273,
  [5269] = 278,
  [5270] = 274,
  [5271] = 275,
  [5272] = 276,
  [5273] = 277,
  [5274] = 278,
  [5275] = 285,
  [5276] = 211,
  [5277] = 284,
  [5278] = 5143,
  [5279] = 5239,
  [5280] = 5247,
  [5281] = 277,
  [5282] = 5282,
  [5283] = 5240,
  [5284] = 5284,
  [5285] = 5285,
  [5286] = 5142,
  [5287] = 5138,
  [5288] = 280,
  [5289] = 279,
  [5290] = 265,
  [5291] = 276,
  [5292] = 250,
  [5293] = 275,
  [5294] = 274,
  [5295] = 249,
  [5296] = 243,
  [5297] = 273,
  [5298] = 271,
  [5299] = 238,
  [5300] = 270,
  [5301] = 269,
  [5302] = 268,
  [5303] = 267,
  [5304] = 237,
  [5305] = 229,
  [5306] = 5143,
  [5307] = 195,
  [5308] = 197,
  [5309] = 227,
  [5310] = 264,
  [5311] = 262,
  [5312] = 222,
  [5313] = 266,
  [5314] = 258,
  [5315] = 257,
  [5316] = 253,
  [5317] = 246,
  [5318] = 245,
  [5319] = 244,
  [5320] = 236,
  [5321] = 235,
  [5322] = 234,
  [5323] = 232,
  [5324] = 242,
  [5325] = 230,
  [5326] = 5199,
  [5327] = 241,
  [5328] = 221,
  [5329] = 240,
  [5330] = 226,
  [5331] = 239,
  [5332] = 225,
  [5333] = 224,
  [5334] = 233,
  [5335] = 231,
  [5336] = 216,
  [5337] = 223,
  [5338] = 248,
  [5339] = 251,
  [5340] = 5197,
  [5341] = 217,
  [5342] = 87,
  [5343] = 5142,
  [5344] = 5282,
  [5345] = 88,
  [5346] = 5284,
  [5347] = 5285,
  [5348] = 218,
  [5349] = 806,
  [5350] = 5143,
  [5351] = 5138,
  [5352] = 5138,
  [5353] = 806,
  [5354] = 5142,
  [5355] = 5143,
  [5356] = 5239,
  [5357] = 5240,
  [5358] = 256,
  [5359] = 219,
  [5360] = 259,
  [5361] = 5247,
  [5362] = 207,
  [5363] = 152,
  [5364] = 261,
  [5365] = 5142,
  [5366] = 263,
  [5367] = 5248,
  [5368] = 214,
  [5369] = 272,
  [5370] = 5251,
  [5371] = 5143,
  [5372] = 5265,
  [5373] = 182,
  [5374] = 281,
  [5375] = 282,
  [5376] = 208,
  [5377] = 5143,
  [5378] = 228,
  [5379] = 5138,
  [5380] = 181,
  [5381] = 247,
  [5382] = 213,
  [5383] = 437,
  [5384] = 5142,
  [5385] = 199,
  [5386] = 155,
  [5387] = 154,
  [5388] = 153,
  [5389] = 158,
  [5390] = 157,
  [5391] = 150,
  [5392] = 192,
  [5393] = 5138,
  [5394] = 160,
  [5395] = 161,
  [5396] = 189,
  [5397] = 5143,
  [5398] = 162,
  [5399] = 220,
  [5400] = 163,
  [5401] = 165,
  [5402] = 151,
  [5403] = 626,
  [5404] = 186,
  [5405] = 164,
  [5406] = 5142,
  [5407] = 244,
  [5408] = 4944,
  [5409] = 209,
  [5410] = 5142,
  [5411] = 5411,
  [5412] = 417,
  [5413] = 5138,
  [5414] = 5138,
  [5415] = 4884,
  [5416] = 210,
  [5417] = 5265,
  [5418] = 4882,
  [5419] = 853,
  [5420] = 164,
  [5421] = 151,
  [5422] = 165,
  [5423] = 163,
  [5424] = 162,
  [5425] = 5251,
  [5426] = 5150,
  [5427] = 161,
  [5428] = 160,
  [5429] = 5248,
  [5430] = 4868,
  [5431] = 5142,
  [5432] = 5432,
  [5433] = 5285,
  [5434] = 5284,
  [5435] = 201,
  [5436] = 202,
  [5437] = 5282,
  [5438] = 150,
  [5439] = 157,
  [5440] = 158,
  [5441] = 153,
  [5442] = 154,
  [5443] = 155,
  [5444] = 5197,
  [5445] = 5199,
  [5446] = 200,
  [5447] = 5143,
  [5448] = 592,
  [5449] = 198,
  [5450] = 196,
  [5451] = 5432,
  [5452] = 203,
  [5453] = 5138,
  [5454] = 5142,
  [5455] = 5143,
  [5456] = 260,
  [5457] = 5138,
  [5458] = 5142,
  [5459] = 251,
  [5460] = 248,
  [5461] = 5142,
  [5462] = 5138,
  [5463] = 608,
  [5464] = 194,
  [5465] = 5143,
  [5466] = 245,
  [5467] = 90,
  [5468] = 190,
  [5469] = 5142,
  [5470] = 608,
  [5471] = 185,
  [5472] = 5143,
  [5473] = 5190,
  [5474] = 199,
  [5475] = 5475,
  [5476] = 5142,
  [5477] = 5138,
  [5478] = 182,
  [5479] = 152,
  [5480] = 608,
  [5481] = 625,
  [5482] = 214,
  [5483] = 246,
  [5484] = 192,
  [5485] = 86,
  [5486] = 5138,
  [5487] = 5487,
  [5488] = 437,
  [5489] = 209,
  [5490] = 220,
  [5491] = 183,
  [5492] = 210,
  [5493] = 223,
  [5494] = 224,
  [5495] = 225,
  [5496] = 417,
  [5497] = 206,
  [5498] = 226,
  [5499] = 230,
  [5500] = 4784,
  [5501] = 232,
  [5502] = 5142,
  [5503] = 207,
  [5504] = 5143,
  [5505] = 212,
  [5506] = 195,
  [5507] = 218,
  [5508] = 193,
  [5509] = 211,
  [5510] = 184,
  [5511] = 219,
  [5512] = 5432,
  [5513] = 174,
  [5514] = 171,
  [5515] = 234,
  [5516] = 255,
  [5517] = 252,
  [5518] = 254,
  [5519] = 389,
  [5520] = 233,
  [5521] = 225,
  [5522] = 226,
  [5523] = 224,
  [5524] = 919,
  [5525] = 741,
  [5526] = 912,
  [5527] = 924,
  [5528] = 223,
  [5529] = 175,
  [5530] = 278,
  [5531] = 5531,
  [5532] = 5531,
  [5533] = 808,
  [5534] = 288,
  [5535] = 173,
  [5536] = 248,
  [5537] = 908,
  [5538] = 168,
  [5539] = 289,
  [5540] = 5540,
  [5541] = 897,
  [5542] = 175,
  [5543] = 5531,
  [5544] = 168,
  [5545] = 166,
  [5546] = 176,
  [5547] = 177,
  [5548] = 179,
  [5549] = 180,
  [5550] = 251,
  [5551] = 230,
  [5552] = 255,
  [5553] = 258,
  [5554] = 285,
  [5555] = 284,
  [5556] = 280,
  [5557] = 279,
  [5558] = 265,
  [5559] = 250,
  [5560] = 249,
  [5561] = 243,
  [5562] = 238,
  [5563] = 237,
  [5564] = 229,
  [5565] = 277,
  [5566] = 232,
  [5567] = 234,
  [5568] = 5531,
  [5569] = 877,
  [5570] = 875,
  [5571] = 235,
  [5572] = 5531,
  [5573] = 896,
  [5574] = 870,
  [5575] = 254,
  [5576] = 231,
  [5577] = 5531,
  [5578] = 236,
  [5579] = 239,
  [5580] = 276,
  [5581] = 240,
  [5582] = 221,
  [5583] = 244,
  [5584] = 252,
  [5585] = 5531,
  [5586] = 172,
  [5587] = 825,
  [5588] = 227,
  [5589] = 245,
  [5590] = 264,
  [5591] = 246,
  [5592] = 872,
  [5593] = 262,
  [5594] = 873,
  [5595] = 890,
  [5596] = 892,
  [5597] = 170,
  [5598] = 169,
  [5599] = 5531,
  [5600] = 253,
  [5601] = 278,
  [5602] = 257,
  [5603] = 169,
  [5604] = 274,
  [5605] = 170,
  [5606] = 901,
  [5607] = 900,
  [5608] = 256,
  [5609] = 899,
  [5610] = 910,
  [5611] = 907,
  [5612] = 287,
  [5613] = 242,
  [5614] = 173,
  [5615] = 4944,
  [5616] = 895,
  [5617] = 5531,
  [5618] = 5190,
  [5619] = 5531,
  [5620] = 5531,
  [5621] = 275,
  [5622] = 233,
  [5623] = 608,
  [5624] = 265,
  [5625] = 806,
  [5626] = 5626,
  [5627] = 5150,
  [5628] = 824,
  [5629] = 89,
  [5630] = 136,
  [5631] = 855,
  [5632] = 259,
  [5633] = 291,
  [5634] = 222,
  [5635] = 4868,
  [5636] = 261,
  [5637] = 883,
  [5638] = 885,
  [5639] = 4882,
  [5640] = 887,
  [5641] = 871,
  [5642] = 290,
  [5643] = 4884,
  [5644] = 886,
  [5645] = 263,
  [5646] = 374,
  [5647] = 904,
  [5648] = 905,
  [5649] = 869,
  [5650] = 388,
  [5651] = 373,
  [5652] = 925,
  [5653] = 392,
  [5654] = 286,
  [5655] = 277,
  [5656] = 276,
  [5657] = 413,
  [5658] = 222,
  [5659] = 275,
  [5660] = 274,
  [5661] = 260,
  [5662] = 273,
  [5663] = 258,
  [5664] = 271,
  [5665] = 241,
  [5666] = 247,
  [5667] = 5531,
  [5668] = 396,
  [5669] = 411,
  [5670] = 247,
  [5671] = 5531,
  [5672] = 270,
  [5673] = 269,
  [5674] = 262,
  [5675] = 257,
  [5676] = 253,
  [5677] = 172,
  [5678] = 5531,
  [5679] = 246,
  [5680] = 245,
  [5681] = 244,
  [5682] = 236,
  [5683] = 235,
  [5684] = 234,
  [5685] = 232,
  [5686] = 268,
  [5687] = 230,
  [5688] = 267,
  [5689] = 406,
  [5690] = 416,
  [5691] = 266,
  [5692] = 226,
  [5693] = 225,
  [5694] = 228,
  [5695] = 5531,
  [5696] = 264,
  [5697] = 377,
  [5698] = 282,
  [5699] = 376,
  [5700] = 224,
  [5701] = 385,
  [5702] = 382,
  [5703] = 381,
  [5704] = 408,
  [5705] = 223,
  [5706] = 248,
  [5707] = 242,
  [5708] = 806,
  [5709] = 241,
  [5710] = 281,
  [5711] = 5531,
  [5712] = 272,
  [5713] = 266,
  [5714] = 853,
  [5715] = 267,
  [5716] = 893,
  [5717] = 251,
  [5718] = 221,
  [5719] = 815,
  [5720] = 240,
  [5721] = 239,
  [5722] = 286,
  [5723] = 5531,
  [5724] = 402,
  [5725] = 272,
  [5726] = 398,
  [5727] = 401,
  [5728] = 386,
  [5729] = 188,
  [5730] = 853,
  [5731] = 390,
  [5732] = 805,
  [5733] = 880,
  [5734] = 391,
  [5735] = 281,
  [5736] = 387,
  [5737] = 260,
  [5738] = 400,
  [5739] = 399,
  [5740] = 879,
  [5741] = 379,
  [5742] = 231,
  [5743] = 282,
  [5744] = 256,
  [5745] = 273,
  [5746] = 271,
  [5747] = 259,
  [5748] = 290,
  [5749] = 291,
  [5750] = 270,
  [5751] = 269,
  [5752] = 268,
  [5753] = 859,
  [5754] = 405,
  [5755] = 378,
  [5756] = 397,
  [5757] = 228,
  [5758] = 188,
  [5759] = 380,
  [5760] = 412,
  [5761] = 404,
  [5762] = 383,
  [5763] = 403,
  [5764] = 285,
  [5765] = 415,
  [5766] = 284,
  [5767] = 252,
  [5768] = 280,
  [5769] = 375,
  [5770] = 414,
  [5771] = 279,
  [5772] = 287,
  [5773] = 806,
  [5774] = 180,
  [5775] = 179,
  [5776] = 177,
  [5777] = 176,
  [5778] = 410,
  [5779] = 288,
  [5780] = 289,
  [5781] = 166,
  [5782] = 2375,
  [5783] = 409,
  [5784] = 5784,
  [5785] = 2375,
  [5786] = 263,
  [5787] = 227,
  [5788] = 254,
  [5789] = 229,
  [5790] = 255,
  [5791] = 261,
  [5792] = 250,
  [5793] = 249,
  [5794] = 449,
  [5795] = 5531,
  [5796] = 243,
  [5797] = 238,
  [5798] = 237,
  [5799] = 5799,
  [5800] = 5800,
  [5801] = 185,
  [5802] = 183,
  [5803] = 5803,
  [5804] = 212,
  [5805] = 5805,
  [5806] = 908,
  [5807] = 5807,
  [5808] = 5808,
  [5809] = 608,
  [5810] = 5810,
  [5811] = 5811,
  [5812] = 5807,
  [5813] = 5811,
  [5814] = 912,
  [5815] = 5810,
  [5816] = 5816,
  [5817] = 5817,
  [5818] = 5807,
  [5819] = 5803,
  [5820] = 5784,
  [5821] = 5821,
  [5822] = 5807,
  [5823] = 5823,
  [5824] = 897,
  [5825] = 5817,
  [5826] = 5803,
  [5827] = 201,
  [5828] = 5811,
  [5829] = 5810,
  [5830] = 5810,
  [5831] = 287,
  [5832] = 5800,
  [5833] = 5811,
  [5834] = 291,
  [5835] = 290,
  [5836] = 5816,
  [5837] = 5807,
  [5838] = 871,
  [5839] = 5816,
  [5840] = 5803,
  [5841] = 5817,
  [5842] = 5805,
  [5843] = 5808,
  [5844] = 5817,
  [5845] = 5803,
  [5846] = 5816,
  [5847] = 5847,
  [5848] = 5811,
  [5849] = 5800,
  [5850] = 190,
  [5851] = 877,
  [5852] = 875,
  [5853] = 625,
  [5854] = 5810,
  [5855] = 194,
  [5856] = 5810,
  [5857] = 206,
  [5858] = 5811,
  [5859] = 5807,
  [5860] = 203,
  [5861] = 5807,
  [5862] = 896,
  [5863] = 870,
  [5864] = 5821,
  [5865] = 202,
  [5866] = 196,
  [5867] = 5811,
  [5868] = 5811,
  [5869] = 5800,
  [5870] = 5821,
  [5871] = 5808,
  [5872] = 211,
  [5873] = 89,
  [5874] = 5810,
  [5875] = 5810,
  [5876] = 198,
  [5877] = 919,
  [5878] = 191,
  [5879] = 872,
  [5880] = 5847,
  [5881] = 873,
  [5882] = 5816,
  [5883] = 5883,
  [5884] = 200,
  [5885] = 5810,
  [5886] = 890,
  [5887] = 892,
  [5888] = 5811,
  [5889] = 193,
  [5890] = 5807,
  [5891] = 195,
  [5892] = 286,
  [5893] = 189,
  [5894] = 5816,
  [5895] = 5800,
  [5896] = 5803,
  [5897] = 5810,
  [5898] = 5821,
  [5899] = 5808,
  [5900] = 5805,
  [5901] = 5811,
  [5902] = 5807,
  [5903] = 5816,
  [5904] = 5847,
  [5905] = 5847,
  [5906] = 187,
  [5907] = 5817,
  [5908] = 186,
  [5909] = 5817,
  [5910] = 5803,
  [5911] = 5807,
  [5912] = 5810,
  [5913] = 5847,
  [5914] = 5808,
  [5915] = 5805,
  [5916] = 5805,
  [5917] = 5847,
  [5918] = 901,
  [5919] = 900,
  [5920] = 5808,
  [5921] = 5821,
  [5922] = 899,
  [5923] = 910,
  [5924] = 907,
  [5925] = 895,
  [5926] = 5811,
  [5927] = 924,
  [5928] = 5847,
  [5929] = 5805,
  [5930] = 5821,
  [5931] = 289,
  [5932] = 5808,
  [5933] = 5805,
  [5934] = 5847,
  [5935] = 5800,
  [5936] = 5808,
  [5937] = 5821,
  [5938] = 5808,
  [5939] = 5805,
  [5940] = 5847,
  [5941] = 5816,
  [5942] = 5817,
  [5943] = 5800,
  [5944] = 213,
  [5945] = 5807,
  [5946] = 5821,
  [5947] = 286,
  [5948] = 5800,
  [5949] = 197,
  [5950] = 5816,
  [5951] = 5800,
  [5952] = 5811,
  [5953] = 5810,
  [5954] = 5808,
  [5955] = 5805,
  [5956] = 5847,
  [5957] = 288,
  [5958] = 5811,
  [5959] = 5959,
  [5960] = 5803,
  [5961] = 5821,
  [5962] = 5805,
  [5963] = 5808,
  [5964] = 5803,
  [5965] = 5816,
  [5966] = 5959,
  [5967] = 5803,
  [5968] = 5807,
  [5969] = 5847,
  [5970] = 5805,
  [5971] = 893,
  [5972] = 5959,
  [5973] = 5973,
  [5974] = 5816,
  [5975] = 5821,
  [5976] = 159,
  [5977] = 156,
  [5978] = 5808,
  [5979] = 5821,
  [5980] = 181,
  [5981] = 5821,
  [5982] = 883,
  [5983] = 5808,
  [5984] = 5808,
  [5985] = 885,
  [5986] = 5821,
  [5987] = 887,
  [5988] = 5959,
  [5989] = 815,
  [5990] = 449,
  [5991] = 5805,
  [5992] = 5959,
  [5993] = 181,
  [5994] = 886,
  [5995] = 5973,
  [5996] = 5817,
  [5997] = 5817,
  [5998] = 5959,
  [5999] = 5817,
  [6000] = 5847,
  [6001] = 5800,
  [6002] = 5817,
  [6003] = 904,
  [6004] = 905,
  [6005] = 5821,
  [6006] = 5808,
  [6007] = 5805,
  [6008] = 5847,
  [6009] = 5959,
  [6010] = 869,
  [6011] = 5959,
  [6012] = 5805,
  [6013] = 208,
  [6014] = 90,
  [6015] = 5803,
  [6016] = 5959,
  [6017] = 5847,
  [6018] = 5810,
  [6019] = 925,
  [6020] = 5811,
  [6021] = 5807,
  [6022] = 5810,
  [6023] = 5816,
  [6024] = 5807,
  [6025] = 5817,
  [6026] = 5805,
  [6027] = 209,
  [6028] = 204,
  [6029] = 205,
  [6030] = 5800,
  [6031] = 213,
  [6032] = 216,
  [6033] = 5800,
  [6034] = 217,
  [6035] = 5959,
  [6036] = 5959,
  [6037] = 5821,
  [6038] = 5973,
  [6039] = 5807,
  [6040] = 5799,
  [6041] = 184,
  [6042] = 220,
  [6043] = 5803,
  [6044] = 5800,
  [6045] = 5959,
  [6046] = 218,
  [6047] = 210,
  [6048] = 5817,
  [6049] = 5959,
  [6050] = 5816,
  [6051] = 5803,
  [6052] = 6052,
  [6053] = 5816,
  [6054] = 5959,
  [6055] = 200,
  [6056] = 5800,
  [6057] = 5817,
  [6058] = 198,
  [6059] = 219,
  [6060] = 5810,
  [6061] = 5811,
  [6062] = 196,
  [6063] = 194,
  [6064] = 5847,
  [6065] = 5803,
  [6066] = 5800,
  [6067] = 190,
  [6068] = 185,
  [6069] = 183,
  [6070] = 212,
  [6071] = 207,
  [6072] = 5959,
  [6073] = 214,
  [6074] = 625,
  [6075] = 5959,
  [6076] = 5821,
  [6077] = 206,
  [6078] = 208,
  [6079] = 5847,
  [6080] = 203,
  [6081] = 202,
  [6082] = 201,
  [6083] = 191,
  [6084] = 182,
  [6085] = 189,
  [6086] = 5807,
  [6087] = 187,
  [6088] = 186,
  [6089] = 5821,
  [6090] = 5811,
  [6091] = 197,
  [6092] = 5810,
  [6093] = 195,
  [6094] = 193,
  [6095] = 5800,
  [6096] = 5816,
  [6097] = 211,
  [6098] = 5816,
  [6099] = 5817,
  [6100] = 287,
  [6101] = 5803,
  [6102] = 184,
  [6103] = 5817,
  [6104] = 5810,
  [6105] = 5811,
  [6106] = 5803,
  [6107] = 199,
  [6108] = 290,
  [6109] = 5807,
  [6110] = 6110,
  [6111] = 192,
  [6112] = 5805,
  [6113] = 5800,
  [6114] = 5816,
  [6115] = 291,
  [6116] = 5959,
  [6117] = 204,
  [6118] = 626,
  [6119] = 5817,
  [6120] = 5803,
  [6121] = 5805,
  [6122] = 5808,
  [6123] = 5807,
  [6124] = 5799,
  [6125] = 205,
  [6126] = 5811,
  [6127] = 5808,
  [6128] = 5810,
  [6129] = 210,
  [6130] = 5805,
  [6131] = 220,
  [6132] = 5803,
  [6133] = 5817,
  [6134] = 5959,
  [6135] = 5816,
  [6136] = 592,
  [6137] = 216,
  [6138] = 192,
  [6139] = 5800,
  [6140] = 217,
  [6141] = 218,
  [6142] = 5808,
  [6143] = 219,
  [6144] = 199,
  [6145] = 207,
  [6146] = 5847,
  [6147] = 214,
  [6148] = 5847,
  [6149] = 182,
  [6150] = 805,
  [6151] = 880,
  [6152] = 5821,
  [6153] = 289,
  [6154] = 288,
  [6155] = 209,
  [6156] = 879,
  [6157] = 285,
  [6158] = 241,
  [6159] = 6159,
  [6160] = 223,
  [6161] = 248,
  [6162] = 254,
  [6163] = 267,
  [6164] = 6164,
  [6165] = 229,
  [6166] = 252,
  [6167] = 237,
  [6168] = 238,
  [6169] = 6169,
  [6170] = 225,
  [6171] = 227,
  [6172] = 243,
  [6173] = 255,
  [6174] = 249,
  [6175] = 6175,
  [6176] = 266,
  [6177] = 263,
  [6178] = 267,
  [6179] = 853,
  [6180] = 6169,
  [6181] = 250,
  [6182] = 265,
  [6183] = 260,
  [6184] = 279,
  [6185] = 280,
  [6186] = 268,
  [6187] = 272,
  [6188] = 282,
  [6189] = 6189,
  [6190] = 6189,
  [6191] = 6175,
  [6192] = 261,
  [6193] = 6189,
  [6194] = 6169,
  [6195] = 6195,
  [6196] = 411,
  [6197] = 6189,
  [6198] = 259,
  [6199] = 6189,
  [6200] = 264,
  [6201] = 262,
  [6202] = 284,
  [6203] = 6159,
  [6204] = 228,
  [6205] = 269,
  [6206] = 278,
  [6207] = 226,
  [6208] = 270,
  [6209] = 277,
  [6210] = 276,
  [6211] = 271,
  [6212] = 6212,
  [6213] = 230,
  [6214] = 6189,
  [6215] = 6189,
  [6216] = 6169,
  [6217] = 275,
  [6218] = 4884,
  [6219] = 273,
  [6220] = 6189,
  [6221] = 4882,
  [6222] = 232,
  [6223] = 247,
  [6224] = 274,
  [6225] = 251,
  [6226] = 274,
  [6227] = 6189,
  [6228] = 234,
  [6229] = 6189,
  [6230] = 6169,
  [6231] = 273,
  [6232] = 4868,
  [6233] = 6169,
  [6234] = 271,
  [6235] = 275,
  [6236] = 408,
  [6237] = 6189,
  [6238] = 6238,
  [6239] = 6169,
  [6240] = 270,
  [6241] = 255,
  [6242] = 156,
  [6243] = 159,
  [6244] = 254,
  [6245] = 276,
  [6246] = 269,
  [6247] = 277,
  [6248] = 278,
  [6249] = 256,
  [6250] = 268,
  [6251] = 6238,
  [6252] = 242,
  [6253] = 241,
  [6254] = 222,
  [6255] = 285,
  [6256] = 252,
  [6257] = 402,
  [6258] = 398,
  [6259] = 6164,
  [6260] = 6212,
  [6261] = 224,
  [6262] = 6189,
  [6263] = 6169,
  [6264] = 401,
  [6265] = 284,
  [6266] = 6189,
  [6267] = 806,
  [6268] = 6169,
  [6269] = 6169,
  [6270] = 221,
  [6271] = 6169,
  [6272] = 266,
  [6273] = 6273,
  [6274] = 6169,
  [6275] = 258,
  [6276] = 6169,
  [6277] = 853,
  [6278] = 405,
  [6279] = 6273,
  [6280] = 412,
  [6281] = 6189,
  [6282] = 415,
  [6283] = 174,
  [6284] = 171,
  [6285] = 6169,
  [6286] = 280,
  [6287] = 6287,
  [6288] = 414,
  [6289] = 279,
  [6290] = 6212,
  [6291] = 247,
  [6292] = 6169,
  [6293] = 6169,
  [6294] = 265,
  [6295] = 410,
  [6296] = 250,
  [6297] = 228,
  [6298] = 6189,
  [6299] = 6189,
  [6300] = 282,
  [6301] = 6164,
  [6302] = 281,
  [6303] = 409,
  [6304] = 272,
  [6305] = 6189,
  [6306] = 281,
  [6307] = 6189,
  [6308] = 6308,
  [6309] = 249,
  [6310] = 263,
  [6311] = 251,
  [6312] = 261,
  [6313] = 248,
  [6314] = 6169,
  [6315] = 223,
  [6316] = 6189,
  [6317] = 259,
  [6318] = 224,
  [6319] = 243,
  [6320] = 6169,
  [6321] = 6189,
  [6322] = 256,
  [6323] = 225,
  [6324] = 6169,
  [6325] = 226,
  [6326] = 6308,
  [6327] = 403,
  [6328] = 230,
  [6329] = 404,
  [6330] = 238,
  [6331] = 397,
  [6332] = 6169,
  [6333] = 399,
  [6334] = 237,
  [6335] = 400,
  [6336] = 232,
  [6337] = 6287,
  [6338] = 234,
  [6339] = 6195,
  [6340] = 6340,
  [6341] = 231,
  [6342] = 229,
  [6343] = 6238,
  [6344] = 227,
  [6345] = 6189,
  [6346] = 264,
  [6347] = 4944,
  [6348] = 416,
  [6349] = 406,
  [6350] = 257,
  [6351] = 6287,
  [6352] = 396,
  [6353] = 6308,
  [6354] = 253,
  [6355] = 6308,
  [6356] = 262,
  [6357] = 6169,
  [6358] = 222,
  [6359] = 246,
  [6360] = 6360,
  [6361] = 6169,
  [6362] = 235,
  [6363] = 6110,
  [6364] = 6340,
  [6365] = 258,
  [6366] = 240,
  [6367] = 236,
  [6368] = 260,
  [6369] = 413,
  [6370] = 244,
  [6371] = 239,
  [6372] = 231,
  [6373] = 6360,
  [6374] = 6189,
  [6375] = 233,
  [6376] = 242,
  [6377] = 221,
  [6378] = 6169,
  [6379] = 257,
  [6380] = 5411,
  [6381] = 6189,
  [6382] = 245,
  [6383] = 245,
  [6384] = 244,
  [6385] = 253,
  [6386] = 233,
  [6387] = 246,
  [6388] = 240,
  [6389] = 235,
  [6390] = 236,
  [6391] = 239,
  [6392] = 171,
  [6393] = 6393,
  [6394] = 870,
  [6395] = 896,
  [6396] = 287,
  [6397] = 6397,
  [6398] = 900,
  [6399] = 805,
  [6400] = 6175,
  [6401] = 873,
  [6402] = 887,
  [6403] = 895,
  [6404] = 919,
  [6405] = 892,
  [6406] = 875,
  [6407] = 877,
  [6408] = 289,
  [6409] = 5540,
  [6410] = 880,
  [6411] = 6397,
  [6412] = 291,
  [6413] = 286,
  [6414] = 6414,
  [6415] = 910,
  [6416] = 815,
  [6417] = 6417,
  [6418] = 879,
  [6419] = 907,
  [6420] = 289,
  [6421] = 899,
  [6422] = 6422,
  [6423] = 6423,
  [6424] = 885,
  [6425] = 286,
  [6426] = 893,
  [6427] = 6427,
  [6428] = 886,
  [6429] = 290,
  [6430] = 871,
  [6431] = 883,
  [6432] = 6432,
  [6433] = 6159,
  [6434] = 901,
  [6435] = 290,
  [6436] = 872,
  [6437] = 6437,
  [6438] = 6438,
  [6439] = 6438,
  [6440] = 6438,
  [6441] = 6393,
  [6442] = 6442,
  [6443] = 912,
  [6444] = 6195,
  [6445] = 6360,
  [6446] = 5626,
  [6447] = 897,
  [6448] = 174,
  [6449] = 6340,
  [6450] = 908,
  [6451] = 6393,
  [6452] = 869,
  [6453] = 924,
  [6454] = 6273,
  [6455] = 4868,
  [6456] = 4944,
  [6457] = 6397,
  [6458] = 288,
  [6459] = 925,
  [6460] = 905,
  [6461] = 449,
  [6462] = 4884,
  [6463] = 904,
  [6464] = 890,
  [6465] = 4882,
  [6466] = 6466,
  [6467] = 287,
  [6468] = 6427,
  [6469] = 6437,
  [6470] = 6422,
  [6471] = 6471,
  [6472] = 6432,
  [6473] = 288,
  [6474] = 291,
  [6475] = 6475,
  [6476] = 6476,
  [6477] = 6417,
  [6478] = 6442,
  [6479] = 6479,
  [6480] = 6423,
  [6481] = 6481,
  [6482] = 6427,
  [6483] = 6483,
  [6484] = 6437,
  [6485] = 6485,
  [6486] = 6485,
  [6487] = 6487,
  [6488] = 608,
  [6489] = 6485,
  [6490] = 6490,
  [6491] = 6491,
  [6492] = 6442,
  [6493] = 6481,
  [6494] = 6494,
  [6495] = 6495,
  [6496] = 6491,
  [6497] = 6422,
  [6498] = 6498,
  [6499] = 6499,
  [6500] = 6500,
  [6501] = 6501,
  [6502] = 6483,
  [6503] = 6423,
  [6504] = 6504,
  [6505] = 6505,
  [6506] = 6487,
  [6507] = 6501,
  [6508] = 6508,
  [6509] = 6490,
  [6510] = 6510,
  [6511] = 6511,
  [6512] = 6505,
  [6513] = 6513,
  [6514] = 6417,
  [6515] = 6515,
  [6516] = 6516,
  [6517] = 6499,
  [6518] = 6515,
  [6519] = 6513,
  [6520] = 6490,
  [6521] = 6508,
  [6522] = 6511,
  [6523] = 6432,
  [6524] = 6516,
  [6525] = 6498,
  [6526] = 6510,
  [6527] = 6494,
  [6528] = 6494,
  [6529] = 426,
  [6530] = 6530,
  [6531] = 6531,
  [6532] = 6437,
  [6533] = 6533,
  [6534] = 6534,
  [6535] = 6535,
  [6536] = 6536,
  [6537] = 6537,
  [6538] = 188,
  [6539] = 6539,
  [6540] = 6540,
  [6541] = 6541,
  [6542] = 6542,
  [6543] = 6543,
  [6544] = 6544,
  [6545] = 6545,
  [6546] = 6546,
  [6547] = 6547,
  [6548] = 6548,
  [6549] = 6549,
  [6550] = 6550,
  [6551] = 6551,
  [6552] = 6422,
  [6553] = 6423,
  [6554] = 6554,
  [6555] = 6417,
  [6556] = 6556,
  [6557] = 6557,
  [6558] = 6500,
  [6559] = 6559,
  [6560] = 6560,
  [6561] = 6561,
  [6562] = 6562,
  [6563] = 6495,
  [6564] = 6564,
  [6565] = 6565,
  [6566] = 6566,
  [6567] = 6427,
  [6568] = 6504,
  [6569] = 6569,
  [6570] = 6570,
  [6571] = 6442,
  [6572] = 6432,
  [6573] = 6573,
  [6574] = 6479,
  [6575] = 6569,
  [6576] = 6544,
  [6577] = 6577,
  [6578] = 6578,
  [6579] = 6531,
  [6580] = 6580,
  [6581] = 6578,
  [6582] = 6535,
  [6583] = 6583,
  [6584] = 6573,
  [6585] = 6585,
  [6586] = 6585,
  [6587] = 6577,
  [6588] = 6551,
  [6589] = 6546,
  [6590] = 2705,
  [6591] = 6580,
  [6592] = 6564,
  [6593] = 6580,
  [6594] = 6471,
  [6595] = 6583,
  [6596] = 6566,
  [6597] = 6561,
  [6598] = 6561,
  [6599] = 6557,
  [6600] = 6539,
  [6601] = 6577,
  [6602] = 6545,
  [6603] = 88,
  [6604] = 6604,
  [6605] = 6534,
  [6606] = 6548,
  [6607] = 6466,
  [6608] = 86,
  [6609] = 6543,
  [6610] = 6565,
  [6611] = 6542,
  [6612] = 6573,
  [6613] = 6578,
  [6614] = 6549,
  [6615] = 6585,
  [6616] = 6583,
  [6617] = 6541,
  [6618] = 6560,
  [6619] = 6619,
  [6620] = 6556,
  [6621] = 6562,
  [6622] = 6414,
  [6623] = 6475,
  [6624] = 6554,
  [6625] = 6540,
  [6626] = 6570,
  [6627] = 87,
  [6628] = 87,
  [6629] = 6427,
  [6630] = 6536,
  [6631] = 88,
  [6632] = 6417,
  [6633] = 6423,
  [6634] = 6634,
  [6635] = 417,
  [6636] = 437,
  [6637] = 6637,
  [6638] = 6638,
  [6639] = 6442,
  [6640] = 6604,
  [6641] = 6422,
  [6642] = 86,
  [6643] = 6437,
  [6644] = 6432,
  [6645] = 6645,
  [6646] = 6646,
  [6647] = 2748,
  [6648] = 6432,
  [6649] = 6637,
  [6650] = 6427,
  [6651] = 6651,
  [6652] = 6423,
  [6653] = 6417,
  [6654] = 6654,
  [6655] = 6619,
  [6656] = 6550,
  [6657] = 437,
  [6658] = 6559,
  [6659] = 6437,
  [6660] = 6660,
  [6661] = 6422,
  [6662] = 6645,
  [6663] = 6533,
  [6664] = 6664,
  [6665] = 6665,
  [6666] = 6666,
  [6667] = 2825,
  [6668] = 6668,
  [6669] = 417,
  [6670] = 6651,
  [6671] = 6671,
  [6672] = 89,
  [6673] = 6442,
  [6674] = 6674,
  [6675] = 6675,
  [6676] = 6676,
  [6677] = 6677,
  [6678] = 6678,
  [6679] = 6679,
  [6680] = 608,
  [6681] = 6681,
  [6682] = 6682,
  [6683] = 6683,
  [6684] = 625,
  [6685] = 6685,
  [6686] = 6679,
  [6687] = 89,
  [6688] = 6688,
  [6689] = 6689,
  [6690] = 6690,
  [6691] = 6691,
  [6692] = 6692,
  [6693] = 6693,
  [6694] = 6694,
  [6695] = 6695,
  [6696] = 6696,
  [6697] = 6697,
  [6698] = 6698,
  [6699] = 6699,
  [6700] = 6637,
  [6701] = 6701,
  [6702] = 6679,
  [6703] = 6703,
  [6704] = 6704,
  [6705] = 6705,
  [6706] = 6706,
  [6707] = 6707,
  [6708] = 6708,
  [6709] = 6637,
  [6710] = 608,
  [6711] = 6704,
  [6712] = 6712,
  [6713] = 853,
  [6714] = 6714,
  [6715] = 6708,
  [6716] = 6716,
  [6717] = 6717,
  [6718] = 6718,
  [6719] = 625,
  [6720] = 6720,
  [6721] = 6716,
  [6722] = 853,
  [6723] = 6723,
  [6724] = 6724,
  [6725] = 6725,
  [6726] = 6726,
  [6727] = 6727,
  [6728] = 6728,
  [6729] = 6726,
  [6730] = 6730,
  [6731] = 6703,
  [6732] = 6732,
  [6733] = 6717,
  [6734] = 6734,
  [6735] = 6714,
  [6736] = 6736,
  [6737] = 6737,
  [6738] = 6738,
  [6739] = 6739,
  [6740] = 6740,
  [6741] = 6741,
  [6742] = 6718,
  [6743] = 6743,
  [6744] = 6720,
  [6745] = 6712,
  [6746] = 6705,
  [6747] = 6732,
  [6748] = 6707,
  [6749] = 6706,
  [6750] = 6750,
  [6751] = 6734,
  [6752] = 6752,
  [6753] = 6753,
  [6754] = 6754,
  [6755] = 6755,
  [6756] = 6730,
  [6757] = 6723,
  [6758] = 6637,
  [6759] = 6759,
  [6760] = 6760,
  [6761] = 6739,
  [6762] = 6762,
  [6763] = 6763,
  [6764] = 6764,
  [6765] = 6698,
  [6766] = 6678,
  [6767] = 6724,
  [6768] = 6768,
  [6769] = 6769,
  [6770] = 6738,
  [6771] = 6771,
  [6772] = 6772,
  [6773] = 6773,
  [6774] = 6774,
  [6775] = 6775,
  [6776] = 6776,
  [6777] = 6777,
  [6778] = 6778,
  [6779] = 6779,
  [6780] = 6780,
  [6781] = 6530,
  [6782] = 6782,
  [6783] = 6783,
  [6784] = 6784,
  [6785] = 6537,
  [6786] = 6786,
  [6787] = 6683,
  [6788] = 6692,
  [6789] = 6789,
  [6790] = 6790,
  [6791] = 6791,
  [6792] = 6727,
  [6793] = 6793,
  [6794] = 6794,
  [6795] = 6795,
  [6796] = 6796,
  [6797] = 6797,
  [6798] = 6798,
  [6799] = 6736,
  [6800] = 6800,
  [6801] = 6801,
  [6802] = 6802,
  [6803] = 6803,
  [6804] = 6701,
  [6805] = 6805,
  [6806] = 6806,
  [6807] = 6807,
  [6808] = 6808,
  [6809] = 6809,
  [6810] = 6547,
  [6811] = 6725,
  [6812] = 6812,
  [6813] = 6813,
  [6814] = 6689,
  [6815] = 6759,
  [6816] = 6816,
  [6817] = 6817,
  [6818] = 6798,
  [6819] = 6819,
  [6820] = 6681,
  [6821] = 6821,
  [6822] = 6822,
  [6823] = 6823,
  [6824] = 6728,
  [6825] = 6825,
  [6826] = 136,
  [6827] = 6809,
  [6828] = 6802,
  [6829] = 6808,
  [6830] = 6743,
  [6831] = 6807,
  [6832] = 6691,
  [6833] = 6833,
  [6834] = 6834,
  [6835] = 6835,
  [6836] = 6737,
  [6837] = 6837,
  [6838] = 6838,
  [6839] = 6750,
  [6840] = 6840,
  [6841] = 6774,
  [6842] = 6842,
  [6843] = 6843,
  [6844] = 6844,
  [6845] = 6844,
  [6846] = 6777,
  [6847] = 6741,
  [6848] = 6848,
  [6849] = 6838,
  [6850] = 6752,
  [6851] = 6637,
  [6852] = 6852,
  [6853] = 6755,
  [6854] = 6825,
  [6855] = 6855,
  [6856] = 6812,
  [6857] = 6857,
  [6858] = 6858,
  [6859] = 6803,
  [6860] = 6784,
  [6861] = 6833,
  [6862] = 6819,
  [6863] = 6844,
  [6864] = 6844,
  [6865] = 6834,
  [6866] = 6866,
  [6867] = 6857,
  [6868] = 6760,
  [6869] = 6763,
  [6870] = 6800,
  [6871] = 6858,
  [6872] = 6805,
  [6873] = 6547,
  [6874] = 6779,
  [6875] = 6844,
  [6876] = 6842,
  [6877] = 6806,
  [6878] = 6843,
  [6879] = 6879,
  [6880] = 6844,
  [6881] = 6844,
  [6882] = 6882,
  [6883] = 6883,
  [6884] = 6844,
  [6885] = 6885,
  [6886] = 6844,
  [6887] = 136,
  [6888] = 6816,
  [6889] = 6866,
  [6890] = 6890,
  [6891] = 6783,
  [6892] = 6844,
  [6893] = 90,
  [6894] = 6773,
  [6895] = 6780,
  [6896] = 6844,
  [6897] = 6530,
  [6898] = 6844,
  [6899] = 6844,
  [6900] = 6813,
  [6901] = 6855,
  [6902] = 6840,
  [6903] = 6844,
  [6904] = 6866,
  [6905] = 6905,
  [6906] = 6835,
  [6907] = 6907,
  [6908] = 6848,
  [6909] = 6844,
  [6910] = 6823,
  [6911] = 6844,
  [6912] = 6844,
  [6913] = 6890,
  [6914] = 6844,
  [6915] = 6915,
  [6916] = 6916,
  [6917] = 6844,
  [6918] = 6918,
  [6919] = 6791,
  [6920] = 6789,
  [6921] = 6537,
  [6922] = 6922,
  [6923] = 6923,
  [6924] = 6778,
  [6925] = 6844,
  [6926] = 6822,
  [6927] = 6782,
  [6928] = 6885,
  [6929] = 6915,
  [6930] = 6772,
  [6931] = 6786,
  [6932] = 6932,
  [6933] = 6797,
  [6934] = 608,
  [6935] = 6817,
  [6936] = 6821,
  [6937] = 6793,
  [6938] = 6932,
  [6939] = 6939,
  [6940] = 6940,
  [6941] = 6941,
  [6942] = 149,
  [6943] = 6943,
  [6944] = 6944,
  [6945] = 6945,
  [6946] = 6946,
  [6947] = 6947,
  [6948] = 6948,
  [6949] = 6949,
  [6950] = 6950,
  [6951] = 156,
  [6952] = 6949,
  [6953] = 6953,
  [6954] = 6949,
  [6955] = 159,
  [6956] = 6956,
  [6957] = 6953,
  [6958] = 6958,
  [6959] = 6959,
  [6960] = 6960,
  [6961] = 6961,
  [6962] = 6962,
  [6963] = 6953,
  [6964] = 6964,
  [6965] = 6959,
  [6966] = 6940,
  [6967] = 6958,
  [6968] = 6958,
  [6969] = 6969,
  [6970] = 6970,
  [6971] = 6959,
  [6972] = 6762,
  [6973] = 6768,
  [6974] = 6964,
  [6975] = 150,
  [6976] = 6753,
  [6977] = 6960,
  [6978] = 6978,
  [6979] = 160,
  [6980] = 161,
  [6981] = 6956,
  [6982] = 6982,
  [6983] = 162,
  [6984] = 6969,
  [6985] = 163,
  [6986] = 437,
  [6987] = 165,
  [6988] = 151,
  [6989] = 164,
  [6990] = 6790,
  [6991] = 6991,
  [6992] = 6801,
  [6993] = 6950,
  [6994] = 6961,
  [6995] = 6754,
  [6996] = 6837,
  [6997] = 6962,
  [6998] = 6978,
  [6999] = 6944,
  [7000] = 6978,
  [7001] = 6970,
  [7002] = 6794,
  [7003] = 157,
  [7004] = 6946,
  [7005] = 158,
  [7006] = 6795,
  [7007] = 6947,
  [7008] = 6796,
  [7009] = 7009,
  [7010] = 153,
  [7011] = 7011,
  [7012] = 6948,
  [7013] = 7013,
  [7014] = 6764,
  [7015] = 152,
  [7016] = 6778,
  [7017] = 154,
  [7018] = 7018,
  [7019] = 6769,
  [7020] = 6771,
  [7021] = 6945,
  [7022] = 155,
  [7023] = 7023,
  [7024] = 417,
  [7025] = 6943,
  [7026] = 174,
  [7027] = 171,
  [7028] = 7013,
  [7029] = 7011,
  [7030] = 7023,
  [7031] = 7031,
  [7032] = 180,
  [7033] = 7033,
  [7034] = 177,
  [7035] = 176,
  [7036] = 166,
  [7037] = 7037,
  [7038] = 7038,
  [7039] = 6982,
  [7040] = 7040,
  [7041] = 7041,
  [7042] = 608,
  [7043] = 6775,
  [7044] = 7044,
  [7045] = 7045,
  [7046] = 7040,
  [7047] = 7018,
  [7048] = 179,
  [7049] = 7049,
  [7050] = 172,
  [7051] = 7041,
  [7052] = 7040,
  [7053] = 7053,
  [7054] = 173,
  [7055] = 168,
  [7056] = 175,
  [7057] = 7037,
  [7058] = 7040,
  [7059] = 7059,
  [7060] = 7038,
  [7061] = 170,
  [7062] = 169,
  [7063] = 7063,
  [7064] = 7064,
  [7065] = 7065,
  [7066] = 213,
  [7067] = 7067,
  [7068] = 7033,
  [7069] = 7069,
  [7070] = 6941,
  [7071] = 7071,
  [7072] = 7072,
  [7073] = 7067,
  [7074] = 7074,
  [7075] = 7074,
  [7076] = 197,
  [7077] = 7077,
  [7078] = 7078,
  [7079] = 7069,
  [7080] = 7067,
  [7081] = 7013,
  [7082] = 7011,
  [7083] = 210,
  [7084] = 7023,
  [7085] = 6982,
  [7086] = 220,
  [7087] = 7018,
  [7088] = 195,
  [7089] = 7059,
  [7090] = 7090,
  [7091] = 7074,
  [7092] = 209,
  [7093] = 7093,
  [7094] = 7041,
  [7095] = 7040,
  [7096] = 7096,
  [7097] = 7097,
  [7098] = 193,
  [7099] = 7072,
  [7100] = 7093,
  [7101] = 211,
  [7102] = 7038,
  [7103] = 7090,
  [7104] = 7104,
  [7105] = 626,
  [7106] = 184,
  [7107] = 7107,
  [7108] = 7093,
  [7109] = 7044,
  [7110] = 7063,
  [7111] = 7111,
  [7112] = 7069,
  [7113] = 7064,
  [7114] = 192,
  [7115] = 199,
  [7116] = 182,
  [7117] = 214,
  [7118] = 207,
  [7119] = 219,
  [7120] = 218,
  [7121] = 217,
  [7122] = 216,
  [7123] = 205,
  [7124] = 204,
  [7125] = 7040,
  [7126] = 186,
  [7127] = 187,
  [7128] = 189,
  [7129] = 191,
  [7130] = 201,
  [7131] = 202,
  [7132] = 203,
  [7133] = 206,
  [7134] = 212,
  [7135] = 183,
  [7136] = 6939,
  [7137] = 625,
  [7138] = 592,
  [7139] = 7053,
  [7140] = 185,
  [7141] = 208,
  [7142] = 196,
  [7143] = 200,
  [7144] = 190,
  [7145] = 181,
  [7146] = 198,
  [7147] = 194,
  [7148] = 6982,
  [7149] = 7149,
  [7150] = 275,
  [7151] = 274,
  [7152] = 273,
  [7153] = 271,
  [7154] = 626,
  [7155] = 7065,
  [7156] = 270,
  [7157] = 269,
  [7158] = 268,
  [7159] = 7071,
  [7160] = 253,
  [7161] = 7149,
  [7162] = 267,
  [7163] = 266,
  [7164] = 7164,
  [7165] = 7165,
  [7166] = 230,
  [7167] = 222,
  [7168] = 226,
  [7169] = 225,
  [7170] = 88,
  [7171] = 7171,
  [7172] = 242,
  [7173] = 241,
  [7174] = 221,
  [7175] = 240,
  [7176] = 239,
  [7177] = 224,
  [7178] = 233,
  [7179] = 231,
  [7180] = 7180,
  [7181] = 7164,
  [7182] = 7078,
  [7183] = 87,
  [7184] = 256,
  [7185] = 259,
  [7186] = 7186,
  [7187] = 136,
  [7188] = 261,
  [7189] = 263,
  [7190] = 853,
  [7191] = 272,
  [7192] = 281,
  [7193] = 282,
  [7194] = 228,
  [7195] = 247,
  [7196] = 223,
  [7197] = 248,
  [7198] = 277,
  [7199] = 251,
  [7200] = 7111,
  [7201] = 278,
  [7202] = 262,
  [7203] = 86,
  [7204] = 264,
  [7205] = 7205,
  [7206] = 246,
  [7207] = 229,
  [7208] = 237,
  [7209] = 7180,
  [7210] = 285,
  [7211] = 284,
  [7212] = 238,
  [7213] = 243,
  [7214] = 249,
  [7215] = 7205,
  [7216] = 257,
  [7217] = 245,
  [7218] = 7165,
  [7219] = 244,
  [7220] = 236,
  [7221] = 7165,
  [7222] = 7107,
  [7223] = 7077,
  [7224] = 234,
  [7225] = 437,
  [7226] = 7164,
  [7227] = 7227,
  [7228] = 7053,
  [7229] = 417,
  [7230] = 232,
  [7231] = 7231,
  [7232] = 592,
  [7233] = 235,
  [7234] = 276,
  [7235] = 7180,
  [7236] = 260,
  [7237] = 7018,
  [7238] = 258,
  [7239] = 7013,
  [7240] = 7149,
  [7241] = 7241,
  [7242] = 7104,
  [7243] = 7011,
  [7244] = 7023,
  [7245] = 7245,
  [7246] = 280,
  [7247] = 279,
  [7248] = 252,
  [7249] = 254,
  [7250] = 255,
  [7251] = 265,
  [7252] = 250,
  [7253] = 227,
  [7254] = 7205,
  [7255] = 7255,
  [7256] = 7256,
  [7257] = 7241,
  [7258] = 7258,
  [7259] = 7227,
  [7260] = 7260,
  [7261] = 7256,
  [7262] = 805,
  [7263] = 7263,
  [7264] = 7071,
  [7265] = 7265,
  [7266] = 7266,
  [7267] = 7267,
  [7268] = 879,
  [7269] = 7269,
  [7270] = 7270,
  [7271] = 7271,
  [7272] = 7272,
  [7273] = 893,
  [7274] = 7274,
  [7275] = 7275,
  [7276] = 7276,
  [7277] = 7277,
  [7278] = 7267,
  [7279] = 7279,
  [7280] = 7263,
  [7281] = 7281,
  [7282] = 815,
  [7283] = 7283,
  [7284] = 7284,
  [7285] = 7271,
  [7286] = 7286,
  [7287] = 7255,
  [7288] = 880,
  [7289] = 7289,
  [7290] = 7231,
  [7291] = 7111,
  [7292] = 7245,
  [7293] = 7274,
  [7294] = 7294,
  [7295] = 7275,
  [7296] = 7286,
  [7297] = 7065,
  [7298] = 7298,
  [7299] = 7299,
  [7300] = 7281,
  [7301] = 7301,
  [7302] = 7065,
  [7303] = 7303,
  [7304] = 7186,
  [7305] = 289,
  [7306] = 7171,
  [7307] = 7281,
  [7308] = 7263,
  [7309] = 7267,
  [7310] = 290,
  [7311] = 7311,
  [7312] = 136,
  [7313] = 7313,
  [7314] = 7298,
  [7315] = 7286,
  [7316] = 7078,
  [7317] = 7274,
  [7318] = 7318,
  [7319] = 7077,
  [7320] = 7107,
  [7321] = 286,
  [7322] = 7104,
  [7323] = 7275,
  [7324] = 7053,
  [7325] = 7325,
  [7326] = 7326,
  [7327] = 7327,
  [7328] = 7265,
  [7329] = 7329,
  [7330] = 89,
  [7331] = 7331,
  [7332] = 7332,
  [7333] = 7333,
  [7334] = 7334,
  [7335] = 7335,
  [7336] = 7336,
  [7337] = 7331,
  [7338] = 7338,
  [7339] = 7339,
  [7340] = 7340,
  [7341] = 7341,
  [7342] = 7335,
  [7343] = 7343,
  [7344] = 7344,
  [7345] = 7345,
  [7346] = 7346,
  [7347] = 7347,
  [7348] = 7348,
  [7349] = 7340,
  [7350] = 7350,
  [7351] = 7351,
  [7352] = 7329,
  [7353] = 7018,
  [7354] = 7354,
  [7355] = 7355,
  [7356] = 7356,
  [7357] = 7357,
  [7358] = 7340,
  [7359] = 7359,
  [7360] = 7360,
  [7361] = 625,
  [7362] = 7284,
  [7363] = 7363,
  [7364] = 7329,
  [7365] = 7365,
  [7366] = 7366,
  [7367] = 7367,
  [7368] = 7345,
  [7369] = 893,
  [7370] = 7331,
  [7371] = 7013,
  [7372] = 7372,
  [7373] = 7373,
  [7374] = 7111,
  [7375] = 7338,
  [7376] = 815,
  [7377] = 6778,
  [7378] = 7078,
  [7379] = 7359,
  [7380] = 805,
  [7381] = 880,
  [7382] = 7311,
  [7383] = 7383,
  [7384] = 879,
  [7385] = 7385,
  [7386] = 7260,
  [7387] = 7387,
  [7388] = 7077,
  [7389] = 7336,
  [7390] = 7107,
  [7391] = 7391,
  [7392] = 7392,
  [7393] = 7104,
  [7394] = 7394,
  [7395] = 7395,
  [7396] = 7071,
  [7397] = 7397,
  [7398] = 7338,
  [7399] = 7299,
  [7400] = 7392,
  [7401] = 7329,
  [7402] = 7385,
  [7403] = 7403,
  [7404] = 7404,
  [7405] = 7325,
  [7406] = 7325,
  [7407] = 7333,
  [7408] = 7408,
  [7409] = 7325,
  [7410] = 7394,
  [7411] = 7411,
  [7412] = 7412,
  [7413] = 7385,
  [7414] = 7414,
  [7415] = 7356,
  [7416] = 7318,
  [7417] = 7276,
  [7418] = 7345,
  [7419] = 7325,
  [7420] = 7340,
  [7421] = 6982,
  [7422] = 7422,
  [7423] = 7270,
  [7424] = 7338,
  [7425] = 6991,
  [7426] = 7414,
  [7427] = 7427,
  [7428] = 7428,
  [7429] = 7429,
  [7430] = 7359,
  [7431] = 7431,
  [7432] = 7432,
  [7433] = 7313,
  [7434] = 7329,
  [7435] = 7023,
  [7436] = 7289,
  [7437] = 7336,
  [7438] = 7009,
  [7439] = 7356,
  [7440] = 7338,
  [7441] = 7414,
  [7442] = 7272,
  [7443] = 7443,
  [7444] = 7340,
  [7445] = 7340,
  [7446] = 7367,
  [7447] = 7326,
  [7448] = 7448,
  [7449] = 7338,
  [7450] = 7277,
  [7451] = 7258,
  [7452] = 288,
  [7453] = 7334,
  [7454] = 7332,
  [7455] = 7325,
  [7456] = 7395,
  [7457] = 7367,
  [7458] = 7458,
  [7459] = 7269,
  [7460] = 7460,
  [7461] = 7461,
  [7462] = 7283,
  [7463] = 7329,
  [7464] = 7464,
  [7465] = 7325,
  [7466] = 287,
  [7467] = 291,
  [7468] = 7329,
  [7469] = 7394,
  [7470] = 7335,
  [7471] = 7332,
  [7472] = 7326,
  [7473] = 7340,
  [7474] = 7338,
  [7475] = 7340,
  [7476] = 7011,
  [7477] = 7325,
  [7478] = 7303,
  [7479] = 7479,
  [7480] = 7480,
  [7481] = 7329,
  [7482] = 7294,
  [7483] = 7483,
  [7484] = 7279,
  [7485] = 7392,
  [7486] = 7301,
  [7487] = 7395,
  [7488] = 7488,
  [7489] = 7338,
  [7490] = 7065,
  [7491] = 7483,
  [7492] = 7339,
  [7493] = 7493,
  [7494] = 7494,
  [7495] = 7403,
  [7496] = 7404,
  [7497] = 7497,
  [7498] = 7498,
  [7499] = 7499,
  [7500] = 7412,
  [7501] = 7346,
  [7502] = 7502,
  [7503] = 7411,
  [7504] = 7350,
  [7505] = 7351,
  [7506] = 7366,
  [7507] = 7507,
  [7508] = 7508,
  [7509] = 7097,
  [7510] = 7354,
  [7511] = 7357,
  [7512] = 7512,
  [7513] = 7341,
  [7514] = 7514,
  [7515] = 7049,
  [7516] = 7516,
  [7517] = 7427,
  [7518] = 7497,
  [7519] = 7519,
  [7520] = 7344,
  [7521] = 7493,
  [7522] = 7479,
  [7523] = 7512,
  [7524] = 7383,
  [7525] = 7519,
  [7526] = 7018,
  [7527] = 7527,
  [7528] = 7512,
  [7529] = 7387,
  [7530] = 7045,
  [7531] = 7408,
  [7532] = 7532,
  [7533] = 7533,
  [7534] = 7096,
  [7535] = 7327,
  [7536] = 7508,
  [7537] = 7502,
  [7538] = 6982,
  [7539] = 7498,
  [7540] = 7499,
  [7541] = 7541,
  [7542] = 7542,
  [7543] = 7360,
  [7544] = 7544,
  [7545] = 7460,
  [7546] = 7461,
  [7547] = 7507,
  [7548] = 7548,
  [7549] = 7464,
  [7550] = 7550,
  [7551] = 7023,
  [7552] = 7552,
  [7553] = 7494,
  [7554] = 7458,
  [7555] = 7533,
  [7556] = 7507,
  [7557] = 7542,
  [7558] = 7541,
  [7559] = 7422,
  [7560] = 7428,
  [7561] = 7494,
  [7562] = 7365,
  [7563] = 7011,
  [7564] = 7493,
  [7565] = 7391,
  [7566] = 7348,
  [7567] = 7363,
  [7568] = 7429,
  [7569] = 853,
  [7570] = 7570,
  [7571] = 7303,
  [7572] = 7013,
  [7573] = 7573,
  [7574] = 7552,
  [7575] = 7431,
  [7576] = 7432,
  [7577] = 7347,
  [7578] = 7578,
  [7579] = 7499,
  [7580] = 7258,
  [7581] = 7355,
  [7582] = 7479,
  [7583] = 7542,
  [7584] = 7519,
  [7585] = 7585,
  [7586] = 7397,
  [7587] = 7260,
  [7588] = 7588,
  [7589] = 7589,
  [7590] = 7270,
  [7591] = 7480,
  [7592] = 7348,
  [7593] = 7344,
  [7594] = 7284,
  [7595] = 7585,
  [7596] = 7299,
  [7597] = 7585,
  [7598] = 7343,
  [7599] = 7053,
  [7600] = 7600,
  [7601] = 7279,
  [7602] = 7031,
  [7603] = 7603,
  [7604] = 7604,
  [7605] = 7605,
  [7606] = 7606,
  [7607] = 7607,
  [7608] = 7608,
  [7609] = 417,
  [7610] = 7610,
  [7611] = 7611,
  [7612] = 7612,
  [7613] = 7071,
  [7614] = 6964,
  [7615] = 7615,
  [7616] = 7616,
  [7617] = 7059,
  [7618] = 7618,
  [7619] = 7600,
  [7620] = 7612,
  [7621] = 7621,
  [7622] = 7611,
  [7623] = 7623,
  [7624] = 7624,
  [7625] = 7625,
  [7626] = 7527,
  [7627] = 7627,
  [7628] = 7104,
  [7629] = 7107,
  [7630] = 7603,
  [7631] = 7631,
  [7632] = 7632,
  [7633] = 7633,
  [7634] = 7634,
  [7635] = 7610,
  [7636] = 437,
  [7637] = 7605,
  [7638] = 7638,
  [7639] = 7606,
  [7640] = 7578,
  [7641] = 7641,
  [7642] = 7642,
  [7643] = 7479,
  [7644] = 7366,
  [7645] = 7645,
  [7646] = 136,
  [7647] = 7647,
  [7648] = 7633,
  [7649] = 7649,
  [7650] = 7621,
  [7651] = 7651,
  [7652] = 7652,
  [7653] = 7653,
  [7654] = 7654,
  [7655] = 7655,
  [7656] = 7656,
  [7657] = 7327,
  [7658] = 7658,
  [7659] = 7608,
  [7660] = 7660,
  [7661] = 7608,
  [7662] = 7662,
  [7663] = 7663,
  [7664] = 7664,
  [7665] = 7303,
  [7666] = 7666,
  [7667] = 7258,
  [7668] = 7668,
  [7669] = 7669,
  [7670] = 7078,
  [7671] = 7260,
  [7672] = 7672,
  [7673] = 7344,
  [7674] = 7674,
  [7675] = 7675,
  [7676] = 7676,
  [7677] = 7658,
  [7678] = 7678,
  [7679] = 7679,
  [7680] = 7680,
  [7681] = 7681,
  [7682] = 7682,
  [7683] = 7618,
  [7684] = 7684,
  [7685] = 7270,
  [7686] = 7682,
  [7687] = 7654,
  [7688] = 7625,
  [7689] = 7655,
  [7690] = 7284,
  [7691] = 7612,
  [7692] = 7611,
  [7693] = 7693,
  [7694] = 7694,
  [7695] = 7604,
  [7696] = 7655,
  [7697] = 7654,
  [7698] = 7658,
  [7699] = 7699,
  [7700] = 7700,
  [7701] = 7701,
  [7702] = 7702,
  [7703] = 7621,
  [7704] = 7606,
  [7705] = 7299,
  [7706] = 7706,
  [7707] = 7707,
  [7708] = 7708,
  [7709] = 7709,
  [7710] = 7710,
  [7711] = 7111,
  [7712] = 7712,
  [7713] = 7279,
  [7714] = 7714,
  [7715] = 7708,
  [7716] = 7610,
  [7717] = 7603,
  [7718] = 7718,
  [7719] = 7719,
  [7720] = 7720,
  [7721] = 7721,
  [7722] = 7480,
  [7723] = 7723,
  [7724] = 7719,
  [7725] = 7616,
  [7726] = 7348,
  [7727] = 7053,
  [7728] = 7532,
  [7729] = 7719,
  [7730] = 7730,
  [7731] = 7731,
  [7732] = 7642,
  [7733] = 7733,
  [7734] = 7618,
  [7735] = 7616,
  [7736] = 7625,
  [7737] = 7604,
  [7738] = 7642,
  [7739] = 7077,
  [7740] = 7708,
  [7741] = 7633,
  [7742] = 7605,
  [7743] = 7743,
  [7744] = 7744,
  [7745] = 7745,
  [7746] = 7746,
  [7747] = 7653,
  [7748] = 7748,
  [7749] = 7749,
  [7750] = 7443,
  [7751] = 7751,
  [7752] = 7752,
  [7753] = 7753,
  [7754] = 7754,
  [7755] = 7745,
  [7756] = 7748,
  [7757] = 7757,
  [7758] = 7634,
  [7759] = 7748,
  [7760] = 7366,
  [7761] = 7761,
  [7762] = 7327,
  [7763] = 7763,
  [7764] = 7745,
  [7765] = 7765,
  [7766] = 7766,
  [7767] = 7767,
  [7768] = 7768,
  [7769] = 7745,
  [7770] = 7748,
  [7771] = 7761,
  [7772] = 7772,
  [7773] = 7773,
  [7774] = 7746,
  [7775] = 7699,
  [7776] = 7745,
  [7777] = 7761,
  [7778] = 7748,
  [7779] = 7065,
  [7780] = 7780,
  [7781] = 7723,
  [7782] = 7749,
  [7783] = 7783,
  [7784] = 7700,
  [7785] = 7783,
  [7786] = 7623,
  [7787] = 7787,
  [7788] = 7745,
  [7789] = 7789,
  [7790] = 7790,
  [7791] = 7748,
  [7792] = 7745,
  [7793] = 7748,
  [7794] = 7647,
  [7795] = 7795,
  [7796] = 7731,
  [7797] = 7797,
  [7798] = 7730,
  [7799] = 7718,
  [7800] = 7800,
  [7801] = 7801,
  [7802] = 7802,
  [7803] = 7803,
  [7804] = 7702,
  [7805] = 7748,
  [7806] = 7707,
  [7807] = 7632,
  [7808] = 7808,
  [7809] = 7808,
  [7810] = 7745,
  [7811] = 7811,
  [7812] = 7772,
  [7813] = 7748,
  [7814] = 7765,
  [7815] = 7746,
  [7816] = 7816,
  [7817] = 7817,
  [7818] = 7780,
  [7819] = 7752,
  [7820] = 7820,
  [7821] = 7111,
  [7822] = 7811,
  [7823] = 7745,
  [7824] = 7748,
  [7825] = 7733,
  [7826] = 7797,
  [7827] = 7745,
  [7828] = 7801,
  [7829] = 7479,
  [7830] = 7830,
  [7831] = 7808,
  [7832] = 7681,
  [7833] = 7078,
  [7834] = 7743,
  [7835] = 7761,
  [7836] = 7808,
  [7837] = 7802,
  [7838] = 7746,
  [7839] = 7803,
  [7840] = 7745,
  [7841] = 7748,
  [7842] = 7745,
  [7843] = 7748,
  [7844] = 7344,
  [7845] = 7783,
  [7846] = 7757,
  [7847] = 7745,
  [7848] = 7746,
  [7849] = 7849,
  [7850] = 7694,
  [7851] = 7077,
  [7852] = 7808,
  [7853] = 7651,
  [7854] = 7783,
  [7855] = 7348,
  [7856] = 7748,
  [7857] = 7803,
  [7858] = 7578,
  [7859] = 7859,
  [7860] = 7744,
  [7861] = 7745,
  [7862] = 7107,
  [7863] = 7684,
  [7864] = 7795,
  [7865] = 7787,
  [7866] = 7745,
  [7867] = 7745,
  [7868] = 7868,
  [7869] = 7868,
  [7870] = 7748,
  [7871] = 7753,
  [7872] = 7748,
  [7873] = 7808,
  [7874] = 7748,
  [7875] = 7645,
  [7876] = 7104,
  [7877] = 7795,
  [7878] = 7768,
  [7879] = 7744,
  [7880] = 7773,
  [7881] = 7748,
  [7882] = 7745,
  [7883] = 7790,
  [7884] = 7693,
  [7885] = 7757,
  [7886] = 7652,
  [7887] = 7668,
  [7888] = 7783,
  [7889] = 7868,
  [7890] = 7745,
  [7891] = 7748,
  [7892] = 7720,
  [7893] = 7071,
  [7894] = 7480,
  [7895] = 7895,
  [7896] = 7761,
  [7897] = 7752,
  [7898] = 7767,
  [7899] = 7773,
  [7900] = 7900,
  [7901] = 7780,
  [7902] = 7783,
  [7903] = 7743,
  [7904] = 7761,
  [7905] = 7701,
  [7906] = 7780,
  [7907] = 7631,
  [7908] = 7746,
  [7909] = 7909,
  [7910] = 7910,
  [7911] = 7911,
  [7912] = 7912,
  [7913] = 7913,
  [7914] = 7914,
  [7915] = 7910,
  [7916] = 7279,
  [7917] = 7284,
  [7918] = 7909,
  [7919] = 7912,
  [7920] = 7920,
  [7921] = 7921,
  [7922] = 7910,
  [7923] = 7911,
  [7924] = 7924,
  [7925] = 7909,
  [7926] = 7913,
  [7927] = 7578,
  [7928] = 7928,
  [7929] = 7909,
  [7930] = 7914,
  [7931] = 7928,
  [7932] = 7932,
  [7933] = 7731,
  [7934] = 7921,
  [7935] = 7935,
  [7936] = 7936,
  [7937] = 7937,
  [7938] = 7938,
  [7939] = 7939,
  [7940] = 7940,
  [7941] = 7910,
  [7942] = 7942,
  [7943] = 7943,
  [7944] = 7944,
  [7945] = 7914,
  [7946] = 7946,
  [7947] = 7920,
  [7948] = 7910,
  [7949] = 7921,
  [7950] = 7950,
  [7951] = 7258,
  [7952] = 7952,
  [7953] = 7953,
  [7954] = 7943,
  [7955] = 7946,
  [7956] = 7956,
  [7957] = 7816,
  [7958] = 7912,
  [7959] = 7911,
  [7960] = 7943,
  [7961] = 7961,
  [7962] = 7299,
  [7963] = 7950,
  [7964] = 7964,
  [7965] = 7303,
  [7966] = 7909,
  [7967] = 7961,
  [7968] = 7911,
  [7969] = 7969,
  [7970] = 7953,
  [7971] = 7943,
  [7972] = 7943,
  [7973] = 7940,
  [7974] = 7632,
  [7975] = 7975,
  [7976] = 7964,
  [7977] = 7977,
  [7978] = 7913,
  [7979] = 7260,
  [7980] = 7912,
  [7981] = 7912,
  [7982] = 7982,
  [7983] = 7914,
  [7984] = 7946,
  [7985] = 90,
  [7986] = 7940,
  [7987] = 7987,
  [7988] = 7909,
  [7989] = 7911,
  [7990] = 7913,
  [7991] = 7913,
  [7992] = 7987,
  [7993] = 7921,
  [7994] = 7911,
  [7995] = 7702,
  [7996] = 7909,
  [7997] = 7909,
  [7998] = 7950,
  [7999] = 7909,
  [8000] = 7913,
  [8001] = 7909,
  [8002] = 8002,
  [8003] = 8003,
  [8004] = 8004,
  [8005] = 7935,
  [8006] = 608,
  [8007] = 8007,
  [8008] = 7912,
  [8009] = 8009,
  [8010] = 8003,
  [8011] = 7909,
  [8012] = 7909,
  [8013] = 7914,
  [8014] = 7920,
  [8015] = 7912,
  [8016] = 8002,
  [8017] = 7820,
  [8018] = 7937,
  [8019] = 7910,
  [8020] = 7921,
  [8021] = 7946,
  [8022] = 7751,
  [8023] = 7932,
  [8024] = 8024,
  [8025] = 7938,
  [8026] = 7909,
  [8027] = 7634,
  [8028] = 7859,
  [8029] = 7754,
  [8030] = 8024,
  [8031] = 8031,
  [8032] = 7914,
  [8033] = 7913,
  [8034] = 8034,
  [8035] = 7940,
  [8036] = 8036,
  [8037] = 8037,
  [8038] = 8038,
  [8039] = 7909,
  [8040] = 8040,
  [8041] = 8041,
  [8042] = 8042,
  [8043] = 7789,
  [8044] = 7763,
  [8045] = 7817,
  [8046] = 7924,
  [8047] = 7936,
  [8048] = 7911,
  [8049] = 7975,
  [8050] = 7939,
  [8051] = 7956,
  [8052] = 8052,
  [8053] = 8053,
  [8054] = 8054,
  [8055] = 8034,
  [8056] = 8056,
  [8057] = 7700,
  [8058] = 8037,
  [8059] = 7766,
  [8060] = 8036,
  [8061] = 7982,
  [8062] = 8062,
  [8063] = 7914,
  [8064] = 7940,
  [8065] = 7977,
  [8066] = 7910,
  [8067] = 7849,
  [8068] = 7943,
  [8069] = 7946,
  [8070] = 8053,
  [8071] = 7909,
  [8072] = 7940,
  [8073] = 7911,
  [8074] = 7921,
  [8075] = 7910,
  [8076] = 7912,
  [8077] = 8041,
  [8078] = 7964,
  [8079] = 8009,
  [8080] = 7946,
  [8081] = 8052,
  [8082] = 7932,
  [8083] = 7946,
  [8084] = 8042,
  [8085] = 8038,
  [8086] = 7944,
  [8087] = 8054,
  [8088] = 7921,
  [8089] = 7270,
  [8090] = 7790,
  [8091] = 7909,
  [8092] = 8004,
  [8093] = 8056,
  [8094] = 7909,
  [8095] = 7969,
  [8096] = 7914,
  [8097] = 625,
  [8098] = 8040,
  [8099] = 7946,
  [8100] = 7909,
  [8101] = 7913,
  [8102] = 7921,
  [8103] = 8031,
  [8104] = 8104,
  [8105] = 8105,
  [8106] = 7303,
  [8107] = 8107,
  [8108] = 8108,
  [8109] = 188,
  [8110] = 7790,
  [8111] = 8111,
  [8112] = 8112,
  [8113] = 8113,
  [8114] = 7258,
  [8115] = 8104,
  [8116] = 8116,
  [8117] = 8111,
  [8118] = 8118,
  [8119] = 8119,
  [8120] = 7260,
  [8121] = 8121,
  [8122] = 8122,
  [8123] = 8111,
  [8124] = 8124,
  [8125] = 8104,
  [8126] = 8126,
  [8127] = 7270,
  [8128] = 8128,
  [8129] = 8121,
  [8130] = 8130,
  [8131] = 8131,
  [8132] = 8116,
  [8133] = 8133,
  [8134] = 8134,
  [8135] = 8135,
  [8136] = 8136,
  [8137] = 7284,
  [8138] = 8138,
  [8139] = 7299,
  [8140] = 8140,
  [8141] = 8141,
  [8142] = 8142,
  [8143] = 8143,
  [8144] = 8119,
  [8145] = 8111,
  [8146] = 8146,
  [8147] = 8147,
  [8148] = 7279,
  [8149] = 8149,
  [8150] = 8150,
  [8151] = 8151,
  [8152] = 8104,
  [8153] = 8153,
  [8154] = 8107,
  [8155] = 8124,
  [8156] = 8104,
  [8157] = 8111,
  [8158] = 8111,
  [8159] = 8159,
  [8160] = 8136,
  [8161] = 8161,
  [8162] = 8111,
  [8163] = 8104,
  [8164] = 8164,
  [8165] = 8165,
  [8166] = 8119,
  [8167] = 8104,
  [8168] = 8111,
  [8169] = 8169,
  [8170] = 8104,
  [8171] = 8118,
  [8172] = 8172,
  [8173] = 8136,
  [8174] = 8113,
  [8175] = 8138,
  [8176] = 8104,
  [8177] = 8122,
  [8178] = 8143,
  [8179] = 8024,
  [8180] = 8180,
  [8181] = 8104,
  [8182] = 8126,
  [8183] = 8183,
  [8184] = 8111,
  [8185] = 8111,
  [8186] = 8104,
  [8187] = 8146,
  [8188] = 8104,
  [8189] = 8189,
  [8190] = 8107,
  [8191] = 8104,
  [8192] = 8180,
  [8193] = 8193,
  [8194] = 8112,
  [8195] = 8133,
  [8196] = 8111,
  [8197] = 8197,
  [8198] = 8118,
  [8199] = 8199,
  [8200] = 8104,
  [8201] = 8201,
  [8202] = 8189,
  [8203] = 8180,
  [8204] = 8147,
  [8205] = 8205,
  [8206] = 8206,
  [8207] = 8140,
  [8208] = 8208,
  [8209] = 8183,
  [8210] = 8210,
  [8211] = 8211,
  [8212] = 8212,
  [8213] = 8143,
  [8214] = 8104,
  [8215] = 8003,
  [8216] = 8216,
  [8217] = 8217,
  [8218] = 8218,
  [8219] = 8219,
  [8220] = 8220,
  [8221] = 8104,
  [8222] = 8107,
  [8223] = 8223,
  [8224] = 8224,
  [8225] = 8225,
  [8226] = 8111,
  [8227] = 8143,
  [8228] = 8119,
  [8229] = 8197,
  [8230] = 8143,
  [8231] = 8107,
  [8232] = 8124,
  [8233] = 7731,
  [8234] = 7632,
  [8235] = 8235,
  [8236] = 8164,
  [8237] = 7700,
  [8238] = 8146,
  [8239] = 7702,
  [8240] = 7634,
  [8241] = 7938,
  [8242] = 8199,
  [8243] = 8104,
  [8244] = 8244,
  [8245] = 8119,
  [8246] = 8104,
  [8247] = 8247,
  [8248] = 7790,
  [8249] = 8111,
  [8250] = 8107,
  [8251] = 8111,
  [8252] = 8111,
  [8253] = 8111,
  [8254] = 8119,
  [8255] = 8255,
  [8256] = 8143,
  [8257] = 8257,
  [8258] = 8111,
  [8259] = 7961,
  [8260] = 8217,
  [8261] = 8218,
  [8262] = 8262,
  [8263] = 8263,
  [8264] = 8111,
  [8265] = 8147,
  [8266] = 853,
  [8267] = 8267,
  [8268] = 8121,
  [8269] = 8269,
  [8270] = 8270,
  [8271] = 8271,
  [8272] = 8272,
  [8273] = 8273,
  [8274] = 8225,
  [8275] = 6786,
  [8276] = 8276,
  [8277] = 7348,
  [8278] = 8278,
  [8279] = 8279,
  [8280] = 7938,
  [8281] = 8281,
  [8282] = 8282,
  [8283] = 8283,
  [8284] = 8284,
  [8285] = 8285,
  [8286] = 8286,
  [8287] = 8287,
  [8288] = 8288,
  [8289] = 8289,
  [8290] = 8270,
  [8291] = 8291,
  [8292] = 8292,
  [8293] = 8293,
  [8294] = 8294,
  [8295] = 8295,
  [8296] = 8291,
  [8297] = 8210,
  [8298] = 8298,
  [8299] = 8299,
  [8300] = 8300,
  [8301] = 8301,
  [8302] = 8302,
  [8303] = 8303,
  [8304] = 8276,
  [8305] = 8208,
  [8306] = 8291,
  [8307] = 8289,
  [8308] = 8283,
  [8309] = 8269,
  [8310] = 8108,
  [8311] = 8311,
  [8312] = 8312,
  [8313] = 8313,
  [8314] = 8217,
  [8315] = 8315,
  [8316] = 8316,
  [8317] = 8317,
  [8318] = 8291,
  [8319] = 8319,
  [8320] = 8320,
  [8321] = 8321,
  [8322] = 8172,
  [8323] = 8323,
  [8324] = 8324,
  [8325] = 8130,
  [8326] = 8293,
  [8327] = 8273,
  [8328] = 8328,
  [8329] = 8329,
  [8330] = 608,
  [8331] = 8131,
  [8332] = 8332,
  [8333] = 8316,
  [8334] = 8334,
  [8335] = 8335,
  [8336] = 8336,
  [8337] = 7344,
  [8338] = 8338,
  [8339] = 8339,
  [8340] = 8332,
  [8341] = 8341,
  [8342] = 8342,
  [8343] = 8343,
  [8344] = 8344,
  [8345] = 8105,
  [8346] = 8276,
  [8347] = 8328,
  [8348] = 8262,
  [8349] = 8349,
  [8350] = 8350,
  [8351] = 8270,
  [8352] = 8291,
  [8353] = 8353,
  [8354] = 8263,
  [8355] = 8291,
  [8356] = 7479,
  [8357] = 8357,
  [8358] = 8358,
  [8359] = 8270,
  [8360] = 8360,
  [8361] = 8149,
  [8362] = 8362,
  [8363] = 8363,
  [8364] = 8302,
  [8365] = 8365,
  [8366] = 8302,
  [8367] = 8367,
  [8368] = 8353,
  [8369] = 8315,
  [8370] = 8370,
  [8371] = 8270,
  [8372] = 8335,
  [8373] = 8292,
  [8374] = 7790,
  [8375] = 8375,
  [8376] = 8324,
  [8377] = 8323,
  [8378] = 8279,
  [8379] = 8379,
  [8380] = 8270,
  [8381] = 8334,
  [8382] = 8382,
  [8383] = 8291,
  [8384] = 8271,
  [8385] = 8385,
  [8386] = 6773,
  [8387] = 8282,
  [8388] = 8388,
  [8389] = 8292,
  [8390] = 8344,
  [8391] = 8336,
  [8392] = 8392,
  [8393] = 8255,
  [8394] = 6816,
  [8395] = 8128,
  [8396] = 8302,
  [8397] = 8291,
  [8398] = 8151,
  [8399] = 8257,
  [8400] = 8291,
  [8401] = 8365,
  [8402] = 8402,
  [8403] = 8302,
  [8404] = 8291,
  [8405] = 8405,
  [8406] = 8267,
  [8407] = 8344,
  [8408] = 8332,
  [8409] = 8294,
  [8410] = 8293,
  [8411] = 8291,
  [8412] = 8335,
  [8413] = 8292,
  [8414] = 8414,
  [8415] = 8349,
  [8416] = 6780,
  [8417] = 8417,
  [8418] = 8279,
  [8419] = 6779,
  [8420] = 8153,
  [8421] = 8291,
  [8422] = 8329,
  [8423] = 8271,
  [8424] = 8291,
  [8425] = 8388,
  [8426] = 8426,
  [8427] = 8301,
  [8428] = 8428,
  [8429] = 8291,
  [8430] = 8199,
  [8431] = 8273,
  [8432] = 8289,
  [8433] = 8433,
  [8434] = 8329,
  [8435] = 8414,
  [8436] = 8206,
  [8437] = 6791,
  [8438] = 8285,
  [8439] = 8159,
  [8440] = 8272,
  [8441] = 8272,
  [8442] = 8283,
  [8443] = 8269,
  [8444] = 8285,
  [8445] = 8445,
  [8446] = 8446,
  [8447] = 7938,
  [8448] = 8448,
  [8449] = 8319,
  [8450] = 8342,
  [8451] = 8141,
  [8452] = 6805,
  [8453] = 6803,
  [8454] = 6760,
  [8455] = 8150,
  [8456] = 8445,
  [8457] = 8161,
  [8458] = 8292,
  [8459] = 8321,
  [8460] = 8135,
  [8461] = 8338,
  [8462] = 8433,
  [8463] = 8463,
  [8464] = 8303,
  [8465] = 6789,
  [8466] = 8291,
  [8467] = 8323,
  [8468] = 8291,
  [8469] = 6835,
  [8470] = 8388,
  [8471] = 8414,
  [8472] = 8365,
  [8473] = 8312,
  [8474] = 6840,
  [8475] = 8358,
  [8476] = 8343,
  [8477] = 8426,
  [8478] = 8339,
  [8479] = 8291,
  [8480] = 8480,
  [8481] = 8292,
  [8482] = 8482,
  [8483] = 8336,
  [8484] = 8302,
  [8485] = 8291,
  [8486] = 8486,
  [8487] = 8324,
  [8488] = 8375,
  [8489] = 8295,
  [8490] = 8212,
  [8491] = 8491,
  [8492] = 8205,
  [8493] = 8216,
  [8494] = 8219,
  [8495] = 8220,
  [8496] = 8382,
  [8497] = 8112,
  [8498] = 8311,
  [8499] = 8385,
  [8500] = 8201,
  [8501] = 8501,
  [8502] = 8313,
  [8503] = 8392,
  [8504] = 8504,
  [8505] = 8445,
  [8506] = 8211,
  [8507] = 8165,
  [8508] = 8508,
  [8509] = 8480,
  [8510] = 8510,
  [8511] = 8511,
  [8512] = 8512,
  [8513] = 8513,
  [8514] = 8514,
  [8515] = 8515,
  [8516] = 7059,
  [8517] = 8517,
  [8518] = 8518,
  [8519] = 8513,
  [8520] = 8515,
  [8521] = 8514,
  [8522] = 8514,
  [8523] = 8523,
  [8524] = 8515,
  [8525] = 8513,
  [8526] = 8513,
  [8527] = 8515,
  [8528] = 8514,
  [8529] = 8513,
  [8530] = 8515,
  [8531] = 8514,
  [8532] = 8532,
  [8533] = 8533,
  [8534] = 8534,
  [8535] = 8513,
  [8536] = 8515,
  [8537] = 8537,
  [8538] = 8514,
  [8539] = 8513,
  [8540] = 8514,
  [8541] = 8515,
  [8542] = 8515,
  [8543] = 8514,
  [8544] = 8513,
  [8545] = 8545,
  [8546] = 8513,
  [8547] = 8547,
  [8548] = 8515,
  [8549] = 8514,
  [8550] = 8550,
  [8551] = 8551,
  [8552] = 8513,
  [8553] = 8553,
  [8554] = 8515,
  [8555] = 8514,
  [8556] = 8556,
  [8557] = 8557,
  [8558] = 8513,
  [8559] = 8515,
  [8560] = 8514,
  [8561] = 8513,
  [8562] = 8514,
  [8563] = 8563,
  [8564] = 8564,
  [8565] = 8565,
  [8566] = 8515,
  [8567] = 8515,
  [8568] = 8514,
  [8569] = 8513,
  [8570] = 8570,
  [8571] = 8513,
  [8572] = 8572,
  [8573] = 8573,
  [8574] = 8574,
  [8575] = 8575,
  [8576] = 8513,
  [8577] = 8513,
  [8578] = 8578,
  [8579] = 8579,
  [8580] = 8580,
  [8581] = 8353,
  [8582] = 8582,
  [8583] = 8583,
  [8584] = 8514,
  [8585] = 8515,
  [8586] = 8586,
  [8587] = 8583,
  [8588] = 8588,
  [8589] = 8513,
  [8590] = 8590,
  [8591] = 8591,
  [8592] = 8592,
  [8593] = 8593,
  [8594] = 8594,
  [8595] = 8595,
  [8596] = 8596,
  [8597] = 8597,
  [8598] = 8598,
  [8599] = 8599,
  [8600] = 8600,
  [8601] = 8601,
  [8602] = 8602,
  [8603] = 8603,
  [8604] = 8604,
  [8605] = 8605,
  [8606] = 8606,
  [8607] = 8607,
  [8608] = 8608,
  [8609] = 8609,
  [8610] = 8610,
  [8611] = 8611,
  [8612] = 8612,
  [8613] = 8613,
  [8614] = 8614,
  [8615] = 8607,
  [8616] = 8605,
  [8617] = 8617,
  [8618] = 8590,
  [8619] = 8514,
  [8620] = 8620,
  [8621] = 8621,
  [8622] = 8572,
  [8623] = 8515,
  [8624] = 8579,
  [8625] = 8551,
  [8626] = 8547,
  [8627] = 8627,
  [8628] = 8628,
  [8629] = 8513,
  [8630] = 8523,
  [8631] = 8631,
  [8632] = 8632,
  [8633] = 8633,
  [8634] = 8634,
  [8635] = 8635,
  [8636] = 8636,
  [8637] = 8637,
  [8638] = 8638,
  [8639] = 8545,
  [8640] = 8640,
  [8641] = 8641,
  [8642] = 8320,
  [8643] = 8643,
  [8644] = 8644,
  [8645] = 8645,
  [8646] = 8646,
  [8647] = 7480,
  [8648] = 8648,
  [8649] = 8612,
  [8650] = 8650,
  [8651] = 8611,
  [8652] = 8652,
  [8653] = 8653,
  [8654] = 8610,
  [8655] = 8609,
  [8656] = 8608,
  [8657] = 8657,
  [8658] = 8658,
  [8659] = 8659,
  [8660] = 8514,
  [8661] = 8661,
  [8662] = 8515,
  [8663] = 8663,
  [8664] = 8664,
  [8665] = 8665,
  [8666] = 8604,
  [8667] = 8612,
  [8668] = 8513,
  [8669] = 8669,
  [8670] = 8670,
  [8671] = 8572,
  [8672] = 8617,
  [8673] = 8673,
  [8674] = 8632,
  [8675] = 8633,
  [8676] = 8634,
  [8677] = 8636,
  [8678] = 8604,
  [8679] = 8679,
  [8680] = 8680,
  [8681] = 8612,
  [8682] = 8572,
  [8683] = 7366,
  [8684] = 7327,
  [8685] = 8685,
  [8686] = 8604,
  [8687] = 8687,
  [8688] = 8287,
  [8689] = 8284,
  [8690] = 8690,
  [8691] = 8604,
  [8692] = 8612,
  [8693] = 8693,
  [8694] = 8572,
  [8695] = 8695,
  [8696] = 7366,
  [8697] = 7327,
  [8698] = 8698,
  [8699] = 8699,
  [8700] = 8700,
  [8701] = 8511,
  [8702] = 8702,
  [8703] = 8428,
  [8704] = 8704,
  [8705] = 8663,
  [8706] = 8482,
  [8707] = 8367,
  [8708] = 8708,
  [8709] = 8709,
  [8710] = 8603,
  [8711] = 8602,
  [8712] = 8537,
  [8713] = 8600,
  [8714] = 8417,
  [8715] = 8715,
  [8716] = 8510,
  [8717] = 8717,
  [8718] = 8580,
  [8719] = 8719,
  [8720] = 8720,
  [8721] = 8721,
  [8722] = 8722,
  [8723] = 8514,
  [8724] = 8724,
  [8725] = 8281,
  [8726] = 8652,
  [8727] = 8564,
  [8728] = 8565,
  [8729] = 8299,
  [8730] = 8300,
  [8731] = 8720,
  [8732] = 8732,
  [8733] = 8582,
  [8734] = 8734,
  [8735] = 8735,
  [8736] = 8586,
  [8737] = 8737,
  [8738] = 8738,
  [8739] = 8679,
  [8740] = 8588,
  [8741] = 8680,
  [8742] = 8513,
  [8743] = 8743,
  [8744] = 8517,
  [8745] = 8745,
  [8746] = 8591,
  [8747] = 8592,
  [8748] = 8598,
  [8749] = 8749,
  [8750] = 8486,
  [8751] = 8599,
  [8752] = 8693,
  [8753] = 8600,
  [8754] = 8754,
  [8755] = 8602,
  [8756] = 8756,
  [8757] = 8603,
  [8758] = 8758,
  [8759] = 8582,
  [8760] = 8760,
  [8761] = 8298,
  [8762] = 8699,
  [8763] = 8763,
  [8764] = 8764,
  [8765] = 8765,
  [8766] = 8598,
  [8767] = 8608,
  [8768] = 8708,
  [8769] = 8709,
  [8770] = 8609,
  [8771] = 8610,
  [8772] = 8772,
  [8773] = 8611,
  [8774] = 8661,
  [8775] = 8592,
  [8776] = 8591,
  [8777] = 8607,
  [8778] = 8605,
  [8779] = 8590,
  [8780] = 8551,
  [8781] = 8547,
  [8782] = 8523,
  [8783] = 8514,
  [8784] = 8223,
  [8785] = 8224,
  [8786] = 8517,
  [8787] = 8734,
  [8788] = 8583,
  [8789] = 8743,
  [8790] = 8661,
  [8791] = 8317,
  [8792] = 8772,
  [8793] = 8764,
  [8794] = 8763,
  [8795] = 8288,
  [8796] = 8749,
  [8797] = 8661,
  [8798] = 8627,
  [8799] = 8628,
  [8800] = 8758,
  [8801] = 8745,
  [8802] = 8756,
  [8803] = 8803,
  [8804] = 8754,
  [8805] = 8286,
  [8806] = 8806,
  [8807] = 8515,
  [8808] = 8515,
  [8809] = 7938,
  [8810] = 8735,
  [8811] = 8811,
  [8812] = 8812,
  [8813] = 8720,
  [8814] = 8814,
  [8815] = 8815,
  [8816] = 8687,
  [8817] = 8737,
  [8818] = 8818,
  [8819] = 8819,
  [8820] = 8357,
  [8821] = 8811,
  [8822] = 8822,
  [8823] = 8823,
  [8824] = 8720,
  [8825] = 8363,
  [8826] = 8463,
  [8827] = 8827,
  [8828] = 8572,
  [8829] = 8829,
  [8830] = 8830,
  [8831] = 8831,
  [8832] = 8832,
  [8833] = 8833,
  [8834] = 8491,
  [8835] = 8720,
  [8836] = 8402,
  [8837] = 8837,
  [8838] = 8818,
  [8839] = 8504,
  [8840] = 8612,
  [8841] = 8501,
  [8842] = 8819,
  [8843] = 8663,
  [8844] = 8720,
  [8845] = 8370,
  [8846] = 8720,
  [8847] = 8823,
  [8848] = 8721,
  [8849] = 8719,
  [8850] = 8720,
  [8851] = 8851,
  [8852] = 8720,
  [8853] = 8717,
  [8854] = 8715,
  [8855] = 8448,
  [8856] = 8830,
  [8857] = 8604,
  [8858] = 8720,
  [8859] = 8588,
  [8860] = 8851,
  [8861] = 8586,
  [8862] = 8720,
  [8863] = 8720,
  [8864] = 8720,
  [8865] = 8513,
  [8866] = 8720,
  [8867] = 8663,
  [8868] = 8700,
  [8869] = 8869,
  [8870] = 8673,
  [8871] = 8720,
  [8872] = 8664,
  [8873] = 8665,
  [8874] = 8614,
  [8875] = 8247,
  [8876] = 8720,
  [8877] = 8877,
  [8878] = 8244,
  [8879] = 8669,
  [8880] = 8670,
  [8881] = 7480,
  [8882] = 8720,
  [8883] = 8702,
  [8884] = 8884,
  [8885] = 8720,
  [8886] = 8341,
  [8887] = 8350,
  [8888] = 8720,
  [8889] = 8360,
  [8890] = 8362,
  [8891] = 8720,
  [8892] = 8720,
  [8893] = 8720,
  [8894] = 8720,
  [8895] = 8698,
  [8896] = 8405,
  [8897] = 7578,
  [8898] = 8898,
  [8899] = 8899,
  [8900] = 8695,
  [8901] = 8901,
  [8902] = 8902,
  [8903] = 8903,
  [8904] = 8904,
  [8905] = 8905,
  [8906] = 8906,
  [8907] = 8907,
  [8908] = 8908,
  [8909] = 8905,
  [8910] = 8910,
  [8911] = 8911,
  [8912] = 8912,
  [8913] = 8913,
  [8914] = 8914,
  [8915] = 8905,
  [8916] = 8916,
  [8917] = 8917,
  [8918] = 8918,
  [8919] = 8919,
  [8920] = 8920,
  [8921] = 8921,
  [8922] = 8922,
  [8923] = 8923,
  [8924] = 8924,
  [8925] = 8925,
  [8926] = 8926,
  [8927] = 8911,
  [8928] = 8928,
  [8929] = 8929,
  [8930] = 8930,
  [8931] = 8931,
  [8932] = 8919,
  [8933] = 8904,
  [8934] = 8905,
  [8935] = 8907,
  [8936] = 8907,
  [8937] = 8937,
  [8938] = 8904,
  [8939] = 8939,
  [8940] = 8905,
  [8941] = 8941,
  [8942] = 8942,
  [8943] = 8911,
  [8944] = 8944,
  [8945] = 8704,
  [8946] = 8946,
  [8947] = 8947,
  [8948] = 8948,
  [8949] = 8949,
  [8950] = 8950,
  [8951] = 8951,
  [8952] = 8952,
  [8953] = 8953,
  [8954] = 8954,
  [8955] = 8955,
  [8956] = 8956,
  [8957] = 8957,
  [8958] = 8958,
  [8959] = 8959,
  [8960] = 8960,
  [8961] = 8961,
  [8962] = 8962,
  [8963] = 8963,
  [8964] = 8964,
  [8965] = 8911,
  [8966] = 8966,
  [8967] = 8904,
  [8968] = 8968,
  [8969] = 8907,
  [8970] = 8970,
  [8971] = 8971,
  [8972] = 8972,
  [8973] = 8973,
  [8974] = 8974,
  [8975] = 8975,
  [8976] = 8976,
  [8977] = 8977,
  [8978] = 8978,
  [8979] = 8905,
  [8980] = 8980,
  [8981] = 8981,
  [8982] = 8905,
  [8983] = 8983,
  [8984] = 8984,
  [8985] = 8985,
  [8986] = 8986,
  [8987] = 8987,
  [8988] = 8988,
  [8989] = 8989,
  [8990] = 8990,
  [8991] = 8991,
  [8992] = 8992,
  [8993] = 8993,
  [8994] = 8994,
  [8995] = 8995,
  [8996] = 8996,
  [8997] = 8997,
  [8998] = 8998,
  [8999] = 8911,
  [9000] = 9000,
  [9001] = 8904,
  [9002] = 8653,
  [9003] = 9003,
  [9004] = 9004,
  [9005] = 8907,
  [9006] = 9006,
  [9007] = 9007,
  [9008] = 9008,
  [9009] = 9009,
  [9010] = 8905,
  [9011] = 9011,
  [9012] = 9012,
  [9013] = 8640,
  [9014] = 8953,
  [9015] = 8989,
  [9016] = 8650,
  [9017] = 9017,
  [9018] = 8939,
  [9019] = 9019,
  [9020] = 8911,
  [9021] = 9021,
  [9022] = 9022,
  [9023] = 8908,
  [9024] = 8904,
  [9025] = 9025,
  [9026] = 9026,
  [9027] = 8907,
  [9028] = 9028,
  [9029] = 8917,
  [9030] = 9030,
  [9031] = 9031,
  [9032] = 9032,
  [9033] = 8724,
  [9034] = 9034,
  [9035] = 9035,
  [9036] = 9036,
  [9037] = 8907,
  [9038] = 9038,
  [9039] = 9039,
  [9040] = 9040,
  [9041] = 9041,
  [9042] = 9042,
  [9043] = 8905,
  [9044] = 9044,
  [9045] = 9045,
  [9046] = 8904,
  [9047] = 8911,
  [9048] = 9048,
  [9049] = 8646,
  [9050] = 9050,
  [9051] = 9051,
  [9052] = 9052,
  [9053] = 9053,
  [9054] = 8968,
  [9055] = 9055,
  [9056] = 8645,
  [9057] = 8911,
  [9058] = 9058,
  [9059] = 9059,
  [9060] = 8981,
  [9061] = 9061,
  [9062] = 8986,
  [9063] = 9063,
  [9064] = 8904,
  [9065] = 8987,
  [9066] = 9066,
  [9067] = 8644,
  [9068] = 8907,
  [9069] = 9069,
  [9070] = 9070,
  [9071] = 8643,
  [9072] = 8898,
  [9073] = 9017,
  [9074] = 9074,
  [9075] = 9075,
  [9076] = 9022,
  [9077] = 8905,
  [9078] = 9078,
  [9079] = 9079,
  [9080] = 9032,
  [9081] = 8959,
  [9082] = 9082,
  [9083] = 8997,
  [9084] = 9084,
  [9085] = 8732,
  [9086] = 9086,
  [9087] = 9087,
  [9088] = 9088,
  [9089] = 9089,
  [9090] = 8928,
  [9091] = 9034,
  [9092] = 9035,
  [9093] = 9093,
  [9094] = 8905,
  [9095] = 9061,
  [9096] = 9038,
  [9097] = 9097,
  [9098] = 9098,
  [9099] = 9099,
  [9100] = 9100,
  [9101] = 8685,
  [9102] = 9102,
  [9103] = 8911,
  [9104] = 9074,
  [9105] = 8904,
  [9106] = 9106,
  [9107] = 9107,
  [9108] = 8907,
  [9109] = 8930,
  [9110] = 9110,
  [9111] = 8641,
  [9112] = 9112,
  [9113] = 9113,
  [9114] = 9114,
  [9115] = 8905,
  [9116] = 9116,
  [9117] = 8902,
  [9118] = 9118,
  [9119] = 8924,
  [9120] = 9120,
  [9121] = 8638,
  [9122] = 8911,
  [9123] = 8966,
  [9124] = 8930,
  [9125] = 8904,
  [9126] = 8911,
  [9127] = 8904,
  [9128] = 8637,
  [9129] = 9129,
  [9130] = 9130,
  [9131] = 8635,
  [9132] = 8911,
  [9133] = 8904,
  [9134] = 8631,
  [9135] = 8907,
  [9136] = 9136,
  [9137] = 8930,
  [9138] = 8923,
  [9139] = 9139,
  [9140] = 9140,
  [9141] = 9141,
  [9142] = 9142,
  [9143] = 8973,
  [9144] = 9144,
  [9145] = 8974,
  [9146] = 9146,
  [9147] = 9012,
  [9148] = 9148,
  [9149] = 8911,
  [9150] = 9150,
  [9151] = 9007,
  [9152] = 9152,
  [9153] = 8904,
  [9154] = 9044,
  [9155] = 8907,
  [9156] = 9156,
  [9157] = 8907,
  [9158] = 9158,
  [9159] = 9159,
  [9160] = 9160,
  [9161] = 9161,
  [9162] = 9162,
  [9163] = 9163,
  [9164] = 9044,
  [9165] = 7578,
  [9166] = 9166,
  [9167] = 9167,
  [9168] = 9168,
  [9169] = 9169,
  [9170] = 9170,
  [9171] = 9171,
  [9172] = 9148,
  [9173] = 8765,
  [9174] = 8904,
  [9175] = 9175,
  [9176] = 9176,
  [9177] = 9177,
  [9178] = 8621,
  [9179] = 9179,
  [9180] = 9180,
  [9181] = 9146,
  [9182] = 8899,
  [9183] = 8911,
  [9184] = 9184,
  [9185] = 9058,
  [9186] = 9186,
  [9187] = 9187,
  [9188] = 8620,
  [9189] = 9189,
  [9190] = 8613,
  [9191] = 8648,
  [9192] = 9192,
  [9193] = 8606,
  [9194] = 9194,
  [9195] = 9179,
  [9196] = 8901,
  [9197] = 8901,
  [9198] = 8913,
  [9199] = 8911,
  [9200] = 8904,
  [9201] = 9201,
  [9202] = 9202,
  [9203] = 8601,
  [9204] = 8907,
  [9205] = 9205,
  [9206] = 9206,
  [9207] = 9207,
  [9208] = 8901,
  [9209] = 8972,
  [9210] = 9210,
  [9211] = 9093,
  [9212] = 9003,
  [9213] = 9213,
  [9214] = 9206,
  [9215] = 8907,
  [9216] = 8904,
  [9217] = 9217,
  [9218] = 9218,
  [9219] = 9219,
  [9220] = 9078,
  [9221] = 8978,
  [9222] = 9222,
  [9223] = 8905,
  [9224] = 9141,
  [9225] = 8597,
  [9226] = 8596,
  [9227] = 9227,
  [9228] = 9228,
  [9229] = 8904,
  [9230] = 9230,
  [9231] = 9231,
  [9232] = 9232,
  [9233] = 8921,
  [9234] = 8595,
  [9235] = 9235,
  [9236] = 9139,
  [9237] = 9011,
  [9238] = 9238,
  [9239] = 9239,
  [9240] = 8912,
  [9241] = 9213,
  [9242] = 9242,
  [9243] = 8594,
  [9244] = 9244,
  [9245] = 8901,
  [9246] = 9246,
  [9247] = 9247,
  [9248] = 9248,
  [9249] = 9249,
  [9250] = 8593,
  [9251] = 9251,
  [9252] = 8903,
  [9253] = 9253,
  [9254] = 9254,
  [9255] = 9059,
  [9256] = 9146,
  [9257] = 9257,
  [9258] = 9258,
  [9259] = 9259,
  [9260] = 8901,
  [9261] = 9025,
  [9262] = 9262,
  [9263] = 9202,
  [9264] = 9264,
  [9265] = 9189,
  [9266] = 9026,
  [9267] = 9030,
  [9268] = 9268,
  [9269] = 8907,
  [9270] = 8698,
  [9271] = 8919,
  [9272] = 9162,
  [9273] = 8929,
  [9274] = 8904,
  [9275] = 8911,
  [9276] = 9276,
  [9277] = 9277,
  [9278] = 9278,
  [9279] = 9279,
  [9280] = 8991,
  [9281] = 8511,
  [9282] = 9282,
  [9283] = 9283,
  [9284] = 8901,
  [9285] = 9202,
  [9286] = 9000,
  [9287] = 9287,
  [9288] = 9288,
  [9289] = 8575,
  [9290] = 9006,
  [9291] = 9291,
  [9292] = 9292,
  [9293] = 9293,
  [9294] = 9257,
  [9295] = 9177,
  [9296] = 8917,
  [9297] = 9297,
  [9298] = 9298,
  [9299] = 8946,
  [9300] = 9300,
  [9301] = 9163,
  [9302] = 9302,
  [9303] = 9230,
  [9304] = 9304,
  [9305] = 9118,
  [9306] = 9306,
  [9307] = 8995,
  [9308] = 9308,
  [9309] = 8574,
  [9310] = 9298,
  [9311] = 9297,
  [9312] = 8976,
  [9313] = 9247,
  [9314] = 9314,
  [9315] = 9242,
  [9316] = 8578,
  [9317] = 9317,
  [9318] = 9218,
  [9319] = 9130,
  [9320] = 8573,
  [9321] = 8901,
  [9322] = 9205,
  [9323] = 9242,
  [9324] = 8680,
  [9325] = 8679,
  [9326] = 9247,
  [9327] = 9045,
  [9328] = 8905,
  [9329] = 8912,
  [9330] = 9257,
  [9331] = 8905,
  [9332] = 8814,
  [9333] = 8563,
  [9334] = 9008,
  [9335] = 8930,
  [9336] = 9336,
  [9337] = 9337,
  [9338] = 9338,
  [9339] = 8991,
  [9340] = 8984,
  [9341] = 9341,
  [9342] = 8983,
  [9343] = 9176,
  [9344] = 9344,
  [9345] = 9345,
  [9346] = 9186,
  [9347] = 9187,
  [9348] = 9231,
  [9349] = 9171,
  [9350] = 8550,
  [9351] = 9287,
  [9352] = 9045,
  [9353] = 9283,
  [9354] = 9354,
  [9355] = 9239,
  [9356] = 9088,
  [9357] = 9232,
  [9358] = 9358,
  [9359] = 9228,
  [9360] = 8806,
  [9361] = 9089,
  [9362] = 9244,
  [9363] = 9288,
  [9364] = 9222,
  [9365] = 9365,
  [9366] = 9366,
  [9367] = 9028,
  [9368] = 9048,
  [9369] = 9075,
  [9370] = 9264,
  [9371] = 9371,
  [9372] = 9084,
  [9373] = 9373,
  [9374] = 9374,
  [9375] = 8966,
  [9376] = 9376,
  [9377] = 9377,
  [9378] = 9207,
  [9379] = 9379,
  [9380] = 9063,
  [9381] = 9381,
  [9382] = 8903,
  [9383] = 9106,
  [9384] = 9366,
  [9385] = 8822,
  [9386] = 8930,
  [9387] = 9387,
  [9388] = 9130,
  [9389] = 9130,
  [9390] = 9390,
  [9391] = 9391,
  [9392] = 9365,
  [9393] = 9338,
  [9394] = 8970,
  [9395] = 9395,
  [9396] = 9337,
  [9397] = 9130,
  [9398] = 9118,
  [9399] = 8829,
  [9400] = 9400,
  [9401] = 9246,
  [9402] = 9069,
  [9403] = 9184,
  [9404] = 8907,
  [9405] = 9381,
  [9406] = 9041,
  [9407] = 9201,
  [9408] = 9365,
  [9409] = 9231,
  [9410] = 9300,
  [9411] = 9338,
  [9412] = 9337,
  [9413] = 9337,
  [9414] = 9130,
  [9415] = 9161,
  [9416] = 8948,
  [9417] = 8831,
  [9418] = 9118,
  [9419] = 8956,
  [9420] = 8832,
  [9421] = 9338,
  [9422] = 9365,
  [9423] = 9159,
  [9424] = 9338,
  [9425] = 8907,
  [9426] = 9337,
  [9427] = 8833,
  [9428] = 9180,
  [9429] = 9130,
  [9430] = 9118,
  [9431] = 8904,
  [9432] = 9432,
  [9433] = 9365,
  [9434] = 8911,
  [9435] = 9175,
  [9436] = 9338,
  [9437] = 9337,
  [9438] = 9160,
  [9439] = 9130,
  [9440] = 9118,
  [9441] = 8942,
  [9442] = 9365,
  [9443] = 9443,
  [9444] = 9158,
  [9445] = 9338,
  [9446] = 9156,
  [9447] = 9302,
  [9448] = 9337,
  [9449] = 9376,
  [9450] = 9130,
  [9451] = 9169,
  [9452] = 9118,
  [9453] = 9022,
  [9454] = 8914,
  [9455] = 8976,
  [9456] = 8910,
  [9457] = 9457,
  [9458] = 9050,
  [9459] = 9288,
  [9460] = 8518,
  [9461] = 9461,
  [9462] = 9168,
  [9463] = 9463,
  [9464] = 9365,
  [9465] = 8905,
  [9466] = 9338,
  [9467] = 9053,
  [9468] = 9468,
  [9469] = 8564,
  [9470] = 9337,
  [9471] = 8565,
  [9472] = 9130,
  [9473] = 9118,
  [9474] = 9474,
  [9475] = 9365,
  [9476] = 9167,
  [9477] = 9477,
  [9478] = 9338,
  [9479] = 9120,
  [9480] = 9480,
  [9481] = 9481,
  [9482] = 9482,
  [9483] = 9337,
  [9484] = 9113,
  [9485] = 9152,
  [9486] = 9150,
  [9487] = 9487,
  [9488] = 9130,
  [9489] = 9118,
  [9490] = 9110,
  [9491] = 9491,
  [9492] = 9492,
  [9493] = 9493,
  [9494] = 9230,
  [9495] = 9495,
  [9496] = 9496,
  [9497] = 9497,
  [9498] = 9251,
  [9499] = 9499,
  [9500] = 9365,
  [9501] = 9019,
  [9502] = 9116,
  [9503] = 8975,
  [9504] = 9338,
  [9505] = 9337,
  [9506] = 9506,
  [9507] = 9130,
  [9508] = 8976,
  [9509] = 9118,
  [9510] = 9374,
  [9511] = 8702,
  [9512] = 9287,
  [9513] = 9114,
  [9514] = 8971,
  [9515] = 9379,
  [9516] = 9112,
  [9517] = 8983,
  [9518] = 8984,
  [9519] = 9166,
  [9520] = 9365,
  [9521] = 9042,
  [9522] = 9373,
  [9523] = 9523,
  [9524] = 9338,
  [9525] = 9525,
  [9526] = 9337,
  [9527] = 9006,
  [9528] = 9259,
  [9529] = 9004,
  [9530] = 9130,
  [9531] = 9028,
  [9532] = 9532,
  [9533] = 9533,
  [9534] = 8627,
  [9535] = 8993,
  [9536] = 8944,
  [9537] = 9118,
  [9538] = 9008,
  [9539] = 9283,
  [9540] = 9282,
  [9541] = 8992,
  [9542] = 8947,
  [9543] = 9264,
  [9544] = 9086,
  [9545] = 9545,
  [9546] = 9546,
  [9547] = 8628,
  [9548] = 8907,
  [9549] = 8958,
  [9550] = 8951,
  [9551] = 9258,
  [9552] = 8957,
  [9553] = 8952,
  [9554] = 8877,
  [9555] = 9555,
  [9556] = 9365,
  [9557] = 9557,
  [9558] = 8985,
  [9559] = 9259,
  [9560] = 9254,
  [9561] = 9338,
  [9562] = 9337,
  [9563] = 8949,
  [9564] = 9136,
  [9565] = 9130,
  [9566] = 9036,
  [9567] = 9567,
  [9568] = 9146,
  [9569] = 9118,
  [9570] = 8884,
  [9571] = 9055,
  [9572] = 9009,
  [9573] = 8664,
  [9574] = 9574,
  [9575] = 9341,
  [9576] = 9279,
  [9577] = 8904,
  [9578] = 8911,
  [9579] = 8665,
  [9580] = 9118,
  [9581] = 9130,
  [9582] = 9337,
  [9583] = 9365,
  [9584] = 9338,
  [9585] = 8669,
  [9586] = 8670,
  [9587] = 9192,
  [9588] = 8988,
  [9589] = 9338,
  [9590] = 9365,
  [9591] = 9337,
  [9592] = 8905,
  [9593] = 8990,
  [9594] = 8510,
  [9595] = 9130,
  [9596] = 9118,
  [9597] = 8994,
  [9598] = 8976,
  [9599] = 9279,
  [9600] = 9282,
  [9601] = 8754,
  [9602] = 9358,
  [9603] = 7480,
  [9604] = 8756,
  [9605] = 8963,
  [9606] = 9387,
  [9607] = 8996,
  [9608] = 9608,
  [9609] = 9291,
  [9610] = 9118,
  [9611] = 9365,
  [9612] = 8715,
  [9613] = 8758,
  [9614] = 9614,
  [9615] = 9338,
  [9616] = 9337,
  [9617] = 9130,
  [9618] = 9293,
  [9619] = 9130,
  [9620] = 9118,
  [9621] = 9621,
  [9622] = 9622,
  [9623] = 9468,
  [9624] = 9443,
  [9625] = 9365,
  [9626] = 8763,
  [9627] = 9292,
  [9628] = 8916,
  [9629] = 9614,
  [9630] = 9338,
  [9631] = 9337,
  [9632] = 8920,
  [9633] = 9130,
  [9634] = 9118,
  [9635] = 9635,
  [9636] = 8955,
  [9637] = 8764,
  [9638] = 8925,
  [9639] = 9499,
  [9640] = 9337,
  [9641] = 9338,
  [9642] = 8964,
  [9643] = 8931,
  [9644] = 9365,
  [9645] = 8869,
  [9646] = 9218,
  [9647] = 9338,
  [9648] = 9337,
  [9649] = 8738,
  [9650] = 8717,
  [9651] = 8719,
  [9652] = 9365,
  [9653] = 7327,
  [9654] = 8837,
  [9655] = 8905,
  [9656] = 8532,
  [9657] = 9317,
  [9658] = 8827,
  [9659] = 9102,
  [9660] = 9297,
  [9661] = 9314,
  [9662] = 9298,
  [9663] = 8815,
  [9664] = 9130,
  [9665] = 7366,
  [9666] = 9107,
  [9667] = 8812,
  [9668] = 9140,
  [9669] = 8803,
  [9670] = 9142,
  [9671] = 9118,
  [9672] = 8721,
  [9673] = 8970,
  [9674] = 8966,
  [9675] = 8533,
  [9676] = 9308,
  [9677] = 9306,
  [9678] = 9365,
  [9679] = 8760,
  [9680] = 9170,
  [9681] = 9681,
  [9682] = 9682,
  [9683] = 9683,
  [9684] = 9684,
  [9685] = 9685,
  [9686] = 9686,
  [9687] = 9687,
  [9688] = 9688,
  [9689] = 9689,
  [9690] = 9690,
  [9691] = 9691,
  [9692] = 9692,
  [9693] = 9693,
  [9694] = 9066,
  [9695] = 9695,
  [9696] = 9696,
  [9697] = 9697,
  [9698] = 9698,
  [9699] = 9021,
  [9700] = 9688,
  [9701] = 9687,
  [9702] = 9702,
  [9703] = 8998,
  [9704] = 9031,
  [9705] = 9705,
  [9706] = 9040,
  [9707] = 8960,
  [9708] = 9708,
  [9709] = 9709,
  [9710] = 9710,
  [9711] = 9711,
  [9712] = 9712,
  [9713] = 9713,
  [9714] = 9714,
  [9715] = 9715,
  [9716] = 9716,
  [9717] = 9717,
  [9718] = 9718,
  [9719] = 9719,
  [9720] = 9720,
  [9721] = 9721,
  [9722] = 9722,
  [9723] = 9723,
  [9724] = 9724,
  [9725] = 9725,
  [9726] = 9726,
  [9727] = 9727,
  [9728] = 9728,
  [9729] = 9729,
  [9730] = 9730,
  [9731] = 9731,
  [9732] = 9732,
  [9733] = 9733,
  [9734] = 9711,
  [9735] = 9735,
  [9736] = 9736,
  [9737] = 9737,
  [9738] = 9738,
  [9739] = 9739,
  [9740] = 9740,
  [9741] = 9741,
  [9742] = 9742,
  [9743] = 9743,
  [9744] = 9744,
  [9745] = 9745,
  [9746] = 9746,
  [9747] = 9747,
  [9748] = 8980,
  [9749] = 9749,
  [9750] = 9750,
  [9751] = 9751,
  [9752] = 9752,
  [9753] = 9753,
  [9754] = 9754,
  [9755] = 9755,
  [9756] = 9756,
  [9757] = 9757,
  [9758] = 9758,
  [9759] = 9705,
  [9760] = 9760,
  [9761] = 9761,
  [9762] = 9762,
  [9763] = 9763,
  [9764] = 9764,
  [9765] = 9765,
  [9766] = 9766,
  [9767] = 9767,
  [9768] = 9768,
  [9769] = 9088,
  [9770] = 9770,
  [9771] = 9771,
  [9772] = 9276,
  [9773] = 9773,
  [9774] = 9774,
  [9775] = 9775,
  [9776] = 9776,
  [9777] = 8948,
  [9778] = 9778,
  [9779] = 9779,
  [9780] = 8942,
  [9781] = 9781,
  [9782] = 9782,
  [9783] = 9070,
  [9784] = 9784,
  [9785] = 9785,
  [9786] = 9786,
  [9787] = 9684,
  [9788] = 9788,
  [9789] = 9789,
  [9790] = 8962,
  [9791] = 9791,
  [9792] = 9792,
  [9793] = 8944,
  [9794] = 8947,
  [9795] = 9795,
  [9796] = 9796,
  [9797] = 9797,
  [9798] = 9798,
  [9799] = 8951,
  [9800] = 8952,
  [9801] = 9801,
  [9802] = 9802,
  [9803] = 9803,
  [9804] = 9804,
  [9805] = 9805,
  [9806] = 9806,
  [9807] = 9807,
  [9808] = 9808,
  [9809] = 9809,
  [9810] = 9810,
  [9811] = 6714,
  [9812] = 9039,
  [9813] = 9813,
  [9814] = 9814,
  [9815] = 9815,
  [9816] = 9816,
  [9817] = 9817,
  [9818] = 9685,
  [9819] = 9819,
  [9820] = 9820,
  [9821] = 9821,
  [9822] = 9822,
  [9823] = 9823,
  [9824] = 9824,
  [9825] = 9825,
  [9826] = 9826,
  [9827] = 9827,
  [9828] = 9828,
  [9829] = 9829,
  [9830] = 9830,
  [9831] = 9086,
  [9832] = 9112,
  [9833] = 9833,
  [9834] = 9834,
  [9835] = 9835,
  [9836] = 9836,
  [9837] = 9837,
  [9838] = 9114,
  [9839] = 9839,
  [9840] = 9840,
  [9841] = 9841,
  [9842] = 9842,
  [9843] = 9843,
  [9844] = 9116,
  [9845] = 9845,
  [9846] = 9846,
  [9847] = 9120,
  [9848] = 9848,
  [9849] = 9849,
  [9850] = 9850,
  [9851] = 9851,
  [9852] = 9852,
  [9853] = 9853,
  [9854] = 9854,
  [9855] = 9855,
  [9856] = 9856,
  [9857] = 9857,
  [9858] = 9858,
  [9859] = 9788,
  [9860] = 9860,
  [9861] = 9861,
  [9862] = 9862,
  [9863] = 9845,
  [9864] = 9864,
  [9865] = 9865,
  [9866] = 8926,
  [9867] = 8922,
  [9868] = 9868,
  [9869] = 8918,
  [9870] = 9870,
  [9871] = 9871,
  [9872] = 9872,
  [9873] = 9684,
  [9874] = 9688,
  [9875] = 9875,
  [9876] = 9876,
  [9877] = 9813,
  [9878] = 9878,
  [9879] = 9879,
  [9880] = 9880,
  [9881] = 9881,
  [9882] = 9882,
  [9883] = 9883,
  [9884] = 9884,
  [9885] = 9885,
  [9886] = 9886,
  [9887] = 9887,
  [9888] = 9888,
  [9889] = 9687,
  [9890] = 9144,
  [9891] = 9891,
  [9892] = 9892,
  [9893] = 9893,
  [9894] = 9894,
  [9895] = 9895,
  [9896] = 9896,
  [9897] = 9897,
  [9898] = 9898,
  [9899] = 9899,
  [9900] = 9900,
  [9901] = 9901,
  [9902] = 9902,
  [9903] = 9711,
  [9904] = 9904,
  [9905] = 9905,
  [9906] = 9906,
  [9907] = 9907,
  [9908] = 9908,
  [9909] = 9909,
  [9910] = 9910,
  [9911] = 9911,
  [9912] = 9912,
  [9913] = 9913,
  [9914] = 9914,
  [9915] = 9915,
  [9916] = 9751,
  [9917] = 9917,
  [9918] = 9918,
  [9919] = 9919,
  [9920] = 9239,
  [9921] = 9232,
  [9922] = 9922,
  [9923] = 9184,
  [9924] = 9222,
  [9925] = 9868,
  [9926] = 9926,
  [9927] = 9207,
  [9928] = 9766,
  [9929] = 9929,
  [9930] = 9930,
  [9931] = 9931,
  [9932] = 9175,
  [9933] = 9933,
  [9934] = 8950,
  [9935] = 9935,
  [9936] = 9936,
  [9937] = 9688,
  [9938] = 9845,
  [9939] = 9914,
  [9940] = 8977,
  [9941] = 9941,
  [9942] = 9942,
  [9943] = 9860,
  [9944] = 9944,
  [9945] = 9079,
  [9946] = 9160,
  [9947] = 9947,
  [9948] = 9929,
  [9949] = 9949,
  [9950] = 9950,
  [9951] = 9951,
  [9952] = 9952,
  [9953] = 9935,
  [9954] = 9954,
  [9955] = 9906,
  [9956] = 9956,
  [9957] = 9957,
  [9958] = 9958,
  [9959] = 9697,
  [9960] = 9960,
  [9961] = 9961,
  [9962] = 9758,
  [9963] = 9742,
  [9964] = 9964,
  [9965] = 9965,
  [9966] = 9813,
  [9967] = 9807,
  [9968] = 9685,
  [9969] = 9227,
  [9970] = 9098,
  [9971] = 9971,
  [9972] = 9972,
  [9973] = 9973,
  [9974] = 9974,
  [9975] = 9975,
  [9976] = 9976,
  [9977] = 9977,
  [9978] = 8993,
  [9979] = 9746,
  [9980] = 9914,
  [9981] = 8992,
  [9982] = 9982,
  [9983] = 9983,
  [9984] = 9984,
  [9985] = 9097,
  [9986] = 9210,
  [9987] = 8985,
  [9988] = 9988,
  [9989] = 9848,
  [9990] = 9845,
  [9991] = 9854,
  [9992] = 9992,
  [9993] = 9993,
  [9994] = 9994,
  [9995] = 9995,
  [9996] = 9893,
  [9997] = 9913,
  [9998] = 9099,
  [9999] = 9765,
  [10000] = 10000,
  [10001] = 9758,
  [10002] = 10002,
  [10003] = 9235,
  [10004] = 9238,
  [10005] = 9975,
  [10006] = 9992,
  [10007] = 10007,
  [10008] = 10008,
  [10009] = 10009,
  [10010] = 9951,
  [10011] = 10011,
  [10012] = 10012,
  [10013] = 10013,
  [10014] = 9688,
  [10015] = 10015,
  [10016] = 10016,
  [10017] = 9872,
  [10018] = 10018,
  [10019] = 10019,
  [10020] = 10020,
  [10021] = 10021,
  [10022] = 10022,
  [10023] = 10023,
  [10024] = 9935,
  [10025] = 9733,
  [10026] = 10026,
  [10027] = 9717,
  [10028] = 10028,
  [10029] = 10029,
  [10030] = 10008,
  [10031] = 9217,
  [10032] = 10032,
  [10033] = 10033,
  [10034] = 10034,
  [10035] = 10035,
  [10036] = 10036,
  [10037] = 10037,
  [10038] = 10038,
  [10039] = 10039,
  [10040] = 9685,
  [10041] = 10011,
  [10042] = 10018,
  [10043] = 9711,
  [10044] = 10044,
  [10045] = 10045,
  [10046] = 10046,
  [10047] = 10047,
  [10048] = 10048,
  [10049] = 10019,
  [10050] = 10050,
  [10051] = 10051,
  [10052] = 10052,
  [10053] = 9253,
  [10054] = 9262,
  [10055] = 10055,
  [10056] = 9751,
  [10057] = 10057,
  [10058] = 9682,
  [10059] = 10059,
  [10060] = 10060,
  [10061] = 10061,
  [10062] = 10062,
  [10063] = 10063,
  [10064] = 10064,
  [10065] = 10065,
  [10066] = 10066,
  [10067] = 10067,
  [10068] = 10048,
  [10069] = 10069,
  [10070] = 10070,
  [10071] = 10071,
  [10072] = 10072,
  [10073] = 10073,
  [10074] = 10074,
  [10075] = 10075,
  [10076] = 10076,
  [10077] = 10077,
  [10078] = 9082,
  [10079] = 10079,
  [10080] = 9751,
  [10081] = 10081,
  [10082] = 9304,
  [10083] = 8971,
  [10084] = 9737,
  [10085] = 9344,
  [10086] = 9345,
  [10087] = 8975,
  [10088] = 10088,
  [10089] = 9843,
  [10090] = 10090,
  [10091] = 9956,
  [10092] = 9850,
  [10093] = 9853,
  [10094] = 10094,
  [10095] = 9773,
  [10096] = 10096,
  [10097] = 9933,
  [10098] = 9915,
  [10099] = 9919,
  [10100] = 9854,
  [10101] = 10039,
  [10102] = 9685,
  [10103] = 9194,
  [10104] = 9788,
  [10105] = 9813,
  [10106] = 9764,
  [10107] = 9180,
  [10108] = 6530,
  [10109] = 10109,
  [10110] = 9219,
  [10111] = 10111,
  [10112] = 9688,
  [10113] = 9688,
  [10114] = 9688,
  [10115] = 9688,
  [10116] = 9688,
  [10117] = 9688,
  [10118] = 9688,
  [10119] = 9751,
  [10120] = 9845,
  [10121] = 9711,
  [10122] = 10122,
  [10123] = 9688,
  [10124] = 9751,
  [10125] = 9711,
  [10126] = 10126,
  [10127] = 10127,
  [10128] = 9875,
  [10129] = 9878,
  [10130] = 9688,
  [10131] = 10131,
  [10132] = 9751,
  [10133] = 9857,
  [10134] = 9711,
  [10135] = 9161,
  [10136] = 9159,
  [10137] = 9158,
  [10138] = 9688,
  [10139] = 10139,
  [10140] = 9156,
  [10141] = 9964,
  [10142] = 9688,
  [10143] = 9377,
  [10144] = 9891,
  [10145] = 10032,
  [10146] = 9730,
  [10147] = 9961,
  [10148] = 10148,
  [10149] = 9751,
  [10150] = 8994,
  [10151] = 9857,
  [10152] = 10152,
  [10153] = 9711,
  [10154] = 10154,
  [10155] = 9871,
  [10156] = 8990,
  [10157] = 8988,
  [10158] = 9688,
  [10159] = 9249,
  [10160] = 9845,
  [10161] = 9685,
  [10162] = 10034,
  [10163] = 8910,
  [10164] = 9683,
  [10165] = 9711,
  [10166] = 10166,
  [10167] = 8914,
  [10168] = 8902,
  [10169] = 10169,
  [10170] = 10170,
  [10171] = 9248,
  [10172] = 10172,
  [10173] = 9773,
  [10174] = 10174,
  [10175] = 10175,
  [10176] = 10176,
  [10177] = 9751,
  [10178] = 9751,
  [10179] = 10179,
  [10180] = 9048,
  [10181] = 10181,
  [10182] = 9050,
  [10183] = 9982,
  [10184] = 10013,
  [10185] = 10016,
  [10186] = 10186,
  [10187] = 10187,
  [10188] = 10063,
  [10189] = 9749,
  [10190] = 9711,
  [10191] = 9277,
  [10192] = 9278,
  [10193] = 9213,
  [10194] = 10122,
  [10195] = 9688,
  [10196] = 10196,
  [10197] = 10197,
  [10198] = 9845,
  [10199] = 10199,
  [10200] = 10139,
  [10201] = 9685,
  [10202] = 10081,
  [10203] = 10046,
  [10204] = 10032,
  [10205] = 10045,
  [10206] = 9766,
  [10207] = 9690,
  [10208] = 9773,
  [10209] = 10209,
  [10210] = 9751,
  [10211] = 9849,
  [10212] = 10186,
  [10213] = 10213,
  [10214] = 9162,
  [10215] = 9711,
  [10216] = 10037,
  [10217] = 10217,
  [10218] = 10218,
  [10219] = 9688,
  [10220] = 10036,
  [10221] = 9845,
  [10222] = 9685,
  [10223] = 9685,
  [10224] = 9879,
  [10225] = 9477,
  [10226] = 9766,
  [10227] = 10227,
  [10228] = 10228,
  [10229] = 10029,
  [10230] = 10028,
  [10231] = 9480,
  [10232] = 9751,
  [10233] = 10023,
  [10234] = 9711,
  [10235] = 9697,
  [10236] = 10021,
  [10237] = 9481,
  [10238] = 9973,
  [10239] = 9751,
  [10240] = 10240,
  [10241] = 9845,
  [10242] = 9688,
  [10243] = 10243,
  [10244] = 9845,
  [10245] = 9751,
  [10246] = 9995,
  [10247] = 9685,
  [10248] = 10248,
  [10249] = 9487,
  [10250] = 9881,
  [10251] = 10251,
  [10252] = 9492,
  [10253] = 10253,
  [10254] = 9983,
  [10255] = 10255,
  [10256] = 10020,
  [10257] = 9692,
  [10258] = 9788,
  [10259] = 9688,
  [10260] = 10260,
  [10261] = 9857,
  [10262] = 10262,
  [10263] = 9971,
  [10264] = 10264,
  [10265] = 9751,
  [10266] = 9891,
  [10267] = 10267,
  [10268] = 9681,
  [10269] = 10269,
  [10270] = 9491,
  [10271] = 10271,
  [10272] = 9965,
  [10273] = 10273,
  [10274] = 9711,
  [10275] = 10275,
  [10276] = 9837,
  [10277] = 10277,
  [10278] = 9834,
  [10279] = 9693,
  [10280] = 9688,
  [10281] = 10281,
  [10282] = 9845,
  [10283] = 9395,
  [10284] = 10284,
  [10285] = 9685,
  [10286] = 9711,
  [10287] = 10287,
  [10288] = 9942,
  [10289] = 10071,
  [10290] = 10079,
  [10291] = 9788,
  [10292] = 9809,
  [10293] = 9857,
  [10294] = 10294,
  [10295] = 9751,
  [10296] = 9891,
  [10297] = 9696,
  [10298] = 9751,
  [10299] = 9821,
  [10300] = 10300,
  [10301] = 10301,
  [10302] = 10302,
  [10303] = 10303,
  [10304] = 10304,
  [10305] = 9788,
  [10306] = 9711,
  [10307] = 10307,
  [10308] = 8949,
  [10309] = 10309,
  [10310] = 10310,
  [10311] = 9857,
  [10312] = 9891,
  [10313] = 10313,
  [10314] = 10314,
  [10315] = 9819,
  [10316] = 9390,
  [10317] = 9688,
  [10318] = 9400,
  [10319] = 10260,
  [10320] = 9851,
  [10321] = 9845,
  [10322] = 9523,
  [10323] = 9685,
  [10324] = 9711,
  [10325] = 9807,
  [10326] = 10326,
  [10327] = 9973,
  [10328] = 9482,
  [10329] = 10329,
  [10330] = 9806,
  [10331] = 10331,
  [10332] = 9751,
  [10333] = 10333,
  [10334] = 9711,
  [10335] = 9689,
  [10336] = 9695,
  [10337] = 9820,
  [10338] = 10338,
  [10339] = 9742,
  [10340] = 9688,
  [10341] = 9685,
  [10342] = 10342,
  [10343] = 9845,
  [10344] = 9685,
  [10345] = 9532,
  [10346] = 9533,
  [10347] = 10055,
  [10348] = 9815,
  [10349] = 6547,
  [10350] = 9751,
  [10351] = 10047,
  [10352] = 10352,
  [10353] = 9713,
  [10354] = 9715,
  [10355] = 10355,
  [10356] = 9711,
  [10357] = 9891,
  [10358] = 9845,
  [10359] = 9893,
  [10360] = 10148,
  [10361] = 9719,
  [10362] = 10362,
  [10363] = 10363,
  [10364] = 10364,
  [10365] = 10284,
  [10366] = 9557,
  [10367] = 10287,
  [10368] = 10368,
  [10369] = 9853,
  [10370] = 9808,
  [10371] = 9688,
  [10372] = 9493,
  [10373] = 9688,
  [10374] = 10374,
  [10375] = 9497,
  [10376] = 9845,
  [10377] = 9941,
  [10378] = 10378,
  [10379] = 9685,
  [10380] = 9567,
  [10381] = 9506,
  [10382] = 9809,
  [10383] = 9574,
  [10384] = 9886,
  [10385] = 10018,
  [10386] = 9814,
  [10387] = 9887,
  [10388] = 10388,
  [10389] = 9697,
  [10390] = 10300,
  [10391] = 9957,
  [10392] = 9751,
  [10393] = 10393,
  [10394] = 10303,
  [10395] = 9684,
  [10396] = 9711,
  [10397] = 10127,
  [10398] = 9958,
  [10399] = 10399,
  [10400] = 9711,
  [10401] = 10401,
  [10402] = 10036,
  [10403] = 10403,
  [10404] = 10404,
  [10405] = 10405,
  [10406] = 10406,
  [10407] = 10407,
  [10408] = 10408,
  [10409] = 10409,
  [10410] = 10410,
  [10411] = 10411,
  [10412] = 9751,
  [10413] = 10413,
  [10414] = 10050,
  [10415] = 9791,
  [10416] = 9545,
  [10417] = 10417,
  [10418] = 10418,
  [10419] = 9546,
  [10420] = 10020,
  [10421] = 9496,
  [10422] = 10422,
  [10423] = 10423,
  [10424] = 9688,
  [10425] = 9771,
  [10426] = 10426,
  [10427] = 10427,
  [10428] = 9845,
  [10429] = 10429,
  [10430] = 9685,
  [10431] = 10431,
  [10432] = 9754,
  [10433] = 9753,
  [10434] = 9698,
  [10435] = 9743,
  [10436] = 9621,
  [10437] = 9687,
  [10438] = 9751,
  [10439] = 10439,
  [10440] = 10440,
  [10441] = 10441,
  [10442] = 9711,
  [10443] = 9688,
  [10444] = 9738,
  [10445] = 9635,
  [10446] = 9894,
  [10447] = 10072,
  [10448] = 10329,
  [10449] = 9724,
  [10450] = 9721,
  [10451] = 10088,
  [10452] = 9688,
  [10453] = 9845,
  [10454] = 10454,
  [10455] = 9685,
  [10456] = 9685,
  [10457] = 9973,
  [10458] = 9751,
  [10459] = 9714,
  [10460] = 9781,
  [10461] = 9712,
  [10462] = 10072,
  [10463] = 10463,
  [10464] = 10331,
  [10465] = 9688,
  [10466] = 10466,
  [10467] = 9710,
  [10468] = 9688,
  [10469] = 10073,
  [10470] = 9895,
  [10471] = 9622,
  [10472] = 9845,
  [10473] = 9711,
  [10474] = 9709,
  [10475] = 6537,
  [10476] = 9956,
  [10477] = 9711,
  [10478] = 10478,
  [10479] = 10479,
  [10480] = 9841,
  [10481] = 10481,
  [10482] = 9744,
  [10483] = 9747,
  [10484] = 10484,
  [10485] = 9752,
  [10486] = 9757,
  [10487] = 9761,
  [10488] = 9763,
  [10489] = 9768,
  [10490] = 9770,
  [10491] = 9775,
  [10492] = 10492,
  [10493] = 9785,
  [10494] = 10494,
  [10495] = 9810,
  [10496] = 9816,
  [10497] = 9839,
  [10498] = 9842,
  [10499] = 9858,
  [10500] = 10500,
  [10501] = 9864,
  [10502] = 9835,
  [10503] = 10503,
  [10504] = 10504,
  [10505] = 10505,
  [10506] = 10506,
  [10507] = 10507,
  [10508] = 10508,
  [10509] = 10509,
  [10510] = 10510,
  [10511] = 9880,
  [10512] = 9882,
  [10513] = 10513,
  [10514] = 9883,
  [10515] = 9884,
  [10516] = 9885,
  [10517] = 9897,
  [10518] = 9909,
  [10519] = 9911,
  [10520] = 9912,
  [10521] = 9917,
  [10522] = 9918,
  [10523] = 10523,
  [10524] = 10524,
  [10525] = 10525,
  [10526] = 10526,
  [10527] = 10527,
  [10528] = 10528,
  [10529] = 10529,
  [10530] = 10530,
  [10531] = 10531,
  [10532] = 10532,
  [10533] = 10533,
  [10534] = 10534,
  [10535] = 10535,
  [10536] = 10536,
  [10537] = 10537,
  [10538] = 10538,
  [10539] = 10539,
  [10540] = 10540,
  [10541] = 10541,
  [10542] = 10542,
  [10543] = 10543,
  [10544] = 10544,
  [10545] = 10545,
  [10546] = 10546,
  [10547] = 10547,
  [10548] = 10548,
  [10549] = 10549,
  [10550] = 10550,
  [10551] = 9922,
  [10552] = 9988,
  [10553] = 10000,
  [10554] = 10007,
  [10555] = 10009,
  [10556] = 10556,
  [10557] = 10012,
  [10558] = 10015,
  [10559] = 10038,
  [10560] = 10560,
  [10561] = 10044,
  [10562] = 10562,
  [10563] = 10563,
  [10564] = 10564,
  [10565] = 10051,
  [10566] = 10057,
  [10567] = 10567,
  [10568] = 10065,
  [10569] = 10067,
  [10570] = 10570,
  [10571] = 10070,
  [10572] = 10481,
  [10573] = 10152,
  [10574] = 10574,
  [10575] = 10484,
  [10576] = 10154,
  [10577] = 10166,
  [10578] = 10578,
  [10579] = 10172,
  [10580] = 10174,
  [10581] = 10175,
  [10582] = 10267,
  [10583] = 10492,
  [10584] = 10269,
  [10585] = 10585,
  [10586] = 10271,
  [10587] = 10494,
  [10588] = 10294,
  [10589] = 10589,
  [10590] = 10307,
  [10591] = 10310,
  [10592] = 10388,
  [10593] = 10593,
  [10594] = 10393,
  [10595] = 10408,
  [10596] = 10410,
  [10597] = 10413,
  [10598] = 10598,
  [10599] = 10417,
  [10600] = 10463,
  [10601] = 10466,
  [10602] = 10602,
  [10603] = 10603,
  [10604] = 10604,
  [10605] = 10605,
  [10606] = 10454,
  [10607] = 10607,
  [10608] = 10608,
  [10609] = 10609,
  [10610] = 10610,
  [10611] = 10611,
  [10612] = 10612,
  [10613] = 10613,
  [10614] = 10614,
  [10615] = 10179,
  [10616] = 10440,
  [10617] = 10439,
  [10618] = 10426,
  [10619] = 10619,
  [10620] = 10423,
  [10621] = 10621,
  [10622] = 10622,
  [10623] = 10418,
  [10624] = 10409,
  [10625] = 10524,
  [10626] = 10404,
  [10627] = 10556,
  [10628] = 10401,
  [10629] = 10399,
  [10630] = 10526,
  [10631] = 10631,
  [10632] = 10632,
  [10633] = 10633,
  [10634] = 10612,
  [10635] = 10503,
  [10636] = 10374,
  [10637] = 10531,
  [10638] = 10368,
  [10639] = 10364,
  [10640] = 10363,
  [10641] = 10362,
  [10642] = 10534,
  [10643] = 10643,
  [10644] = 10644,
  [10645] = 10352,
  [10646] = 10304,
  [10647] = 10537,
  [10648] = 10342,
  [10649] = 10649,
  [10650] = 10046,
  [10651] = 10326,
  [10652] = 10652,
  [10653] = 10541,
  [10654] = 10542,
  [10655] = 10314,
  [10656] = 10544,
  [10657] = 10313,
  [10658] = 10309,
  [10659] = 10302,
  [10660] = 10301,
  [10661] = 10277,
  [10662] = 9851,
  [10663] = 10275,
  [10664] = 10262,
  [10665] = 10665,
  [10666] = 10666,
  [10667] = 10441,
  [10668] = 10253,
  [10669] = 10556,
  [10670] = 10248,
  [10671] = 10243,
  [10672] = 10240,
  [10673] = 10673,
  [10674] = 10217,
  [10675] = 10213,
  [10676] = 10676,
  [10677] = 10209,
  [10678] = 10524,
  [10679] = 10187,
  [10680] = 10181,
  [10681] = 10176,
  [10682] = 10169,
  [10683] = 10570,
  [10684] = 10684,
  [10685] = 10481,
  [10686] = 10111,
  [10687] = 10687,
  [10688] = 10484,
  [10689] = 10689,
  [10690] = 10096,
  [10691] = 10094,
  [10692] = 10077,
  [10693] = 10076,
  [10694] = 10075,
  [10695] = 10074,
  [10696] = 10492,
  [10697] = 10544,
  [10698] = 10255,
  [10699] = 10062,
  [10700] = 10494,
  [10701] = 10061,
  [10702] = 10126,
  [10703] = 10060,
  [10704] = 9852,
  [10705] = 9994,
  [10706] = 10542,
  [10707] = 10064,
  [10708] = 10510,
  [10709] = 9977,
  [10710] = 9976,
  [10711] = 10541,
  [10712] = 9974,
  [10713] = 9972,
  [10714] = 9954,
  [10715] = 9950,
  [10716] = 10574,
  [10717] = 9947,
  [10718] = 9944,
  [10719] = 10534,
  [10720] = 9931,
  [10721] = 10531,
  [10722] = 9910,
  [10723] = 9908,
  [10724] = 10526,
  [10725] = 9907,
  [10726] = 10726,
  [10727] = 10727,
  [10728] = 10728,
  [10729] = 10729,
  [10730] = 10730,
  [10731] = 10731,
  [10732] = 10732,
  [10733] = 9926,
  [10734] = 10734,
  [10735] = 9901,
  [10736] = 9896,
  [10737] = 10535,
  [10738] = 10524,
  [10739] = 10739,
  [10740] = 10524,
  [10741] = 10533,
  [10742] = 9892,
  [10743] = 10526,
  [10744] = 9861,
  [10745] = 9846,
  [10746] = 10746,
  [10747] = 9993,
  [10748] = 9836,
  [10749] = 9833,
  [10750] = 10531,
  [10751] = 9830,
  [10752] = 10752,
  [10753] = 9829,
  [10754] = 9828,
  [10755] = 10534,
  [10756] = 9827,
  [10757] = 9826,
  [10758] = 9825,
  [10759] = 9824,
  [10760] = 9823,
  [10761] = 10761,
  [10762] = 9819,
  [10763] = 10538,
  [10764] = 9803,
  [10765] = 9802,
  [10766] = 10541,
  [10767] = 10542,
  [10768] = 10768,
  [10769] = 10544,
  [10770] = 9798,
  [10771] = 9797,
  [10772] = 10772,
  [10773] = 9796,
  [10774] = 9721,
  [10775] = 9753,
  [10776] = 9754,
  [10777] = 10777,
  [10778] = 9795,
  [10779] = 9778,
  [10780] = 9767,
  [10781] = 10028,
  [10782] = 10556,
  [10783] = 9756,
  [10784] = 9755,
  [10785] = 9740,
  [10786] = 9739,
  [10787] = 9736,
  [10788] = 9735,
  [10789] = 9732,
  [10790] = 9725,
  [10791] = 9720,
  [10792] = 9718,
  [10793] = 9686,
  [10794] = 9762,
  [10795] = 10795,
  [10796] = 10570,
  [10797] = 10797,
  [10798] = 10481,
  [10799] = 10574,
  [10800] = 9708,
  [10801] = 10484,
  [10802] = 10802,
  [10803] = 10803,
  [10804] = 10526,
  [10805] = 10805,
  [10806] = 9716,
  [10807] = 9722,
  [10808] = 9723,
  [10809] = 10492,
  [10810] = 9726,
  [10811] = 10811,
  [10812] = 9727,
  [10813] = 10494,
  [10814] = 9728,
  [10815] = 9729,
  [10816] = 9731,
  [10817] = 10673,
  [10818] = 9741,
  [10819] = 10819,
  [10820] = 10673,
  [10821] = 9745,
  [10822] = 10673,
  [10823] = 9750,
  [10824] = 10824,
  [10825] = 10825,
  [10826] = 10673,
  [10827] = 10827,
  [10828] = 9876,
  [10829] = 9789,
  [10830] = 10830,
  [10831] = 9792,
  [10832] = 10673,
  [10833] = 10833,
  [10834] = 10589,
  [10835] = 9801,
  [10836] = 10836,
  [10837] = 10673,
  [10838] = 10795,
  [10839] = 10839,
  [10840] = 10673,
  [10841] = 9776,
  [10842] = 9817,
  [10843] = 9822,
  [10844] = 10673,
  [10845] = 10524,
  [10846] = 10673,
  [10847] = 10684,
  [10848] = 9855,
  [10849] = 10673,
  [10850] = 10494,
  [10851] = 10524,
  [10852] = 10852,
  [10853] = 9856,
  [10854] = 10854,
  [10855] = 9865,
  [10856] = 10526,
  [10857] = 10492,
  [10858] = 10673,
  [10859] = 10859,
  [10860] = 10509,
  [10861] = 9870,
  [10862] = 10862,
  [10863] = 10531,
  [10864] = 10673,
  [10865] = 9898,
  [10866] = 9899,
  [10867] = 9900,
  [10868] = 10534,
  [10869] = 9902,
  [10870] = 10673,
  [10871] = 10805,
  [10872] = 10673,
  [10873] = 9905,
  [10874] = 10484,
  [10875] = 10875,
  [10876] = 9936,
  [10877] = 10526,
  [10878] = 10673,
  [10879] = 10541,
  [10880] = 10542,
  [10881] = 10881,
  [10882] = 10544,
  [10883] = 10883,
  [10884] = 10884,
  [10885] = 10825,
  [10886] = 10673,
  [10887] = 10887,
  [10888] = 10888,
  [10889] = 10889,
  [10890] = 10890,
  [10891] = 10891,
  [10892] = 9952,
  [10893] = 10673,
  [10894] = 10894,
  [10895] = 10556,
  [10896] = 10896,
  [10897] = 10897,
  [10898] = 10898,
  [10899] = 10899,
  [10900] = 9960,
  [10901] = 10901,
  [10902] = 10852,
  [10903] = 10903,
  [10904] = 10862,
  [10905] = 10905,
  [10906] = 10673,
  [10907] = 10481,
  [10908] = 10908,
  [10909] = 10570,
  [10910] = 10910,
  [10911] = 10481,
  [10912] = 10912,
  [10913] = 10913,
  [10914] = 10484,
  [10915] = 10915,
  [10916] = 10883,
  [10917] = 10917,
  [10918] = 10918,
  [10919] = 10919,
  [10920] = 10888,
  [10921] = 10921,
  [10922] = 10492,
  [10923] = 10923,
  [10924] = 10924,
  [10925] = 10915,
  [10926] = 10494,
  [10927] = 10673,
  [10928] = 10918,
  [10929] = 10531,
  [10930] = 7065,
  [10931] = 10531,
  [10932] = 7065,
  [10933] = 10534,
  [10934] = 10534,
  [10935] = 10022,
  [10936] = 10026,
  [10937] = 10570,
  [10938] = 10938,
  [10939] = 10939,
  [10940] = 10035,
  [10941] = 10941,
  [10942] = 10938,
  [10943] = 10943,
  [10944] = 10941,
  [10945] = 10945,
  [10946] = 10946,
  [10947] = 10947,
  [10948] = 10948,
  [10949] = 10949,
  [10950] = 10524,
  [10951] = 10951,
  [10952] = 10570,
  [10953] = 10953,
  [10954] = 10954,
  [10955] = 10526,
  [10956] = 10956,
  [10957] = 10957,
  [10958] = 10958,
  [10959] = 10959,
  [10960] = 10960,
  [10961] = 10961,
  [10962] = 10531,
  [10963] = 10963,
  [10964] = 10964,
  [10965] = 10066,
  [10966] = 10966,
  [10967] = 10534,
  [10968] = 10069,
  [10969] = 10969,
  [10970] = 10970,
  [10971] = 10090,
  [10972] = 10556,
  [10973] = 10612,
  [10974] = 10541,
  [10975] = 10542,
  [10976] = 10544,
  [10977] = 10613,
  [10978] = 10541,
  [10979] = 10542,
  [10980] = 10614,
  [10981] = 10544,
  [10982] = 10652,
  [10983] = 10556,
  [10984] = 10619,
  [10985] = 10621,
  [10986] = 10508,
  [10987] = 10947,
  [10988] = 10170,
  [10989] = 10989,
  [10990] = 10990,
  [10991] = 10991,
  [10992] = 10949,
  [10993] = 10993,
  [10994] = 10556,
  [10995] = 10995,
  [10996] = 10632,
  [10997] = 10956,
  [10998] = 10998,
  [10999] = 10999,
  [11000] = 11000,
  [11001] = 11001,
  [11002] = 10633,
  [11003] = 11003,
  [11004] = 10196,
  [11005] = 10197,
  [11006] = 10199,
  [11007] = 11007,
  [11008] = 10570,
  [11009] = 10550,
  [11010] = 10481,
  [11011] = 11003,
  [11012] = 11012,
  [11013] = 10484,
  [11014] = 10643,
  [11015] = 11015,
  [11016] = 10644,
  [11017] = 11017,
  [11018] = 11018,
  [11019] = 10960,
  [11020] = 11020,
  [11021] = 10492,
  [11022] = 11022,
  [11023] = 11023,
  [11024] = 10227,
  [11025] = 10494,
  [11026] = 9698,
  [11027] = 10963,
  [11028] = 10228,
  [11029] = 10963,
  [11030] = 10131,
  [11031] = 10481,
  [11032] = 10484,
  [11033] = 10652,
  [11034] = 10492,
  [11035] = 11035,
  [11036] = 11036,
  [11037] = 10251,
  [11038] = 11038,
  [11039] = 10966,
  [11040] = 10544,
  [11041] = 11041,
  [11042] = 11042,
  [11043] = 11043,
  [11044] = 10924,
  [11045] = 11045,
  [11046] = 11046,
  [11047] = 10542,
  [11048] = 10541,
  [11049] = 10524,
  [11050] = 11050,
  [11051] = 11051,
  [11052] = 11052,
  [11053] = 11053,
  [11054] = 10526,
  [11055] = 11055,
  [11056] = 11056,
  [11057] = 10534,
  [11058] = 10613,
  [11059] = 11059,
  [11060] = 11060,
  [11061] = 10531,
  [11062] = 10531,
  [11063] = 10614,
  [11064] = 11064,
  [11065] = 11065,
  [11066] = 10534,
  [11067] = 10504,
  [11068] = 11068,
  [11069] = 11069,
  [11070] = 11070,
  [11071] = 11071,
  [11072] = 11072,
  [11073] = 11073,
  [11074] = 10673,
  [11075] = 10526,
  [11076] = 11076,
  [11077] = 10541,
  [11078] = 10542,
  [11079] = 11079,
  [11080] = 10544,
  [11081] = 11081,
  [11082] = 11082,
  [11083] = 11083,
  [11084] = 11084,
  [11085] = 10273,
  [11086] = 10570,
  [11087] = 11087,
  [11088] = 11088,
  [11089] = 11089,
  [11090] = 11090,
  [11091] = 11091,
  [11092] = 10969,
  [11093] = 10556,
  [11094] = 10970,
  [11095] = 11095,
  [11096] = 11096,
  [11097] = 11097,
  [11098] = 10281,
  [11099] = 10494,
  [11100] = 11100,
  [11101] = 11101,
  [11102] = 11102,
  [11103] = 10541,
  [11104] = 10542,
  [11105] = 10544,
  [11106] = 11106,
  [11107] = 10570,
  [11108] = 11108,
  [11109] = 10481,
  [11110] = 11110,
  [11111] = 11111,
  [11112] = 10484,
  [11113] = 11113,
  [11114] = 11114,
  [11115] = 11115,
  [11116] = 11116,
  [11117] = 11117,
  [11118] = 10556,
  [11119] = 11119,
  [11120] = 10492,
  [11121] = 11121,
  [11122] = 10524,
  [11123] = 10422,
  [11124] = 10494,
  [11125] = 11125,
  [11126] = 11126,
  [11127] = 10989,
  [11128] = 9964,
  [11129] = 9961,
  [11130] = 10991,
  [11131] = 11131,
  [11132] = 11132,
  [11133] = 11133,
  [11134] = 11134,
  [11135] = 10993,
  [11136] = 10644,
  [11137] = 11137,
  [11138] = 10643,
  [11139] = 11139,
  [11140] = 10549,
  [11141] = 10507,
  [11142] = 11052,
  [11143] = 11046,
  [11144] = 10990,
  [11145] = 11036,
  [11146] = 10964,
  [11147] = 10995,
  [11148] = 10524,
  [11149] = 10961,
  [11150] = 10998,
  [11151] = 10953,
  [11152] = 10999,
  [11153] = 10526,
  [11154] = 11000,
  [11155] = 9713,
  [11156] = 9715,
  [11157] = 9719,
  [11158] = 11139,
  [11159] = 10338,
  [11160] = 10531,
  [11161] = 11161,
  [11162] = 10355,
  [11163] = 10529,
  [11164] = 11001,
  [11165] = 10534,
  [11166] = 11166,
  [11167] = 10610,
  [11168] = 10528,
  [11169] = 10608,
  [11170] = 9895,
  [11171] = 11171,
  [11172] = 10548,
  [11173] = 10631,
  [11174] = 10772,
  [11175] = 10407,
  [11176] = 10541,
  [11177] = 10542,
  [11178] = 10411,
  [11179] = 10544,
  [11180] = 11161,
  [11181] = 11171,
  [11182] = 11182,
  [11183] = 11183,
  [11184] = 11184,
  [11185] = 11003,
  [11186] = 10429,
  [11187] = 10431,
  [11188] = 11188,
  [11189] = 11189,
  [11190] = 10479,
  [11191] = 11191,
  [11192] = 10556,
  [11193] = 11193,
  [11194] = 11194,
  [11195] = 11195,
  [11196] = 11196,
  [11197] = 11197,
  [11198] = 11198,
  [11199] = 11199,
  [11200] = 11200,
  [11201] = 11201,
  [11202] = 11202,
  [11203] = 11203,
  [11204] = 11204,
  [11205] = 11205,
  [11206] = 10570,
  [11207] = 11207,
  [11208] = 10481,
  [11209] = 11209,
  [11210] = 11210,
  [11211] = 10484,
  [11212] = 11012,
  [11213] = 11213,
  [11214] = 11214,
  [11215] = 11215,
  [11216] = 11216,
  [11217] = 11017,
  [11218] = 11218,
  [11219] = 10492,
  [11220] = 11220,
  [11221] = 11221,
  [11222] = 11222,
  [11223] = 10494,
  [11224] = 11224,
  [11225] = 11225,
  [11226] = 11226,
  [11227] = 11227,
  [11228] = 11228,
  [11229] = 11229,
  [11230] = 11230,
  [11231] = 11231,
  [11232] = 11232,
  [11233] = 11233,
  [11234] = 11234,
  [11235] = 11235,
  [11236] = 10494,
  [11237] = 11237,
  [11238] = 11182,
  [11239] = 11239,
  [11240] = 11134,
  [11241] = 11241,
  [11242] = 11183,
  [11243] = 11243,
  [11244] = 10492,
  [11245] = 11245,
  [11246] = 11246,
  [11247] = 10524,
  [11248] = 11248,
  [11249] = 11249,
  [11250] = 11250,
  [11251] = 11020,
  [11252] = 10526,
  [11253] = 11253,
  [11254] = 11254,
  [11255] = 10378,
  [11256] = 11256,
  [11257] = 11023,
  [11258] = 11258,
  [11259] = 10531,
  [11260] = 11260,
  [11261] = 10570,
  [11262] = 10481,
  [11263] = 10059,
  [11264] = 10534,
  [11265] = 10484,
  [11266] = 11266,
  [11267] = 10484,
  [11268] = 11268,
  [11269] = 11237,
  [11270] = 11270,
  [11271] = 11271,
  [11272] = 11272,
  [11273] = 11273,
  [11274] = 9888,
  [11275] = 10541,
  [11276] = 10542,
  [11277] = 9984,
  [11278] = 10544,
  [11279] = 10524,
  [11280] = 10481,
  [11281] = 10684,
  [11282] = 10526,
  [11283] = 11254,
  [11284] = 11035,
  [11285] = 10531,
  [11286] = 11286,
  [11287] = 11253,
  [11288] = 11288,
  [11289] = 11289,
  [11290] = 11042,
  [11291] = 10556,
  [11292] = 11043,
  [11293] = 10534,
  [11294] = 11249,
  [11295] = 10492,
  [11296] = 11050,
  [11297] = 10938,
  [11298] = 11051,
  [11299] = 11246,
  [11300] = 10633,
  [11301] = 11245,
  [11302] = 10547,
  [11303] = 10570,
  [11304] = 11304,
  [11305] = 10570,
  [11306] = 11241,
  [11307] = 10481,
  [11308] = 10546,
  [11309] = 10541,
  [11310] = 10484,
  [11311] = 10542,
  [11312] = 11055,
  [11313] = 11313,
  [11314] = 10544,
  [11315] = 11239,
  [11316] = 11316,
  [11317] = 11056,
  [11318] = 10492,
  [11319] = 11059,
  [11320] = 11060,
  [11321] = 11064,
  [11322] = 10494,
  [11323] = 11323,
  [11324] = 11065,
  [11325] = 11045,
  [11326] = 10632,
  [11327] = 11327,
  [11328] = 11328,
  [11329] = 11070,
  [11330] = 10989,
  [11331] = 10506,
  [11332] = 11332,
  [11333] = 11333,
  [11334] = 10990,
  [11335] = 10991,
  [11336] = 10570,
  [11337] = 10481,
  [11338] = 10484,
  [11339] = 10492,
  [11340] = 11035,
  [11341] = 10556,
  [11342] = 10539,
  [11343] = 11343,
  [11344] = 10524,
  [11345] = 11345,
  [11346] = 11096,
  [11347] = 10540,
  [11348] = 11089,
  [11349] = 10526,
  [11350] = 11043,
  [11351] = 11351,
  [11352] = 11260,
  [11353] = 11353,
  [11354] = 11090,
  [11355] = 10494,
  [11356] = 10531,
  [11357] = 11357,
  [11358] = 10556,
  [11359] = 11359,
  [11360] = 11360,
  [11361] = 10534,
  [11362] = 11362,
  [11363] = 11113,
  [11364] = 11102,
  [11365] = 11365,
  [11366] = 11232,
  [11367] = 11367,
  [11368] = 11368,
  [11369] = 11369,
  [11370] = 11095,
  [11371] = 11371,
  [11372] = 10541,
  [11373] = 10542,
  [11374] = 11230,
  [11375] = 10544,
  [11376] = 11227,
  [11377] = 10494,
  [11378] = 11225,
  [11379] = 11224,
  [11380] = 11222,
  [11381] = 11221,
  [11382] = 11382,
  [11383] = 10524,
  [11384] = 10526,
  [11385] = 11220,
  [11386] = 11214,
  [11387] = 11113,
  [11388] = 10556,
  [11389] = 11102,
  [11390] = 11390,
  [11391] = 11042,
  [11392] = 11139,
  [11393] = 10534,
  [11394] = 10531,
  [11395] = 11209,
  [11396] = 11205,
  [11397] = 11397,
  [11398] = 11398,
  [11399] = 11110,
  [11400] = 10534,
  [11401] = 11401,
  [11402] = 10570,
  [11403] = 11403,
  [11404] = 10481,
  [11405] = 10541,
  [11406] = 11406,
  [11407] = 10484,
  [11408] = 11111,
  [11409] = 11117,
  [11410] = 10542,
  [11411] = 10544,
  [11412] = 11114,
  [11413] = 10545,
  [11414] = 10543,
  [11415] = 10492,
  [11416] = 10556,
  [11417] = 11417,
  [11418] = 11065,
  [11419] = 10494,
  [11420] = 11059,
  [11421] = 11056,
  [11422] = 11422,
  [11423] = 11423,
  [11424] = 11114,
  [11425] = 11425,
  [11426] = 10570,
  [11427] = 10481,
  [11428] = 10484,
  [11429] = 11115,
  [11430] = 10544,
  [11431] = 11210,
  [11432] = 11116,
  [11433] = 10492,
  [11434] = 10542,
  [11435] = 11000,
  [11436] = 10999,
  [11437] = 10998,
  [11438] = 10494,
  [11439] = 11117,
  [11440] = 10541,
  [11441] = 10524,
  [11442] = 10621,
  [11443] = 11443,
  [11444] = 11204,
  [11445] = 11202,
  [11446] = 10526,
  [11447] = 11200,
  [11448] = 11448,
  [11449] = 11199,
  [11450] = 11235,
  [11451] = 11184,
  [11452] = 11198,
  [11453] = 10531,
  [11454] = 10949,
  [11455] = 10531,
  [11456] = 10523,
  [11457] = 10947,
  [11458] = 10534,
  [11459] = 10505,
  [11460] = 11460,
  [11461] = 10526,
  [11462] = 10524,
  [11463] = 10619,
  [11464] = 10526,
  [11465] = 11465,
  [11466] = 11466,
  [11467] = 11197,
  [11468] = 10531,
  [11469] = 10541,
  [11470] = 10542,
  [11471] = 10862,
  [11472] = 10544,
  [11473] = 10534,
  [11474] = 11188,
  [11475] = 11119,
  [11476] = 10541,
  [11477] = 10542,
  [11478] = 10544,
  [11479] = 11195,
  [11480] = 11121,
  [11481] = 10726,
  [11482] = 10556,
  [11483] = 9705,
  [11484] = 11484,
  [11485] = 10556,
  [11486] = 11125,
  [11487] = 11126,
  [11488] = 11488,
  [11489] = 10570,
  [11490] = 11490,
  [11491] = 10481,
  [11492] = 11492,
  [11493] = 10484,
  [11494] = 9733,
  [11495] = 9737,
  [11496] = 11496,
  [11497] = 10524,
  [11498] = 11498,
  [11499] = 10570,
  [11500] = 10492,
  [11501] = 10481,
  [11502] = 11196,
  [11503] = 10494,
  [11504] = 10484,
  [11505] = 10492,
  [11506] = 10556,
  [11507] = 11194,
  [11508] = 11193,
  [11509] = 11191,
  [11510] = 10492,
  [11511] = 10494,
  [11512] = 11189,
  [11513] = 10527,
  [11514] = 10556,
  [11515] = 10492,
  [11516] = 10525,
  [11517] = 11517,
  [11518] = 11518,
  [11519] = 11519,
  [11520] = 11520,
  [11521] = 11521,
  [11522] = 11522,
  [11523] = 11523,
  [11524] = 11524,
  [11525] = 11525,
  [11526] = 11526,
  [11527] = 11527,
  [11528] = 11528,
  [11529] = 11529,
  [11530] = 11530,
  [11531] = 11531,
  [11532] = 11530,
  [11533] = 11533,
  [11534] = 11534,
  [11535] = 11535,
  [11536] = 11536,
  [11537] = 11537,
  [11538] = 11534,
  [11539] = 11539,
  [11540] = 11530,
  [11541] = 11541,
  [11542] = 11542,
  [11543] = 11543,
  [11544] = 11544,
  [11545] = 11542,
  [11546] = 11544,
  [11547] = 11547,
  [11548] = 11547,
  [11549] = 11549,
  [11550] = 11550,
  [11551] = 11425,
  [11552] = 11543,
  [11553] = 11553,
  [11554] = 11534,
  [11555] = 11555,
  [11556] = 11530,
  [11557] = 11557,
  [11558] = 11558,
  [11559] = 10939,
  [11560] = 10827,
  [11561] = 10824,
  [11562] = 10819,
  [11563] = 10811,
  [11564] = 11553,
  [11565] = 10923,
  [11566] = 11566,
  [11567] = 11567,
  [11568] = 10530,
  [11569] = 10532,
  [11570] = 10536,
  [11571] = 10593,
  [11572] = 11572,
  [11573] = 11573,
  [11574] = 11574,
  [11575] = 10598,
  [11576] = 11542,
  [11577] = 10500,
  [11578] = 11530,
  [11579] = 10605,
  [11580] = 10607,
  [11581] = 10609,
  [11582] = 11543,
  [11583] = 11534,
  [11584] = 11530,
  [11585] = 11585,
  [11586] = 11547,
  [11587] = 11544,
  [11588] = 10833,
  [11589] = 10854,
  [11590] = 11542,
  [11591] = 11544,
  [11592] = 11547,
  [11593] = 10859,
  [11594] = 10943,
  [11595] = 10945,
  [11596] = 10948,
  [11597] = 10957,
  [11598] = 10958,
  [11599] = 10959,
  [11600] = 11600,
  [11601] = 11465,
  [11602] = 11542,
  [11603] = 11544,
  [11604] = 11547,
  [11605] = 11605,
  [11606] = 11606,
  [11607] = 11607,
  [11608] = 11608,
  [11609] = 11401,
  [11610] = 11610,
  [11611] = 11611,
  [11612] = 11498,
  [11613] = 11496,
  [11614] = 10109,
  [11615] = 10478,
  [11616] = 11492,
  [11617] = 11617,
  [11618] = 11618,
  [11619] = 11619,
  [11620] = 11490,
  [11621] = 11488,
  [11622] = 11622,
  [11623] = 11623,
  [11624] = 11484,
  [11625] = 11625,
  [11626] = 11626,
  [11627] = 11627,
  [11628] = 11628,
  [11629] = 11618,
  [11630] = 11628,
  [11631] = 11466,
  [11632] = 11618,
  [11633] = 11633,
  [11634] = 11628,
  [11635] = 11618,
  [11636] = 11636,
  [11637] = 11633,
  [11638] = 11628,
  [11639] = 11618,
  [11640] = 11640,
  [11641] = 11633,
  [11642] = 11628,
  [11643] = 11643,
  [11644] = 11618,
  [11645] = 11645,
  [11646] = 11633,
  [11647] = 11628,
  [11648] = 11618,
  [11649] = 11649,
  [11650] = 11397,
  [11651] = 11651,
  [11652] = 11652,
  [11653] = 11653,
  [11654] = 11654,
  [11655] = 11655,
  [11656] = 11534,
  [11657] = 11530,
  [11658] = 11658,
  [11659] = 11659,
  [11660] = 11660,
  [11661] = 11661,
  [11662] = 11662,
  [11663] = 11663,
  [11664] = 11664,
  [11665] = 11665,
  [11666] = 11666,
  [11667] = 11667,
  [11668] = 11668,
  [11669] = 11535,
  [11670] = 11670,
  [11671] = 11371,
  [11672] = 11365,
  [11673] = 11555,
  [11674] = 11557,
  [11675] = 11675,
  [11676] = 11360,
  [11677] = 11359,
  [11678] = 11678,
  [11679] = 11619,
  [11680] = 11357,
  [11681] = 11681,
  [11682] = 11682,
  [11683] = 11353,
  [11684] = 11553,
  [11685] = 11351,
  [11686] = 11345,
  [11687] = 11343,
  [11688] = 11688,
  [11689] = 11689,
  [11690] = 11690,
  [11691] = 11530,
  [11692] = 11692,
  [11693] = 11693,
  [11694] = 11694,
  [11695] = 11695,
  [11696] = 11534,
  [11697] = 11332,
  [11698] = 11698,
  [11699] = 11608,
  [11700] = 11700,
  [11701] = 11542,
  [11702] = 11702,
  [11703] = 11544,
  [11704] = 11704,
  [11705] = 11547,
  [11706] = 11706,
  [11707] = 6782,
  [11708] = 11708,
  [11709] = 11709,
  [11710] = 11710,
  [11711] = 11517,
  [11712] = 11712,
  [11713] = 11633,
  [11714] = 11714,
  [11715] = 11627,
  [11716] = 11716,
  [11717] = 11717,
  [11718] = 11547,
  [11719] = 11544,
  [11720] = 11542,
  [11721] = 11721,
  [11722] = 11248,
  [11723] = 11653,
  [11724] = 11547,
  [11725] = 11544,
  [11726] = 11628,
  [11727] = 11231,
  [11728] = 11229,
  [11729] = 11542,
  [11730] = 11228,
  [11731] = 11226,
  [11732] = 11636,
  [11733] = 11733,
  [11734] = 11243,
  [11735] = 9840,
  [11736] = 11627,
  [11737] = 11218,
  [11738] = 11618,
  [11739] = 11739,
  [11740] = 11215,
  [11741] = 11213,
  [11742] = 11742,
  [11743] = 11743,
  [11744] = 11207,
  [11745] = 11745,
  [11746] = 11201,
  [11747] = 11678,
  [11748] = 11739,
  [11749] = 11749,
  [11750] = 11607,
  [11751] = 11520,
  [11752] = 11550,
  [11753] = 11534,
  [11754] = 11721,
  [11755] = 11755,
  [11756] = 11756,
  [11757] = 11530,
  [11758] = 11758,
  [11759] = 11628,
  [11760] = 11760,
  [11761] = 11664,
  [11762] = 11762,
  [11763] = 11566,
  [11764] = 11764,
  [11765] = 11745,
  [11766] = 11534,
  [11767] = 11216,
  [11768] = 11530,
  [11769] = 11769,
  [11770] = 11611,
  [11771] = 11721,
  [11772] = 6793,
  [11773] = 11133,
  [11774] = 11774,
  [11775] = 11132,
  [11776] = 11623,
  [11777] = 11625,
  [11778] = 11626,
  [11779] = 11079,
  [11780] = 11780,
  [11781] = 11665,
  [11782] = 11542,
  [11783] = 11783,
  [11784] = 11717,
  [11785] = 11785,
  [11786] = 11101,
  [11787] = 11100,
  [11788] = 11097,
  [11789] = 11091,
  [11790] = 11790,
  [11791] = 11749,
  [11792] = 11084,
  [11793] = 11083,
  [11794] = 11794,
  [11795] = 11542,
  [11796] = 11544,
  [11797] = 11547,
  [11798] = 11082,
  [11799] = 11081,
  [11800] = 11076,
  [11801] = 11073,
  [11802] = 11072,
  [11803] = 11071,
  [11804] = 11069,
  [11805] = 11068,
  [11806] = 11790,
  [11807] = 11714,
  [11808] = 11808,
  [11809] = 11794,
  [11810] = 11810,
  [11811] = 11633,
  [11812] = 11812,
  [11813] = 11053,
  [11814] = 11041,
  [11815] = 11815,
  [11816] = 11530,
  [11817] = 11038,
  [11818] = 11818,
  [11819] = 11534,
  [11820] = 11534,
  [11821] = 11821,
  [11822] = 11822,
  [11823] = 11823,
  [11824] = 11824,
  [11825] = 11825,
  [11826] = 11818,
  [11827] = 11710,
  [11828] = 11828,
  [11829] = 11530,
  [11830] = 11830,
  [11831] = 11022,
  [11832] = 11832,
  [11833] = 11833,
  [11834] = 11821,
  [11835] = 11810,
  [11836] = 11836,
  [11837] = 11837,
  [11838] = 11838,
  [11839] = 11018,
  [11840] = 11840,
  [11841] = 11841,
  [11842] = 11833,
  [11843] = 11693,
  [11844] = 11844,
  [11845] = 11845,
  [11846] = 11823,
  [11847] = 11742,
  [11848] = 11824,
  [11849] = 11849,
  [11850] = 11850,
  [11851] = 11851,
  [11852] = 11852,
  [11853] = 11541,
  [11854] = 11547,
  [11855] = 11542,
  [11856] = 11544,
  [11857] = 11544,
  [11858] = 11858,
  [11859] = 6800,
  [11860] = 11542,
  [11861] = 11544,
  [11862] = 11862,
  [11863] = 11547,
  [11864] = 11864,
  [11865] = 11865,
  [11866] = 11836,
  [11867] = 11867,
  [11868] = 10954,
  [11869] = 11869,
  [11870] = 11870,
  [11871] = 10951,
  [11872] = 11872,
  [11873] = 11873,
  [11874] = 11874,
  [11875] = 11710,
  [11876] = 11876,
  [11877] = 11663,
  [11878] = 11867,
  [11879] = 11700,
  [11880] = 11880,
  [11881] = 11881,
  [11882] = 11825,
  [11883] = 11547,
  [11884] = 11884,
  [11885] = 11530,
  [11886] = 11862,
  [11887] = 11887,
  [11888] = 11888,
  [11889] = 11702,
  [11890] = 11864,
  [11891] = 11891,
  [11892] = 11706,
  [11893] = 11534,
  [11894] = 11708,
  [11895] = 11895,
  [11896] = 10917,
  [11897] = 11534,
  [11898] = 11898,
  [11899] = 11530,
  [11900] = 11900,
  [11901] = 11785,
  [11902] = 11902,
  [11903] = 11849,
  [11904] = 11518,
  [11905] = 11905,
  [11906] = 11709,
  [11907] = 11891,
  [11908] = 11908,
  [11909] = 11909,
  [11910] = 11910,
  [11911] = 11850,
  [11912] = 11912,
  [11913] = 11607,
  [11914] = 11914,
  [11915] = 11915,
  [11916] = 11916,
  [11917] = 11838,
  [11918] = 11900,
  [11919] = 11919,
  [11920] = 11920,
  [11921] = 11921,
  [11922] = 11922,
  [11923] = 11923,
  [11924] = 11924,
  [11925] = 11925,
  [11926] = 10919,
  [11927] = 11927,
  [11928] = 11666,
  [11929] = 11914,
  [11930] = 11610,
  [11931] = 10897,
  [11932] = 11932,
  [11933] = 11933,
  [11934] = 10912,
  [11935] = 11935,
  [11936] = 11916,
  [11937] = 10910,
  [11938] = 11550,
  [11939] = 11519,
  [11940] = 11698,
  [11941] = 11941,
  [11942] = 11608,
  [11943] = 11943,
  [11944] = 11944,
  [11945] = 11945,
  [11946] = 11608,
  [11947] = 11544,
  [11948] = 11608,
  [11949] = 11547,
  [11950] = 11608,
  [11951] = 11951,
  [11952] = 11608,
  [11953] = 11708,
  [11954] = 10908,
  [11955] = 11852,
  [11956] = 11706,
  [11957] = 11542,
  [11958] = 11608,
  [11959] = 11547,
  [11960] = 11555,
  [11961] = 11852,
  [11962] = 11962,
  [11963] = 11544,
  [11964] = 11542,
  [11965] = 10903,
  [11966] = 10905,
  [11967] = 11967,
  [11968] = 10901,
  [11969] = 11969,
  [11970] = 11852,
  [11971] = 11971,
  [11972] = 11862,
  [11973] = 10899,
  [11974] = 11974,
  [11975] = 11608,
  [11976] = 11555,
  [11977] = 11977,
  [11978] = 11919,
  [11979] = 11979,
  [11980] = 11974,
  [11981] = 11852,
  [11982] = 11905,
  [11983] = 11902,
  [11984] = 11962,
  [11985] = 11608,
  [11986] = 11555,
  [11987] = 11542,
  [11988] = 11544,
  [11989] = 11905,
  [11990] = 11547,
  [11991] = 11902,
  [11992] = 11992,
  [11993] = 11852,
  [11994] = 11608,
  [11995] = 11555,
  [11996] = 11808,
  [11997] = 10898,
  [11998] = 11852,
  [11999] = 11712,
  [12000] = 11704,
  [12001] = 10896,
  [12002] = 11979,
  [12003] = 12003,
  [12004] = 11919,
  [12005] = 11608,
  [12006] = 11555,
  [12007] = 10891,
  [12008] = 10890,
  [12009] = 11969,
  [12010] = 10889,
  [12011] = 10887,
  [12012] = 11873,
  [12013] = 11880,
  [12014] = 11852,
  [12015] = 11967,
  [12016] = 11668,
  [12017] = 10884,
  [12018] = 12018,
  [12019] = 12019,
  [12020] = 12020,
  [12021] = 12021,
  [12022] = 11864,
  [12023] = 11865,
  [12024] = 11869,
  [12025] = 11608,
  [12026] = 11841,
  [12027] = 11555,
  [12028] = 11872,
  [12029] = 10881,
  [12030] = 11870,
  [12031] = 11880,
  [12032] = 11852,
  [12033] = 12033,
  [12034] = 11547,
  [12035] = 11760,
  [12036] = 10875,
  [12037] = 12037,
  [12038] = 12019,
  [12039] = 11652,
  [12040] = 11544,
  [12041] = 11645,
  [12042] = 12020,
  [12043] = 11662,
  [12044] = 12044,
  [12045] = 12021,
  [12046] = 11530,
  [12047] = 11542,
  [12048] = 11534,
  [12049] = 12049,
  [12050] = 11608,
  [12051] = 11555,
  [12052] = 10894,
  [12053] = 11530,
  [12054] = 11915,
  [12055] = 11649,
  [12056] = 12056,
  [12057] = 11534,
  [12058] = 11852,
  [12059] = 11716,
  [12060] = 11530,
  [12061] = 11851,
  [12062] = 12062,
  [12063] = 11534,
  [12064] = 12064,
  [12065] = 12065,
  [12066] = 12019,
  [12067] = 12067,
  [12068] = 11608,
  [12069] = 11555,
  [12070] = 12070,
  [12071] = 12021,
  [12072] = 11661,
  [12073] = 11769,
  [12074] = 11764,
  [12075] = 11622,
  [12076] = 11867,
  [12077] = 11760,
  [12078] = 11852,
  [12079] = 11756,
  [12080] = 11652,
  [12081] = 11645,
  [12082] = 11858,
  [12083] = 11605,
  [12084] = 12084,
  [12085] = 11608,
  [12086] = 11555,
  [12087] = 11541,
  [12088] = 10839,
  [12089] = 11537,
  [12090] = 12090,
  [12091] = 11649,
  [12092] = 12092,
  [12093] = 11651,
  [12094] = 12094,
  [12095] = 11852,
  [12096] = 11850,
  [12097] = 11921,
  [12098] = 11888,
  [12099] = 11755,
  [12100] = 11702,
  [12101] = 11608,
  [12102] = 11555,
  [12103] = 11873,
  [12104] = 11874,
  [12105] = 11969,
  [12106] = 11920,
  [12107] = 12107,
  [12108] = 12108,
  [12109] = 11542,
  [12110] = 11544,
  [12111] = 11876,
  [12112] = 11547,
  [12113] = 11542,
  [12114] = 11824,
  [12115] = 11544,
  [12116] = 11869,
  [12117] = 11547,
  [12118] = 11536,
  [12119] = 11852,
  [12120] = 11539,
  [12121] = 11810,
  [12122] = 11895,
  [12123] = 11688,
  [12124] = 11742,
  [12125] = 11608,
  [12126] = 11555,
  [12127] = 11873,
  [12128] = 11822,
  [12129] = 11969,
  [12130] = 11920,
  [12131] = 10836,
  [12132] = 11833,
  [12133] = 11660,
  [12134] = 11869,
  [12135] = 11675,
  [12136] = 12037,
  [12137] = 11852,
  [12138] = 11881,
  [12139] = 11810,
  [12140] = 11887,
  [12141] = 10803,
  [12142] = 11743,
  [12143] = 11841,
  [12144] = 11608,
  [12145] = 11555,
  [12146] = 11873,
  [12147] = 11689,
  [12148] = 11969,
  [12149] = 11920,
  [12150] = 10802,
  [12151] = 11869,
  [12152] = 11852,
  [12153] = 11944,
  [12154] = 10797,
  [12155] = 11935,
  [12156] = 11810,
  [12157] = 12020,
  [12158] = 12158,
  [12159] = 11608,
  [12160] = 11555,
  [12161] = 11873,
  [12162] = 11534,
  [12163] = 11530,
  [12164] = 11969,
  [12165] = 11920,
  [12166] = 12166,
  [12167] = 11530,
  [12168] = 12168,
  [12169] = 12169,
  [12170] = 12170,
  [12171] = 11869,
  [12172] = 11933,
  [12173] = 12173,
  [12174] = 11700,
  [12175] = 11534,
  [12176] = 11852,
  [12177] = 12177,
  [12178] = 11698,
  [12179] = 10768,
  [12180] = 11932,
  [12181] = 11810,
  [12182] = 11622,
  [12183] = 10732,
  [12184] = 10730,
  [12185] = 11891,
  [12186] = 11927,
  [12187] = 10729,
  [12188] = 10728,
  [12189] = 10727,
  [12190] = 11622,
  [12191] = 11608,
  [12192] = 11557,
  [12193] = 11555,
  [12194] = 11873,
  [12195] = 10689,
  [12196] = 11969,
  [12197] = 10687,
  [12198] = 12198,
  [12199] = 12199,
  [12200] = 12200,
  [12201] = 12201,
  [12202] = 12202,
  [12203] = 12203,
  [12204] = 12204,
  [12205] = 11920,
  [12206] = 12206,
  [12207] = 12207,
  [12208] = 10665,
  [12209] = 10666,
  [12210] = 11869,
  [12211] = 12211,
  [12212] = 10649,
  [12213] = 11852,
  [12214] = 12214,
  [12215] = 11810,
  [12216] = 12216,
  [12217] = 10734,
  [12218] = 10603,
  [12219] = 10602,
  [12220] = 11608,
  [12221] = 11557,
  [12222] = 11916,
  [12223] = 11547,
  [12224] = 11544,
  [12225] = 11542,
  [12226] = 11555,
  [12227] = 10676,
  [12228] = 12228,
  [12229] = 11534,
  [12230] = 11873,
  [12231] = 11530,
  [12232] = 10585,
  [12233] = 12233,
  [12234] = 11969,
  [12235] = 10578,
  [12236] = 11920,
  [12237] = 10567,
  [12238] = 12238,
  [12239] = 10564,
  [12240] = 10563,
  [12241] = 10562,
  [12242] = 10560,
  [12243] = 11869,
  [12244] = 11914,
  [12245] = 11749,
  [12246] = 11852,
  [12247] = 11542,
  [12248] = 12248,
  [12249] = 11810,
  [12250] = 11912,
  [12251] = 11544,
  [12252] = 11547,
  [12253] = 12253,
  [12254] = 10611,
  [12255] = 11910,
  [12256] = 12256,
  [12257] = 11925,
  [12258] = 11908,
  [12259] = 11900,
  [12260] = 11555,
  [12261] = 11557,
  [12262] = 11608,
  [12263] = 11739,
  [12264] = 11920,
  [12265] = 11818,
  [12266] = 12266,
  [12267] = 12267,
  [12268] = 12268,
  [12269] = 12269,
  [12270] = 12270,
  [12271] = 12271,
  [12272] = 12272,
  [12273] = 12273,
  [12274] = 12274,
  [12275] = 12275,
  [12276] = 12276,
  [12277] = 12277,
  [12278] = 12278,
  [12279] = 12279,
  [12280] = 12280,
  [12281] = 12281,
  [12282] = 12282,
  [12283] = 12283,
  [12284] = 12284,
  [12285] = 12285,
  [12286] = 12286,
  [12287] = 12287,
  [12288] = 12288,
  [12289] = 12289,
  [12290] = 12290,
  [12291] = 12291,
  [12292] = 12292,
  [12293] = 12293,
  [12294] = 12294,
  [12295] = 12290,
  [12296] = 12296,
  [12297] = 12297,
  [12298] = 12266,
  [12299] = 12299,
  [12300] = 12300,
  [12301] = 12301,
  [12302] = 12302,
  [12303] = 12303,
  [12304] = 12304,
  [12305] = 12305,
  [12306] = 12306,
  [12307] = 12307,
  [12308] = 12308,
  [12309] = 12309,
  [12310] = 12310,
  [12311] = 12311,
  [12312] = 12312,
  [12313] = 12313,
  [12314] = 12314,
  [12315] = 12315,
  [12316] = 12316,
  [12317] = 12317,
  [12318] = 12318,
  [12319] = 12319,
  [12320] = 12320,
  [12321] = 12321,
  [12322] = 12322,
  [12323] = 12323,
  [12324] = 12324,
  [12325] = 12325,
  [12326] = 12326,
  [12327] = 12327,
  [12328] = 12328,
  [12329] = 12329,
  [12330] = 12330,
  [12331] = 12331,
  [12332] = 12332,
  [12333] = 12333,
  [12334] = 12334,
  [12335] = 12335,
  [12336] = 12336,
  [12337] = 12337,
  [12338] = 12338,
  [12339] = 12284,
  [12340] = 12340,
  [12341] = 12341,
  [12342] = 12342,
  [12343] = 12343,
  [12344] = 12344,
  [12345] = 12345,
  [12346] = 12346,
  [12347] = 12347,
  [12348] = 12348,
  [12349] = 12349,
  [12350] = 12320,
  [12351] = 12351,
  [12352] = 12352,
  [12353] = 12353,
  [12354] = 12354,
  [12355] = 12351,
  [12356] = 12356,
  [12357] = 12357,
  [12358] = 12358,
  [12359] = 12359,
  [12360] = 12360,
  [12361] = 12348,
  [12362] = 12362,
  [12363] = 12363,
  [12364] = 12340,
  [12365] = 12365,
  [12366] = 12366,
  [12367] = 12332,
  [12368] = 12368,
  [12369] = 12323,
  [12370] = 12294,
  [12371] = 12344,
  [12372] = 12372,
  [12373] = 12343,
  [12374] = 12342,
  [12375] = 12283,
  [12376] = 12341,
  [12377] = 12359,
  [12378] = 12356,
  [12379] = 12347,
  [12380] = 12346,
  [12381] = 12291,
  [12382] = 12292,
  [12383] = 12338,
  [12384] = 12337,
  [12385] = 12385,
  [12386] = 12386,
  [12387] = 12297,
  [12388] = 12266,
  [12389] = 12299,
  [12390] = 12300,
  [12391] = 12301,
  [12392] = 12302,
  [12393] = 12303,
  [12394] = 12304,
  [12395] = 12395,
  [12396] = 12306,
  [12397] = 12307,
  [12398] = 12308,
  [12399] = 12309,
  [12400] = 12310,
  [12401] = 12311,
  [12402] = 12312,
  [12403] = 12313,
  [12404] = 12314,
  [12405] = 12315,
  [12406] = 12316,
  [12407] = 12407,
  [12408] = 12408,
  [12409] = 12409,
  [12410] = 12336,
  [12411] = 12286,
  [12412] = 12412,
  [12413] = 12334,
  [12414] = 12414,
  [12415] = 12325,
  [12416] = 12326,
  [12417] = 12327,
  [12418] = 12328,
  [12419] = 12329,
  [12420] = 12330,
  [12421] = 12322,
  [12422] = 12422,
  [12423] = 12423,
  [12424] = 12321,
  [12425] = 12331,
  [12426] = 12426,
  [12427] = 12427,
  [12428] = 12280,
  [12429] = 12276,
  [12430] = 12341,
  [12431] = 12342,
  [12432] = 12343,
  [12433] = 12344,
  [12434] = 12275,
  [12435] = 12272,
  [12436] = 12277,
  [12437] = 12271,
  [12438] = 12349,
  [12439] = 12305,
  [12440] = 12270,
  [12441] = 12352,
  [12442] = 12353,
  [12443] = 12354,
  [12444] = 12444,
  [12445] = 12331,
  [12446] = 12269,
  [12447] = 12358,
  [12448] = 12322,
  [12449] = 12360,
  [12450] = 12450,
  [12451] = 12362,
  [12452] = 12363,
  [12453] = 12453,
  [12454] = 12454,
  [12455] = 12455,
  [12456] = 12407,
  [12457] = 12320,
  [12458] = 12458,
  [12459] = 12336,
  [12460] = 12283,
  [12461] = 12461,
  [12462] = 12462,
  [12463] = 12463,
  [12464] = 12291,
  [12465] = 12292,
  [12466] = 12305,
  [12467] = 12467,
  [12468] = 12468,
  [12469] = 12469,
  [12470] = 12297,
  [12471] = 12266,
  [12472] = 12299,
  [12473] = 12300,
  [12474] = 12301,
  [12475] = 12302,
  [12476] = 12303,
  [12477] = 12304,
  [12478] = 12337,
  [12479] = 12306,
  [12480] = 12307,
  [12481] = 12308,
  [12482] = 12309,
  [12483] = 12310,
  [12484] = 12311,
  [12485] = 12312,
  [12486] = 12313,
  [12487] = 12314,
  [12488] = 12315,
  [12489] = 12316,
  [12490] = 12490,
  [12491] = 12338,
  [12492] = 12492,
  [12493] = 12493,
  [12494] = 12494,
  [12495] = 12495,
  [12496] = 12496,
  [12497] = 12340,
  [12498] = 12325,
  [12499] = 12326,
  [12500] = 12327,
  [12501] = 12328,
  [12502] = 12329,
  [12503] = 12330,
  [12504] = 12458,
  [12505] = 12505,
  [12506] = 12506,
  [12507] = 12507,
  [12508] = 12508,
  [12509] = 12345,
  [12510] = 12320,
  [12511] = 12347,
  [12512] = 12341,
  [12513] = 12342,
  [12514] = 12343,
  [12515] = 12344,
  [12516] = 12347,
  [12517] = 12322,
  [12518] = 12395,
  [12519] = 12356,
  [12520] = 12349,
  [12521] = 12359,
  [12522] = 12357,
  [12523] = 12352,
  [12524] = 12353,
  [12525] = 12354,
  [12526] = 12331,
  [12527] = 12269,
  [12528] = 12336,
  [12529] = 12358,
  [12530] = 12530,
  [12531] = 12360,
  [12532] = 12337,
  [12533] = 12362,
  [12534] = 12363,
  [12535] = 12338,
  [12536] = 12346,
  [12537] = 12271,
  [12538] = 12495,
  [12539] = 12539,
  [12540] = 12275,
  [12541] = 12283,
  [12542] = 12356,
  [12543] = 12543,
  [12544] = 12544,
  [12545] = 12545,
  [12546] = 12546,
  [12547] = 12492,
  [12548] = 12490,
  [12549] = 12297,
  [12550] = 12266,
  [12551] = 12299,
  [12552] = 12300,
  [12553] = 12301,
  [12554] = 12302,
  [12555] = 12303,
  [12556] = 12304,
  [12557] = 12461,
  [12558] = 12306,
  [12559] = 12307,
  [12560] = 12308,
  [12561] = 12309,
  [12562] = 12310,
  [12563] = 12311,
  [12564] = 12312,
  [12565] = 12313,
  [12566] = 12314,
  [12567] = 12315,
  [12568] = 12316,
  [12569] = 12444,
  [12570] = 12409,
  [12571] = 12359,
  [12572] = 12423,
  [12573] = 12357,
  [12574] = 12574,
  [12575] = 12422,
  [12576] = 12414,
  [12577] = 12325,
  [12578] = 12326,
  [12579] = 12327,
  [12580] = 12328,
  [12581] = 12329,
  [12582] = 12330,
  [12583] = 12412,
  [12584] = 12409,
  [12585] = 12270,
  [12586] = 12395,
  [12587] = 12293,
  [12588] = 12412,
  [12589] = 12414,
  [12590] = 12341,
  [12591] = 12342,
  [12592] = 12343,
  [12593] = 12344,
  [12594] = 12594,
  [12595] = 12427,
  [12596] = 12596,
  [12597] = 12359,
  [12598] = 12356,
  [12599] = 12352,
  [12600] = 12353,
  [12601] = 12354,
  [12602] = 12602,
  [12603] = 12347,
  [12604] = 12346,
  [12605] = 12360,
  [12606] = 12606,
  [12607] = 12272,
  [12608] = 12608,
  [12609] = 12338,
  [12610] = 12610,
  [12611] = 12611,
  [12612] = 12612,
  [12613] = 12283,
  [12614] = 12614,
  [12615] = 12345,
  [12616] = 12616,
  [12617] = 12337,
  [12618] = 12618,
  [12619] = 12336,
  [12620] = 12620,
  [12621] = 12297,
  [12622] = 12266,
  [12623] = 12299,
  [12624] = 12300,
  [12625] = 12301,
  [12626] = 12302,
  [12627] = 12303,
  [12628] = 12304,
  [12629] = 12331,
  [12630] = 12306,
  [12631] = 12307,
  [12632] = 12308,
  [12633] = 12309,
  [12634] = 12310,
  [12635] = 12311,
  [12636] = 12312,
  [12637] = 12313,
  [12638] = 12314,
  [12639] = 12315,
  [12640] = 12316,
  [12641] = 12322,
  [12642] = 12320,
  [12643] = 12461,
  [12644] = 12644,
  [12645] = 12645,
  [12646] = 12276,
  [12647] = 12647,
  [12648] = 12422,
  [12649] = 12325,
  [12650] = 12326,
  [12651] = 12327,
  [12652] = 12328,
  [12653] = 12329,
  [12654] = 12330,
  [12655] = 12423,
  [12656] = 12305,
  [12657] = 12657,
  [12658] = 12458,
  [12659] = 12280,
  [12660] = 12269,
  [12661] = 12270,
  [12662] = 12341,
  [12663] = 12342,
  [12664] = 12343,
  [12665] = 12344,
  [12666] = 12427,
  [12667] = 12395,
  [12668] = 12490,
  [12669] = 12669,
  [12670] = 12670,
  [12671] = 12352,
  [12672] = 12353,
  [12673] = 12354,
  [12674] = 12286,
  [12675] = 12409,
  [12676] = 12676,
  [12677] = 12360,
  [12678] = 12678,
  [12679] = 12290,
  [12680] = 12407,
  [12681] = 12272,
  [12682] = 12275,
  [12683] = 12683,
  [12684] = 12412,
  [12685] = 12283,
  [12686] = 12276,
  [12687] = 12687,
  [12688] = 12688,
  [12689] = 12689,
  [12690] = 12690,
  [12691] = 12280,
  [12692] = 12692,
  [12693] = 12297,
  [12694] = 12266,
  [12695] = 12299,
  [12696] = 12300,
  [12697] = 12301,
  [12698] = 12302,
  [12699] = 12303,
  [12700] = 12304,
  [12701] = 12427,
  [12702] = 12306,
  [12703] = 12307,
  [12704] = 12308,
  [12705] = 12309,
  [12706] = 12310,
  [12707] = 12311,
  [12708] = 12312,
  [12709] = 12313,
  [12710] = 12314,
  [12711] = 12315,
  [12712] = 12316,
  [12713] = 12286,
  [12714] = 12714,
  [12715] = 12715,
  [12716] = 12290,
  [12717] = 12717,
  [12718] = 12718,
  [12719] = 12294,
  [12720] = 12720,
  [12721] = 12325,
  [12722] = 12326,
  [12723] = 12327,
  [12724] = 12328,
  [12725] = 12329,
  [12726] = 12330,
  [12727] = 12277,
  [12728] = 12728,
  [12729] = 12414,
  [12730] = 12422,
  [12731] = 12423,
  [12732] = 12294,
  [12733] = 12733,
  [12734] = 12341,
  [12735] = 12342,
  [12736] = 12343,
  [12737] = 12344,
  [12738] = 12323,
  [12739] = 12739,
  [12740] = 12332,
  [12741] = 12340,
  [12742] = 12348,
  [12743] = 12352,
  [12744] = 12353,
  [12745] = 12354,
  [12746] = 12321,
  [12747] = 12444,
  [12748] = 12748,
  [12749] = 12360,
  [12750] = 12750,
  [12751] = 12323,
  [12752] = 12334,
  [12753] = 12753,
  [12754] = 12754,
  [12755] = 12461,
  [12756] = 12756,
  [12757] = 12283,
  [12758] = 12284,
  [12759] = 12271,
  [12760] = 12760,
  [12761] = 12761,
  [12762] = 12444,
  [12763] = 12349,
  [12764] = 12297,
  [12765] = 12266,
  [12766] = 12299,
  [12767] = 12300,
  [12768] = 12301,
  [12769] = 12302,
  [12770] = 12303,
  [12771] = 12304,
  [12772] = 12351,
  [12773] = 12306,
  [12774] = 12307,
  [12775] = 12308,
  [12776] = 12309,
  [12777] = 12310,
  [12778] = 12311,
  [12779] = 12312,
  [12780] = 12313,
  [12781] = 12314,
  [12782] = 12315,
  [12783] = 12316,
  [12784] = 12284,
  [12785] = 12334,
  [12786] = 12786,
  [12787] = 12490,
  [12788] = 12492,
  [12789] = 12325,
  [12790] = 12326,
  [12791] = 12327,
  [12792] = 12328,
  [12793] = 12329,
  [12794] = 12330,
  [12795] = 12332,
  [12796] = 12492,
  [12797] = 12395,
  [12798] = 12798,
  [12799] = 12341,
  [12800] = 12342,
  [12801] = 12343,
  [12802] = 12344,
  [12803] = 12803,
  [12804] = 12409,
  [12805] = 12352,
  [12806] = 12353,
  [12807] = 12354,
  [12808] = 12808,
  [12809] = 12360,
  [12810] = 12810,
  [12811] = 12811,
  [12812] = 12321,
  [12813] = 12813,
  [12814] = 12495,
  [12815] = 12815,
  [12816] = 12283,
  [12817] = 12495,
  [12818] = 12818,
  [12819] = 12819,
  [12820] = 12820,
  [12821] = 12821,
  [12822] = 12352,
  [12823] = 12297,
  [12824] = 12266,
  [12825] = 12299,
  [12826] = 12300,
  [12827] = 12301,
  [12828] = 12302,
  [12829] = 12303,
  [12830] = 12304,
  [12831] = 12831,
  [12832] = 12306,
  [12833] = 12307,
  [12834] = 12308,
  [12835] = 12309,
  [12836] = 12310,
  [12837] = 12311,
  [12838] = 12312,
  [12839] = 12313,
  [12840] = 12314,
  [12841] = 12315,
  [12842] = 12316,
  [12843] = 12277,
  [12844] = 12319,
  [12845] = 12506,
  [12846] = 12739,
  [12847] = 12407,
  [12848] = 12325,
  [12849] = 12326,
  [12850] = 12327,
  [12851] = 12328,
  [12852] = 12329,
  [12853] = 12330,
  [12854] = 12854,
  [12855] = 12855,
  [12856] = 12495,
  [12857] = 12857,
  [12858] = 12341,
  [12859] = 12342,
  [12860] = 12343,
  [12861] = 12344,
  [12862] = 12754,
  [12863] = 12863,
  [12864] = 12352,
  [12865] = 12353,
  [12866] = 12354,
  [12867] = 12867,
  [12868] = 12360,
  [12869] = 12854,
  [12870] = 12348,
  [12871] = 12871,
  [12872] = 12872,
  [12873] = 12353,
  [12874] = 12874,
  [12875] = 12283,
  [12876] = 12345,
  [12877] = 12340,
  [12878] = 12878,
  [12879] = 12335,
  [12880] = 12332,
  [12881] = 12412,
  [12882] = 12297,
  [12883] = 12266,
  [12884] = 12299,
  [12885] = 12300,
  [12886] = 12301,
  [12887] = 12302,
  [12888] = 12303,
  [12889] = 12304,
  [12890] = 12890,
  [12891] = 12306,
  [12892] = 12307,
  [12893] = 12308,
  [12894] = 12309,
  [12895] = 12310,
  [12896] = 12311,
  [12897] = 12312,
  [12898] = 12313,
  [12899] = 12314,
  [12900] = 12315,
  [12901] = 12316,
  [12902] = 12362,
  [12903] = 12414,
  [12904] = 12422,
  [12905] = 12323,
  [12906] = 12357,
  [12907] = 12325,
  [12908] = 12326,
  [12909] = 12327,
  [12910] = 12328,
  [12911] = 12329,
  [12912] = 12330,
  [12913] = 12913,
  [12914] = 12914,
  [12915] = 12915,
  [12916] = 12916,
  [12917] = 12341,
  [12918] = 12342,
  [12919] = 12343,
  [12920] = 12344,
  [12921] = 12414,
  [12922] = 12922,
  [12923] = 12352,
  [12924] = 12353,
  [12925] = 12354,
  [12926] = 12926,
  [12927] = 12360,
  [12928] = 12354,
  [12929] = 12423,
  [12930] = 12930,
  [12931] = 12357,
  [12932] = 12363,
  [12933] = 12357,
  [12934] = 12283,
  [12935] = 12935,
  [12936] = 12936,
  [12937] = 12937,
  [12938] = 12938,
  [12939] = 12657,
  [12940] = 12495,
  [12941] = 12297,
  [12942] = 12266,
  [12943] = 12299,
  [12944] = 12300,
  [12945] = 12301,
  [12946] = 12302,
  [12947] = 12303,
  [12948] = 12304,
  [12949] = 12949,
  [12950] = 12306,
  [12951] = 12307,
  [12952] = 12308,
  [12953] = 12309,
  [12954] = 12310,
  [12955] = 12311,
  [12956] = 12312,
  [12957] = 12313,
  [12958] = 12314,
  [12959] = 12315,
  [12960] = 12316,
  [12961] = 12345,
  [12962] = 12855,
  [12963] = 12963,
  [12964] = 12798,
  [12965] = 12294,
  [12966] = 12325,
  [12967] = 12326,
  [12968] = 12327,
  [12969] = 12328,
  [12970] = 12329,
  [12971] = 12330,
  [12972] = 12271,
  [12973] = 12290,
  [12974] = 12492,
  [12975] = 12492,
  [12976] = 12341,
  [12977] = 12342,
  [12978] = 12343,
  [12979] = 12344,
  [12980] = 12980,
  [12981] = 12286,
  [12982] = 12352,
  [12983] = 12353,
  [12984] = 12354,
  [12985] = 12985,
  [12986] = 12360,
  [12987] = 12427,
  [12988] = 12280,
  [12989] = 12490,
  [12990] = 12490,
  [12991] = 12991,
  [12992] = 12872,
  [12993] = 12283,
  [12994] = 12276,
  [12995] = 12995,
  [12996] = 12461,
  [12997] = 12351,
  [12998] = 12461,
  [12999] = 12444,
  [13000] = 12297,
  [13001] = 12266,
  [13002] = 12299,
  [13003] = 12300,
  [13004] = 12301,
  [13005] = 12302,
  [13006] = 12303,
  [13007] = 12304,
  [13008] = 12444,
  [13009] = 12306,
  [13010] = 12307,
  [13011] = 12308,
  [13012] = 12309,
  [13013] = 12310,
  [13014] = 12311,
  [13015] = 12312,
  [13016] = 12313,
  [13017] = 12314,
  [13018] = 12315,
  [13019] = 12316,
  [13020] = 12407,
  [13021] = 12272,
  [13022] = 12277,
  [13023] = 13023,
  [13024] = 12336,
  [13025] = 12325,
  [13026] = 12326,
  [13027] = 12327,
  [13028] = 12328,
  [13029] = 12329,
  [13030] = 12330,
  [13031] = 12346,
  [13032] = 12275,
  [13033] = 12360,
  [13034] = 12270,
  [13035] = 12341,
  [13036] = 12342,
  [13037] = 12343,
  [13038] = 12344,
  [13039] = 12423,
  [13040] = 12493,
  [13041] = 12352,
  [13042] = 12353,
  [13043] = 12354,
  [13044] = 12422,
  [13045] = 12360,
  [13046] = 12317,
  [13047] = 13047,
  [13048] = 12358,
  [13049] = 13049,
  [13050] = 13050,
  [13051] = 12269,
  [13052] = 12283,
  [13053] = 12412,
  [13054] = 13054,
  [13055] = 13055,
  [13056] = 12458,
  [13057] = 12409,
  [13058] = 12321,
  [13059] = 12297,
  [13060] = 12266,
  [13061] = 12299,
  [13062] = 12300,
  [13063] = 12301,
  [13064] = 12302,
  [13065] = 12303,
  [13066] = 12304,
  [13067] = 12305,
  [13068] = 12306,
  [13069] = 12307,
  [13070] = 12308,
  [13071] = 12309,
  [13072] = 12310,
  [13073] = 12311,
  [13074] = 12312,
  [13075] = 12313,
  [13076] = 12314,
  [13077] = 12315,
  [13078] = 12316,
  [13079] = 12395,
  [13080] = 12337,
  [13081] = 12320,
  [13082] = 13082,
  [13083] = 13083,
  [13084] = 12325,
  [13085] = 12326,
  [13086] = 12327,
  [13087] = 12328,
  [13088] = 12329,
  [13089] = 12330,
  [13090] = 12322,
  [13091] = 13091,
  [13092] = 13092,
  [13093] = 12305,
  [13094] = 12341,
  [13095] = 12342,
  [13096] = 12343,
  [13097] = 12344,
  [13098] = 12458,
  [13099] = 12269,
  [13100] = 12352,
  [13101] = 12353,
  [13102] = 12354,
  [13103] = 12270,
  [13104] = 12360,
  [13105] = 13105,
  [13106] = 13106,
  [13107] = 12271,
  [13108] = 12272,
  [13109] = 12332,
  [13110] = 12276,
  [13111] = 12283,
  [13112] = 12280,
  [13113] = 12427,
  [13114] = 12286,
  [13115] = 12359,
  [13116] = 12356,
  [13117] = 12290,
  [13118] = 12297,
  [13119] = 12266,
  [13120] = 12299,
  [13121] = 12300,
  [13122] = 12301,
  [13123] = 12302,
  [13124] = 12303,
  [13125] = 12304,
  [13126] = 12347,
  [13127] = 12306,
  [13128] = 12307,
  [13129] = 12308,
  [13130] = 12309,
  [13131] = 12310,
  [13132] = 12311,
  [13133] = 12312,
  [13134] = 12313,
  [13135] = 12314,
  [13136] = 12315,
  [13137] = 12316,
  [13138] = 12294,
  [13139] = 12346,
  [13140] = 12334,
  [13141] = 13141,
  [13142] = 13142,
  [13143] = 12325,
  [13144] = 12326,
  [13145] = 12327,
  [13146] = 12328,
  [13147] = 12329,
  [13148] = 12330,
  [13149] = 13149,
  [13150] = 12331,
  [13151] = 13151,
  [13152] = 13152,
  [13153] = 12341,
  [13154] = 12342,
  [13155] = 12343,
  [13156] = 12344,
  [13157] = 12337,
  [13158] = 12323,
  [13159] = 12352,
  [13160] = 12353,
  [13161] = 12354,
  [13162] = 12338,
  [13163] = 12360,
  [13164] = 12338,
  [13165] = 12346,
  [13166] = 12340,
  [13167] = 12330,
  [13168] = 12348,
  [13169] = 12329,
  [13170] = 12283,
  [13171] = 12328,
  [13172] = 12327,
  [13173] = 12326,
  [13174] = 12325,
  [13175] = 12276,
  [13176] = 13176,
  [13177] = 12297,
  [13178] = 12412,
  [13179] = 12299,
  [13180] = 12300,
  [13181] = 12301,
  [13182] = 12302,
  [13183] = 12303,
  [13184] = 12304,
  [13185] = 13152,
  [13186] = 12306,
  [13187] = 12307,
  [13188] = 12308,
  [13189] = 12309,
  [13190] = 12310,
  [13191] = 12311,
  [13192] = 12312,
  [13193] = 12313,
  [13194] = 12314,
  [13195] = 12315,
  [13196] = 12316,
  [13197] = 13197,
  [13198] = 12284,
  [13199] = 12347,
  [13200] = 12351,
  [13201] = 12336,
  [13202] = 12325,
  [13203] = 12326,
  [13204] = 12327,
  [13205] = 12328,
  [13206] = 12329,
  [13207] = 12330,
  [13208] = 12351,
  [13209] = 12331,
  [13210] = 12348,
  [13211] = 12322,
  [13212] = 12341,
  [13213] = 12342,
  [13214] = 12343,
  [13215] = 12344,
  [13216] = 13216,
  [13217] = 12356,
  [13218] = 12352,
  [13219] = 12353,
  [13220] = 12354,
  [13221] = 12320,
  [13222] = 12360,
  [13223] = 13223,
  [13224] = 13106,
  [13225] = 13225,
  [13226] = 12284,
  [13227] = 13047,
  [13228] = 13092,
  [13229] = 12283,
  [13230] = 12340,
  [13231] = 12332,
  [13232] = 12305,
  [13233] = 12334,
  [13234] = 13223,
  [13235] = 12323,
  [13236] = 12297,
  [13237] = 12266,
  [13238] = 12299,
  [13239] = 12300,
  [13240] = 12301,
  [13241] = 12302,
  [13242] = 12303,
  [13243] = 12304,
  [13244] = 12458,
  [13245] = 12306,
  [13246] = 12307,
  [13247] = 12308,
  [13248] = 12309,
  [13249] = 12310,
  [13250] = 12311,
  [13251] = 12312,
  [13252] = 12313,
  [13253] = 12314,
  [13254] = 12315,
  [13255] = 12316,
  [13256] = 12354,
  [13257] = 12353,
  [13258] = 12352,
  [13259] = 12321,
  [13260] = 12423,
  [13261] = 12325,
  [13262] = 12326,
  [13263] = 12327,
  [13264] = 12328,
  [13265] = 12329,
  [13266] = 12330,
  [13267] = 12422,
  [13268] = 12414,
  [13269] = 12412,
  [13270] = 13270,
  [13271] = 12341,
  [13272] = 12342,
  [13273] = 12343,
  [13274] = 12344,
  [13275] = 13275,
  [13276] = 12409,
  [13277] = 12352,
  [13278] = 12353,
  [13279] = 12354,
  [13280] = 13280,
  [13281] = 12360,
  [13282] = 12645,
  [13283] = 12349,
  [13284] = 13284,
  [13285] = 13285,
  [13286] = 12269,
  [13287] = 12270,
  [13288] = 12283,
  [13289] = 12271,
  [13290] = 13290,
  [13291] = 13291,
  [13292] = 12395,
  [13293] = 12272,
  [13294] = 12275,
  [13295] = 12297,
  [13296] = 12266,
  [13297] = 12299,
  [13298] = 12300,
  [13299] = 12301,
  [13300] = 12302,
  [13301] = 12303,
  [13302] = 12304,
  [13303] = 12294,
  [13304] = 12306,
  [13305] = 12307,
  [13306] = 12308,
  [13307] = 12309,
  [13308] = 12310,
  [13309] = 12311,
  [13310] = 12312,
  [13311] = 12313,
  [13312] = 12314,
  [13313] = 12315,
  [13314] = 12316,
  [13315] = 12290,
  [13316] = 12761,
  [13317] = 12359,
  [13318] = 12280,
  [13319] = 12348,
  [13320] = 12325,
  [13321] = 12326,
  [13322] = 12327,
  [13323] = 12328,
  [13324] = 12329,
  [13325] = 12330,
  [13326] = 13326,
  [13327] = 12427,
  [13328] = 12733,
  [13329] = 12286,
  [13330] = 12341,
  [13331] = 12342,
  [13332] = 12343,
  [13333] = 12344,
  [13334] = 12678,
  [13335] = 12290,
  [13336] = 12352,
  [13337] = 12353,
  [13338] = 12354,
  [13339] = 13339,
  [13340] = 12360,
  [13341] = 12286,
  [13342] = 13342,
  [13343] = 12283,
  [13344] = 12963,
  [13345] = 12297,
  [13346] = 12266,
  [13347] = 12299,
  [13348] = 12300,
  [13349] = 12301,
  [13350] = 12302,
  [13351] = 12303,
  [13352] = 12304,
  [13353] = 12294,
  [13354] = 12306,
  [13355] = 12307,
  [13356] = 12308,
  [13357] = 12309,
  [13358] = 12310,
  [13359] = 12311,
  [13360] = 12312,
  [13361] = 12313,
  [13362] = 12314,
  [13363] = 12315,
  [13364] = 12316,
  [13365] = 12325,
  [13366] = 12326,
  [13367] = 12327,
  [13368] = 12328,
  [13369] = 12329,
  [13370] = 12330,
  [13371] = 12341,
  [13372] = 12342,
  [13373] = 12343,
  [13374] = 12344,
  [13375] = 12352,
  [13376] = 12353,
  [13377] = 12354,
  [13378] = 12360,
  [13379] = 12427,
  [13380] = 13380,
  [13381] = 12283,
  [13382] = 13382,
  [13383] = 12297,
  [13384] = 12266,
  [13385] = 12299,
  [13386] = 12300,
  [13387] = 12301,
  [13388] = 12302,
  [13389] = 12303,
  [13390] = 12304,
  [13391] = 12280,
  [13392] = 12306,
  [13393] = 12307,
  [13394] = 12308,
  [13395] = 12309,
  [13396] = 12310,
  [13397] = 12311,
  [13398] = 12312,
  [13399] = 12313,
  [13400] = 12314,
  [13401] = 12315,
  [13402] = 12316,
  [13403] = 12325,
  [13404] = 12326,
  [13405] = 12327,
  [13406] = 12328,
  [13407] = 12329,
  [13408] = 12330,
  [13409] = 12341,
  [13410] = 12342,
  [13411] = 12343,
  [13412] = 12344,
  [13413] = 12352,
  [13414] = 12353,
  [13415] = 12354,
  [13416] = 12360,
  [13417] = 12331,
  [13418] = 13418,
  [13419] = 12283,
  [13420] = 12395,
  [13421] = 12308,
  [13422] = 12309,
  [13423] = 12614,
  [13424] = 12616,
  [13425] = 12283,
  [13426] = 13426,
  [13427] = 12308,
  [13428] = 12309,
  [13429] = 12602,
  [13430] = 12340,
  [13431] = 13431,
  [13432] = 12308,
  [13433] = 12309,
  [13434] = 12308,
  [13435] = 12309,
  [13436] = 12308,
  [13437] = 12309,
  [13438] = 12308,
  [13439] = 12309,
  [13440] = 12308,
  [13441] = 12309,
  [13442] = 12308,
  [13443] = 12309,
  [13444] = 12308,
  [13445] = 12309,
  [13446] = 12308,
  [13447] = 12309,
  [13448] = 13448,
  [13449] = 12323,
  [13450] = 12332,
  [13451] = 12276,
  [13452] = 13452,
  [13453] = 12340,
  [13454] = 12467,
  [13455] = 12348,
  [13456] = 12275,
  [13457] = 12991,
  [13458] = 12345,
  [13459] = 12409,
  [13460] = 12351,
  [13461] = 13461,
  [13462] = 12385,
  [13463] = 12508,
  [13464] = 12272,
  [13465] = 12507,
  [13466] = 12271,
  [13467] = 12412,
  [13468] = 12414,
  [13469] = 12284,
  [13470] = 12334,
  [13471] = 12468,
  [13472] = 12270,
  [13473] = 12915,
  [13474] = 12321,
  [13475] = 12269,
  [13476] = 13476,
  [13477] = 13477,
  [13478] = 12268,
  [13479] = 12463,
  [13480] = 13480,
  [13481] = 12890,
  [13482] = 13482,
  [13483] = 12422,
  [13484] = 12454,
  [13485] = 13485,
  [13486] = 12450,
  [13487] = 12458,
  [13488] = 13488,
  [13489] = 12277,
  [13490] = 12407,
  [13491] = 12786,
  [13492] = 12423,
  [13493] = 12351,
  [13494] = 12305,
  [13495] = 12407,
  [13496] = 13496,
  [13497] = 12277,
  [13498] = 12344,
  [13499] = 13499,
  [13500] = 13500,
  [13501] = 12343,
  [13502] = 12342,
  [13503] = 12296,
  [13504] = 13504,
  [13505] = 13505,
  [13506] = 12341,
  [13507] = 13507,
  [13508] = 12493,
  [13509] = 12345,
  [13510] = 12321,
  [13511] = 12444,
  [13512] = 13512,
  [13513] = 12461,
  [13514] = 12320,
  [13515] = 12490,
  [13516] = 13516,
  [13517] = 12322,
  [13518] = 12357,
  [13519] = 12338,
  [13520] = 13520,
  [13521] = 13521,
  [13522] = 13522,
  [13523] = 13523,
  [13524] = 12492,
  [13525] = 12284,
  [13526] = 13526,
  [13527] = 12336,
  [13528] = 13528,
  [13529] = 12293,
  [13530] = 12337,
  [13531] = 12495,
  [13532] = 13532,
  [13533] = 12351,
  [13534] = 13534,
  [13535] = 12348,
  [13536] = 12495,
  [13537] = 12328,
  [13538] = 13538,
  [13539] = 12365,
  [13540] = 12492,
  [13541] = 13541,
  [13542] = 13542,
  [13543] = 12359,
  [13544] = 12356,
  [13545] = 13545,
  [13546] = 12347,
  [13547] = 12346,
  [13548] = 12338,
  [13549] = 12490,
  [13550] = 12337,
  [13551] = 12336,
  [13552] = 12461,
  [13553] = 12458,
  [13554] = 12331,
  [13555] = 12322,
  [13556] = 12444,
  [13557] = 12320,
  [13558] = 12275,
  [13559] = 12294,
  [13560] = 12423,
  [13561] = 13499,
  [13562] = 12618,
  [13563] = 12692,
  [13564] = 12347,
  [13565] = 12422,
  [13566] = 12414,
  [13567] = 12412,
  [13568] = 12409,
  [13569] = 12395,
  [13570] = 12332,
  [13571] = 13270,
  [13572] = 12323,
  [13573] = 12530,
  [13574] = 12359,
  [13575] = 13141,
  [13576] = 12356,
  [13577] = 12594,
  [13578] = 12995,
  [13579] = 12356,
  [13580] = 13580,
  [13581] = 12985,
  [13582] = 12596,
  [13583] = 12347,
  [13584] = 12980,
  [13585] = 13585,
  [13586] = 12610,
  [13587] = 12346,
  [13588] = 12338,
  [13589] = 12337,
  [13590] = 12611,
  [13591] = 12756,
  [13592] = 12336,
  [13593] = 12670,
  [13594] = 12683,
  [13595] = 12359,
  [13596] = 13023,
  [13597] = 12819,
  [13598] = 12357,
  [13599] = 12714,
  [13600] = 12331,
  [13601] = 12690,
  [13602] = 12669,
  [13603] = 12644,
  [13604] = 12620,
  [13605] = 12505,
  [13606] = 12322,
  [13607] = 12293,
  [13608] = 12496,
  [13609] = 12320,
  [13610] = 13610,
  [13611] = 12334,
  [13612] = 12335,
  [13613] = 12305,
  [13614] = 12458,
  [13615] = 12935,
  [13616] = 12408,
  [13617] = 12386,
  [13618] = 12372,
  [13619] = 12395,
  [13620] = 12753,
  [13621] = 12279,
  [13622] = 12278,
  [13623] = 12274,
  [13624] = 12273,
  [13625] = 12938,
  [13626] = 12269,
  [13627] = 12409,
  [13628] = 12270,
  [13629] = 12271,
  [13630] = 12272,
  [13631] = 12275,
  [13632] = 12276,
  [13633] = 12335,
  [13634] = 12280,
  [13635] = 12453,
  [13636] = 12462,
  [13637] = 12427,
  [13638] = 12334,
  [13639] = 12606,
  [13640] = 12608,
  [13641] = 12612,
  [13642] = 12286,
  [13643] = 12750,
  [13644] = 12412,
  [13645] = 13645,
  [13646] = 12290,
  [13647] = 12995,
  [13648] = 12414,
  [13649] = 12351,
  [13650] = 12267,
  [13651] = 12422,
  [13652] = 12831,
  [13653] = 12493,
  [13654] = 12423,
  [13655] = 13655,
  [13656] = 12330,
  [13657] = 12323,
  [13658] = 12329,
  [13659] = 13659,
  [13660] = 12305,
  [13661] = 12332,
  [13662] = 12458,
  [13663] = 12269,
  [13664] = 12270,
  [13665] = 12271,
  [13666] = 12272,
  [13667] = 12340,
  [13668] = 13668,
  [13669] = 12348,
  [13670] = 12275,
  [13671] = 13671,
  [13672] = 12276,
  [13673] = 13673,
  [13674] = 12280,
  [13675] = 13675,
  [13676] = 13023,
  [13677] = 12427,
  [13678] = 12286,
  [13679] = 13679,
  [13680] = 12317,
  [13681] = 12290,
  [13682] = 12294,
  [13683] = 13679,
  [13684] = 12327,
  [13685] = 12688,
  [13686] = 13686,
  [13687] = 13675,
  [13688] = 12326,
  [13689] = 12325,
  [13690] = 12323,
  [13691] = 12444,
  [13692] = 12284,
  [13693] = 13610,
  [13694] = 12332,
  [13695] = 12340,
  [13696] = 12348,
  [13697] = 12317,
  [13698] = 12351,
  [13699] = 13545,
  [13700] = 12334,
  [13701] = 12284,
  [13702] = 12857,
  [13703] = 12294,
  [13704] = 13704,
  [13705] = 12321,
  [13706] = 13706,
  [13707] = 13707,
  [13708] = 12334,
  [13709] = 13709,
  [13710] = 12444,
  [13711] = 13711,
  [13712] = 12321,
  [13713] = 12290,
  [13714] = 13280,
  [13715] = 13715,
  [13716] = 13284,
  [13717] = 13291,
  [13718] = 12461,
  [13719] = 13719,
  [13720] = 13720,
  [13721] = 12286,
  [13722] = 13342,
  [13723] = 12490,
  [13724] = 13380,
  [13725] = 13476,
  [13726] = 13477,
  [13727] = 12492,
  [13728] = 13728,
  [13729] = 13326,
  [13730] = 13526,
  [13731] = 13270,
  [13732] = 13528,
  [13733] = 13733,
  [13734] = 12277,
  [13735] = 13735,
  [13736] = 13736,
  [13737] = 12427,
  [13738] = 13738,
  [13739] = 12321,
  [13740] = 13541,
  [13741] = 12407,
  [13742] = 13291,
  [13743] = 12280,
  [13744] = 12276,
  [13745] = 13382,
  [13746] = 12878,
  [13747] = 12345,
  [13748] = 12275,
  [13749] = 12345,
  [13750] = 13750,
  [13751] = 13542,
  [13752] = 12272,
  [13753] = 12271,
  [13754] = 12270,
  [13755] = 13755,
  [13756] = 13507,
  [13757] = 12495,
  [13758] = 12269,
  [13759] = 13673,
  [13760] = 12407,
  [13761] = 13761,
  [13762] = 13538,
  [13763] = 12357,
  [13764] = 12317,
  [13765] = 12863,
  [13766] = 13704,
  [13767] = 12277,
  [13768] = 13580,
  [13769] = 13769,
  [13770] = 12407,
  [13771] = 13709,
  [13772] = 13645,
  [13773] = 12407,
  [13774] = 12676,
  [13775] = 12458,
  [13776] = 12305,
  [13777] = 12297,
  [13778] = 13778,
  [13779] = 13534,
  [13780] = 12316,
  [13781] = 12315,
  [13782] = 12314,
  [13783] = 12313,
  [13784] = 12312,
  [13785] = 12311,
  [13786] = 12310,
  [13787] = 12309,
  [13788] = 12308,
  [13789] = 12307,
  [13790] = 12306,
  [13791] = 12871,
  [13792] = 12304,
  [13793] = 12303,
  [13794] = 13794,
  [13795] = 12302,
  [13796] = 12301,
  [13797] = 12300,
  [13798] = 12299,
  [13799] = 12266,
  [13800] = 13769,
  [13801] = 12495,
  [13802] = 13802,
  [13803] = 12492,
  [13804] = 12277,
  [13805] = 13805,
  [13806] = 12490,
  [13807] = 13778,
  [13808] = 12307,
  [13809] = 13686,
  [13810] = 12407,
  [13811] = 12277,
  [13812] = 12461,
  [13813] = 13532,
  [13814] = 13285,
  [13815] = 12322,
  [13816] = 13816,
  [13817] = 12874,
  [13818] = 13818,
  [13819] = 12423,
  [13820] = 12422,
  [13821] = 12414,
  [13822] = 12412,
  [13823] = 13823,
  [13824] = 12409,
  [13825] = 13825,
  [13826] = 12292,
  [13827] = 12291,
  [13828] = 13496,
  [13829] = 13829,
  [13830] = 13830,
  [13831] = 13709,
  [13832] = 13532,
  [13833] = 12395,
  [13834] = 13834,
  [13835] = 12320,
  [13836] = 13836,
  [13837] = 13837,
  [13838] = 13838,
  [13839] = 13839,
  [13840] = 13141,
  [13841] = 13523,
  [13842] = 12359,
  [13843] = 12357,
  [13844] = 13151,
  [13845] = 12408,
  [13846] = 12386,
  [13847] = 12372,
  [13848] = 12356,
  [13849] = 13849,
  [13850] = 12831,
  [13851] = 13761,
  [13852] = 13852,
  [13853] = 12277,
  [13854] = 13854,
  [13855] = 12347,
  [13856] = 12346,
  [13857] = 13857,
  [13858] = 13858,
  [13859] = 13823,
  [13860] = 13860,
  [13861] = 12338,
  [13862] = 12337,
  [13863] = 12336,
  [13864] = 13864,
  [13865] = 13865,
  [13866] = 13866,
  [13867] = 12331,
  [13868] = 12322,
  [13869] = 12492,
  [13870] = 12316,
  [13871] = 12320,
  [13872] = 13872,
  [13873] = 13873,
  [13874] = 12315,
  [13875] = 12305,
  [13876] = 12314,
  [13877] = 13496,
  [13878] = 13878,
  [13879] = 13879,
  [13880] = 12458,
  [13881] = 13532,
  [13882] = 12269,
  [13883] = 12270,
  [13884] = 12271,
  [13885] = 12272,
  [13886] = 12275,
  [13887] = 12313,
  [13888] = 13141,
  [13889] = 12276,
  [13890] = 12280,
  [13891] = 13825,
  [13892] = 12427,
  [13893] = 12408,
  [13894] = 12386,
  [13895] = 12372,
  [13896] = 12286,
  [13897] = 13897,
  [13898] = 12831,
  [13899] = 13899,
  [13900] = 12312,
  [13901] = 12290,
  [13902] = 12294,
  [13903] = 12311,
  [13904] = 13904,
  [13905] = 13496,
  [13906] = 13834,
  [13907] = 13522,
  [13908] = 13837,
  [13909] = 13532,
  [13910] = 12310,
  [13911] = 12324,
  [13912] = 12289,
  [13913] = 12288,
  [13914] = 12309,
  [13915] = 12323,
  [13916] = 13141,
  [13917] = 12308,
  [13918] = 13849,
  [13919] = 13521,
  [13920] = 12332,
  [13921] = 12408,
  [13922] = 12386,
  [13923] = 12372,
  [13924] = 13924,
  [13925] = 12287,
  [13926] = 12831,
  [13927] = 13083,
  [13928] = 12306,
  [13929] = 12340,
  [13930] = 12348,
  [13931] = 12490,
  [13932] = 12304,
  [13933] = 13496,
  [13934] = 12303,
  [13935] = 13935,
  [13936] = 12302,
  [13937] = 13532,
  [13938] = 13852,
  [13939] = 12301,
  [13940] = 12300,
  [13941] = 13941,
  [13942] = 12338,
  [13943] = 13141,
  [13944] = 12351,
  [13945] = 12283,
  [13946] = 13873,
  [13947] = 12408,
  [13948] = 12386,
  [13949] = 12372,
  [13950] = 12831,
  [13951] = 12284,
  [13952] = 12334,
  [13953] = 12331,
  [13954] = 12357,
  [13955] = 13496,
  [13956] = 13878,
  [13957] = 12345,
  [13958] = 13532,
  [13959] = 13959,
  [13960] = 13960,
  [13961] = 13961,
  [13962] = 13879,
  [13963] = 13141,
  [13964] = 13520,
  [13965] = 12321,
  [13966] = 12408,
  [13967] = 12386,
  [13968] = 12372,
  [13969] = 12831,
  [13970] = 13970,
  [13971] = 13971,
  [13972] = 13972,
  [13973] = 13973,
  [13974] = 13496,
  [13975] = 12299,
  [13976] = 13976,
  [13977] = 13532,
  [13978] = 12266,
  [13979] = 13516,
  [13980] = 13980,
  [13981] = 13981,
  [13982] = 13141,
  [13983] = 13983,
  [13984] = 13984,
  [13985] = 12408,
  [13986] = 12386,
  [13987] = 12372,
  [13988] = 12831,
  [13989] = 12297,
  [13990] = 12277,
  [13991] = 13991,
  [13992] = 12407,
  [13993] = 13496,
  [13994] = 12337,
  [13995] = 13532,
  [13996] = 13996,
  [13997] = 13897,
  [13998] = 12345,
  [13999] = 13141,
  [14000] = 12321,
  [14001] = 12408,
  [14002] = 12386,
  [14003] = 12372,
  [14004] = 12831,
  [14005] = 14005,
  [14006] = 12360,
  [14007] = 14007,
  [14008] = 14008,
  [14009] = 13496,
  [14010] = 13512,
  [14011] = 13532,
  [14012] = 12284,
  [14013] = 14013,
  [14014] = 12346,
  [14015] = 13141,
  [14016] = 12347,
  [14017] = 12408,
  [14018] = 12386,
  [14019] = 12372,
  [14020] = 12831,
  [14021] = 12356,
  [14022] = 14022,
  [14023] = 12359,
  [14024] = 12345,
  [14025] = 13496,
  [14026] = 14026,
  [14027] = 13532,
  [14028] = 13091,
  [14029] = 14029,
  [14030] = 14030,
  [14031] = 13141,
  [14032] = 14032,
  [14033] = 12408,
  [14034] = 12386,
  [14035] = 12372,
  [14036] = 12831,
  [14037] = 12395,
  [14038] = 12291,
  [14039] = 12362,
  [14040] = 13082,
  [14041] = 13496,
  [14042] = 12292,
  [14043] = 13532,
  [14044] = 14044,
  [14045] = 12409,
  [14046] = 13505,
  [14047] = 13141,
  [14048] = 14048,
  [14049] = 12408,
  [14050] = 12386,
  [14051] = 12372,
  [14052] = 12831,
  [14053] = 12357,
  [14054] = 12288,
  [14055] = 14055,
  [14056] = 14056,
  [14057] = 13496,
  [14058] = 13504,
  [14059] = 13532,
  [14060] = 13899,
  [14061] = 13829,
  [14062] = 12324,
  [14063] = 13141,
  [14064] = 12289,
  [14065] = 12408,
  [14066] = 12386,
  [14067] = 12372,
  [14068] = 12831,
  [14069] = 12346,
  [14070] = 13523,
  [14071] = 12288,
  [14072] = 12287,
  [14073] = 13496,
  [14074] = 12336,
  [14075] = 13532,
  [14076] = 13860,
  [14077] = 13904,
  [14078] = 12412,
  [14079] = 13141,
  [14080] = 14080,
  [14081] = 12408,
  [14082] = 12386,
  [14083] = 12372,
  [14084] = 12831,
  [14085] = 12414,
  [14086] = 14086,
  [14087] = 14087,
  [14088] = 14088,
  [14089] = 13496,
  [14090] = 14090,
  [14091] = 13532,
  [14092] = 12422,
  [14093] = 12423,
  [14094] = 14094,
  [14095] = 13141,
  [14096] = 14096,
  [14097] = 12408,
  [14098] = 12386,
  [14099] = 12372,
  [14100] = 12831,
  [14101] = 13924,
  [14102] = 14102,
  [14103] = 13941,
  [14104] = 12334,
  [14105] = 13496,
  [14106] = 14106,
  [14107] = 13532,
  [14108] = 12867,
  [14109] = 12444,
  [14110] = 12284,
  [14111] = 13141,
  [14112] = 14112,
  [14113] = 12408,
  [14114] = 12386,
  [14115] = 12372,
  [14116] = 12831,
  [14117] = 12461,
  [14118] = 12407,
  [14119] = 12949,
  [14120] = 12351,
  [14121] = 13496,
  [14122] = 12461,
  [14123] = 13532,
  [14124] = 14029,
  [14125] = 14032,
  [14126] = 13736,
  [14127] = 13141,
  [14128] = 12490,
  [14129] = 12408,
  [14130] = 12386,
  [14131] = 12372,
  [14132] = 12831,
  [14133] = 12492,
  [14134] = 13668,
  [14135] = 14048,
  [14136] = 12495,
  [14137] = 13496,
  [14138] = 14055,
  [14139] = 13532,
  [14140] = 13899,
  [14141] = 12285,
  [14142] = 12728,
  [14143] = 13141,
  [14144] = 12495,
  [14145] = 12408,
  [14146] = 12386,
  [14147] = 12372,
  [14148] = 12831,
  [14149] = 12492,
  [14150] = 12490,
  [14151] = 13496,
  [14152] = 13141,
  [14153] = 12408,
  [14154] = 12386,
  [14155] = 12372,
  [14156] = 12831,
  [14157] = 12461,
  [14158] = 12444,
  [14159] = 13496,
  [14160] = 13141,
  [14161] = 12408,
  [14162] = 12386,
  [14163] = 12372,
  [14164] = 12831,
  [14165] = 12423,
  [14166] = 12422,
  [14167] = 12414,
  [14168] = 12412,
  [14169] = 12409,
  [14170] = 12395,
  [14171] = 14171,
  [14172] = 12289,
  [14173] = 12359,
  [14174] = 14174,
  [14175] = 12356,
  [14176] = 13055,
  [14177] = 12287,
  [14178] = 14178,
  [14179] = 13496,
  [14180] = 14180,
  [14181] = 14181,
  [14182] = 14182,
  [14183] = 14183,
  [14184] = 12347,
  [14185] = 14185,
  [14186] = 14186,
  [14187] = 12346,
  [14188] = 12283,
  [14189] = 12345,
  [14190] = 14088,
  [14191] = 12277,
  [14192] = 12338,
  [14193] = 12317,
  [14194] = 12348,
  [14195] = 14195,
  [14196] = 12285,
  [14197] = 12337,
  [14198] = 12321,
  [14199] = 12334,
  [14200] = 12340,
  [14201] = 13485,
  [14202] = 12332,
  [14203] = 12284,
  [14204] = 14204,
  [14205] = 14205,
  [14206] = 12323,
  [14207] = 12331,
  [14208] = 13959,
  [14209] = 13488,
  [14210] = 13818,
  [14211] = 13961,
  [14212] = 12351,
  [14213] = 14056,
  [14214] = 12283,
  [14215] = 13818,
  [14216] = 14112,
  [14217] = 12348,
  [14218] = 12322,
  [14219] = 12340,
  [14220] = 12320,
  [14221] = 13971,
  [14222] = 14044,
  [14223] = 13973,
  [14224] = 12332,
  [14225] = 14032,
  [14226] = 13818,
  [14227] = 13512,
  [14228] = 12323,
  [14229] = 13972,
  [14230] = 12294,
  [14231] = 12290,
  [14232] = 13981,
  [14233] = 13720,
  [14234] = 12294,
  [14235] = 13830,
  [14236] = 12291,
  [14237] = 12292,
  [14238] = 12305,
  [14239] = 12458,
  [14240] = 12269,
  [14241] = 14241,
  [14242] = 13794,
  [14243] = 12270,
  [14244] = 13538,
  [14245] = 13761,
  [14246] = 13755,
  [14247] = 12271,
  [14248] = 13750,
  [14249] = 12282,
  [14250] = 13488,
  [14251] = 13686,
  [14252] = 13679,
  [14253] = 12267,
  [14254] = 12272,
  [14255] = 12275,
  [14256] = 12286,
  [14257] = 12276,
  [14258] = 12280,
  [14259] = 12427,
  [14260] = 12286,
  [14261] = 12427,
  [14262] = 13500,
  [14263] = 12281,
  [14264] = 12280,
  [14265] = 12276,
  [14266] = 14266,
  [14267] = 12290,
  [14268] = 12294,
  [14269] = 13275,
  [14270] = 13197,
  [14271] = 13176,
  [14272] = 13149,
  [14273] = 12275,
  [14274] = 12935,
  [14275] = 13671,
  [14276] = 12819,
  [14277] = 12272,
  [14278] = 12756,
  [14279] = 12271,
  [14280] = 12323,
  [14281] = 12332,
  [14282] = 12340,
  [14283] = 12647,
  [14284] = 12505,
  [14285] = 13142,
  [14286] = 12496,
  [14287] = 14287,
  [14288] = 14288,
  [14289] = 14289,
  [14290] = 12348,
  [14291] = 12366,
  [14292] = 13719,
  [14293] = 14293,
  [14294] = 12351,
  [14295] = 12284,
  [14296] = 12334,
  [14297] = 12268,
  [14298] = 12455,
  [14299] = 12270,
  [14300] = 12914,
  [14301] = 12574,
  [14302] = 12750,
  [14303] = 12290,
  [14304] = 12321,
  [14305] = 12359,
  [14306] = 12269,
  [14307] = 12349,
  [14308] = 13105,
  [14309] = 14309,
  [14310] = 13223,
  [14311] = 13054,
  [14312] = 12277,
  [14313] = 12286,
  [14314] = 12407,
  [14315] = 12427,
  [14316] = 12336,
  [14317] = 12358,
  [14318] = 12280,
  [14319] = 12458,
  [14320] = 12872,
  [14321] = 12305,
  [14322] = 12276,
  [14323] = 13050,
  [14324] = 12687,
  [14325] = 12362,
  [14326] = 12275,
  [14327] = 12272,
  [14328] = 12320,
  [14329] = 12271,
  [14330] = 12270,
  [14331] = 12936,
  [14332] = 12322,
  [14333] = 12331,
  [14334] = 12269,
  [14335] = 12363,
  [14336] = 12458,
  [14337] = 12305,
  [14338] = 12336,
  [14339] = 12914,
  [14340] = 13049,
  [14341] = 12345,
  [14342] = 12337,
  [14343] = 12395,
  [14344] = 12338,
  [14345] = 12276,
  [14346] = 12280,
  [14347] = 12320,
  [14348] = 12276,
  [14349] = 12280,
  [14350] = 14350,
  [14351] = 12357,
  [14352] = 13984,
  [14353] = 12346,
  [14354] = 12276,
  [14355] = 12280,
  [14356] = 14356,
  [14357] = 12495,
  [14358] = 12347,
  [14359] = 12276,
  [14360] = 12280,
  [14361] = 12345,
  [14362] = 14362,
  [14363] = 12356,
  [14364] = 12276,
  [14365] = 12280,
  [14366] = 12407,
  [14367] = 13818,
  [14368] = 12277,
  [14369] = 14112,
  [14370] = 14370,
  [14371] = 12280,
  [14372] = 13830,
  [14373] = 13794,
  [14374] = 13755,
  [14375] = 13275,
  [14376] = 13197,
  [14377] = 13176,
  [14378] = 13149,
  [14379] = 12366,
  [14380] = 13996,
  [14381] = 12276,
  [14382] = 14382,
  [14383] = 12280,
  [14384] = 14384,
  [14385] = 13818,
  [14386] = 12321,
  [14387] = 14112,
  [14388] = 12322,
  [14389] = 12276,
  [14390] = 13830,
  [14391] = 13794,
  [14392] = 13755,
  [14393] = 13275,
  [14394] = 13197,
  [14395] = 13176,
  [14396] = 13149,
  [14397] = 12366,
  [14398] = 12280,
  [14399] = 14205,
  [14400] = 14400,
  [14401] = 12334,
  [14402] = 14204,
  [14403] = 14112,
  [14404] = 12345,
  [14405] = 12276,
  [14406] = 13830,
  [14407] = 13794,
  [14408] = 13755,
  [14409] = 13275,
  [14410] = 13197,
  [14411] = 13176,
  [14412] = 13149,
  [14413] = 12366,
  [14414] = 12495,
  [14415] = 12280,
  [14416] = 14416,
  [14417] = 12492,
  [14418] = 12490,
  [14419] = 14112,
  [14420] = 13733,
  [14421] = 12276,
  [14422] = 13830,
  [14423] = 13794,
  [14424] = 13755,
  [14425] = 13275,
  [14426] = 13197,
  [14427] = 13176,
  [14428] = 13149,
  [14429] = 12366,
  [14430] = 12461,
  [14431] = 12444,
  [14432] = 12356,
  [14433] = 12423,
  [14434] = 12395,
  [14435] = 14112,
  [14436] = 12331,
  [14437] = 13794,
  [14438] = 13755,
  [14439] = 13197,
  [14440] = 13176,
  [14441] = 13149,
  [14442] = 12366,
  [14443] = 12422,
  [14444] = 12414,
  [14445] = 12409,
  [14446] = 12412,
  [14447] = 12409,
  [14448] = 14112,
  [14449] = 12412,
  [14450] = 13794,
  [14451] = 13755,
  [14452] = 13197,
  [14453] = 13176,
  [14454] = 13149,
  [14455] = 12366,
  [14456] = 12290,
  [14457] = 13485,
  [14458] = 12284,
  [14459] = 13794,
  [14460] = 13197,
  [14461] = 13176,
  [14462] = 13149,
  [14463] = 12366,
  [14464] = 14464,
  [14465] = 12359,
  [14466] = 12276,
  [14467] = 13794,
  [14468] = 13197,
  [14469] = 13176,
  [14470] = 13149,
  [14471] = 12366,
  [14472] = 12356,
  [14473] = 12347,
  [14474] = 12282,
  [14475] = 13794,
  [14476] = 13197,
  [14477] = 13176,
  [14478] = 13149,
  [14479] = 12366,
  [14480] = 12346,
  [14481] = 12280,
  [14482] = 13480,
  [14483] = 13794,
  [14484] = 13197,
  [14485] = 13176,
  [14486] = 13149,
  [14487] = 12366,
  [14488] = 12338,
  [14489] = 12414,
  [14490] = 14007,
  [14491] = 13794,
  [14492] = 13197,
  [14493] = 13176,
  [14494] = 13149,
  [14495] = 12366,
  [14496] = 14008,
  [14497] = 12422,
  [14498] = 12423,
  [14499] = 13794,
  [14500] = 13197,
  [14501] = 13176,
  [14502] = 13149,
  [14503] = 12366,
  [14504] = 14504,
  [14505] = 12444,
  [14506] = 12337,
  [14507] = 13794,
  [14508] = 13197,
  [14509] = 13176,
  [14510] = 13149,
  [14511] = 12366,
  [14512] = 14022,
  [14513] = 12461,
  [14514] = 12495,
  [14515] = 13794,
  [14516] = 13197,
  [14517] = 13176,
  [14518] = 13149,
  [14519] = 12366,
  [14520] = 12336,
  [14521] = 12492,
  [14522] = 14195,
  [14523] = 13794,
  [14524] = 13197,
  [14525] = 13176,
  [14526] = 13149,
  [14527] = 12366,
  [14528] = 12490,
  [14529] = 14030,
  [14530] = 12461,
  [14531] = 13794,
  [14532] = 13197,
  [14533] = 13176,
  [14534] = 13149,
  [14535] = 12366,
  [14536] = 13794,
  [14537] = 13197,
  [14538] = 13176,
  [14539] = 13149,
  [14540] = 12366,
  [14541] = 13794,
  [14542] = 13197,
  [14543] = 13176,
  [14544] = 13149,
  [14545] = 12366,
  [14546] = 12423,
  [14547] = 12422,
  [14548] = 12414,
  [14549] = 12412,
  [14550] = 12331,
  [14551] = 14551,
  [14552] = 12281,
  [14553] = 12337,
  [14554] = 12322,
  [14555] = 14182,
  [14556] = 12320,
  [14557] = 12359,
  [14558] = 14185,
  [14559] = 12937,
  [14560] = 12337,
  [14561] = 12351,
  [14562] = 14562,
  [14563] = 12305,
  [14564] = 12458,
  [14565] = 14504,
  [14566] = 12347,
  [14567] = 12269,
  [14568] = 12270,
  [14569] = 12271,
  [14570] = 12272,
  [14571] = 12275,
  [14572] = 12357,
  [14573] = 14266,
  [14574] = 12346,
  [14575] = 12338,
  [14576] = 12276,
  [14577] = 14096,
  [14578] = 12280,
  [14579] = 12427,
  [14580] = 12337,
  [14581] = 12286,
  [14582] = 12305,
  [14583] = 12294,
  [14584] = 12458,
  [14585] = 12269,
  [14586] = 12270,
  [14587] = 12323,
  [14588] = 12332,
  [14589] = 12340,
  [14590] = 12348,
  [14591] = 12271,
  [14592] = 12821,
  [14593] = 12272,
  [14594] = 12351,
  [14595] = 12284,
  [14596] = 12334,
  [14597] = 12275,
  [14598] = 12276,
  [14599] = 12280,
  [14600] = 12348,
  [14601] = 12427,
  [14602] = 12820,
  [14603] = 12286,
  [14604] = 12338,
  [14605] = 12321,
  [14606] = 12340,
  [14607] = 12332,
  [14608] = 12290,
  [14609] = 12985,
  [14610] = 12294,
  [14611] = 14080,
  [14612] = 12323,
  [14613] = 12277,
  [14614] = 14614,
  [14615] = 12407,
  [14616] = 14086,
  [14617] = 14087,
  [14618] = 12357,
  [14619] = 12323,
  [14620] = 12936,
  [14621] = 12332,
  [14622] = 12279,
  [14623] = 12278,
  [14624] = 12818,
  [14625] = 12340,
  [14626] = 14185,
  [14627] = 12294,
  [14628] = 14090,
  [14629] = 12345,
  [14630] = 12290,
  [14631] = 12348,
  [14632] = 12286,
  [14633] = 14094,
  [14634] = 12427,
  [14635] = 12357,
  [14636] = 13706,
  [14637] = 12490,
  [14638] = 12280,
  [14639] = 12492,
  [14640] = 12276,
  [14641] = 12346,
  [14642] = 12347,
  [14643] = 12495,
  [14644] = 12336,
  [14645] = 14645,
  [14646] = 12409,
  [14647] = 13707,
  [14648] = 12359,
  [14649] = 12495,
  [14650] = 14650,
  [14651] = 12492,
  [14652] = 12490,
  [14653] = 14653,
  [14654] = 12272,
  [14655] = 14102,
  [14656] = 12271,
  [14657] = 12461,
  [14658] = 12423,
  [14659] = 12359,
  [14660] = 12422,
  [14661] = 12414,
  [14662] = 12412,
  [14663] = 14663,
  [14664] = 12395,
  [14665] = 12359,
  [14666] = 12270,
  [14667] = 12356,
  [14668] = 12269,
  [14669] = 14551,
  [14670] = 12458,
  [14671] = 12495,
  [14672] = 12492,
  [14673] = 14551,
  [14674] = 12490,
  [14675] = 13461,
  [14676] = 14676,
  [14677] = 14551,
  [14678] = 12461,
  [14679] = 12444,
  [14680] = 14551,
  [14681] = 14183,
  [14682] = 14182,
  [14683] = 14551,
  [14684] = 12347,
  [14685] = 12346,
  [14686] = 14551,
  [14687] = 12338,
  [14688] = 12414,
  [14689] = 14551,
  [14690] = 14690,
  [14691] = 12305,
  [14692] = 14551,
  [14693] = 14180,
  [14694] = 12458,
  [14695] = 14551,
  [14696] = 12423,
  [14697] = 14106,
  [14698] = 14551,
  [14699] = 12422,
  [14700] = 12414,
  [14701] = 14551,
  [14702] = 12412,
  [14703] = 12409,
  [14704] = 14551,
  [14705] = 12395,
  [14706] = 12305,
  [14707] = 14551,
  [14708] = 12269,
  [14709] = 14709,
  [14710] = 14551,
  [14711] = 14174,
  [14712] = 12270,
  [14713] = 14551,
  [14714] = 12271,
  [14715] = 12272,
  [14716] = 14551,
  [14717] = 9248,
  [14718] = 12275,
  [14719] = 14551,
  [14720] = 12320,
  [14721] = 14180,
  [14722] = 12276,
  [14723] = 14183,
  [14724] = 13461,
  [14725] = 12356,
  [14726] = 12347,
  [14727] = 12346,
  [14728] = 12280,
  [14729] = 12338,
  [14730] = 12337,
  [14731] = 14204,
  [14732] = 14205,
  [14733] = 12336,
  [14734] = 12331,
  [14735] = 12427,
  [14736] = 14266,
  [14737] = 12322,
  [14738] = 12320,
  [14739] = 13972,
  [14740] = 14740,
  [14741] = 12275,
  [14742] = 12305,
  [14743] = 12286,
  [14744] = 12458,
  [14745] = 12269,
  [14746] = 12270,
  [14747] = 12271,
  [14748] = 12272,
  [14749] = 12275,
  [14750] = 13728,
  [14751] = 12276,
  [14752] = 12280,
  [14753] = 12427,
  [14754] = 12286,
  [14755] = 12290,
  [14756] = 12294,
  [14757] = 12290,
  [14758] = 14758,
  [14759] = 14759,
  [14760] = 12294,
  [14761] = 12323,
  [14762] = 14762,
  [14763] = 14096,
  [14764] = 12332,
  [14765] = 12323,
  [14766] = 12332,
  [14767] = 12340,
  [14768] = 12348,
  [14769] = 14769,
  [14770] = 12351,
  [14771] = 12284,
  [14772] = 12334,
  [14773] = 14773,
  [14774] = 12321,
  [14775] = 14775,
  [14776] = 12277,
  [14777] = 12407,
  [14778] = 12363,
  [14779] = 12930,
  [14780] = 12340,
  [14781] = 12345,
  [14782] = 12926,
  [14783] = 13452,
  [14784] = 13715,
  [14785] = 12357,
  [14786] = 12803,
  [14787] = 12348,
  [14788] = 14788,
  [14789] = 14789,
  [14790] = 12356,
  [14791] = 12916,
  [14792] = 12358,
  [14793] = 12357,
  [14794] = 12495,
  [14795] = 12444,
  [14796] = 13980,
  [14797] = 12492,
  [14798] = 13659,
  [14799] = 12922,
  [14800] = 12490,
  [14801] = 12333,
  [14802] = 12461,
  [14803] = 12495,
  [14804] = 13854,
  [14805] = 13482,
  [14806] = 12444,
  [14807] = 14614,
  [14808] = 12492,
  [14809] = 14309,
  [14810] = 14758,
  [14811] = 12423,
  [14812] = 12490,
  [14813] = 12461,
  [14814] = 12444,
  [14815] = 12422,
  [14816] = 12423,
  [14817] = 12422,
  [14818] = 14171,
  [14819] = 12414,
  [14820] = 12412,
  [14821] = 12409,
  [14822] = 12395,
  [14823] = 14758,
  [14824] = 12359,
  [14825] = 12356,
  [14826] = 14464,
  [14827] = 12347,
  [14828] = 12346,
  [14829] = 13976,
  [14830] = 12338,
  [14831] = 13585,
  [14832] = 12337,
  [14833] = 12760,
  [14834] = 12336,
  [14835] = 12494,
  [14836] = 12331,
  [14837] = 12322,
  [14838] = 14676,
  [14839] = 14382,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(37);
      ADVANCE_MAP(
        '!', 100,
        '"', 2,
        '$', 24,
        '%', 76,
        '\'', 4,
        '(', 41,
        ')', 42,
        '*', 49,
        '+', 72,
        ',', 43,
        '-', 73,
        '.', 48,
        '/', 75,
        ':', 60,
        ';', 38,
        '<', 54,
        '=', 46,
        '>', 55,
        '?', 50,
        '@', 82,
        '[', 39,
        ']', 40,
        '^', 77,
        '`', 31,
        '|', 13,
        '#', 81,
        '~', 81,
        'U', 102,
        'u', 102,
        'B', 103,
        'X', 103,
        'b', 103,
        'x', 103,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(32);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(86);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        '!', 99,
        '"', 2,
        '$', 24,
        '\'', 4,
        '(', 41,
        ')', 42,
        '*', 49,
        '+', 72,
        '-', 73,
        '.', 28,
        '/', 7,
        '0', 87,
        '?', 50,
        '@', 82,
        ']', 40,
        '`', 31,
        '|', 13,
        '#', 81,
        '~', 81,
        'U', 102,
        'u', 102,
        'B', 103,
        'X', 103,
        'b', 103,
        'x', 103,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(88);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 2:
      if (lookahead == '"') ADVANCE(83);
      if (lookahead != 0) ADVANCE(2);
      END_STATE();
    case 3:
      if (lookahead == '\'') ADVANCE(4);
      END_STATE();
    case 4:
      if (lookahead == '\'') ADVANCE(84);
      if (lookahead != 0) ADVANCE(4);
      END_STATE();
    case 5:
      if (lookahead == '\'') ADVANCE(98);
      if (lookahead != 0) ADVANCE(5);
      END_STATE();
    case 6:
      if (lookahead == '\'') ADVANCE(85);
      if (lookahead != 0) ADVANCE(6);
      END_STATE();
    case 7:
      if (lookahead == '*') ADVANCE(9);
      END_STATE();
    case 8:
      if (lookahead == '*') ADVANCE(8);
      if (lookahead == '/') ADVANCE(45);
      if (lookahead != 0) ADVANCE(9);
      END_STATE();
    case 9:
      if (lookahead == '*') ADVANCE(8);
      if (lookahead != 0) ADVANCE(9);
      END_STATE();
    case 10:
      if (lookahead == '+') ADVANCE(72);
      if (lookahead == '-') ADVANCE(73);
      if (lookahead == '/') ADVANCE(7);
      if (lookahead == '0') ADVANCE(92);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(10);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(93);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 11:
      if (lookahead == '-') ADVANCE(61);
      END_STATE();
    case 12:
      if (lookahead == '/') ADVANCE(81);
      END_STATE();
    case 13:
      if (lookahead == '/') ADVANCE(81);
      if (lookahead == '|') ADVANCE(12);
      END_STATE();
    case 14:
      if (lookahead == ':') ADVANCE(52);
      if (lookahead == '=') ADVANCE(47);
      END_STATE();
    case 15:
      if (lookahead == '=') ADVANCE(79);
      if (lookahead == '~') ADVANCE(63);
      END_STATE();
    case 16:
      if (lookahead == '>') ADVANCE(61);
      END_STATE();
    case 17:
      if (lookahead == '@') ADVANCE(81);
      END_STATE();
    case 18:
      if (lookahead == '@') ADVANCE(69);
      if (lookahead == '>' ||
          lookahead == '?') ADVANCE(61);
      END_STATE();
    case 19:
      if (lookahead == '`') ADVANCE(101);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(19);
      END_STATE();
    case 20:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(26);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(94);
      END_STATE();
    case 21:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(29);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(96);
      END_STATE();
    case 22:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(89);
      END_STATE();
    case 23:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(90);
      END_STATE();
    case 24:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(51);
      END_STATE();
    case 25:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(93);
      END_STATE();
    case 26:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(94);
      END_STATE();
    case 27:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(88);
      END_STATE();
    case 28:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(95);
      END_STATE();
    case 29:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(96);
      END_STATE();
    case 30:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(91);
      END_STATE();
    case 31:
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(19);
      END_STATE();
    case 32:
      if (eof) ADVANCE(37);
      ADVANCE_MAP(
        '!', 100,
        '"', 2,
        '$', 24,
        '%', 76,
        '\'', 4,
        '(', 41,
        ')', 42,
        '*', 49,
        '+', 72,
        ',', 43,
        '-', 73,
        '.', 48,
        '/', 75,
        ':', 60,
        ';', 38,
        '<', 54,
        '=', 46,
        '>', 55,
        '?', 50,
        '@', 82,
        '[', 39,
        ']', 40,
        '^', 77,
        '`', 31,
        '|', 13,
        '#', 81,
        '~', 81,
        'U', 102,
        'u', 102,
        'B', 103,
        'X', 103,
        'b', 103,
        'x', 103,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(32);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(86);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 33:
      if (eof) ADVANCE(37);
      ADVANCE_MAP(
        '!', 15,
        '"', 2,
        '#', 67,
        '%', 76,
        '&', 65,
        '\'', 4,
        '(', 41,
        ')', 42,
        '*', 49,
        '+', 72,
        ',', 43,
        '-', 74,
        '.', 48,
        '/', 75,
        '0', 92,
        ':', 14,
        ';', 38,
        '<', 53,
        '=', 46,
        '>', 56,
        '?', 64,
        '@', 18,
        '[', 39,
        '^', 78,
        '`', 31,
        '|', 62,
        '~', 63,
        'U', 102,
        'u', 102,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(33);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(93);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 34:
      if (eof) ADVANCE(37);
      ADVANCE_MAP(
        '!', 15,
        '"', 2,
        '#', 67,
        '%', 76,
        '&', 65,
        '\'', 4,
        '(', 41,
        ')', 42,
        '*', 49,
        '+', 72,
        ',', 43,
        '-', 74,
        '.', 48,
        '/', 75,
        ':', 59,
        ';', 38,
        '<', 53,
        '=', 46,
        '>', 56,
        '?', 64,
        '@', 18,
        '[', 39,
        ']', 40,
        '^', 78,
        '`', 31,
        '|', 62,
        '~', 63,
        'U', 102,
        'u', 102,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(34);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 35:
      if (eof) ADVANCE(37);
      ADVANCE_MAP(
        '!', 15,
        '"', 2,
        '#', 67,
        '%', 76,
        '&', 65,
        '\'', 6,
        '(', 41,
        ')', 42,
        '*', 49,
        '+', 72,
        ',', 43,
        '-', 74,
        '.', 48,
        '/', 75,
        ':', 59,
        ';', 38,
        '<', 53,
        '=', 46,
        '>', 56,
        '?', 64,
        '@', 18,
        '[', 39,
        ']', 40,
        '^', 78,
        '`', 31,
        '|', 62,
        '~', 63,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(35);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(86);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 36:
      if (eof) ADVANCE(37);
      ADVANCE_MAP(
        '!', 15,
        '"', 2,
        '#', 67,
        '%', 76,
        '&', 65,
        '(', 41,
        ')', 42,
        '*', 49,
        '+', 72,
        ',', 43,
        '-', 74,
        '.', 48,
        '/', 75,
        ':', 14,
        ';', 38,
        '<', 53,
        '=', 46,
        '>', 56,
        '?', 64,
        '@', 18,
        '[', 39,
        '^', 78,
        '`', 31,
        '|', 62,
        '~', 63,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(36);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 37:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 38:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(44);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(sym_marginalia);
      END_STATE();
    case 46:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 48:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(sym_parameter);
      if (lookahead == '-' ||
          lookahead == '|') ADVANCE(81);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(sym_parameter);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(51);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(16);
      if (lookahead == '<') ADVANCE(71);
      if (lookahead == '=') ADVANCE(57);
      if (lookahead == '>') ADVANCE(80);
      if (lookahead == '@' ||
          lookahead == '^') ADVANCE(61);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(57);
      if (lookahead == '>') ADVANCE(80);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(58);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(58);
      if (lookahead == '>') ADVANCE(66);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(52);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(52);
      if (lookahead == '=') ADVANCE(47);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(sym_op_other);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(sym_op_other);
      if (lookahead == '&') ADVANCE(16);
      if (lookahead == '>') ADVANCE(16);
      if (lookahead == '|') ADVANCE(61);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(sym_op_other);
      if (lookahead == '*') ADVANCE(61);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(sym_op_other);
      if (lookahead == '-') ADVANCE(70);
      if (lookahead == '|') ADVANCE(70);
      if (lookahead == '#' ||
          lookahead == '&') ADVANCE(61);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(sym_op_other);
      if (lookahead == '<') ADVANCE(70);
      if (lookahead == '>') ADVANCE(61);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(sym_op_other);
      if (lookahead == '=') ADVANCE(61);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(sym_op_other);
      if (lookahead == '>') ADVANCE(68);
      if (lookahead == '#' ||
          lookahead == '-') ADVANCE(61);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym_op_other);
      if (lookahead == '>') ADVANCE(61);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(sym_op_other);
      if (lookahead == '@') ADVANCE(61);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(sym_op_other);
      if (lookahead == '|') ADVANCE(61);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(sym_op_other);
      if (lookahead == '=' ||
          lookahead == '|') ADVANCE(61);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(44);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(44);
      if (lookahead == '>') ADVANCE(68);
      if (lookahead == '|') ADVANCE(11);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(9);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '>' ||
          lookahead == '@') ADVANCE(61);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(sym_op_unary_other);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(sym_op_unary_other);
      if (lookahead == '-') ADVANCE(17);
      if (lookahead == '@') ADVANCE(81);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(sym__double_quote_string);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(aux_sym__single_quote_string_token1);
      if (lookahead == '\'') ADVANCE(4);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(aux_sym__single_quote_string_token2);
      if (lookahead == '\'') ADVANCE(6);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym__natural_number);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(86);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(aux_sym__integer_token1);
      ADVANCE_MAP(
        '.', 97,
        '_', 27,
        'e', 20,
        'B', 22,
        'b', 22,
        'O', 23,
        'o', 23,
        'X', 30,
        'x', 30,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(88);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(aux_sym__integer_token1);
      if (lookahead == '.') ADVANCE(97);
      if (lookahead == '_') ADVANCE(27);
      if (lookahead == 'e') ADVANCE(20);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(88);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(aux_sym__integer_token1);
      if (lookahead == '_') ADVANCE(22);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(89);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(aux_sym__integer_token1);
      if (lookahead == '_') ADVANCE(23);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(90);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(aux_sym__integer_token1);
      if (lookahead == '_') ADVANCE(30);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(91);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(aux_sym__integer_token1);
      ADVANCE_MAP(
        '_', 25,
        'e', 20,
        'B', 22,
        'b', 22,
        'O', 23,
        'o', 23,
        'X', 30,
        'x', 30,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(93);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(aux_sym__integer_token1);
      if (lookahead == '_') ADVANCE(25);
      if (lookahead == 'e') ADVANCE(20);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(93);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(aux_sym__integer_token1);
      if (lookahead == '_') ADVANCE(26);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(94);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(aux_sym__decimal_number_token1);
      if (lookahead == '_') ADVANCE(28);
      if (lookahead == 'e') ADVANCE(21);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(95);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(aux_sym__decimal_number_token1);
      if (lookahead == '_') ADVANCE(29);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(96);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(aux_sym__decimal_number_token1);
      if (lookahead == 'e') ADVANCE(21);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(95);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(aux_sym__bit_string_token1);
      if (lookahead == '\'') ADVANCE(5);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_bang);
      if (lookahead == '!') ADVANCE(81);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_bang);
      if (lookahead == '!') ADVANCE(81);
      if (lookahead == '=') ADVANCE(79);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(aux_sym_identifier_token1);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == '&') ADVANCE(3);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym__identifier);
      if (lookahead == '\'') ADVANCE(5);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym__identifier);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        'A', 1,
        'a', 1,
        'B', 2,
        'b', 2,
        'C', 3,
        'c', 3,
        'D', 4,
        'd', 4,
        'E', 5,
        'e', 5,
        'F', 6,
        'f', 6,
        'G', 7,
        'g', 7,
        'H', 8,
        'h', 8,
        'I', 9,
        'i', 9,
        'J', 10,
        'j', 10,
        'K', 11,
        'k', 11,
        'L', 12,
        'l', 12,
        'M', 13,
        'm', 13,
        'N', 14,
        'n', 14,
        'O', 15,
        'o', 15,
        'P', 16,
        'p', 16,
        'Q', 17,
        'q', 17,
        'R', 18,
        'r', 18,
        'S', 19,
        's', 19,
        'T', 20,
        't', 20,
        'U', 21,
        'u', 21,
        'V', 22,
        'v', 22,
        'W', 23,
        'w', 23,
        'X', 24,
        'x', 24,
        'Z', 25,
        'z', 25,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(26);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        'C', 27,
        'c', 27,
        'D', 28,
        'd', 28,
        'F', 29,
        'f', 29,
        'L', 30,
        'l', 30,
        'N', 31,
        'n', 31,
        'R', 32,
        'r', 32,
        'S', 33,
        's', 33,
        'T', 34,
        't', 34,
        'U', 35,
        'u', 35,
        'V', 36,
        'v', 36,
      );
      END_STATE();
    case 2:
      ADVANCE_MAP(
        'E', 37,
        'e', 37,
        'I', 38,
        'i', 38,
        'O', 39,
        'o', 39,
        'R', 40,
        'r', 40,
        'T', 41,
        't', 41,
        'Y', 42,
        'y', 42,
      );
      END_STATE();
    case 3:
      ADVANCE_MAP(
        'A', 43,
        'a', 43,
        'H', 44,
        'h', 44,
        'O', 45,
        'o', 45,
        'R', 46,
        'r', 46,
        'S', 47,
        's', 47,
        'U', 48,
        'u', 48,
        'Y', 49,
        'y', 49,
      );
      END_STATE();
    case 4:
      ADVANCE_MAP(
        'A', 50,
        'a', 50,
        'E', 51,
        'e', 51,
        'I', 52,
        'i', 52,
        'O', 53,
        'o', 53,
        'R', 54,
        'r', 54,
        'U', 55,
        'u', 55,
      );
      END_STATE();
    case 5:
      ADVANCE_MAP(
        'A', 56,
        'a', 56,
        'L', 57,
        'l', 57,
        'N', 58,
        'n', 58,
        'S', 59,
        's', 59,
        'X', 60,
        'x', 60,
      );
      END_STATE();
    case 6:
      ADVANCE_MAP(
        'A', 61,
        'a', 61,
        'I', 62,
        'i', 62,
        'L', 63,
        'l', 63,
        'O', 64,
        'o', 64,
        'R', 65,
        'r', 65,
        'U', 66,
        'u', 66,
      );
      END_STATE();
    case 7:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(67);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(68);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(69);
      END_STATE();
    case 8:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(70);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(71);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(72);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        'F', 73,
        'f', 73,
        'G', 74,
        'g', 74,
        'L', 75,
        'l', 75,
        'M', 76,
        'm', 76,
        'N', 77,
        'n', 77,
        'S', 78,
        's', 78,
      );
      END_STATE();
    case 10:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(79);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(80);
      END_STATE();
    case 11:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(81);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        'A', 82,
        'a', 82,
        'E', 83,
        'e', 83,
        'I', 84,
        'i', 84,
        'O', 85,
        'o', 85,
      );
      END_STATE();
    case 13:
      ADVANCE_MAP(
        'A', 86,
        'a', 86,
        'E', 87,
        'e', 87,
        'I', 88,
        'i', 88,
        'O', 89,
        'o', 89,
      );
      END_STATE();
    case 14:
      ADVANCE_MAP(
        'A', 90,
        'a', 90,
        'C', 91,
        'c', 91,
        'E', 92,
        'e', 92,
        'O', 93,
        'o', 93,
        'U', 94,
        'u', 94,
        'V', 95,
        'v', 95,
      );
      END_STATE();
    case 15:
      ADVANCE_MAP(
        'F', 96,
        'f', 96,
        'I', 97,
        'i', 97,
        'L', 98,
        'l', 98,
        'N', 99,
        'n', 99,
        'P', 100,
        'p', 100,
        'R', 101,
        'r', 101,
        'T', 102,
        't', 102,
        'U', 103,
        'u', 103,
        'V', 104,
        'v', 104,
        'W', 105,
        'w', 105,
      );
      END_STATE();
    case 16:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(106);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(107);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(108);
      END_STATE();
    case 17:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(109);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        'A', 110,
        'a', 110,
        'C', 111,
        'c', 111,
        'E', 112,
        'e', 112,
        'I', 113,
        'i', 113,
        'O', 114,
        'o', 114,
      );
      END_STATE();
    case 19:
      ADVANCE_MAP(
        'A', 115,
        'a', 115,
        'C', 116,
        'c', 116,
        'E', 117,
        'e', 117,
        'H', 118,
        'h', 118,
        'I', 119,
        'i', 119,
        'M', 120,
        'm', 120,
        'N', 121,
        'n', 121,
        'O', 122,
        'o', 122,
        'P', 123,
        'p', 123,
        'T', 124,
        't', 124,
        'U', 125,
        'u', 125,
      );
      END_STATE();
    case 20:
      ADVANCE_MAP(
        'A', 126,
        'a', 126,
        'B', 127,
        'b', 127,
        'E', 128,
        'e', 128,
        'H', 129,
        'h', 129,
        'I', 130,
        'i', 130,
        'O', 131,
        'o', 131,
        'R', 132,
        'r', 132,
        'Y', 133,
        'y', 133,
      );
      END_STATE();
    case 21:
      ADVANCE_MAP(
        'N', 134,
        'n', 134,
        'P', 135,
        'p', 135,
        'S', 136,
        's', 136,
        'U', 137,
        'u', 137,
      );
      END_STATE();
    case 22:
      ADVANCE_MAP(
        'A', 138,
        'a', 138,
        'E', 139,
        'e', 139,
        'I', 140,
        'i', 140,
        'O', 141,
        'o', 141,
      );
      END_STATE();
    case 23:
      ADVANCE_MAP(
        'A', 142,
        'a', 142,
        'H', 143,
        'h', 143,
        'I', 144,
        'i', 144,
        'R', 145,
        'r', 145,
      );
      END_STATE();
    case 24:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(146);
      END_STATE();
    case 25:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(147);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(148);
      END_STATE();
    case 26:
      ADVANCE_MAP(
        'A', 1,
        'a', 1,
        'B', 2,
        'b', 2,
        'C', 3,
        'c', 3,
        'D', 4,
        'd', 4,
        'E', 5,
        'e', 5,
        'F', 6,
        'f', 6,
        'G', 7,
        'g', 7,
        'H', 8,
        'h', 8,
        'I', 9,
        'i', 9,
        'J', 10,
        'j', 10,
        'K', 11,
        'k', 11,
        'L', 12,
        'l', 12,
        'M', 13,
        'm', 13,
        'N', 14,
        'n', 14,
        'O', 15,
        'o', 15,
        'P', 16,
        'p', 16,
        'Q', 17,
        'q', 17,
        'R', 18,
        'r', 18,
        'S', 19,
        's', 19,
        'T', 20,
        't', 20,
        'U', 21,
        'u', 21,
        'V', 22,
        'v', 22,
        'W', 23,
        'w', 23,
        'X', 24,
        'x', 24,
        'Z', 25,
        'z', 25,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(26);
      END_STATE();
    case 27:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(149);
      END_STATE();
    case 28:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(150);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(151);
      END_STATE();
    case 29:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(152);
      END_STATE();
    case 30:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(153);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(154);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(155);
      END_STATE();
    case 31:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(156);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(157);
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(158);
      END_STATE();
    case 32:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(159);
      END_STATE();
    case 33:
      ACCEPT_TOKEN(sym_keyword_as);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(160);
      END_STATE();
    case 34:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(161);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(162);
      END_STATE();
    case 35:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(163);
      END_STATE();
    case 36:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(164);
      END_STATE();
    case 37:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(165);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(166);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(167);
      END_STATE();
    case 38:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(168);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(169);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(170);
      END_STATE();
    case 39:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(171);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(172);
      END_STATE();
    case 40:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(173);
      END_STATE();
    case 41:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(174);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(sym_keyword_by);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(175);
      END_STATE();
    case 43:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(176);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(177);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(178);
      END_STATE();
    case 44:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(179);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(180);
      END_STATE();
    case 45:
      ADVANCE_MAP(
        'L', 181,
        'l', 181,
        'M', 182,
        'm', 182,
        'N', 183,
        'n', 183,
        'P', 184,
        'p', 184,
        'S', 185,
        's', 185,
      );
      END_STATE();
    case 46:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(186);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(187);
      END_STATE();
    case 47:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(188);
      END_STATE();
    case 48:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(189);
      END_STATE();
    case 49:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(190);
      END_STATE();
    case 50:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(191);
      END_STATE();
    case 51:
      ADVANCE_MAP(
        'C', 192,
        'c', 192,
        'F', 193,
        'f', 193,
        'L', 194,
        'l', 194,
        'S', 195,
        's', 195,
      );
      END_STATE();
    case 52:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(196);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(sym_keyword_do);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(197);
      END_STATE();
    case 54:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(198);
      END_STATE();
    case 55:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(199);
      END_STATE();
    case 56:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(200);
      END_STATE();
    case 57:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(201);
      END_STATE();
    case 58:
      ADVANCE_MAP(
        'C', 202,
        'c', 202,
        'D', 203,
        'd', 203,
        'G', 204,
        'g', 204,
        'U', 205,
        'u', 205,
      );
      END_STATE();
    case 59:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(206);
      END_STATE();
    case 60:
      ADVANCE_MAP(
        'C', 207,
        'c', 207,
        'E', 208,
        'e', 208,
        'I', 209,
        'i', 209,
        'P', 210,
        'p', 210,
        'T', 211,
        't', 211,
      );
      END_STATE();
    case 61:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(212);
      END_STATE();
    case 62:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(213);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(214);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(215);
      END_STATE();
    case 63:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(216);
      END_STATE();
    case 64:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(217);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(218);
      END_STATE();
    case 65:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(219);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(220);
      END_STATE();
    case 66:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(221);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(222);
      END_STATE();
    case 67:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(223);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(224);
      END_STATE();
    case 68:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(225);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(226);
      END_STATE();
    case 69:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(227);
      END_STATE();
    case 70:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(228);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(229);
      END_STATE();
    case 71:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(230);
      END_STATE();
    case 72:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(231);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(sym_keyword_if);
      END_STATE();
    case 74:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(232);
      END_STATE();
    case 75:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(233);
      END_STATE();
    case 76:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(234);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(235);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(sym_keyword_in);
      ADVANCE_MAP(
        'C', 236,
        'c', 236,
        'D', 237,
        'd', 237,
        'E', 238,
        'e', 238,
        'I', 239,
        'i', 239,
        'N', 240,
        'n', 240,
        'O', 241,
        'o', 241,
        'P', 242,
        'p', 242,
        'S', 243,
        's', 243,
        'T', 244,
        't', 244,
        'V', 245,
        'v', 245,
      );
      END_STATE();
    case 78:
      ACCEPT_TOKEN(sym_keyword_is);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(246);
      END_STATE();
    case 79:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(247);
      END_STATE();
    case 80:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(248);
      END_STATE();
    case 81:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(249);
      END_STATE();
    case 82:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(250);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(251);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(252);
      END_STATE();
    case 83:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(253);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(254);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(255);
      END_STATE();
    case 84:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(256);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(257);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(258);
      END_STATE();
    case 85:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(259);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(260);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(261);
      END_STATE();
    case 86:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(262);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(263);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(264);
      END_STATE();
    case 87:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(265);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(266);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(267);
      END_STATE();
    case 88:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(268);
      END_STATE();
    case 89:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(269);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(270);
      END_STATE();
    case 90:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(271);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(272);
      END_STATE();
    case 91:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(273);
      END_STATE();
    case 92:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(274);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_keyword_no);
      ADVANCE_MAP(
        'N', 275,
        'n', 275,
        'S', 276,
        's', 276,
        'T', 277,
        't', 277,
        'W', 278,
        'w', 278,
      );
      END_STATE();
    case 94:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(279);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(280);
      END_STATE();
    case 95:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(281);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(sym_keyword_of);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(282);
      END_STATE();
    case 97:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(283);
      END_STATE();
    case 98:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(284);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_keyword_on);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(285);
      END_STATE();
    case 100:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(286);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym_keyword_or);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(287);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(288);
      END_STATE();
    case 102:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(289);
      END_STATE();
    case 103:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(290);
      END_STATE();
    case 104:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(291);
      END_STATE();
    case 105:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(292);
      END_STATE();
    case 106:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(293);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(294);
      END_STATE();
    case 107:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(295);
      END_STATE();
    case 108:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(296);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(297);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(298);
      END_STATE();
    case 109:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(299);
      END_STATE();
    case 110:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(300);
      END_STATE();
    case 111:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(301);
      END_STATE();
    case 112:
      ADVANCE_MAP(
        'A', 302,
        'a', 302,
        'C', 303,
        'c', 303,
        'F', 304,
        'f', 304,
        'G', 305,
        'g', 305,
        'N', 306,
        'n', 306,
        'P', 307,
        'p', 307,
        'S', 308,
        's', 308,
        'T', 309,
        't', 309,
        'W', 310,
        'w', 310,
      );
      END_STATE();
    case 113:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(311);
      END_STATE();
    case 114:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(312);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(313);
      END_STATE();
    case 115:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(314);
      END_STATE();
    case 116:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(315);
      END_STATE();
    case 117:
      ADVANCE_MAP(
        'C', 316,
        'c', 316,
        'L', 317,
        'l', 317,
        'P', 318,
        'p', 318,
        'Q', 319,
        'q', 319,
        'R', 320,
        'r', 320,
        'S', 321,
        's', 321,
        'T', 322,
        't', 322,
      );
      END_STATE();
    case 118:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(323);
      END_STATE();
    case 119:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(324);
      END_STATE();
    case 120:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(325);
      END_STATE();
    case 121:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(326);
      END_STATE();
    case 122:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(327);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(328);
      END_STATE();
    case 123:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(329);
      END_STATE();
    case 124:
      ADVANCE_MAP(
        'A', 330,
        'a', 330,
        'D', 331,
        'd', 331,
        'O', 332,
        'o', 332,
        'R', 333,
        'r', 333,
      );
      END_STATE();
    case 125:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(334);
      END_STATE();
    case 126:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(335);
      END_STATE();
    case 127:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(336);
      END_STATE();
    case 128:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(337);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(338);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(339);
      END_STATE();
    case 129:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(340);
      END_STATE();
    case 130:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(341);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(342);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(343);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_keyword_to);
      END_STATE();
    case 132:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(344);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(345);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(346);
      END_STATE();
    case 133:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(347);
      END_STATE();
    case 134:
      ADVANCE_MAP(
        'B', 348,
        'b', 348,
        'C', 349,
        'c', 349,
        'I', 350,
        'i', 350,
        'L', 351,
        'l', 351,
        'S', 352,
        's', 352,
        'T', 353,
        't', 353,
      );
      END_STATE();
    case 135:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(354);
      END_STATE();
    case 136:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(355);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(356);
      END_STATE();
    case 137:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(357);
      END_STATE();
    case 138:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(358);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(359);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(360);
      END_STATE();
    case 139:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(361);
      END_STATE();
    case 140:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(362);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(363);
      END_STATE();
    case 141:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(364);
      END_STATE();
    case 142:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(365);
      END_STATE();
    case 143:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(366);
      END_STATE();
    case 144:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(367);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(368);
      END_STATE();
    case 145:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(369);
      END_STATE();
    case 146:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(370);
      END_STATE();
    case 147:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(371);
      END_STATE();
    case 148:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(372);
      END_STATE();
    case 149:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(373);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_keyword_add);
      END_STATE();
    case 151:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(374);
      END_STATE();
    case 152:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(375);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_keyword_all);
      END_STATE();
    case 154:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(376);
      END_STATE();
    case 155:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(377);
      END_STATE();
    case 156:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(378);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_keyword_and);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_keyword_any);
      END_STATE();
    case 159:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(379);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_keyword_asc);
      END_STATE();
    case 161:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(380);
      END_STATE();
    case 162:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(381);
      END_STATE();
    case 163:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(382);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(383);
      END_STATE();
    case 164:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(384);
      END_STATE();
    case 165:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(385);
      END_STATE();
    case 166:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(386);
      END_STATE();
    case 167:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(387);
      END_STATE();
    case 168:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(388);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(389);
      END_STATE();
    case 169:
      if (lookahead == '_') ADVANCE(390);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(391);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_keyword_bit);
      END_STATE();
    case 171:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(392);
      END_STATE();
    case 172:
      if (lookahead == '2') ADVANCE(393);
      if (lookahead == '3') ADVANCE(394);
      END_STATE();
    case 173:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(395);
      END_STATE();
    case 174:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(396);
      END_STATE();
    case 175:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(397);
      END_STATE();
    case 176:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(398);
      END_STATE();
    case 177:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(399);
      END_STATE();
    case 178:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(400);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(401);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(402);
      END_STATE();
    case 179:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(403);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(404);
      END_STATE();
    case 180:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(405);
      END_STATE();
    case 181:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(406);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(407);
      END_STATE();
    case 182:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(408);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(409);
      END_STATE();
    case 183:
      ADVANCE_MAP(
        'C', 410,
        'c', 410,
        'F', 411,
        'f', 411,
        'N', 412,
        'n', 412,
        'S', 413,
        's', 413,
      );
      END_STATE();
    case 184:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(414);
      END_STATE();
    case 185:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(415);
      END_STATE();
    case 186:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(416);
      END_STATE();
    case 187:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(417);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_keyword_csv);
      END_STATE();
    case 189:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(418);
      END_STATE();
    case 190:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(419);
      END_STATE();
    case 191:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(420);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(421);
      END_STATE();
    case 192:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(422);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(423);
      END_STATE();
    case 193:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(424);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(425);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(426);
      END_STATE();
    case 194:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(427);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(428);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(429);
      END_STATE();
    case 195:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(430);
      END_STATE();
    case 196:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(431);
      END_STATE();
    case 197:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(432);
      END_STATE();
    case 198:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(433);
      END_STATE();
    case 199:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(434);
      END_STATE();
    case 200:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(435);
      END_STATE();
    case 201:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(436);
      END_STATE();
    case 202:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(437);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(438);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym_keyword_end);
      END_STATE();
    case 204:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(439);
      END_STATE();
    case 205:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(440);
      END_STATE();
    case 206:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(441);
      END_STATE();
    case 207:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(442);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(443);
      END_STATE();
    case 208:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(444);
      END_STATE();
    case 209:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(445);
      END_STATE();
    case 210:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(446);
      END_STATE();
    case 211:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(447);
      END_STATE();
    case 212:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(448);
      END_STATE();
    case 213:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(449);
      END_STATE();
    case 214:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(450);
      END_STATE();
    case 215:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(451);
      END_STATE();
    case 216:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(452);
      END_STATE();
    case 217:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(453);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym_keyword_for);
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(454);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(455);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(456);
      END_STATE();
    case 219:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(457);
      END_STATE();
    case 220:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(458);
      END_STATE();
    case 221:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(459);
      END_STATE();
    case 222:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(460);
      END_STATE();
    case 223:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(461);
      END_STATE();
    case 224:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(462);
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(463);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_keyword_gin);
      END_STATE();
    case 226:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(464);
      END_STATE();
    case 227:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(465);
      END_STATE();
    case 228:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(466);
      END_STATE();
    case 229:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(467);
      END_STATE();
    case 230:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(468);
      END_STATE();
    case 231:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(469);
      END_STATE();
    case 232:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(470);
      END_STATE();
    case 233:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(471);
      END_STATE();
    case 234:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(472);
      END_STATE();
    case 235:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(473);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(474);
      END_STATE();
    case 236:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(475);
      END_STATE();
    case 237:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(476);
      END_STATE();
    case 238:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(477);
      END_STATE();
    case 239:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(478);
      END_STATE();
    case 240:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(479);
      END_STATE();
    case 241:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(480);
      END_STATE();
    case 242:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(481);
      END_STATE();
    case 243:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(482);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(483);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(aux_sym_keyword_int_token1);
      ADVANCE_MAP(
        '1', 484,
        '2', 485,
        '3', 486,
        '4', 487,
        '8', 488,
        'E', 489,
        'e', 489,
        'O', 490,
        'o', 490,
      );
      END_STATE();
    case 245:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(491);
      END_STATE();
    case 246:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(492);
      END_STATE();
    case 247:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(493);
      END_STATE();
    case 248:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(494);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_keyword_key);
      END_STATE();
    case 250:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(495);
      END_STATE();
    case 251:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(496);
      END_STATE();
    case 252:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(497);
      END_STATE();
    case 253:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(498);
      END_STATE();
    case 254:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(499);
      END_STATE();
    case 255:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(500);
      END_STATE();
    case 256:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(501);
      END_STATE();
    case 257:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(502);
      END_STATE();
    case 258:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(503);
      END_STATE();
    case 259:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(504);
      END_STATE();
    case 260:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(505);
      END_STATE();
    case 261:
      if (lookahead == '_') ADVANCE(506);
      END_STATE();
    case 262:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(507);
      END_STATE();
    case 263:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(508);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(509);
      END_STATE();
    case 264:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(510);
      END_STATE();
    case 265:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(511);
      END_STATE();
    case 266:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(512);
      END_STATE();
    case 267:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(513);
      END_STATE();
    case 268:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(514);
      END_STATE();
    case 269:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(515);
      END_STATE();
    case 270:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(516);
      END_STATE();
    case 271:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(517);
      END_STATE();
    case 272:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(518);
      END_STATE();
    case 273:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(519);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(sym_keyword_new);
      END_STATE();
    case 275:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(520);
      END_STATE();
    case 276:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(521);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(sym_keyword_not);
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(522);
      END_STATE();
    case 278:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(523);
      END_STATE();
    case 279:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(524);
      END_STATE();
    case 280:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(525);
      END_STATE();
    case 281:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(526);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(sym_keyword_off);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(527);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(sym_keyword_oid);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(528);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(sym_keyword_old);
      END_STATE();
    case 285:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(529);
      END_STATE();
    case 286:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(530);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(sym_keyword_orc);
      END_STATE();
    case 288:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(531);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(532);
      END_STATE();
    case 289:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(533);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(sym_keyword_out);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(534);
      END_STATE();
    case 291:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(535);
      END_STATE();
    case 292:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(536);
      END_STATE();
    case 293:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(537);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(538);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(539);
      END_STATE();
    case 294:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(540);
      END_STATE();
    case 295:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(541);
      END_STATE();
    case 296:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(542);
      END_STATE();
    case 297:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(543);
      END_STATE();
    case 298:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(544);
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(545);
      END_STATE();
    case 299:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(546);
      END_STATE();
    case 300:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(547);
      END_STATE();
    case 301:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(548);
      END_STATE();
    case 302:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(549);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(550);
      END_STATE();
    case 303:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(551);
      END_STATE();
    case 304:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(552);
      END_STATE();
    case 305:
      ADVANCE_MAP(
        'C', 553,
        'c', 553,
        'N', 554,
        'n', 554,
        'P', 555,
        'p', 555,
        'T', 556,
        't', 556,
      );
      END_STATE();
    case 306:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(557);
      END_STATE();
    case 307:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(558);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(559);
      END_STATE();
    case 308:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(560);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(561);
      END_STATE();
    case 309:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(562);
      END_STATE();
    case 310:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(563);
      END_STATE();
    case 311:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(564);
      END_STATE();
    case 312:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(565);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(566);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(sym_keyword_row);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(567);
      END_STATE();
    case 314:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(568);
      END_STATE();
    case 315:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(569);
      END_STATE();
    case 316:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(570);
      END_STATE();
    case 317:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(571);
      END_STATE();
    case 318:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(572);
      END_STATE();
    case 319:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(573);
      END_STATE();
    case 320:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(574);
      END_STATE();
    case 321:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(575);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(sym_keyword_set);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(576);
      END_STATE();
    case 323:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(577);
      END_STATE();
    case 324:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(578);
      END_STATE();
    case 325:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(579);
      END_STATE();
    case 326:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(580);
      END_STATE();
    case 327:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(581);
      END_STATE();
    case 328:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(582);
      END_STATE();
    case 329:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(583);
      END_STATE();
    case 330:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(584);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(585);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(586);
      END_STATE();
    case 331:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(587);
      END_STATE();
    case 332:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(588);
      END_STATE();
    case 333:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(589);
      END_STATE();
    case 334:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(590);
      END_STATE();
    case 335:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(591);
      END_STATE();
    case 336:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(592);
      END_STATE();
    case 337:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(593);
      END_STATE();
    case 338:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(594);
      END_STATE();
    case 339:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(595);
      END_STATE();
    case 340:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(596);
      END_STATE();
    case 341:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(597);
      END_STATE();
    case 342:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(598);
      END_STATE();
    case 343:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(599);
      END_STATE();
    case 344:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(600);
      END_STATE();
    case 345:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(601);
      END_STATE();
    case 346:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(602);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(603);
      END_STATE();
    case 347:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(604);
      END_STATE();
    case 348:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(605);
      END_STATE();
    case 349:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(606);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(607);
      END_STATE();
    case 350:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(608);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(609);
      END_STATE();
    case 351:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(610);
      END_STATE();
    case 352:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(611);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(612);
      END_STATE();
    case 353:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(613);
      END_STATE();
    case 354:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(614);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(sym_keyword_use);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(615);
      END_STATE();
    case 356:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(616);
      END_STATE();
    case 357:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(617);
      END_STATE();
    case 358:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(618);
      END_STATE();
    case 359:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(619);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(620);
      END_STATE();
    case 360:
      ADVANCE_MAP(
        'B', 621,
        'b', 621,
        'C', 622,
        'c', 622,
        'I', 623,
        'i', 623,
        'Y', 624,
        'y', 624,
      );
      END_STATE();
    case 361:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(625);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(626);
      END_STATE();
    case 362:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(627);
      END_STATE();
    case 363:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(628);
      END_STATE();
    case 364:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(629);
      END_STATE();
    case 365:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(630);
      END_STATE();
    case 366:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(631);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(632);
      END_STATE();
    case 367:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(633);
      END_STATE();
    case 368:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(634);
      END_STATE();
    case 369:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(635);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(sym_keyword_xml);
      END_STATE();
    case 371:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(636);
      END_STATE();
    case 372:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(637);
      END_STATE();
    case 373:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(638);
      END_STATE();
    case 374:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(639);
      END_STATE();
    case 375:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(640);
      END_STATE();
    case 376:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(641);
      END_STATE();
    case 377:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(642);
      END_STATE();
    case 378:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(643);
      END_STATE();
    case 379:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(644);
      END_STATE();
    case 380:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(645);
      END_STATE();
    case 381:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(646);
      END_STATE();
    case 382:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(647);
      END_STATE();
    case 383:
      if (lookahead == '_') ADVANCE(648);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(sym_keyword_avro);
      END_STATE();
    case 385:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(649);
      END_STATE();
    case 386:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(650);
      END_STATE();
    case 387:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(651);
      END_STATE();
    case 388:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(652);
      END_STATE();
    case 389:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(653);
      END_STATE();
    case 390:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(654);
      END_STATE();
    case 391:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(655);
      END_STATE();
    case 392:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(656);
      END_STATE();
    case 393:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(657);
      END_STATE();
    case 394:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(658);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(sym_keyword_brin);
      END_STATE();
    case 396:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(659);
      END_STATE();
    case 397:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(660);
      END_STATE();
    case 398:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(661);
      END_STATE();
    case 399:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(662);
      END_STATE();
    case 400:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(663);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(sym_keyword_case);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(sym_keyword_cast);
      END_STATE();
    case 403:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(664);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(aux_sym_keyword_char_token1);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(665);
      END_STATE();
    case 405:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(666);
      END_STATE();
    case 406:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(667);
      END_STATE();
    case 407:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(668);
      END_STATE();
    case 408:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(669);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(670);
      END_STATE();
    case 409:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(671);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(672);
      END_STATE();
    case 410:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(673);
      END_STATE();
    case 411:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(674);
      END_STATE();
    case 412:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(675);
      END_STATE();
    case 413:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(676);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(sym_keyword_copy);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(sym_keyword_cost);
      END_STATE();
    case 416:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(677);
      END_STATE();
    case 417:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(678);
      END_STATE();
    case 418:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(679);
      END_STATE();
    case 419:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(680);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(sym_keyword_data);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(681);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(sym_keyword_date);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(682);
      END_STATE();
    case 422:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(683);
      END_STATE();
    case 423:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(684);
      END_STATE();
    case 424:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(685);
      END_STATE();
    case 425:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(686);
      END_STATE();
    case 426:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(687);
      END_STATE();
    case 427:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(688);
      END_STATE();
    case 428:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(689);
      END_STATE();
    case 429:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(690);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(sym_keyword_desc);
      END_STATE();
    case 431:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(691);
      END_STATE();
    case 432:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(692);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(sym_keyword_drop);
      END_STATE();
    case 434:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(693);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(sym_keyword_each);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(sym_keyword_else);
      END_STATE();
    case 437:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(694);
      END_STATE();
    case 438:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(695);
      END_STATE();
    case 439:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(696);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(sym_keyword_enum);
      END_STATE();
    case 441:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(697);
      END_STATE();
    case 442:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(698);
      END_STATE();
    case 443:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(699);
      END_STATE();
    case 444:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(700);
      END_STATE();
    case 445:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(701);
      END_STATE();
    case 446:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(702);
      END_STATE();
    case 447:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(703);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(704);
      END_STATE();
    case 448:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(705);
      END_STATE();
    case 449:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(706);
      END_STATE();
    case 450:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(707);
      END_STATE();
    case 451:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(708);
      END_STATE();
    case 452:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(709);
      END_STATE();
    case 453:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(710);
      END_STATE();
    case 454:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(711);
      END_STATE();
    case 455:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(712);
      END_STATE();
    case 456:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(713);
      END_STATE();
    case 457:
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(714);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(sym_keyword_from);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(sym_keyword_full);
      END_STATE();
    case 460:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(715);
      END_STATE();
    case 461:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(716);
      END_STATE();
    case 462:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(717);
      END_STATE();
    case 463:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(718);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(sym_keyword_gist);
      END_STATE();
    case 465:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(719);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(sym_keyword_hash);
      END_STATE();
    case 467:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(720);
      END_STATE();
    case 468:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(721);
      END_STATE();
    case 469:
      if (lookahead == '_') ADVANCE(722);
      END_STATE();
    case 470:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(723);
      END_STATE();
    case 471:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(724);
      END_STATE();
    case 472:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(725);
      END_STATE();
    case 473:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(726);
      END_STATE();
    case 474:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(727);
      END_STATE();
    case 475:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(728);
      END_STATE();
    case 476:
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(729);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(sym_keyword_inet);
      END_STATE();
    case 478:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(730);
      END_STATE();
    case 479:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(731);
      END_STATE();
    case 480:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(732);
      END_STATE();
    case 481:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(733);
      END_STATE();
    case 482:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(734);
      END_STATE();
    case 483:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(735);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(aux_sym_keyword_tinyint_token2);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(aux_sym_keyword_smallint_token2);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(aux_sym_keyword_mediumint_token2);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(aux_sym_keyword_int_token3);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(aux_sym_keyword_bigint_token2);
      END_STATE();
    case 489:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(736);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(737);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(sym_keyword_into);
      END_STATE();
    case 491:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(738);
      END_STATE();
    case 492:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(739);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(sym_keyword_join);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(sym_keyword_json);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(740);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(741);
      END_STATE();
    case 495:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(742);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(sym_keyword_last);
      END_STATE();
    case 497:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(743);
      END_STATE();
    case 498:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(744);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(sym_keyword_left);
      END_STATE();
    case 500:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(745);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(aux_sym_keyword_like_token1);
      END_STATE();
    case 502:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(746);
      END_STATE();
    case 503:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(747);
      END_STATE();
    case 504:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(748);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(749);
      END_STATE();
    case 505:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(750);
      END_STATE();
    case 506:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(751);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(sym_keyword_main);
      END_STATE();
    case 508:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(752);
      END_STATE();
    case 509:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(753);
      END_STATE();
    case 510:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(754);
      END_STATE();
    case 511:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(755);
      END_STATE();
    case 512:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(756);
      END_STATE();
    case 513:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(757);
      END_STATE();
    case 514:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(758);
      END_STATE();
    case 515:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(759);
      END_STATE();
    case 516:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(760);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(sym_keyword_name);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(761);
      END_STATE();
    case 518:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(762);
      END_STATE();
    case 519:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(763);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(sym_keyword_none);
      END_STATE();
    case 521:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(764);
      END_STATE();
    case 522:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(765);
      END_STATE();
    case 523:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(766);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(sym_keyword_null);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(767);
      END_STATE();
    case 525:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(768);
      END_STATE();
    case 526:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(769);
      END_STATE();
    case 527:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(770);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(sym_keyword_oids);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(sym_keyword_only);
      END_STATE();
    case 530:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(771);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(772);
      END_STATE();
    case 531:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(773);
      END_STATE();
    case 532:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(774);
      END_STATE();
    case 533:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(775);
      END_STATE();
    case 534:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(776);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(sym_keyword_over);
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(777);
      END_STATE();
    case 536:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(778);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(779);
      END_STATE();
    case 537:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(780);
      END_STATE();
    case 538:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(781);
      END_STATE();
    case 539:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(782);
      END_STATE();
    case 540:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(783);
      END_STATE();
    case 541:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(784);
      END_STATE();
    case 542:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(785);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(786);
      END_STATE();
    case 543:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(787);
      END_STATE();
    case 544:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(788);
      END_STATE();
    case 545:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(789);
      END_STATE();
    case 546:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(790);
      END_STATE();
    case 547:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(791);
      END_STATE();
    case 548:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(792);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(sym_keyword_read);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(aux_sym_keyword_real_token1);
      END_STATE();
    case 551:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(793);
      END_STATE();
    case 552:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(794);
      END_STATE();
    case 553:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(795);
      END_STATE();
    case 554:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(796);
      END_STATE();
    case 555:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(797);
      END_STATE();
    case 556:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(798);
      END_STATE();
    case 557:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(799);
      END_STATE();
    case 558:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(800);
      END_STATE();
    case 559:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(801);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(802);
      END_STATE();
    case 560:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(803);
      END_STATE();
    case 561:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(804);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(805);
      END_STATE();
    case 562:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(806);
      END_STATE();
    case 563:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(807);
      END_STATE();
    case 564:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(808);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym_keyword_role);
      END_STATE();
    case 566:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(809);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym_keyword_rows);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym_keyword_safe);
      END_STATE();
    case 569:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(810);
      END_STATE();
    case 570:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(811);
      END_STATE();
    case 571:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(812);
      END_STATE();
    case 572:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(813);
      END_STATE();
    case 573:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(814);
      END_STATE();
    case 574:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(815);
      END_STATE();
    case 575:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(816);
      END_STATE();
    case 576:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(817);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(sym_keyword_show);
      END_STATE();
    case 578:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(818);
      END_STATE();
    case 579:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(819);
      END_STATE();
    case 580:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(820);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(sym_keyword_some);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(sym_keyword_sort);
      END_STATE();
    case 583:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(821);
      END_STATE();
    case 584:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(822);
      END_STATE();
    case 585:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(823);
      END_STATE();
    case 586:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(824);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(825);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(826);
      END_STATE();
    case 587:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(827);
      END_STATE();
    case 588:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(828);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(829);
      END_STATE();
    case 589:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(830);
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(831);
      END_STATE();
    case 590:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(832);
      END_STATE();
    case 591:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(833);
      END_STATE();
    case 592:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(834);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(sym_keyword_temp);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(835);
      END_STATE();
    case 594:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(836);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_keyword_text);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(837);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_keyword_then);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_keyword_ties);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_keyword_time);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(838);
      END_STATE();
    case 599:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(839);
      END_STATE();
    case 600:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(840);
      END_STATE();
    case 601:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(841);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_keyword_true);
      END_STATE();
    case 603:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(842);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_keyword_type);
      END_STATE();
    case 605:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(843);
      END_STATE();
    case 606:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(844);
      END_STATE();
    case 607:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(845);
      END_STATE();
    case 608:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(846);
      END_STATE();
    case 609:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(847);
      END_STATE();
    case 610:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(848);
      END_STATE();
    case 611:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(849);
      END_STATE();
    case 612:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(850);
      END_STATE();
    case 613:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(851);
      END_STATE();
    case 614:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(852);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym_keyword_user);
      END_STATE();
    case 616:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(853);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(sym_keyword_uuid);
      END_STATE();
    case 618:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(854);
      END_STATE();
    case 619:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(855);
      END_STATE();
    case 620:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(856);
      END_STATE();
    case 621:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(857);
      END_STATE();
    case 622:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(858);
      END_STATE();
    case 623:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(859);
      END_STATE();
    case 624:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(860);
      END_STATE();
    case 625:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(861);
      END_STATE();
    case 626:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(862);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym_keyword_view);
      END_STATE();
    case 628:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(863);
      END_STATE();
    case 629:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(864);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_keyword_wait);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_keyword_when);
      END_STATE();
    case 632:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(865);
      END_STATE();
    case 633:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(866);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_keyword_with);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(867);
      END_STATE();
    case 635:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(868);
      END_STATE();
    case 636:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(869);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(sym_keyword_zone);
      END_STATE();
    case 638:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(870);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym_keyword_admin);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym_keyword_after);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym_keyword_alter);
      END_STATE();
    case 642:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(871);
      END_STATE();
    case 643:
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(872);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_keyword_array);
      END_STATE();
    case 645:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(873);
      END_STATE();
    case 646:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(874);
      END_STATE();
    case 647:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(875);
      END_STATE();
    case 648:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(876);
      END_STATE();
    case 649:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(877);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_keyword_begin);
      END_STATE();
    case 651:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(878);
      END_STATE();
    case 652:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(879);
      END_STATE();
    case 653:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(880);
      END_STATE();
    case 654:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(881);
      END_STATE();
    case 655:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(882);
      END_STATE();
    case 656:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(883);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_keyword_box2d);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_keyword_box3d);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_keyword_btree);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_keyword_bytea);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_keyword_cache);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(884);
      END_STATE();
    case 662:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(885);
      END_STATE();
    case 663:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(886);
      END_STATE();
    case 664:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(887);
      END_STATE();
    case 665:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(888);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_keyword_check);
      END_STATE();
    case 667:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(889);
      END_STATE();
    case 668:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(890);
      END_STATE();
    case 669:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(891);
      END_STATE();
    case 670:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(892);
      END_STATE();
    case 671:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(893);
      END_STATE();
    case 672:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(894);
      END_STATE();
    case 673:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(895);
      END_STATE();
    case 674:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(896);
      END_STATE();
    case 675:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(897);
      END_STATE();
    case 676:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(898);
      END_STATE();
    case 677:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(899);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym_keyword_cross);
      END_STATE();
    case 679:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(900);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym_keyword_cycle);
      END_STATE();
    case 681:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(901);
      END_STATE();
    case 682:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(902);
      END_STATE();
    case 683:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(903);
      END_STATE();
    case 684:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(904);
      END_STATE();
    case 685:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(905);
      END_STATE();
    case 686:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(906);
      END_STATE();
    case 687:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(907);
      END_STATE();
    case 688:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(908);
      END_STATE();
    case 689:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(909);
      END_STATE();
    case 690:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(910);
      END_STATE();
    case 691:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(911);
      END_STATE();
    case 692:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(912);
      END_STATE();
    case 693:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(913);
      END_STATE();
    case 694:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(914);
      END_STATE();
    case 695:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(915);
      END_STATE();
    case 696:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(916);
      END_STATE();
    case 697:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(917);
      END_STATE();
    case 698:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(918);
      END_STATE();
    case 699:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(919);
      END_STATE();
    case 700:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(920);
      END_STATE();
    case 701:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(921);
      END_STATE();
    case 702:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(922);
      END_STATE();
    case 703:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(923);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(924);
      END_STATE();
    case 704:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(925);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(sym_keyword_false);
      END_STATE();
    case 706:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(926);
      END_STATE();
    case 707:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(927);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(sym_keyword_first);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym_keyword_float);
      if (lookahead == '4') ADVANCE(928);
      if (lookahead == '8') ADVANCE(929);
      END_STATE();
    case 710:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(930);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym_keyword_force);
      if (lookahead == '_') ADVANCE(931);
      END_STATE();
    case 712:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(932);
      END_STATE();
    case 713:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(933);
      END_STATE();
    case 714:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(934);
      END_STATE();
    case 715:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(935);
      END_STATE();
    case 716:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(936);
      END_STATE();
    case 717:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(937);
      END_STATE();
    case 718:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(938);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(sym_keyword_group);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(939);
      END_STATE();
    case 720:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(940);
      END_STATE();
    case 721:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(941);
      END_STATE();
    case 722:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(942);
      END_STATE();
    case 723:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(943);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(aux_sym_keyword_like_token2);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(sym_keyword_image);
      END_STATE();
    case 726:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(944);
      END_STATE();
    case 727:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(945);
      END_STATE();
    case 728:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(946);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(sym_keyword_index);
      END_STATE();
    case 730:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(947);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(sym_keyword_inner);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(sym_keyword_inout);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(sym_keyword_input);
      END_STATE();
    case 734:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(948);
      END_STATE();
    case 735:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(949);
      END_STATE();
    case 736:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(950);
      END_STATE();
    case 737:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(951);
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(952);
      END_STATE();
    case 738:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(953);
      END_STATE();
    case 739:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(954);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(sym_keyword_jsonb);
      END_STATE();
    case 741:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(955);
      END_STATE();
    case 742:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(956);
      END_STATE();
    case 743:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(957);
      END_STATE();
    case 744:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(958);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(sym_keyword_level);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(sym_keyword_limit);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(sym_keyword_lines);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(sym_keyword_local);
      END_STATE();
    case 749:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(959);
      END_STATE();
    case 750:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(960);
      END_STATE();
    case 751:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(961);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(sym_keyword_match);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(962);
      END_STATE();
    case 753:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(963);
      END_STATE();
    case 754:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(964);
      END_STATE();
    case 755:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(965);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(sym_keyword_merge);
      END_STATE();
    case 757:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(966);
      END_STATE();
    case 758:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(967);
      END_STATE();
    case 759:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(968);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(sym_keyword_money);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(sym_keyword_names);
      END_STATE();
    case 762:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(969);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(sym_keyword_nchar);
      END_STATE();
    case 764:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(970);
      END_STATE();
    case 765:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(971);
      END_STATE();
    case 766:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(972);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(sym_keyword_nulls);
      END_STATE();
    case 768:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(973);
      END_STATE();
    case 769:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(974);
      END_STATE();
    case 770:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(975);
      END_STATE();
    case 771:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(976);
      END_STATE();
    case 772:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(977);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(sym_keyword_order);
      END_STATE();
    case 774:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(978);
      END_STATE();
    case 775:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(979);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(sym_keyword_outer);
      END_STATE();
    case 777:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(980);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(sym_keyword_owned);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(sym_keyword_owner);
      END_STATE();
    case 780:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(981);
      END_STATE();
    case 781:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(982);
      END_STATE();
    case 782:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(983);
      END_STATE();
    case 783:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(984);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(sym_keyword_plain);
      END_STATE();
    case 785:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(985);
      END_STATE();
    case 786:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(986);
      END_STATE();
    case 787:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(987);
      END_STATE();
    case 788:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(988);
      END_STATE();
    case 789:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(989);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(sym_keyword_quote);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(sym_keyword_range);
      END_STATE();
    case 792:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(990);
      END_STATE();
    case 793:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(991);
      END_STATE();
    case 794:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(992);
      END_STATE();
    case 795:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(993);
      END_STATE();
    case 796:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(994);
      END_STATE();
    case 797:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(995);
      END_STATE();
    case 798:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(996);
      END_STATE();
    case 799:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(997);
      END_STATE();
    case 800:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(998);
      END_STATE();
    case 801:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(999);
      END_STATE();
    case 802:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1000);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(sym_keyword_reset);
      END_STATE();
    case 804:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1001);
      END_STATE();
    case 805:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1002);
      END_STATE();
    case 806:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1003);
      END_STATE();
    case 807:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1004);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(sym_keyword_right);
      END_STATE();
    case 809:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1005);
      END_STATE();
    case 810:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1006);
      END_STATE();
    case 811:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1007);
      END_STATE();
    case 812:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1008);
      END_STATE();
    case 813:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1009);
      END_STATE();
    case 814:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1010);
      END_STATE();
    case 815:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1011);
      END_STATE();
    case 816:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1012);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(sym_keyword_setof);
      END_STATE();
    case 818:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1013);
      END_STATE();
    case 819:
      ADVANCE_MAP(
        'D', 1014,
        'd', 1014,
        'I', 1015,
        'i', 1015,
        'M', 1016,
        'm', 1016,
        'S', 1017,
        's', 1017,
      );
      END_STATE();
    case 820:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1018);
      END_STATE();
    case 821:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1019);
      END_STATE();
    case 822:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1020);
      END_STATE();
    case 823:
      ACCEPT_TOKEN(sym_keyword_start);
      END_STATE();
    case 824:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1021);
      END_STATE();
    case 825:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1022);
      END_STATE();
    case 826:
      ACCEPT_TOKEN(sym_keyword_stats);
      END_STATE();
    case 827:
      ACCEPT_TOKEN(sym_keyword_stdin);
      END_STATE();
    case 828:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1023);
      END_STATE();
    case 829:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1024);
      END_STATE();
    case 830:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1025);
      END_STATE();
    case 831:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1026);
      END_STATE();
    case 832:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1027);
      END_STATE();
    case 833:
      ACCEPT_TOKEN(sym_keyword_table);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1028);
      END_STATE();
    case 834:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1029);
      END_STATE();
    case 835:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1030);
      END_STATE();
    case 836:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1031);
      END_STATE();
    case 837:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1032);
      END_STATE();
    case 838:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1033);
      END_STATE();
    case 839:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1034);
      END_STATE();
    case 840:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1035);
      END_STATE();
    case 841:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1036);
      END_STATE();
    case 842:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1037);
      END_STATE();
    case 843:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1038);
      END_STATE();
    case 844:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1039);
      END_STATE();
    case 845:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1040);
      END_STATE();
    case 846:
      ACCEPT_TOKEN(sym_keyword_union);
      END_STATE();
    case 847:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1041);
      END_STATE();
    case 848:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1042);
      END_STATE();
    case 849:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1043);
      END_STATE();
    case 850:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1044);
      END_STATE();
    case 851:
      ACCEPT_TOKEN(sym_keyword_until);
      END_STATE();
    case 852:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1045);
      END_STATE();
    case 853:
      ACCEPT_TOKEN(sym_keyword_using);
      END_STATE();
    case 854:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1046);
      END_STATE();
    case 855:
      ACCEPT_TOKEN(sym_keyword_valid);
      END_STATE();
    case 856:
      ACCEPT_TOKEN(sym_keyword_value);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1047);
      END_STATE();
    case 857:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1048);
      END_STATE();
    case 858:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1049);
      END_STATE();
    case 859:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1050);
      END_STATE();
    case 860:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1051);
      END_STATE();
    case 861:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1052);
      END_STATE();
    case 862:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1053);
      END_STATE();
    case 863:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1054);
      END_STATE();
    case 864:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1055);
      END_STATE();
    case 865:
      ACCEPT_TOKEN(sym_keyword_where);
      END_STATE();
    case 866:
      if (lookahead == 'W' ||
          lookahead == 'w') ADVANCE(1056);
      END_STATE();
    case 867:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1057);
      END_STATE();
    case 868:
      ACCEPT_TOKEN(sym_keyword_write);
      END_STATE();
    case 869:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1058);
      END_STATE();
    case 870:
      ACCEPT_TOKEN(sym_keyword_action);
      END_STATE();
    case 871:
      ACCEPT_TOKEN(sym_keyword_always);
      END_STATE();
    case 872:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1059);
      END_STATE();
    case 873:
      ACCEPT_TOKEN(sym_keyword_atomic);
      END_STATE();
    case 874:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1060);
      END_STATE();
    case 875:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1061);
      END_STATE();
    case 876:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1062);
      END_STATE();
    case 877:
      ACCEPT_TOKEN(sym_keyword_before);
      END_STATE();
    case 878:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1063);
      END_STATE();
    case 879:
      ACCEPT_TOKEN(aux_sym_keyword_bigint_token1);
      END_STATE();
    case 880:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1064);
      END_STATE();
    case 881:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1065);
      END_STATE();
    case 882:
      ACCEPT_TOKEN(sym_keyword_binary);
      END_STATE();
    case 883:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1066);
      END_STATE();
    case 884:
      ACCEPT_TOKEN(sym_keyword_cached);
      END_STATE();
    case 885:
      ACCEPT_TOKEN(sym_keyword_called);
      END_STATE();
    case 886:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1067);
      END_STATE();
    case 887:
      ACCEPT_TOKEN(sym_keyword_change);
      END_STATE();
    case 888:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1068);
      END_STATE();
    case 889:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1069);
      END_STATE();
    case 890:
      ACCEPT_TOKEN(sym_keyword_column);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1070);
      END_STATE();
    case 891:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1071);
      END_STATE();
    case 892:
      ACCEPT_TOKEN(sym_keyword_commit);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1072);
      END_STATE();
    case 893:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1073);
      END_STATE();
    case 894:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1074);
      END_STATE();
    case 895:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1075);
      END_STATE();
    case 896:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1076);
      END_STATE();
    case 897:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1077);
      END_STATE();
    case 898:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1078);
      END_STATE();
    case 899:
      ACCEPT_TOKEN(sym_keyword_create);
      END_STATE();
    case 900:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1079);
      END_STATE();
    case 901:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1080);
      END_STATE();
    case 902:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1081);
      END_STATE();
    case 903:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1082);
      END_STATE();
    case 904:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1083);
      END_STATE();
    case 905:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1084);
      END_STATE();
    case 906:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1085);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1086);
      END_STATE();
    case 907:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1087);
      END_STATE();
    case 908:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1088);
      END_STATE();
    case 909:
      ACCEPT_TOKEN(sym_keyword_delete);
      END_STATE();
    case 910:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1089);
      END_STATE();
    case 911:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1090);
      END_STATE();
    case 912:
      ACCEPT_TOKEN(sym_keyword_double);
      END_STATE();
    case 913:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1091);
      END_STATE();
    case 914:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1092);
      END_STATE();
    case 915:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1093);
      END_STATE();
    case 916:
      ACCEPT_TOKEN(sym_keyword_engine);
      END_STATE();
    case 917:
      ACCEPT_TOKEN(sym_keyword_escape);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1094);
      END_STATE();
    case 918:
      ACCEPT_TOKEN(sym_keyword_except);
      END_STATE();
    case 919:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1095);
      END_STATE();
    case 920:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1096);
      END_STATE();
    case 921:
      ACCEPT_TOKEN(sym_keyword_exists);
      END_STATE();
    case 922:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1097);
      END_STATE();
    case 923:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1098);
      END_STATE();
    case 924:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1099);
      END_STATE();
    case 925:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1100);
      END_STATE();
    case 926:
      ACCEPT_TOKEN(sym_keyword_fields);
      END_STATE();
    case 927:
      ACCEPT_TOKEN(sym_keyword_filter);
      END_STATE();
    case 928:
      ACCEPT_TOKEN(aux_sym_keyword_real_token2);
      END_STATE();
    case 929:
      ACCEPT_TOKEN(aux_sym_double_token1);
      END_STATE();
    case 930:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1101);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1102);
      END_STATE();
    case 931:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1103);
      if (lookahead == 'Q' ||
          lookahead == 'q') ADVANCE(1104);
      END_STATE();
    case 932:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1105);
      END_STATE();
    case 933:
      ACCEPT_TOKEN(sym_keyword_format);
      END_STATE();
    case 934:
      ACCEPT_TOKEN(sym_keyword_freeze);
      END_STATE();
    case 935:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1106);
      END_STATE();
    case 936:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1107);
      END_STATE();
    case 937:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1108);
      END_STATE();
    case 938:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1109);
      END_STATE();
    case 939:
      ACCEPT_TOKEN(sym_keyword_groups);
      END_STATE();
    case 940:
      ACCEPT_TOKEN(sym_keyword_having);
      END_STATE();
    case 941:
      ACCEPT_TOKEN(sym_keyword_header);
      END_STATE();
    case 942:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1110);
      END_STATE();
    case 943:
      ACCEPT_TOKEN(sym_keyword_ignore);
      END_STATE();
    case 944:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1111);
      END_STATE();
    case 945:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1112);
      END_STATE();
    case 946:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1113);
      END_STATE();
    case 947:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1114);
      END_STATE();
    case 948:
      ACCEPT_TOKEN(sym_keyword_insert);
      END_STATE();
    case 949:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1115);
      END_STATE();
    case 950:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1116);
      END_STATE();
    case 951:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1117);
      END_STATE();
    case 952:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1118);
      END_STATE();
    case 953:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1119);
      END_STATE();
    case 954:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1120);
      END_STATE();
    case 955:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1121);
      END_STATE();
    case 956:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1122);
      END_STATE();
    case 957:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1123);
      END_STATE();
    case 958:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1124);
      END_STATE();
    case 959:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1125);
      END_STATE();
    case 960:
      ACCEPT_TOKEN(sym_keyword_logged);
      END_STATE();
    case 961:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1126);
      END_STATE();
    case 962:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1127);
      END_STATE();
    case 963:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1128);
      END_STATE();
    case 964:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1129);
      END_STATE();
    case 965:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1130);
      END_STATE();
    case 966:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1131);
      END_STATE();
    case 967:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1132);
      END_STATE();
    case 968:
      ACCEPT_TOKEN(sym_keyword_modify);
      END_STATE();
    case 969:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1133);
      END_STATE();
    case 970:
      ACCEPT_TOKEN(sym_keyword_noscan);
      END_STATE();
    case 971:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1134);
      END_STATE();
    case 972:
      ACCEPT_TOKEN(sym_keyword_nowait);
      END_STATE();
    case 973:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1135);
      END_STATE();
    case 974:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1136);
      END_STATE();
    case 975:
      ACCEPT_TOKEN(sym_keyword_offset);
      END_STATE();
    case 976:
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(1137);
      END_STATE();
    case 977:
      ACCEPT_TOKEN(sym_keyword_option);
      END_STATE();
    case 978:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1138);
      END_STATE();
    case 979:
      ACCEPT_TOKEN(sym_keyword_others);
      END_STATE();
    case 980:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1139);
      END_STATE();
    case 981:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1140);
      END_STATE();
    case 982:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1141);
      END_STATE();
    case 983:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1142);
      END_STATE();
    case 984:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1143);
      END_STATE();
    case 985:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1144);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1145);
      END_STATE();
    case 986:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1146);
      END_STATE();
    case 987:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1147);
      END_STATE();
    case 988:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1148);
      END_STATE();
    case 989:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1149);
      END_STATE();
    case 990:
      ACCEPT_TOKEN(sym_keyword_rcfile);
      END_STATE();
    case 991:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1150);
      END_STATE();
    case 992:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1151);
      END_STATE();
    case 993:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1152);
      END_STATE();
    case 994:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1153);
      END_STATE();
    case 995:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1154);
      END_STATE();
    case 996:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1155);
      END_STATE();
    case 997:
      ACCEPT_TOKEN(sym_keyword_rename);
      END_STATE();
    case 998:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1156);
      END_STATE();
    case 999:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1157);
      END_STATE();
    case 1000:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1158);
      END_STATE();
    case 1001:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1159);
      END_STATE();
    case 1002:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1160);
      END_STATE();
    case 1003:
      ACCEPT_TOKEN(sym_keyword_return);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1161);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1162);
      END_STATE();
    case 1004:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1163);
      END_STATE();
    case 1005:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1164);
      END_STATE();
    case 1006:
      ACCEPT_TOKEN(sym_keyword_schema);
      END_STATE();
    case 1007:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1165);
      END_STATE();
    case 1008:
      ACCEPT_TOKEN(sym_keyword_select);
      END_STATE();
    case 1009:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1166);
      END_STATE();
    case 1010:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1167);
      END_STATE();
    case 1011:
      ACCEPT_TOKEN(aux_sym_keyword_serial_token1);
      if (lookahead == '2') ADVANCE(1168);
      if (lookahead == '4') ADVANCE(1169);
      if (lookahead == '8') ADVANCE(1170);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1171);
      END_STATE();
    case 1012:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1172);
      END_STATE();
    case 1013:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1173);
      END_STATE();
    case 1014:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1174);
      END_STATE();
    case 1015:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1175);
      END_STATE();
    case 1016:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1176);
      END_STATE();
    case 1017:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1177);
      END_STATE();
    case 1018:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1178);
      END_STATE();
    case 1019:
      ACCEPT_TOKEN(sym_keyword_spgist);
      END_STATE();
    case 1020:
      ACCEPT_TOKEN(sym_keyword_stable);
      END_STATE();
    case 1021:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1179);
      END_STATE();
    case 1022:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1180);
      END_STATE();
    case 1023:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1181);
      END_STATE();
    case 1024:
      ACCEPT_TOKEN(sym_keyword_stored);
      END_STATE();
    case 1025:
      ACCEPT_TOKEN(sym_keyword_strict);
      END_STATE();
    case 1026:
      ACCEPT_TOKEN(sym_keyword_string);
      END_STATE();
    case 1027:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1182);
      END_STATE();
    case 1028:
      ACCEPT_TOKEN(sym_keyword_tables);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1183);
      END_STATE();
    case 1029:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1184);
      END_STATE();
    case 1030:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1185);
      END_STATE();
    case 1031:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1186);
      END_STATE();
    case 1032:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1187);
      END_STATE();
    case 1033:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1188);
      END_STATE();
    case 1034:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1189);
      END_STATE();
    case 1035:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1190);
      END_STATE();
    case 1036:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1191);
      END_STATE();
    case 1037:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1192);
      END_STATE();
    case 1038:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1193);
      END_STATE();
    case 1039:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1194);
      END_STATE();
    case 1040:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1195);
      END_STATE();
    case 1041:
      ACCEPT_TOKEN(sym_keyword_unique);
      END_STATE();
    case 1042:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1196);
      END_STATE();
    case 1043:
      ACCEPT_TOKEN(sym_keyword_unsafe);
      END_STATE();
    case 1044:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1197);
      END_STATE();
    case 1045:
      ACCEPT_TOKEN(sym_keyword_update);
      END_STATE();
    case 1046:
      ACCEPT_TOKEN(sym_keyword_vacuum);
      END_STATE();
    case 1047:
      ACCEPT_TOKEN(sym_keyword_values);
      END_STATE();
    case 1048:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1198);
      END_STATE();
    case 1049:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1199);
      END_STATE();
    case 1050:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1200);
      END_STATE();
    case 1051:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1201);
      END_STATE();
    case 1052:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1202);
      END_STATE();
    case 1053:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1203);
      END_STATE();
    case 1054:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1204);
      END_STATE();
    case 1055:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1205);
      END_STATE();
    case 1056:
      ACCEPT_TOKEN(sym_keyword_window);
      END_STATE();
    case 1057:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1206);
      END_STATE();
    case 1058:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1207);
      END_STATE();
    case 1059:
      ACCEPT_TOKEN(sym_keyword_analyze);
      END_STATE();
    case 1060:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1208);
      END_STATE();
    case 1061:
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(1209);
      END_STATE();
    case 1062:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1210);
      END_STATE();
    case 1063:
      ACCEPT_TOKEN(sym_keyword_between);
      END_STATE();
    case 1064:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1211);
      END_STATE();
    case 1065:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1212);
      END_STATE();
    case 1066:
      ACCEPT_TOKEN(sym_keyword_boolean);
      END_STATE();
    case 1067:
      ACCEPT_TOKEN(sym_keyword_cascade);
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1213);
      END_STATE();
    case 1068:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1214);
      END_STATE();
    case 1069:
      ACCEPT_TOKEN(sym_keyword_collate);
      END_STATE();
    case 1070:
      ACCEPT_TOKEN(sym_keyword_columns);
      END_STATE();
    case 1071:
      ACCEPT_TOKEN(sym_keyword_comment);
      END_STATE();
    case 1072:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1215);
      END_STATE();
    case 1073:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1216);
      END_STATE();
    case 1074:
      ACCEPT_TOKEN(sym_keyword_compute);
      END_STATE();
    case 1075:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1217);
      END_STATE();
    case 1076:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1218);
      END_STATE();
    case 1077:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1219);
      END_STATE();
    case 1078:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1220);
      END_STATE();
    case 1079:
      ACCEPT_TOKEN(sym_keyword_current);
      if (lookahead == '_') ADVANCE(1221);
      END_STATE();
    case 1080:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1222);
      END_STATE();
    case 1081:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1223);
      END_STATE();
    case 1082:
      ACCEPT_TOKEN(sym_keyword_decimal);
      END_STATE();
    case 1083:
      ACCEPT_TOKEN(sym_keyword_declare);
      END_STATE();
    case 1084:
      ACCEPT_TOKEN(sym_keyword_default);
      END_STATE();
    case 1085:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1224);
      END_STATE();
    case 1086:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1225);
      END_STATE();
    case 1087:
      ACCEPT_TOKEN(sym_keyword_definer);
      END_STATE();
    case 1088:
      ACCEPT_TOKEN(sym_keyword_delayed);
      END_STATE();
    case 1089:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1226);
      END_STATE();
    case 1090:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1227);
      END_STATE();
    case 1091:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1228);
      END_STATE();
    case 1092:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1229);
      END_STATE();
    case 1093:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1230);
      END_STATE();
    case 1094:
      ACCEPT_TOKEN(sym_keyword_escaped);
      END_STATE();
    case 1095:
      ACCEPT_TOKEN(sym_keyword_exclude);
      END_STATE();
    case 1096:
      ACCEPT_TOKEN(sym_keyword_execute);
      END_STATE();
    case 1097:
      ACCEPT_TOKEN(sym_keyword_explain);
      END_STATE();
    case 1098:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1231);
      END_STATE();
    case 1099:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1232);
      END_STATE();
    case 1100:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1233);
      END_STATE();
    case 1101:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1234);
      END_STATE();
    case 1102:
      ACCEPT_TOKEN(sym_keyword_follows);
      END_STATE();
    case 1103:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1235);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1236);
      END_STATE();
    case 1104:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1237);
      END_STATE();
    case 1105:
      ACCEPT_TOKEN(sym_keyword_foreign);
      END_STATE();
    case 1106:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1238);
      END_STATE();
    case 1107:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1239);
      END_STATE();
    case 1108:
      if (lookahead == 'H' ||
          lookahead == 'h') ADVANCE(1240);
      END_STATE();
    case 1109:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1241);
      END_STATE();
    case 1110:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1242);
      END_STATE();
    case 1111:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1243);
      END_STATE();
    case 1112:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1244);
      END_STATE();
    case 1113:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1245);
      END_STATE();
    case 1114:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1246);
      END_STATE();
    case 1115:
      ACCEPT_TOKEN(sym_keyword_instead);
      END_STATE();
    case 1116:
      ACCEPT_TOKEN(aux_sym_keyword_int_token2);
      END_STATE();
    case 1117:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1247);
      END_STATE();
    case 1118:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1248);
      END_STATE();
    case 1119:
      ACCEPT_TOKEN(sym_keyword_invoker);
      END_STATE();
    case 1120:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1249);
      END_STATE();
    case 1121:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1250);
      END_STATE();
    case 1122:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1251);
      END_STATE();
    case 1123:
      ACCEPT_TOKEN(sym_keyword_lateral);
      END_STATE();
    case 1124:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1252);
      END_STATE();
    case 1125:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1253);
      END_STATE();
    case 1126:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1254);
      END_STATE();
    case 1127:
      ACCEPT_TOKEN(sym_keyword_matched);
      END_STATE();
    case 1128:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1255);
      END_STATE();
    case 1129:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1256);
      END_STATE();
    case 1130:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1257);
      END_STATE();
    case 1131:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1258);
      END_STATE();
    case 1132:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1259);
      END_STATE();
    case 1133:
      ACCEPT_TOKEN(sym_keyword_natural);
      END_STATE();
    case 1134:
      ACCEPT_TOKEN(sym_keyword_nothing);
      END_STATE();
    case 1135:
      ACCEPT_TOKEN(sym_keyword_numeric);
      END_STATE();
    case 1136:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1260);
      END_STATE();
    case 1137:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1261);
      END_STATE();
    case 1138:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1262);
      END_STATE();
    case 1139:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1263);
      END_STATE();
    case 1140:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1264);
      END_STATE();
    case 1141:
      ACCEPT_TOKEN(sym_keyword_parquet);
      END_STATE();
    case 1142:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1265);
      END_STATE();
    case 1143:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1266);
      END_STATE();
    case 1144:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1267);
      END_STATE();
    case 1145:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1268);
      END_STATE();
    case 1146:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1269);
      END_STATE();
    case 1147:
      ACCEPT_TOKEN(sym_keyword_primary);
      END_STATE();
    case 1148:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1270);
      END_STATE();
    case 1149:
      ACCEPT_TOKEN(sym_keyword_program);
      END_STATE();
    case 1150:
      if (lookahead == 'V' ||
          lookahead == 'v') ADVANCE(1271);
      END_STATE();
    case 1151:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1272);
      END_STATE();
    case 1152:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1273);
      END_STATE();
    case 1153:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1274);
      END_STATE();
    case 1154:
      ACCEPT_TOKEN(sym_keyword_regproc);
      END_STATE();
    case 1155:
      ACCEPT_TOKEN(sym_keyword_regtype);
      END_STATE();
    case 1156:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1275);
      END_STATE();
    case 1157:
      ACCEPT_TOKEN(sym_keyword_replace);
      END_STATE();
    case 1158:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1276);
      END_STATE();
    case 1159:
      ACCEPT_TOKEN(sym_keyword_restart);
      END_STATE();
    case 1160:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1277);
      END_STATE();
    case 1161:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1278);
      END_STATE();
    case 1162:
      ACCEPT_TOKEN(sym_keyword_returns);
      END_STATE();
    case 1163:
      ACCEPT_TOKEN(sym_keyword_rewrite);
      END_STATE();
    case 1164:
      if (lookahead == 'K' ||
          lookahead == 'k') ADVANCE(1279);
      END_STATE();
    case 1165:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1280);
      END_STATE();
    case 1166:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1281);
      END_STATE();
    case 1167:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1282);
      END_STATE();
    case 1168:
      ACCEPT_TOKEN(aux_sym_keyword_smallserial_token2);
      END_STATE();
    case 1169:
      ACCEPT_TOKEN(aux_sym_keyword_serial_token2);
      END_STATE();
    case 1170:
      ACCEPT_TOKEN(aux_sym_keyword_bigserial_token2);
      END_STATE();
    case 1171:
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(1283);
      END_STATE();
    case 1172:
      ACCEPT_TOKEN(sym_keyword_session);
      END_STATE();
    case 1173:
      ACCEPT_TOKEN(sym_keyword_similar);
      END_STATE();
    case 1174:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1284);
      END_STATE();
    case 1175:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1285);
      END_STATE();
    case 1176:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1286);
      END_STATE();
    case 1177:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1287);
      END_STATE();
    case 1178:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1288);
      END_STATE();
    case 1179:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1289);
      END_STATE();
    case 1180:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1290);
      END_STATE();
    case 1181:
      ACCEPT_TOKEN(sym_keyword_storage);
      END_STATE();
    case 1182:
      ACCEPT_TOKEN(sym_keyword_support);
      END_STATE();
    case 1183:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1291);
      END_STATE();
    case 1184:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1292);
      END_STATE();
    case 1185:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1293);
      END_STATE();
    case 1186:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1294);
      END_STATE();
    case 1187:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1295);
      END_STATE();
    case 1188:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1296);
      END_STATE();
    case 1189:
      ACCEPT_TOKEN(aux_sym_keyword_tinyint_token1);
      END_STATE();
    case 1190:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1297);
      END_STATE();
    case 1191:
      ACCEPT_TOKEN(sym_keyword_trigger);
      END_STATE();
    case 1192:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1298);
      END_STATE();
    case 1193:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1299);
      END_STATE();
    case 1194:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1300);
      END_STATE();
    case 1195:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1301);
      END_STATE();
    case 1196:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1302);
      END_STATE();
    case 1197:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1303);
      END_STATE();
    case 1198:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1304);
      END_STATE();
    case 1199:
      ACCEPT_TOKEN(aux_sym_keyword_varchar_token1);
      END_STATE();
    case 1200:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1305);
      END_STATE();
    case 1201:
      ACCEPT_TOKEN(sym_keyword_varying);
      END_STATE();
    case 1202:
      ACCEPT_TOKEN(sym_keyword_verbose);
      END_STATE();
    case 1203:
      ACCEPT_TOKEN(sym_keyword_version);
      END_STATE();
    case 1204:
      ACCEPT_TOKEN(sym_keyword_virtual);
      END_STATE();
    case 1205:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1306);
      END_STATE();
    case 1206:
      ACCEPT_TOKEN(sym_keyword_without);
      END_STATE();
    case 1207:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1307);
      END_STATE();
    case 1208:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1308);
      END_STATE();
    case 1209:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1309);
      END_STATE();
    case 1210:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1310);
      END_STATE();
    case 1211:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1311);
      END_STATE();
    case 1212:
      ACCEPT_TOKEN(sym_keyword_bin_pack);
      END_STATE();
    case 1213:
      ACCEPT_TOKEN(sym_keyword_cascaded);
      END_STATE();
    case 1214:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1312);
      END_STATE();
    case 1215:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1313);
      END_STATE();
    case 1216:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1314);
      END_STATE();
    case 1217:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1315);
      END_STATE();
    case 1218:
      ACCEPT_TOKEN(sym_keyword_conflict);
      END_STATE();
    case 1219:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1316);
      END_STATE();
    case 1220:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1317);
      END_STATE();
    case 1221:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1318);
      END_STATE();
    case 1222:
      ACCEPT_TOKEN(sym_keyword_database);
      END_STATE();
    case 1223:
      ACCEPT_TOKEN(sym_keyword_datetime);
      if (lookahead == '2') ADVANCE(1319);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1320);
      END_STATE();
    case 1224:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1321);
      END_STATE();
    case 1225:
      ACCEPT_TOKEN(sym_keyword_deferred);
      END_STATE();
    case 1226:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1322);
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1323);
      END_STATE();
    case 1227:
      ACCEPT_TOKEN(sym_keyword_distinct);
      END_STATE();
    case 1228:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1324);
      END_STATE();
    case 1229:
      ACCEPT_TOKEN(sym_keyword_encoding);
      END_STATE();
    case 1230:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1325);
      END_STATE();
    case 1231:
      ACCEPT_TOKEN(sym_keyword_extended);
      END_STATE();
    case 1232:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1326);
      END_STATE();
    case 1233:
      ACCEPT_TOKEN(sym_keyword_external);
      END_STATE();
    case 1234:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1327);
      END_STATE();
    case 1235:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1328);
      END_STATE();
    case 1236:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1329);
      END_STATE();
    case 1237:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1330);
      END_STATE();
    case 1238:
      ACCEPT_TOKEN(sym_keyword_function);
      END_STATE();
    case 1239:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1331);
      END_STATE();
    case 1240:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1332);
      END_STATE();
    case 1241:
      ACCEPT_TOKEN(sym_keyword_geometry);
      END_STATE();
    case 1242:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1333);
      END_STATE();
    case 1243:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1334);
      END_STATE();
    case 1244:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1335);
      END_STATE();
    case 1245:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1336);
      END_STATE();
    case 1246:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1337);
      END_STATE();
    case 1247:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1338);
      END_STATE();
    case 1248:
      ACCEPT_TOKEN(sym_keyword_interval);
      END_STATE();
    case 1249:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1339);
      END_STATE();
    case 1250:
      ACCEPT_TOKEN(sym_keyword_jsonfile);
      END_STATE();
    case 1251:
      ACCEPT_TOKEN(sym_keyword_language);
      END_STATE();
    case 1252:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1340);
      END_STATE();
    case 1253:
      ACCEPT_TOKEN(sym_keyword_location);
      END_STATE();
    case 1254:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1341);
      END_STATE();
    case 1255:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1342);
      END_STATE();
    case 1256:
      ACCEPT_TOKEN(sym_keyword_maxvalue);
      END_STATE();
    case 1257:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1343);
      END_STATE();
    case 1258:
      ACCEPT_TOKEN(sym_keyword_metadata);
      END_STATE();
    case 1259:
      ACCEPT_TOKEN(sym_keyword_minvalue);
      END_STATE();
    case 1260:
      ACCEPT_TOKEN(sym_keyword_nvarchar);
      END_STATE();
    case 1261:
      ACCEPT_TOKEN(sym_keyword_optimize);
      END_STATE();
    case 1262:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1344);
      END_STATE();
    case 1263:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1345);
      END_STATE();
    case 1264:
      ACCEPT_TOKEN(sym_keyword_parallel);
      END_STATE();
    case 1265:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1346);
      END_STATE();
    case 1266:
      ACCEPT_TOKEN(sym_keyword_password);
      END_STATE();
    case 1267:
      ACCEPT_TOKEN(sym_keyword_precedes);
      END_STATE();
    case 1268:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1347);
      END_STATE();
    case 1269:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1348);
      END_STATE();
    case 1270:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1349);
      END_STATE();
    case 1271:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1350);
      END_STATE();
    case 1272:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1351);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1352);
      END_STATE();
    case 1273:
      ACCEPT_TOKEN(sym_keyword_regclass);
      END_STATE();
    case 1274:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1353);
      END_STATE();
    case 1275:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1354);
      END_STATE();
    case 1276:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1355);
      END_STATE();
    case 1277:
      ACCEPT_TOKEN(sym_keyword_restrict);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1356);
      END_STATE();
    case 1278:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1357);
      END_STATE();
    case 1279:
      ACCEPT_TOKEN(sym_keyword_rollback);
      END_STATE();
    case 1280:
      ACCEPT_TOKEN(sym_keyword_security);
      END_STATE();
    case 1281:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1358);
      END_STATE();
    case 1282:
      ACCEPT_TOKEN(sym_keyword_sequence);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1359);
      END_STATE();
    case 1283:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1360);
      END_STATE();
    case 1284:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1361);
      END_STATE();
    case 1285:
      ACCEPT_TOKEN(aux_sym_keyword_smallint_token1);
      END_STATE();
    case 1286:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1362);
      END_STATE();
    case 1287:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1363);
      END_STATE();
    case 1288:
      ACCEPT_TOKEN(sym_keyword_snapshot);
      END_STATE();
    case 1289:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1364);
      END_STATE();
    case 1290:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1365);
      END_STATE();
    case 1291:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1366);
      END_STATE();
    case 1292:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1367);
      END_STATE();
    case 1293:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1368);
      END_STATE();
    case 1294:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1369);
      END_STATE();
    case 1295:
      ACCEPT_TOKEN(sym_keyword_textfile);
      END_STATE();
    case 1296:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1370);
      END_STATE();
    case 1297:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1371);
      END_STATE();
    case 1298:
      ACCEPT_TOKEN(sym_keyword_truncate);
      END_STATE();
    case 1299:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1372);
      END_STATE();
    case 1300:
      ACCEPT_TOKEN(sym_keyword_uncached);
      END_STATE();
    case 1301:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1373);
      END_STATE();
    case 1302:
      ACCEPT_TOKEN(sym_keyword_unlogged);
      END_STATE();
    case 1303:
      ACCEPT_TOKEN(sym_keyword_unsigned);
      END_STATE();
    case 1304:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1374);
      END_STATE();
    case 1305:
      ACCEPT_TOKEN(sym_keyword_variadic);
      END_STATE();
    case 1306:
      ACCEPT_TOKEN(sym_keyword_volatile);
      END_STATE();
    case 1307:
      ACCEPT_TOKEN(sym_keyword_zerofill);
      END_STATE();
    case 1308:
      ACCEPT_TOKEN(sym_keyword_attribute);
      END_STATE();
    case 1309:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1375);
      END_STATE();
    case 1310:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1376);
      END_STATE();
    case 1311:
      ACCEPT_TOKEN(aux_sym_keyword_bigserial_token1);
      END_STATE();
    case 1312:
      ACCEPT_TOKEN(aux_sym_keyword_character_token1);
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1377);
      END_STATE();
    case 1313:
      ACCEPT_TOKEN(sym_keyword_committed);
      END_STATE();
    case 1314:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1378);
      END_STATE();
    case 1315:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1379);
      END_STATE();
    case 1316:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1380);
      END_STATE();
    case 1317:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1381);
      END_STATE();
    case 1318:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1382);
      END_STATE();
    case 1319:
      ACCEPT_TOKEN(sym_keyword_datetime2);
      END_STATE();
    case 1320:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1383);
      END_STATE();
    case 1321:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1384);
      END_STATE();
    case 1322:
      ACCEPT_TOKEN(sym_keyword_delimited);
      END_STATE();
    case 1323:
      ACCEPT_TOKEN(sym_keyword_delimiter);
      END_STATE();
    case 1324:
      ACCEPT_TOKEN(sym_keyword_duplicate);
      END_STATE();
    case 1325:
      ACCEPT_TOKEN(sym_keyword_encrypted);
      END_STATE();
    case 1326:
      ACCEPT_TOKEN(sym_keyword_extension);
      END_STATE();
    case 1327:
      ACCEPT_TOKEN(sym_keyword_following);
      END_STATE();
    case 1328:
      if (lookahead == '_') ADVANCE(1385);
      END_STATE();
    case 1329:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1386);
      END_STATE();
    case 1330:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1387);
      END_STATE();
    case 1331:
      ACCEPT_TOKEN(sym_keyword_generated);
      END_STATE();
    case 1332:
      ACCEPT_TOKEN(sym_keyword_geography);
      END_STATE();
    case 1333:
      if (lookahead == 'R' ||
          lookahead == 'r') ADVANCE(1388);
      END_STATE();
    case 1334:
      ACCEPT_TOKEN(sym_keyword_immediate);
      END_STATE();
    case 1335:
      ACCEPT_TOKEN(sym_keyword_immutable);
      END_STATE();
    case 1336:
      ACCEPT_TOKEN(sym_keyword_increment);
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1389);
      END_STATE();
    case 1337:
      ACCEPT_TOKEN(sym_keyword_initially);
      END_STATE();
    case 1338:
      ACCEPT_TOKEN(sym_keyword_intersect);
      END_STATE();
    case 1339:
      ACCEPT_TOKEN(sym_keyword_isolation);
      END_STATE();
    case 1340:
      ACCEPT_TOKEN(sym_keyword_leakproof);
      END_STATE();
    case 1341:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1390);
      END_STATE();
    case 1342:
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(1391);
      END_STATE();
    case 1343:
      ACCEPT_TOKEN(aux_sym_keyword_mediumint_token1);
      END_STATE();
    case 1344:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1392);
      END_STATE();
    case 1345:
      ACCEPT_TOKEN(sym_keyword_overwrite);
      END_STATE();
    case 1346:
      ACCEPT_TOKEN(sym_keyword_partition);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1393);
      END_STATE();
    case 1347:
      ACCEPT_TOKEN(sym_keyword_preceding);
      END_STATE();
    case 1348:
      ACCEPT_TOKEN(sym_keyword_precision);
      END_STATE();
    case 1349:
      ACCEPT_TOKEN(sym_keyword_procedure);
      END_STATE();
    case 1350:
      ACCEPT_TOKEN(sym_keyword_recursive);
      END_STATE();
    case 1351:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1394);
      END_STATE();
    case 1352:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1395);
      END_STATE();
    case 1353:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1396);
      END_STATE();
    case 1354:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1397);
      END_STATE();
    case 1355:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1398);
      END_STATE();
    case 1356:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1399);
      END_STATE();
    case 1357:
      ACCEPT_TOKEN(sym_keyword_returning);
      END_STATE();
    case 1358:
      ACCEPT_TOKEN(sym_keyword_separator);
      END_STATE();
    case 1359:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1400);
      END_STATE();
    case 1360:
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(1401);
      END_STATE();
    case 1361:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1402);
      END_STATE();
    case 1362:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1403);
      END_STATE();
    case 1363:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1404);
      END_STATE();
    case 1364:
      ACCEPT_TOKEN(sym_keyword_statement);
      END_STATE();
    case 1365:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1405);
      END_STATE();
    case 1366:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1406);
      END_STATE();
    case 1367:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1407);
      END_STATE();
    case 1368:
      ACCEPT_TOKEN(sym_keyword_temporary);
      END_STATE();
    case 1369:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1408);
      END_STATE();
    case 1370:
      ACCEPT_TOKEN(sym_keyword_timestamp);
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1409);
      END_STATE();
    case 1371:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1410);
      END_STATE();
    case 1372:
      ACCEPT_TOKEN(sym_keyword_unbounded);
      END_STATE();
    case 1373:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1411);
      END_STATE();
    case 1374:
      ACCEPT_TOKEN(sym_keyword_varbinary);
      END_STATE();
    case 1375:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1412);
      END_STATE();
    case 1376:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1413);
      END_STATE();
    case 1377:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1414);
      END_STATE();
    case 1378:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1415);
      END_STATE();
    case 1379:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1416);
      END_STATE();
    case 1380:
      ACCEPT_TOKEN(sym_keyword_connection);
      END_STATE();
    case 1381:
      ACCEPT_TOKEN(sym_keyword_constraint);
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1417);
      END_STATE();
    case 1382:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1418);
      END_STATE();
    case 1383:
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(1419);
      END_STATE();
    case 1384:
      ACCEPT_TOKEN(sym_keyword_deferrable);
      END_STATE();
    case 1385:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1420);
      END_STATE();
    case 1386:
      ACCEPT_TOKEN(sym_keyword_force_null);
      END_STATE();
    case 1387:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1421);
      END_STATE();
    case 1388:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1422);
      END_STATE();
    case 1389:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1423);
      END_STATE();
    case 1390:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1424);
      END_STATE();
    case 1391:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1425);
      END_STATE();
    case 1392:
      ACCEPT_TOKEN(sym_keyword_ordinality);
      END_STATE();
    case 1393:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1426);
      END_STATE();
    case 1394:
      ACCEPT_TOKEN(sym_keyword_references);
      END_STATE();
    case 1395:
      if (lookahead == 'G' ||
          lookahead == 'g') ADVANCE(1427);
      END_STATE();
    case 1396:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1428);
      END_STATE();
    case 1397:
      ACCEPT_TOKEN(sym_keyword_repeatable);
      END_STATE();
    case 1398:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1429);
      END_STATE();
    case 1399:
      ACCEPT_TOKEN(sym_keyword_restricted);
      END_STATE();
    case 1400:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1430);
      END_STATE();
    case 1401:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1431);
      END_STATE();
    case 1402:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1432);
      END_STATE();
    case 1403:
      ACCEPT_TOKEN(sym_keyword_smallmoney);
      END_STATE();
    case 1404:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1433);
      END_STATE();
    case 1405:
      ACCEPT_TOKEN(sym_keyword_statistics);
      END_STATE();
    case 1406:
      ACCEPT_TOKEN(sym_keyword_tablespace);
      END_STATE();
    case 1407:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1434);
      END_STATE();
    case 1408:
      ACCEPT_TOKEN(sym_keyword_terminated);
      END_STATE();
    case 1409:
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(1435);
      END_STATE();
    case 1410:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1436);
      END_STATE();
    case 1411:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1437);
      END_STATE();
    case 1412:
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(1438);
      END_STATE();
    case 1413:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1439);
      END_STATE();
    case 1414:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1440);
      END_STATE();
    case 1415:
      ACCEPT_TOKEN(sym_keyword_compression);
      END_STATE();
    case 1416:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1441);
      END_STATE();
    case 1417:
      ACCEPT_TOKEN(sym_keyword_constraints);
      END_STATE();
    case 1418:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1442);
      END_STATE();
    case 1419:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1443);
      END_STATE();
    case 1420:
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(1444);
      END_STATE();
    case 1421:
      ACCEPT_TOKEN(sym_keyword_force_quote);
      END_STATE();
    case 1422:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1445);
      END_STATE();
    case 1423:
      ACCEPT_TOKEN(sym_keyword_incremental);
      END_STATE();
    case 1424:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1446);
      END_STATE();
    case 1425:
      if (lookahead == 'D' ||
          lookahead == 'd') ADVANCE(1447);
      END_STATE();
    case 1426:
      ACCEPT_TOKEN(sym_keyword_partitioned);
      END_STATE();
    case 1427:
      ACCEPT_TOKEN(sym_keyword_referencing);
      END_STATE();
    case 1428:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1448);
      END_STATE();
    case 1429:
      ACCEPT_TOKEN(sym_keyword_replication);
      END_STATE();
    case 1430:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1449);
      END_STATE();
    case 1431:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1450);
      END_STATE();
    case 1432:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1451);
      END_STATE();
    case 1433:
      ACCEPT_TOKEN(aux_sym_keyword_smallserial_token1);
      END_STATE();
    case 1434:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1452);
      END_STATE();
    case 1435:
      ACCEPT_TOKEN(sym_keyword_timestamptz);
      END_STATE();
    case 1436:
      ACCEPT_TOKEN(sym_keyword_transaction);
      END_STATE();
    case 1437:
      ACCEPT_TOKEN(sym_keyword_uncommitted);
      END_STATE();
    case 1438:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1453);
      END_STATE();
    case 1439:
      if (lookahead == 'N' ||
          lookahead == 'n') ADVANCE(1454);
      END_STATE();
    case 1440:
      if (lookahead == 'I' ||
          lookahead == 'i') ADVANCE(1455);
      END_STATE();
    case 1441:
      ACCEPT_TOKEN(sym_keyword_concurrently);
      END_STATE();
    case 1442:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1456);
      END_STATE();
    case 1443:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1457);
      END_STATE();
    case 1444:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1458);
      END_STATE();
    case 1445:
      if (lookahead == 'Y' ||
          lookahead == 'y') ADVANCE(1459);
      END_STATE();
    case 1446:
      ACCEPT_TOKEN(sym_keyword_low_priority);
      END_STATE();
    case 1447:
      ACCEPT_TOKEN(sym_keyword_materialized);
      END_STATE();
    case 1448:
      ACCEPT_TOKEN(sym_keyword_regnamespace);
      END_STATE();
    case 1449:
      ACCEPT_TOKEN(sym_keyword_sequencefile);
      END_STATE();
    case 1450:
      ACCEPT_TOKEN(sym_keyword_serializable);
      END_STATE();
    case 1451:
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(1460);
      END_STATE();
    case 1452:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1461);
      END_STATE();
    case 1453:
      ACCEPT_TOKEN(sym_keyword_authorization);
      END_STATE();
    case 1454:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1462);
      END_STATE();
    case 1455:
      if (lookahead == 'C' ||
          lookahead == 'c') ADVANCE(1463);
      END_STATE();
    case 1456:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1464);
      END_STATE();
    case 1457:
      if (lookahead == 'T' ||
          lookahead == 't') ADVANCE(1465);
      END_STATE();
    case 1458:
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(1466);
      END_STATE();
    case 1459:
      ACCEPT_TOKEN(sym_keyword_high_priority);
      END_STATE();
    case 1460:
      ACCEPT_TOKEN(sym_keyword_smalldatetime);
      END_STATE();
    case 1461:
      ACCEPT_TOKEN(sym_keyword_tblproperties);
      END_STATE();
    case 1462:
      ACCEPT_TOKEN(sym_keyword_auto_increment);
      END_STATE();
    case 1463:
      if (lookahead == 'S' ||
          lookahead == 's') ADVANCE(1467);
      END_STATE();
    case 1464:
      if (lookahead == 'A' ||
          lookahead == 'a') ADVANCE(1468);
      END_STATE();
    case 1465:
      ACCEPT_TOKEN(sym_keyword_datetimeoffset);
      END_STATE();
    case 1466:
      ACCEPT_TOKEN(sym_keyword_force_not_null);
      END_STATE();
    case 1467:
      ACCEPT_TOKEN(sym_keyword_characteristics);
      END_STATE();
    case 1468:
      if (lookahead == 'M' ||
          lookahead == 'm') ADVANCE(1469);
      END_STATE();
    case 1469:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(1470);
      END_STATE();
    case 1470:
      ACCEPT_TOKEN(sym_keyword_current_timestamp);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 35},
  [2] = {.lex_state = 35},
  [3] = {.lex_state = 35},
  [4] = {.lex_state = 35},
  [5] = {.lex_state = 35},
  [6] = {.lex_state = 35},
  [7] = {.lex_state = 35},
  [8] = {.lex_state = 35},
  [9] = {.lex_state = 35},
  [10] = {.lex_state = 35},
  [11] = {.lex_state = 35},
  [12] = {.lex_state = 35},
  [13] = {.lex_state = 35},
  [14] = {.lex_state = 35},
  [15] = {.lex_state = 35},
  [16] = {.lex_state = 35},
  [17] = {.lex_state = 35},
  [18] = {.lex_state = 35},
  [19] = {.lex_state = 35},
  [20] = {.lex_state = 35},
  [21] = {.lex_state = 35},
  [22] = {.lex_state = 35},
  [23] = {.lex_state = 35},
  [24] = {.lex_state = 35},
  [25] = {.lex_state = 35},
  [26] = {.lex_state = 35},
  [27] = {.lex_state = 35},
  [28] = {.lex_state = 35},
  [29] = {.lex_state = 35},
  [30] = {.lex_state = 35},
  [31] = {.lex_state = 35},
  [32] = {.lex_state = 35},
  [33] = {.lex_state = 35},
  [34] = {.lex_state = 35},
  [35] = {.lex_state = 35},
  [36] = {.lex_state = 35},
  [37] = {.lex_state = 35},
  [38] = {.lex_state = 35},
  [39] = {.lex_state = 35},
  [40] = {.lex_state = 35},
  [41] = {.lex_state = 35},
  [42] = {.lex_state = 35},
  [43] = {.lex_state = 35},
  [44] = {.lex_state = 35},
  [45] = {.lex_state = 35},
  [46] = {.lex_state = 35},
  [47] = {.lex_state = 35},
  [48] = {.lex_state = 35},
  [49] = {.lex_state = 35},
  [50] = {.lex_state = 35},
  [51] = {.lex_state = 35},
  [52] = {.lex_state = 35},
  [53] = {.lex_state = 35},
  [54] = {.lex_state = 35},
  [55] = {.lex_state = 35},
  [56] = {.lex_state = 35},
  [57] = {.lex_state = 35},
  [58] = {.lex_state = 35},
  [59] = {.lex_state = 35},
  [60] = {.lex_state = 35},
  [61] = {.lex_state = 35},
  [62] = {.lex_state = 35},
  [63] = {.lex_state = 35},
  [64] = {.lex_state = 35},
  [65] = {.lex_state = 35},
  [66] = {.lex_state = 35},
  [67] = {.lex_state = 35},
  [68] = {.lex_state = 35},
  [69] = {.lex_state = 35},
  [70] = {.lex_state = 35},
  [71] = {.lex_state = 35},
  [72] = {.lex_state = 35},
  [73] = {.lex_state = 35},
  [74] = {.lex_state = 35},
  [75] = {.lex_state = 35},
  [76] = {.lex_state = 35},
  [77] = {.lex_state = 35},
  [78] = {.lex_state = 35},
  [79] = {.lex_state = 35},
  [80] = {.lex_state = 35},
  [81] = {.lex_state = 35},
  [82] = {.lex_state = 35},
  [83] = {.lex_state = 35},
  [84] = {.lex_state = 35},
  [85] = {.lex_state = 35},
  [86] = {.lex_state = 35},
  [87] = {.lex_state = 35},
  [88] = {.lex_state = 35},
  [89] = {.lex_state = 35},
  [90] = {.lex_state = 33},
  [91] = {.lex_state = 35},
  [92] = {.lex_state = 35},
  [93] = {.lex_state = 35},
  [94] = {.lex_state = 35},
  [95] = {.lex_state = 35},
  [96] = {.lex_state = 35},
  [97] = {.lex_state = 35},
  [98] = {.lex_state = 35},
  [99] = {.lex_state = 35},
  [100] = {.lex_state = 35},
  [101] = {.lex_state = 35},
  [102] = {.lex_state = 35},
  [103] = {.lex_state = 35},
  [104] = {.lex_state = 35},
  [105] = {.lex_state = 35},
  [106] = {.lex_state = 35},
  [107] = {.lex_state = 35},
  [108] = {.lex_state = 35},
  [109] = {.lex_state = 35},
  [110] = {.lex_state = 35},
  [111] = {.lex_state = 35},
  [112] = {.lex_state = 35},
  [113] = {.lex_state = 35},
  [114] = {.lex_state = 35},
  [115] = {.lex_state = 35},
  [116] = {.lex_state = 35},
  [117] = {.lex_state = 35},
  [118] = {.lex_state = 35},
  [119] = {.lex_state = 35},
  [120] = {.lex_state = 35},
  [121] = {.lex_state = 35},
  [122] = {.lex_state = 35},
  [123] = {.lex_state = 35},
  [124] = {.lex_state = 35},
  [125] = {.lex_state = 35},
  [126] = {.lex_state = 35},
  [127] = {.lex_state = 35},
  [128] = {.lex_state = 35},
  [129] = {.lex_state = 35},
  [130] = {.lex_state = 35},
  [131] = {.lex_state = 35},
  [132] = {.lex_state = 35},
  [133] = {.lex_state = 35},
  [134] = {.lex_state = 35},
  [135] = {.lex_state = 35},
  [136] = {.lex_state = 35},
  [137] = {.lex_state = 35},
  [138] = {.lex_state = 35},
  [139] = {.lex_state = 35},
  [140] = {.lex_state = 35},
  [141] = {.lex_state = 35},
  [142] = {.lex_state = 35},
  [143] = {.lex_state = 35},
  [144] = {.lex_state = 35},
  [145] = {.lex_state = 35},
  [146] = {.lex_state = 35},
  [147] = {.lex_state = 35},
  [148] = {.lex_state = 35},
  [149] = {.lex_state = 35},
  [150] = {.lex_state = 35},
  [151] = {.lex_state = 35},
  [152] = {.lex_state = 35},
  [153] = {.lex_state = 35},
  [154] = {.lex_state = 35},
  [155] = {.lex_state = 35},
  [156] = {.lex_state = 35},
  [157] = {.lex_state = 35},
  [158] = {.lex_state = 35},
  [159] = {.lex_state = 35},
  [160] = {.lex_state = 35},
  [161] = {.lex_state = 35},
  [162] = {.lex_state = 35},
  [163] = {.lex_state = 35},
  [164] = {.lex_state = 35},
  [165] = {.lex_state = 35},
  [166] = {.lex_state = 35},
  [167] = {.lex_state = 35},
  [168] = {.lex_state = 35},
  [169] = {.lex_state = 35},
  [170] = {.lex_state = 35},
  [171] = {.lex_state = 35},
  [172] = {.lex_state = 35},
  [173] = {.lex_state = 35},
  [174] = {.lex_state = 35},
  [175] = {.lex_state = 35},
  [176] = {.lex_state = 35},
  [177] = {.lex_state = 35},
  [178] = {.lex_state = 35, .external_lex_state = 2},
  [179] = {.lex_state = 35},
  [180] = {.lex_state = 35},
  [181] = {.lex_state = 35},
  [182] = {.lex_state = 35},
  [183] = {.lex_state = 35},
  [184] = {.lex_state = 35},
  [185] = {.lex_state = 35},
  [186] = {.lex_state = 35},
  [187] = {.lex_state = 35},
  [188] = {.lex_state = 36},
  [189] = {.lex_state = 35},
  [190] = {.lex_state = 35},
  [191] = {.lex_state = 35},
  [192] = {.lex_state = 35},
  [193] = {.lex_state = 35},
  [194] = {.lex_state = 35},
  [195] = {.lex_state = 35},
  [196] = {.lex_state = 35},
  [197] = {.lex_state = 35},
  [198] = {.lex_state = 35},
  [199] = {.lex_state = 35},
  [200] = {.lex_state = 35},
  [201] = {.lex_state = 35},
  [202] = {.lex_state = 35},
  [203] = {.lex_state = 35},
  [204] = {.lex_state = 35},
  [205] = {.lex_state = 35},
  [206] = {.lex_state = 35},
  [207] = {.lex_state = 35},
  [208] = {.lex_state = 35},
  [209] = {.lex_state = 35},
  [210] = {.lex_state = 35},
  [211] = {.lex_state = 35},
  [212] = {.lex_state = 35},
  [213] = {.lex_state = 35},
  [214] = {.lex_state = 35},
  [215] = {.lex_state = 35},
  [216] = {.lex_state = 35},
  [217] = {.lex_state = 35},
  [218] = {.lex_state = 35},
  [219] = {.lex_state = 35},
  [220] = {.lex_state = 35},
  [221] = {.lex_state = 35},
  [222] = {.lex_state = 35},
  [223] = {.lex_state = 35},
  [224] = {.lex_state = 35},
  [225] = {.lex_state = 35},
  [226] = {.lex_state = 35},
  [227] = {.lex_state = 35},
  [228] = {.lex_state = 35},
  [229] = {.lex_state = 35},
  [230] = {.lex_state = 35},
  [231] = {.lex_state = 35},
  [232] = {.lex_state = 35},
  [233] = {.lex_state = 35},
  [234] = {.lex_state = 35},
  [235] = {.lex_state = 35},
  [236] = {.lex_state = 35},
  [237] = {.lex_state = 35},
  [238] = {.lex_state = 35},
  [239] = {.lex_state = 35},
  [240] = {.lex_state = 35},
  [241] = {.lex_state = 35},
  [242] = {.lex_state = 35},
  [243] = {.lex_state = 35},
  [244] = {.lex_state = 35},
  [245] = {.lex_state = 35},
  [246] = {.lex_state = 35},
  [247] = {.lex_state = 35},
  [248] = {.lex_state = 35},
  [249] = {.lex_state = 35},
  [250] = {.lex_state = 35},
  [251] = {.lex_state = 35},
  [252] = {.lex_state = 35},
  [253] = {.lex_state = 35},
  [254] = {.lex_state = 35},
  [255] = {.lex_state = 35},
  [256] = {.lex_state = 35},
  [257] = {.lex_state = 35},
  [258] = {.lex_state = 35},
  [259] = {.lex_state = 35},
  [260] = {.lex_state = 35},
  [261] = {.lex_state = 35},
  [262] = {.lex_state = 35},
  [263] = {.lex_state = 35},
  [264] = {.lex_state = 35},
  [265] = {.lex_state = 35},
  [266] = {.lex_state = 35},
  [267] = {.lex_state = 35},
  [268] = {.lex_state = 35},
  [269] = {.lex_state = 35},
  [270] = {.lex_state = 35},
  [271] = {.lex_state = 35},
  [272] = {.lex_state = 35},
  [273] = {.lex_state = 35},
  [274] = {.lex_state = 35},
  [275] = {.lex_state = 35},
  [276] = {.lex_state = 35},
  [277] = {.lex_state = 35},
  [278] = {.lex_state = 35},
  [279] = {.lex_state = 35},
  [280] = {.lex_state = 35},
  [281] = {.lex_state = 35},
  [282] = {.lex_state = 35},
  [283] = {.lex_state = 33, .external_lex_state = 2},
  [284] = {.lex_state = 35},
  [285] = {.lex_state = 35},
  [286] = {.lex_state = 35},
  [287] = {.lex_state = 35},
  [288] = {.lex_state = 35},
  [289] = {.lex_state = 35},
  [290] = {.lex_state = 35},
  [291] = {.lex_state = 35},
  [292] = {.lex_state = 35, .external_lex_state = 2},
  [293] = {.lex_state = 35, .external_lex_state = 2},
  [294] = {.lex_state = 35, .external_lex_state = 2},
  [295] = {.lex_state = 35},
  [296] = {.lex_state = 1, .external_lex_state = 3},
  [297] = {.lex_state = 1, .external_lex_state = 3},
  [298] = {.lex_state = 35},
  [299] = {.lex_state = 33},
  [300] = {.lex_state = 35},
  [301] = {.lex_state = 1, .external_lex_state = 3},
  [302] = {.lex_state = 1, .external_lex_state = 3},
  [303] = {.lex_state = 1, .external_lex_state = 3},
  [304] = {.lex_state = 1, .external_lex_state = 3},
  [305] = {.lex_state = 1, .external_lex_state = 3},
  [306] = {.lex_state = 1, .external_lex_state = 3},
  [307] = {.lex_state = 1, .external_lex_state = 3},
  [308] = {.lex_state = 1, .external_lex_state = 3},
  [309] = {.lex_state = 1, .external_lex_state = 3},
  [310] = {.lex_state = 1, .external_lex_state = 3},
  [311] = {.lex_state = 1, .external_lex_state = 3},
  [312] = {.lex_state = 1, .external_lex_state = 3},
  [313] = {.lex_state = 1, .external_lex_state = 3},
  [314] = {.lex_state = 1, .external_lex_state = 3},
  [315] = {.lex_state = 1, .external_lex_state = 3},
  [316] = {.lex_state = 1, .external_lex_state = 3},
  [317] = {.lex_state = 1, .external_lex_state = 3},
  [318] = {.lex_state = 1, .external_lex_state = 3},
  [319] = {.lex_state = 1, .external_lex_state = 3},
  [320] = {.lex_state = 1, .external_lex_state = 3},
  [321] = {.lex_state = 1, .external_lex_state = 3},
  [322] = {.lex_state = 35},
  [323] = {.lex_state = 35},
  [324] = {.lex_state = 1, .external_lex_state = 3},
  [325] = {.lex_state = 1, .external_lex_state = 3},
  [326] = {.lex_state = 35},
  [327] = {.lex_state = 35},
  [328] = {.lex_state = 1, .external_lex_state = 3},
  [329] = {.lex_state = 35},
  [330] = {.lex_state = 35},
  [331] = {.lex_state = 1, .external_lex_state = 3},
  [332] = {.lex_state = 1, .external_lex_state = 3},
  [333] = {.lex_state = 1, .external_lex_state = 3},
  [334] = {.lex_state = 1, .external_lex_state = 3},
  [335] = {.lex_state = 1, .external_lex_state = 3},
  [336] = {.lex_state = 35},
  [337] = {.lex_state = 35},
  [338] = {.lex_state = 1, .external_lex_state = 3},
  [339] = {.lex_state = 1, .external_lex_state = 3},
  [340] = {.lex_state = 1, .external_lex_state = 3},
  [341] = {.lex_state = 1, .external_lex_state = 3},
  [342] = {.lex_state = 35},
  [343] = {.lex_state = 1, .external_lex_state = 3},
  [344] = {.lex_state = 1, .external_lex_state = 3},
  [345] = {.lex_state = 1, .external_lex_state = 3},
  [346] = {.lex_state = 1, .external_lex_state = 3},
  [347] = {.lex_state = 35},
  [348] = {.lex_state = 1, .external_lex_state = 3},
  [349] = {.lex_state = 1, .external_lex_state = 3},
  [350] = {.lex_state = 1, .external_lex_state = 3},
  [351] = {.lex_state = 1, .external_lex_state = 3},
  [352] = {.lex_state = 1, .external_lex_state = 3},
  [353] = {.lex_state = 35},
  [354] = {.lex_state = 1, .external_lex_state = 3},
  [355] = {.lex_state = 1, .external_lex_state = 3},
  [356] = {.lex_state = 1, .external_lex_state = 3},
  [357] = {.lex_state = 1, .external_lex_state = 3},
  [358] = {.lex_state = 1, .external_lex_state = 3},
  [359] = {.lex_state = 1, .external_lex_state = 3},
  [360] = {.lex_state = 1, .external_lex_state = 3},
  [361] = {.lex_state = 1, .external_lex_state = 3},
  [362] = {.lex_state = 1, .external_lex_state = 3},
  [363] = {.lex_state = 1, .external_lex_state = 3},
  [364] = {.lex_state = 35},
  [365] = {.lex_state = 1, .external_lex_state = 3},
  [366] = {.lex_state = 1, .external_lex_state = 3},
  [367] = {.lex_state = 1, .external_lex_state = 3},
  [368] = {.lex_state = 1, .external_lex_state = 3},
  [369] = {.lex_state = 1, .external_lex_state = 3},
  [370] = {.lex_state = 1, .external_lex_state = 3},
  [371] = {.lex_state = 1, .external_lex_state = 3},
  [372] = {.lex_state = 1, .external_lex_state = 3},
  [373] = {.lex_state = 35},
  [374] = {.lex_state = 35},
  [375] = {.lex_state = 35},
  [376] = {.lex_state = 35},
  [377] = {.lex_state = 35},
  [378] = {.lex_state = 35},
  [379] = {.lex_state = 35},
  [380] = {.lex_state = 35},
  [381] = {.lex_state = 35},
  [382] = {.lex_state = 35},
  [383] = {.lex_state = 35},
  [384] = {.lex_state = 35, .external_lex_state = 2},
  [385] = {.lex_state = 35},
  [386] = {.lex_state = 35},
  [387] = {.lex_state = 35},
  [388] = {.lex_state = 35},
  [389] = {.lex_state = 35},
  [390] = {.lex_state = 35},
  [391] = {.lex_state = 35},
  [392] = {.lex_state = 35},
  [393] = {.lex_state = 35, .external_lex_state = 2},
  [394] = {.lex_state = 35, .external_lex_state = 2},
  [395] = {.lex_state = 35, .external_lex_state = 2},
  [396] = {.lex_state = 35},
  [397] = {.lex_state = 35},
  [398] = {.lex_state = 35},
  [399] = {.lex_state = 35},
  [400] = {.lex_state = 35},
  [401] = {.lex_state = 35},
  [402] = {.lex_state = 35},
  [403] = {.lex_state = 35},
  [404] = {.lex_state = 35},
  [405] = {.lex_state = 35},
  [406] = {.lex_state = 35},
  [407] = {.lex_state = 35, .external_lex_state = 2},
  [408] = {.lex_state = 35},
  [409] = {.lex_state = 35},
  [410] = {.lex_state = 35},
  [411] = {.lex_state = 35},
  [412] = {.lex_state = 35},
  [413] = {.lex_state = 35},
  [414] = {.lex_state = 35},
  [415] = {.lex_state = 35},
  [416] = {.lex_state = 35},
  [417] = {.lex_state = 35},
  [418] = {.lex_state = 35, .external_lex_state = 2},
  [419] = {.lex_state = 35, .external_lex_state = 2},
  [420] = {.lex_state = 35, .external_lex_state = 2},
  [421] = {.lex_state = 35, .external_lex_state = 2},
  [422] = {.lex_state = 35, .external_lex_state = 2},
  [423] = {.lex_state = 35, .external_lex_state = 2},
  [424] = {.lex_state = 35, .external_lex_state = 2},
  [425] = {.lex_state = 35, .external_lex_state = 2},
  [426] = {.lex_state = 33},
  [427] = {.lex_state = 35, .external_lex_state = 2},
  [428] = {.lex_state = 35, .external_lex_state = 2},
  [429] = {.lex_state = 35, .external_lex_state = 2},
  [430] = {.lex_state = 35, .external_lex_state = 2},
  [431] = {.lex_state = 35, .external_lex_state = 2},
  [432] = {.lex_state = 35, .external_lex_state = 2},
  [433] = {.lex_state = 35, .external_lex_state = 2},
  [434] = {.lex_state = 35, .external_lex_state = 2},
  [435] = {.lex_state = 35, .external_lex_state = 2},
  [436] = {.lex_state = 35, .external_lex_state = 2},
  [437] = {.lex_state = 35},
  [438] = {.lex_state = 35, .external_lex_state = 2},
  [439] = {.lex_state = 35, .external_lex_state = 2},
  [440] = {.lex_state = 35, .external_lex_state = 2},
  [441] = {.lex_state = 33},
  [442] = {.lex_state = 35, .external_lex_state = 2},
  [443] = {.lex_state = 35, .external_lex_state = 2},
  [444] = {.lex_state = 35, .external_lex_state = 2},
  [445] = {.lex_state = 35, .external_lex_state = 2},
  [446] = {.lex_state = 35, .external_lex_state = 2},
  [447] = {.lex_state = 35, .external_lex_state = 2},
  [448] = {.lex_state = 35, .external_lex_state = 2},
  [449] = {.lex_state = 35},
  [450] = {.lex_state = 35, .external_lex_state = 2},
  [451] = {.lex_state = 35, .external_lex_state = 2},
  [452] = {.lex_state = 35, .external_lex_state = 2},
  [453] = {.lex_state = 35, .external_lex_state = 2},
  [454] = {.lex_state = 35, .external_lex_state = 2},
  [455] = {.lex_state = 35, .external_lex_state = 2},
  [456] = {.lex_state = 35, .external_lex_state = 2},
  [457] = {.lex_state = 35, .external_lex_state = 2},
  [458] = {.lex_state = 35},
  [459] = {.lex_state = 35},
  [460] = {.lex_state = 35},
  [461] = {.lex_state = 1, .external_lex_state = 3},
  [462] = {.lex_state = 1, .external_lex_state = 3},
  [463] = {.lex_state = 35},
  [464] = {.lex_state = 1, .external_lex_state = 3},
  [465] = {.lex_state = 1, .external_lex_state = 3},
  [466] = {.lex_state = 35},
  [467] = {.lex_state = 35, .external_lex_state = 2},
  [468] = {.lex_state = 1, .external_lex_state = 3},
  [469] = {.lex_state = 35, .external_lex_state = 2},
  [470] = {.lex_state = 35},
  [471] = {.lex_state = 35},
  [472] = {.lex_state = 35},
  [473] = {.lex_state = 35, .external_lex_state = 2},
  [474] = {.lex_state = 1, .external_lex_state = 3},
  [475] = {.lex_state = 35, .external_lex_state = 2},
  [476] = {.lex_state = 35},
  [477] = {.lex_state = 35},
  [478] = {.lex_state = 1, .external_lex_state = 3},
  [479] = {.lex_state = 1, .external_lex_state = 3},
  [480] = {.lex_state = 1, .external_lex_state = 3},
  [481] = {.lex_state = 1, .external_lex_state = 3},
  [482] = {.lex_state = 35, .external_lex_state = 2},
  [483] = {.lex_state = 35, .external_lex_state = 2},
  [484] = {.lex_state = 35, .external_lex_state = 2},
  [485] = {.lex_state = 35, .external_lex_state = 2},
  [486] = {.lex_state = 1, .external_lex_state = 3},
  [487] = {.lex_state = 1, .external_lex_state = 3},
  [488] = {.lex_state = 35, .external_lex_state = 2},
  [489] = {.lex_state = 35},
  [490] = {.lex_state = 35},
  [491] = {.lex_state = 1, .external_lex_state = 3},
  [492] = {.lex_state = 35, .external_lex_state = 2},
  [493] = {.lex_state = 35, .external_lex_state = 2},
  [494] = {.lex_state = 35},
  [495] = {.lex_state = 1, .external_lex_state = 3},
  [496] = {.lex_state = 1, .external_lex_state = 3},
  [497] = {.lex_state = 35},
  [498] = {.lex_state = 35},
  [499] = {.lex_state = 1, .external_lex_state = 3},
  [500] = {.lex_state = 35},
  [501] = {.lex_state = 35},
  [502] = {.lex_state = 35, .external_lex_state = 2},
  [503] = {.lex_state = 1, .external_lex_state = 3},
  [504] = {.lex_state = 35},
  [505] = {.lex_state = 1, .external_lex_state = 3},
  [506] = {.lex_state = 1, .external_lex_state = 3},
  [507] = {.lex_state = 1, .external_lex_state = 3},
  [508] = {.lex_state = 35, .external_lex_state = 2},
  [509] = {.lex_state = 35, .external_lex_state = 2},
  [510] = {.lex_state = 35, .external_lex_state = 2},
  [511] = {.lex_state = 1, .external_lex_state = 3},
  [512] = {.lex_state = 35, .external_lex_state = 2},
  [513] = {.lex_state = 35, .external_lex_state = 2},
  [514] = {.lex_state = 35, .external_lex_state = 2},
  [515] = {.lex_state = 35, .external_lex_state = 2},
  [516] = {.lex_state = 35, .external_lex_state = 2},
  [517] = {.lex_state = 1, .external_lex_state = 3},
  [518] = {.lex_state = 1, .external_lex_state = 3},
  [519] = {.lex_state = 35, .external_lex_state = 2},
  [520] = {.lex_state = 35},
  [521] = {.lex_state = 35, .external_lex_state = 2},
  [522] = {.lex_state = 35, .external_lex_state = 2},
  [523] = {.lex_state = 35, .external_lex_state = 2},
  [524] = {.lex_state = 35, .external_lex_state = 2},
  [525] = {.lex_state = 35, .external_lex_state = 2},
  [526] = {.lex_state = 1, .external_lex_state = 3},
  [527] = {.lex_state = 33},
  [528] = {.lex_state = 35},
  [529] = {.lex_state = 35},
  [530] = {.lex_state = 1, .external_lex_state = 3},
  [531] = {.lex_state = 1, .external_lex_state = 3},
  [532] = {.lex_state = 35},
  [533] = {.lex_state = 35},
  [534] = {.lex_state = 35},
  [535] = {.lex_state = 1, .external_lex_state = 3},
  [536] = {.lex_state = 35, .external_lex_state = 2},
  [537] = {.lex_state = 1, .external_lex_state = 3},
  [538] = {.lex_state = 35, .external_lex_state = 2},
  [539] = {.lex_state = 35, .external_lex_state = 2},
  [540] = {.lex_state = 1, .external_lex_state = 3},
  [541] = {.lex_state = 1, .external_lex_state = 3},
  [542] = {.lex_state = 35, .external_lex_state = 2},
  [543] = {.lex_state = 1, .external_lex_state = 3},
  [544] = {.lex_state = 35, .external_lex_state = 2},
  [545] = {.lex_state = 35, .external_lex_state = 2},
  [546] = {.lex_state = 35, .external_lex_state = 2},
  [547] = {.lex_state = 35, .external_lex_state = 2},
  [548] = {.lex_state = 35, .external_lex_state = 2},
  [549] = {.lex_state = 1, .external_lex_state = 3},
  [550] = {.lex_state = 1, .external_lex_state = 3},
  [551] = {.lex_state = 1, .external_lex_state = 3},
  [552] = {.lex_state = 1, .external_lex_state = 3},
  [553] = {.lex_state = 35, .external_lex_state = 2},
  [554] = {.lex_state = 35, .external_lex_state = 2},
  [555] = {.lex_state = 35, .external_lex_state = 2},
  [556] = {.lex_state = 1, .external_lex_state = 3},
  [557] = {.lex_state = 1, .external_lex_state = 3},
  [558] = {.lex_state = 1, .external_lex_state = 3},
  [559] = {.lex_state = 1, .external_lex_state = 3},
  [560] = {.lex_state = 1, .external_lex_state = 3},
  [561] = {.lex_state = 35, .external_lex_state = 2},
  [562] = {.lex_state = 1, .external_lex_state = 3},
  [563] = {.lex_state = 1, .external_lex_state = 3},
  [564] = {.lex_state = 35, .external_lex_state = 2},
  [565] = {.lex_state = 1, .external_lex_state = 3},
  [566] = {.lex_state = 35, .external_lex_state = 2},
  [567] = {.lex_state = 35},
  [568] = {.lex_state = 35, .external_lex_state = 2},
  [569] = {.lex_state = 35, .external_lex_state = 2},
  [570] = {.lex_state = 35, .external_lex_state = 2},
  [571] = {.lex_state = 35},
  [572] = {.lex_state = 35, .external_lex_state = 2},
  [573] = {.lex_state = 35, .external_lex_state = 2},
  [574] = {.lex_state = 1, .external_lex_state = 3},
  [575] = {.lex_state = 35},
  [576] = {.lex_state = 35},
  [577] = {.lex_state = 1, .external_lex_state = 3},
  [578] = {.lex_state = 1, .external_lex_state = 3},
  [579] = {.lex_state = 1, .external_lex_state = 3},
  [580] = {.lex_state = 1, .external_lex_state = 3},
  [581] = {.lex_state = 35},
  [582] = {.lex_state = 1, .external_lex_state = 3},
  [583] = {.lex_state = 1, .external_lex_state = 3},
  [584] = {.lex_state = 35},
  [585] = {.lex_state = 1, .external_lex_state = 3},
  [586] = {.lex_state = 1, .external_lex_state = 3},
  [587] = {.lex_state = 1, .external_lex_state = 3},
  [588] = {.lex_state = 1, .external_lex_state = 3},
  [589] = {.lex_state = 1, .external_lex_state = 3},
  [590] = {.lex_state = 1, .external_lex_state = 3},
  [591] = {.lex_state = 1, .external_lex_state = 3},
  [592] = {.lex_state = 35},
  [593] = {.lex_state = 1, .external_lex_state = 3},
  [594] = {.lex_state = 35},
  [595] = {.lex_state = 35},
  [596] = {.lex_state = 1, .external_lex_state = 3},
  [597] = {.lex_state = 1, .external_lex_state = 3},
  [598] = {.lex_state = 35},
  [599] = {.lex_state = 35},
  [600] = {.lex_state = 1, .external_lex_state = 3},
  [601] = {.lex_state = 1, .external_lex_state = 3},
  [602] = {.lex_state = 1, .external_lex_state = 3},
  [603] = {.lex_state = 1, .external_lex_state = 3},
  [604] = {.lex_state = 1, .external_lex_state = 3},
  [605] = {.lex_state = 35},
  [606] = {.lex_state = 1, .external_lex_state = 3},
  [607] = {.lex_state = 35},
  [608] = {.lex_state = 35},
  [609] = {.lex_state = 1, .external_lex_state = 3},
  [610] = {.lex_state = 1, .external_lex_state = 3},
  [611] = {.lex_state = 1, .external_lex_state = 3},
  [612] = {.lex_state = 1, .external_lex_state = 3},
  [613] = {.lex_state = 1, .external_lex_state = 3},
  [614] = {.lex_state = 1, .external_lex_state = 3},
  [615] = {.lex_state = 1, .external_lex_state = 3},
  [616] = {.lex_state = 1, .external_lex_state = 3},
  [617] = {.lex_state = 1, .external_lex_state = 3},
  [618] = {.lex_state = 1, .external_lex_state = 3},
  [619] = {.lex_state = 1, .external_lex_state = 3},
  [620] = {.lex_state = 1, .external_lex_state = 3},
  [621] = {.lex_state = 1, .external_lex_state = 3},
  [622] = {.lex_state = 1, .external_lex_state = 3},
  [623] = {.lex_state = 1, .external_lex_state = 3},
  [624] = {.lex_state = 1, .external_lex_state = 3},
  [625] = {.lex_state = 35},
  [626] = {.lex_state = 35},
  [627] = {.lex_state = 1, .external_lex_state = 3},
  [628] = {.lex_state = 1, .external_lex_state = 3},
  [629] = {.lex_state = 1, .external_lex_state = 3},
  [630] = {.lex_state = 1, .external_lex_state = 3},
  [631] = {.lex_state = 35},
  [632] = {.lex_state = 1, .external_lex_state = 3},
  [633] = {.lex_state = 1, .external_lex_state = 3},
  [634] = {.lex_state = 1, .external_lex_state = 3},
  [635] = {.lex_state = 35},
  [636] = {.lex_state = 1, .external_lex_state = 3},
  [637] = {.lex_state = 1, .external_lex_state = 3},
  [638] = {.lex_state = 1, .external_lex_state = 3},
  [639] = {.lex_state = 1, .external_lex_state = 3},
  [640] = {.lex_state = 1, .external_lex_state = 3},
  [641] = {.lex_state = 1, .external_lex_state = 3},
  [642] = {.lex_state = 1, .external_lex_state = 3},
  [643] = {.lex_state = 1, .external_lex_state = 3},
  [644] = {.lex_state = 35},
  [645] = {.lex_state = 35, .external_lex_state = 2},
  [646] = {.lex_state = 1, .external_lex_state = 3},
  [647] = {.lex_state = 1, .external_lex_state = 3},
  [648] = {.lex_state = 1, .external_lex_state = 3},
  [649] = {.lex_state = 1, .external_lex_state = 3},
  [650] = {.lex_state = 35, .external_lex_state = 2},
  [651] = {.lex_state = 1, .external_lex_state = 3},
  [652] = {.lex_state = 1, .external_lex_state = 3},
  [653] = {.lex_state = 1, .external_lex_state = 3},
  [654] = {.lex_state = 1, .external_lex_state = 3},
  [655] = {.lex_state = 35, .external_lex_state = 2},
  [656] = {.lex_state = 35, .external_lex_state = 2},
  [657] = {.lex_state = 1, .external_lex_state = 3},
  [658] = {.lex_state = 35, .external_lex_state = 2},
  [659] = {.lex_state = 35, .external_lex_state = 2},
  [660] = {.lex_state = 35, .external_lex_state = 2},
  [661] = {.lex_state = 35, .external_lex_state = 2},
  [662] = {.lex_state = 1, .external_lex_state = 3},
  [663] = {.lex_state = 35, .external_lex_state = 2},
  [664] = {.lex_state = 1, .external_lex_state = 3},
  [665] = {.lex_state = 35, .external_lex_state = 2},
  [666] = {.lex_state = 1, .external_lex_state = 3},
  [667] = {.lex_state = 35, .external_lex_state = 2},
  [668] = {.lex_state = 1, .external_lex_state = 3},
  [669] = {.lex_state = 35, .external_lex_state = 2},
  [670] = {.lex_state = 35, .external_lex_state = 2},
  [671] = {.lex_state = 1, .external_lex_state = 3},
  [672] = {.lex_state = 35, .external_lex_state = 2},
  [673] = {.lex_state = 35, .external_lex_state = 2},
  [674] = {.lex_state = 35, .external_lex_state = 2},
  [675] = {.lex_state = 1, .external_lex_state = 3},
  [676] = {.lex_state = 1, .external_lex_state = 3},
  [677] = {.lex_state = 1, .external_lex_state = 3},
  [678] = {.lex_state = 1, .external_lex_state = 3},
  [679] = {.lex_state = 35, .external_lex_state = 2},
  [680] = {.lex_state = 35, .external_lex_state = 2},
  [681] = {.lex_state = 35, .external_lex_state = 2},
  [682] = {.lex_state = 35, .external_lex_state = 2},
  [683] = {.lex_state = 1, .external_lex_state = 3},
  [684] = {.lex_state = 35, .external_lex_state = 2},
  [685] = {.lex_state = 35, .external_lex_state = 2},
  [686] = {.lex_state = 35, .external_lex_state = 2},
  [687] = {.lex_state = 1, .external_lex_state = 3},
  [688] = {.lex_state = 1, .external_lex_state = 3},
  [689] = {.lex_state = 35, .external_lex_state = 2},
  [690] = {.lex_state = 1, .external_lex_state = 3},
  [691] = {.lex_state = 1, .external_lex_state = 3},
  [692] = {.lex_state = 1, .external_lex_state = 3},
  [693] = {.lex_state = 35, .external_lex_state = 2},
  [694] = {.lex_state = 35, .external_lex_state = 2},
  [695] = {.lex_state = 35, .external_lex_state = 2},
  [696] = {.lex_state = 1, .external_lex_state = 3},
  [697] = {.lex_state = 35, .external_lex_state = 2},
  [698] = {.lex_state = 1, .external_lex_state = 3},
  [699] = {.lex_state = 1, .external_lex_state = 3},
  [700] = {.lex_state = 35, .external_lex_state = 2},
  [701] = {.lex_state = 35, .external_lex_state = 2},
  [702] = {.lex_state = 35, .external_lex_state = 2},
  [703] = {.lex_state = 35, .external_lex_state = 2},
  [704] = {.lex_state = 35, .external_lex_state = 2},
  [705] = {.lex_state = 35, .external_lex_state = 2},
  [706] = {.lex_state = 35, .external_lex_state = 2},
  [707] = {.lex_state = 1, .external_lex_state = 3},
  [708] = {.lex_state = 35, .external_lex_state = 2},
  [709] = {.lex_state = 35, .external_lex_state = 2},
  [710] = {.lex_state = 35, .external_lex_state = 2},
  [711] = {.lex_state = 1, .external_lex_state = 3},
  [712] = {.lex_state = 1, .external_lex_state = 3},
  [713] = {.lex_state = 1, .external_lex_state = 3},
  [714] = {.lex_state = 1, .external_lex_state = 3},
  [715] = {.lex_state = 1, .external_lex_state = 3},
  [716] = {.lex_state = 1, .external_lex_state = 3},
  [717] = {.lex_state = 1, .external_lex_state = 3},
  [718] = {.lex_state = 1, .external_lex_state = 3},
  [719] = {.lex_state = 1, .external_lex_state = 3},
  [720] = {.lex_state = 1, .external_lex_state = 3},
  [721] = {.lex_state = 1, .external_lex_state = 3},
  [722] = {.lex_state = 35, .external_lex_state = 2},
  [723] = {.lex_state = 35, .external_lex_state = 2},
  [724] = {.lex_state = 35, .external_lex_state = 2},
  [725] = {.lex_state = 35, .external_lex_state = 2},
  [726] = {.lex_state = 35, .external_lex_state = 2},
  [727] = {.lex_state = 35, .external_lex_state = 2},
  [728] = {.lex_state = 35, .external_lex_state = 2},
  [729] = {.lex_state = 1, .external_lex_state = 3},
  [730] = {.lex_state = 35, .external_lex_state = 2},
  [731] = {.lex_state = 35, .external_lex_state = 2},
  [732] = {.lex_state = 35, .external_lex_state = 2},
  [733] = {.lex_state = 35},
  [734] = {.lex_state = 35, .external_lex_state = 2},
  [735] = {.lex_state = 35},
  [736] = {.lex_state = 35, .external_lex_state = 2},
  [737] = {.lex_state = 35, .external_lex_state = 2},
  [738] = {.lex_state = 35, .external_lex_state = 2},
  [739] = {.lex_state = 35, .external_lex_state = 2},
  [740] = {.lex_state = 35, .external_lex_state = 2},
  [741] = {.lex_state = 35},
  [742] = {.lex_state = 35, .external_lex_state = 2},
  [743] = {.lex_state = 35, .external_lex_state = 2},
  [744] = {.lex_state = 35},
  [745] = {.lex_state = 35},
  [746] = {.lex_state = 35},
  [747] = {.lex_state = 1, .external_lex_state = 3},
  [748] = {.lex_state = 35},
  [749] = {.lex_state = 35},
  [750] = {.lex_state = 35, .external_lex_state = 2},
  [751] = {.lex_state = 35, .external_lex_state = 2},
  [752] = {.lex_state = 35, .external_lex_state = 2},
  [753] = {.lex_state = 35, .external_lex_state = 2},
  [754] = {.lex_state = 35, .external_lex_state = 2},
  [755] = {.lex_state = 35, .external_lex_state = 2},
  [756] = {.lex_state = 35, .external_lex_state = 2},
  [757] = {.lex_state = 35, .external_lex_state = 2},
  [758] = {.lex_state = 35, .external_lex_state = 2},
  [759] = {.lex_state = 35, .external_lex_state = 2},
  [760] = {.lex_state = 35, .external_lex_state = 2},
  [761] = {.lex_state = 35, .external_lex_state = 2},
  [762] = {.lex_state = 35},
  [763] = {.lex_state = 35},
  [764] = {.lex_state = 35, .external_lex_state = 2},
  [765] = {.lex_state = 35, .external_lex_state = 2},
  [766] = {.lex_state = 35, .external_lex_state = 2},
  [767] = {.lex_state = 35, .external_lex_state = 2},
  [768] = {.lex_state = 35, .external_lex_state = 2},
  [769] = {.lex_state = 35},
  [770] = {.lex_state = 35, .external_lex_state = 2},
  [771] = {.lex_state = 35},
  [772] = {.lex_state = 35, .external_lex_state = 2},
  [773] = {.lex_state = 35, .external_lex_state = 2},
  [774] = {.lex_state = 35, .external_lex_state = 2},
  [775] = {.lex_state = 35, .external_lex_state = 2},
  [776] = {.lex_state = 35, .external_lex_state = 2},
  [777] = {.lex_state = 35, .external_lex_state = 2},
  [778] = {.lex_state = 35, .external_lex_state = 2},
  [779] = {.lex_state = 35, .external_lex_state = 2},
  [780] = {.lex_state = 35, .external_lex_state = 2},
  [781] = {.lex_state = 35, .external_lex_state = 2},
  [782] = {.lex_state = 35, .external_lex_state = 2},
  [783] = {.lex_state = 35, .external_lex_state = 2},
  [784] = {.lex_state = 1, .external_lex_state = 3},
  [785] = {.lex_state = 1, .external_lex_state = 3},
  [786] = {.lex_state = 35},
  [787] = {.lex_state = 35},
  [788] = {.lex_state = 35, .external_lex_state = 2},
  [789] = {.lex_state = 35, .external_lex_state = 2},
  [790] = {.lex_state = 35},
  [791] = {.lex_state = 35},
  [792] = {.lex_state = 35},
  [793] = {.lex_state = 35},
  [794] = {.lex_state = 35},
  [795] = {.lex_state = 35},
  [796] = {.lex_state = 35, .external_lex_state = 2},
  [797] = {.lex_state = 1, .external_lex_state = 3},
  [798] = {.lex_state = 35},
  [799] = {.lex_state = 35, .external_lex_state = 2},
  [800] = {.lex_state = 35, .external_lex_state = 2},
  [801] = {.lex_state = 35, .external_lex_state = 2},
  [802] = {.lex_state = 35, .external_lex_state = 2},
  [803] = {.lex_state = 35, .external_lex_state = 2},
  [804] = {.lex_state = 35},
  [805] = {.lex_state = 35},
  [806] = {.lex_state = 35},
  [807] = {.lex_state = 35, .external_lex_state = 2},
  [808] = {.lex_state = 35},
  [809] = {.lex_state = 35, .external_lex_state = 2},
  [810] = {.lex_state = 35, .external_lex_state = 2},
  [811] = {.lex_state = 35, .external_lex_state = 2},
  [812] = {.lex_state = 1, .external_lex_state = 3},
  [813] = {.lex_state = 35, .external_lex_state = 2},
  [814] = {.lex_state = 35, .external_lex_state = 2},
  [815] = {.lex_state = 35},
  [816] = {.lex_state = 35, .external_lex_state = 2},
  [817] = {.lex_state = 35, .external_lex_state = 2},
  [818] = {.lex_state = 35, .external_lex_state = 2},
  [819] = {.lex_state = 35, .external_lex_state = 2},
  [820] = {.lex_state = 35, .external_lex_state = 2},
  [821] = {.lex_state = 35},
  [822] = {.lex_state = 1, .external_lex_state = 3},
  [823] = {.lex_state = 35, .external_lex_state = 2},
  [824] = {.lex_state = 35},
  [825] = {.lex_state = 35},
  [826] = {.lex_state = 35, .external_lex_state = 2},
  [827] = {.lex_state = 35, .external_lex_state = 2},
  [828] = {.lex_state = 1, .external_lex_state = 3},
  [829] = {.lex_state = 35},
  [830] = {.lex_state = 35},
  [831] = {.lex_state = 1, .external_lex_state = 3},
  [832] = {.lex_state = 1, .external_lex_state = 3},
  [833] = {.lex_state = 1, .external_lex_state = 3},
  [834] = {.lex_state = 35, .external_lex_state = 2},
  [835] = {.lex_state = 35, .external_lex_state = 2},
  [836] = {.lex_state = 1, .external_lex_state = 3},
  [837] = {.lex_state = 35, .external_lex_state = 2},
  [838] = {.lex_state = 35},
  [839] = {.lex_state = 1, .external_lex_state = 3},
  [840] = {.lex_state = 35},
  [841] = {.lex_state = 35},
  [842] = {.lex_state = 1, .external_lex_state = 3},
  [843] = {.lex_state = 35},
  [844] = {.lex_state = 35},
  [845] = {.lex_state = 1, .external_lex_state = 3},
  [846] = {.lex_state = 35, .external_lex_state = 2},
  [847] = {.lex_state = 35},
  [848] = {.lex_state = 1, .external_lex_state = 3},
  [849] = {.lex_state = 35, .external_lex_state = 2},
  [850] = {.lex_state = 1, .external_lex_state = 3},
  [851] = {.lex_state = 35, .external_lex_state = 2},
  [852] = {.lex_state = 1, .external_lex_state = 3},
  [853] = {.lex_state = 35},
  [854] = {.lex_state = 1, .external_lex_state = 3},
  [855] = {.lex_state = 35},
  [856] = {.lex_state = 1, .external_lex_state = 3},
  [857] = {.lex_state = 1, .external_lex_state = 3},
  [858] = {.lex_state = 1, .external_lex_state = 3},
  [859] = {.lex_state = 35},
  [860] = {.lex_state = 35},
  [861] = {.lex_state = 35},
  [862] = {.lex_state = 1, .external_lex_state = 3},
  [863] = {.lex_state = 1, .external_lex_state = 3},
  [864] = {.lex_state = 1, .external_lex_state = 3},
  [865] = {.lex_state = 35, .external_lex_state = 2},
  [866] = {.lex_state = 35, .external_lex_state = 2},
  [867] = {.lex_state = 35, .external_lex_state = 2},
  [868] = {.lex_state = 35, .external_lex_state = 2},
  [869] = {.lex_state = 35},
  [870] = {.lex_state = 35},
  [871] = {.lex_state = 35},
  [872] = {.lex_state = 35},
  [873] = {.lex_state = 35},
  [874] = {.lex_state = 1, .external_lex_state = 3},
  [875] = {.lex_state = 35},
  [876] = {.lex_state = 35, .external_lex_state = 2},
  [877] = {.lex_state = 35},
  [878] = {.lex_state = 35, .external_lex_state = 2},
  [879] = {.lex_state = 35},
  [880] = {.lex_state = 35},
  [881] = {.lex_state = 35, .external_lex_state = 2},
  [882] = {.lex_state = 35},
  [883] = {.lex_state = 35},
  [884] = {.lex_state = 35, .external_lex_state = 2},
  [885] = {.lex_state = 35},
  [886] = {.lex_state = 35},
  [887] = {.lex_state = 35},
  [888] = {.lex_state = 35},
  [889] = {.lex_state = 35, .external_lex_state = 2},
  [890] = {.lex_state = 35},
  [891] = {.lex_state = 35},
  [892] = {.lex_state = 35},
  [893] = {.lex_state = 35},
  [894] = {.lex_state = 35},
  [895] = {.lex_state = 35},
  [896] = {.lex_state = 35},
  [897] = {.lex_state = 35},
  [898] = {.lex_state = 35, .external_lex_state = 2},
  [899] = {.lex_state = 35},
  [900] = {.lex_state = 35},
  [901] = {.lex_state = 35},
  [902] = {.lex_state = 35, .external_lex_state = 2},
  [903] = {.lex_state = 35, .external_lex_state = 2},
  [904] = {.lex_state = 35},
  [905] = {.lex_state = 35},
  [906] = {.lex_state = 35, .external_lex_state = 2},
  [907] = {.lex_state = 35},
  [908] = {.lex_state = 35},
  [909] = {.lex_state = 35, .external_lex_state = 2},
  [910] = {.lex_state = 35},
  [911] = {.lex_state = 1, .external_lex_state = 3},
  [912] = {.lex_state = 35},
  [913] = {.lex_state = 35, .external_lex_state = 2},
  [914] = {.lex_state = 35},
  [915] = {.lex_state = 35, .external_lex_state = 2},
  [916] = {.lex_state = 35, .external_lex_state = 2},
  [917] = {.lex_state = 35, .external_lex_state = 2},
  [918] = {.lex_state = 35, .external_lex_state = 2},
  [919] = {.lex_state = 35},
  [920] = {.lex_state = 35, .external_lex_state = 2},
  [921] = {.lex_state = 35},
  [922] = {.lex_state = 35, .external_lex_state = 2},
  [923] = {.lex_state = 35, .external_lex_state = 2},
  [924] = {.lex_state = 35},
  [925] = {.lex_state = 35},
  [926] = {.lex_state = 33, .external_lex_state = 2},
  [927] = {.lex_state = 1, .external_lex_state = 3},
  [928] = {.lex_state = 1, .external_lex_state = 3},
  [929] = {.lex_state = 1, .external_lex_state = 3},
  [930] = {.lex_state = 1, .external_lex_state = 3},
  [931] = {.lex_state = 1, .external_lex_state = 3},
  [932] = {.lex_state = 1, .external_lex_state = 3},
  [933] = {.lex_state = 1, .external_lex_state = 3},
  [934] = {.lex_state = 1, .external_lex_state = 3},
  [935] = {.lex_state = 1, .external_lex_state = 3},
  [936] = {.lex_state = 1, .external_lex_state = 3},
  [937] = {.lex_state = 1, .external_lex_state = 3},
  [938] = {.lex_state = 1, .external_lex_state = 3},
  [939] = {.lex_state = 1, .external_lex_state = 3},
  [940] = {.lex_state = 1, .external_lex_state = 3},
  [941] = {.lex_state = 1, .external_lex_state = 3},
  [942] = {.lex_state = 1, .external_lex_state = 3},
  [943] = {.lex_state = 1, .external_lex_state = 3},
  [944] = {.lex_state = 1, .external_lex_state = 3},
  [945] = {.lex_state = 1, .external_lex_state = 3},
  [946] = {.lex_state = 33, .external_lex_state = 2},
  [947] = {.lex_state = 1, .external_lex_state = 3},
  [948] = {.lex_state = 1, .external_lex_state = 3},
  [949] = {.lex_state = 1, .external_lex_state = 3},
  [950] = {.lex_state = 1, .external_lex_state = 3},
  [951] = {.lex_state = 1, .external_lex_state = 3},
  [952] = {.lex_state = 1, .external_lex_state = 3},
  [953] = {.lex_state = 1, .external_lex_state = 3},
  [954] = {.lex_state = 1, .external_lex_state = 3},
  [955] = {.lex_state = 1, .external_lex_state = 3},
  [956] = {.lex_state = 1, .external_lex_state = 3},
  [957] = {.lex_state = 1, .external_lex_state = 3},
  [958] = {.lex_state = 1, .external_lex_state = 3},
  [959] = {.lex_state = 1, .external_lex_state = 3},
  [960] = {.lex_state = 35, .external_lex_state = 2},
  [961] = {.lex_state = 35, .external_lex_state = 2},
  [962] = {.lex_state = 35, .external_lex_state = 2},
  [963] = {.lex_state = 1, .external_lex_state = 3},
  [964] = {.lex_state = 1, .external_lex_state = 3},
  [965] = {.lex_state = 1, .external_lex_state = 3},
  [966] = {.lex_state = 1, .external_lex_state = 3},
  [967] = {.lex_state = 1, .external_lex_state = 3},
  [968] = {.lex_state = 1, .external_lex_state = 3},
  [969] = {.lex_state = 1, .external_lex_state = 3},
  [970] = {.lex_state = 35},
  [971] = {.lex_state = 35, .external_lex_state = 2},
  [972] = {.lex_state = 1, .external_lex_state = 3},
  [973] = {.lex_state = 1, .external_lex_state = 3},
  [974] = {.lex_state = 1, .external_lex_state = 3},
  [975] = {.lex_state = 35},
  [976] = {.lex_state = 35},
  [977] = {.lex_state = 35},
  [978] = {.lex_state = 35},
  [979] = {.lex_state = 35},
  [980] = {.lex_state = 1, .external_lex_state = 3},
  [981] = {.lex_state = 1, .external_lex_state = 3},
  [982] = {.lex_state = 1, .external_lex_state = 3},
  [983] = {.lex_state = 35},
  [984] = {.lex_state = 1, .external_lex_state = 3},
  [985] = {.lex_state = 1, .external_lex_state = 3},
  [986] = {.lex_state = 1, .external_lex_state = 3},
  [987] = {.lex_state = 1, .external_lex_state = 3},
  [988] = {.lex_state = 1, .external_lex_state = 3},
  [989] = {.lex_state = 35},
  [990] = {.lex_state = 35},
  [991] = {.lex_state = 35},
  [992] = {.lex_state = 35},
  [993] = {.lex_state = 35},
  [994] = {.lex_state = 35},
  [995] = {.lex_state = 1, .external_lex_state = 3},
  [996] = {.lex_state = 1, .external_lex_state = 3},
  [997] = {.lex_state = 1, .external_lex_state = 3},
  [998] = {.lex_state = 1, .external_lex_state = 3},
  [999] = {.lex_state = 1, .external_lex_state = 3},
  [1000] = {.lex_state = 1, .external_lex_state = 3},
  [1001] = {.lex_state = 1, .external_lex_state = 3},
  [1002] = {.lex_state = 1, .external_lex_state = 3},
  [1003] = {.lex_state = 1, .external_lex_state = 3},
  [1004] = {.lex_state = 1, .external_lex_state = 3},
  [1005] = {.lex_state = 1, .external_lex_state = 3},
  [1006] = {.lex_state = 1, .external_lex_state = 3},
  [1007] = {.lex_state = 1, .external_lex_state = 3},
  [1008] = {.lex_state = 1, .external_lex_state = 3},
  [1009] = {.lex_state = 1, .external_lex_state = 3},
  [1010] = {.lex_state = 1, .external_lex_state = 3},
  [1011] = {.lex_state = 1, .external_lex_state = 3},
  [1012] = {.lex_state = 1, .external_lex_state = 3},
  [1013] = {.lex_state = 1, .external_lex_state = 3},
  [1014] = {.lex_state = 1, .external_lex_state = 3},
  [1015] = {.lex_state = 1, .external_lex_state = 3},
  [1016] = {.lex_state = 1, .external_lex_state = 3},
  [1017] = {.lex_state = 1, .external_lex_state = 3},
  [1018] = {.lex_state = 1, .external_lex_state = 3},
  [1019] = {.lex_state = 1, .external_lex_state = 3},
  [1020] = {.lex_state = 1, .external_lex_state = 3},
  [1021] = {.lex_state = 1, .external_lex_state = 3},
  [1022] = {.lex_state = 1, .external_lex_state = 3},
  [1023] = {.lex_state = 35},
  [1024] = {.lex_state = 1, .external_lex_state = 3},
  [1025] = {.lex_state = 1, .external_lex_state = 3},
  [1026] = {.lex_state = 1, .external_lex_state = 3},
  [1027] = {.lex_state = 1, .external_lex_state = 3},
  [1028] = {.lex_state = 1, .external_lex_state = 3},
  [1029] = {.lex_state = 1, .external_lex_state = 3},
  [1030] = {.lex_state = 1, .external_lex_state = 3},
  [1031] = {.lex_state = 1, .external_lex_state = 3},
  [1032] = {.lex_state = 1, .external_lex_state = 3},
  [1033] = {.lex_state = 1, .external_lex_state = 3},
  [1034] = {.lex_state = 1, .external_lex_state = 3},
  [1035] = {.lex_state = 35},
  [1036] = {.lex_state = 1, .external_lex_state = 3},
  [1037] = {.lex_state = 1, .external_lex_state = 3},
  [1038] = {.lex_state = 1, .external_lex_state = 3},
  [1039] = {.lex_state = 1, .external_lex_state = 3},
  [1040] = {.lex_state = 1, .external_lex_state = 3},
  [1041] = {.lex_state = 1, .external_lex_state = 3},
  [1042] = {.lex_state = 1, .external_lex_state = 3},
  [1043] = {.lex_state = 1, .external_lex_state = 3},
  [1044] = {.lex_state = 1, .external_lex_state = 3},
  [1045] = {.lex_state = 35, .external_lex_state = 2},
  [1046] = {.lex_state = 35, .external_lex_state = 2},
  [1047] = {.lex_state = 1, .external_lex_state = 3},
  [1048] = {.lex_state = 1, .external_lex_state = 3},
  [1049] = {.lex_state = 1, .external_lex_state = 3},
  [1050] = {.lex_state = 1, .external_lex_state = 3},
  [1051] = {.lex_state = 1, .external_lex_state = 3},
  [1052] = {.lex_state = 1, .external_lex_state = 3},
  [1053] = {.lex_state = 1, .external_lex_state = 3},
  [1054] = {.lex_state = 1, .external_lex_state = 3},
  [1055] = {.lex_state = 35},
  [1056] = {.lex_state = 1, .external_lex_state = 3},
  [1057] = {.lex_state = 1, .external_lex_state = 3},
  [1058] = {.lex_state = 1, .external_lex_state = 3},
  [1059] = {.lex_state = 1, .external_lex_state = 3},
  [1060] = {.lex_state = 1, .external_lex_state = 3},
  [1061] = {.lex_state = 1, .external_lex_state = 3},
  [1062] = {.lex_state = 35},
  [1063] = {.lex_state = 35, .external_lex_state = 2},
  [1064] = {.lex_state = 1, .external_lex_state = 3},
  [1065] = {.lex_state = 1, .external_lex_state = 3},
  [1066] = {.lex_state = 1, .external_lex_state = 3},
  [1067] = {.lex_state = 35, .external_lex_state = 2},
  [1068] = {.lex_state = 1, .external_lex_state = 3},
  [1069] = {.lex_state = 1, .external_lex_state = 3},
  [1070] = {.lex_state = 1, .external_lex_state = 3},
  [1071] = {.lex_state = 1, .external_lex_state = 3},
  [1072] = {.lex_state = 33},
  [1073] = {.lex_state = 1, .external_lex_state = 3},
  [1074] = {.lex_state = 1, .external_lex_state = 3},
  [1075] = {.lex_state = 1, .external_lex_state = 3},
  [1076] = {.lex_state = 1, .external_lex_state = 3},
  [1077] = {.lex_state = 1, .external_lex_state = 3},
  [1078] = {.lex_state = 1, .external_lex_state = 3},
  [1079] = {.lex_state = 1, .external_lex_state = 3},
  [1080] = {.lex_state = 1, .external_lex_state = 3},
  [1081] = {.lex_state = 1, .external_lex_state = 3},
  [1082] = {.lex_state = 1, .external_lex_state = 3},
  [1083] = {.lex_state = 1, .external_lex_state = 3},
  [1084] = {.lex_state = 1, .external_lex_state = 3},
  [1085] = {.lex_state = 1, .external_lex_state = 3},
  [1086] = {.lex_state = 1, .external_lex_state = 3},
  [1087] = {.lex_state = 1, .external_lex_state = 3},
  [1088] = {.lex_state = 1, .external_lex_state = 3},
  [1089] = {.lex_state = 1, .external_lex_state = 3},
  [1090] = {.lex_state = 1, .external_lex_state = 3},
  [1091] = {.lex_state = 1, .external_lex_state = 3},
  [1092] = {.lex_state = 1, .external_lex_state = 3},
  [1093] = {.lex_state = 1, .external_lex_state = 3},
  [1094] = {.lex_state = 1, .external_lex_state = 3},
  [1095] = {.lex_state = 1, .external_lex_state = 3},
  [1096] = {.lex_state = 1, .external_lex_state = 3},
  [1097] = {.lex_state = 1, .external_lex_state = 3},
  [1098] = {.lex_state = 1, .external_lex_state = 3},
  [1099] = {.lex_state = 1, .external_lex_state = 3},
  [1100] = {.lex_state = 1, .external_lex_state = 3},
  [1101] = {.lex_state = 1, .external_lex_state = 3},
  [1102] = {.lex_state = 1, .external_lex_state = 3},
  [1103] = {.lex_state = 1, .external_lex_state = 3},
  [1104] = {.lex_state = 1, .external_lex_state = 3},
  [1105] = {.lex_state = 1, .external_lex_state = 3},
  [1106] = {.lex_state = 1, .external_lex_state = 3},
  [1107] = {.lex_state = 1, .external_lex_state = 3},
  [1108] = {.lex_state = 1, .external_lex_state = 3},
  [1109] = {.lex_state = 35},
  [1110] = {.lex_state = 1, .external_lex_state = 3},
  [1111] = {.lex_state = 1, .external_lex_state = 3},
  [1112] = {.lex_state = 1, .external_lex_state = 3},
  [1113] = {.lex_state = 1, .external_lex_state = 3},
  [1114] = {.lex_state = 1, .external_lex_state = 3},
  [1115] = {.lex_state = 1, .external_lex_state = 3},
  [1116] = {.lex_state = 1, .external_lex_state = 3},
  [1117] = {.lex_state = 35},
  [1118] = {.lex_state = 35},
  [1119] = {.lex_state = 35, .external_lex_state = 2},
  [1120] = {.lex_state = 1, .external_lex_state = 3},
  [1121] = {.lex_state = 1, .external_lex_state = 3},
  [1122] = {.lex_state = 1, .external_lex_state = 3},
  [1123] = {.lex_state = 1, .external_lex_state = 3},
  [1124] = {.lex_state = 1, .external_lex_state = 3},
  [1125] = {.lex_state = 1, .external_lex_state = 3},
  [1126] = {.lex_state = 35},
  [1127] = {.lex_state = 1, .external_lex_state = 3},
  [1128] = {.lex_state = 1, .external_lex_state = 3},
  [1129] = {.lex_state = 1, .external_lex_state = 3},
  [1130] = {.lex_state = 1, .external_lex_state = 3},
  [1131] = {.lex_state = 1, .external_lex_state = 3},
  [1132] = {.lex_state = 1, .external_lex_state = 3},
  [1133] = {.lex_state = 1, .external_lex_state = 3},
  [1134] = {.lex_state = 1, .external_lex_state = 3},
  [1135] = {.lex_state = 35},
  [1136] = {.lex_state = 1, .external_lex_state = 3},
  [1137] = {.lex_state = 1, .external_lex_state = 3},
  [1138] = {.lex_state = 1, .external_lex_state = 3},
  [1139] = {.lex_state = 1, .external_lex_state = 3},
  [1140] = {.lex_state = 1, .external_lex_state = 3},
  [1141] = {.lex_state = 1, .external_lex_state = 3},
  [1142] = {.lex_state = 1, .external_lex_state = 3},
  [1143] = {.lex_state = 1, .external_lex_state = 3},
  [1144] = {.lex_state = 1, .external_lex_state = 3},
  [1145] = {.lex_state = 1, .external_lex_state = 3},
  [1146] = {.lex_state = 1, .external_lex_state = 3},
  [1147] = {.lex_state = 1, .external_lex_state = 3},
  [1148] = {.lex_state = 1, .external_lex_state = 3},
  [1149] = {.lex_state = 1, .external_lex_state = 3},
  [1150] = {.lex_state = 1, .external_lex_state = 3},
  [1151] = {.lex_state = 1, .external_lex_state = 3},
  [1152] = {.lex_state = 1, .external_lex_state = 3},
  [1153] = {.lex_state = 1, .external_lex_state = 3},
  [1154] = {.lex_state = 1, .external_lex_state = 3},
  [1155] = {.lex_state = 1, .external_lex_state = 3},
  [1156] = {.lex_state = 35, .external_lex_state = 2},
  [1157] = {.lex_state = 1, .external_lex_state = 3},
  [1158] = {.lex_state = 1, .external_lex_state = 3},
  [1159] = {.lex_state = 1, .external_lex_state = 3},
  [1160] = {.lex_state = 1, .external_lex_state = 3},
  [1161] = {.lex_state = 1, .external_lex_state = 3},
  [1162] = {.lex_state = 1, .external_lex_state = 3},
  [1163] = {.lex_state = 1, .external_lex_state = 3},
  [1164] = {.lex_state = 1, .external_lex_state = 3},
  [1165] = {.lex_state = 1, .external_lex_state = 3},
  [1166] = {.lex_state = 1, .external_lex_state = 3},
  [1167] = {.lex_state = 1, .external_lex_state = 3},
  [1168] = {.lex_state = 1, .external_lex_state = 3},
  [1169] = {.lex_state = 1, .external_lex_state = 3},
  [1170] = {.lex_state = 1, .external_lex_state = 3},
  [1171] = {.lex_state = 1, .external_lex_state = 3},
  [1172] = {.lex_state = 1, .external_lex_state = 3},
  [1173] = {.lex_state = 1, .external_lex_state = 3},
  [1174] = {.lex_state = 1, .external_lex_state = 3},
  [1175] = {.lex_state = 1, .external_lex_state = 3},
  [1176] = {.lex_state = 1, .external_lex_state = 3},
  [1177] = {.lex_state = 1, .external_lex_state = 3},
  [1178] = {.lex_state = 1, .external_lex_state = 3},
  [1179] = {.lex_state = 1, .external_lex_state = 3},
  [1180] = {.lex_state = 1, .external_lex_state = 3},
  [1181] = {.lex_state = 1, .external_lex_state = 3},
  [1182] = {.lex_state = 1, .external_lex_state = 3},
  [1183] = {.lex_state = 1, .external_lex_state = 3},
  [1184] = {.lex_state = 35, .external_lex_state = 2},
  [1185] = {.lex_state = 1, .external_lex_state = 3},
  [1186] = {.lex_state = 1, .external_lex_state = 3},
  [1187] = {.lex_state = 1, .external_lex_state = 3},
  [1188] = {.lex_state = 1, .external_lex_state = 3},
  [1189] = {.lex_state = 1, .external_lex_state = 3},
  [1190] = {.lex_state = 1, .external_lex_state = 3},
  [1191] = {.lex_state = 1, .external_lex_state = 3},
  [1192] = {.lex_state = 35},
  [1193] = {.lex_state = 35, .external_lex_state = 2},
  [1194] = {.lex_state = 1, .external_lex_state = 3},
  [1195] = {.lex_state = 1, .external_lex_state = 3},
  [1196] = {.lex_state = 1, .external_lex_state = 3},
  [1197] = {.lex_state = 1, .external_lex_state = 3},
  [1198] = {.lex_state = 1, .external_lex_state = 3},
  [1199] = {.lex_state = 1, .external_lex_state = 3},
  [1200] = {.lex_state = 1, .external_lex_state = 3},
  [1201] = {.lex_state = 35, .external_lex_state = 2},
  [1202] = {.lex_state = 1, .external_lex_state = 3},
  [1203] = {.lex_state = 35, .external_lex_state = 2},
  [1204] = {.lex_state = 1, .external_lex_state = 3},
  [1205] = {.lex_state = 33, .external_lex_state = 2},
  [1206] = {.lex_state = 1, .external_lex_state = 3},
  [1207] = {.lex_state = 1, .external_lex_state = 3},
  [1208] = {.lex_state = 35, .external_lex_state = 2},
  [1209] = {.lex_state = 1, .external_lex_state = 3},
  [1210] = {.lex_state = 1, .external_lex_state = 3},
  [1211] = {.lex_state = 1, .external_lex_state = 3},
  [1212] = {.lex_state = 1, .external_lex_state = 3},
  [1213] = {.lex_state = 1, .external_lex_state = 3},
  [1214] = {.lex_state = 1, .external_lex_state = 3},
  [1215] = {.lex_state = 1, .external_lex_state = 3},
  [1216] = {.lex_state = 1, .external_lex_state = 3},
  [1217] = {.lex_state = 1, .external_lex_state = 3},
  [1218] = {.lex_state = 1, .external_lex_state = 3},
  [1219] = {.lex_state = 1, .external_lex_state = 3},
  [1220] = {.lex_state = 1, .external_lex_state = 3},
  [1221] = {.lex_state = 1, .external_lex_state = 3},
  [1222] = {.lex_state = 1, .external_lex_state = 3},
  [1223] = {.lex_state = 1, .external_lex_state = 3},
  [1224] = {.lex_state = 1, .external_lex_state = 3},
  [1225] = {.lex_state = 1, .external_lex_state = 3},
  [1226] = {.lex_state = 35},
  [1227] = {.lex_state = 35},
  [1228] = {.lex_state = 1, .external_lex_state = 3},
  [1229] = {.lex_state = 35},
  [1230] = {.lex_state = 1, .external_lex_state = 3},
  [1231] = {.lex_state = 35},
  [1232] = {.lex_state = 1, .external_lex_state = 3},
  [1233] = {.lex_state = 35},
  [1234] = {.lex_state = 1, .external_lex_state = 3},
  [1235] = {.lex_state = 1, .external_lex_state = 3},
  [1236] = {.lex_state = 1, .external_lex_state = 3},
  [1237] = {.lex_state = 35},
  [1238] = {.lex_state = 1, .external_lex_state = 3},
  [1239] = {.lex_state = 1, .external_lex_state = 3},
  [1240] = {.lex_state = 1, .external_lex_state = 3},
  [1241] = {.lex_state = 1, .external_lex_state = 3},
  [1242] = {.lex_state = 1, .external_lex_state = 3},
  [1243] = {.lex_state = 1, .external_lex_state = 3},
  [1244] = {.lex_state = 35},
  [1245] = {.lex_state = 1, .external_lex_state = 3},
  [1246] = {.lex_state = 1, .external_lex_state = 3},
  [1247] = {.lex_state = 35},
  [1248] = {.lex_state = 35},
  [1249] = {.lex_state = 1, .external_lex_state = 3},
  [1250] = {.lex_state = 1, .external_lex_state = 3},
  [1251] = {.lex_state = 1, .external_lex_state = 3},
  [1252] = {.lex_state = 1, .external_lex_state = 3},
  [1253] = {.lex_state = 1, .external_lex_state = 3},
  [1254] = {.lex_state = 1, .external_lex_state = 3},
  [1255] = {.lex_state = 1, .external_lex_state = 3},
  [1256] = {.lex_state = 1, .external_lex_state = 3},
  [1257] = {.lex_state = 1, .external_lex_state = 3},
  [1258] = {.lex_state = 1, .external_lex_state = 3},
  [1259] = {.lex_state = 1, .external_lex_state = 3},
  [1260] = {.lex_state = 1, .external_lex_state = 3},
  [1261] = {.lex_state = 1, .external_lex_state = 3},
  [1262] = {.lex_state = 1, .external_lex_state = 3},
  [1263] = {.lex_state = 1, .external_lex_state = 3},
  [1264] = {.lex_state = 35},
  [1265] = {.lex_state = 1, .external_lex_state = 3},
  [1266] = {.lex_state = 35},
  [1267] = {.lex_state = 1, .external_lex_state = 3},
  [1268] = {.lex_state = 35},
  [1269] = {.lex_state = 35},
  [1270] = {.lex_state = 1, .external_lex_state = 3},
  [1271] = {.lex_state = 1, .external_lex_state = 3},
  [1272] = {.lex_state = 1, .external_lex_state = 3},
  [1273] = {.lex_state = 1, .external_lex_state = 3},
  [1274] = {.lex_state = 35},
  [1275] = {.lex_state = 1, .external_lex_state = 3},
  [1276] = {.lex_state = 1, .external_lex_state = 3},
  [1277] = {.lex_state = 1, .external_lex_state = 3},
  [1278] = {.lex_state = 1, .external_lex_state = 3},
  [1279] = {.lex_state = 1, .external_lex_state = 3},
  [1280] = {.lex_state = 1, .external_lex_state = 3},
  [1281] = {.lex_state = 1, .external_lex_state = 3},
  [1282] = {.lex_state = 1, .external_lex_state = 3},
  [1283] = {.lex_state = 35, .external_lex_state = 2},
  [1284] = {.lex_state = 1, .external_lex_state = 3},
  [1285] = {.lex_state = 1, .external_lex_state = 3},
  [1286] = {.lex_state = 1, .external_lex_state = 3},
  [1287] = {.lex_state = 1, .external_lex_state = 3},
  [1288] = {.lex_state = 1, .external_lex_state = 3},
  [1289] = {.lex_state = 1, .external_lex_state = 3},
  [1290] = {.lex_state = 1, .external_lex_state = 3},
  [1291] = {.lex_state = 1, .external_lex_state = 3},
  [1292] = {.lex_state = 1, .external_lex_state = 3},
  [1293] = {.lex_state = 1, .external_lex_state = 3},
  [1294] = {.lex_state = 1, .external_lex_state = 3},
  [1295] = {.lex_state = 1, .external_lex_state = 3},
  [1296] = {.lex_state = 1, .external_lex_state = 3},
  [1297] = {.lex_state = 1, .external_lex_state = 3},
  [1298] = {.lex_state = 1, .external_lex_state = 3},
  [1299] = {.lex_state = 1, .external_lex_state = 3},
  [1300] = {.lex_state = 1, .external_lex_state = 3},
  [1301] = {.lex_state = 1, .external_lex_state = 3},
  [1302] = {.lex_state = 1, .external_lex_state = 3},
  [1303] = {.lex_state = 1, .external_lex_state = 3},
  [1304] = {.lex_state = 1, .external_lex_state = 3},
  [1305] = {.lex_state = 1, .external_lex_state = 3},
  [1306] = {.lex_state = 1, .external_lex_state = 3},
  [1307] = {.lex_state = 1, .external_lex_state = 3},
  [1308] = {.lex_state = 1, .external_lex_state = 3},
  [1309] = {.lex_state = 1, .external_lex_state = 3},
  [1310] = {.lex_state = 1, .external_lex_state = 3},
  [1311] = {.lex_state = 1, .external_lex_state = 3},
  [1312] = {.lex_state = 1, .external_lex_state = 3},
  [1313] = {.lex_state = 1, .external_lex_state = 3},
  [1314] = {.lex_state = 1, .external_lex_state = 3},
  [1315] = {.lex_state = 1, .external_lex_state = 3},
  [1316] = {.lex_state = 35},
  [1317] = {.lex_state = 1, .external_lex_state = 3},
  [1318] = {.lex_state = 1, .external_lex_state = 3},
  [1319] = {.lex_state = 1, .external_lex_state = 3},
  [1320] = {.lex_state = 1, .external_lex_state = 3},
  [1321] = {.lex_state = 1, .external_lex_state = 3},
  [1322] = {.lex_state = 1, .external_lex_state = 3},
  [1323] = {.lex_state = 1, .external_lex_state = 3},
  [1324] = {.lex_state = 1, .external_lex_state = 3},
  [1325] = {.lex_state = 1, .external_lex_state = 3},
  [1326] = {.lex_state = 1, .external_lex_state = 3},
  [1327] = {.lex_state = 1, .external_lex_state = 3},
  [1328] = {.lex_state = 1, .external_lex_state = 3},
  [1329] = {.lex_state = 1, .external_lex_state = 3},
  [1330] = {.lex_state = 1, .external_lex_state = 3},
  [1331] = {.lex_state = 1, .external_lex_state = 3},
  [1332] = {.lex_state = 1, .external_lex_state = 3},
  [1333] = {.lex_state = 1, .external_lex_state = 3},
  [1334] = {.lex_state = 1, .external_lex_state = 3},
  [1335] = {.lex_state = 1, .external_lex_state = 3},
  [1336] = {.lex_state = 1, .external_lex_state = 3},
  [1337] = {.lex_state = 1, .external_lex_state = 3},
  [1338] = {.lex_state = 1, .external_lex_state = 3},
  [1339] = {.lex_state = 1, .external_lex_state = 3},
  [1340] = {.lex_state = 1, .external_lex_state = 3},
  [1341] = {.lex_state = 1, .external_lex_state = 3},
  [1342] = {.lex_state = 1, .external_lex_state = 3},
  [1343] = {.lex_state = 1, .external_lex_state = 3},
  [1344] = {.lex_state = 1, .external_lex_state = 3},
  [1345] = {.lex_state = 1, .external_lex_state = 3},
  [1346] = {.lex_state = 1, .external_lex_state = 3},
  [1347] = {.lex_state = 1, .external_lex_state = 3},
  [1348] = {.lex_state = 1, .external_lex_state = 3},
  [1349] = {.lex_state = 1, .external_lex_state = 3},
  [1350] = {.lex_state = 1, .external_lex_state = 3},
  [1351] = {.lex_state = 1, .external_lex_state = 3},
  [1352] = {.lex_state = 1, .external_lex_state = 3},
  [1353] = {.lex_state = 1, .external_lex_state = 3},
  [1354] = {.lex_state = 1, .external_lex_state = 3},
  [1355] = {.lex_state = 1, .external_lex_state = 3},
  [1356] = {.lex_state = 35, .external_lex_state = 2},
  [1357] = {.lex_state = 1, .external_lex_state = 3},
  [1358] = {.lex_state = 1, .external_lex_state = 3},
  [1359] = {.lex_state = 1, .external_lex_state = 3},
  [1360] = {.lex_state = 1, .external_lex_state = 3},
  [1361] = {.lex_state = 1, .external_lex_state = 3},
  [1362] = {.lex_state = 1, .external_lex_state = 3},
  [1363] = {.lex_state = 1, .external_lex_state = 3},
  [1364] = {.lex_state = 1, .external_lex_state = 3},
  [1365] = {.lex_state = 1, .external_lex_state = 3},
  [1366] = {.lex_state = 1, .external_lex_state = 3},
  [1367] = {.lex_state = 1, .external_lex_state = 3},
  [1368] = {.lex_state = 1, .external_lex_state = 3},
  [1369] = {.lex_state = 1, .external_lex_state = 3},
  [1370] = {.lex_state = 1, .external_lex_state = 3},
  [1371] = {.lex_state = 1, .external_lex_state = 3},
  [1372] = {.lex_state = 1, .external_lex_state = 3},
  [1373] = {.lex_state = 1, .external_lex_state = 3},
  [1374] = {.lex_state = 1, .external_lex_state = 3},
  [1375] = {.lex_state = 1, .external_lex_state = 3},
  [1376] = {.lex_state = 1, .external_lex_state = 3},
  [1377] = {.lex_state = 1, .external_lex_state = 3},
  [1378] = {.lex_state = 1, .external_lex_state = 3},
  [1379] = {.lex_state = 1, .external_lex_state = 3},
  [1380] = {.lex_state = 1, .external_lex_state = 3},
  [1381] = {.lex_state = 1, .external_lex_state = 3},
  [1382] = {.lex_state = 1, .external_lex_state = 3},
  [1383] = {.lex_state = 1, .external_lex_state = 3},
  [1384] = {.lex_state = 1, .external_lex_state = 3},
  [1385] = {.lex_state = 1, .external_lex_state = 3},
  [1386] = {.lex_state = 1, .external_lex_state = 3},
  [1387] = {.lex_state = 1, .external_lex_state = 3},
  [1388] = {.lex_state = 1, .external_lex_state = 3},
  [1389] = {.lex_state = 1, .external_lex_state = 3},
  [1390] = {.lex_state = 1, .external_lex_state = 3},
  [1391] = {.lex_state = 1, .external_lex_state = 3},
  [1392] = {.lex_state = 1, .external_lex_state = 3},
  [1393] = {.lex_state = 1, .external_lex_state = 3},
  [1394] = {.lex_state = 1, .external_lex_state = 3},
  [1395] = {.lex_state = 35, .external_lex_state = 2},
  [1396] = {.lex_state = 1, .external_lex_state = 3},
  [1397] = {.lex_state = 1, .external_lex_state = 3},
  [1398] = {.lex_state = 1, .external_lex_state = 3},
  [1399] = {.lex_state = 1, .external_lex_state = 3},
  [1400] = {.lex_state = 1, .external_lex_state = 3},
  [1401] = {.lex_state = 1, .external_lex_state = 3},
  [1402] = {.lex_state = 1, .external_lex_state = 3},
  [1403] = {.lex_state = 1, .external_lex_state = 3},
  [1404] = {.lex_state = 1, .external_lex_state = 3},
  [1405] = {.lex_state = 1, .external_lex_state = 3},
  [1406] = {.lex_state = 1, .external_lex_state = 3},
  [1407] = {.lex_state = 1, .external_lex_state = 3},
  [1408] = {.lex_state = 1, .external_lex_state = 3},
  [1409] = {.lex_state = 1, .external_lex_state = 3},
  [1410] = {.lex_state = 1, .external_lex_state = 3},
  [1411] = {.lex_state = 1, .external_lex_state = 3},
  [1412] = {.lex_state = 1, .external_lex_state = 3},
  [1413] = {.lex_state = 1, .external_lex_state = 3},
  [1414] = {.lex_state = 1, .external_lex_state = 3},
  [1415] = {.lex_state = 1, .external_lex_state = 3},
  [1416] = {.lex_state = 1, .external_lex_state = 3},
  [1417] = {.lex_state = 1, .external_lex_state = 3},
  [1418] = {.lex_state = 1, .external_lex_state = 3},
  [1419] = {.lex_state = 1, .external_lex_state = 3},
  [1420] = {.lex_state = 1, .external_lex_state = 3},
  [1421] = {.lex_state = 1, .external_lex_state = 3},
  [1422] = {.lex_state = 1, .external_lex_state = 3},
  [1423] = {.lex_state = 1, .external_lex_state = 3},
  [1424] = {.lex_state = 1, .external_lex_state = 3},
  [1425] = {.lex_state = 1, .external_lex_state = 3},
  [1426] = {.lex_state = 1, .external_lex_state = 3},
  [1427] = {.lex_state = 1, .external_lex_state = 3},
  [1428] = {.lex_state = 1, .external_lex_state = 3},
  [1429] = {.lex_state = 1, .external_lex_state = 3},
  [1430] = {.lex_state = 1, .external_lex_state = 3},
  [1431] = {.lex_state = 1, .external_lex_state = 3},
  [1432] = {.lex_state = 1, .external_lex_state = 3},
  [1433] = {.lex_state = 1, .external_lex_state = 3},
  [1434] = {.lex_state = 1, .external_lex_state = 3},
  [1435] = {.lex_state = 1, .external_lex_state = 3},
  [1436] = {.lex_state = 1, .external_lex_state = 3},
  [1437] = {.lex_state = 1, .external_lex_state = 3},
  [1438] = {.lex_state = 1, .external_lex_state = 3},
  [1439] = {.lex_state = 1, .external_lex_state = 3},
  [1440] = {.lex_state = 1, .external_lex_state = 3},
  [1441] = {.lex_state = 1, .external_lex_state = 3},
  [1442] = {.lex_state = 1, .external_lex_state = 3},
  [1443] = {.lex_state = 1, .external_lex_state = 3},
  [1444] = {.lex_state = 1, .external_lex_state = 3},
  [1445] = {.lex_state = 1, .external_lex_state = 3},
  [1446] = {.lex_state = 1, .external_lex_state = 3},
  [1447] = {.lex_state = 1, .external_lex_state = 3},
  [1448] = {.lex_state = 1, .external_lex_state = 3},
  [1449] = {.lex_state = 1, .external_lex_state = 3},
  [1450] = {.lex_state = 35, .external_lex_state = 2},
  [1451] = {.lex_state = 1, .external_lex_state = 3},
  [1452] = {.lex_state = 1, .external_lex_state = 3},
  [1453] = {.lex_state = 1, .external_lex_state = 3},
  [1454] = {.lex_state = 1, .external_lex_state = 3},
  [1455] = {.lex_state = 1, .external_lex_state = 3},
  [1456] = {.lex_state = 1, .external_lex_state = 3},
  [1457] = {.lex_state = 1, .external_lex_state = 3},
  [1458] = {.lex_state = 1, .external_lex_state = 3},
  [1459] = {.lex_state = 1, .external_lex_state = 3},
  [1460] = {.lex_state = 1, .external_lex_state = 3},
  [1461] = {.lex_state = 1, .external_lex_state = 3},
  [1462] = {.lex_state = 1, .external_lex_state = 3},
  [1463] = {.lex_state = 1, .external_lex_state = 3},
  [1464] = {.lex_state = 35},
  [1465] = {.lex_state = 35},
  [1466] = {.lex_state = 1, .external_lex_state = 3},
  [1467] = {.lex_state = 1, .external_lex_state = 3},
  [1468] = {.lex_state = 35},
  [1469] = {.lex_state = 1, .external_lex_state = 3},
  [1470] = {.lex_state = 35},
  [1471] = {.lex_state = 1, .external_lex_state = 3},
  [1472] = {.lex_state = 1, .external_lex_state = 3},
  [1473] = {.lex_state = 35},
  [1474] = {.lex_state = 1, .external_lex_state = 3},
  [1475] = {.lex_state = 1, .external_lex_state = 3},
  [1476] = {.lex_state = 1, .external_lex_state = 3},
  [1477] = {.lex_state = 1, .external_lex_state = 3},
  [1478] = {.lex_state = 1, .external_lex_state = 3},
  [1479] = {.lex_state = 1, .external_lex_state = 3},
  [1480] = {.lex_state = 1, .external_lex_state = 3},
  [1481] = {.lex_state = 1, .external_lex_state = 3},
  [1482] = {.lex_state = 1, .external_lex_state = 3},
  [1483] = {.lex_state = 1, .external_lex_state = 3},
  [1484] = {.lex_state = 1, .external_lex_state = 3},
  [1485] = {.lex_state = 1, .external_lex_state = 3},
  [1486] = {.lex_state = 1, .external_lex_state = 3},
  [1487] = {.lex_state = 1, .external_lex_state = 3},
  [1488] = {.lex_state = 1, .external_lex_state = 3},
  [1489] = {.lex_state = 1, .external_lex_state = 3},
  [1490] = {.lex_state = 1, .external_lex_state = 3},
  [1491] = {.lex_state = 1, .external_lex_state = 3},
  [1492] = {.lex_state = 1, .external_lex_state = 3},
  [1493] = {.lex_state = 1, .external_lex_state = 3},
  [1494] = {.lex_state = 1, .external_lex_state = 3},
  [1495] = {.lex_state = 1, .external_lex_state = 3},
  [1496] = {.lex_state = 1, .external_lex_state = 3},
  [1497] = {.lex_state = 1, .external_lex_state = 3},
  [1498] = {.lex_state = 1, .external_lex_state = 3},
  [1499] = {.lex_state = 1, .external_lex_state = 3},
  [1500] = {.lex_state = 1, .external_lex_state = 3},
  [1501] = {.lex_state = 1, .external_lex_state = 3},
  [1502] = {.lex_state = 1, .external_lex_state = 3},
  [1503] = {.lex_state = 1, .external_lex_state = 3},
  [1504] = {.lex_state = 1, .external_lex_state = 3},
  [1505] = {.lex_state = 1, .external_lex_state = 3},
  [1506] = {.lex_state = 1, .external_lex_state = 3},
  [1507] = {.lex_state = 1, .external_lex_state = 3},
  [1508] = {.lex_state = 1, .external_lex_state = 3},
  [1509] = {.lex_state = 1, .external_lex_state = 3},
  [1510] = {.lex_state = 1, .external_lex_state = 3},
  [1511] = {.lex_state = 1, .external_lex_state = 3},
  [1512] = {.lex_state = 1, .external_lex_state = 3},
  [1513] = {.lex_state = 1, .external_lex_state = 3},
  [1514] = {.lex_state = 1, .external_lex_state = 3},
  [1515] = {.lex_state = 1, .external_lex_state = 3},
  [1516] = {.lex_state = 1, .external_lex_state = 3},
  [1517] = {.lex_state = 1, .external_lex_state = 3},
  [1518] = {.lex_state = 1, .external_lex_state = 3},
  [1519] = {.lex_state = 1, .external_lex_state = 3},
  [1520] = {.lex_state = 1, .external_lex_state = 3},
  [1521] = {.lex_state = 1, .external_lex_state = 3},
  [1522] = {.lex_state = 1, .external_lex_state = 3},
  [1523] = {.lex_state = 33},
  [1524] = {.lex_state = 1, .external_lex_state = 3},
  [1525] = {.lex_state = 1, .external_lex_state = 3},
  [1526] = {.lex_state = 1, .external_lex_state = 3},
  [1527] = {.lex_state = 1, .external_lex_state = 3},
  [1528] = {.lex_state = 1, .external_lex_state = 3},
  [1529] = {.lex_state = 1, .external_lex_state = 3},
  [1530] = {.lex_state = 1, .external_lex_state = 3},
  [1531] = {.lex_state = 35},
  [1532] = {.lex_state = 1, .external_lex_state = 3},
  [1533] = {.lex_state = 1, .external_lex_state = 3},
  [1534] = {.lex_state = 1, .external_lex_state = 3},
  [1535] = {.lex_state = 1, .external_lex_state = 3},
  [1536] = {.lex_state = 35},
  [1537] = {.lex_state = 1, .external_lex_state = 3},
  [1538] = {.lex_state = 1, .external_lex_state = 3},
  [1539] = {.lex_state = 1, .external_lex_state = 3},
  [1540] = {.lex_state = 1, .external_lex_state = 3},
  [1541] = {.lex_state = 1, .external_lex_state = 3},
  [1542] = {.lex_state = 1, .external_lex_state = 3},
  [1543] = {.lex_state = 35},
  [1544] = {.lex_state = 35},
  [1545] = {.lex_state = 1, .external_lex_state = 3},
  [1546] = {.lex_state = 1, .external_lex_state = 3},
  [1547] = {.lex_state = 1, .external_lex_state = 3},
  [1548] = {.lex_state = 1, .external_lex_state = 3},
  [1549] = {.lex_state = 1, .external_lex_state = 3},
  [1550] = {.lex_state = 35, .external_lex_state = 2},
  [1551] = {.lex_state = 1, .external_lex_state = 3},
  [1552] = {.lex_state = 1, .external_lex_state = 3},
  [1553] = {.lex_state = 1, .external_lex_state = 3},
  [1554] = {.lex_state = 1, .external_lex_state = 3},
  [1555] = {.lex_state = 1, .external_lex_state = 3},
  [1556] = {.lex_state = 35},
  [1557] = {.lex_state = 35},
  [1558] = {.lex_state = 1, .external_lex_state = 3},
  [1559] = {.lex_state = 35, .external_lex_state = 2},
  [1560] = {.lex_state = 1, .external_lex_state = 3},
  [1561] = {.lex_state = 1, .external_lex_state = 3},
  [1562] = {.lex_state = 35, .external_lex_state = 2},
  [1563] = {.lex_state = 35},
  [1564] = {.lex_state = 35},
  [1565] = {.lex_state = 1, .external_lex_state = 3},
  [1566] = {.lex_state = 1, .external_lex_state = 3},
  [1567] = {.lex_state = 35},
  [1568] = {.lex_state = 1, .external_lex_state = 3},
  [1569] = {.lex_state = 1, .external_lex_state = 3},
  [1570] = {.lex_state = 35},
  [1571] = {.lex_state = 1, .external_lex_state = 3},
  [1572] = {.lex_state = 35},
  [1573] = {.lex_state = 1, .external_lex_state = 3},
  [1574] = {.lex_state = 35},
  [1575] = {.lex_state = 35},
  [1576] = {.lex_state = 35},
  [1577] = {.lex_state = 1, .external_lex_state = 3},
  [1578] = {.lex_state = 1, .external_lex_state = 3},
  [1579] = {.lex_state = 1, .external_lex_state = 3},
  [1580] = {.lex_state = 35, .external_lex_state = 2},
  [1581] = {.lex_state = 1, .external_lex_state = 3},
  [1582] = {.lex_state = 35},
  [1583] = {.lex_state = 35},
  [1584] = {.lex_state = 1, .external_lex_state = 3},
  [1585] = {.lex_state = 35},
  [1586] = {.lex_state = 1, .external_lex_state = 3},
  [1587] = {.lex_state = 1, .external_lex_state = 3},
  [1588] = {.lex_state = 35},
  [1589] = {.lex_state = 1, .external_lex_state = 3},
  [1590] = {.lex_state = 1, .external_lex_state = 3},
  [1591] = {.lex_state = 1, .external_lex_state = 3},
  [1592] = {.lex_state = 1, .external_lex_state = 3},
  [1593] = {.lex_state = 1, .external_lex_state = 3},
  [1594] = {.lex_state = 1, .external_lex_state = 3},
  [1595] = {.lex_state = 35, .external_lex_state = 2},
  [1596] = {.lex_state = 1, .external_lex_state = 3},
  [1597] = {.lex_state = 1, .external_lex_state = 3},
  [1598] = {.lex_state = 1, .external_lex_state = 3},
  [1599] = {.lex_state = 1, .external_lex_state = 3},
  [1600] = {.lex_state = 1, .external_lex_state = 3},
  [1601] = {.lex_state = 1, .external_lex_state = 3},
  [1602] = {.lex_state = 1, .external_lex_state = 3},
  [1603] = {.lex_state = 1, .external_lex_state = 3},
  [1604] = {.lex_state = 1, .external_lex_state = 3},
  [1605] = {.lex_state = 1, .external_lex_state = 3},
  [1606] = {.lex_state = 1, .external_lex_state = 3},
  [1607] = {.lex_state = 1, .external_lex_state = 3},
  [1608] = {.lex_state = 1, .external_lex_state = 3},
  [1609] = {.lex_state = 1, .external_lex_state = 3},
  [1610] = {.lex_state = 1, .external_lex_state = 3},
  [1611] = {.lex_state = 1, .external_lex_state = 3},
  [1612] = {.lex_state = 1, .external_lex_state = 3},
  [1613] = {.lex_state = 35, .external_lex_state = 2},
  [1614] = {.lex_state = 1, .external_lex_state = 3},
  [1615] = {.lex_state = 1, .external_lex_state = 3},
  [1616] = {.lex_state = 1, .external_lex_state = 3},
  [1617] = {.lex_state = 1, .external_lex_state = 3},
  [1618] = {.lex_state = 1, .external_lex_state = 3},
  [1619] = {.lex_state = 1, .external_lex_state = 3},
  [1620] = {.lex_state = 1, .external_lex_state = 3},
  [1621] = {.lex_state = 35},
  [1622] = {.lex_state = 1, .external_lex_state = 3},
  [1623] = {.lex_state = 1, .external_lex_state = 3},
  [1624] = {.lex_state = 1, .external_lex_state = 3},
  [1625] = {.lex_state = 1, .external_lex_state = 3},
  [1626] = {.lex_state = 1, .external_lex_state = 3},
  [1627] = {.lex_state = 1, .external_lex_state = 3},
  [1628] = {.lex_state = 1, .external_lex_state = 3},
  [1629] = {.lex_state = 1, .external_lex_state = 3},
  [1630] = {.lex_state = 1, .external_lex_state = 3},
  [1631] = {.lex_state = 1, .external_lex_state = 3},
  [1632] = {.lex_state = 1, .external_lex_state = 3},
  [1633] = {.lex_state = 1, .external_lex_state = 3},
  [1634] = {.lex_state = 1, .external_lex_state = 3},
  [1635] = {.lex_state = 1, .external_lex_state = 3},
  [1636] = {.lex_state = 1, .external_lex_state = 3},
  [1637] = {.lex_state = 1, .external_lex_state = 3},
  [1638] = {.lex_state = 1, .external_lex_state = 3},
  [1639] = {.lex_state = 1, .external_lex_state = 3},
  [1640] = {.lex_state = 1, .external_lex_state = 3},
  [1641] = {.lex_state = 1, .external_lex_state = 3},
  [1642] = {.lex_state = 1, .external_lex_state = 3},
  [1643] = {.lex_state = 1, .external_lex_state = 3},
  [1644] = {.lex_state = 1, .external_lex_state = 3},
  [1645] = {.lex_state = 1, .external_lex_state = 3},
  [1646] = {.lex_state = 1, .external_lex_state = 3},
  [1647] = {.lex_state = 1, .external_lex_state = 3},
  [1648] = {.lex_state = 1, .external_lex_state = 3},
  [1649] = {.lex_state = 1, .external_lex_state = 3},
  [1650] = {.lex_state = 1, .external_lex_state = 3},
  [1651] = {.lex_state = 1, .external_lex_state = 3},
  [1652] = {.lex_state = 1, .external_lex_state = 3},
  [1653] = {.lex_state = 1, .external_lex_state = 3},
  [1654] = {.lex_state = 35, .external_lex_state = 2},
  [1655] = {.lex_state = 1, .external_lex_state = 3},
  [1656] = {.lex_state = 35, .external_lex_state = 2},
  [1657] = {.lex_state = 1, .external_lex_state = 3},
  [1658] = {.lex_state = 1, .external_lex_state = 3},
  [1659] = {.lex_state = 1, .external_lex_state = 3},
  [1660] = {.lex_state = 1, .external_lex_state = 3},
  [1661] = {.lex_state = 1, .external_lex_state = 3},
  [1662] = {.lex_state = 1, .external_lex_state = 3},
  [1663] = {.lex_state = 1, .external_lex_state = 3},
  [1664] = {.lex_state = 1, .external_lex_state = 3},
  [1665] = {.lex_state = 1, .external_lex_state = 3},
  [1666] = {.lex_state = 35, .external_lex_state = 2},
  [1667] = {.lex_state = 1, .external_lex_state = 3},
  [1668] = {.lex_state = 1, .external_lex_state = 3},
  [1669] = {.lex_state = 35, .external_lex_state = 2},
  [1670] = {.lex_state = 1, .external_lex_state = 3},
  [1671] = {.lex_state = 1, .external_lex_state = 3},
  [1672] = {.lex_state = 1, .external_lex_state = 3},
  [1673] = {.lex_state = 1, .external_lex_state = 3},
  [1674] = {.lex_state = 1, .external_lex_state = 3},
  [1675] = {.lex_state = 1, .external_lex_state = 3},
  [1676] = {.lex_state = 1, .external_lex_state = 3},
  [1677] = {.lex_state = 34},
  [1678] = {.lex_state = 1, .external_lex_state = 3},
  [1679] = {.lex_state = 1, .external_lex_state = 3},
  [1680] = {.lex_state = 1, .external_lex_state = 3},
  [1681] = {.lex_state = 1, .external_lex_state = 3},
  [1682] = {.lex_state = 1, .external_lex_state = 3},
  [1683] = {.lex_state = 1, .external_lex_state = 3},
  [1684] = {.lex_state = 1, .external_lex_state = 3},
  [1685] = {.lex_state = 1, .external_lex_state = 3},
  [1686] = {.lex_state = 1, .external_lex_state = 3},
  [1687] = {.lex_state = 1, .external_lex_state = 3},
  [1688] = {.lex_state = 1, .external_lex_state = 3},
  [1689] = {.lex_state = 1, .external_lex_state = 3},
  [1690] = {.lex_state = 1, .external_lex_state = 3},
  [1691] = {.lex_state = 1, .external_lex_state = 3},
  [1692] = {.lex_state = 34},
  [1693] = {.lex_state = 35, .external_lex_state = 2},
  [1694] = {.lex_state = 1, .external_lex_state = 3},
  [1695] = {.lex_state = 1, .external_lex_state = 3},
  [1696] = {.lex_state = 36},
  [1697] = {.lex_state = 1, .external_lex_state = 3},
  [1698] = {.lex_state = 1, .external_lex_state = 3},
  [1699] = {.lex_state = 1, .external_lex_state = 3},
  [1700] = {.lex_state = 1, .external_lex_state = 3},
  [1701] = {.lex_state = 1, .external_lex_state = 3},
  [1702] = {.lex_state = 1, .external_lex_state = 3},
  [1703] = {.lex_state = 1, .external_lex_state = 3},
  [1704] = {.lex_state = 1, .external_lex_state = 3},
  [1705] = {.lex_state = 35, .external_lex_state = 2},
  [1706] = {.lex_state = 35},
  [1707] = {.lex_state = 1, .external_lex_state = 3},
  [1708] = {.lex_state = 1, .external_lex_state = 3},
  [1709] = {.lex_state = 1, .external_lex_state = 3},
  [1710] = {.lex_state = 1, .external_lex_state = 3},
  [1711] = {.lex_state = 1, .external_lex_state = 3},
  [1712] = {.lex_state = 1, .external_lex_state = 3},
  [1713] = {.lex_state = 1, .external_lex_state = 3},
  [1714] = {.lex_state = 1, .external_lex_state = 3},
  [1715] = {.lex_state = 1, .external_lex_state = 3},
  [1716] = {.lex_state = 1, .external_lex_state = 3},
  [1717] = {.lex_state = 1, .external_lex_state = 3},
  [1718] = {.lex_state = 1, .external_lex_state = 3},
  [1719] = {.lex_state = 1, .external_lex_state = 3},
  [1720] = {.lex_state = 1, .external_lex_state = 3},
  [1721] = {.lex_state = 1, .external_lex_state = 3},
  [1722] = {.lex_state = 1, .external_lex_state = 3},
  [1723] = {.lex_state = 1, .external_lex_state = 3},
  [1724] = {.lex_state = 1, .external_lex_state = 3},
  [1725] = {.lex_state = 1, .external_lex_state = 3},
  [1726] = {.lex_state = 1, .external_lex_state = 3},
  [1727] = {.lex_state = 1, .external_lex_state = 3},
  [1728] = {.lex_state = 1, .external_lex_state = 3},
  [1729] = {.lex_state = 1, .external_lex_state = 3},
  [1730] = {.lex_state = 1, .external_lex_state = 3},
  [1731] = {.lex_state = 1, .external_lex_state = 3},
  [1732] = {.lex_state = 1, .external_lex_state = 3},
  [1733] = {.lex_state = 1, .external_lex_state = 3},
  [1734] = {.lex_state = 1, .external_lex_state = 3},
  [1735] = {.lex_state = 1, .external_lex_state = 3},
  [1736] = {.lex_state = 1, .external_lex_state = 3},
  [1737] = {.lex_state = 1, .external_lex_state = 3},
  [1738] = {.lex_state = 1, .external_lex_state = 3},
  [1739] = {.lex_state = 1, .external_lex_state = 3},
  [1740] = {.lex_state = 1, .external_lex_state = 3},
  [1741] = {.lex_state = 1, .external_lex_state = 3},
  [1742] = {.lex_state = 1, .external_lex_state = 3},
  [1743] = {.lex_state = 1, .external_lex_state = 3},
  [1744] = {.lex_state = 1, .external_lex_state = 3},
  [1745] = {.lex_state = 1, .external_lex_state = 3},
  [1746] = {.lex_state = 1, .external_lex_state = 3},
  [1747] = {.lex_state = 1, .external_lex_state = 3},
  [1748] = {.lex_state = 1, .external_lex_state = 3},
  [1749] = {.lex_state = 1, .external_lex_state = 3},
  [1750] = {.lex_state = 1, .external_lex_state = 3},
  [1751] = {.lex_state = 1, .external_lex_state = 3},
  [1752] = {.lex_state = 1, .external_lex_state = 3},
  [1753] = {.lex_state = 1, .external_lex_state = 3},
  [1754] = {.lex_state = 1, .external_lex_state = 3},
  [1755] = {.lex_state = 1, .external_lex_state = 3},
  [1756] = {.lex_state = 1, .external_lex_state = 3},
  [1757] = {.lex_state = 1, .external_lex_state = 3},
  [1758] = {.lex_state = 1, .external_lex_state = 3},
  [1759] = {.lex_state = 1, .external_lex_state = 3},
  [1760] = {.lex_state = 35, .external_lex_state = 2},
  [1761] = {.lex_state = 1, .external_lex_state = 3},
  [1762] = {.lex_state = 1, .external_lex_state = 3},
  [1763] = {.lex_state = 1, .external_lex_state = 3},
  [1764] = {.lex_state = 1, .external_lex_state = 3},
  [1765] = {.lex_state = 1, .external_lex_state = 3},
  [1766] = {.lex_state = 1, .external_lex_state = 3},
  [1767] = {.lex_state = 1, .external_lex_state = 3},
  [1768] = {.lex_state = 1, .external_lex_state = 3},
  [1769] = {.lex_state = 1, .external_lex_state = 3},
  [1770] = {.lex_state = 1, .external_lex_state = 3},
  [1771] = {.lex_state = 1, .external_lex_state = 3},
  [1772] = {.lex_state = 1, .external_lex_state = 3},
  [1773] = {.lex_state = 1, .external_lex_state = 3},
  [1774] = {.lex_state = 1, .external_lex_state = 3},
  [1775] = {.lex_state = 1, .external_lex_state = 3},
  [1776] = {.lex_state = 1, .external_lex_state = 3},
  [1777] = {.lex_state = 1, .external_lex_state = 3},
  [1778] = {.lex_state = 1, .external_lex_state = 3},
  [1779] = {.lex_state = 1, .external_lex_state = 3},
  [1780] = {.lex_state = 1, .external_lex_state = 3},
  [1781] = {.lex_state = 35},
  [1782] = {.lex_state = 1, .external_lex_state = 3},
  [1783] = {.lex_state = 1, .external_lex_state = 3},
  [1784] = {.lex_state = 1, .external_lex_state = 3},
  [1785] = {.lex_state = 1, .external_lex_state = 3},
  [1786] = {.lex_state = 1, .external_lex_state = 3},
  [1787] = {.lex_state = 1, .external_lex_state = 3},
  [1788] = {.lex_state = 1, .external_lex_state = 3},
  [1789] = {.lex_state = 1, .external_lex_state = 3},
  [1790] = {.lex_state = 35},
  [1791] = {.lex_state = 1, .external_lex_state = 3},
  [1792] = {.lex_state = 1, .external_lex_state = 3},
  [1793] = {.lex_state = 35, .external_lex_state = 2},
  [1794] = {.lex_state = 1, .external_lex_state = 3},
  [1795] = {.lex_state = 1, .external_lex_state = 3},
  [1796] = {.lex_state = 1, .external_lex_state = 3},
  [1797] = {.lex_state = 1, .external_lex_state = 3},
  [1798] = {.lex_state = 1, .external_lex_state = 3},
  [1799] = {.lex_state = 1, .external_lex_state = 3},
  [1800] = {.lex_state = 1, .external_lex_state = 3},
  [1801] = {.lex_state = 1, .external_lex_state = 3},
  [1802] = {.lex_state = 1, .external_lex_state = 3},
  [1803] = {.lex_state = 1, .external_lex_state = 3},
  [1804] = {.lex_state = 1, .external_lex_state = 3},
  [1805] = {.lex_state = 1, .external_lex_state = 3},
  [1806] = {.lex_state = 1, .external_lex_state = 3},
  [1807] = {.lex_state = 1, .external_lex_state = 3},
  [1808] = {.lex_state = 1, .external_lex_state = 3},
  [1809] = {.lex_state = 35, .external_lex_state = 2},
  [1810] = {.lex_state = 35, .external_lex_state = 2},
  [1811] = {.lex_state = 1, .external_lex_state = 3},
  [1812] = {.lex_state = 1, .external_lex_state = 3},
  [1813] = {.lex_state = 1, .external_lex_state = 3},
  [1814] = {.lex_state = 1, .external_lex_state = 3},
  [1815] = {.lex_state = 1, .external_lex_state = 3},
  [1816] = {.lex_state = 1, .external_lex_state = 3},
  [1817] = {.lex_state = 1, .external_lex_state = 3},
  [1818] = {.lex_state = 1, .external_lex_state = 3},
  [1819] = {.lex_state = 1, .external_lex_state = 3},
  [1820] = {.lex_state = 1, .external_lex_state = 3},
  [1821] = {.lex_state = 35, .external_lex_state = 2},
  [1822] = {.lex_state = 1, .external_lex_state = 3},
  [1823] = {.lex_state = 1, .external_lex_state = 3},
  [1824] = {.lex_state = 1, .external_lex_state = 3},
  [1825] = {.lex_state = 1, .external_lex_state = 3},
  [1826] = {.lex_state = 1, .external_lex_state = 3},
  [1827] = {.lex_state = 35, .external_lex_state = 2},
  [1828] = {.lex_state = 1, .external_lex_state = 3},
  [1829] = {.lex_state = 1, .external_lex_state = 3},
  [1830] = {.lex_state = 1, .external_lex_state = 3},
  [1831] = {.lex_state = 1, .external_lex_state = 3},
  [1832] = {.lex_state = 1, .external_lex_state = 3},
  [1833] = {.lex_state = 1, .external_lex_state = 3},
  [1834] = {.lex_state = 1, .external_lex_state = 3},
  [1835] = {.lex_state = 1, .external_lex_state = 3},
  [1836] = {.lex_state = 1, .external_lex_state = 3},
  [1837] = {.lex_state = 35, .external_lex_state = 2},
  [1838] = {.lex_state = 35},
  [1839] = {.lex_state = 35},
  [1840] = {.lex_state = 36},
  [1841] = {.lex_state = 35},
  [1842] = {.lex_state = 36},
  [1843] = {.lex_state = 36},
  [1844] = {.lex_state = 35},
  [1845] = {.lex_state = 35},
  [1846] = {.lex_state = 35},
  [1847] = {.lex_state = 36},
  [1848] = {.lex_state = 36},
  [1849] = {.lex_state = 33},
  [1850] = {.lex_state = 35},
  [1851] = {.lex_state = 36},
  [1852] = {.lex_state = 34},
  [1853] = {.lex_state = 35, .external_lex_state = 2},
  [1854] = {.lex_state = 36},
  [1855] = {.lex_state = 35},
  [1856] = {.lex_state = 36},
  [1857] = {.lex_state = 35},
  [1858] = {.lex_state = 35, .external_lex_state = 2},
  [1859] = {.lex_state = 36},
  [1860] = {.lex_state = 35, .external_lex_state = 2},
  [1861] = {.lex_state = 35, .external_lex_state = 2},
  [1862] = {.lex_state = 35, .external_lex_state = 2},
  [1863] = {.lex_state = 35, .external_lex_state = 2},
  [1864] = {.lex_state = 35, .external_lex_state = 2},
  [1865] = {.lex_state = 36},
  [1866] = {.lex_state = 35, .external_lex_state = 2},
  [1867] = {.lex_state = 35, .external_lex_state = 2},
  [1868] = {.lex_state = 35, .external_lex_state = 2},
  [1869] = {.lex_state = 35},
  [1870] = {.lex_state = 35},
  [1871] = {.lex_state = 36},
  [1872] = {.lex_state = 35},
  [1873] = {.lex_state = 35, .external_lex_state = 2},
  [1874] = {.lex_state = 35, .external_lex_state = 2},
  [1875] = {.lex_state = 35},
  [1876] = {.lex_state = 36},
  [1877] = {.lex_state = 36},
  [1878] = {.lex_state = 35},
  [1879] = {.lex_state = 35, .external_lex_state = 2},
  [1880] = {.lex_state = 35, .external_lex_state = 2},
  [1881] = {.lex_state = 33, .external_lex_state = 2},
  [1882] = {.lex_state = 35, .external_lex_state = 2},
  [1883] = {.lex_state = 36},
  [1884] = {.lex_state = 35, .external_lex_state = 2},
  [1885] = {.lex_state = 35, .external_lex_state = 2},
  [1886] = {.lex_state = 36},
  [1887] = {.lex_state = 35, .external_lex_state = 2},
  [1888] = {.lex_state = 35, .external_lex_state = 2},
  [1889] = {.lex_state = 35, .external_lex_state = 2},
  [1890] = {.lex_state = 35, .external_lex_state = 2},
  [1891] = {.lex_state = 35, .external_lex_state = 2},
  [1892] = {.lex_state = 35, .external_lex_state = 2},
  [1893] = {.lex_state = 35},
  [1894] = {.lex_state = 35},
  [1895] = {.lex_state = 35, .external_lex_state = 2},
  [1896] = {.lex_state = 35},
  [1897] = {.lex_state = 35},
  [1898] = {.lex_state = 35},
  [1899] = {.lex_state = 36},
  [1900] = {.lex_state = 33, .external_lex_state = 2},
  [1901] = {.lex_state = 35},
  [1902] = {.lex_state = 35},
  [1903] = {.lex_state = 35},
  [1904] = {.lex_state = 35},
  [1905] = {.lex_state = 35},
  [1906] = {.lex_state = 35},
  [1907] = {.lex_state = 35},
  [1908] = {.lex_state = 35},
  [1909] = {.lex_state = 35},
  [1910] = {.lex_state = 35},
  [1911] = {.lex_state = 35},
  [1912] = {.lex_state = 35},
  [1913] = {.lex_state = 35},
  [1914] = {.lex_state = 35},
  [1915] = {.lex_state = 35},
  [1916] = {.lex_state = 35},
  [1917] = {.lex_state = 35},
  [1918] = {.lex_state = 35},
  [1919] = {.lex_state = 35},
  [1920] = {.lex_state = 35, .external_lex_state = 2},
  [1921] = {.lex_state = 35, .external_lex_state = 2},
  [1922] = {.lex_state = 35, .external_lex_state = 2},
  [1923] = {.lex_state = 35, .external_lex_state = 2},
  [1924] = {.lex_state = 35, .external_lex_state = 2},
  [1925] = {.lex_state = 36},
  [1926] = {.lex_state = 35, .external_lex_state = 2},
  [1927] = {.lex_state = 35, .external_lex_state = 2},
  [1928] = {.lex_state = 35},
  [1929] = {.lex_state = 35, .external_lex_state = 2},
  [1930] = {.lex_state = 35},
  [1931] = {.lex_state = 35, .external_lex_state = 2},
  [1932] = {.lex_state = 35},
  [1933] = {.lex_state = 35},
  [1934] = {.lex_state = 35, .external_lex_state = 2},
  [1935] = {.lex_state = 36},
  [1936] = {.lex_state = 36},
  [1937] = {.lex_state = 35},
  [1938] = {.lex_state = 35},
  [1939] = {.lex_state = 35},
  [1940] = {.lex_state = 35},
  [1941] = {.lex_state = 35},
  [1942] = {.lex_state = 36},
  [1943] = {.lex_state = 35},
  [1944] = {.lex_state = 35},
  [1945] = {.lex_state = 35, .external_lex_state = 2},
  [1946] = {.lex_state = 35, .external_lex_state = 2},
  [1947] = {.lex_state = 35},
  [1948] = {.lex_state = 35},
  [1949] = {.lex_state = 35},
  [1950] = {.lex_state = 35},
  [1951] = {.lex_state = 35},
  [1952] = {.lex_state = 35},
  [1953] = {.lex_state = 35},
  [1954] = {.lex_state = 35},
  [1955] = {.lex_state = 35},
  [1956] = {.lex_state = 35, .external_lex_state = 2},
  [1957] = {.lex_state = 35, .external_lex_state = 2},
  [1958] = {.lex_state = 35, .external_lex_state = 2},
  [1959] = {.lex_state = 35, .external_lex_state = 2},
  [1960] = {.lex_state = 35, .external_lex_state = 2},
  [1961] = {.lex_state = 35},
  [1962] = {.lex_state = 35, .external_lex_state = 2},
  [1963] = {.lex_state = 35},
  [1964] = {.lex_state = 35, .external_lex_state = 2},
  [1965] = {.lex_state = 35, .external_lex_state = 2},
  [1966] = {.lex_state = 35},
  [1967] = {.lex_state = 35, .external_lex_state = 2},
  [1968] = {.lex_state = 35},
  [1969] = {.lex_state = 35},
  [1970] = {.lex_state = 35},
  [1971] = {.lex_state = 35},
  [1972] = {.lex_state = 35},
  [1973] = {.lex_state = 35},
  [1974] = {.lex_state = 35},
  [1975] = {.lex_state = 35},
  [1976] = {.lex_state = 35},
  [1977] = {.lex_state = 35},
  [1978] = {.lex_state = 35},
  [1979] = {.lex_state = 35},
  [1980] = {.lex_state = 35},
  [1981] = {.lex_state = 35},
  [1982] = {.lex_state = 35},
  [1983] = {.lex_state = 35, .external_lex_state = 2},
  [1984] = {.lex_state = 35},
  [1985] = {.lex_state = 36},
  [1986] = {.lex_state = 35, .external_lex_state = 2},
  [1987] = {.lex_state = 35},
  [1988] = {.lex_state = 35, .external_lex_state = 2},
  [1989] = {.lex_state = 35},
  [1990] = {.lex_state = 35},
  [1991] = {.lex_state = 35},
  [1992] = {.lex_state = 35},
  [1993] = {.lex_state = 35, .external_lex_state = 2},
  [1994] = {.lex_state = 35},
  [1995] = {.lex_state = 35},
  [1996] = {.lex_state = 35},
  [1997] = {.lex_state = 35, .external_lex_state = 2},
  [1998] = {.lex_state = 35},
  [1999] = {.lex_state = 35},
  [2000] = {.lex_state = 35, .external_lex_state = 2},
  [2001] = {.lex_state = 33, .external_lex_state = 2},
  [2002] = {.lex_state = 35},
  [2003] = {.lex_state = 35},
  [2004] = {.lex_state = 36},
  [2005] = {.lex_state = 35},
  [2006] = {.lex_state = 36},
  [2007] = {.lex_state = 35},
  [2008] = {.lex_state = 36},
  [2009] = {.lex_state = 35},
  [2010] = {.lex_state = 35},
  [2011] = {.lex_state = 35},
  [2012] = {.lex_state = 35},
  [2013] = {.lex_state = 36},
  [2014] = {.lex_state = 35, .external_lex_state = 2},
  [2015] = {.lex_state = 36},
  [2016] = {.lex_state = 36},
  [2017] = {.lex_state = 36},
  [2018] = {.lex_state = 35},
  [2019] = {.lex_state = 35, .external_lex_state = 2},
  [2020] = {.lex_state = 35},
  [2021] = {.lex_state = 35},
  [2022] = {.lex_state = 35},
  [2023] = {.lex_state = 35},
  [2024] = {.lex_state = 35},
  [2025] = {.lex_state = 35},
  [2026] = {.lex_state = 35},
  [2027] = {.lex_state = 35},
  [2028] = {.lex_state = 35},
  [2029] = {.lex_state = 35},
  [2030] = {.lex_state = 35},
  [2031] = {.lex_state = 35},
  [2032] = {.lex_state = 35},
  [2033] = {.lex_state = 35},
  [2034] = {.lex_state = 35, .external_lex_state = 2},
  [2035] = {.lex_state = 35},
  [2036] = {.lex_state = 35},
  [2037] = {.lex_state = 35},
  [2038] = {.lex_state = 35},
  [2039] = {.lex_state = 35},
  [2040] = {.lex_state = 35},
  [2041] = {.lex_state = 35},
  [2042] = {.lex_state = 35},
  [2043] = {.lex_state = 35},
  [2044] = {.lex_state = 35},
  [2045] = {.lex_state = 35},
  [2046] = {.lex_state = 35},
  [2047] = {.lex_state = 35},
  [2048] = {.lex_state = 35, .external_lex_state = 2},
  [2049] = {.lex_state = 35, .external_lex_state = 2},
  [2050] = {.lex_state = 35, .external_lex_state = 2},
  [2051] = {.lex_state = 35, .external_lex_state = 2},
  [2052] = {.lex_state = 36},
  [2053] = {.lex_state = 35},
  [2054] = {.lex_state = 35},
  [2055] = {.lex_state = 35, .external_lex_state = 2},
  [2056] = {.lex_state = 35},
  [2057] = {.lex_state = 35},
  [2058] = {.lex_state = 35},
  [2059] = {.lex_state = 35, .external_lex_state = 2},
  [2060] = {.lex_state = 35},
  [2061] = {.lex_state = 35},
  [2062] = {.lex_state = 35},
  [2063] = {.lex_state = 35},
  [2064] = {.lex_state = 35},
  [2065] = {.lex_state = 35},
  [2066] = {.lex_state = 35},
  [2067] = {.lex_state = 35},
  [2068] = {.lex_state = 33},
  [2069] = {.lex_state = 35},
  [2070] = {.lex_state = 35},
  [2071] = {.lex_state = 35},
  [2072] = {.lex_state = 35},
  [2073] = {.lex_state = 35},
  [2074] = {.lex_state = 35},
  [2075] = {.lex_state = 35},
  [2076] = {.lex_state = 35},
  [2077] = {.lex_state = 35},
  [2078] = {.lex_state = 35},
  [2079] = {.lex_state = 35},
  [2080] = {.lex_state = 35},
  [2081] = {.lex_state = 35},
  [2082] = {.lex_state = 35},
  [2083] = {.lex_state = 35},
  [2084] = {.lex_state = 35},
  [2085] = {.lex_state = 35},
  [2086] = {.lex_state = 35},
  [2087] = {.lex_state = 35},
  [2088] = {.lex_state = 35},
  [2089] = {.lex_state = 35},
  [2090] = {.lex_state = 35},
  [2091] = {.lex_state = 35, .external_lex_state = 2},
  [2092] = {.lex_state = 35, .external_lex_state = 2},
  [2093] = {.lex_state = 35, .external_lex_state = 2},
  [2094] = {.lex_state = 35, .external_lex_state = 2},
  [2095] = {.lex_state = 35, .external_lex_state = 2},
  [2096] = {.lex_state = 35, .external_lex_state = 2},
  [2097] = {.lex_state = 35, .external_lex_state = 2},
  [2098] = {.lex_state = 35, .external_lex_state = 2},
  [2099] = {.lex_state = 35, .external_lex_state = 2},
  [2100] = {.lex_state = 35, .external_lex_state = 2},
  [2101] = {.lex_state = 35, .external_lex_state = 2},
  [2102] = {.lex_state = 35, .external_lex_state = 2},
  [2103] = {.lex_state = 35},
  [2104] = {.lex_state = 35, .external_lex_state = 2},
  [2105] = {.lex_state = 35, .external_lex_state = 2},
  [2106] = {.lex_state = 35, .external_lex_state = 2},
  [2107] = {.lex_state = 35, .external_lex_state = 2},
  [2108] = {.lex_state = 35, .external_lex_state = 2},
  [2109] = {.lex_state = 35, .external_lex_state = 2},
  [2110] = {.lex_state = 35, .external_lex_state = 2},
  [2111] = {.lex_state = 35, .external_lex_state = 2},
  [2112] = {.lex_state = 35},
  [2113] = {.lex_state = 35, .external_lex_state = 2},
  [2114] = {.lex_state = 35},
  [2115] = {.lex_state = 35, .external_lex_state = 2},
  [2116] = {.lex_state = 35, .external_lex_state = 2},
  [2117] = {.lex_state = 35, .external_lex_state = 2},
  [2118] = {.lex_state = 35, .external_lex_state = 2},
  [2119] = {.lex_state = 35, .external_lex_state = 2},
  [2120] = {.lex_state = 35},
  [2121] = {.lex_state = 35, .external_lex_state = 2},
  [2122] = {.lex_state = 35},
  [2123] = {.lex_state = 35},
  [2124] = {.lex_state = 35},
  [2125] = {.lex_state = 35, .external_lex_state = 2},
  [2126] = {.lex_state = 35},
  [2127] = {.lex_state = 35},
  [2128] = {.lex_state = 35},
  [2129] = {.lex_state = 35},
  [2130] = {.lex_state = 35},
  [2131] = {.lex_state = 35},
  [2132] = {.lex_state = 35, .external_lex_state = 2},
  [2133] = {.lex_state = 35, .external_lex_state = 2},
  [2134] = {.lex_state = 35},
  [2135] = {.lex_state = 35, .external_lex_state = 2},
  [2136] = {.lex_state = 35, .external_lex_state = 2},
  [2137] = {.lex_state = 35, .external_lex_state = 2},
  [2138] = {.lex_state = 35},
  [2139] = {.lex_state = 35, .external_lex_state = 2},
  [2140] = {.lex_state = 35, .external_lex_state = 2},
  [2141] = {.lex_state = 35, .external_lex_state = 2},
  [2142] = {.lex_state = 35, .external_lex_state = 2},
  [2143] = {.lex_state = 35, .external_lex_state = 2},
  [2144] = {.lex_state = 35, .external_lex_state = 2},
  [2145] = {.lex_state = 35},
  [2146] = {.lex_state = 35, .external_lex_state = 2},
  [2147] = {.lex_state = 36},
  [2148] = {.lex_state = 35},
  [2149] = {.lex_state = 35},
  [2150] = {.lex_state = 35, .external_lex_state = 2},
  [2151] = {.lex_state = 35},
  [2152] = {.lex_state = 35, .external_lex_state = 2},
  [2153] = {.lex_state = 35, .external_lex_state = 2},
  [2154] = {.lex_state = 35, .external_lex_state = 2},
  [2155] = {.lex_state = 35, .external_lex_state = 2},
  [2156] = {.lex_state = 35, .external_lex_state = 2},
  [2157] = {.lex_state = 35, .external_lex_state = 2},
  [2158] = {.lex_state = 36},
  [2159] = {.lex_state = 35, .external_lex_state = 2},
  [2160] = {.lex_state = 36},
  [2161] = {.lex_state = 35, .external_lex_state = 2},
  [2162] = {.lex_state = 35, .external_lex_state = 2},
  [2163] = {.lex_state = 36},
  [2164] = {.lex_state = 35, .external_lex_state = 2},
  [2165] = {.lex_state = 36},
  [2166] = {.lex_state = 35, .external_lex_state = 2},
  [2167] = {.lex_state = 36},
  [2168] = {.lex_state = 35, .external_lex_state = 2},
  [2169] = {.lex_state = 35, .external_lex_state = 2},
  [2170] = {.lex_state = 35, .external_lex_state = 2},
  [2171] = {.lex_state = 35},
  [2172] = {.lex_state = 35, .external_lex_state = 2},
  [2173] = {.lex_state = 36},
  [2174] = {.lex_state = 35, .external_lex_state = 2},
  [2175] = {.lex_state = 36},
  [2176] = {.lex_state = 35, .external_lex_state = 2},
  [2177] = {.lex_state = 36},
  [2178] = {.lex_state = 35, .external_lex_state = 2},
  [2179] = {.lex_state = 36},
  [2180] = {.lex_state = 35, .external_lex_state = 2},
  [2181] = {.lex_state = 35, .external_lex_state = 2},
  [2182] = {.lex_state = 35, .external_lex_state = 2},
  [2183] = {.lex_state = 35, .external_lex_state = 2},
  [2184] = {.lex_state = 35, .external_lex_state = 2},
  [2185] = {.lex_state = 36},
  [2186] = {.lex_state = 35, .external_lex_state = 2},
  [2187] = {.lex_state = 36},
  [2188] = {.lex_state = 36},
  [2189] = {.lex_state = 35},
  [2190] = {.lex_state = 35},
  [2191] = {.lex_state = 35, .external_lex_state = 2},
  [2192] = {.lex_state = 35},
  [2193] = {.lex_state = 36},
  [2194] = {.lex_state = 35, .external_lex_state = 2},
  [2195] = {.lex_state = 35, .external_lex_state = 2},
  [2196] = {.lex_state = 36},
  [2197] = {.lex_state = 35, .external_lex_state = 2},
  [2198] = {.lex_state = 36},
  [2199] = {.lex_state = 35, .external_lex_state = 2},
  [2200] = {.lex_state = 36},
  [2201] = {.lex_state = 36},
  [2202] = {.lex_state = 35, .external_lex_state = 2},
  [2203] = {.lex_state = 36},
  [2204] = {.lex_state = 35, .external_lex_state = 2},
  [2205] = {.lex_state = 35, .external_lex_state = 2},
  [2206] = {.lex_state = 35, .external_lex_state = 2},
  [2207] = {.lex_state = 36},
  [2208] = {.lex_state = 35, .external_lex_state = 2},
  [2209] = {.lex_state = 36},
  [2210] = {.lex_state = 35, .external_lex_state = 2},
  [2211] = {.lex_state = 35, .external_lex_state = 2},
  [2212] = {.lex_state = 35, .external_lex_state = 2},
  [2213] = {.lex_state = 35, .external_lex_state = 2},
  [2214] = {.lex_state = 35, .external_lex_state = 2},
  [2215] = {.lex_state = 35, .external_lex_state = 2},
  [2216] = {.lex_state = 35, .external_lex_state = 2},
  [2217] = {.lex_state = 36},
  [2218] = {.lex_state = 35},
  [2219] = {.lex_state = 35, .external_lex_state = 2},
  [2220] = {.lex_state = 35, .external_lex_state = 2},
  [2221] = {.lex_state = 35, .external_lex_state = 2},
  [2222] = {.lex_state = 35, .external_lex_state = 2},
  [2223] = {.lex_state = 35, .external_lex_state = 2},
  [2224] = {.lex_state = 35, .external_lex_state = 2},
  [2225] = {.lex_state = 35, .external_lex_state = 2},
  [2226] = {.lex_state = 35},
  [2227] = {.lex_state = 36},
  [2228] = {.lex_state = 36},
  [2229] = {.lex_state = 35, .external_lex_state = 2},
  [2230] = {.lex_state = 36},
  [2231] = {.lex_state = 36},
  [2232] = {.lex_state = 36},
  [2233] = {.lex_state = 36},
  [2234] = {.lex_state = 35, .external_lex_state = 2},
  [2235] = {.lex_state = 36},
  [2236] = {.lex_state = 35},
  [2237] = {.lex_state = 35, .external_lex_state = 2},
  [2238] = {.lex_state = 35, .external_lex_state = 2},
  [2239] = {.lex_state = 35},
  [2240] = {.lex_state = 35, .external_lex_state = 2},
  [2241] = {.lex_state = 35},
  [2242] = {.lex_state = 35},
  [2243] = {.lex_state = 35, .external_lex_state = 2},
  [2244] = {.lex_state = 36},
  [2245] = {.lex_state = 35, .external_lex_state = 2},
  [2246] = {.lex_state = 35},
  [2247] = {.lex_state = 35},
  [2248] = {.lex_state = 35, .external_lex_state = 2},
  [2249] = {.lex_state = 35},
  [2250] = {.lex_state = 35},
  [2251] = {.lex_state = 35},
  [2252] = {.lex_state = 35, .external_lex_state = 2},
  [2253] = {.lex_state = 35},
  [2254] = {.lex_state = 36},
  [2255] = {.lex_state = 35, .external_lex_state = 2},
  [2256] = {.lex_state = 35, .external_lex_state = 2},
  [2257] = {.lex_state = 36},
  [2258] = {.lex_state = 35},
  [2259] = {.lex_state = 35, .external_lex_state = 2},
  [2260] = {.lex_state = 35},
  [2261] = {.lex_state = 36},
  [2262] = {.lex_state = 35},
  [2263] = {.lex_state = 35, .external_lex_state = 2},
  [2264] = {.lex_state = 35},
  [2265] = {.lex_state = 35},
  [2266] = {.lex_state = 35},
  [2267] = {.lex_state = 35, .external_lex_state = 2},
  [2268] = {.lex_state = 35},
  [2269] = {.lex_state = 35},
  [2270] = {.lex_state = 35},
  [2271] = {.lex_state = 35},
  [2272] = {.lex_state = 35},
  [2273] = {.lex_state = 35},
  [2274] = {.lex_state = 35},
  [2275] = {.lex_state = 35},
  [2276] = {.lex_state = 35},
  [2277] = {.lex_state = 35, .external_lex_state = 2},
  [2278] = {.lex_state = 35},
  [2279] = {.lex_state = 35, .external_lex_state = 2},
  [2280] = {.lex_state = 35},
  [2281] = {.lex_state = 35, .external_lex_state = 2},
  [2282] = {.lex_state = 35},
  [2283] = {.lex_state = 35},
  [2284] = {.lex_state = 35, .external_lex_state = 2},
  [2285] = {.lex_state = 35, .external_lex_state = 2},
  [2286] = {.lex_state = 35, .external_lex_state = 2},
  [2287] = {.lex_state = 35, .external_lex_state = 2},
  [2288] = {.lex_state = 35},
  [2289] = {.lex_state = 35, .external_lex_state = 2},
  [2290] = {.lex_state = 35},
  [2291] = {.lex_state = 35},
  [2292] = {.lex_state = 35},
  [2293] = {.lex_state = 35},
  [2294] = {.lex_state = 35},
  [2295] = {.lex_state = 35},
  [2296] = {.lex_state = 35, .external_lex_state = 2},
  [2297] = {.lex_state = 35},
  [2298] = {.lex_state = 35},
  [2299] = {.lex_state = 35},
  [2300] = {.lex_state = 35},
  [2301] = {.lex_state = 35},
  [2302] = {.lex_state = 35, .external_lex_state = 2},
  [2303] = {.lex_state = 35},
  [2304] = {.lex_state = 35},
  [2305] = {.lex_state = 35},
  [2306] = {.lex_state = 35},
  [2307] = {.lex_state = 35},
  [2308] = {.lex_state = 35, .external_lex_state = 2},
  [2309] = {.lex_state = 35},
  [2310] = {.lex_state = 35},
  [2311] = {.lex_state = 35},
  [2312] = {.lex_state = 35},
  [2313] = {.lex_state = 36},
  [2314] = {.lex_state = 35},
  [2315] = {.lex_state = 35, .external_lex_state = 2},
  [2316] = {.lex_state = 35, .external_lex_state = 2},
  [2317] = {.lex_state = 35},
  [2318] = {.lex_state = 35},
  [2319] = {.lex_state = 35},
  [2320] = {.lex_state = 35},
  [2321] = {.lex_state = 35},
  [2322] = {.lex_state = 35},
  [2323] = {.lex_state = 35, .external_lex_state = 2},
  [2324] = {.lex_state = 35},
  [2325] = {.lex_state = 35, .external_lex_state = 2},
  [2326] = {.lex_state = 35, .external_lex_state = 2},
  [2327] = {.lex_state = 35, .external_lex_state = 2},
  [2328] = {.lex_state = 35, .external_lex_state = 2},
  [2329] = {.lex_state = 36},
  [2330] = {.lex_state = 35},
  [2331] = {.lex_state = 35},
  [2332] = {.lex_state = 35},
  [2333] = {.lex_state = 35},
  [2334] = {.lex_state = 35, .external_lex_state = 2},
  [2335] = {.lex_state = 35, .external_lex_state = 2},
  [2336] = {.lex_state = 35},
  [2337] = {.lex_state = 35},
  [2338] = {.lex_state = 35},
  [2339] = {.lex_state = 35},
  [2340] = {.lex_state = 35},
  [2341] = {.lex_state = 35},
  [2342] = {.lex_state = 35, .external_lex_state = 2},
  [2343] = {.lex_state = 35},
  [2344] = {.lex_state = 35},
  [2345] = {.lex_state = 35},
  [2346] = {.lex_state = 35},
  [2347] = {.lex_state = 35, .external_lex_state = 2},
  [2348] = {.lex_state = 35},
  [2349] = {.lex_state = 35},
  [2350] = {.lex_state = 35},
  [2351] = {.lex_state = 35, .external_lex_state = 2},
  [2352] = {.lex_state = 35},
  [2353] = {.lex_state = 35},
  [2354] = {.lex_state = 35},
  [2355] = {.lex_state = 35, .external_lex_state = 2},
  [2356] = {.lex_state = 35, .external_lex_state = 2},
  [2357] = {.lex_state = 35, .external_lex_state = 2},
  [2358] = {.lex_state = 36},
  [2359] = {.lex_state = 35},
  [2360] = {.lex_state = 35},
  [2361] = {.lex_state = 35, .external_lex_state = 2},
  [2362] = {.lex_state = 35, .external_lex_state = 2},
  [2363] = {.lex_state = 36},
  [2364] = {.lex_state = 35, .external_lex_state = 2},
  [2365] = {.lex_state = 35, .external_lex_state = 2},
  [2366] = {.lex_state = 35, .external_lex_state = 2},
  [2367] = {.lex_state = 35},
  [2368] = {.lex_state = 35},
  [2369] = {.lex_state = 36},
  [2370] = {.lex_state = 35},
  [2371] = {.lex_state = 35},
  [2372] = {.lex_state = 35, .external_lex_state = 2},
  [2373] = {.lex_state = 35},
  [2374] = {.lex_state = 35},
  [2375] = {.lex_state = 35},
  [2376] = {.lex_state = 35},
  [2377] = {.lex_state = 35},
  [2378] = {.lex_state = 35, .external_lex_state = 2},
  [2379] = {.lex_state = 35, .external_lex_state = 2},
  [2380] = {.lex_state = 35},
  [2381] = {.lex_state = 35, .external_lex_state = 2},
  [2382] = {.lex_state = 35, .external_lex_state = 2},
  [2383] = {.lex_state = 35, .external_lex_state = 2},
  [2384] = {.lex_state = 35, .external_lex_state = 2},
  [2385] = {.lex_state = 35, .external_lex_state = 2},
  [2386] = {.lex_state = 35, .external_lex_state = 2},
  [2387] = {.lex_state = 35, .external_lex_state = 2},
  [2388] = {.lex_state = 35, .external_lex_state = 2},
  [2389] = {.lex_state = 35, .external_lex_state = 2},
  [2390] = {.lex_state = 35, .external_lex_state = 2},
  [2391] = {.lex_state = 35, .external_lex_state = 2},
  [2392] = {.lex_state = 35, .external_lex_state = 2},
  [2393] = {.lex_state = 35, .external_lex_state = 2},
  [2394] = {.lex_state = 36},
  [2395] = {.lex_state = 35, .external_lex_state = 2},
  [2396] = {.lex_state = 36},
  [2397] = {.lex_state = 36},
  [2398] = {.lex_state = 35, .external_lex_state = 2},
  [2399] = {.lex_state = 36},
  [2400] = {.lex_state = 36},
  [2401] = {.lex_state = 36},
  [2402] = {.lex_state = 36},
  [2403] = {.lex_state = 35, .external_lex_state = 2},
  [2404] = {.lex_state = 35, .external_lex_state = 2},
  [2405] = {.lex_state = 35, .external_lex_state = 2},
  [2406] = {.lex_state = 35, .external_lex_state = 2},
  [2407] = {.lex_state = 35, .external_lex_state = 2},
  [2408] = {.lex_state = 35, .external_lex_state = 2},
  [2409] = {.lex_state = 35, .external_lex_state = 2},
  [2410] = {.lex_state = 35},
  [2411] = {.lex_state = 35, .external_lex_state = 2},
  [2412] = {.lex_state = 35, .external_lex_state = 2},
  [2413] = {.lex_state = 35, .external_lex_state = 2},
  [2414] = {.lex_state = 35, .external_lex_state = 2},
  [2415] = {.lex_state = 35},
  [2416] = {.lex_state = 35},
  [2417] = {.lex_state = 35, .external_lex_state = 2},
  [2418] = {.lex_state = 35, .external_lex_state = 2},
  [2419] = {.lex_state = 35},
  [2420] = {.lex_state = 35, .external_lex_state = 2},
  [2421] = {.lex_state = 35, .external_lex_state = 2},
  [2422] = {.lex_state = 35, .external_lex_state = 2},
  [2423] = {.lex_state = 35, .external_lex_state = 2},
  [2424] = {.lex_state = 35},
  [2425] = {.lex_state = 35},
  [2426] = {.lex_state = 35, .external_lex_state = 2},
  [2427] = {.lex_state = 35, .external_lex_state = 2},
  [2428] = {.lex_state = 35, .external_lex_state = 2},
  [2429] = {.lex_state = 35, .external_lex_state = 2},
  [2430] = {.lex_state = 35, .external_lex_state = 2},
  [2431] = {.lex_state = 35, .external_lex_state = 2},
  [2432] = {.lex_state = 35, .external_lex_state = 2},
  [2433] = {.lex_state = 35},
  [2434] = {.lex_state = 35, .external_lex_state = 2},
  [2435] = {.lex_state = 35, .external_lex_state = 2},
  [2436] = {.lex_state = 35},
  [2437] = {.lex_state = 35, .external_lex_state = 2},
  [2438] = {.lex_state = 35, .external_lex_state = 2},
  [2439] = {.lex_state = 35},
  [2440] = {.lex_state = 35, .external_lex_state = 2},
  [2441] = {.lex_state = 35},
  [2442] = {.lex_state = 35},
  [2443] = {.lex_state = 35},
  [2444] = {.lex_state = 35, .external_lex_state = 2},
  [2445] = {.lex_state = 35, .external_lex_state = 2},
  [2446] = {.lex_state = 35, .external_lex_state = 2},
  [2447] = {.lex_state = 35, .external_lex_state = 2},
  [2448] = {.lex_state = 35, .external_lex_state = 2},
  [2449] = {.lex_state = 35},
  [2450] = {.lex_state = 35},
  [2451] = {.lex_state = 35, .external_lex_state = 2},
  [2452] = {.lex_state = 35, .external_lex_state = 2},
  [2453] = {.lex_state = 35, .external_lex_state = 2},
  [2454] = {.lex_state = 35, .external_lex_state = 2},
  [2455] = {.lex_state = 35, .external_lex_state = 2},
  [2456] = {.lex_state = 35, .external_lex_state = 2},
  [2457] = {.lex_state = 35},
  [2458] = {.lex_state = 35},
  [2459] = {.lex_state = 35, .external_lex_state = 2},
  [2460] = {.lex_state = 35, .external_lex_state = 2},
  [2461] = {.lex_state = 35},
  [2462] = {.lex_state = 35, .external_lex_state = 2},
  [2463] = {.lex_state = 35, .external_lex_state = 2},
  [2464] = {.lex_state = 35, .external_lex_state = 2},
  [2465] = {.lex_state = 35},
  [2466] = {.lex_state = 35, .external_lex_state = 2},
  [2467] = {.lex_state = 35, .external_lex_state = 2},
  [2468] = {.lex_state = 35},
  [2469] = {.lex_state = 35, .external_lex_state = 2},
  [2470] = {.lex_state = 35},
  [2471] = {.lex_state = 35},
  [2472] = {.lex_state = 35},
  [2473] = {.lex_state = 35, .external_lex_state = 2},
  [2474] = {.lex_state = 35, .external_lex_state = 2},
  [2475] = {.lex_state = 35, .external_lex_state = 2},
  [2476] = {.lex_state = 36},
  [2477] = {.lex_state = 35},
  [2478] = {.lex_state = 35, .external_lex_state = 2},
  [2479] = {.lex_state = 35, .external_lex_state = 2},
  [2480] = {.lex_state = 36},
  [2481] = {.lex_state = 35, .external_lex_state = 2},
  [2482] = {.lex_state = 35},
  [2483] = {.lex_state = 35, .external_lex_state = 2},
  [2484] = {.lex_state = 35},
  [2485] = {.lex_state = 35, .external_lex_state = 2},
  [2486] = {.lex_state = 35, .external_lex_state = 2},
  [2487] = {.lex_state = 35, .external_lex_state = 2},
  [2488] = {.lex_state = 35, .external_lex_state = 2},
  [2489] = {.lex_state = 36},
  [2490] = {.lex_state = 36},
  [2491] = {.lex_state = 36},
  [2492] = {.lex_state = 35, .external_lex_state = 2},
  [2493] = {.lex_state = 36},
  [2494] = {.lex_state = 36},
  [2495] = {.lex_state = 36},
  [2496] = {.lex_state = 35},
  [2497] = {.lex_state = 36},
  [2498] = {.lex_state = 35, .external_lex_state = 2},
  [2499] = {.lex_state = 36},
  [2500] = {.lex_state = 36},
  [2501] = {.lex_state = 36},
  [2502] = {.lex_state = 36},
  [2503] = {.lex_state = 36},
  [2504] = {.lex_state = 36},
  [2505] = {.lex_state = 35, .external_lex_state = 2},
  [2506] = {.lex_state = 35},
  [2507] = {.lex_state = 35, .external_lex_state = 2},
  [2508] = {.lex_state = 35},
  [2509] = {.lex_state = 35, .external_lex_state = 2},
  [2510] = {.lex_state = 35, .external_lex_state = 2},
  [2511] = {.lex_state = 36},
  [2512] = {.lex_state = 36},
  [2513] = {.lex_state = 36},
  [2514] = {.lex_state = 36},
  [2515] = {.lex_state = 36},
  [2516] = {.lex_state = 36},
  [2517] = {.lex_state = 36},
  [2518] = {.lex_state = 36},
  [2519] = {.lex_state = 36},
  [2520] = {.lex_state = 35, .external_lex_state = 2},
  [2521] = {.lex_state = 36},
  [2522] = {.lex_state = 35, .external_lex_state = 2},
  [2523] = {.lex_state = 35},
  [2524] = {.lex_state = 35, .external_lex_state = 2},
  [2525] = {.lex_state = 35, .external_lex_state = 2},
  [2526] = {.lex_state = 35, .external_lex_state = 2},
  [2527] = {.lex_state = 35, .external_lex_state = 2},
  [2528] = {.lex_state = 35, .external_lex_state = 2},
  [2529] = {.lex_state = 35, .external_lex_state = 2},
  [2530] = {.lex_state = 35, .external_lex_state = 2},
  [2531] = {.lex_state = 35, .external_lex_state = 2},
  [2532] = {.lex_state = 35, .external_lex_state = 2},
  [2533] = {.lex_state = 35, .external_lex_state = 2},
  [2534] = {.lex_state = 35, .external_lex_state = 2},
  [2535] = {.lex_state = 35, .external_lex_state = 2},
  [2536] = {.lex_state = 36},
  [2537] = {.lex_state = 35, .external_lex_state = 2},
  [2538] = {.lex_state = 36},
  [2539] = {.lex_state = 36},
  [2540] = {.lex_state = 36},
  [2541] = {.lex_state = 36},
  [2542] = {.lex_state = 36},
  [2543] = {.lex_state = 36},
  [2544] = {.lex_state = 35},
  [2545] = {.lex_state = 35},
  [2546] = {.lex_state = 35},
  [2547] = {.lex_state = 35},
  [2548] = {.lex_state = 35},
  [2549] = {.lex_state = 35},
  [2550] = {.lex_state = 35},
  [2551] = {.lex_state = 35},
  [2552] = {.lex_state = 35},
  [2553] = {.lex_state = 35},
  [2554] = {.lex_state = 35},
  [2555] = {.lex_state = 35},
  [2556] = {.lex_state = 35},
  [2557] = {.lex_state = 35},
  [2558] = {.lex_state = 35},
  [2559] = {.lex_state = 35},
  [2560] = {.lex_state = 35},
  [2561] = {.lex_state = 35, .external_lex_state = 2},
  [2562] = {.lex_state = 36},
  [2563] = {.lex_state = 36},
  [2564] = {.lex_state = 36},
  [2565] = {.lex_state = 36},
  [2566] = {.lex_state = 36},
  [2567] = {.lex_state = 36},
  [2568] = {.lex_state = 36},
  [2569] = {.lex_state = 36},
  [2570] = {.lex_state = 35, .external_lex_state = 2},
  [2571] = {.lex_state = 36},
  [2572] = {.lex_state = 36},
  [2573] = {.lex_state = 36},
  [2574] = {.lex_state = 35},
  [2575] = {.lex_state = 35},
  [2576] = {.lex_state = 35},
  [2577] = {.lex_state = 35, .external_lex_state = 2},
  [2578] = {.lex_state = 35},
  [2579] = {.lex_state = 35},
  [2580] = {.lex_state = 35},
  [2581] = {.lex_state = 35},
  [2582] = {.lex_state = 35},
  [2583] = {.lex_state = 35},
  [2584] = {.lex_state = 35},
  [2585] = {.lex_state = 35},
  [2586] = {.lex_state = 35},
  [2587] = {.lex_state = 35},
  [2588] = {.lex_state = 35},
  [2589] = {.lex_state = 35, .external_lex_state = 2},
  [2590] = {.lex_state = 35},
  [2591] = {.lex_state = 35},
  [2592] = {.lex_state = 35},
  [2593] = {.lex_state = 35},
  [2594] = {.lex_state = 35},
  [2595] = {.lex_state = 35},
  [2596] = {.lex_state = 35},
  [2597] = {.lex_state = 36},
  [2598] = {.lex_state = 35},
  [2599] = {.lex_state = 35},
  [2600] = {.lex_state = 36},
  [2601] = {.lex_state = 36},
  [2602] = {.lex_state = 36},
  [2603] = {.lex_state = 35},
  [2604] = {.lex_state = 35},
  [2605] = {.lex_state = 36},
  [2606] = {.lex_state = 36},
  [2607] = {.lex_state = 35},
  [2608] = {.lex_state = 36},
  [2609] = {.lex_state = 36},
  [2610] = {.lex_state = 36},
  [2611] = {.lex_state = 36},
  [2612] = {.lex_state = 36},
  [2613] = {.lex_state = 36},
  [2614] = {.lex_state = 36},
  [2615] = {.lex_state = 36},
  [2616] = {.lex_state = 35},
  [2617] = {.lex_state = 35},
  [2618] = {.lex_state = 35},
  [2619] = {.lex_state = 35},
  [2620] = {.lex_state = 35},
  [2621] = {.lex_state = 35},
  [2622] = {.lex_state = 35},
  [2623] = {.lex_state = 35},
  [2624] = {.lex_state = 35},
  [2625] = {.lex_state = 35, .external_lex_state = 2},
  [2626] = {.lex_state = 35},
  [2627] = {.lex_state = 35},
  [2628] = {.lex_state = 35, .external_lex_state = 2},
  [2629] = {.lex_state = 35},
  [2630] = {.lex_state = 35, .external_lex_state = 2},
  [2631] = {.lex_state = 35, .external_lex_state = 2},
  [2632] = {.lex_state = 35, .external_lex_state = 2},
  [2633] = {.lex_state = 35, .external_lex_state = 2},
  [2634] = {.lex_state = 35, .external_lex_state = 2},
  [2635] = {.lex_state = 35, .external_lex_state = 2},
  [2636] = {.lex_state = 35, .external_lex_state = 2},
  [2637] = {.lex_state = 35},
  [2638] = {.lex_state = 35, .external_lex_state = 2},
  [2639] = {.lex_state = 33},
  [2640] = {.lex_state = 33},
  [2641] = {.lex_state = 35, .external_lex_state = 2},
  [2642] = {.lex_state = 35, .external_lex_state = 2},
  [2643] = {.lex_state = 35, .external_lex_state = 2},
  [2644] = {.lex_state = 35, .external_lex_state = 2},
  [2645] = {.lex_state = 35, .external_lex_state = 2},
  [2646] = {.lex_state = 35},
  [2647] = {.lex_state = 35, .external_lex_state = 2},
  [2648] = {.lex_state = 35, .external_lex_state = 2},
  [2649] = {.lex_state = 35, .external_lex_state = 2},
  [2650] = {.lex_state = 35, .external_lex_state = 2},
  [2651] = {.lex_state = 35},
  [2652] = {.lex_state = 35, .external_lex_state = 2},
  [2653] = {.lex_state = 35, .external_lex_state = 2},
  [2654] = {.lex_state = 36},
  [2655] = {.lex_state = 35, .external_lex_state = 2},
  [2656] = {.lex_state = 35, .external_lex_state = 2},
  [2657] = {.lex_state = 35, .external_lex_state = 2},
  [2658] = {.lex_state = 35, .external_lex_state = 2},
  [2659] = {.lex_state = 35, .external_lex_state = 2},
  [2660] = {.lex_state = 35, .external_lex_state = 2},
  [2661] = {.lex_state = 35, .external_lex_state = 2},
  [2662] = {.lex_state = 35, .external_lex_state = 2},
  [2663] = {.lex_state = 35, .external_lex_state = 2},
  [2664] = {.lex_state = 35, .external_lex_state = 2},
  [2665] = {.lex_state = 35, .external_lex_state = 2},
  [2666] = {.lex_state = 35},
  [2667] = {.lex_state = 35, .external_lex_state = 2},
  [2668] = {.lex_state = 35, .external_lex_state = 2},
  [2669] = {.lex_state = 35, .external_lex_state = 2},
  [2670] = {.lex_state = 35, .external_lex_state = 2},
  [2671] = {.lex_state = 35, .external_lex_state = 2},
  [2672] = {.lex_state = 35, .external_lex_state = 2},
  [2673] = {.lex_state = 35},
  [2674] = {.lex_state = 35},
  [2675] = {.lex_state = 35, .external_lex_state = 2},
  [2676] = {.lex_state = 35, .external_lex_state = 2},
  [2677] = {.lex_state = 35, .external_lex_state = 2},
  [2678] = {.lex_state = 33},
  [2679] = {.lex_state = 35, .external_lex_state = 2},
  [2680] = {.lex_state = 35},
  [2681] = {.lex_state = 35},
  [2682] = {.lex_state = 36},
  [2683] = {.lex_state = 36},
  [2684] = {.lex_state = 35},
  [2685] = {.lex_state = 35, .external_lex_state = 2},
  [2686] = {.lex_state = 35, .external_lex_state = 2},
  [2687] = {.lex_state = 35, .external_lex_state = 2},
  [2688] = {.lex_state = 35},
  [2689] = {.lex_state = 35},
  [2690] = {.lex_state = 36},
  [2691] = {.lex_state = 36},
  [2692] = {.lex_state = 35},
  [2693] = {.lex_state = 35},
  [2694] = {.lex_state = 35, .external_lex_state = 2},
  [2695] = {.lex_state = 35},
  [2696] = {.lex_state = 35},
  [2697] = {.lex_state = 35},
  [2698] = {.lex_state = 35},
  [2699] = {.lex_state = 35},
  [2700] = {.lex_state = 35, .external_lex_state = 2},
  [2701] = {.lex_state = 35, .external_lex_state = 2},
  [2702] = {.lex_state = 35, .external_lex_state = 2},
  [2703] = {.lex_state = 35, .external_lex_state = 2},
  [2704] = {.lex_state = 35, .external_lex_state = 2},
  [2705] = {.lex_state = 35},
  [2706] = {.lex_state = 35, .external_lex_state = 2},
  [2707] = {.lex_state = 35},
  [2708] = {.lex_state = 35, .external_lex_state = 2},
  [2709] = {.lex_state = 35, .external_lex_state = 2},
  [2710] = {.lex_state = 36},
  [2711] = {.lex_state = 35, .external_lex_state = 2},
  [2712] = {.lex_state = 35, .external_lex_state = 2},
  [2713] = {.lex_state = 35, .external_lex_state = 2},
  [2714] = {.lex_state = 35},
  [2715] = {.lex_state = 35, .external_lex_state = 2},
  [2716] = {.lex_state = 35, .external_lex_state = 2},
  [2717] = {.lex_state = 35, .external_lex_state = 2},
  [2718] = {.lex_state = 35},
  [2719] = {.lex_state = 35, .external_lex_state = 2},
  [2720] = {.lex_state = 35, .external_lex_state = 2},
  [2721] = {.lex_state = 35},
  [2722] = {.lex_state = 35},
  [2723] = {.lex_state = 35, .external_lex_state = 2},
  [2724] = {.lex_state = 35, .external_lex_state = 2},
  [2725] = {.lex_state = 35, .external_lex_state = 2},
  [2726] = {.lex_state = 35},
  [2727] = {.lex_state = 35, .external_lex_state = 2},
  [2728] = {.lex_state = 35},
  [2729] = {.lex_state = 33},
  [2730] = {.lex_state = 35, .external_lex_state = 2},
  [2731] = {.lex_state = 35},
  [2732] = {.lex_state = 35},
  [2733] = {.lex_state = 35},
  [2734] = {.lex_state = 35, .external_lex_state = 2},
  [2735] = {.lex_state = 35, .external_lex_state = 2},
  [2736] = {.lex_state = 35},
  [2737] = {.lex_state = 35},
  [2738] = {.lex_state = 35},
  [2739] = {.lex_state = 35, .external_lex_state = 2},
  [2740] = {.lex_state = 35},
  [2741] = {.lex_state = 35, .external_lex_state = 2},
  [2742] = {.lex_state = 35, .external_lex_state = 2},
  [2743] = {.lex_state = 35},
  [2744] = {.lex_state = 35},
  [2745] = {.lex_state = 35, .external_lex_state = 2},
  [2746] = {.lex_state = 35, .external_lex_state = 2},
  [2747] = {.lex_state = 35, .external_lex_state = 2},
  [2748] = {.lex_state = 35},
  [2749] = {.lex_state = 35, .external_lex_state = 2},
  [2750] = {.lex_state = 35},
  [2751] = {.lex_state = 35},
  [2752] = {.lex_state = 33},
  [2753] = {.lex_state = 35},
  [2754] = {.lex_state = 35},
  [2755] = {.lex_state = 35},
  [2756] = {.lex_state = 35, .external_lex_state = 2},
  [2757] = {.lex_state = 35, .external_lex_state = 2},
  [2758] = {.lex_state = 35},
  [2759] = {.lex_state = 35},
  [2760] = {.lex_state = 35, .external_lex_state = 2},
  [2761] = {.lex_state = 35, .external_lex_state = 2},
  [2762] = {.lex_state = 35},
  [2763] = {.lex_state = 35, .external_lex_state = 2},
  [2764] = {.lex_state = 35, .external_lex_state = 2},
  [2765] = {.lex_state = 35, .external_lex_state = 2},
  [2766] = {.lex_state = 35, .external_lex_state = 2},
  [2767] = {.lex_state = 35, .external_lex_state = 2},
  [2768] = {.lex_state = 35, .external_lex_state = 2},
  [2769] = {.lex_state = 35, .external_lex_state = 2},
  [2770] = {.lex_state = 35, .external_lex_state = 2},
  [2771] = {.lex_state = 35, .external_lex_state = 2},
  [2772] = {.lex_state = 35},
  [2773] = {.lex_state = 35, .external_lex_state = 2},
  [2774] = {.lex_state = 35, .external_lex_state = 2},
  [2775] = {.lex_state = 35, .external_lex_state = 2},
  [2776] = {.lex_state = 35, .external_lex_state = 2},
  [2777] = {.lex_state = 35, .external_lex_state = 2},
  [2778] = {.lex_state = 35, .external_lex_state = 2},
  [2779] = {.lex_state = 35, .external_lex_state = 2},
  [2780] = {.lex_state = 35},
  [2781] = {.lex_state = 35, .external_lex_state = 2},
  [2782] = {.lex_state = 35},
  [2783] = {.lex_state = 35},
  [2784] = {.lex_state = 35},
  [2785] = {.lex_state = 35},
  [2786] = {.lex_state = 35},
  [2787] = {.lex_state = 35},
  [2788] = {.lex_state = 35},
  [2789] = {.lex_state = 35, .external_lex_state = 2},
  [2790] = {.lex_state = 35, .external_lex_state = 2},
  [2791] = {.lex_state = 35},
  [2792] = {.lex_state = 35},
  [2793] = {.lex_state = 35, .external_lex_state = 2},
  [2794] = {.lex_state = 35},
  [2795] = {.lex_state = 35},
  [2796] = {.lex_state = 35, .external_lex_state = 2},
  [2797] = {.lex_state = 35, .external_lex_state = 2},
  [2798] = {.lex_state = 35},
  [2799] = {.lex_state = 35, .external_lex_state = 2},
  [2800] = {.lex_state = 35},
  [2801] = {.lex_state = 33},
  [2802] = {.lex_state = 35, .external_lex_state = 2},
  [2803] = {.lex_state = 35},
  [2804] = {.lex_state = 35},
  [2805] = {.lex_state = 35, .external_lex_state = 2},
  [2806] = {.lex_state = 35},
  [2807] = {.lex_state = 35},
  [2808] = {.lex_state = 35},
  [2809] = {.lex_state = 35, .external_lex_state = 2},
  [2810] = {.lex_state = 35, .external_lex_state = 2},
  [2811] = {.lex_state = 35, .external_lex_state = 2},
  [2812] = {.lex_state = 35, .external_lex_state = 2},
  [2813] = {.lex_state = 35},
  [2814] = {.lex_state = 35},
  [2815] = {.lex_state = 35},
  [2816] = {.lex_state = 35},
  [2817] = {.lex_state = 35},
  [2818] = {.lex_state = 35},
  [2819] = {.lex_state = 35},
  [2820] = {.lex_state = 35},
  [2821] = {.lex_state = 35, .external_lex_state = 2},
  [2822] = {.lex_state = 33, .external_lex_state = 2},
  [2823] = {.lex_state = 35, .external_lex_state = 2},
  [2824] = {.lex_state = 35},
  [2825] = {.lex_state = 35},
  [2826] = {.lex_state = 33},
  [2827] = {.lex_state = 35},
  [2828] = {.lex_state = 35},
  [2829] = {.lex_state = 35},
  [2830] = {.lex_state = 35, .external_lex_state = 2},
  [2831] = {.lex_state = 35},
  [2832] = {.lex_state = 35},
  [2833] = {.lex_state = 35},
  [2834] = {.lex_state = 35},
  [2835] = {.lex_state = 35},
  [2836] = {.lex_state = 35},
  [2837] = {.lex_state = 35},
  [2838] = {.lex_state = 35},
  [2839] = {.lex_state = 35},
  [2840] = {.lex_state = 33},
  [2841] = {.lex_state = 35},
  [2842] = {.lex_state = 35},
  [2843] = {.lex_state = 35, .external_lex_state = 2},
  [2844] = {.lex_state = 35, .external_lex_state = 2},
  [2845] = {.lex_state = 35},
  [2846] = {.lex_state = 35},
  [2847] = {.lex_state = 35},
  [2848] = {.lex_state = 35},
  [2849] = {.lex_state = 35},
  [2850] = {.lex_state = 35},
  [2851] = {.lex_state = 35},
  [2852] = {.lex_state = 35},
  [2853] = {.lex_state = 35},
  [2854] = {.lex_state = 35},
  [2855] = {.lex_state = 35},
  [2856] = {.lex_state = 35},
  [2857] = {.lex_state = 35},
  [2858] = {.lex_state = 35},
  [2859] = {.lex_state = 35, .external_lex_state = 2},
  [2860] = {.lex_state = 35},
  [2861] = {.lex_state = 35},
  [2862] = {.lex_state = 35},
  [2863] = {.lex_state = 35},
  [2864] = {.lex_state = 35},
  [2865] = {.lex_state = 35},
  [2866] = {.lex_state = 35},
  [2867] = {.lex_state = 35},
  [2868] = {.lex_state = 35},
  [2869] = {.lex_state = 35},
  [2870] = {.lex_state = 35},
  [2871] = {.lex_state = 35, .external_lex_state = 2},
  [2872] = {.lex_state = 35},
  [2873] = {.lex_state = 35},
  [2874] = {.lex_state = 35},
  [2875] = {.lex_state = 35},
  [2876] = {.lex_state = 33},
  [2877] = {.lex_state = 35},
  [2878] = {.lex_state = 35, .external_lex_state = 2},
  [2879] = {.lex_state = 35, .external_lex_state = 2},
  [2880] = {.lex_state = 35, .external_lex_state = 2},
  [2881] = {.lex_state = 35, .external_lex_state = 2},
  [2882] = {.lex_state = 35, .external_lex_state = 2},
  [2883] = {.lex_state = 35, .external_lex_state = 2},
  [2884] = {.lex_state = 35, .external_lex_state = 2},
  [2885] = {.lex_state = 33, .external_lex_state = 2},
  [2886] = {.lex_state = 33, .external_lex_state = 2},
  [2887] = {.lex_state = 35},
  [2888] = {.lex_state = 35},
  [2889] = {.lex_state = 35},
  [2890] = {.lex_state = 35},
  [2891] = {.lex_state = 35},
  [2892] = {.lex_state = 35},
  [2893] = {.lex_state = 35, .external_lex_state = 2},
  [2894] = {.lex_state = 35},
  [2895] = {.lex_state = 35, .external_lex_state = 2},
  [2896] = {.lex_state = 35},
  [2897] = {.lex_state = 35},
  [2898] = {.lex_state = 35},
  [2899] = {.lex_state = 35, .external_lex_state = 2},
  [2900] = {.lex_state = 35},
  [2901] = {.lex_state = 35, .external_lex_state = 2},
  [2902] = {.lex_state = 35, .external_lex_state = 2},
  [2903] = {.lex_state = 35, .external_lex_state = 2},
  [2904] = {.lex_state = 35},
  [2905] = {.lex_state = 35, .external_lex_state = 2},
  [2906] = {.lex_state = 35, .external_lex_state = 2},
  [2907] = {.lex_state = 35},
  [2908] = {.lex_state = 35, .external_lex_state = 2},
  [2909] = {.lex_state = 35, .external_lex_state = 2},
  [2910] = {.lex_state = 35, .external_lex_state = 2},
  [2911] = {.lex_state = 35},
  [2912] = {.lex_state = 35},
  [2913] = {.lex_state = 35},
  [2914] = {.lex_state = 35},
  [2915] = {.lex_state = 35},
  [2916] = {.lex_state = 35},
  [2917] = {.lex_state = 35},
  [2918] = {.lex_state = 35, .external_lex_state = 2},
  [2919] = {.lex_state = 35},
  [2920] = {.lex_state = 35},
  [2921] = {.lex_state = 35, .external_lex_state = 2},
  [2922] = {.lex_state = 35},
  [2923] = {.lex_state = 35},
  [2924] = {.lex_state = 35},
  [2925] = {.lex_state = 35},
  [2926] = {.lex_state = 35},
  [2927] = {.lex_state = 35},
  [2928] = {.lex_state = 35},
  [2929] = {.lex_state = 35},
  [2930] = {.lex_state = 35, .external_lex_state = 2},
  [2931] = {.lex_state = 35, .external_lex_state = 2},
  [2932] = {.lex_state = 35, .external_lex_state = 2},
  [2933] = {.lex_state = 35, .external_lex_state = 2},
  [2934] = {.lex_state = 35, .external_lex_state = 2},
  [2935] = {.lex_state = 35},
  [2936] = {.lex_state = 35},
  [2937] = {.lex_state = 35, .external_lex_state = 2},
  [2938] = {.lex_state = 35},
  [2939] = {.lex_state = 35, .external_lex_state = 2},
  [2940] = {.lex_state = 35, .external_lex_state = 2},
  [2941] = {.lex_state = 35, .external_lex_state = 2},
  [2942] = {.lex_state = 35},
  [2943] = {.lex_state = 35, .external_lex_state = 2},
  [2944] = {.lex_state = 35},
  [2945] = {.lex_state = 35, .external_lex_state = 2},
  [2946] = {.lex_state = 35},
  [2947] = {.lex_state = 35, .external_lex_state = 2},
  [2948] = {.lex_state = 35},
  [2949] = {.lex_state = 35, .external_lex_state = 2},
  [2950] = {.lex_state = 35},
  [2951] = {.lex_state = 35, .external_lex_state = 2},
  [2952] = {.lex_state = 35, .external_lex_state = 2},
  [2953] = {.lex_state = 35},
  [2954] = {.lex_state = 35},
  [2955] = {.lex_state = 35, .external_lex_state = 2},
  [2956] = {.lex_state = 35, .external_lex_state = 2},
  [2957] = {.lex_state = 35},
  [2958] = {.lex_state = 35, .external_lex_state = 2},
  [2959] = {.lex_state = 35, .external_lex_state = 2},
  [2960] = {.lex_state = 35, .external_lex_state = 2},
  [2961] = {.lex_state = 35, .external_lex_state = 2},
  [2962] = {.lex_state = 35, .external_lex_state = 2},
  [2963] = {.lex_state = 33},
  [2964] = {.lex_state = 33, .external_lex_state = 2},
  [2965] = {.lex_state = 35, .external_lex_state = 2},
  [2966] = {.lex_state = 35},
  [2967] = {.lex_state = 35, .external_lex_state = 2},
  [2968] = {.lex_state = 35, .external_lex_state = 2},
  [2969] = {.lex_state = 35, .external_lex_state = 2},
  [2970] = {.lex_state = 35, .external_lex_state = 2},
  [2971] = {.lex_state = 35, .external_lex_state = 2},
  [2972] = {.lex_state = 35, .external_lex_state = 2},
  [2973] = {.lex_state = 35, .external_lex_state = 2},
  [2974] = {.lex_state = 35, .external_lex_state = 2},
  [2975] = {.lex_state = 35, .external_lex_state = 2},
  [2976] = {.lex_state = 35, .external_lex_state = 2},
  [2977] = {.lex_state = 35, .external_lex_state = 2},
  [2978] = {.lex_state = 35},
  [2979] = {.lex_state = 35, .external_lex_state = 2},
  [2980] = {.lex_state = 35, .external_lex_state = 2},
  [2981] = {.lex_state = 35, .external_lex_state = 2},
  [2982] = {.lex_state = 35, .external_lex_state = 2},
  [2983] = {.lex_state = 35, .external_lex_state = 2},
  [2984] = {.lex_state = 35, .external_lex_state = 2},
  [2985] = {.lex_state = 35, .external_lex_state = 2},
  [2986] = {.lex_state = 35, .external_lex_state = 2},
  [2987] = {.lex_state = 35, .external_lex_state = 2},
  [2988] = {.lex_state = 35, .external_lex_state = 2},
  [2989] = {.lex_state = 35, .external_lex_state = 2},
  [2990] = {.lex_state = 35, .external_lex_state = 2},
  [2991] = {.lex_state = 35, .external_lex_state = 2},
  [2992] = {.lex_state = 35, .external_lex_state = 2},
  [2993] = {.lex_state = 35, .external_lex_state = 2},
  [2994] = {.lex_state = 35, .external_lex_state = 2},
  [2995] = {.lex_state = 35, .external_lex_state = 2},
  [2996] = {.lex_state = 35},
  [2997] = {.lex_state = 35, .external_lex_state = 2},
  [2998] = {.lex_state = 35, .external_lex_state = 2},
  [2999] = {.lex_state = 33, .external_lex_state = 2},
  [3000] = {.lex_state = 35, .external_lex_state = 2},
  [3001] = {.lex_state = 35, .external_lex_state = 2},
  [3002] = {.lex_state = 35, .external_lex_state = 2},
  [3003] = {.lex_state = 35, .external_lex_state = 2},
  [3004] = {.lex_state = 35, .external_lex_state = 2},
  [3005] = {.lex_state = 35, .external_lex_state = 2},
  [3006] = {.lex_state = 35, .external_lex_state = 2},
  [3007] = {.lex_state = 35, .external_lex_state = 2},
  [3008] = {.lex_state = 35, .external_lex_state = 2},
  [3009] = {.lex_state = 35, .external_lex_state = 2},
  [3010] = {.lex_state = 35, .external_lex_state = 2},
  [3011] = {.lex_state = 35, .external_lex_state = 2},
  [3012] = {.lex_state = 35, .external_lex_state = 2},
  [3013] = {.lex_state = 35, .external_lex_state = 2},
  [3014] = {.lex_state = 35, .external_lex_state = 2},
  [3015] = {.lex_state = 35, .external_lex_state = 2},
  [3016] = {.lex_state = 35, .external_lex_state = 2},
  [3017] = {.lex_state = 35},
  [3018] = {.lex_state = 35, .external_lex_state = 2},
  [3019] = {.lex_state = 35},
  [3020] = {.lex_state = 35, .external_lex_state = 2},
  [3021] = {.lex_state = 35},
  [3022] = {.lex_state = 35},
  [3023] = {.lex_state = 35},
  [3024] = {.lex_state = 35, .external_lex_state = 2},
  [3025] = {.lex_state = 35},
  [3026] = {.lex_state = 35},
  [3027] = {.lex_state = 35, .external_lex_state = 2},
  [3028] = {.lex_state = 35, .external_lex_state = 2},
  [3029] = {.lex_state = 35, .external_lex_state = 2},
  [3030] = {.lex_state = 35, .external_lex_state = 2},
  [3031] = {.lex_state = 35, .external_lex_state = 2},
  [3032] = {.lex_state = 35, .external_lex_state = 2},
  [3033] = {.lex_state = 35},
  [3034] = {.lex_state = 35},
  [3035] = {.lex_state = 35},
  [3036] = {.lex_state = 35},
  [3037] = {.lex_state = 35},
  [3038] = {.lex_state = 35},
  [3039] = {.lex_state = 35},
  [3040] = {.lex_state = 35},
  [3041] = {.lex_state = 35, .external_lex_state = 2},
  [3042] = {.lex_state = 35},
  [3043] = {.lex_state = 35},
  [3044] = {.lex_state = 35},
  [3045] = {.lex_state = 35},
  [3046] = {.lex_state = 35},
  [3047] = {.lex_state = 35},
  [3048] = {.lex_state = 35},
  [3049] = {.lex_state = 35},
  [3050] = {.lex_state = 35},
  [3051] = {.lex_state = 35},
  [3052] = {.lex_state = 35},
  [3053] = {.lex_state = 35},
  [3054] = {.lex_state = 35},
  [3055] = {.lex_state = 35},
  [3056] = {.lex_state = 35},
  [3057] = {.lex_state = 35},
  [3058] = {.lex_state = 35, .external_lex_state = 2},
  [3059] = {.lex_state = 35},
  [3060] = {.lex_state = 35},
  [3061] = {.lex_state = 35, .external_lex_state = 2},
  [3062] = {.lex_state = 33, .external_lex_state = 2},
  [3063] = {.lex_state = 35},
  [3064] = {.lex_state = 35},
  [3065] = {.lex_state = 35},
  [3066] = {.lex_state = 35},
  [3067] = {.lex_state = 35},
  [3068] = {.lex_state = 35},
  [3069] = {.lex_state = 35},
  [3070] = {.lex_state = 35},
  [3071] = {.lex_state = 35},
  [3072] = {.lex_state = 35},
  [3073] = {.lex_state = 35},
  [3074] = {.lex_state = 35},
  [3075] = {.lex_state = 35},
  [3076] = {.lex_state = 35},
  [3077] = {.lex_state = 35},
  [3078] = {.lex_state = 35},
  [3079] = {.lex_state = 35},
  [3080] = {.lex_state = 35},
  [3081] = {.lex_state = 35},
  [3082] = {.lex_state = 35},
  [3083] = {.lex_state = 35},
  [3084] = {.lex_state = 35},
  [3085] = {.lex_state = 35},
  [3086] = {.lex_state = 35},
  [3087] = {.lex_state = 35},
  [3088] = {.lex_state = 35},
  [3089] = {.lex_state = 35},
  [3090] = {.lex_state = 35},
  [3091] = {.lex_state = 35},
  [3092] = {.lex_state = 35},
  [3093] = {.lex_state = 35},
  [3094] = {.lex_state = 35},
  [3095] = {.lex_state = 35},
  [3096] = {.lex_state = 35},
  [3097] = {.lex_state = 35},
  [3098] = {.lex_state = 35},
  [3099] = {.lex_state = 35},
  [3100] = {.lex_state = 35, .external_lex_state = 2},
  [3101] = {.lex_state = 35, .external_lex_state = 2},
  [3102] = {.lex_state = 33},
  [3103] = {.lex_state = 35},
  [3104] = {.lex_state = 35},
  [3105] = {.lex_state = 35},
  [3106] = {.lex_state = 35},
  [3107] = {.lex_state = 35, .external_lex_state = 2},
  [3108] = {.lex_state = 35},
  [3109] = {.lex_state = 35},
  [3110] = {.lex_state = 35, .external_lex_state = 2},
  [3111] = {.lex_state = 35},
  [3112] = {.lex_state = 35, .external_lex_state = 2},
  [3113] = {.lex_state = 35},
  [3114] = {.lex_state = 35},
  [3115] = {.lex_state = 35},
  [3116] = {.lex_state = 35},
  [3117] = {.lex_state = 35},
  [3118] = {.lex_state = 35},
  [3119] = {.lex_state = 35},
  [3120] = {.lex_state = 35},
  [3121] = {.lex_state = 35},
  [3122] = {.lex_state = 35},
  [3123] = {.lex_state = 35},
  [3124] = {.lex_state = 35},
  [3125] = {.lex_state = 35},
  [3126] = {.lex_state = 35},
  [3127] = {.lex_state = 35},
  [3128] = {.lex_state = 35, .external_lex_state = 2},
  [3129] = {.lex_state = 35, .external_lex_state = 2},
  [3130] = {.lex_state = 35, .external_lex_state = 2},
  [3131] = {.lex_state = 35, .external_lex_state = 2},
  [3132] = {.lex_state = 35, .external_lex_state = 2},
  [3133] = {.lex_state = 35, .external_lex_state = 2},
  [3134] = {.lex_state = 35},
  [3135] = {.lex_state = 35, .external_lex_state = 2},
  [3136] = {.lex_state = 35, .external_lex_state = 2},
  [3137] = {.lex_state = 35},
  [3138] = {.lex_state = 35},
  [3139] = {.lex_state = 35, .external_lex_state = 2},
  [3140] = {.lex_state = 35, .external_lex_state = 2},
  [3141] = {.lex_state = 35, .external_lex_state = 2},
  [3142] = {.lex_state = 35, .external_lex_state = 2},
  [3143] = {.lex_state = 35, .external_lex_state = 2},
  [3144] = {.lex_state = 35},
  [3145] = {.lex_state = 35},
  [3146] = {.lex_state = 35},
  [3147] = {.lex_state = 35},
  [3148] = {.lex_state = 35},
  [3149] = {.lex_state = 35},
  [3150] = {.lex_state = 35},
  [3151] = {.lex_state = 35},
  [3152] = {.lex_state = 35},
  [3153] = {.lex_state = 35},
  [3154] = {.lex_state = 33, .external_lex_state = 2},
  [3155] = {.lex_state = 35},
  [3156] = {.lex_state = 35},
  [3157] = {.lex_state = 33, .external_lex_state = 2},
  [3158] = {.lex_state = 35},
  [3159] = {.lex_state = 35, .external_lex_state = 2},
  [3160] = {.lex_state = 35},
  [3161] = {.lex_state = 35},
  [3162] = {.lex_state = 35},
  [3163] = {.lex_state = 35},
  [3164] = {.lex_state = 35},
  [3165] = {.lex_state = 35},
  [3166] = {.lex_state = 35},
  [3167] = {.lex_state = 35},
  [3168] = {.lex_state = 35},
  [3169] = {.lex_state = 35},
  [3170] = {.lex_state = 35},
  [3171] = {.lex_state = 35},
  [3172] = {.lex_state = 35},
  [3173] = {.lex_state = 35},
  [3174] = {.lex_state = 35},
  [3175] = {.lex_state = 35},
  [3176] = {.lex_state = 35},
  [3177] = {.lex_state = 35},
  [3178] = {.lex_state = 35},
  [3179] = {.lex_state = 35},
  [3180] = {.lex_state = 35, .external_lex_state = 2},
  [3181] = {.lex_state = 35},
  [3182] = {.lex_state = 35},
  [3183] = {.lex_state = 35, .external_lex_state = 2},
  [3184] = {.lex_state = 35},
  [3185] = {.lex_state = 35},
  [3186] = {.lex_state = 35, .external_lex_state = 2},
  [3187] = {.lex_state = 35},
  [3188] = {.lex_state = 35},
  [3189] = {.lex_state = 35},
  [3190] = {.lex_state = 35},
  [3191] = {.lex_state = 35},
  [3192] = {.lex_state = 35},
  [3193] = {.lex_state = 35},
  [3194] = {.lex_state = 35},
  [3195] = {.lex_state = 35},
  [3196] = {.lex_state = 35, .external_lex_state = 2},
  [3197] = {.lex_state = 35},
  [3198] = {.lex_state = 35},
  [3199] = {.lex_state = 35, .external_lex_state = 2},
  [3200] = {.lex_state = 35},
  [3201] = {.lex_state = 35},
  [3202] = {.lex_state = 35},
  [3203] = {.lex_state = 35, .external_lex_state = 2},
  [3204] = {.lex_state = 35},
  [3205] = {.lex_state = 35, .external_lex_state = 2},
  [3206] = {.lex_state = 33, .external_lex_state = 2},
  [3207] = {.lex_state = 35},
  [3208] = {.lex_state = 35, .external_lex_state = 2},
  [3209] = {.lex_state = 35, .external_lex_state = 2},
  [3210] = {.lex_state = 35, .external_lex_state = 2},
  [3211] = {.lex_state = 35, .external_lex_state = 2},
  [3212] = {.lex_state = 35},
  [3213] = {.lex_state = 35, .external_lex_state = 2},
  [3214] = {.lex_state = 35, .external_lex_state = 2},
  [3215] = {.lex_state = 35, .external_lex_state = 2},
  [3216] = {.lex_state = 35, .external_lex_state = 2},
  [3217] = {.lex_state = 35, .external_lex_state = 2},
  [3218] = {.lex_state = 35, .external_lex_state = 2},
  [3219] = {.lex_state = 35, .external_lex_state = 2},
  [3220] = {.lex_state = 35, .external_lex_state = 2},
  [3221] = {.lex_state = 35},
  [3222] = {.lex_state = 35},
  [3223] = {.lex_state = 35},
  [3224] = {.lex_state = 35},
  [3225] = {.lex_state = 35},
  [3226] = {.lex_state = 35},
  [3227] = {.lex_state = 35, .external_lex_state = 2},
  [3228] = {.lex_state = 35, .external_lex_state = 2},
  [3229] = {.lex_state = 35, .external_lex_state = 2},
  [3230] = {.lex_state = 35, .external_lex_state = 2},
  [3231] = {.lex_state = 35, .external_lex_state = 2},
  [3232] = {.lex_state = 35, .external_lex_state = 2},
  [3233] = {.lex_state = 35, .external_lex_state = 2},
  [3234] = {.lex_state = 35, .external_lex_state = 2},
  [3235] = {.lex_state = 35},
  [3236] = {.lex_state = 35},
  [3237] = {.lex_state = 35, .external_lex_state = 2},
  [3238] = {.lex_state = 35, .external_lex_state = 2},
  [3239] = {.lex_state = 35, .external_lex_state = 2},
  [3240] = {.lex_state = 35, .external_lex_state = 2},
  [3241] = {.lex_state = 35, .external_lex_state = 2},
  [3242] = {.lex_state = 35, .external_lex_state = 2},
  [3243] = {.lex_state = 35},
  [3244] = {.lex_state = 35, .external_lex_state = 2},
  [3245] = {.lex_state = 35, .external_lex_state = 2},
  [3246] = {.lex_state = 35, .external_lex_state = 2},
  [3247] = {.lex_state = 35},
  [3248] = {.lex_state = 35, .external_lex_state = 2},
  [3249] = {.lex_state = 35, .external_lex_state = 2},
  [3250] = {.lex_state = 35, .external_lex_state = 2},
  [3251] = {.lex_state = 35},
  [3252] = {.lex_state = 35},
  [3253] = {.lex_state = 35},
  [3254] = {.lex_state = 35},
  [3255] = {.lex_state = 35},
  [3256] = {.lex_state = 35},
  [3257] = {.lex_state = 35},
  [3258] = {.lex_state = 35},
  [3259] = {.lex_state = 35},
  [3260] = {.lex_state = 35},
  [3261] = {.lex_state = 33},
  [3262] = {.lex_state = 35},
  [3263] = {.lex_state = 35},
  [3264] = {.lex_state = 35},
  [3265] = {.lex_state = 35},
  [3266] = {.lex_state = 35},
  [3267] = {.lex_state = 35},
  [3268] = {.lex_state = 35},
  [3269] = {.lex_state = 35},
  [3270] = {.lex_state = 35},
  [3271] = {.lex_state = 35},
  [3272] = {.lex_state = 35, .external_lex_state = 2},
  [3273] = {.lex_state = 35, .external_lex_state = 2},
  [3274] = {.lex_state = 35},
  [3275] = {.lex_state = 35, .external_lex_state = 2},
  [3276] = {.lex_state = 35, .external_lex_state = 2},
  [3277] = {.lex_state = 35, .external_lex_state = 2},
  [3278] = {.lex_state = 35},
  [3279] = {.lex_state = 35},
  [3280] = {.lex_state = 35},
  [3281] = {.lex_state = 35},
  [3282] = {.lex_state = 35},
  [3283] = {.lex_state = 35},
  [3284] = {.lex_state = 35},
  [3285] = {.lex_state = 35},
  [3286] = {.lex_state = 35},
  [3287] = {.lex_state = 35},
  [3288] = {.lex_state = 35},
  [3289] = {.lex_state = 35, .external_lex_state = 2},
  [3290] = {.lex_state = 35, .external_lex_state = 2},
  [3291] = {.lex_state = 35},
  [3292] = {.lex_state = 35, .external_lex_state = 2},
  [3293] = {.lex_state = 35},
  [3294] = {.lex_state = 35},
  [3295] = {.lex_state = 35},
  [3296] = {.lex_state = 35},
  [3297] = {.lex_state = 35},
  [3298] = {.lex_state = 35},
  [3299] = {.lex_state = 35},
  [3300] = {.lex_state = 35},
  [3301] = {.lex_state = 35},
  [3302] = {.lex_state = 35},
  [3303] = {.lex_state = 35},
  [3304] = {.lex_state = 35},
  [3305] = {.lex_state = 35},
  [3306] = {.lex_state = 35},
  [3307] = {.lex_state = 35},
  [3308] = {.lex_state = 35},
  [3309] = {.lex_state = 35},
  [3310] = {.lex_state = 35},
  [3311] = {.lex_state = 35},
  [3312] = {.lex_state = 35},
  [3313] = {.lex_state = 35},
  [3314] = {.lex_state = 35},
  [3315] = {.lex_state = 35},
  [3316] = {.lex_state = 35},
  [3317] = {.lex_state = 35, .external_lex_state = 2},
  [3318] = {.lex_state = 35},
  [3319] = {.lex_state = 35},
  [3320] = {.lex_state = 35, .external_lex_state = 2},
  [3321] = {.lex_state = 35},
  [3322] = {.lex_state = 35},
  [3323] = {.lex_state = 35},
  [3324] = {.lex_state = 35},
  [3325] = {.lex_state = 35},
  [3326] = {.lex_state = 35},
  [3327] = {.lex_state = 35},
  [3328] = {.lex_state = 35},
  [3329] = {.lex_state = 35},
  [3330] = {.lex_state = 35, .external_lex_state = 2},
  [3331] = {.lex_state = 35},
  [3332] = {.lex_state = 35, .external_lex_state = 2},
  [3333] = {.lex_state = 35},
  [3334] = {.lex_state = 35},
  [3335] = {.lex_state = 35},
  [3336] = {.lex_state = 35},
  [3337] = {.lex_state = 35},
  [3338] = {.lex_state = 35},
  [3339] = {.lex_state = 35, .external_lex_state = 2},
  [3340] = {.lex_state = 35, .external_lex_state = 2},
  [3341] = {.lex_state = 35, .external_lex_state = 2},
  [3342] = {.lex_state = 35, .external_lex_state = 2},
  [3343] = {.lex_state = 35},
  [3344] = {.lex_state = 35},
  [3345] = {.lex_state = 35},
  [3346] = {.lex_state = 35},
  [3347] = {.lex_state = 35, .external_lex_state = 2},
  [3348] = {.lex_state = 35, .external_lex_state = 2},
  [3349] = {.lex_state = 35},
  [3350] = {.lex_state = 35, .external_lex_state = 2},
  [3351] = {.lex_state = 35},
  [3352] = {.lex_state = 35, .external_lex_state = 2},
  [3353] = {.lex_state = 35, .external_lex_state = 2},
  [3354] = {.lex_state = 35, .external_lex_state = 2},
  [3355] = {.lex_state = 35},
  [3356] = {.lex_state = 35},
  [3357] = {.lex_state = 35},
  [3358] = {.lex_state = 35},
  [3359] = {.lex_state = 35},
  [3360] = {.lex_state = 35},
  [3361] = {.lex_state = 35},
  [3362] = {.lex_state = 35},
  [3363] = {.lex_state = 35},
  [3364] = {.lex_state = 35},
  [3365] = {.lex_state = 35, .external_lex_state = 2},
  [3366] = {.lex_state = 35, .external_lex_state = 2},
  [3367] = {.lex_state = 35, .external_lex_state = 2},
  [3368] = {.lex_state = 35, .external_lex_state = 2},
  [3369] = {.lex_state = 35, .external_lex_state = 2},
  [3370] = {.lex_state = 35, .external_lex_state = 2},
  [3371] = {.lex_state = 35, .external_lex_state = 2},
  [3372] = {.lex_state = 35},
  [3373] = {.lex_state = 35},
  [3374] = {.lex_state = 35, .external_lex_state = 2},
  [3375] = {.lex_state = 35},
  [3376] = {.lex_state = 35},
  [3377] = {.lex_state = 35},
  [3378] = {.lex_state = 35},
  [3379] = {.lex_state = 35, .external_lex_state = 2},
  [3380] = {.lex_state = 35, .external_lex_state = 2},
  [3381] = {.lex_state = 35, .external_lex_state = 2},
  [3382] = {.lex_state = 35, .external_lex_state = 2},
  [3383] = {.lex_state = 35, .external_lex_state = 2},
  [3384] = {.lex_state = 35, .external_lex_state = 2},
  [3385] = {.lex_state = 35},
  [3386] = {.lex_state = 35},
  [3387] = {.lex_state = 35},
  [3388] = {.lex_state = 35},
  [3389] = {.lex_state = 35},
  [3390] = {.lex_state = 35},
  [3391] = {.lex_state = 35},
  [3392] = {.lex_state = 35},
  [3393] = {.lex_state = 35},
  [3394] = {.lex_state = 35, .external_lex_state = 2},
  [3395] = {.lex_state = 35},
  [3396] = {.lex_state = 35},
  [3397] = {.lex_state = 33, .external_lex_state = 2},
  [3398] = {.lex_state = 35},
  [3399] = {.lex_state = 35},
  [3400] = {.lex_state = 35},
  [3401] = {.lex_state = 35, .external_lex_state = 2},
  [3402] = {.lex_state = 35},
  [3403] = {.lex_state = 35},
  [3404] = {.lex_state = 35},
  [3405] = {.lex_state = 35},
  [3406] = {.lex_state = 35},
  [3407] = {.lex_state = 35},
  [3408] = {.lex_state = 35},
  [3409] = {.lex_state = 35},
  [3410] = {.lex_state = 35},
  [3411] = {.lex_state = 35},
  [3412] = {.lex_state = 35, .external_lex_state = 2},
  [3413] = {.lex_state = 35},
  [3414] = {.lex_state = 35},
  [3415] = {.lex_state = 35},
  [3416] = {.lex_state = 35},
  [3417] = {.lex_state = 35},
  [3418] = {.lex_state = 35},
  [3419] = {.lex_state = 35},
  [3420] = {.lex_state = 35, .external_lex_state = 2},
  [3421] = {.lex_state = 35, .external_lex_state = 2},
  [3422] = {.lex_state = 35, .external_lex_state = 2},
  [3423] = {.lex_state = 35},
  [3424] = {.lex_state = 35},
  [3425] = {.lex_state = 35, .external_lex_state = 2},
  [3426] = {.lex_state = 35, .external_lex_state = 2},
  [3427] = {.lex_state = 35, .external_lex_state = 2},
  [3428] = {.lex_state = 35, .external_lex_state = 2},
  [3429] = {.lex_state = 35, .external_lex_state = 2},
  [3430] = {.lex_state = 35},
  [3431] = {.lex_state = 35},
  [3432] = {.lex_state = 35},
  [3433] = {.lex_state = 35},
  [3434] = {.lex_state = 35},
  [3435] = {.lex_state = 35, .external_lex_state = 2},
  [3436] = {.lex_state = 35, .external_lex_state = 2},
  [3437] = {.lex_state = 35, .external_lex_state = 2},
  [3438] = {.lex_state = 35, .external_lex_state = 2},
  [3439] = {.lex_state = 35, .external_lex_state = 2},
  [3440] = {.lex_state = 35, .external_lex_state = 2},
  [3441] = {.lex_state = 35, .external_lex_state = 2},
  [3442] = {.lex_state = 35, .external_lex_state = 2},
  [3443] = {.lex_state = 35, .external_lex_state = 2},
  [3444] = {.lex_state = 35},
  [3445] = {.lex_state = 35},
  [3446] = {.lex_state = 35, .external_lex_state = 2},
  [3447] = {.lex_state = 35},
  [3448] = {.lex_state = 35, .external_lex_state = 2},
  [3449] = {.lex_state = 35},
  [3450] = {.lex_state = 35},
  [3451] = {.lex_state = 35, .external_lex_state = 2},
  [3452] = {.lex_state = 35},
  [3453] = {.lex_state = 35},
  [3454] = {.lex_state = 35},
  [3455] = {.lex_state = 35},
  [3456] = {.lex_state = 35},
  [3457] = {.lex_state = 35},
  [3458] = {.lex_state = 35, .external_lex_state = 2},
  [3459] = {.lex_state = 35},
  [3460] = {.lex_state = 35, .external_lex_state = 2},
  [3461] = {.lex_state = 35, .external_lex_state = 2},
  [3462] = {.lex_state = 33, .external_lex_state = 2},
  [3463] = {.lex_state = 35},
  [3464] = {.lex_state = 35},
  [3465] = {.lex_state = 35, .external_lex_state = 2},
  [3466] = {.lex_state = 35},
  [3467] = {.lex_state = 35},
  [3468] = {.lex_state = 35},
  [3469] = {.lex_state = 35},
  [3470] = {.lex_state = 35},
  [3471] = {.lex_state = 35},
  [3472] = {.lex_state = 35, .external_lex_state = 2},
  [3473] = {.lex_state = 35},
  [3474] = {.lex_state = 35},
  [3475] = {.lex_state = 35},
  [3476] = {.lex_state = 35},
  [3477] = {.lex_state = 35},
  [3478] = {.lex_state = 35, .external_lex_state = 2},
  [3479] = {.lex_state = 35},
  [3480] = {.lex_state = 35},
  [3481] = {.lex_state = 35},
  [3482] = {.lex_state = 35},
  [3483] = {.lex_state = 35},
  [3484] = {.lex_state = 35},
  [3485] = {.lex_state = 35},
  [3486] = {.lex_state = 35, .external_lex_state = 2},
  [3487] = {.lex_state = 35},
  [3488] = {.lex_state = 35, .external_lex_state = 2},
  [3489] = {.lex_state = 35, .external_lex_state = 2},
  [3490] = {.lex_state = 35, .external_lex_state = 2},
  [3491] = {.lex_state = 35, .external_lex_state = 2},
  [3492] = {.lex_state = 35, .external_lex_state = 2},
  [3493] = {.lex_state = 35, .external_lex_state = 2},
  [3494] = {.lex_state = 35, .external_lex_state = 2},
  [3495] = {.lex_state = 35},
  [3496] = {.lex_state = 35},
  [3497] = {.lex_state = 35},
  [3498] = {.lex_state = 35, .external_lex_state = 2},
  [3499] = {.lex_state = 35, .external_lex_state = 2},
  [3500] = {.lex_state = 35},
  [3501] = {.lex_state = 35, .external_lex_state = 2},
  [3502] = {.lex_state = 35, .external_lex_state = 2},
  [3503] = {.lex_state = 35, .external_lex_state = 2},
  [3504] = {.lex_state = 35},
  [3505] = {.lex_state = 35, .external_lex_state = 2},
  [3506] = {.lex_state = 35, .external_lex_state = 2},
  [3507] = {.lex_state = 35, .external_lex_state = 2},
  [3508] = {.lex_state = 35, .external_lex_state = 2},
  [3509] = {.lex_state = 35, .external_lex_state = 2},
  [3510] = {.lex_state = 35, .external_lex_state = 2},
  [3511] = {.lex_state = 35, .external_lex_state = 2},
  [3512] = {.lex_state = 35, .external_lex_state = 2},
  [3513] = {.lex_state = 35, .external_lex_state = 2},
  [3514] = {.lex_state = 35, .external_lex_state = 2},
  [3515] = {.lex_state = 35},
  [3516] = {.lex_state = 35},
  [3517] = {.lex_state = 35},
  [3518] = {.lex_state = 35},
  [3519] = {.lex_state = 35, .external_lex_state = 2},
  [3520] = {.lex_state = 35, .external_lex_state = 2},
  [3521] = {.lex_state = 35, .external_lex_state = 2},
  [3522] = {.lex_state = 35, .external_lex_state = 2},
  [3523] = {.lex_state = 35, .external_lex_state = 2},
  [3524] = {.lex_state = 35, .external_lex_state = 2},
  [3525] = {.lex_state = 35, .external_lex_state = 2},
  [3526] = {.lex_state = 35, .external_lex_state = 2},
  [3527] = {.lex_state = 35},
  [3528] = {.lex_state = 35},
  [3529] = {.lex_state = 35, .external_lex_state = 2},
  [3530] = {.lex_state = 35},
  [3531] = {.lex_state = 35},
  [3532] = {.lex_state = 35},
  [3533] = {.lex_state = 35, .external_lex_state = 2},
  [3534] = {.lex_state = 35, .external_lex_state = 2},
  [3535] = {.lex_state = 35, .external_lex_state = 2},
  [3536] = {.lex_state = 35},
  [3537] = {.lex_state = 35},
  [3538] = {.lex_state = 35},
  [3539] = {.lex_state = 35},
  [3540] = {.lex_state = 35},
  [3541] = {.lex_state = 35},
  [3542] = {.lex_state = 35, .external_lex_state = 2},
  [3543] = {.lex_state = 35},
  [3544] = {.lex_state = 35},
  [3545] = {.lex_state = 35, .external_lex_state = 2},
  [3546] = {.lex_state = 35, .external_lex_state = 2},
  [3547] = {.lex_state = 35, .external_lex_state = 2},
  [3548] = {.lex_state = 35, .external_lex_state = 2},
  [3549] = {.lex_state = 35, .external_lex_state = 2},
  [3550] = {.lex_state = 35, .external_lex_state = 2},
  [3551] = {.lex_state = 35, .external_lex_state = 2},
  [3552] = {.lex_state = 35},
  [3553] = {.lex_state = 35, .external_lex_state = 2},
  [3554] = {.lex_state = 35, .external_lex_state = 2},
  [3555] = {.lex_state = 35, .external_lex_state = 2},
  [3556] = {.lex_state = 35, .external_lex_state = 2},
  [3557] = {.lex_state = 35},
  [3558] = {.lex_state = 35},
  [3559] = {.lex_state = 35, .external_lex_state = 2},
  [3560] = {.lex_state = 35, .external_lex_state = 2},
  [3561] = {.lex_state = 35},
  [3562] = {.lex_state = 35},
  [3563] = {.lex_state = 35},
  [3564] = {.lex_state = 35},
  [3565] = {.lex_state = 35, .external_lex_state = 2},
  [3566] = {.lex_state = 35},
  [3567] = {.lex_state = 35},
  [3568] = {.lex_state = 35},
  [3569] = {.lex_state = 35, .external_lex_state = 2},
  [3570] = {.lex_state = 35, .external_lex_state = 2},
  [3571] = {.lex_state = 35},
  [3572] = {.lex_state = 35, .external_lex_state = 2},
  [3573] = {.lex_state = 35},
  [3574] = {.lex_state = 35},
  [3575] = {.lex_state = 35},
  [3576] = {.lex_state = 35},
  [3577] = {.lex_state = 35},
  [3578] = {.lex_state = 35},
  [3579] = {.lex_state = 35},
  [3580] = {.lex_state = 35, .external_lex_state = 2},
  [3581] = {.lex_state = 35, .external_lex_state = 2},
  [3582] = {.lex_state = 35},
  [3583] = {.lex_state = 35},
  [3584] = {.lex_state = 35, .external_lex_state = 2},
  [3585] = {.lex_state = 35},
  [3586] = {.lex_state = 35, .external_lex_state = 2},
  [3587] = {.lex_state = 35},
  [3588] = {.lex_state = 35, .external_lex_state = 2},
  [3589] = {.lex_state = 35},
  [3590] = {.lex_state = 35, .external_lex_state = 2},
  [3591] = {.lex_state = 35},
  [3592] = {.lex_state = 35, .external_lex_state = 2},
  [3593] = {.lex_state = 35},
  [3594] = {.lex_state = 35, .external_lex_state = 2},
  [3595] = {.lex_state = 35},
  [3596] = {.lex_state = 35},
  [3597] = {.lex_state = 35},
  [3598] = {.lex_state = 35},
  [3599] = {.lex_state = 35},
  [3600] = {.lex_state = 35},
  [3601] = {.lex_state = 35},
  [3602] = {.lex_state = 35},
  [3603] = {.lex_state = 35},
  [3604] = {.lex_state = 35},
  [3605] = {.lex_state = 35},
  [3606] = {.lex_state = 35, .external_lex_state = 2},
  [3607] = {.lex_state = 35, .external_lex_state = 2},
  [3608] = {.lex_state = 35, .external_lex_state = 2},
  [3609] = {.lex_state = 35, .external_lex_state = 2},
  [3610] = {.lex_state = 35},
  [3611] = {.lex_state = 35},
  [3612] = {.lex_state = 35},
  [3613] = {.lex_state = 35},
  [3614] = {.lex_state = 35},
  [3615] = {.lex_state = 35},
  [3616] = {.lex_state = 35},
  [3617] = {.lex_state = 35},
  [3618] = {.lex_state = 35},
  [3619] = {.lex_state = 35},
  [3620] = {.lex_state = 35},
  [3621] = {.lex_state = 35},
  [3622] = {.lex_state = 35},
  [3623] = {.lex_state = 35},
  [3624] = {.lex_state = 35},
  [3625] = {.lex_state = 35},
  [3626] = {.lex_state = 35},
  [3627] = {.lex_state = 35},
  [3628] = {.lex_state = 35},
  [3629] = {.lex_state = 35, .external_lex_state = 2},
  [3630] = {.lex_state = 35},
  [3631] = {.lex_state = 35},
  [3632] = {.lex_state = 35},
  [3633] = {.lex_state = 35},
  [3634] = {.lex_state = 35},
  [3635] = {.lex_state = 35, .external_lex_state = 2},
  [3636] = {.lex_state = 35, .external_lex_state = 2},
  [3637] = {.lex_state = 35},
  [3638] = {.lex_state = 35, .external_lex_state = 2},
  [3639] = {.lex_state = 35},
  [3640] = {.lex_state = 35, .external_lex_state = 2},
  [3641] = {.lex_state = 35},
  [3642] = {.lex_state = 35, .external_lex_state = 2},
  [3643] = {.lex_state = 35},
  [3644] = {.lex_state = 35, .external_lex_state = 2},
  [3645] = {.lex_state = 35},
  [3646] = {.lex_state = 35, .external_lex_state = 2},
  [3647] = {.lex_state = 35},
  [3648] = {.lex_state = 35},
  [3649] = {.lex_state = 35},
  [3650] = {.lex_state = 35, .external_lex_state = 2},
  [3651] = {.lex_state = 35},
  [3652] = {.lex_state = 35, .external_lex_state = 2},
  [3653] = {.lex_state = 35, .external_lex_state = 2},
  [3654] = {.lex_state = 35, .external_lex_state = 2},
  [3655] = {.lex_state = 35, .external_lex_state = 2},
  [3656] = {.lex_state = 35},
  [3657] = {.lex_state = 35, .external_lex_state = 2},
  [3658] = {.lex_state = 35, .external_lex_state = 2},
  [3659] = {.lex_state = 35, .external_lex_state = 2},
  [3660] = {.lex_state = 35, .external_lex_state = 2},
  [3661] = {.lex_state = 35, .external_lex_state = 2},
  [3662] = {.lex_state = 35, .external_lex_state = 2},
  [3663] = {.lex_state = 35, .external_lex_state = 2},
  [3664] = {.lex_state = 35, .external_lex_state = 2},
  [3665] = {.lex_state = 35, .external_lex_state = 2},
  [3666] = {.lex_state = 35, .external_lex_state = 2},
  [3667] = {.lex_state = 35},
  [3668] = {.lex_state = 35, .external_lex_state = 2},
  [3669] = {.lex_state = 35, .external_lex_state = 2},
  [3670] = {.lex_state = 35, .external_lex_state = 2},
  [3671] = {.lex_state = 35, .external_lex_state = 2},
  [3672] = {.lex_state = 35, .external_lex_state = 2},
  [3673] = {.lex_state = 35, .external_lex_state = 2},
  [3674] = {.lex_state = 35, .external_lex_state = 2},
  [3675] = {.lex_state = 35},
  [3676] = {.lex_state = 35},
  [3677] = {.lex_state = 35},
  [3678] = {.lex_state = 35, .external_lex_state = 2},
  [3679] = {.lex_state = 35, .external_lex_state = 2},
  [3680] = {.lex_state = 35, .external_lex_state = 2},
  [3681] = {.lex_state = 35, .external_lex_state = 2},
  [3682] = {.lex_state = 35, .external_lex_state = 2},
  [3683] = {.lex_state = 35, .external_lex_state = 2},
  [3684] = {.lex_state = 35, .external_lex_state = 2},
  [3685] = {.lex_state = 35, .external_lex_state = 2},
  [3686] = {.lex_state = 35, .external_lex_state = 2},
  [3687] = {.lex_state = 35},
  [3688] = {.lex_state = 35, .external_lex_state = 2},
  [3689] = {.lex_state = 35, .external_lex_state = 2},
  [3690] = {.lex_state = 35, .external_lex_state = 2},
  [3691] = {.lex_state = 33, .external_lex_state = 2},
  [3692] = {.lex_state = 35},
  [3693] = {.lex_state = 35, .external_lex_state = 2},
  [3694] = {.lex_state = 35},
  [3695] = {.lex_state = 35, .external_lex_state = 2},
  [3696] = {.lex_state = 35},
  [3697] = {.lex_state = 35},
  [3698] = {.lex_state = 35, .external_lex_state = 2},
  [3699] = {.lex_state = 35, .external_lex_state = 2},
  [3700] = {.lex_state = 35},
  [3701] = {.lex_state = 35},
  [3702] = {.lex_state = 35},
  [3703] = {.lex_state = 35},
  [3704] = {.lex_state = 35},
  [3705] = {.lex_state = 35},
  [3706] = {.lex_state = 35},
  [3707] = {.lex_state = 35},
  [3708] = {.lex_state = 35},
  [3709] = {.lex_state = 35},
  [3710] = {.lex_state = 35},
  [3711] = {.lex_state = 35},
  [3712] = {.lex_state = 35},
  [3713] = {.lex_state = 35},
  [3714] = {.lex_state = 35},
  [3715] = {.lex_state = 35},
  [3716] = {.lex_state = 35, .external_lex_state = 2},
  [3717] = {.lex_state = 35, .external_lex_state = 2},
  [3718] = {.lex_state = 35, .external_lex_state = 2},
  [3719] = {.lex_state = 35, .external_lex_state = 2},
  [3720] = {.lex_state = 35, .external_lex_state = 2},
  [3721] = {.lex_state = 35},
  [3722] = {.lex_state = 35},
  [3723] = {.lex_state = 35},
  [3724] = {.lex_state = 35},
  [3725] = {.lex_state = 35},
  [3726] = {.lex_state = 35},
  [3727] = {.lex_state = 35},
  [3728] = {.lex_state = 35},
  [3729] = {.lex_state = 35, .external_lex_state = 2},
  [3730] = {.lex_state = 35},
  [3731] = {.lex_state = 35},
  [3732] = {.lex_state = 35},
  [3733] = {.lex_state = 35},
  [3734] = {.lex_state = 35},
  [3735] = {.lex_state = 35},
  [3736] = {.lex_state = 35},
  [3737] = {.lex_state = 35, .external_lex_state = 2},
  [3738] = {.lex_state = 35},
  [3739] = {.lex_state = 35},
  [3740] = {.lex_state = 35},
  [3741] = {.lex_state = 35},
  [3742] = {.lex_state = 35},
  [3743] = {.lex_state = 35},
  [3744] = {.lex_state = 35},
  [3745] = {.lex_state = 35},
  [3746] = {.lex_state = 35},
  [3747] = {.lex_state = 35},
  [3748] = {.lex_state = 35},
  [3749] = {.lex_state = 35},
  [3750] = {.lex_state = 35},
  [3751] = {.lex_state = 35},
  [3752] = {.lex_state = 35},
  [3753] = {.lex_state = 35},
  [3754] = {.lex_state = 35},
  [3755] = {.lex_state = 35},
  [3756] = {.lex_state = 35},
  [3757] = {.lex_state = 35},
  [3758] = {.lex_state = 35},
  [3759] = {.lex_state = 35},
  [3760] = {.lex_state = 35},
  [3761] = {.lex_state = 35},
  [3762] = {.lex_state = 35},
  [3763] = {.lex_state = 35},
  [3764] = {.lex_state = 35},
  [3765] = {.lex_state = 35},
  [3766] = {.lex_state = 35},
  [3767] = {.lex_state = 35},
  [3768] = {.lex_state = 35},
  [3769] = {.lex_state = 35},
  [3770] = {.lex_state = 35},
  [3771] = {.lex_state = 35},
  [3772] = {.lex_state = 35},
  [3773] = {.lex_state = 35},
  [3774] = {.lex_state = 35},
  [3775] = {.lex_state = 35},
  [3776] = {.lex_state = 35},
  [3777] = {.lex_state = 35, .external_lex_state = 2},
  [3778] = {.lex_state = 35},
  [3779] = {.lex_state = 35},
  [3780] = {.lex_state = 35},
  [3781] = {.lex_state = 35},
  [3782] = {.lex_state = 35, .external_lex_state = 2},
  [3783] = {.lex_state = 35},
  [3784] = {.lex_state = 35, .external_lex_state = 2},
  [3785] = {.lex_state = 35},
  [3786] = {.lex_state = 35},
  [3787] = {.lex_state = 35},
  [3788] = {.lex_state = 35},
  [3789] = {.lex_state = 35, .external_lex_state = 2},
  [3790] = {.lex_state = 35, .external_lex_state = 2},
  [3791] = {.lex_state = 35},
  [3792] = {.lex_state = 35},
  [3793] = {.lex_state = 35},
  [3794] = {.lex_state = 35},
  [3795] = {.lex_state = 35},
  [3796] = {.lex_state = 35},
  [3797] = {.lex_state = 35},
  [3798] = {.lex_state = 35},
  [3799] = {.lex_state = 35, .external_lex_state = 2},
  [3800] = {.lex_state = 35},
  [3801] = {.lex_state = 35},
  [3802] = {.lex_state = 35},
  [3803] = {.lex_state = 35, .external_lex_state = 2},
  [3804] = {.lex_state = 35},
  [3805] = {.lex_state = 35},
  [3806] = {.lex_state = 35},
  [3807] = {.lex_state = 35},
  [3808] = {.lex_state = 35},
  [3809] = {.lex_state = 35},
  [3810] = {.lex_state = 35, .external_lex_state = 2},
  [3811] = {.lex_state = 35},
  [3812] = {.lex_state = 35, .external_lex_state = 2},
  [3813] = {.lex_state = 35},
  [3814] = {.lex_state = 35, .external_lex_state = 2},
  [3815] = {.lex_state = 35, .external_lex_state = 2},
  [3816] = {.lex_state = 35, .external_lex_state = 2},
  [3817] = {.lex_state = 35},
  [3818] = {.lex_state = 35, .external_lex_state = 2},
  [3819] = {.lex_state = 35, .external_lex_state = 2},
  [3820] = {.lex_state = 35, .external_lex_state = 2},
  [3821] = {.lex_state = 33, .external_lex_state = 2},
  [3822] = {.lex_state = 35, .external_lex_state = 2},
  [3823] = {.lex_state = 35, .external_lex_state = 2},
  [3824] = {.lex_state = 35, .external_lex_state = 2},
  [3825] = {.lex_state = 35},
  [3826] = {.lex_state = 35},
  [3827] = {.lex_state = 35},
  [3828] = {.lex_state = 35},
  [3829] = {.lex_state = 35},
  [3830] = {.lex_state = 35},
  [3831] = {.lex_state = 35},
  [3832] = {.lex_state = 35},
  [3833] = {.lex_state = 35},
  [3834] = {.lex_state = 35},
  [3835] = {.lex_state = 35},
  [3836] = {.lex_state = 35},
  [3837] = {.lex_state = 35},
  [3838] = {.lex_state = 35},
  [3839] = {.lex_state = 35},
  [3840] = {.lex_state = 35},
  [3841] = {.lex_state = 35},
  [3842] = {.lex_state = 35},
  [3843] = {.lex_state = 35},
  [3844] = {.lex_state = 35},
  [3845] = {.lex_state = 35, .external_lex_state = 2},
  [3846] = {.lex_state = 35},
  [3847] = {.lex_state = 35},
  [3848] = {.lex_state = 35},
  [3849] = {.lex_state = 35},
  [3850] = {.lex_state = 35},
  [3851] = {.lex_state = 35},
  [3852] = {.lex_state = 35, .external_lex_state = 2},
  [3853] = {.lex_state = 35},
  [3854] = {.lex_state = 35},
  [3855] = {.lex_state = 35},
  [3856] = {.lex_state = 35},
  [3857] = {.lex_state = 35},
  [3858] = {.lex_state = 35},
  [3859] = {.lex_state = 35},
  [3860] = {.lex_state = 35, .external_lex_state = 2},
  [3861] = {.lex_state = 35},
  [3862] = {.lex_state = 35},
  [3863] = {.lex_state = 35, .external_lex_state = 2},
  [3864] = {.lex_state = 35, .external_lex_state = 2},
  [3865] = {.lex_state = 35, .external_lex_state = 2},
  [3866] = {.lex_state = 35, .external_lex_state = 2},
  [3867] = {.lex_state = 35},
  [3868] = {.lex_state = 35, .external_lex_state = 2},
  [3869] = {.lex_state = 35},
  [3870] = {.lex_state = 35},
  [3871] = {.lex_state = 35, .external_lex_state = 2},
  [3872] = {.lex_state = 35},
  [3873] = {.lex_state = 35},
  [3874] = {.lex_state = 35},
  [3875] = {.lex_state = 35},
  [3876] = {.lex_state = 35},
  [3877] = {.lex_state = 35},
  [3878] = {.lex_state = 35},
  [3879] = {.lex_state = 35},
  [3880] = {.lex_state = 35, .external_lex_state = 2},
  [3881] = {.lex_state = 35, .external_lex_state = 2},
  [3882] = {.lex_state = 35, .external_lex_state = 2},
  [3883] = {.lex_state = 35, .external_lex_state = 2},
  [3884] = {.lex_state = 35, .external_lex_state = 2},
  [3885] = {.lex_state = 35, .external_lex_state = 2},
  [3886] = {.lex_state = 35},
  [3887] = {.lex_state = 35},
  [3888] = {.lex_state = 35},
  [3889] = {.lex_state = 35},
  [3890] = {.lex_state = 35},
  [3891] = {.lex_state = 35},
  [3892] = {.lex_state = 35},
  [3893] = {.lex_state = 35, .external_lex_state = 2},
  [3894] = {.lex_state = 35, .external_lex_state = 2},
  [3895] = {.lex_state = 35},
  [3896] = {.lex_state = 35},
  [3897] = {.lex_state = 35},
  [3898] = {.lex_state = 35},
  [3899] = {.lex_state = 35},
  [3900] = {.lex_state = 35},
  [3901] = {.lex_state = 35},
  [3902] = {.lex_state = 35, .external_lex_state = 2},
  [3903] = {.lex_state = 35},
  [3904] = {.lex_state = 35},
  [3905] = {.lex_state = 35, .external_lex_state = 2},
  [3906] = {.lex_state = 35},
  [3907] = {.lex_state = 35},
  [3908] = {.lex_state = 35},
  [3909] = {.lex_state = 35, .external_lex_state = 2},
  [3910] = {.lex_state = 35, .external_lex_state = 2},
  [3911] = {.lex_state = 35},
  [3912] = {.lex_state = 35},
  [3913] = {.lex_state = 35, .external_lex_state = 2},
  [3914] = {.lex_state = 35, .external_lex_state = 2},
  [3915] = {.lex_state = 35, .external_lex_state = 2},
  [3916] = {.lex_state = 35, .external_lex_state = 2},
  [3917] = {.lex_state = 35, .external_lex_state = 2},
  [3918] = {.lex_state = 35, .external_lex_state = 2},
  [3919] = {.lex_state = 35, .external_lex_state = 2},
  [3920] = {.lex_state = 35, .external_lex_state = 2},
  [3921] = {.lex_state = 35, .external_lex_state = 2},
  [3922] = {.lex_state = 35, .external_lex_state = 2},
  [3923] = {.lex_state = 35, .external_lex_state = 2},
  [3924] = {.lex_state = 35, .external_lex_state = 2},
  [3925] = {.lex_state = 35, .external_lex_state = 2},
  [3926] = {.lex_state = 35},
  [3927] = {.lex_state = 35},
  [3928] = {.lex_state = 35, .external_lex_state = 2},
  [3929] = {.lex_state = 35},
  [3930] = {.lex_state = 35},
  [3931] = {.lex_state = 35, .external_lex_state = 2},
  [3932] = {.lex_state = 35, .external_lex_state = 2},
  [3933] = {.lex_state = 35, .external_lex_state = 2},
  [3934] = {.lex_state = 35, .external_lex_state = 2},
  [3935] = {.lex_state = 35, .external_lex_state = 2},
  [3936] = {.lex_state = 35},
  [3937] = {.lex_state = 35, .external_lex_state = 2},
  [3938] = {.lex_state = 35, .external_lex_state = 2},
  [3939] = {.lex_state = 35, .external_lex_state = 2},
  [3940] = {.lex_state = 35, .external_lex_state = 2},
  [3941] = {.lex_state = 35, .external_lex_state = 2},
  [3942] = {.lex_state = 35, .external_lex_state = 2},
  [3943] = {.lex_state = 35, .external_lex_state = 2},
  [3944] = {.lex_state = 35, .external_lex_state = 2},
  [3945] = {.lex_state = 35, .external_lex_state = 2},
  [3946] = {.lex_state = 35},
  [3947] = {.lex_state = 35},
  [3948] = {.lex_state = 35},
  [3949] = {.lex_state = 35, .external_lex_state = 2},
  [3950] = {.lex_state = 35, .external_lex_state = 2},
  [3951] = {.lex_state = 35, .external_lex_state = 2},
  [3952] = {.lex_state = 35, .external_lex_state = 2},
  [3953] = {.lex_state = 35, .external_lex_state = 2},
  [3954] = {.lex_state = 35},
  [3955] = {.lex_state = 35, .external_lex_state = 2},
  [3956] = {.lex_state = 35, .external_lex_state = 2},
  [3957] = {.lex_state = 35},
  [3958] = {.lex_state = 35},
  [3959] = {.lex_state = 35},
  [3960] = {.lex_state = 35},
  [3961] = {.lex_state = 35},
  [3962] = {.lex_state = 35, .external_lex_state = 2},
  [3963] = {.lex_state = 35},
  [3964] = {.lex_state = 35},
  [3965] = {.lex_state = 35},
  [3966] = {.lex_state = 35},
  [3967] = {.lex_state = 35},
  [3968] = {.lex_state = 35, .external_lex_state = 2},
  [3969] = {.lex_state = 35},
  [3970] = {.lex_state = 35},
  [3971] = {.lex_state = 35},
  [3972] = {.lex_state = 35, .external_lex_state = 2},
  [3973] = {.lex_state = 35, .external_lex_state = 2},
  [3974] = {.lex_state = 35},
  [3975] = {.lex_state = 35},
  [3976] = {.lex_state = 35},
  [3977] = {.lex_state = 35, .external_lex_state = 2},
  [3978] = {.lex_state = 35},
  [3979] = {.lex_state = 35},
  [3980] = {.lex_state = 35, .external_lex_state = 2},
  [3981] = {.lex_state = 35},
  [3982] = {.lex_state = 35, .external_lex_state = 2},
  [3983] = {.lex_state = 35, .external_lex_state = 2},
  [3984] = {.lex_state = 35},
  [3985] = {.lex_state = 35},
  [3986] = {.lex_state = 35},
  [3987] = {.lex_state = 35},
  [3988] = {.lex_state = 35},
  [3989] = {.lex_state = 35},
  [3990] = {.lex_state = 35},
  [3991] = {.lex_state = 35},
  [3992] = {.lex_state = 35, .external_lex_state = 2},
  [3993] = {.lex_state = 35, .external_lex_state = 2},
  [3994] = {.lex_state = 35},
  [3995] = {.lex_state = 35, .external_lex_state = 2},
  [3996] = {.lex_state = 35},
  [3997] = {.lex_state = 35, .external_lex_state = 2},
  [3998] = {.lex_state = 35, .external_lex_state = 2},
  [3999] = {.lex_state = 35},
  [4000] = {.lex_state = 35},
  [4001] = {.lex_state = 35},
  [4002] = {.lex_state = 35},
  [4003] = {.lex_state = 35},
  [4004] = {.lex_state = 35},
  [4005] = {.lex_state = 35, .external_lex_state = 2},
  [4006] = {.lex_state = 35, .external_lex_state = 2},
  [4007] = {.lex_state = 35},
  [4008] = {.lex_state = 35, .external_lex_state = 2},
  [4009] = {.lex_state = 35, .external_lex_state = 2},
  [4010] = {.lex_state = 35, .external_lex_state = 2},
  [4011] = {.lex_state = 35, .external_lex_state = 2},
  [4012] = {.lex_state = 35, .external_lex_state = 2},
  [4013] = {.lex_state = 35, .external_lex_state = 2},
  [4014] = {.lex_state = 35, .external_lex_state = 2},
  [4015] = {.lex_state = 35},
  [4016] = {.lex_state = 35},
  [4017] = {.lex_state = 35},
  [4018] = {.lex_state = 35, .external_lex_state = 2},
  [4019] = {.lex_state = 35},
  [4020] = {.lex_state = 35},
  [4021] = {.lex_state = 35},
  [4022] = {.lex_state = 35},
  [4023] = {.lex_state = 35},
  [4024] = {.lex_state = 35},
  [4025] = {.lex_state = 35, .external_lex_state = 2},
  [4026] = {.lex_state = 35, .external_lex_state = 2},
  [4027] = {.lex_state = 35, .external_lex_state = 2},
  [4028] = {.lex_state = 35, .external_lex_state = 2},
  [4029] = {.lex_state = 35, .external_lex_state = 2},
  [4030] = {.lex_state = 35},
  [4031] = {.lex_state = 35, .external_lex_state = 2},
  [4032] = {.lex_state = 35, .external_lex_state = 2},
  [4033] = {.lex_state = 35, .external_lex_state = 2},
  [4034] = {.lex_state = 35},
  [4035] = {.lex_state = 35},
  [4036] = {.lex_state = 35, .external_lex_state = 2},
  [4037] = {.lex_state = 35},
  [4038] = {.lex_state = 35},
  [4039] = {.lex_state = 35},
  [4040] = {.lex_state = 35},
  [4041] = {.lex_state = 35},
  [4042] = {.lex_state = 35},
  [4043] = {.lex_state = 35, .external_lex_state = 2},
  [4044] = {.lex_state = 35},
  [4045] = {.lex_state = 35, .external_lex_state = 2},
  [4046] = {.lex_state = 35, .external_lex_state = 2},
  [4047] = {.lex_state = 35, .external_lex_state = 2},
  [4048] = {.lex_state = 35, .external_lex_state = 2},
  [4049] = {.lex_state = 35, .external_lex_state = 2},
  [4050] = {.lex_state = 35},
  [4051] = {.lex_state = 35},
  [4052] = {.lex_state = 35},
  [4053] = {.lex_state = 35},
  [4054] = {.lex_state = 35, .external_lex_state = 2},
  [4055] = {.lex_state = 35},
  [4056] = {.lex_state = 35},
  [4057] = {.lex_state = 35},
  [4058] = {.lex_state = 35},
  [4059] = {.lex_state = 35},
  [4060] = {.lex_state = 35},
  [4061] = {.lex_state = 35},
  [4062] = {.lex_state = 35},
  [4063] = {.lex_state = 35, .external_lex_state = 2},
  [4064] = {.lex_state = 35},
  [4065] = {.lex_state = 35},
  [4066] = {.lex_state = 35, .external_lex_state = 2},
  [4067] = {.lex_state = 35, .external_lex_state = 2},
  [4068] = {.lex_state = 35, .external_lex_state = 2},
  [4069] = {.lex_state = 35},
  [4070] = {.lex_state = 35},
  [4071] = {.lex_state = 35, .external_lex_state = 2},
  [4072] = {.lex_state = 35},
  [4073] = {.lex_state = 35},
  [4074] = {.lex_state = 35},
  [4075] = {.lex_state = 35},
  [4076] = {.lex_state = 35},
  [4077] = {.lex_state = 35, .external_lex_state = 2},
  [4078] = {.lex_state = 35},
  [4079] = {.lex_state = 35, .external_lex_state = 2},
  [4080] = {.lex_state = 35},
  [4081] = {.lex_state = 35},
  [4082] = {.lex_state = 35},
  [4083] = {.lex_state = 35, .external_lex_state = 2},
  [4084] = {.lex_state = 35, .external_lex_state = 2},
  [4085] = {.lex_state = 35, .external_lex_state = 2},
  [4086] = {.lex_state = 35},
  [4087] = {.lex_state = 35},
  [4088] = {.lex_state = 35},
  [4089] = {.lex_state = 35, .external_lex_state = 2},
  [4090] = {.lex_state = 35, .external_lex_state = 2},
  [4091] = {.lex_state = 35, .external_lex_state = 2},
  [4092] = {.lex_state = 35, .external_lex_state = 2},
  [4093] = {.lex_state = 35, .external_lex_state = 2},
  [4094] = {.lex_state = 35},
  [4095] = {.lex_state = 35},
  [4096] = {.lex_state = 35, .external_lex_state = 2},
  [4097] = {.lex_state = 35},
  [4098] = {.lex_state = 35, .external_lex_state = 2},
  [4099] = {.lex_state = 35, .external_lex_state = 2},
  [4100] = {.lex_state = 35, .external_lex_state = 2},
  [4101] = {.lex_state = 35, .external_lex_state = 2},
  [4102] = {.lex_state = 35, .external_lex_state = 2},
  [4103] = {.lex_state = 35, .external_lex_state = 2},
  [4104] = {.lex_state = 35, .external_lex_state = 2},
  [4105] = {.lex_state = 35, .external_lex_state = 2},
  [4106] = {.lex_state = 35, .external_lex_state = 2},
  [4107] = {.lex_state = 35},
  [4108] = {.lex_state = 35},
  [4109] = {.lex_state = 35, .external_lex_state = 2},
  [4110] = {.lex_state = 35},
  [4111] = {.lex_state = 35},
  [4112] = {.lex_state = 35},
  [4113] = {.lex_state = 35},
  [4114] = {.lex_state = 35, .external_lex_state = 2},
  [4115] = {.lex_state = 35, .external_lex_state = 2},
  [4116] = {.lex_state = 35},
  [4117] = {.lex_state = 35},
  [4118] = {.lex_state = 35},
  [4119] = {.lex_state = 35, .external_lex_state = 2},
  [4120] = {.lex_state = 35, .external_lex_state = 2},
  [4121] = {.lex_state = 35, .external_lex_state = 2},
  [4122] = {.lex_state = 35},
  [4123] = {.lex_state = 35},
  [4124] = {.lex_state = 35},
  [4125] = {.lex_state = 35},
  [4126] = {.lex_state = 35},
  [4127] = {.lex_state = 35, .external_lex_state = 2},
  [4128] = {.lex_state = 35, .external_lex_state = 2},
  [4129] = {.lex_state = 35, .external_lex_state = 2},
  [4130] = {.lex_state = 35, .external_lex_state = 2},
  [4131] = {.lex_state = 35, .external_lex_state = 2},
  [4132] = {.lex_state = 35},
  [4133] = {.lex_state = 35},
  [4134] = {.lex_state = 35},
  [4135] = {.lex_state = 35},
  [4136] = {.lex_state = 35},
  [4137] = {.lex_state = 35, .external_lex_state = 2},
  [4138] = {.lex_state = 35, .external_lex_state = 2},
  [4139] = {.lex_state = 35, .external_lex_state = 2},
  [4140] = {.lex_state = 35},
  [4141] = {.lex_state = 35},
  [4142] = {.lex_state = 35, .external_lex_state = 2},
  [4143] = {.lex_state = 35},
  [4144] = {.lex_state = 35, .external_lex_state = 2},
  [4145] = {.lex_state = 35},
  [4146] = {.lex_state = 35},
  [4147] = {.lex_state = 35, .external_lex_state = 2},
  [4148] = {.lex_state = 35},
  [4149] = {.lex_state = 35},
  [4150] = {.lex_state = 35},
  [4151] = {.lex_state = 35, .external_lex_state = 2},
  [4152] = {.lex_state = 35},
  [4153] = {.lex_state = 35, .external_lex_state = 2},
  [4154] = {.lex_state = 35, .external_lex_state = 2},
  [4155] = {.lex_state = 35, .external_lex_state = 2},
  [4156] = {.lex_state = 35},
  [4157] = {.lex_state = 35},
  [4158] = {.lex_state = 35, .external_lex_state = 2},
  [4159] = {.lex_state = 35, .external_lex_state = 2},
  [4160] = {.lex_state = 35},
  [4161] = {.lex_state = 35, .external_lex_state = 2},
  [4162] = {.lex_state = 35, .external_lex_state = 2},
  [4163] = {.lex_state = 35, .external_lex_state = 2},
  [4164] = {.lex_state = 35, .external_lex_state = 2},
  [4165] = {.lex_state = 35, .external_lex_state = 2},
  [4166] = {.lex_state = 35, .external_lex_state = 2},
  [4167] = {.lex_state = 35},
  [4168] = {.lex_state = 35, .external_lex_state = 2},
  [4169] = {.lex_state = 35},
  [4170] = {.lex_state = 35},
  [4171] = {.lex_state = 35},
  [4172] = {.lex_state = 35},
  [4173] = {.lex_state = 35},
  [4174] = {.lex_state = 35},
  [4175] = {.lex_state = 35},
  [4176] = {.lex_state = 35, .external_lex_state = 2},
  [4177] = {.lex_state = 35},
  [4178] = {.lex_state = 35},
  [4179] = {.lex_state = 35},
  [4180] = {.lex_state = 35},
  [4181] = {.lex_state = 35},
  [4182] = {.lex_state = 35, .external_lex_state = 2},
  [4183] = {.lex_state = 35, .external_lex_state = 2},
  [4184] = {.lex_state = 35, .external_lex_state = 2},
  [4185] = {.lex_state = 35},
  [4186] = {.lex_state = 35},
  [4187] = {.lex_state = 35},
  [4188] = {.lex_state = 35},
  [4189] = {.lex_state = 35},
  [4190] = {.lex_state = 35, .external_lex_state = 2},
  [4191] = {.lex_state = 35},
  [4192] = {.lex_state = 35},
  [4193] = {.lex_state = 35},
  [4194] = {.lex_state = 35, .external_lex_state = 2},
  [4195] = {.lex_state = 35, .external_lex_state = 2},
  [4196] = {.lex_state = 35, .external_lex_state = 2},
  [4197] = {.lex_state = 35, .external_lex_state = 2},
  [4198] = {.lex_state = 35},
  [4199] = {.lex_state = 35},
  [4200] = {.lex_state = 35},
  [4201] = {.lex_state = 35},
  [4202] = {.lex_state = 35},
  [4203] = {.lex_state = 35, .external_lex_state = 2},
  [4204] = {.lex_state = 35},
  [4205] = {.lex_state = 35, .external_lex_state = 2},
  [4206] = {.lex_state = 35, .external_lex_state = 2},
  [4207] = {.lex_state = 35, .external_lex_state = 2},
  [4208] = {.lex_state = 35},
  [4209] = {.lex_state = 35, .external_lex_state = 2},
  [4210] = {.lex_state = 35, .external_lex_state = 2},
  [4211] = {.lex_state = 35, .external_lex_state = 2},
  [4212] = {.lex_state = 35, .external_lex_state = 2},
  [4213] = {.lex_state = 35, .external_lex_state = 2},
  [4214] = {.lex_state = 35, .external_lex_state = 2},
  [4215] = {.lex_state = 35, .external_lex_state = 2},
  [4216] = {.lex_state = 35, .external_lex_state = 2},
  [4217] = {.lex_state = 35, .external_lex_state = 2},
  [4218] = {.lex_state = 35, .external_lex_state = 2},
  [4219] = {.lex_state = 35, .external_lex_state = 2},
  [4220] = {.lex_state = 35, .external_lex_state = 2},
  [4221] = {.lex_state = 35, .external_lex_state = 2},
  [4222] = {.lex_state = 35, .external_lex_state = 2},
  [4223] = {.lex_state = 35, .external_lex_state = 2},
  [4224] = {.lex_state = 35},
  [4225] = {.lex_state = 35},
  [4226] = {.lex_state = 35, .external_lex_state = 2},
  [4227] = {.lex_state = 35, .external_lex_state = 2},
  [4228] = {.lex_state = 35, .external_lex_state = 2},
  [4229] = {.lex_state = 35, .external_lex_state = 2},
  [4230] = {.lex_state = 35},
  [4231] = {.lex_state = 35},
  [4232] = {.lex_state = 35, .external_lex_state = 2},
  [4233] = {.lex_state = 35},
  [4234] = {.lex_state = 35},
  [4235] = {.lex_state = 35, .external_lex_state = 2},
  [4236] = {.lex_state = 35, .external_lex_state = 2},
  [4237] = {.lex_state = 35, .external_lex_state = 2},
  [4238] = {.lex_state = 35},
  [4239] = {.lex_state = 35, .external_lex_state = 2},
  [4240] = {.lex_state = 35, .external_lex_state = 2},
  [4241] = {.lex_state = 35, .external_lex_state = 2},
  [4242] = {.lex_state = 35, .external_lex_state = 2},
  [4243] = {.lex_state = 35, .external_lex_state = 2},
  [4244] = {.lex_state = 35},
  [4245] = {.lex_state = 35},
  [4246] = {.lex_state = 35, .external_lex_state = 2},
  [4247] = {.lex_state = 35},
  [4248] = {.lex_state = 35},
  [4249] = {.lex_state = 35, .external_lex_state = 2},
  [4250] = {.lex_state = 35},
  [4251] = {.lex_state = 35},
  [4252] = {.lex_state = 35},
  [4253] = {.lex_state = 35},
  [4254] = {.lex_state = 35, .external_lex_state = 2},
  [4255] = {.lex_state = 35, .external_lex_state = 2},
  [4256] = {.lex_state = 35, .external_lex_state = 2},
  [4257] = {.lex_state = 35, .external_lex_state = 2},
  [4258] = {.lex_state = 35, .external_lex_state = 2},
  [4259] = {.lex_state = 35, .external_lex_state = 2},
  [4260] = {.lex_state = 35, .external_lex_state = 2},
  [4261] = {.lex_state = 35},
  [4262] = {.lex_state = 35, .external_lex_state = 2},
  [4263] = {.lex_state = 35, .external_lex_state = 2},
  [4264] = {.lex_state = 35},
  [4265] = {.lex_state = 35, .external_lex_state = 2},
  [4266] = {.lex_state = 35, .external_lex_state = 2},
  [4267] = {.lex_state = 35, .external_lex_state = 2},
  [4268] = {.lex_state = 35, .external_lex_state = 2},
  [4269] = {.lex_state = 35, .external_lex_state = 2},
  [4270] = {.lex_state = 35, .external_lex_state = 2},
  [4271] = {.lex_state = 35, .external_lex_state = 2},
  [4272] = {.lex_state = 35, .external_lex_state = 2},
  [4273] = {.lex_state = 35, .external_lex_state = 2},
  [4274] = {.lex_state = 35},
  [4275] = {.lex_state = 35, .external_lex_state = 2},
  [4276] = {.lex_state = 35, .external_lex_state = 2},
  [4277] = {.lex_state = 35, .external_lex_state = 2},
  [4278] = {.lex_state = 35, .external_lex_state = 2},
  [4279] = {.lex_state = 35, .external_lex_state = 2},
  [4280] = {.lex_state = 35, .external_lex_state = 2},
  [4281] = {.lex_state = 35, .external_lex_state = 2},
  [4282] = {.lex_state = 35, .external_lex_state = 2},
  [4283] = {.lex_state = 35},
  [4284] = {.lex_state = 35},
  [4285] = {.lex_state = 35, .external_lex_state = 2},
  [4286] = {.lex_state = 35},
  [4287] = {.lex_state = 35},
  [4288] = {.lex_state = 35},
  [4289] = {.lex_state = 35},
  [4290] = {.lex_state = 35},
  [4291] = {.lex_state = 35, .external_lex_state = 2},
  [4292] = {.lex_state = 35, .external_lex_state = 2},
  [4293] = {.lex_state = 35},
  [4294] = {.lex_state = 35, .external_lex_state = 2},
  [4295] = {.lex_state = 35, .external_lex_state = 2},
  [4296] = {.lex_state = 35, .external_lex_state = 2},
  [4297] = {.lex_state = 35, .external_lex_state = 2},
  [4298] = {.lex_state = 35, .external_lex_state = 2},
  [4299] = {.lex_state = 35, .external_lex_state = 2},
  [4300] = {.lex_state = 35, .external_lex_state = 2},
  [4301] = {.lex_state = 35},
  [4302] = {.lex_state = 35, .external_lex_state = 2},
  [4303] = {.lex_state = 35, .external_lex_state = 2},
  [4304] = {.lex_state = 35, .external_lex_state = 2},
  [4305] = {.lex_state = 35},
  [4306] = {.lex_state = 35},
  [4307] = {.lex_state = 35},
  [4308] = {.lex_state = 35},
  [4309] = {.lex_state = 35, .external_lex_state = 2},
  [4310] = {.lex_state = 35},
  [4311] = {.lex_state = 35, .external_lex_state = 2},
  [4312] = {.lex_state = 35},
  [4313] = {.lex_state = 35},
  [4314] = {.lex_state = 35},
  [4315] = {.lex_state = 35, .external_lex_state = 2},
  [4316] = {.lex_state = 35},
  [4317] = {.lex_state = 35, .external_lex_state = 2},
  [4318] = {.lex_state = 35},
  [4319] = {.lex_state = 35},
  [4320] = {.lex_state = 35, .external_lex_state = 2},
  [4321] = {.lex_state = 35, .external_lex_state = 2},
  [4322] = {.lex_state = 35},
  [4323] = {.lex_state = 35},
  [4324] = {.lex_state = 35, .external_lex_state = 2},
  [4325] = {.lex_state = 35, .external_lex_state = 2},
  [4326] = {.lex_state = 35},
  [4327] = {.lex_state = 35, .external_lex_state = 2},
  [4328] = {.lex_state = 35, .external_lex_state = 2},
  [4329] = {.lex_state = 35, .external_lex_state = 2},
  [4330] = {.lex_state = 35, .external_lex_state = 2},
  [4331] = {.lex_state = 35},
  [4332] = {.lex_state = 35, .external_lex_state = 2},
  [4333] = {.lex_state = 35},
  [4334] = {.lex_state = 35},
  [4335] = {.lex_state = 35, .external_lex_state = 2},
  [4336] = {.lex_state = 33, .external_lex_state = 2},
  [4337] = {.lex_state = 35},
  [4338] = {.lex_state = 35, .external_lex_state = 2},
  [4339] = {.lex_state = 35},
  [4340] = {.lex_state = 35},
  [4341] = {.lex_state = 35},
  [4342] = {.lex_state = 35},
  [4343] = {.lex_state = 35},
  [4344] = {.lex_state = 35},
  [4345] = {.lex_state = 35},
  [4346] = {.lex_state = 35},
  [4347] = {.lex_state = 35, .external_lex_state = 2},
  [4348] = {.lex_state = 35, .external_lex_state = 2},
  [4349] = {.lex_state = 35},
  [4350] = {.lex_state = 35, .external_lex_state = 2},
  [4351] = {.lex_state = 35},
  [4352] = {.lex_state = 35},
  [4353] = {.lex_state = 35, .external_lex_state = 2},
  [4354] = {.lex_state = 35},
  [4355] = {.lex_state = 35},
  [4356] = {.lex_state = 35, .external_lex_state = 2},
  [4357] = {.lex_state = 35, .external_lex_state = 2},
  [4358] = {.lex_state = 35, .external_lex_state = 2},
  [4359] = {.lex_state = 35},
  [4360] = {.lex_state = 35},
  [4361] = {.lex_state = 35},
  [4362] = {.lex_state = 35},
  [4363] = {.lex_state = 35, .external_lex_state = 2},
  [4364] = {.lex_state = 35},
  [4365] = {.lex_state = 35},
  [4366] = {.lex_state = 35},
  [4367] = {.lex_state = 35},
  [4368] = {.lex_state = 35},
  [4369] = {.lex_state = 35, .external_lex_state = 2},
  [4370] = {.lex_state = 35, .external_lex_state = 2},
  [4371] = {.lex_state = 35, .external_lex_state = 2},
  [4372] = {.lex_state = 35, .external_lex_state = 2},
  [4373] = {.lex_state = 35, .external_lex_state = 2},
  [4374] = {.lex_state = 35},
  [4375] = {.lex_state = 35, .external_lex_state = 2},
  [4376] = {.lex_state = 35, .external_lex_state = 2},
  [4377] = {.lex_state = 35},
  [4378] = {.lex_state = 35},
  [4379] = {.lex_state = 35, .external_lex_state = 2},
  [4380] = {.lex_state = 35, .external_lex_state = 2},
  [4381] = {.lex_state = 35, .external_lex_state = 2},
  [4382] = {.lex_state = 35},
  [4383] = {.lex_state = 35},
  [4384] = {.lex_state = 35},
  [4385] = {.lex_state = 35, .external_lex_state = 2},
  [4386] = {.lex_state = 35, .external_lex_state = 2},
  [4387] = {.lex_state = 35, .external_lex_state = 2},
  [4388] = {.lex_state = 35, .external_lex_state = 2},
  [4389] = {.lex_state = 35},
  [4390] = {.lex_state = 35},
  [4391] = {.lex_state = 35, .external_lex_state = 2},
  [4392] = {.lex_state = 35, .external_lex_state = 2},
  [4393] = {.lex_state = 35, .external_lex_state = 2},
  [4394] = {.lex_state = 35, .external_lex_state = 2},
  [4395] = {.lex_state = 35, .external_lex_state = 2},
  [4396] = {.lex_state = 35, .external_lex_state = 2},
  [4397] = {.lex_state = 35, .external_lex_state = 2},
  [4398] = {.lex_state = 35, .external_lex_state = 2},
  [4399] = {.lex_state = 35, .external_lex_state = 2},
  [4400] = {.lex_state = 35, .external_lex_state = 2},
  [4401] = {.lex_state = 35, .external_lex_state = 2},
  [4402] = {.lex_state = 35, .external_lex_state = 2},
  [4403] = {.lex_state = 35},
  [4404] = {.lex_state = 35},
  [4405] = {.lex_state = 35, .external_lex_state = 2},
  [4406] = {.lex_state = 35},
  [4407] = {.lex_state = 35, .external_lex_state = 2},
  [4408] = {.lex_state = 35, .external_lex_state = 2},
  [4409] = {.lex_state = 35, .external_lex_state = 2},
  [4410] = {.lex_state = 35},
  [4411] = {.lex_state = 33},
  [4412] = {.lex_state = 35, .external_lex_state = 2},
  [4413] = {.lex_state = 35, .external_lex_state = 2},
  [4414] = {.lex_state = 35, .external_lex_state = 2},
  [4415] = {.lex_state = 35, .external_lex_state = 2},
  [4416] = {.lex_state = 35, .external_lex_state = 2},
  [4417] = {.lex_state = 35, .external_lex_state = 2},
  [4418] = {.lex_state = 35, .external_lex_state = 2},
  [4419] = {.lex_state = 35},
  [4420] = {.lex_state = 35},
  [4421] = {.lex_state = 35},
  [4422] = {.lex_state = 35},
  [4423] = {.lex_state = 35},
  [4424] = {.lex_state = 35},
  [4425] = {.lex_state = 35, .external_lex_state = 2},
  [4426] = {.lex_state = 35},
  [4427] = {.lex_state = 35},
  [4428] = {.lex_state = 35, .external_lex_state = 2},
  [4429] = {.lex_state = 35},
  [4430] = {.lex_state = 35},
  [4431] = {.lex_state = 35},
  [4432] = {.lex_state = 35},
  [4433] = {.lex_state = 35},
  [4434] = {.lex_state = 35},
  [4435] = {.lex_state = 35, .external_lex_state = 2},
  [4436] = {.lex_state = 35},
  [4437] = {.lex_state = 35, .external_lex_state = 2},
  [4438] = {.lex_state = 35},
  [4439] = {.lex_state = 35},
  [4440] = {.lex_state = 35},
  [4441] = {.lex_state = 35},
  [4442] = {.lex_state = 35},
  [4443] = {.lex_state = 35},
  [4444] = {.lex_state = 35},
  [4445] = {.lex_state = 35},
  [4446] = {.lex_state = 35, .external_lex_state = 2},
  [4447] = {.lex_state = 35, .external_lex_state = 2},
  [4448] = {.lex_state = 35, .external_lex_state = 2},
  [4449] = {.lex_state = 35, .external_lex_state = 2},
  [4450] = {.lex_state = 35},
  [4451] = {.lex_state = 35},
  [4452] = {.lex_state = 35},
  [4453] = {.lex_state = 35},
  [4454] = {.lex_state = 35},
  [4455] = {.lex_state = 35},
  [4456] = {.lex_state = 35},
  [4457] = {.lex_state = 35},
  [4458] = {.lex_state = 35},
  [4459] = {.lex_state = 35},
  [4460] = {.lex_state = 35},
  [4461] = {.lex_state = 35},
  [4462] = {.lex_state = 35},
  [4463] = {.lex_state = 35, .external_lex_state = 2},
  [4464] = {.lex_state = 35},
  [4465] = {.lex_state = 35, .external_lex_state = 2},
  [4466] = {.lex_state = 35},
  [4467] = {.lex_state = 35},
  [4468] = {.lex_state = 35},
  [4469] = {.lex_state = 35, .external_lex_state = 2},
  [4470] = {.lex_state = 35},
  [4471] = {.lex_state = 35},
  [4472] = {.lex_state = 35},
  [4473] = {.lex_state = 35, .external_lex_state = 2},
  [4474] = {.lex_state = 35, .external_lex_state = 2},
  [4475] = {.lex_state = 35, .external_lex_state = 2},
  [4476] = {.lex_state = 35, .external_lex_state = 2},
  [4477] = {.lex_state = 35},
  [4478] = {.lex_state = 35},
  [4479] = {.lex_state = 35, .external_lex_state = 2},
  [4480] = {.lex_state = 33},
  [4481] = {.lex_state = 35, .external_lex_state = 2},
  [4482] = {.lex_state = 35, .external_lex_state = 2},
  [4483] = {.lex_state = 35, .external_lex_state = 2},
  [4484] = {.lex_state = 35, .external_lex_state = 2},
  [4485] = {.lex_state = 35, .external_lex_state = 2},
  [4486] = {.lex_state = 35, .external_lex_state = 2},
  [4487] = {.lex_state = 35, .external_lex_state = 2},
  [4488] = {.lex_state = 35, .external_lex_state = 2},
  [4489] = {.lex_state = 35, .external_lex_state = 2},
  [4490] = {.lex_state = 35, .external_lex_state = 2},
  [4491] = {.lex_state = 35, .external_lex_state = 2},
  [4492] = {.lex_state = 35, .external_lex_state = 2},
  [4493] = {.lex_state = 35, .external_lex_state = 2},
  [4494] = {.lex_state = 35, .external_lex_state = 2},
  [4495] = {.lex_state = 35, .external_lex_state = 2},
  [4496] = {.lex_state = 35, .external_lex_state = 2},
  [4497] = {.lex_state = 35, .external_lex_state = 2},
  [4498] = {.lex_state = 35, .external_lex_state = 2},
  [4499] = {.lex_state = 35, .external_lex_state = 2},
  [4500] = {.lex_state = 35, .external_lex_state = 2},
  [4501] = {.lex_state = 35, .external_lex_state = 2},
  [4502] = {.lex_state = 35, .external_lex_state = 2},
  [4503] = {.lex_state = 35, .external_lex_state = 2},
  [4504] = {.lex_state = 35, .external_lex_state = 2},
  [4505] = {.lex_state = 35, .external_lex_state = 2},
  [4506] = {.lex_state = 35, .external_lex_state = 2},
  [4507] = {.lex_state = 35, .external_lex_state = 2},
  [4508] = {.lex_state = 35, .external_lex_state = 2},
  [4509] = {.lex_state = 35, .external_lex_state = 2},
  [4510] = {.lex_state = 35, .external_lex_state = 2},
  [4511] = {.lex_state = 35, .external_lex_state = 2},
  [4512] = {.lex_state = 35, .external_lex_state = 2},
  [4513] = {.lex_state = 35, .external_lex_state = 2},
  [4514] = {.lex_state = 35, .external_lex_state = 2},
  [4515] = {.lex_state = 35},
  [4516] = {.lex_state = 35},
  [4517] = {.lex_state = 35},
  [4518] = {.lex_state = 35, .external_lex_state = 2},
  [4519] = {.lex_state = 35},
  [4520] = {.lex_state = 35, .external_lex_state = 2},
  [4521] = {.lex_state = 35, .external_lex_state = 2},
  [4522] = {.lex_state = 35, .external_lex_state = 2},
  [4523] = {.lex_state = 35},
  [4524] = {.lex_state = 35},
  [4525] = {.lex_state = 35, .external_lex_state = 2},
  [4526] = {.lex_state = 35, .external_lex_state = 2},
  [4527] = {.lex_state = 35},
  [4528] = {.lex_state = 35, .external_lex_state = 2},
  [4529] = {.lex_state = 35, .external_lex_state = 2},
  [4530] = {.lex_state = 35, .external_lex_state = 2},
  [4531] = {.lex_state = 35, .external_lex_state = 2},
  [4532] = {.lex_state = 35, .external_lex_state = 2},
  [4533] = {.lex_state = 35, .external_lex_state = 2},
  [4534] = {.lex_state = 35},
  [4535] = {.lex_state = 35},
  [4536] = {.lex_state = 35},
  [4537] = {.lex_state = 35, .external_lex_state = 2},
  [4538] = {.lex_state = 35, .external_lex_state = 2},
  [4539] = {.lex_state = 35, .external_lex_state = 2},
  [4540] = {.lex_state = 35, .external_lex_state = 2},
  [4541] = {.lex_state = 35, .external_lex_state = 2},
  [4542] = {.lex_state = 35, .external_lex_state = 2},
  [4543] = {.lex_state = 35, .external_lex_state = 2},
  [4544] = {.lex_state = 35, .external_lex_state = 2},
  [4545] = {.lex_state = 35, .external_lex_state = 2},
  [4546] = {.lex_state = 35, .external_lex_state = 2},
  [4547] = {.lex_state = 35, .external_lex_state = 2},
  [4548] = {.lex_state = 35, .external_lex_state = 2},
  [4549] = {.lex_state = 35, .external_lex_state = 2},
  [4550] = {.lex_state = 35, .external_lex_state = 2},
  [4551] = {.lex_state = 35, .external_lex_state = 2},
  [4552] = {.lex_state = 35, .external_lex_state = 2},
  [4553] = {.lex_state = 35, .external_lex_state = 2},
  [4554] = {.lex_state = 35, .external_lex_state = 2},
  [4555] = {.lex_state = 35, .external_lex_state = 2},
  [4556] = {.lex_state = 35, .external_lex_state = 2},
  [4557] = {.lex_state = 35, .external_lex_state = 2},
  [4558] = {.lex_state = 35, .external_lex_state = 2},
  [4559] = {.lex_state = 35, .external_lex_state = 2},
  [4560] = {.lex_state = 35, .external_lex_state = 2},
  [4561] = {.lex_state = 35, .external_lex_state = 2},
  [4562] = {.lex_state = 35, .external_lex_state = 2},
  [4563] = {.lex_state = 35, .external_lex_state = 2},
  [4564] = {.lex_state = 35, .external_lex_state = 2},
  [4565] = {.lex_state = 35, .external_lex_state = 2},
  [4566] = {.lex_state = 35, .external_lex_state = 2},
  [4567] = {.lex_state = 35, .external_lex_state = 2},
  [4568] = {.lex_state = 35, .external_lex_state = 2},
  [4569] = {.lex_state = 35, .external_lex_state = 2},
  [4570] = {.lex_state = 35, .external_lex_state = 2},
  [4571] = {.lex_state = 35, .external_lex_state = 2},
  [4572] = {.lex_state = 35, .external_lex_state = 2},
  [4573] = {.lex_state = 35, .external_lex_state = 2},
  [4574] = {.lex_state = 35, .external_lex_state = 2},
  [4575] = {.lex_state = 35, .external_lex_state = 2},
  [4576] = {.lex_state = 35, .external_lex_state = 2},
  [4577] = {.lex_state = 35, .external_lex_state = 2},
  [4578] = {.lex_state = 35, .external_lex_state = 2},
  [4579] = {.lex_state = 35, .external_lex_state = 2},
  [4580] = {.lex_state = 35, .external_lex_state = 2},
  [4581] = {.lex_state = 35, .external_lex_state = 2},
  [4582] = {.lex_state = 35, .external_lex_state = 2},
  [4583] = {.lex_state = 35, .external_lex_state = 2},
  [4584] = {.lex_state = 35, .external_lex_state = 2},
  [4585] = {.lex_state = 35, .external_lex_state = 2},
  [4586] = {.lex_state = 35, .external_lex_state = 2},
  [4587] = {.lex_state = 35, .external_lex_state = 2},
  [4588] = {.lex_state = 35, .external_lex_state = 2},
  [4589] = {.lex_state = 35, .external_lex_state = 2},
  [4590] = {.lex_state = 35, .external_lex_state = 2},
  [4591] = {.lex_state = 35, .external_lex_state = 2},
  [4592] = {.lex_state = 35, .external_lex_state = 2},
  [4593] = {.lex_state = 35, .external_lex_state = 2},
  [4594] = {.lex_state = 35, .external_lex_state = 2},
  [4595] = {.lex_state = 35, .external_lex_state = 2},
  [4596] = {.lex_state = 35, .external_lex_state = 2},
  [4597] = {.lex_state = 35, .external_lex_state = 2},
  [4598] = {.lex_state = 35, .external_lex_state = 2},
  [4599] = {.lex_state = 35, .external_lex_state = 2},
  [4600] = {.lex_state = 35, .external_lex_state = 2},
  [4601] = {.lex_state = 35, .external_lex_state = 2},
  [4602] = {.lex_state = 35, .external_lex_state = 2},
  [4603] = {.lex_state = 35, .external_lex_state = 2},
  [4604] = {.lex_state = 35, .external_lex_state = 2},
  [4605] = {.lex_state = 35, .external_lex_state = 2},
  [4606] = {.lex_state = 35, .external_lex_state = 2},
  [4607] = {.lex_state = 35, .external_lex_state = 2},
  [4608] = {.lex_state = 35, .external_lex_state = 2},
  [4609] = {.lex_state = 35, .external_lex_state = 2},
  [4610] = {.lex_state = 35, .external_lex_state = 2},
  [4611] = {.lex_state = 35, .external_lex_state = 2},
  [4612] = {.lex_state = 35, .external_lex_state = 2},
  [4613] = {.lex_state = 35, .external_lex_state = 2},
  [4614] = {.lex_state = 35, .external_lex_state = 2},
  [4615] = {.lex_state = 35, .external_lex_state = 2},
  [4616] = {.lex_state = 35, .external_lex_state = 2},
  [4617] = {.lex_state = 35, .external_lex_state = 2},
  [4618] = {.lex_state = 35, .external_lex_state = 2},
  [4619] = {.lex_state = 35, .external_lex_state = 2},
  [4620] = {.lex_state = 35, .external_lex_state = 2},
  [4621] = {.lex_state = 35, .external_lex_state = 2},
  [4622] = {.lex_state = 35, .external_lex_state = 2},
  [4623] = {.lex_state = 35, .external_lex_state = 2},
  [4624] = {.lex_state = 35, .external_lex_state = 2},
  [4625] = {.lex_state = 35, .external_lex_state = 2},
  [4626] = {.lex_state = 35, .external_lex_state = 2},
  [4627] = {.lex_state = 35, .external_lex_state = 2},
  [4628] = {.lex_state = 35, .external_lex_state = 2},
  [4629] = {.lex_state = 35, .external_lex_state = 2},
  [4630] = {.lex_state = 35, .external_lex_state = 2},
  [4631] = {.lex_state = 35, .external_lex_state = 2},
  [4632] = {.lex_state = 35, .external_lex_state = 2},
  [4633] = {.lex_state = 35, .external_lex_state = 2},
  [4634] = {.lex_state = 35, .external_lex_state = 2},
  [4635] = {.lex_state = 35, .external_lex_state = 2},
  [4636] = {.lex_state = 35, .external_lex_state = 2},
  [4637] = {.lex_state = 35, .external_lex_state = 2},
  [4638] = {.lex_state = 35, .external_lex_state = 2},
  [4639] = {.lex_state = 35, .external_lex_state = 2},
  [4640] = {.lex_state = 35, .external_lex_state = 2},
  [4641] = {.lex_state = 35, .external_lex_state = 2},
  [4642] = {.lex_state = 35, .external_lex_state = 2},
  [4643] = {.lex_state = 35, .external_lex_state = 2},
  [4644] = {.lex_state = 35, .external_lex_state = 2},
  [4645] = {.lex_state = 35, .external_lex_state = 2},
  [4646] = {.lex_state = 35, .external_lex_state = 2},
  [4647] = {.lex_state = 35, .external_lex_state = 2},
  [4648] = {.lex_state = 35, .external_lex_state = 2},
  [4649] = {.lex_state = 35, .external_lex_state = 2},
  [4650] = {.lex_state = 35, .external_lex_state = 2},
  [4651] = {.lex_state = 35, .external_lex_state = 2},
  [4652] = {.lex_state = 35, .external_lex_state = 2},
  [4653] = {.lex_state = 35, .external_lex_state = 2},
  [4654] = {.lex_state = 35, .external_lex_state = 2},
  [4655] = {.lex_state = 35, .external_lex_state = 2},
  [4656] = {.lex_state = 35, .external_lex_state = 2},
  [4657] = {.lex_state = 35, .external_lex_state = 2},
  [4658] = {.lex_state = 35, .external_lex_state = 2},
  [4659] = {.lex_state = 35, .external_lex_state = 2},
  [4660] = {.lex_state = 35, .external_lex_state = 2},
  [4661] = {.lex_state = 35, .external_lex_state = 2},
  [4662] = {.lex_state = 35, .external_lex_state = 2},
  [4663] = {.lex_state = 35, .external_lex_state = 2},
  [4664] = {.lex_state = 35, .external_lex_state = 2},
  [4665] = {.lex_state = 35, .external_lex_state = 2},
  [4666] = {.lex_state = 35, .external_lex_state = 2},
  [4667] = {.lex_state = 35, .external_lex_state = 2},
  [4668] = {.lex_state = 35, .external_lex_state = 2},
  [4669] = {.lex_state = 35, .external_lex_state = 2},
  [4670] = {.lex_state = 35, .external_lex_state = 2},
  [4671] = {.lex_state = 35, .external_lex_state = 2},
  [4672] = {.lex_state = 35, .external_lex_state = 2},
  [4673] = {.lex_state = 35, .external_lex_state = 2},
  [4674] = {.lex_state = 35, .external_lex_state = 2},
  [4675] = {.lex_state = 35, .external_lex_state = 2},
  [4676] = {.lex_state = 35},
  [4677] = {.lex_state = 35, .external_lex_state = 2},
  [4678] = {.lex_state = 35, .external_lex_state = 2},
  [4679] = {.lex_state = 35, .external_lex_state = 2},
  [4680] = {.lex_state = 35, .external_lex_state = 2},
  [4681] = {.lex_state = 35, .external_lex_state = 2},
  [4682] = {.lex_state = 35, .external_lex_state = 2},
  [4683] = {.lex_state = 35, .external_lex_state = 2},
  [4684] = {.lex_state = 35, .external_lex_state = 2},
  [4685] = {.lex_state = 35, .external_lex_state = 2},
  [4686] = {.lex_state = 35, .external_lex_state = 2},
  [4687] = {.lex_state = 35, .external_lex_state = 2},
  [4688] = {.lex_state = 35},
  [4689] = {.lex_state = 35},
  [4690] = {.lex_state = 35, .external_lex_state = 2},
  [4691] = {.lex_state = 35},
  [4692] = {.lex_state = 35},
  [4693] = {.lex_state = 35},
  [4694] = {.lex_state = 35},
  [4695] = {.lex_state = 35},
  [4696] = {.lex_state = 35},
  [4697] = {.lex_state = 35},
  [4698] = {.lex_state = 35},
  [4699] = {.lex_state = 35},
  [4700] = {.lex_state = 35},
  [4701] = {.lex_state = 35},
  [4702] = {.lex_state = 35},
  [4703] = {.lex_state = 35},
  [4704] = {.lex_state = 35},
  [4705] = {.lex_state = 35, .external_lex_state = 2},
  [4706] = {.lex_state = 35, .external_lex_state = 2},
  [4707] = {.lex_state = 35, .external_lex_state = 2},
  [4708] = {.lex_state = 35, .external_lex_state = 2},
  [4709] = {.lex_state = 35, .external_lex_state = 2},
  [4710] = {.lex_state = 35},
  [4711] = {.lex_state = 35},
  [4712] = {.lex_state = 35},
  [4713] = {.lex_state = 35, .external_lex_state = 2},
  [4714] = {.lex_state = 35, .external_lex_state = 2},
  [4715] = {.lex_state = 35, .external_lex_state = 2},
  [4716] = {.lex_state = 35, .external_lex_state = 2},
  [4717] = {.lex_state = 35, .external_lex_state = 2},
  [4718] = {.lex_state = 35, .external_lex_state = 2},
  [4719] = {.lex_state = 35, .external_lex_state = 2},
  [4720] = {.lex_state = 35, .external_lex_state = 2},
  [4721] = {.lex_state = 35, .external_lex_state = 2},
  [4722] = {.lex_state = 35, .external_lex_state = 2},
  [4723] = {.lex_state = 35, .external_lex_state = 2},
  [4724] = {.lex_state = 35, .external_lex_state = 2},
  [4725] = {.lex_state = 35, .external_lex_state = 2},
  [4726] = {.lex_state = 35, .external_lex_state = 2},
  [4727] = {.lex_state = 35, .external_lex_state = 2},
  [4728] = {.lex_state = 35, .external_lex_state = 2},
  [4729] = {.lex_state = 35, .external_lex_state = 2},
  [4730] = {.lex_state = 35, .external_lex_state = 2},
  [4731] = {.lex_state = 35, .external_lex_state = 2},
  [4732] = {.lex_state = 35, .external_lex_state = 2},
  [4733] = {.lex_state = 35, .external_lex_state = 2},
  [4734] = {.lex_state = 35},
  [4735] = {.lex_state = 35},
  [4736] = {.lex_state = 35},
  [4737] = {.lex_state = 35},
  [4738] = {.lex_state = 35},
  [4739] = {.lex_state = 35},
  [4740] = {.lex_state = 35, .external_lex_state = 2},
  [4741] = {.lex_state = 35},
  [4742] = {.lex_state = 35, .external_lex_state = 2},
  [4743] = {.lex_state = 35, .external_lex_state = 2},
  [4744] = {.lex_state = 35, .external_lex_state = 2},
  [4745] = {.lex_state = 35, .external_lex_state = 2},
  [4746] = {.lex_state = 35, .external_lex_state = 2},
  [4747] = {.lex_state = 35, .external_lex_state = 2},
  [4748] = {.lex_state = 35, .external_lex_state = 2},
  [4749] = {.lex_state = 35, .external_lex_state = 2},
  [4750] = {.lex_state = 35, .external_lex_state = 2},
  [4751] = {.lex_state = 35, .external_lex_state = 2},
  [4752] = {.lex_state = 35, .external_lex_state = 2},
  [4753] = {.lex_state = 35, .external_lex_state = 2},
  [4754] = {.lex_state = 35, .external_lex_state = 2},
  [4755] = {.lex_state = 35, .external_lex_state = 2},
  [4756] = {.lex_state = 35, .external_lex_state = 2},
  [4757] = {.lex_state = 35, .external_lex_state = 2},
  [4758] = {.lex_state = 35, .external_lex_state = 2},
  [4759] = {.lex_state = 35, .external_lex_state = 2},
  [4760] = {.lex_state = 35, .external_lex_state = 2},
  [4761] = {.lex_state = 35, .external_lex_state = 2},
  [4762] = {.lex_state = 35, .external_lex_state = 2},
  [4763] = {.lex_state = 35, .external_lex_state = 2},
  [4764] = {.lex_state = 35, .external_lex_state = 2},
  [4765] = {.lex_state = 35, .external_lex_state = 2},
  [4766] = {.lex_state = 35, .external_lex_state = 2},
  [4767] = {.lex_state = 35, .external_lex_state = 2},
  [4768] = {.lex_state = 35, .external_lex_state = 2},
  [4769] = {.lex_state = 35, .external_lex_state = 2},
  [4770] = {.lex_state = 35, .external_lex_state = 2},
  [4771] = {.lex_state = 35, .external_lex_state = 2},
  [4772] = {.lex_state = 35, .external_lex_state = 2},
  [4773] = {.lex_state = 35, .external_lex_state = 2},
  [4774] = {.lex_state = 35},
  [4775] = {.lex_state = 35, .external_lex_state = 2},
  [4776] = {.lex_state = 35, .external_lex_state = 2},
  [4777] = {.lex_state = 35, .external_lex_state = 2},
  [4778] = {.lex_state = 35, .external_lex_state = 2},
  [4779] = {.lex_state = 35, .external_lex_state = 2},
  [4780] = {.lex_state = 35, .external_lex_state = 2},
  [4781] = {.lex_state = 35, .external_lex_state = 2},
  [4782] = {.lex_state = 35, .external_lex_state = 2},
  [4783] = {.lex_state = 35, .external_lex_state = 2},
  [4784] = {.lex_state = 35},
  [4785] = {.lex_state = 35, .external_lex_state = 2},
  [4786] = {.lex_state = 35},
  [4787] = {.lex_state = 35},
  [4788] = {.lex_state = 35},
  [4789] = {.lex_state = 35},
  [4790] = {.lex_state = 35, .external_lex_state = 2},
  [4791] = {.lex_state = 35},
  [4792] = {.lex_state = 35},
  [4793] = {.lex_state = 35},
  [4794] = {.lex_state = 35},
  [4795] = {.lex_state = 35},
  [4796] = {.lex_state = 35},
  [4797] = {.lex_state = 35},
  [4798] = {.lex_state = 35},
  [4799] = {.lex_state = 35},
  [4800] = {.lex_state = 35, .external_lex_state = 2},
  [4801] = {.lex_state = 35, .external_lex_state = 2},
  [4802] = {.lex_state = 35},
  [4803] = {.lex_state = 35},
  [4804] = {.lex_state = 35, .external_lex_state = 2},
  [4805] = {.lex_state = 35, .external_lex_state = 2},
  [4806] = {.lex_state = 35, .external_lex_state = 2},
  [4807] = {.lex_state = 35},
  [4808] = {.lex_state = 35, .external_lex_state = 2},
  [4809] = {.lex_state = 35, .external_lex_state = 2},
  [4810] = {.lex_state = 35, .external_lex_state = 2},
  [4811] = {.lex_state = 35, .external_lex_state = 2},
  [4812] = {.lex_state = 35, .external_lex_state = 2},
  [4813] = {.lex_state = 35, .external_lex_state = 2},
  [4814] = {.lex_state = 35, .external_lex_state = 2},
  [4815] = {.lex_state = 35},
  [4816] = {.lex_state = 35, .external_lex_state = 2},
  [4817] = {.lex_state = 35, .external_lex_state = 2},
  [4818] = {.lex_state = 35, .external_lex_state = 2},
  [4819] = {.lex_state = 35, .external_lex_state = 2},
  [4820] = {.lex_state = 35, .external_lex_state = 2},
  [4821] = {.lex_state = 35, .external_lex_state = 2},
  [4822] = {.lex_state = 35, .external_lex_state = 2},
  [4823] = {.lex_state = 35},
  [4824] = {.lex_state = 35},
  [4825] = {.lex_state = 35},
  [4826] = {.lex_state = 35},
  [4827] = {.lex_state = 35},
  [4828] = {.lex_state = 35, .external_lex_state = 2},
  [4829] = {.lex_state = 35, .external_lex_state = 2},
  [4830] = {.lex_state = 35, .external_lex_state = 2},
  [4831] = {.lex_state = 35},
  [4832] = {.lex_state = 35},
  [4833] = {.lex_state = 35, .external_lex_state = 2},
  [4834] = {.lex_state = 35, .external_lex_state = 2},
  [4835] = {.lex_state = 35, .external_lex_state = 2},
  [4836] = {.lex_state = 35, .external_lex_state = 2},
  [4837] = {.lex_state = 35, .external_lex_state = 2},
  [4838] = {.lex_state = 35, .external_lex_state = 2},
  [4839] = {.lex_state = 35, .external_lex_state = 2},
  [4840] = {.lex_state = 35, .external_lex_state = 2},
  [4841] = {.lex_state = 35, .external_lex_state = 2},
  [4842] = {.lex_state = 35, .external_lex_state = 2},
  [4843] = {.lex_state = 35, .external_lex_state = 2},
  [4844] = {.lex_state = 35, .external_lex_state = 2},
  [4845] = {.lex_state = 35, .external_lex_state = 2},
  [4846] = {.lex_state = 35, .external_lex_state = 2},
  [4847] = {.lex_state = 35, .external_lex_state = 2},
  [4848] = {.lex_state = 35, .external_lex_state = 2},
  [4849] = {.lex_state = 35, .external_lex_state = 2},
  [4850] = {.lex_state = 35, .external_lex_state = 2},
  [4851] = {.lex_state = 35, .external_lex_state = 2},
  [4852] = {.lex_state = 35, .external_lex_state = 2},
  [4853] = {.lex_state = 35, .external_lex_state = 2},
  [4854] = {.lex_state = 35, .external_lex_state = 2},
  [4855] = {.lex_state = 35, .external_lex_state = 2},
  [4856] = {.lex_state = 35, .external_lex_state = 2},
  [4857] = {.lex_state = 35, .external_lex_state = 2},
  [4858] = {.lex_state = 35, .external_lex_state = 2},
  [4859] = {.lex_state = 35, .external_lex_state = 2},
  [4860] = {.lex_state = 35, .external_lex_state = 2},
  [4861] = {.lex_state = 35, .external_lex_state = 2},
  [4862] = {.lex_state = 35, .external_lex_state = 2},
  [4863] = {.lex_state = 35, .external_lex_state = 2},
  [4864] = {.lex_state = 33, .external_lex_state = 2},
  [4865] = {.lex_state = 35},
  [4866] = {.lex_state = 35},
  [4867] = {.lex_state = 35, .external_lex_state = 2},
  [4868] = {.lex_state = 35},
  [4869] = {.lex_state = 35, .external_lex_state = 2},
  [4870] = {.lex_state = 35, .external_lex_state = 2},
  [4871] = {.lex_state = 35, .external_lex_state = 2},
  [4872] = {.lex_state = 35, .external_lex_state = 2},
  [4873] = {.lex_state = 35, .external_lex_state = 2},
  [4874] = {.lex_state = 35, .external_lex_state = 2},
  [4875] = {.lex_state = 35, .external_lex_state = 2},
  [4876] = {.lex_state = 35, .external_lex_state = 2},
  [4877] = {.lex_state = 35, .external_lex_state = 2},
  [4878] = {.lex_state = 35, .external_lex_state = 2},
  [4879] = {.lex_state = 35, .external_lex_state = 2},
  [4880] = {.lex_state = 35, .external_lex_state = 2},
  [4881] = {.lex_state = 35, .external_lex_state = 2},
  [4882] = {.lex_state = 35},
  [4883] = {.lex_state = 35, .external_lex_state = 2},
  [4884] = {.lex_state = 35},
  [4885] = {.lex_state = 35, .external_lex_state = 2},
  [4886] = {.lex_state = 35},
  [4887] = {.lex_state = 35},
  [4888] = {.lex_state = 35},
  [4889] = {.lex_state = 35},
  [4890] = {.lex_state = 35},
  [4891] = {.lex_state = 35},
  [4892] = {.lex_state = 35},
  [4893] = {.lex_state = 35},
  [4894] = {.lex_state = 35, .external_lex_state = 2},
  [4895] = {.lex_state = 35},
  [4896] = {.lex_state = 35},
  [4897] = {.lex_state = 35},
  [4898] = {.lex_state = 35},
  [4899] = {.lex_state = 35},
  [4900] = {.lex_state = 35},
  [4901] = {.lex_state = 35},
  [4902] = {.lex_state = 35},
  [4903] = {.lex_state = 35, .external_lex_state = 2},
  [4904] = {.lex_state = 35, .external_lex_state = 2},
  [4905] = {.lex_state = 35},
  [4906] = {.lex_state = 35},
  [4907] = {.lex_state = 35},
  [4908] = {.lex_state = 35},
  [4909] = {.lex_state = 35, .external_lex_state = 2},
  [4910] = {.lex_state = 35, .external_lex_state = 2},
  [4911] = {.lex_state = 35},
  [4912] = {.lex_state = 35, .external_lex_state = 2},
  [4913] = {.lex_state = 35, .external_lex_state = 2},
  [4914] = {.lex_state = 35, .external_lex_state = 2},
  [4915] = {.lex_state = 35, .external_lex_state = 2},
  [4916] = {.lex_state = 35, .external_lex_state = 2},
  [4917] = {.lex_state = 35, .external_lex_state = 2},
  [4918] = {.lex_state = 35, .external_lex_state = 2},
  [4919] = {.lex_state = 35, .external_lex_state = 2},
  [4920] = {.lex_state = 35},
  [4921] = {.lex_state = 35, .external_lex_state = 2},
  [4922] = {.lex_state = 33, .external_lex_state = 2},
  [4923] = {.lex_state = 35, .external_lex_state = 2},
  [4924] = {.lex_state = 35, .external_lex_state = 2},
  [4925] = {.lex_state = 35, .external_lex_state = 2},
  [4926] = {.lex_state = 35, .external_lex_state = 2},
  [4927] = {.lex_state = 35, .external_lex_state = 2},
  [4928] = {.lex_state = 35},
  [4929] = {.lex_state = 35},
  [4930] = {.lex_state = 35, .external_lex_state = 2},
  [4931] = {.lex_state = 33, .external_lex_state = 2},
  [4932] = {.lex_state = 35, .external_lex_state = 2},
  [4933] = {.lex_state = 35, .external_lex_state = 2},
  [4934] = {.lex_state = 35, .external_lex_state = 2},
  [4935] = {.lex_state = 35, .external_lex_state = 2},
  [4936] = {.lex_state = 35},
  [4937] = {.lex_state = 35, .external_lex_state = 2},
  [4938] = {.lex_state = 35},
  [4939] = {.lex_state = 35},
  [4940] = {.lex_state = 35, .external_lex_state = 2},
  [4941] = {.lex_state = 35, .external_lex_state = 2},
  [4942] = {.lex_state = 33},
  [4943] = {.lex_state = 35, .external_lex_state = 2},
  [4944] = {.lex_state = 35},
  [4945] = {.lex_state = 35, .external_lex_state = 2},
  [4946] = {.lex_state = 35, .external_lex_state = 2},
  [4947] = {.lex_state = 35},
  [4948] = {.lex_state = 35, .external_lex_state = 2},
  [4949] = {.lex_state = 35, .external_lex_state = 2},
  [4950] = {.lex_state = 35},
  [4951] = {.lex_state = 35},
  [4952] = {.lex_state = 35, .external_lex_state = 2},
  [4953] = {.lex_state = 35},
  [4954] = {.lex_state = 35},
  [4955] = {.lex_state = 35},
  [4956] = {.lex_state = 35},
  [4957] = {.lex_state = 35},
  [4958] = {.lex_state = 35},
  [4959] = {.lex_state = 35},
  [4960] = {.lex_state = 35},
  [4961] = {.lex_state = 35},
  [4962] = {.lex_state = 35},
  [4963] = {.lex_state = 35, .external_lex_state = 2},
  [4964] = {.lex_state = 35},
  [4965] = {.lex_state = 35},
  [4966] = {.lex_state = 35},
  [4967] = {.lex_state = 35},
  [4968] = {.lex_state = 35, .external_lex_state = 2},
  [4969] = {.lex_state = 35},
  [4970] = {.lex_state = 35},
  [4971] = {.lex_state = 35},
  [4972] = {.lex_state = 35},
  [4973] = {.lex_state = 35},
  [4974] = {.lex_state = 35},
  [4975] = {.lex_state = 35},
  [4976] = {.lex_state = 35},
  [4977] = {.lex_state = 35},
  [4978] = {.lex_state = 35},
  [4979] = {.lex_state = 35, .external_lex_state = 2},
  [4980] = {.lex_state = 35, .external_lex_state = 2},
  [4981] = {.lex_state = 35, .external_lex_state = 2},
  [4982] = {.lex_state = 35},
  [4983] = {.lex_state = 35},
  [4984] = {.lex_state = 35, .external_lex_state = 2},
  [4985] = {.lex_state = 35, .external_lex_state = 2},
  [4986] = {.lex_state = 35, .external_lex_state = 2},
  [4987] = {.lex_state = 35, .external_lex_state = 2},
  [4988] = {.lex_state = 35, .external_lex_state = 2},
  [4989] = {.lex_state = 35},
  [4990] = {.lex_state = 35, .external_lex_state = 2},
  [4991] = {.lex_state = 35, .external_lex_state = 2},
  [4992] = {.lex_state = 35, .external_lex_state = 2},
  [4993] = {.lex_state = 35, .external_lex_state = 2},
  [4994] = {.lex_state = 35, .external_lex_state = 2},
  [4995] = {.lex_state = 35},
  [4996] = {.lex_state = 35},
  [4997] = {.lex_state = 35},
  [4998] = {.lex_state = 35},
  [4999] = {.lex_state = 35, .external_lex_state = 2},
  [5000] = {.lex_state = 35, .external_lex_state = 2},
  [5001] = {.lex_state = 35},
  [5002] = {.lex_state = 35},
  [5003] = {.lex_state = 35},
  [5004] = {.lex_state = 35, .external_lex_state = 2},
  [5005] = {.lex_state = 35},
  [5006] = {.lex_state = 35},
  [5007] = {.lex_state = 35, .external_lex_state = 2},
  [5008] = {.lex_state = 35},
  [5009] = {.lex_state = 35},
  [5010] = {.lex_state = 35},
  [5011] = {.lex_state = 35},
  [5012] = {.lex_state = 35},
  [5013] = {.lex_state = 35, .external_lex_state = 2},
  [5014] = {.lex_state = 35, .external_lex_state = 2},
  [5015] = {.lex_state = 35, .external_lex_state = 2},
  [5016] = {.lex_state = 35, .external_lex_state = 2},
  [5017] = {.lex_state = 35},
  [5018] = {.lex_state = 35, .external_lex_state = 2},
  [5019] = {.lex_state = 33},
  [5020] = {.lex_state = 35},
  [5021] = {.lex_state = 35, .external_lex_state = 2},
  [5022] = {.lex_state = 35, .external_lex_state = 2},
  [5023] = {.lex_state = 35, .external_lex_state = 2},
  [5024] = {.lex_state = 35},
  [5025] = {.lex_state = 35, .external_lex_state = 2},
  [5026] = {.lex_state = 35},
  [5027] = {.lex_state = 35, .external_lex_state = 2},
  [5028] = {.lex_state = 35, .external_lex_state = 2},
  [5029] = {.lex_state = 35},
  [5030] = {.lex_state = 35},
  [5031] = {.lex_state = 35},
  [5032] = {.lex_state = 35},
  [5033] = {.lex_state = 35},
  [5034] = {.lex_state = 35},
  [5035] = {.lex_state = 35},
  [5036] = {.lex_state = 35},
  [5037] = {.lex_state = 35, .external_lex_state = 2},
  [5038] = {.lex_state = 35, .external_lex_state = 2},
  [5039] = {.lex_state = 35, .external_lex_state = 2},
  [5040] = {.lex_state = 35, .external_lex_state = 2},
  [5041] = {.lex_state = 33},
  [5042] = {.lex_state = 35},
  [5043] = {.lex_state = 35, .external_lex_state = 2},
  [5044] = {.lex_state = 35},
  [5045] = {.lex_state = 35},
  [5046] = {.lex_state = 35, .external_lex_state = 2},
  [5047] = {.lex_state = 35},
  [5048] = {.lex_state = 35, .external_lex_state = 2},
  [5049] = {.lex_state = 35, .external_lex_state = 2},
  [5050] = {.lex_state = 35},
  [5051] = {.lex_state = 35, .external_lex_state = 2},
  [5052] = {.lex_state = 35},
  [5053] = {.lex_state = 35},
  [5054] = {.lex_state = 35},
  [5055] = {.lex_state = 35},
  [5056] = {.lex_state = 35},
  [5057] = {.lex_state = 35},
  [5058] = {.lex_state = 35},
  [5059] = {.lex_state = 35},
  [5060] = {.lex_state = 35},
  [5061] = {.lex_state = 35},
  [5062] = {.lex_state = 35},
  [5063] = {.lex_state = 35, .external_lex_state = 2},
  [5064] = {.lex_state = 35, .external_lex_state = 2},
  [5065] = {.lex_state = 35},
  [5066] = {.lex_state = 35},
  [5067] = {.lex_state = 35},
  [5068] = {.lex_state = 35},
  [5069] = {.lex_state = 35},
  [5070] = {.lex_state = 35, .external_lex_state = 2},
  [5071] = {.lex_state = 35},
  [5072] = {.lex_state = 35, .external_lex_state = 2},
  [5073] = {.lex_state = 35, .external_lex_state = 2},
  [5074] = {.lex_state = 35, .external_lex_state = 2},
  [5075] = {.lex_state = 35, .external_lex_state = 2},
  [5076] = {.lex_state = 35},
  [5077] = {.lex_state = 35},
  [5078] = {.lex_state = 35},
  [5079] = {.lex_state = 35},
  [5080] = {.lex_state = 35},
  [5081] = {.lex_state = 35},
  [5082] = {.lex_state = 35},
  [5083] = {.lex_state = 35},
  [5084] = {.lex_state = 35},
  [5085] = {.lex_state = 35},
  [5086] = {.lex_state = 35},
  [5087] = {.lex_state = 35, .external_lex_state = 2},
  [5088] = {.lex_state = 35, .external_lex_state = 2},
  [5089] = {.lex_state = 35},
  [5090] = {.lex_state = 35},
  [5091] = {.lex_state = 35},
  [5092] = {.lex_state = 35},
  [5093] = {.lex_state = 35},
  [5094] = {.lex_state = 35},
  [5095] = {.lex_state = 35},
  [5096] = {.lex_state = 35},
  [5097] = {.lex_state = 35},
  [5098] = {.lex_state = 35},
  [5099] = {.lex_state = 35},
  [5100] = {.lex_state = 35},
  [5101] = {.lex_state = 35},
  [5102] = {.lex_state = 35},
  [5103] = {.lex_state = 35},
  [5104] = {.lex_state = 35},
  [5105] = {.lex_state = 35},
  [5106] = {.lex_state = 35},
  [5107] = {.lex_state = 35},
  [5108] = {.lex_state = 35},
  [5109] = {.lex_state = 35, .external_lex_state = 2},
  [5110] = {.lex_state = 35},
  [5111] = {.lex_state = 35, .external_lex_state = 2},
  [5112] = {.lex_state = 35, .external_lex_state = 2},
  [5113] = {.lex_state = 35},
  [5114] = {.lex_state = 35},
  [5115] = {.lex_state = 35, .external_lex_state = 2},
  [5116] = {.lex_state = 35, .external_lex_state = 2},
  [5117] = {.lex_state = 35},
  [5118] = {.lex_state = 35, .external_lex_state = 2},
  [5119] = {.lex_state = 35},
  [5120] = {.lex_state = 35, .external_lex_state = 2},
  [5121] = {.lex_state = 35},
  [5122] = {.lex_state = 35, .external_lex_state = 2},
  [5123] = {.lex_state = 35, .external_lex_state = 2},
  [5124] = {.lex_state = 35, .external_lex_state = 2},
  [5125] = {.lex_state = 35, .external_lex_state = 2},
  [5126] = {.lex_state = 35, .external_lex_state = 2},
  [5127] = {.lex_state = 35},
  [5128] = {.lex_state = 35},
  [5129] = {.lex_state = 35, .external_lex_state = 2},
  [5130] = {.lex_state = 35, .external_lex_state = 2},
  [5131] = {.lex_state = 35, .external_lex_state = 2},
  [5132] = {.lex_state = 35},
  [5133] = {.lex_state = 35, .external_lex_state = 2},
  [5134] = {.lex_state = 35, .external_lex_state = 2},
  [5135] = {.lex_state = 35, .external_lex_state = 2},
  [5136] = {.lex_state = 35},
  [5137] = {.lex_state = 35, .external_lex_state = 2},
  [5138] = {.lex_state = 35},
  [5139] = {.lex_state = 35, .external_lex_state = 2},
  [5140] = {.lex_state = 35},
  [5141] = {.lex_state = 35},
  [5142] = {.lex_state = 35},
  [5143] = {.lex_state = 35},
  [5144] = {.lex_state = 35},
  [5145] = {.lex_state = 35, .external_lex_state = 2},
  [5146] = {.lex_state = 35},
  [5147] = {.lex_state = 35},
  [5148] = {.lex_state = 35},
  [5149] = {.lex_state = 35},
  [5150] = {.lex_state = 35},
  [5151] = {.lex_state = 35},
  [5152] = {.lex_state = 35},
  [5153] = {.lex_state = 35, .external_lex_state = 2},
  [5154] = {.lex_state = 35},
  [5155] = {.lex_state = 35, .external_lex_state = 2},
  [5156] = {.lex_state = 35, .external_lex_state = 2},
  [5157] = {.lex_state = 35},
  [5158] = {.lex_state = 35},
  [5159] = {.lex_state = 35, .external_lex_state = 2},
  [5160] = {.lex_state = 35, .external_lex_state = 2},
  [5161] = {.lex_state = 35},
  [5162] = {.lex_state = 35},
  [5163] = {.lex_state = 35, .external_lex_state = 2},
  [5164] = {.lex_state = 35},
  [5165] = {.lex_state = 35, .external_lex_state = 2},
  [5166] = {.lex_state = 35, .external_lex_state = 2},
  [5167] = {.lex_state = 35, .external_lex_state = 2},
  [5168] = {.lex_state = 35},
  [5169] = {.lex_state = 35},
  [5170] = {.lex_state = 35, .external_lex_state = 2},
  [5171] = {.lex_state = 35, .external_lex_state = 2},
  [5172] = {.lex_state = 35, .external_lex_state = 2},
  [5173] = {.lex_state = 35},
  [5174] = {.lex_state = 35, .external_lex_state = 2},
  [5175] = {.lex_state = 35},
  [5176] = {.lex_state = 35, .external_lex_state = 2},
  [5177] = {.lex_state = 35, .external_lex_state = 2},
  [5178] = {.lex_state = 35, .external_lex_state = 2},
  [5179] = {.lex_state = 35},
  [5180] = {.lex_state = 35},
  [5181] = {.lex_state = 35, .external_lex_state = 2},
  [5182] = {.lex_state = 35},
  [5183] = {.lex_state = 35, .external_lex_state = 2},
  [5184] = {.lex_state = 35},
  [5185] = {.lex_state = 35, .external_lex_state = 2},
  [5186] = {.lex_state = 35},
  [5187] = {.lex_state = 35},
  [5188] = {.lex_state = 35, .external_lex_state = 2},
  [5189] = {.lex_state = 35, .external_lex_state = 2},
  [5190] = {.lex_state = 35, .external_lex_state = 2},
  [5191] = {.lex_state = 35, .external_lex_state = 2},
  [5192] = {.lex_state = 35, .external_lex_state = 2},
  [5193] = {.lex_state = 35},
  [5194] = {.lex_state = 35, .external_lex_state = 2},
  [5195] = {.lex_state = 35},
  [5196] = {.lex_state = 35},
  [5197] = {.lex_state = 35},
  [5198] = {.lex_state = 35},
  [5199] = {.lex_state = 35},
  [5200] = {.lex_state = 35},
  [5201] = {.lex_state = 35, .external_lex_state = 2},
  [5202] = {.lex_state = 35, .external_lex_state = 2},
  [5203] = {.lex_state = 35, .external_lex_state = 2},
  [5204] = {.lex_state = 35, .external_lex_state = 2},
  [5205] = {.lex_state = 35, .external_lex_state = 2},
  [5206] = {.lex_state = 35, .external_lex_state = 2},
  [5207] = {.lex_state = 35, .external_lex_state = 2},
  [5208] = {.lex_state = 35, .external_lex_state = 2},
  [5209] = {.lex_state = 35, .external_lex_state = 2},
  [5210] = {.lex_state = 35},
  [5211] = {.lex_state = 35, .external_lex_state = 2},
  [5212] = {.lex_state = 35, .external_lex_state = 2},
  [5213] = {.lex_state = 35, .external_lex_state = 2},
  [5214] = {.lex_state = 35, .external_lex_state = 2},
  [5215] = {.lex_state = 35, .external_lex_state = 2},
  [5216] = {.lex_state = 35, .external_lex_state = 2},
  [5217] = {.lex_state = 35, .external_lex_state = 2},
  [5218] = {.lex_state = 35, .external_lex_state = 2},
  [5219] = {.lex_state = 35, .external_lex_state = 2},
  [5220] = {.lex_state = 35, .external_lex_state = 2},
  [5221] = {.lex_state = 35},
  [5222] = {.lex_state = 35, .external_lex_state = 2},
  [5223] = {.lex_state = 35},
  [5224] = {.lex_state = 35, .external_lex_state = 2},
  [5225] = {.lex_state = 35, .external_lex_state = 2},
  [5226] = {.lex_state = 35, .external_lex_state = 2},
  [5227] = {.lex_state = 35, .external_lex_state = 2},
  [5228] = {.lex_state = 35, .external_lex_state = 2},
  [5229] = {.lex_state = 35},
  [5230] = {.lex_state = 35, .external_lex_state = 2},
  [5231] = {.lex_state = 35, .external_lex_state = 2},
  [5232] = {.lex_state = 33},
  [5233] = {.lex_state = 35},
  [5234] = {.lex_state = 35},
  [5235] = {.lex_state = 35, .external_lex_state = 2},
  [5236] = {.lex_state = 35},
  [5237] = {.lex_state = 35, .external_lex_state = 2},
  [5238] = {.lex_state = 35},
  [5239] = {.lex_state = 35},
  [5240] = {.lex_state = 35},
  [5241] = {.lex_state = 35},
  [5242] = {.lex_state = 35},
  [5243] = {.lex_state = 35},
  [5244] = {.lex_state = 35, .external_lex_state = 2},
  [5245] = {.lex_state = 35, .external_lex_state = 2},
  [5246] = {.lex_state = 35, .external_lex_state = 2},
  [5247] = {.lex_state = 35},
  [5248] = {.lex_state = 35},
  [5249] = {.lex_state = 35, .external_lex_state = 2},
  [5250] = {.lex_state = 35, .external_lex_state = 2},
  [5251] = {.lex_state = 35},
  [5252] = {.lex_state = 35, .external_lex_state = 2},
  [5253] = {.lex_state = 35},
  [5254] = {.lex_state = 35, .external_lex_state = 2},
  [5255] = {.lex_state = 35},
  [5256] = {.lex_state = 35, .external_lex_state = 2},
  [5257] = {.lex_state = 35, .external_lex_state = 2},
  [5258] = {.lex_state = 35},
  [5259] = {.lex_state = 35, .external_lex_state = 2},
  [5260] = {.lex_state = 35, .external_lex_state = 2},
  [5261] = {.lex_state = 35, .external_lex_state = 2},
  [5262] = {.lex_state = 35, .external_lex_state = 2},
  [5263] = {.lex_state = 35},
  [5264] = {.lex_state = 35, .external_lex_state = 2},
  [5265] = {.lex_state = 35},
  [5266] = {.lex_state = 35, .external_lex_state = 2},
  [5267] = {.lex_state = 35, .external_lex_state = 2},
  [5268] = {.lex_state = 35, .external_lex_state = 2},
  [5269] = {.lex_state = 35},
  [5270] = {.lex_state = 35, .external_lex_state = 2},
  [5271] = {.lex_state = 35, .external_lex_state = 2},
  [5272] = {.lex_state = 35, .external_lex_state = 2},
  [5273] = {.lex_state = 35, .external_lex_state = 2},
  [5274] = {.lex_state = 35, .external_lex_state = 2},
  [5275] = {.lex_state = 35, .external_lex_state = 2},
  [5276] = {.lex_state = 35},
  [5277] = {.lex_state = 35, .external_lex_state = 2},
  [5278] = {.lex_state = 35},
  [5279] = {.lex_state = 35},
  [5280] = {.lex_state = 35},
  [5281] = {.lex_state = 35},
  [5282] = {.lex_state = 35},
  [5283] = {.lex_state = 35},
  [5284] = {.lex_state = 35},
  [5285] = {.lex_state = 35},
  [5286] = {.lex_state = 35},
  [5287] = {.lex_state = 35},
  [5288] = {.lex_state = 35, .external_lex_state = 2},
  [5289] = {.lex_state = 35, .external_lex_state = 2},
  [5290] = {.lex_state = 35, .external_lex_state = 2},
  [5291] = {.lex_state = 35},
  [5292] = {.lex_state = 35, .external_lex_state = 2},
  [5293] = {.lex_state = 35},
  [5294] = {.lex_state = 35},
  [5295] = {.lex_state = 35, .external_lex_state = 2},
  [5296] = {.lex_state = 35, .external_lex_state = 2},
  [5297] = {.lex_state = 35},
  [5298] = {.lex_state = 35},
  [5299] = {.lex_state = 35, .external_lex_state = 2},
  [5300] = {.lex_state = 35},
  [5301] = {.lex_state = 35},
  [5302] = {.lex_state = 35},
  [5303] = {.lex_state = 35},
  [5304] = {.lex_state = 35, .external_lex_state = 2},
  [5305] = {.lex_state = 35, .external_lex_state = 2},
  [5306] = {.lex_state = 35},
  [5307] = {.lex_state = 35},
  [5308] = {.lex_state = 35},
  [5309] = {.lex_state = 35, .external_lex_state = 2},
  [5310] = {.lex_state = 35, .external_lex_state = 2},
  [5311] = {.lex_state = 35, .external_lex_state = 2},
  [5312] = {.lex_state = 35, .external_lex_state = 2},
  [5313] = {.lex_state = 35},
  [5314] = {.lex_state = 35, .external_lex_state = 2},
  [5315] = {.lex_state = 35, .external_lex_state = 2},
  [5316] = {.lex_state = 35, .external_lex_state = 2},
  [5317] = {.lex_state = 35, .external_lex_state = 2},
  [5318] = {.lex_state = 35, .external_lex_state = 2},
  [5319] = {.lex_state = 35, .external_lex_state = 2},
  [5320] = {.lex_state = 35, .external_lex_state = 2},
  [5321] = {.lex_state = 35, .external_lex_state = 2},
  [5322] = {.lex_state = 35, .external_lex_state = 2},
  [5323] = {.lex_state = 35, .external_lex_state = 2},
  [5324] = {.lex_state = 35},
  [5325] = {.lex_state = 35, .external_lex_state = 2},
  [5326] = {.lex_state = 35},
  [5327] = {.lex_state = 35},
  [5328] = {.lex_state = 35},
  [5329] = {.lex_state = 35},
  [5330] = {.lex_state = 35, .external_lex_state = 2},
  [5331] = {.lex_state = 35},
  [5332] = {.lex_state = 35, .external_lex_state = 2},
  [5333] = {.lex_state = 35, .external_lex_state = 2},
  [5334] = {.lex_state = 35},
  [5335] = {.lex_state = 35},
  [5336] = {.lex_state = 35},
  [5337] = {.lex_state = 35, .external_lex_state = 2},
  [5338] = {.lex_state = 35, .external_lex_state = 2},
  [5339] = {.lex_state = 35, .external_lex_state = 2},
  [5340] = {.lex_state = 35},
  [5341] = {.lex_state = 35},
  [5342] = {.lex_state = 35},
  [5343] = {.lex_state = 35},
  [5344] = {.lex_state = 35},
  [5345] = {.lex_state = 35},
  [5346] = {.lex_state = 35},
  [5347] = {.lex_state = 35},
  [5348] = {.lex_state = 35},
  [5349] = {.lex_state = 35, .external_lex_state = 2},
  [5350] = {.lex_state = 35},
  [5351] = {.lex_state = 35},
  [5352] = {.lex_state = 35},
  [5353] = {.lex_state = 35},
  [5354] = {.lex_state = 35},
  [5355] = {.lex_state = 35},
  [5356] = {.lex_state = 35},
  [5357] = {.lex_state = 35},
  [5358] = {.lex_state = 35},
  [5359] = {.lex_state = 35},
  [5360] = {.lex_state = 35},
  [5361] = {.lex_state = 35},
  [5362] = {.lex_state = 35},
  [5363] = {.lex_state = 35},
  [5364] = {.lex_state = 35},
  [5365] = {.lex_state = 35},
  [5366] = {.lex_state = 35},
  [5367] = {.lex_state = 35},
  [5368] = {.lex_state = 35},
  [5369] = {.lex_state = 35},
  [5370] = {.lex_state = 35},
  [5371] = {.lex_state = 35},
  [5372] = {.lex_state = 35},
  [5373] = {.lex_state = 35},
  [5374] = {.lex_state = 35},
  [5375] = {.lex_state = 35},
  [5376] = {.lex_state = 35},
  [5377] = {.lex_state = 35},
  [5378] = {.lex_state = 35},
  [5379] = {.lex_state = 35},
  [5380] = {.lex_state = 35},
  [5381] = {.lex_state = 35},
  [5382] = {.lex_state = 35},
  [5383] = {.lex_state = 35},
  [5384] = {.lex_state = 35},
  [5385] = {.lex_state = 35},
  [5386] = {.lex_state = 35},
  [5387] = {.lex_state = 35},
  [5388] = {.lex_state = 35},
  [5389] = {.lex_state = 35},
  [5390] = {.lex_state = 35},
  [5391] = {.lex_state = 35},
  [5392] = {.lex_state = 35},
  [5393] = {.lex_state = 35},
  [5394] = {.lex_state = 35},
  [5395] = {.lex_state = 35},
  [5396] = {.lex_state = 35},
  [5397] = {.lex_state = 35},
  [5398] = {.lex_state = 35},
  [5399] = {.lex_state = 35},
  [5400] = {.lex_state = 35},
  [5401] = {.lex_state = 35},
  [5402] = {.lex_state = 35},
  [5403] = {.lex_state = 35},
  [5404] = {.lex_state = 35},
  [5405] = {.lex_state = 35},
  [5406] = {.lex_state = 35},
  [5407] = {.lex_state = 35},
  [5408] = {.lex_state = 35},
  [5409] = {.lex_state = 35},
  [5410] = {.lex_state = 35},
  [5411] = {.lex_state = 35},
  [5412] = {.lex_state = 35},
  [5413] = {.lex_state = 35},
  [5414] = {.lex_state = 35},
  [5415] = {.lex_state = 35},
  [5416] = {.lex_state = 35},
  [5417] = {.lex_state = 35},
  [5418] = {.lex_state = 35},
  [5419] = {.lex_state = 35, .external_lex_state = 2},
  [5420] = {.lex_state = 35},
  [5421] = {.lex_state = 35},
  [5422] = {.lex_state = 35},
  [5423] = {.lex_state = 35},
  [5424] = {.lex_state = 35},
  [5425] = {.lex_state = 35},
  [5426] = {.lex_state = 35, .external_lex_state = 2},
  [5427] = {.lex_state = 35},
  [5428] = {.lex_state = 35},
  [5429] = {.lex_state = 35},
  [5430] = {.lex_state = 35},
  [5431] = {.lex_state = 35},
  [5432] = {.lex_state = 35},
  [5433] = {.lex_state = 35},
  [5434] = {.lex_state = 35},
  [5435] = {.lex_state = 35},
  [5436] = {.lex_state = 35},
  [5437] = {.lex_state = 35},
  [5438] = {.lex_state = 35},
  [5439] = {.lex_state = 35},
  [5440] = {.lex_state = 35},
  [5441] = {.lex_state = 35},
  [5442] = {.lex_state = 35},
  [5443] = {.lex_state = 35},
  [5444] = {.lex_state = 35},
  [5445] = {.lex_state = 35},
  [5446] = {.lex_state = 35},
  [5447] = {.lex_state = 35},
  [5448] = {.lex_state = 35},
  [5449] = {.lex_state = 35},
  [5450] = {.lex_state = 35},
  [5451] = {.lex_state = 35},
  [5452] = {.lex_state = 35},
  [5453] = {.lex_state = 35},
  [5454] = {.lex_state = 35},
  [5455] = {.lex_state = 35},
  [5456] = {.lex_state = 35},
  [5457] = {.lex_state = 35},
  [5458] = {.lex_state = 35},
  [5459] = {.lex_state = 35},
  [5460] = {.lex_state = 35},
  [5461] = {.lex_state = 35},
  [5462] = {.lex_state = 35},
  [5463] = {.lex_state = 35},
  [5464] = {.lex_state = 35},
  [5465] = {.lex_state = 35},
  [5466] = {.lex_state = 35},
  [5467] = {.lex_state = 35, .external_lex_state = 2},
  [5468] = {.lex_state = 35},
  [5469] = {.lex_state = 35},
  [5470] = {.lex_state = 35, .external_lex_state = 2},
  [5471] = {.lex_state = 35},
  [5472] = {.lex_state = 35},
  [5473] = {.lex_state = 35},
  [5474] = {.lex_state = 35, .external_lex_state = 2},
  [5475] = {.lex_state = 35},
  [5476] = {.lex_state = 35},
  [5477] = {.lex_state = 35},
  [5478] = {.lex_state = 35, .external_lex_state = 2},
  [5479] = {.lex_state = 35},
  [5480] = {.lex_state = 35},
  [5481] = {.lex_state = 35},
  [5482] = {.lex_state = 35, .external_lex_state = 2},
  [5483] = {.lex_state = 35},
  [5484] = {.lex_state = 35, .external_lex_state = 2},
  [5485] = {.lex_state = 35},
  [5486] = {.lex_state = 35},
  [5487] = {.lex_state = 35},
  [5488] = {.lex_state = 35},
  [5489] = {.lex_state = 35, .external_lex_state = 2},
  [5490] = {.lex_state = 35, .external_lex_state = 2},
  [5491] = {.lex_state = 35},
  [5492] = {.lex_state = 35, .external_lex_state = 2},
  [5493] = {.lex_state = 35},
  [5494] = {.lex_state = 35},
  [5495] = {.lex_state = 35},
  [5496] = {.lex_state = 35},
  [5497] = {.lex_state = 35},
  [5498] = {.lex_state = 35},
  [5499] = {.lex_state = 35},
  [5500] = {.lex_state = 35},
  [5501] = {.lex_state = 35},
  [5502] = {.lex_state = 35},
  [5503] = {.lex_state = 35, .external_lex_state = 2},
  [5504] = {.lex_state = 35},
  [5505] = {.lex_state = 35},
  [5506] = {.lex_state = 35, .external_lex_state = 2},
  [5507] = {.lex_state = 35, .external_lex_state = 2},
  [5508] = {.lex_state = 35, .external_lex_state = 2},
  [5509] = {.lex_state = 35, .external_lex_state = 2},
  [5510] = {.lex_state = 35, .external_lex_state = 2},
  [5511] = {.lex_state = 35, .external_lex_state = 2},
  [5512] = {.lex_state = 35},
  [5513] = {.lex_state = 35},
  [5514] = {.lex_state = 35},
  [5515] = {.lex_state = 35},
  [5516] = {.lex_state = 35},
  [5517] = {.lex_state = 35},
  [5518] = {.lex_state = 35},
  [5519] = {.lex_state = 35},
  [5520] = {.lex_state = 35, .external_lex_state = 2},
  [5521] = {.lex_state = 35},
  [5522] = {.lex_state = 35},
  [5523] = {.lex_state = 35},
  [5524] = {.lex_state = 35, .external_lex_state = 2},
  [5525] = {.lex_state = 35},
  [5526] = {.lex_state = 35, .external_lex_state = 2},
  [5527] = {.lex_state = 35, .external_lex_state = 2},
  [5528] = {.lex_state = 35},
  [5529] = {.lex_state = 35},
  [5530] = {.lex_state = 35},
  [5531] = {.lex_state = 35},
  [5532] = {.lex_state = 35},
  [5533] = {.lex_state = 35},
  [5534] = {.lex_state = 35},
  [5535] = {.lex_state = 35},
  [5536] = {.lex_state = 35},
  [5537] = {.lex_state = 35, .external_lex_state = 2},
  [5538] = {.lex_state = 35},
  [5539] = {.lex_state = 35},
  [5540] = {.lex_state = 35},
  [5541] = {.lex_state = 35, .external_lex_state = 2},
  [5542] = {.lex_state = 35},
  [5543] = {.lex_state = 35},
  [5544] = {.lex_state = 35},
  [5545] = {.lex_state = 35},
  [5546] = {.lex_state = 35},
  [5547] = {.lex_state = 35},
  [5548] = {.lex_state = 35},
  [5549] = {.lex_state = 35},
  [5550] = {.lex_state = 35},
  [5551] = {.lex_state = 35},
  [5552] = {.lex_state = 35},
  [5553] = {.lex_state = 35},
  [5554] = {.lex_state = 35, .external_lex_state = 2},
  [5555] = {.lex_state = 35, .external_lex_state = 2},
  [5556] = {.lex_state = 35, .external_lex_state = 2},
  [5557] = {.lex_state = 35, .external_lex_state = 2},
  [5558] = {.lex_state = 35, .external_lex_state = 2},
  [5559] = {.lex_state = 35, .external_lex_state = 2},
  [5560] = {.lex_state = 35, .external_lex_state = 2},
  [5561] = {.lex_state = 35, .external_lex_state = 2},
  [5562] = {.lex_state = 35, .external_lex_state = 2},
  [5563] = {.lex_state = 35, .external_lex_state = 2},
  [5564] = {.lex_state = 35, .external_lex_state = 2},
  [5565] = {.lex_state = 35},
  [5566] = {.lex_state = 35},
  [5567] = {.lex_state = 35},
  [5568] = {.lex_state = 35},
  [5569] = {.lex_state = 35, .external_lex_state = 2},
  [5570] = {.lex_state = 35, .external_lex_state = 2},
  [5571] = {.lex_state = 35},
  [5572] = {.lex_state = 35},
  [5573] = {.lex_state = 35, .external_lex_state = 2},
  [5574] = {.lex_state = 35, .external_lex_state = 2},
  [5575] = {.lex_state = 35},
  [5576] = {.lex_state = 35},
  [5577] = {.lex_state = 35},
  [5578] = {.lex_state = 35},
  [5579] = {.lex_state = 35},
  [5580] = {.lex_state = 35},
  [5581] = {.lex_state = 35},
  [5582] = {.lex_state = 35},
  [5583] = {.lex_state = 35},
  [5584] = {.lex_state = 35},
  [5585] = {.lex_state = 35},
  [5586] = {.lex_state = 35},
  [5587] = {.lex_state = 35},
  [5588] = {.lex_state = 35, .external_lex_state = 2},
  [5589] = {.lex_state = 35},
  [5590] = {.lex_state = 35, .external_lex_state = 2},
  [5591] = {.lex_state = 35},
  [5592] = {.lex_state = 35, .external_lex_state = 2},
  [5593] = {.lex_state = 35, .external_lex_state = 2},
  [5594] = {.lex_state = 35, .external_lex_state = 2},
  [5595] = {.lex_state = 35, .external_lex_state = 2},
  [5596] = {.lex_state = 35, .external_lex_state = 2},
  [5597] = {.lex_state = 35},
  [5598] = {.lex_state = 35},
  [5599] = {.lex_state = 35},
  [5600] = {.lex_state = 35},
  [5601] = {.lex_state = 35, .external_lex_state = 2},
  [5602] = {.lex_state = 35},
  [5603] = {.lex_state = 35},
  [5604] = {.lex_state = 35},
  [5605] = {.lex_state = 35},
  [5606] = {.lex_state = 35, .external_lex_state = 2},
  [5607] = {.lex_state = 35, .external_lex_state = 2},
  [5608] = {.lex_state = 35},
  [5609] = {.lex_state = 35, .external_lex_state = 2},
  [5610] = {.lex_state = 35, .external_lex_state = 2},
  [5611] = {.lex_state = 35, .external_lex_state = 2},
  [5612] = {.lex_state = 35},
  [5613] = {.lex_state = 35},
  [5614] = {.lex_state = 35},
  [5615] = {.lex_state = 35, .external_lex_state = 2},
  [5616] = {.lex_state = 35, .external_lex_state = 2},
  [5617] = {.lex_state = 35},
  [5618] = {.lex_state = 35},
  [5619] = {.lex_state = 35},
  [5620] = {.lex_state = 35},
  [5621] = {.lex_state = 35},
  [5622] = {.lex_state = 35},
  [5623] = {.lex_state = 36},
  [5624] = {.lex_state = 35},
  [5625] = {.lex_state = 35},
  [5626] = {.lex_state = 35},
  [5627] = {.lex_state = 35},
  [5628] = {.lex_state = 35},
  [5629] = {.lex_state = 35, .external_lex_state = 2},
  [5630] = {.lex_state = 33},
  [5631] = {.lex_state = 35},
  [5632] = {.lex_state = 35},
  [5633] = {.lex_state = 35},
  [5634] = {.lex_state = 35, .external_lex_state = 2},
  [5635] = {.lex_state = 35, .external_lex_state = 2},
  [5636] = {.lex_state = 35},
  [5637] = {.lex_state = 35, .external_lex_state = 2},
  [5638] = {.lex_state = 35, .external_lex_state = 2},
  [5639] = {.lex_state = 35, .external_lex_state = 2},
  [5640] = {.lex_state = 35, .external_lex_state = 2},
  [5641] = {.lex_state = 35, .external_lex_state = 2},
  [5642] = {.lex_state = 35},
  [5643] = {.lex_state = 35, .external_lex_state = 2},
  [5644] = {.lex_state = 35, .external_lex_state = 2},
  [5645] = {.lex_state = 35},
  [5646] = {.lex_state = 35},
  [5647] = {.lex_state = 35, .external_lex_state = 2},
  [5648] = {.lex_state = 35, .external_lex_state = 2},
  [5649] = {.lex_state = 35, .external_lex_state = 2},
  [5650] = {.lex_state = 35},
  [5651] = {.lex_state = 35},
  [5652] = {.lex_state = 35, .external_lex_state = 2},
  [5653] = {.lex_state = 35},
  [5654] = {.lex_state = 35},
  [5655] = {.lex_state = 35, .external_lex_state = 2},
  [5656] = {.lex_state = 35, .external_lex_state = 2},
  [5657] = {.lex_state = 35},
  [5658] = {.lex_state = 35},
  [5659] = {.lex_state = 35, .external_lex_state = 2},
  [5660] = {.lex_state = 35, .external_lex_state = 2},
  [5661] = {.lex_state = 35, .external_lex_state = 2},
  [5662] = {.lex_state = 35, .external_lex_state = 2},
  [5663] = {.lex_state = 35, .external_lex_state = 2},
  [5664] = {.lex_state = 35, .external_lex_state = 2},
  [5665] = {.lex_state = 35},
  [5666] = {.lex_state = 35, .external_lex_state = 2},
  [5667] = {.lex_state = 35},
  [5668] = {.lex_state = 35},
  [5669] = {.lex_state = 35},
  [5670] = {.lex_state = 35},
  [5671] = {.lex_state = 35},
  [5672] = {.lex_state = 35, .external_lex_state = 2},
  [5673] = {.lex_state = 35, .external_lex_state = 2},
  [5674] = {.lex_state = 35},
  [5675] = {.lex_state = 35, .external_lex_state = 2},
  [5676] = {.lex_state = 35, .external_lex_state = 2},
  [5677] = {.lex_state = 35},
  [5678] = {.lex_state = 35},
  [5679] = {.lex_state = 35, .external_lex_state = 2},
  [5680] = {.lex_state = 35, .external_lex_state = 2},
  [5681] = {.lex_state = 35, .external_lex_state = 2},
  [5682] = {.lex_state = 35, .external_lex_state = 2},
  [5683] = {.lex_state = 35, .external_lex_state = 2},
  [5684] = {.lex_state = 35, .external_lex_state = 2},
  [5685] = {.lex_state = 35, .external_lex_state = 2},
  [5686] = {.lex_state = 35, .external_lex_state = 2},
  [5687] = {.lex_state = 35, .external_lex_state = 2},
  [5688] = {.lex_state = 35, .external_lex_state = 2},
  [5689] = {.lex_state = 35},
  [5690] = {.lex_state = 35},
  [5691] = {.lex_state = 35, .external_lex_state = 2},
  [5692] = {.lex_state = 35, .external_lex_state = 2},
  [5693] = {.lex_state = 35, .external_lex_state = 2},
  [5694] = {.lex_state = 35, .external_lex_state = 2},
  [5695] = {.lex_state = 35},
  [5696] = {.lex_state = 35},
  [5697] = {.lex_state = 35},
  [5698] = {.lex_state = 35, .external_lex_state = 2},
  [5699] = {.lex_state = 35},
  [5700] = {.lex_state = 35, .external_lex_state = 2},
  [5701] = {.lex_state = 35},
  [5702] = {.lex_state = 35},
  [5703] = {.lex_state = 35},
  [5704] = {.lex_state = 35},
  [5705] = {.lex_state = 35, .external_lex_state = 2},
  [5706] = {.lex_state = 35, .external_lex_state = 2},
  [5707] = {.lex_state = 35, .external_lex_state = 2},
  [5708] = {.lex_state = 35, .external_lex_state = 2},
  [5709] = {.lex_state = 35, .external_lex_state = 2},
  [5710] = {.lex_state = 35, .external_lex_state = 2},
  [5711] = {.lex_state = 35},
  [5712] = {.lex_state = 35, .external_lex_state = 2},
  [5713] = {.lex_state = 35},
  [5714] = {.lex_state = 35, .external_lex_state = 2},
  [5715] = {.lex_state = 35},
  [5716] = {.lex_state = 35, .external_lex_state = 2},
  [5717] = {.lex_state = 35, .external_lex_state = 2},
  [5718] = {.lex_state = 35, .external_lex_state = 2},
  [5719] = {.lex_state = 35, .external_lex_state = 2},
  [5720] = {.lex_state = 35, .external_lex_state = 2},
  [5721] = {.lex_state = 35, .external_lex_state = 2},
  [5722] = {.lex_state = 35, .external_lex_state = 2},
  [5723] = {.lex_state = 35},
  [5724] = {.lex_state = 35},
  [5725] = {.lex_state = 35},
  [5726] = {.lex_state = 35},
  [5727] = {.lex_state = 35},
  [5728] = {.lex_state = 35},
  [5729] = {.lex_state = 35},
  [5730] = {.lex_state = 35},
  [5731] = {.lex_state = 35},
  [5732] = {.lex_state = 35, .external_lex_state = 2},
  [5733] = {.lex_state = 35, .external_lex_state = 2},
  [5734] = {.lex_state = 35},
  [5735] = {.lex_state = 35},
  [5736] = {.lex_state = 35},
  [5737] = {.lex_state = 35},
  [5738] = {.lex_state = 35},
  [5739] = {.lex_state = 35},
  [5740] = {.lex_state = 35, .external_lex_state = 2},
  [5741] = {.lex_state = 35},
  [5742] = {.lex_state = 35, .external_lex_state = 2},
  [5743] = {.lex_state = 35},
  [5744] = {.lex_state = 35, .external_lex_state = 2},
  [5745] = {.lex_state = 35},
  [5746] = {.lex_state = 35},
  [5747] = {.lex_state = 35, .external_lex_state = 2},
  [5748] = {.lex_state = 35, .external_lex_state = 2},
  [5749] = {.lex_state = 35, .external_lex_state = 2},
  [5750] = {.lex_state = 35},
  [5751] = {.lex_state = 35},
  [5752] = {.lex_state = 35},
  [5753] = {.lex_state = 35},
  [5754] = {.lex_state = 35},
  [5755] = {.lex_state = 35},
  [5756] = {.lex_state = 35},
  [5757] = {.lex_state = 35},
  [5758] = {.lex_state = 35, .external_lex_state = 2},
  [5759] = {.lex_state = 35},
  [5760] = {.lex_state = 35},
  [5761] = {.lex_state = 35},
  [5762] = {.lex_state = 35},
  [5763] = {.lex_state = 35},
  [5764] = {.lex_state = 35},
  [5765] = {.lex_state = 35},
  [5766] = {.lex_state = 35},
  [5767] = {.lex_state = 35, .external_lex_state = 2},
  [5768] = {.lex_state = 35},
  [5769] = {.lex_state = 35},
  [5770] = {.lex_state = 35},
  [5771] = {.lex_state = 35},
  [5772] = {.lex_state = 35, .external_lex_state = 2},
  [5773] = {.lex_state = 35},
  [5774] = {.lex_state = 35},
  [5775] = {.lex_state = 35},
  [5776] = {.lex_state = 35},
  [5777] = {.lex_state = 35},
  [5778] = {.lex_state = 35},
  [5779] = {.lex_state = 35, .external_lex_state = 2},
  [5780] = {.lex_state = 35, .external_lex_state = 2},
  [5781] = {.lex_state = 35},
  [5782] = {.lex_state = 35},
  [5783] = {.lex_state = 35},
  [5784] = {.lex_state = 35, .external_lex_state = 2},
  [5785] = {.lex_state = 35},
  [5786] = {.lex_state = 35, .external_lex_state = 2},
  [5787] = {.lex_state = 35},
  [5788] = {.lex_state = 35, .external_lex_state = 2},
  [5789] = {.lex_state = 35},
  [5790] = {.lex_state = 35, .external_lex_state = 2},
  [5791] = {.lex_state = 35, .external_lex_state = 2},
  [5792] = {.lex_state = 35},
  [5793] = {.lex_state = 35},
  [5794] = {.lex_state = 35, .external_lex_state = 2},
  [5795] = {.lex_state = 35},
  [5796] = {.lex_state = 35},
  [5797] = {.lex_state = 35},
  [5798] = {.lex_state = 35},
  [5799] = {.lex_state = 35},
  [5800] = {.lex_state = 35},
  [5801] = {.lex_state = 35},
  [5802] = {.lex_state = 35},
  [5803] = {.lex_state = 35},
  [5804] = {.lex_state = 35},
  [5805] = {.lex_state = 35},
  [5806] = {.lex_state = 35},
  [5807] = {.lex_state = 35},
  [5808] = {.lex_state = 35},
  [5809] = {.lex_state = 35},
  [5810] = {.lex_state = 35},
  [5811] = {.lex_state = 35},
  [5812] = {.lex_state = 35},
  [5813] = {.lex_state = 35},
  [5814] = {.lex_state = 35},
  [5815] = {.lex_state = 35},
  [5816] = {.lex_state = 35},
  [5817] = {.lex_state = 35},
  [5818] = {.lex_state = 35},
  [5819] = {.lex_state = 35},
  [5820] = {.lex_state = 35},
  [5821] = {.lex_state = 35},
  [5822] = {.lex_state = 35},
  [5823] = {.lex_state = 35},
  [5824] = {.lex_state = 35},
  [5825] = {.lex_state = 35},
  [5826] = {.lex_state = 35},
  [5827] = {.lex_state = 35},
  [5828] = {.lex_state = 35},
  [5829] = {.lex_state = 35},
  [5830] = {.lex_state = 35},
  [5831] = {.lex_state = 35, .external_lex_state = 2},
  [5832] = {.lex_state = 35},
  [5833] = {.lex_state = 35},
  [5834] = {.lex_state = 35, .external_lex_state = 2},
  [5835] = {.lex_state = 35, .external_lex_state = 2},
  [5836] = {.lex_state = 35},
  [5837] = {.lex_state = 35},
  [5838] = {.lex_state = 35},
  [5839] = {.lex_state = 35},
  [5840] = {.lex_state = 35},
  [5841] = {.lex_state = 35},
  [5842] = {.lex_state = 35},
  [5843] = {.lex_state = 35},
  [5844] = {.lex_state = 35},
  [5845] = {.lex_state = 35},
  [5846] = {.lex_state = 35},
  [5847] = {.lex_state = 35},
  [5848] = {.lex_state = 35},
  [5849] = {.lex_state = 35},
  [5850] = {.lex_state = 35},
  [5851] = {.lex_state = 35},
  [5852] = {.lex_state = 35},
  [5853] = {.lex_state = 35},
  [5854] = {.lex_state = 35},
  [5855] = {.lex_state = 35},
  [5856] = {.lex_state = 35},
  [5857] = {.lex_state = 35},
  [5858] = {.lex_state = 35},
  [5859] = {.lex_state = 35},
  [5860] = {.lex_state = 35},
  [5861] = {.lex_state = 35},
  [5862] = {.lex_state = 35},
  [5863] = {.lex_state = 35},
  [5864] = {.lex_state = 35},
  [5865] = {.lex_state = 35},
  [5866] = {.lex_state = 35},
  [5867] = {.lex_state = 35},
  [5868] = {.lex_state = 35},
  [5869] = {.lex_state = 35},
  [5870] = {.lex_state = 35},
  [5871] = {.lex_state = 35},
  [5872] = {.lex_state = 35},
  [5873] = {.lex_state = 35},
  [5874] = {.lex_state = 35},
  [5875] = {.lex_state = 35},
  [5876] = {.lex_state = 35},
  [5877] = {.lex_state = 35},
  [5878] = {.lex_state = 35},
  [5879] = {.lex_state = 35},
  [5880] = {.lex_state = 35},
  [5881] = {.lex_state = 35},
  [5882] = {.lex_state = 35},
  [5883] = {.lex_state = 35},
  [5884] = {.lex_state = 35},
  [5885] = {.lex_state = 35},
  [5886] = {.lex_state = 35},
  [5887] = {.lex_state = 35},
  [5888] = {.lex_state = 35},
  [5889] = {.lex_state = 35},
  [5890] = {.lex_state = 35},
  [5891] = {.lex_state = 35},
  [5892] = {.lex_state = 35, .external_lex_state = 2},
  [5893] = {.lex_state = 35},
  [5894] = {.lex_state = 35},
  [5895] = {.lex_state = 35},
  [5896] = {.lex_state = 35},
  [5897] = {.lex_state = 35},
  [5898] = {.lex_state = 35},
  [5899] = {.lex_state = 35},
  [5900] = {.lex_state = 35},
  [5901] = {.lex_state = 35},
  [5902] = {.lex_state = 35},
  [5903] = {.lex_state = 35},
  [5904] = {.lex_state = 35},
  [5905] = {.lex_state = 35},
  [5906] = {.lex_state = 35},
  [5907] = {.lex_state = 35},
  [5908] = {.lex_state = 35},
  [5909] = {.lex_state = 35},
  [5910] = {.lex_state = 35},
  [5911] = {.lex_state = 35},
  [5912] = {.lex_state = 35},
  [5913] = {.lex_state = 35},
  [5914] = {.lex_state = 35},
  [5915] = {.lex_state = 35},
  [5916] = {.lex_state = 35},
  [5917] = {.lex_state = 35},
  [5918] = {.lex_state = 35},
  [5919] = {.lex_state = 35},
  [5920] = {.lex_state = 35},
  [5921] = {.lex_state = 35},
  [5922] = {.lex_state = 35},
  [5923] = {.lex_state = 35},
  [5924] = {.lex_state = 35},
  [5925] = {.lex_state = 35},
  [5926] = {.lex_state = 35},
  [5927] = {.lex_state = 35},
  [5928] = {.lex_state = 35},
  [5929] = {.lex_state = 35},
  [5930] = {.lex_state = 35},
  [5931] = {.lex_state = 35, .external_lex_state = 2},
  [5932] = {.lex_state = 35},
  [5933] = {.lex_state = 35},
  [5934] = {.lex_state = 35},
  [5935] = {.lex_state = 35},
  [5936] = {.lex_state = 35},
  [5937] = {.lex_state = 35},
  [5938] = {.lex_state = 35},
  [5939] = {.lex_state = 35},
  [5940] = {.lex_state = 35},
  [5941] = {.lex_state = 35},
  [5942] = {.lex_state = 35},
  [5943] = {.lex_state = 35},
  [5944] = {.lex_state = 35},
  [5945] = {.lex_state = 35},
  [5946] = {.lex_state = 35},
  [5947] = {.lex_state = 35},
  [5948] = {.lex_state = 35},
  [5949] = {.lex_state = 35},
  [5950] = {.lex_state = 35},
  [5951] = {.lex_state = 35},
  [5952] = {.lex_state = 35},
  [5953] = {.lex_state = 35},
  [5954] = {.lex_state = 35},
  [5955] = {.lex_state = 35},
  [5956] = {.lex_state = 35},
  [5957] = {.lex_state = 35, .external_lex_state = 2},
  [5958] = {.lex_state = 35},
  [5959] = {.lex_state = 35},
  [5960] = {.lex_state = 35},
  [5961] = {.lex_state = 35},
  [5962] = {.lex_state = 35},
  [5963] = {.lex_state = 35},
  [5964] = {.lex_state = 35},
  [5965] = {.lex_state = 35},
  [5966] = {.lex_state = 35},
  [5967] = {.lex_state = 35},
  [5968] = {.lex_state = 35},
  [5969] = {.lex_state = 35},
  [5970] = {.lex_state = 35},
  [5971] = {.lex_state = 35},
  [5972] = {.lex_state = 35},
  [5973] = {.lex_state = 35},
  [5974] = {.lex_state = 35},
  [5975] = {.lex_state = 35},
  [5976] = {.lex_state = 35},
  [5977] = {.lex_state = 35},
  [5978] = {.lex_state = 35},
  [5979] = {.lex_state = 35},
  [5980] = {.lex_state = 35},
  [5981] = {.lex_state = 35},
  [5982] = {.lex_state = 35},
  [5983] = {.lex_state = 35},
  [5984] = {.lex_state = 35},
  [5985] = {.lex_state = 35},
  [5986] = {.lex_state = 35},
  [5987] = {.lex_state = 35},
  [5988] = {.lex_state = 35},
  [5989] = {.lex_state = 35},
  [5990] = {.lex_state = 35},
  [5991] = {.lex_state = 35},
  [5992] = {.lex_state = 35},
  [5993] = {.lex_state = 35},
  [5994] = {.lex_state = 35},
  [5995] = {.lex_state = 35},
  [5996] = {.lex_state = 35},
  [5997] = {.lex_state = 35},
  [5998] = {.lex_state = 35},
  [5999] = {.lex_state = 35},
  [6000] = {.lex_state = 35},
  [6001] = {.lex_state = 35},
  [6002] = {.lex_state = 35},
  [6003] = {.lex_state = 35},
  [6004] = {.lex_state = 35},
  [6005] = {.lex_state = 35},
  [6006] = {.lex_state = 35},
  [6007] = {.lex_state = 35},
  [6008] = {.lex_state = 35},
  [6009] = {.lex_state = 35},
  [6010] = {.lex_state = 35},
  [6011] = {.lex_state = 35},
  [6012] = {.lex_state = 35},
  [6013] = {.lex_state = 35},
  [6014] = {.lex_state = 33, .external_lex_state = 3},
  [6015] = {.lex_state = 35},
  [6016] = {.lex_state = 35},
  [6017] = {.lex_state = 35},
  [6018] = {.lex_state = 35},
  [6019] = {.lex_state = 35},
  [6020] = {.lex_state = 35},
  [6021] = {.lex_state = 35},
  [6022] = {.lex_state = 35},
  [6023] = {.lex_state = 35},
  [6024] = {.lex_state = 35},
  [6025] = {.lex_state = 35},
  [6026] = {.lex_state = 35},
  [6027] = {.lex_state = 35},
  [6028] = {.lex_state = 35},
  [6029] = {.lex_state = 35},
  [6030] = {.lex_state = 35},
  [6031] = {.lex_state = 35},
  [6032] = {.lex_state = 35},
  [6033] = {.lex_state = 35},
  [6034] = {.lex_state = 35},
  [6035] = {.lex_state = 35},
  [6036] = {.lex_state = 35},
  [6037] = {.lex_state = 35},
  [6038] = {.lex_state = 35},
  [6039] = {.lex_state = 35},
  [6040] = {.lex_state = 35},
  [6041] = {.lex_state = 35},
  [6042] = {.lex_state = 35},
  [6043] = {.lex_state = 35},
  [6044] = {.lex_state = 35},
  [6045] = {.lex_state = 35},
  [6046] = {.lex_state = 35},
  [6047] = {.lex_state = 35},
  [6048] = {.lex_state = 35},
  [6049] = {.lex_state = 35},
  [6050] = {.lex_state = 35},
  [6051] = {.lex_state = 35},
  [6052] = {.lex_state = 35},
  [6053] = {.lex_state = 35},
  [6054] = {.lex_state = 35},
  [6055] = {.lex_state = 35},
  [6056] = {.lex_state = 35},
  [6057] = {.lex_state = 35},
  [6058] = {.lex_state = 35},
  [6059] = {.lex_state = 35},
  [6060] = {.lex_state = 35},
  [6061] = {.lex_state = 35},
  [6062] = {.lex_state = 35},
  [6063] = {.lex_state = 35},
  [6064] = {.lex_state = 35},
  [6065] = {.lex_state = 35},
  [6066] = {.lex_state = 35},
  [6067] = {.lex_state = 35},
  [6068] = {.lex_state = 35},
  [6069] = {.lex_state = 35},
  [6070] = {.lex_state = 35},
  [6071] = {.lex_state = 35},
  [6072] = {.lex_state = 35},
  [6073] = {.lex_state = 35},
  [6074] = {.lex_state = 35},
  [6075] = {.lex_state = 35},
  [6076] = {.lex_state = 35},
  [6077] = {.lex_state = 35},
  [6078] = {.lex_state = 35},
  [6079] = {.lex_state = 35},
  [6080] = {.lex_state = 35},
  [6081] = {.lex_state = 35},
  [6082] = {.lex_state = 35},
  [6083] = {.lex_state = 35},
  [6084] = {.lex_state = 35},
  [6085] = {.lex_state = 35},
  [6086] = {.lex_state = 35},
  [6087] = {.lex_state = 35},
  [6088] = {.lex_state = 35},
  [6089] = {.lex_state = 35},
  [6090] = {.lex_state = 35},
  [6091] = {.lex_state = 35},
  [6092] = {.lex_state = 35},
  [6093] = {.lex_state = 35},
  [6094] = {.lex_state = 35},
  [6095] = {.lex_state = 35},
  [6096] = {.lex_state = 35},
  [6097] = {.lex_state = 35},
  [6098] = {.lex_state = 35},
  [6099] = {.lex_state = 35},
  [6100] = {.lex_state = 35},
  [6101] = {.lex_state = 35},
  [6102] = {.lex_state = 35},
  [6103] = {.lex_state = 35},
  [6104] = {.lex_state = 35},
  [6105] = {.lex_state = 35},
  [6106] = {.lex_state = 35},
  [6107] = {.lex_state = 35},
  [6108] = {.lex_state = 35},
  [6109] = {.lex_state = 35},
  [6110] = {.lex_state = 33, .external_lex_state = 3},
  [6111] = {.lex_state = 35},
  [6112] = {.lex_state = 35},
  [6113] = {.lex_state = 35},
  [6114] = {.lex_state = 35},
  [6115] = {.lex_state = 35},
  [6116] = {.lex_state = 35},
  [6117] = {.lex_state = 35},
  [6118] = {.lex_state = 35},
  [6119] = {.lex_state = 35},
  [6120] = {.lex_state = 35},
  [6121] = {.lex_state = 35},
  [6122] = {.lex_state = 35},
  [6123] = {.lex_state = 35},
  [6124] = {.lex_state = 35},
  [6125] = {.lex_state = 35},
  [6126] = {.lex_state = 35},
  [6127] = {.lex_state = 35},
  [6128] = {.lex_state = 35},
  [6129] = {.lex_state = 35},
  [6130] = {.lex_state = 35},
  [6131] = {.lex_state = 35},
  [6132] = {.lex_state = 35},
  [6133] = {.lex_state = 35},
  [6134] = {.lex_state = 35},
  [6135] = {.lex_state = 35},
  [6136] = {.lex_state = 35},
  [6137] = {.lex_state = 35},
  [6138] = {.lex_state = 35},
  [6139] = {.lex_state = 35},
  [6140] = {.lex_state = 35},
  [6141] = {.lex_state = 35},
  [6142] = {.lex_state = 35},
  [6143] = {.lex_state = 35},
  [6144] = {.lex_state = 35},
  [6145] = {.lex_state = 35},
  [6146] = {.lex_state = 35},
  [6147] = {.lex_state = 35},
  [6148] = {.lex_state = 35},
  [6149] = {.lex_state = 35},
  [6150] = {.lex_state = 35},
  [6151] = {.lex_state = 35},
  [6152] = {.lex_state = 35},
  [6153] = {.lex_state = 35},
  [6154] = {.lex_state = 35},
  [6155] = {.lex_state = 35},
  [6156] = {.lex_state = 35},
  [6157] = {.lex_state = 35},
  [6158] = {.lex_state = 35},
  [6159] = {.lex_state = 33, .external_lex_state = 4},
  [6160] = {.lex_state = 35},
  [6161] = {.lex_state = 35},
  [6162] = {.lex_state = 35},
  [6163] = {.lex_state = 35},
  [6164] = {.lex_state = 33, .external_lex_state = 3},
  [6165] = {.lex_state = 35},
  [6166] = {.lex_state = 35},
  [6167] = {.lex_state = 35},
  [6168] = {.lex_state = 35},
  [6169] = {.lex_state = 35},
  [6170] = {.lex_state = 35},
  [6171] = {.lex_state = 35},
  [6172] = {.lex_state = 35},
  [6173] = {.lex_state = 35},
  [6174] = {.lex_state = 35},
  [6175] = {.lex_state = 33, .external_lex_state = 3},
  [6176] = {.lex_state = 35},
  [6177] = {.lex_state = 35},
  [6178] = {.lex_state = 35},
  [6179] = {.lex_state = 35},
  [6180] = {.lex_state = 35},
  [6181] = {.lex_state = 35},
  [6182] = {.lex_state = 35},
  [6183] = {.lex_state = 35},
  [6184] = {.lex_state = 35},
  [6185] = {.lex_state = 35},
  [6186] = {.lex_state = 35},
  [6187] = {.lex_state = 35},
  [6188] = {.lex_state = 35},
  [6189] = {.lex_state = 35},
  [6190] = {.lex_state = 35},
  [6191] = {.lex_state = 33, .external_lex_state = 4},
  [6192] = {.lex_state = 35},
  [6193] = {.lex_state = 35},
  [6194] = {.lex_state = 35},
  [6195] = {.lex_state = 33, .external_lex_state = 3},
  [6196] = {.lex_state = 35},
  [6197] = {.lex_state = 35},
  [6198] = {.lex_state = 35},
  [6199] = {.lex_state = 35},
  [6200] = {.lex_state = 35},
  [6201] = {.lex_state = 35},
  [6202] = {.lex_state = 35},
  [6203] = {.lex_state = 33, .external_lex_state = 3},
  [6204] = {.lex_state = 35},
  [6205] = {.lex_state = 35},
  [6206] = {.lex_state = 35},
  [6207] = {.lex_state = 35},
  [6208] = {.lex_state = 35},
  [6209] = {.lex_state = 35},
  [6210] = {.lex_state = 35},
  [6211] = {.lex_state = 35},
  [6212] = {.lex_state = 33, .external_lex_state = 3},
  [6213] = {.lex_state = 35},
  [6214] = {.lex_state = 35},
  [6215] = {.lex_state = 35},
  [6216] = {.lex_state = 35},
  [6217] = {.lex_state = 35},
  [6218] = {.lex_state = 35},
  [6219] = {.lex_state = 35},
  [6220] = {.lex_state = 35},
  [6221] = {.lex_state = 35},
  [6222] = {.lex_state = 35},
  [6223] = {.lex_state = 35},
  [6224] = {.lex_state = 35},
  [6225] = {.lex_state = 35},
  [6226] = {.lex_state = 35},
  [6227] = {.lex_state = 35},
  [6228] = {.lex_state = 35},
  [6229] = {.lex_state = 35},
  [6230] = {.lex_state = 35},
  [6231] = {.lex_state = 35},
  [6232] = {.lex_state = 35},
  [6233] = {.lex_state = 35},
  [6234] = {.lex_state = 35},
  [6235] = {.lex_state = 35},
  [6236] = {.lex_state = 35},
  [6237] = {.lex_state = 35},
  [6238] = {.lex_state = 33, .external_lex_state = 3},
  [6239] = {.lex_state = 35},
  [6240] = {.lex_state = 35},
  [6241] = {.lex_state = 35},
  [6242] = {.lex_state = 35, .external_lex_state = 2},
  [6243] = {.lex_state = 35, .external_lex_state = 2},
  [6244] = {.lex_state = 35},
  [6245] = {.lex_state = 35},
  [6246] = {.lex_state = 35},
  [6247] = {.lex_state = 35},
  [6248] = {.lex_state = 35},
  [6249] = {.lex_state = 35},
  [6250] = {.lex_state = 35},
  [6251] = {.lex_state = 33, .external_lex_state = 3},
  [6252] = {.lex_state = 35},
  [6253] = {.lex_state = 35},
  [6254] = {.lex_state = 35},
  [6255] = {.lex_state = 35},
  [6256] = {.lex_state = 35},
  [6257] = {.lex_state = 35},
  [6258] = {.lex_state = 35},
  [6259] = {.lex_state = 33, .external_lex_state = 3},
  [6260] = {.lex_state = 33, .external_lex_state = 3},
  [6261] = {.lex_state = 35},
  [6262] = {.lex_state = 35},
  [6263] = {.lex_state = 35},
  [6264] = {.lex_state = 35},
  [6265] = {.lex_state = 35},
  [6266] = {.lex_state = 35},
  [6267] = {.lex_state = 35},
  [6268] = {.lex_state = 35},
  [6269] = {.lex_state = 35},
  [6270] = {.lex_state = 35},
  [6271] = {.lex_state = 35},
  [6272] = {.lex_state = 35},
  [6273] = {.lex_state = 33, .external_lex_state = 4},
  [6274] = {.lex_state = 35},
  [6275] = {.lex_state = 35},
  [6276] = {.lex_state = 35},
  [6277] = {.lex_state = 35},
  [6278] = {.lex_state = 35},
  [6279] = {.lex_state = 33, .external_lex_state = 3},
  [6280] = {.lex_state = 35},
  [6281] = {.lex_state = 35},
  [6282] = {.lex_state = 35},
  [6283] = {.lex_state = 35},
  [6284] = {.lex_state = 35},
  [6285] = {.lex_state = 35},
  [6286] = {.lex_state = 35},
  [6287] = {.lex_state = 33, .external_lex_state = 3},
  [6288] = {.lex_state = 35},
  [6289] = {.lex_state = 35},
  [6290] = {.lex_state = 33, .external_lex_state = 3},
  [6291] = {.lex_state = 35},
  [6292] = {.lex_state = 35},
  [6293] = {.lex_state = 35},
  [6294] = {.lex_state = 35},
  [6295] = {.lex_state = 35},
  [6296] = {.lex_state = 35},
  [6297] = {.lex_state = 35},
  [6298] = {.lex_state = 35},
  [6299] = {.lex_state = 35},
  [6300] = {.lex_state = 35},
  [6301] = {.lex_state = 33, .external_lex_state = 3},
  [6302] = {.lex_state = 35},
  [6303] = {.lex_state = 35},
  [6304] = {.lex_state = 35},
  [6305] = {.lex_state = 35},
  [6306] = {.lex_state = 35},
  [6307] = {.lex_state = 35},
  [6308] = {.lex_state = 35},
  [6309] = {.lex_state = 35},
  [6310] = {.lex_state = 35},
  [6311] = {.lex_state = 35},
  [6312] = {.lex_state = 35},
  [6313] = {.lex_state = 35},
  [6314] = {.lex_state = 35},
  [6315] = {.lex_state = 35},
  [6316] = {.lex_state = 35},
  [6317] = {.lex_state = 35},
  [6318] = {.lex_state = 35},
  [6319] = {.lex_state = 35},
  [6320] = {.lex_state = 35},
  [6321] = {.lex_state = 35},
  [6322] = {.lex_state = 35},
  [6323] = {.lex_state = 35},
  [6324] = {.lex_state = 35},
  [6325] = {.lex_state = 35},
  [6326] = {.lex_state = 35},
  [6327] = {.lex_state = 35},
  [6328] = {.lex_state = 35},
  [6329] = {.lex_state = 35},
  [6330] = {.lex_state = 35},
  [6331] = {.lex_state = 35},
  [6332] = {.lex_state = 35},
  [6333] = {.lex_state = 35},
  [6334] = {.lex_state = 35},
  [6335] = {.lex_state = 35},
  [6336] = {.lex_state = 35},
  [6337] = {.lex_state = 33, .external_lex_state = 3},
  [6338] = {.lex_state = 35},
  [6339] = {.lex_state = 33, .external_lex_state = 4},
  [6340] = {.lex_state = 33, .external_lex_state = 3},
  [6341] = {.lex_state = 35},
  [6342] = {.lex_state = 35},
  [6343] = {.lex_state = 33, .external_lex_state = 3},
  [6344] = {.lex_state = 35},
  [6345] = {.lex_state = 35},
  [6346] = {.lex_state = 35},
  [6347] = {.lex_state = 35},
  [6348] = {.lex_state = 35},
  [6349] = {.lex_state = 35},
  [6350] = {.lex_state = 35},
  [6351] = {.lex_state = 33, .external_lex_state = 3},
  [6352] = {.lex_state = 35},
  [6353] = {.lex_state = 35},
  [6354] = {.lex_state = 35},
  [6355] = {.lex_state = 35},
  [6356] = {.lex_state = 35},
  [6357] = {.lex_state = 35},
  [6358] = {.lex_state = 35},
  [6359] = {.lex_state = 35},
  [6360] = {.lex_state = 33, .external_lex_state = 3},
  [6361] = {.lex_state = 35},
  [6362] = {.lex_state = 35},
  [6363] = {.lex_state = 33, .external_lex_state = 4},
  [6364] = {.lex_state = 33, .external_lex_state = 4},
  [6365] = {.lex_state = 35},
  [6366] = {.lex_state = 35},
  [6367] = {.lex_state = 35},
  [6368] = {.lex_state = 35},
  [6369] = {.lex_state = 35},
  [6370] = {.lex_state = 35},
  [6371] = {.lex_state = 35},
  [6372] = {.lex_state = 35},
  [6373] = {.lex_state = 33, .external_lex_state = 4},
  [6374] = {.lex_state = 35},
  [6375] = {.lex_state = 35},
  [6376] = {.lex_state = 35},
  [6377] = {.lex_state = 35},
  [6378] = {.lex_state = 35},
  [6379] = {.lex_state = 35},
  [6380] = {.lex_state = 35, .external_lex_state = 2},
  [6381] = {.lex_state = 35},
  [6382] = {.lex_state = 35},
  [6383] = {.lex_state = 35},
  [6384] = {.lex_state = 35},
  [6385] = {.lex_state = 35},
  [6386] = {.lex_state = 35},
  [6387] = {.lex_state = 35},
  [6388] = {.lex_state = 35},
  [6389] = {.lex_state = 35},
  [6390] = {.lex_state = 35},
  [6391] = {.lex_state = 35},
  [6392] = {.lex_state = 35, .external_lex_state = 2},
  [6393] = {.lex_state = 33, .external_lex_state = 3},
  [6394] = {.lex_state = 35},
  [6395] = {.lex_state = 35},
  [6396] = {.lex_state = 35},
  [6397] = {.lex_state = 33, .external_lex_state = 3},
  [6398] = {.lex_state = 35},
  [6399] = {.lex_state = 35},
  [6400] = {.lex_state = 33, .external_lex_state = 3},
  [6401] = {.lex_state = 35},
  [6402] = {.lex_state = 35},
  [6403] = {.lex_state = 35},
  [6404] = {.lex_state = 35},
  [6405] = {.lex_state = 35},
  [6406] = {.lex_state = 35},
  [6407] = {.lex_state = 35},
  [6408] = {.lex_state = 35},
  [6409] = {.lex_state = 35, .external_lex_state = 2},
  [6410] = {.lex_state = 35},
  [6411] = {.lex_state = 33, .external_lex_state = 3},
  [6412] = {.lex_state = 35},
  [6413] = {.lex_state = 35},
  [6414] = {.lex_state = 35},
  [6415] = {.lex_state = 35},
  [6416] = {.lex_state = 35},
  [6417] = {.lex_state = 35},
  [6418] = {.lex_state = 35},
  [6419] = {.lex_state = 35},
  [6420] = {.lex_state = 35},
  [6421] = {.lex_state = 35},
  [6422] = {.lex_state = 35},
  [6423] = {.lex_state = 35},
  [6424] = {.lex_state = 35},
  [6425] = {.lex_state = 35},
  [6426] = {.lex_state = 35},
  [6427] = {.lex_state = 35},
  [6428] = {.lex_state = 35},
  [6429] = {.lex_state = 35},
  [6430] = {.lex_state = 35},
  [6431] = {.lex_state = 35},
  [6432] = {.lex_state = 35},
  [6433] = {.lex_state = 33, .external_lex_state = 3},
  [6434] = {.lex_state = 35},
  [6435] = {.lex_state = 35},
  [6436] = {.lex_state = 35},
  [6437] = {.lex_state = 35},
  [6438] = {.lex_state = 33, .external_lex_state = 3},
  [6439] = {.lex_state = 33, .external_lex_state = 3},
  [6440] = {.lex_state = 33, .external_lex_state = 3},
  [6441] = {.lex_state = 33, .external_lex_state = 3},
  [6442] = {.lex_state = 35},
  [6443] = {.lex_state = 35},
  [6444] = {.lex_state = 33, .external_lex_state = 3},
  [6445] = {.lex_state = 33, .external_lex_state = 3},
  [6446] = {.lex_state = 35, .external_lex_state = 2},
  [6447] = {.lex_state = 35},
  [6448] = {.lex_state = 35, .external_lex_state = 2},
  [6449] = {.lex_state = 33, .external_lex_state = 3},
  [6450] = {.lex_state = 35},
  [6451] = {.lex_state = 33, .external_lex_state = 3},
  [6452] = {.lex_state = 35},
  [6453] = {.lex_state = 35},
  [6454] = {.lex_state = 33, .external_lex_state = 3},
  [6455] = {.lex_state = 35, .external_lex_state = 2},
  [6456] = {.lex_state = 35, .external_lex_state = 2},
  [6457] = {.lex_state = 33, .external_lex_state = 3},
  [6458] = {.lex_state = 35},
  [6459] = {.lex_state = 35},
  [6460] = {.lex_state = 35},
  [6461] = {.lex_state = 35},
  [6462] = {.lex_state = 35, .external_lex_state = 2},
  [6463] = {.lex_state = 35},
  [6464] = {.lex_state = 35},
  [6465] = {.lex_state = 35, .external_lex_state = 2},
  [6466] = {.lex_state = 35},
  [6467] = {.lex_state = 35},
  [6468] = {.lex_state = 35, .external_lex_state = 2},
  [6469] = {.lex_state = 35, .external_lex_state = 2},
  [6470] = {.lex_state = 35, .external_lex_state = 2},
  [6471] = {.lex_state = 35},
  [6472] = {.lex_state = 35, .external_lex_state = 2},
  [6473] = {.lex_state = 35},
  [6474] = {.lex_state = 35},
  [6475] = {.lex_state = 35},
  [6476] = {.lex_state = 33},
  [6477] = {.lex_state = 35, .external_lex_state = 2},
  [6478] = {.lex_state = 35, .external_lex_state = 2},
  [6479] = {.lex_state = 35},
  [6480] = {.lex_state = 35, .external_lex_state = 2},
  [6481] = {.lex_state = 35},
  [6482] = {.lex_state = 35},
  [6483] = {.lex_state = 35},
  [6484] = {.lex_state = 35},
  [6485] = {.lex_state = 33, .external_lex_state = 3},
  [6486] = {.lex_state = 33, .external_lex_state = 3},
  [6487] = {.lex_state = 35},
  [6488] = {.lex_state = 33, .external_lex_state = 3},
  [6489] = {.lex_state = 33, .external_lex_state = 3},
  [6490] = {.lex_state = 33, .external_lex_state = 3},
  [6491] = {.lex_state = 35},
  [6492] = {.lex_state = 35},
  [6493] = {.lex_state = 35},
  [6494] = {.lex_state = 33, .external_lex_state = 3},
  [6495] = {.lex_state = 35},
  [6496] = {.lex_state = 35},
  [6497] = {.lex_state = 35},
  [6498] = {.lex_state = 35},
  [6499] = {.lex_state = 35},
  [6500] = {.lex_state = 35},
  [6501] = {.lex_state = 35},
  [6502] = {.lex_state = 35},
  [6503] = {.lex_state = 35},
  [6504] = {.lex_state = 35},
  [6505] = {.lex_state = 35},
  [6506] = {.lex_state = 35},
  [6507] = {.lex_state = 35},
  [6508] = {.lex_state = 35},
  [6509] = {.lex_state = 33, .external_lex_state = 3},
  [6510] = {.lex_state = 35},
  [6511] = {.lex_state = 35},
  [6512] = {.lex_state = 35},
  [6513] = {.lex_state = 35},
  [6514] = {.lex_state = 35},
  [6515] = {.lex_state = 35},
  [6516] = {.lex_state = 35},
  [6517] = {.lex_state = 35},
  [6518] = {.lex_state = 35},
  [6519] = {.lex_state = 35},
  [6520] = {.lex_state = 33, .external_lex_state = 3},
  [6521] = {.lex_state = 35},
  [6522] = {.lex_state = 35},
  [6523] = {.lex_state = 35},
  [6524] = {.lex_state = 35},
  [6525] = {.lex_state = 35},
  [6526] = {.lex_state = 35},
  [6527] = {.lex_state = 33, .external_lex_state = 3},
  [6528] = {.lex_state = 33, .external_lex_state = 3},
  [6529] = {.lex_state = 33},
  [6530] = {.lex_state = 35},
  [6531] = {.lex_state = 35},
  [6532] = {.lex_state = 35, .external_lex_state = 2},
  [6533] = {.lex_state = 35},
  [6534] = {.lex_state = 35},
  [6535] = {.lex_state = 35},
  [6536] = {.lex_state = 35},
  [6537] = {.lex_state = 35},
  [6538] = {.lex_state = 33, .external_lex_state = 3},
  [6539] = {.lex_state = 35},
  [6540] = {.lex_state = 35},
  [6541] = {.lex_state = 35},
  [6542] = {.lex_state = 35},
  [6543] = {.lex_state = 35},
  [6544] = {.lex_state = 35},
  [6545] = {.lex_state = 35},
  [6546] = {.lex_state = 35},
  [6547] = {.lex_state = 35},
  [6548] = {.lex_state = 35},
  [6549] = {.lex_state = 35},
  [6550] = {.lex_state = 35},
  [6551] = {.lex_state = 35},
  [6552] = {.lex_state = 35, .external_lex_state = 2},
  [6553] = {.lex_state = 35, .external_lex_state = 2},
  [6554] = {.lex_state = 35},
  [6555] = {.lex_state = 35, .external_lex_state = 2},
  [6556] = {.lex_state = 35},
  [6557] = {.lex_state = 35},
  [6558] = {.lex_state = 35, .external_lex_state = 2},
  [6559] = {.lex_state = 35},
  [6560] = {.lex_state = 35},
  [6561] = {.lex_state = 35},
  [6562] = {.lex_state = 35},
  [6563] = {.lex_state = 35, .external_lex_state = 2},
  [6564] = {.lex_state = 35},
  [6565] = {.lex_state = 35},
  [6566] = {.lex_state = 35},
  [6567] = {.lex_state = 35, .external_lex_state = 2},
  [6568] = {.lex_state = 35, .external_lex_state = 2},
  [6569] = {.lex_state = 35},
  [6570] = {.lex_state = 35},
  [6571] = {.lex_state = 35, .external_lex_state = 2},
  [6572] = {.lex_state = 35, .external_lex_state = 2},
  [6573] = {.lex_state = 35},
  [6574] = {.lex_state = 35, .external_lex_state = 2},
  [6575] = {.lex_state = 35, .external_lex_state = 2},
  [6576] = {.lex_state = 35, .external_lex_state = 2},
  [6577] = {.lex_state = 35},
  [6578] = {.lex_state = 35},
  [6579] = {.lex_state = 35, .external_lex_state = 2},
  [6580] = {.lex_state = 35},
  [6581] = {.lex_state = 35},
  [6582] = {.lex_state = 35, .external_lex_state = 2},
  [6583] = {.lex_state = 35},
  [6584] = {.lex_state = 35},
  [6585] = {.lex_state = 35},
  [6586] = {.lex_state = 35},
  [6587] = {.lex_state = 35},
  [6588] = {.lex_state = 35, .external_lex_state = 2},
  [6589] = {.lex_state = 35, .external_lex_state = 2},
  [6590] = {.lex_state = 35},
  [6591] = {.lex_state = 35},
  [6592] = {.lex_state = 35, .external_lex_state = 2},
  [6593] = {.lex_state = 35},
  [6594] = {.lex_state = 35, .external_lex_state = 2},
  [6595] = {.lex_state = 35},
  [6596] = {.lex_state = 35, .external_lex_state = 2},
  [6597] = {.lex_state = 35, .external_lex_state = 2},
  [6598] = {.lex_state = 35},
  [6599] = {.lex_state = 35, .external_lex_state = 2},
  [6600] = {.lex_state = 35, .external_lex_state = 2},
  [6601] = {.lex_state = 35},
  [6602] = {.lex_state = 35, .external_lex_state = 2},
  [6603] = {.lex_state = 33, .external_lex_state = 3},
  [6604] = {.lex_state = 35},
  [6605] = {.lex_state = 35, .external_lex_state = 2},
  [6606] = {.lex_state = 35, .external_lex_state = 2},
  [6607] = {.lex_state = 35, .external_lex_state = 2},
  [6608] = {.lex_state = 33, .external_lex_state = 3},
  [6609] = {.lex_state = 35, .external_lex_state = 2},
  [6610] = {.lex_state = 35, .external_lex_state = 2},
  [6611] = {.lex_state = 35, .external_lex_state = 2},
  [6612] = {.lex_state = 35},
  [6613] = {.lex_state = 35},
  [6614] = {.lex_state = 35, .external_lex_state = 2},
  [6615] = {.lex_state = 35},
  [6616] = {.lex_state = 35},
  [6617] = {.lex_state = 35, .external_lex_state = 2},
  [6618] = {.lex_state = 35, .external_lex_state = 2},
  [6619] = {.lex_state = 35},
  [6620] = {.lex_state = 35, .external_lex_state = 2},
  [6621] = {.lex_state = 35, .external_lex_state = 2},
  [6622] = {.lex_state = 35, .external_lex_state = 2},
  [6623] = {.lex_state = 35, .external_lex_state = 2},
  [6624] = {.lex_state = 35, .external_lex_state = 2},
  [6625] = {.lex_state = 35, .external_lex_state = 2},
  [6626] = {.lex_state = 35, .external_lex_state = 2},
  [6627] = {.lex_state = 33, .external_lex_state = 3},
  [6628] = {.lex_state = 33, .external_lex_state = 4},
  [6629] = {.lex_state = 35},
  [6630] = {.lex_state = 35, .external_lex_state = 2},
  [6631] = {.lex_state = 33, .external_lex_state = 4},
  [6632] = {.lex_state = 35},
  [6633] = {.lex_state = 35},
  [6634] = {.lex_state = 35},
  [6635] = {.lex_state = 35},
  [6636] = {.lex_state = 35},
  [6637] = {.lex_state = 35},
  [6638] = {.lex_state = 35},
  [6639] = {.lex_state = 35},
  [6640] = {.lex_state = 35, .external_lex_state = 2},
  [6641] = {.lex_state = 35},
  [6642] = {.lex_state = 33, .external_lex_state = 4},
  [6643] = {.lex_state = 35},
  [6644] = {.lex_state = 35},
  [6645] = {.lex_state = 35},
  [6646] = {.lex_state = 35},
  [6647] = {.lex_state = 35, .external_lex_state = 2},
  [6648] = {.lex_state = 35, .external_lex_state = 2},
  [6649] = {.lex_state = 35, .external_lex_state = 2},
  [6650] = {.lex_state = 35, .external_lex_state = 2},
  [6651] = {.lex_state = 35},
  [6652] = {.lex_state = 35, .external_lex_state = 2},
  [6653] = {.lex_state = 35, .external_lex_state = 2},
  [6654] = {.lex_state = 1, .external_lex_state = 3},
  [6655] = {.lex_state = 35, .external_lex_state = 2},
  [6656] = {.lex_state = 35, .external_lex_state = 2},
  [6657] = {.lex_state = 35, .external_lex_state = 2},
  [6658] = {.lex_state = 35, .external_lex_state = 2},
  [6659] = {.lex_state = 35, .external_lex_state = 2},
  [6660] = {.lex_state = 35},
  [6661] = {.lex_state = 35, .external_lex_state = 2},
  [6662] = {.lex_state = 35},
  [6663] = {.lex_state = 35, .external_lex_state = 2},
  [6664] = {.lex_state = 1, .external_lex_state = 3},
  [6665] = {.lex_state = 1, .external_lex_state = 3},
  [6666] = {.lex_state = 1, .external_lex_state = 3},
  [6667] = {.lex_state = 35, .external_lex_state = 2},
  [6668] = {.lex_state = 1, .external_lex_state = 3},
  [6669] = {.lex_state = 35, .external_lex_state = 2},
  [6670] = {.lex_state = 35},
  [6671] = {.lex_state = 1, .external_lex_state = 3},
  [6672] = {.lex_state = 33, .external_lex_state = 3},
  [6673] = {.lex_state = 35, .external_lex_state = 2},
  [6674] = {.lex_state = 35},
  [6675] = {.lex_state = 35},
  [6676] = {.lex_state = 35},
  [6677] = {.lex_state = 35},
  [6678] = {.lex_state = 35},
  [6679] = {.lex_state = 35},
  [6680] = {.lex_state = 35},
  [6681] = {.lex_state = 35},
  [6682] = {.lex_state = 35},
  [6683] = {.lex_state = 35},
  [6684] = {.lex_state = 35},
  [6685] = {.lex_state = 35},
  [6686] = {.lex_state = 35},
  [6687] = {.lex_state = 33, .external_lex_state = 4},
  [6688] = {.lex_state = 35},
  [6689] = {.lex_state = 35},
  [6690] = {.lex_state = 35},
  [6691] = {.lex_state = 35},
  [6692] = {.lex_state = 35},
  [6693] = {.lex_state = 35},
  [6694] = {.lex_state = 35},
  [6695] = {.lex_state = 35},
  [6696] = {.lex_state = 35},
  [6697] = {.lex_state = 35},
  [6698] = {.lex_state = 35},
  [6699] = {.lex_state = 35},
  [6700] = {.lex_state = 35},
  [6701] = {.lex_state = 35},
  [6702] = {.lex_state = 35},
  [6703] = {.lex_state = 35},
  [6704] = {.lex_state = 1, .external_lex_state = 3},
  [6705] = {.lex_state = 33, .external_lex_state = 3},
  [6706] = {.lex_state = 35},
  [6707] = {.lex_state = 35},
  [6708] = {.lex_state = 1, .external_lex_state = 3},
  [6709] = {.lex_state = 35, .external_lex_state = 2},
  [6710] = {.lex_state = 35, .external_lex_state = 2},
  [6711] = {.lex_state = 1, .external_lex_state = 3},
  [6712] = {.lex_state = 35},
  [6713] = {.lex_state = 35},
  [6714] = {.lex_state = 33, .external_lex_state = 3},
  [6715] = {.lex_state = 1, .external_lex_state = 3},
  [6716] = {.lex_state = 35},
  [6717] = {.lex_state = 33, .external_lex_state = 3},
  [6718] = {.lex_state = 35},
  [6719] = {.lex_state = 35, .external_lex_state = 2},
  [6720] = {.lex_state = 35},
  [6721] = {.lex_state = 35, .external_lex_state = 2},
  [6722] = {.lex_state = 35, .external_lex_state = 2},
  [6723] = {.lex_state = 33, .external_lex_state = 3},
  [6724] = {.lex_state = 35},
  [6725] = {.lex_state = 35},
  [6726] = {.lex_state = 1, .external_lex_state = 3},
  [6727] = {.lex_state = 35},
  [6728] = {.lex_state = 35},
  [6729] = {.lex_state = 1, .external_lex_state = 3},
  [6730] = {.lex_state = 35},
  [6731] = {.lex_state = 35, .external_lex_state = 2},
  [6732] = {.lex_state = 1, .external_lex_state = 3},
  [6733] = {.lex_state = 33, .external_lex_state = 4},
  [6734] = {.lex_state = 35},
  [6735] = {.lex_state = 33, .external_lex_state = 4},
  [6736] = {.lex_state = 33, .external_lex_state = 3},
  [6737] = {.lex_state = 33, .external_lex_state = 3},
  [6738] = {.lex_state = 35},
  [6739] = {.lex_state = 35},
  [6740] = {.lex_state = 33, .external_lex_state = 3},
  [6741] = {.lex_state = 35},
  [6742] = {.lex_state = 35, .external_lex_state = 2},
  [6743] = {.lex_state = 35},
  [6744] = {.lex_state = 35, .external_lex_state = 2},
  [6745] = {.lex_state = 35, .external_lex_state = 2},
  [6746] = {.lex_state = 33, .external_lex_state = 4},
  [6747] = {.lex_state = 1, .external_lex_state = 3},
  [6748] = {.lex_state = 35, .external_lex_state = 2},
  [6749] = {.lex_state = 35, .external_lex_state = 2},
  [6750] = {.lex_state = 35},
  [6751] = {.lex_state = 35, .external_lex_state = 2},
  [6752] = {.lex_state = 33, .external_lex_state = 3},
  [6753] = {.lex_state = 35},
  [6754] = {.lex_state = 35},
  [6755] = {.lex_state = 33, .external_lex_state = 3},
  [6756] = {.lex_state = 35, .external_lex_state = 2},
  [6757] = {.lex_state = 33, .external_lex_state = 4},
  [6758] = {.lex_state = 35},
  [6759] = {.lex_state = 1, .external_lex_state = 3},
  [6760] = {.lex_state = 33, .external_lex_state = 3},
  [6761] = {.lex_state = 35, .external_lex_state = 2},
  [6762] = {.lex_state = 35},
  [6763] = {.lex_state = 33, .external_lex_state = 3},
  [6764] = {.lex_state = 35},
  [6765] = {.lex_state = 35, .external_lex_state = 2},
  [6766] = {.lex_state = 35, .external_lex_state = 2},
  [6767] = {.lex_state = 35, .external_lex_state = 2},
  [6768] = {.lex_state = 35},
  [6769] = {.lex_state = 35},
  [6770] = {.lex_state = 35, .external_lex_state = 2},
  [6771] = {.lex_state = 35},
  [6772] = {.lex_state = 33, .external_lex_state = 3},
  [6773] = {.lex_state = 33, .external_lex_state = 3},
  [6774] = {.lex_state = 35},
  [6775] = {.lex_state = 35},
  [6776] = {.lex_state = 1, .external_lex_state = 3},
  [6777] = {.lex_state = 35},
  [6778] = {.lex_state = 35},
  [6779] = {.lex_state = 33, .external_lex_state = 3},
  [6780] = {.lex_state = 33, .external_lex_state = 3},
  [6781] = {.lex_state = 33, .external_lex_state = 3},
  [6782] = {.lex_state = 33, .external_lex_state = 3},
  [6783] = {.lex_state = 33, .external_lex_state = 3},
  [6784] = {.lex_state = 33, .external_lex_state = 3},
  [6785] = {.lex_state = 33, .external_lex_state = 3},
  [6786] = {.lex_state = 33, .external_lex_state = 3},
  [6787] = {.lex_state = 35, .external_lex_state = 2},
  [6788] = {.lex_state = 35, .external_lex_state = 2},
  [6789] = {.lex_state = 33, .external_lex_state = 3},
  [6790] = {.lex_state = 35},
  [6791] = {.lex_state = 33, .external_lex_state = 3},
  [6792] = {.lex_state = 35, .external_lex_state = 2},
  [6793] = {.lex_state = 33, .external_lex_state = 3},
  [6794] = {.lex_state = 35},
  [6795] = {.lex_state = 35},
  [6796] = {.lex_state = 35},
  [6797] = {.lex_state = 33, .external_lex_state = 3},
  [6798] = {.lex_state = 1, .external_lex_state = 3},
  [6799] = {.lex_state = 33, .external_lex_state = 4},
  [6800] = {.lex_state = 33, .external_lex_state = 3},
  [6801] = {.lex_state = 35},
  [6802] = {.lex_state = 1, .external_lex_state = 3},
  [6803] = {.lex_state = 33, .external_lex_state = 3},
  [6804] = {.lex_state = 35, .external_lex_state = 2},
  [6805] = {.lex_state = 33, .external_lex_state = 3},
  [6806] = {.lex_state = 33, .external_lex_state = 3},
  [6807] = {.lex_state = 1, .external_lex_state = 3},
  [6808] = {.lex_state = 1, .external_lex_state = 3},
  [6809] = {.lex_state = 1, .external_lex_state = 3},
  [6810] = {.lex_state = 33, .external_lex_state = 3},
  [6811] = {.lex_state = 35, .external_lex_state = 2},
  [6812] = {.lex_state = 33, .external_lex_state = 3},
  [6813] = {.lex_state = 33, .external_lex_state = 3},
  [6814] = {.lex_state = 35, .external_lex_state = 2},
  [6815] = {.lex_state = 1, .external_lex_state = 3},
  [6816] = {.lex_state = 33, .external_lex_state = 3},
  [6817] = {.lex_state = 35},
  [6818] = {.lex_state = 1, .external_lex_state = 3},
  [6819] = {.lex_state = 33, .external_lex_state = 3},
  [6820] = {.lex_state = 35, .external_lex_state = 2},
  [6821] = {.lex_state = 35},
  [6822] = {.lex_state = 33, .external_lex_state = 3},
  [6823] = {.lex_state = 33, .external_lex_state = 3},
  [6824] = {.lex_state = 35, .external_lex_state = 2},
  [6825] = {.lex_state = 35},
  [6826] = {.lex_state = 33, .external_lex_state = 3},
  [6827] = {.lex_state = 1, .external_lex_state = 3},
  [6828] = {.lex_state = 1, .external_lex_state = 3},
  [6829] = {.lex_state = 1, .external_lex_state = 3},
  [6830] = {.lex_state = 35, .external_lex_state = 2},
  [6831] = {.lex_state = 1, .external_lex_state = 3},
  [6832] = {.lex_state = 35, .external_lex_state = 2},
  [6833] = {.lex_state = 33, .external_lex_state = 3},
  [6834] = {.lex_state = 35},
  [6835] = {.lex_state = 33, .external_lex_state = 3},
  [6836] = {.lex_state = 33, .external_lex_state = 4},
  [6837] = {.lex_state = 35},
  [6838] = {.lex_state = 33, .external_lex_state = 3},
  [6839] = {.lex_state = 35, .external_lex_state = 2},
  [6840] = {.lex_state = 33, .external_lex_state = 3},
  [6841] = {.lex_state = 35, .external_lex_state = 2},
  [6842] = {.lex_state = 1, .external_lex_state = 3},
  [6843] = {.lex_state = 1, .external_lex_state = 3},
  [6844] = {.lex_state = 35},
  [6845] = {.lex_state = 35},
  [6846] = {.lex_state = 35, .external_lex_state = 2},
  [6847] = {.lex_state = 35, .external_lex_state = 2},
  [6848] = {.lex_state = 1, .external_lex_state = 3},
  [6849] = {.lex_state = 33, .external_lex_state = 4},
  [6850] = {.lex_state = 33, .external_lex_state = 4},
  [6851] = {.lex_state = 35, .external_lex_state = 2},
  [6852] = {.lex_state = 1, .external_lex_state = 3},
  [6853] = {.lex_state = 33, .external_lex_state = 4},
  [6854] = {.lex_state = 35, .external_lex_state = 2},
  [6855] = {.lex_state = 1, .external_lex_state = 3},
  [6856] = {.lex_state = 33, .external_lex_state = 4},
  [6857] = {.lex_state = 1, .external_lex_state = 3},
  [6858] = {.lex_state = 1, .external_lex_state = 3},
  [6859] = {.lex_state = 33, .external_lex_state = 4},
  [6860] = {.lex_state = 33, .external_lex_state = 4},
  [6861] = {.lex_state = 33, .external_lex_state = 4},
  [6862] = {.lex_state = 33, .external_lex_state = 4},
  [6863] = {.lex_state = 35},
  [6864] = {.lex_state = 35},
  [6865] = {.lex_state = 35, .external_lex_state = 2},
  [6866] = {.lex_state = 35},
  [6867] = {.lex_state = 1, .external_lex_state = 3},
  [6868] = {.lex_state = 33, .external_lex_state = 4},
  [6869] = {.lex_state = 33, .external_lex_state = 4},
  [6870] = {.lex_state = 33, .external_lex_state = 4},
  [6871] = {.lex_state = 1, .external_lex_state = 3},
  [6872] = {.lex_state = 33, .external_lex_state = 4},
  [6873] = {.lex_state = 33, .external_lex_state = 4},
  [6874] = {.lex_state = 33, .external_lex_state = 4},
  [6875] = {.lex_state = 35},
  [6876] = {.lex_state = 1, .external_lex_state = 3},
  [6877] = {.lex_state = 33, .external_lex_state = 4},
  [6878] = {.lex_state = 1, .external_lex_state = 3},
  [6879] = {.lex_state = 1, .external_lex_state = 3},
  [6880] = {.lex_state = 35},
  [6881] = {.lex_state = 35},
  [6882] = {.lex_state = 1, .external_lex_state = 3},
  [6883] = {.lex_state = 1, .external_lex_state = 3},
  [6884] = {.lex_state = 35},
  [6885] = {.lex_state = 1, .external_lex_state = 3},
  [6886] = {.lex_state = 35},
  [6887] = {.lex_state = 33, .external_lex_state = 4},
  [6888] = {.lex_state = 33, .external_lex_state = 4},
  [6889] = {.lex_state = 35},
  [6890] = {.lex_state = 1, .external_lex_state = 3},
  [6891] = {.lex_state = 33, .external_lex_state = 4},
  [6892] = {.lex_state = 35},
  [6893] = {.lex_state = 33, .external_lex_state = 4},
  [6894] = {.lex_state = 33, .external_lex_state = 4},
  [6895] = {.lex_state = 33, .external_lex_state = 4},
  [6896] = {.lex_state = 35},
  [6897] = {.lex_state = 33, .external_lex_state = 4},
  [6898] = {.lex_state = 35},
  [6899] = {.lex_state = 35},
  [6900] = {.lex_state = 33, .external_lex_state = 4},
  [6901] = {.lex_state = 1, .external_lex_state = 3},
  [6902] = {.lex_state = 33, .external_lex_state = 4},
  [6903] = {.lex_state = 35},
  [6904] = {.lex_state = 35},
  [6905] = {.lex_state = 1, .external_lex_state = 3},
  [6906] = {.lex_state = 33, .external_lex_state = 4},
  [6907] = {.lex_state = 1, .external_lex_state = 3},
  [6908] = {.lex_state = 1, .external_lex_state = 3},
  [6909] = {.lex_state = 35},
  [6910] = {.lex_state = 33, .external_lex_state = 4},
  [6911] = {.lex_state = 35},
  [6912] = {.lex_state = 35},
  [6913] = {.lex_state = 1, .external_lex_state = 3},
  [6914] = {.lex_state = 35},
  [6915] = {.lex_state = 1, .external_lex_state = 3},
  [6916] = {.lex_state = 1, .external_lex_state = 3},
  [6917] = {.lex_state = 35},
  [6918] = {.lex_state = 1, .external_lex_state = 3},
  [6919] = {.lex_state = 33, .external_lex_state = 4},
  [6920] = {.lex_state = 33, .external_lex_state = 4},
  [6921] = {.lex_state = 33, .external_lex_state = 4},
  [6922] = {.lex_state = 1, .external_lex_state = 3},
  [6923] = {.lex_state = 1, .external_lex_state = 3},
  [6924] = {.lex_state = 35, .external_lex_state = 2},
  [6925] = {.lex_state = 35},
  [6926] = {.lex_state = 33, .external_lex_state = 4},
  [6927] = {.lex_state = 33, .external_lex_state = 4},
  [6928] = {.lex_state = 1, .external_lex_state = 3},
  [6929] = {.lex_state = 1, .external_lex_state = 3},
  [6930] = {.lex_state = 33, .external_lex_state = 4},
  [6931] = {.lex_state = 33, .external_lex_state = 4},
  [6932] = {.lex_state = 1, .external_lex_state = 3},
  [6933] = {.lex_state = 33, .external_lex_state = 4},
  [6934] = {.lex_state = 35},
  [6935] = {.lex_state = 35, .external_lex_state = 2},
  [6936] = {.lex_state = 35, .external_lex_state = 2},
  [6937] = {.lex_state = 33, .external_lex_state = 4},
  [6938] = {.lex_state = 1, .external_lex_state = 3},
  [6939] = {.lex_state = 35},
  [6940] = {.lex_state = 35},
  [6941] = {.lex_state = 35},
  [6942] = {.lex_state = 35, .external_lex_state = 2},
  [6943] = {.lex_state = 35},
  [6944] = {.lex_state = 35},
  [6945] = {.lex_state = 35},
  [6946] = {.lex_state = 35},
  [6947] = {.lex_state = 35},
  [6948] = {.lex_state = 35},
  [6949] = {.lex_state = 35},
  [6950] = {.lex_state = 35},
  [6951] = {.lex_state = 35, .external_lex_state = 2},
  [6952] = {.lex_state = 35},
  [6953] = {.lex_state = 35},
  [6954] = {.lex_state = 35},
  [6955] = {.lex_state = 35, .external_lex_state = 2},
  [6956] = {.lex_state = 35},
  [6957] = {.lex_state = 35},
  [6958] = {.lex_state = 35},
  [6959] = {.lex_state = 35},
  [6960] = {.lex_state = 35},
  [6961] = {.lex_state = 35},
  [6962] = {.lex_state = 35},
  [6963] = {.lex_state = 35},
  [6964] = {.lex_state = 35},
  [6965] = {.lex_state = 35},
  [6966] = {.lex_state = 35, .external_lex_state = 2},
  [6967] = {.lex_state = 35},
  [6968] = {.lex_state = 35},
  [6969] = {.lex_state = 35},
  [6970] = {.lex_state = 35},
  [6971] = {.lex_state = 35},
  [6972] = {.lex_state = 35, .external_lex_state = 2},
  [6973] = {.lex_state = 35, .external_lex_state = 2},
  [6974] = {.lex_state = 35, .external_lex_state = 2},
  [6975] = {.lex_state = 35, .external_lex_state = 2},
  [6976] = {.lex_state = 35, .external_lex_state = 2},
  [6977] = {.lex_state = 35, .external_lex_state = 2},
  [6978] = {.lex_state = 33, .external_lex_state = 3},
  [6979] = {.lex_state = 35, .external_lex_state = 2},
  [6980] = {.lex_state = 35, .external_lex_state = 2},
  [6981] = {.lex_state = 35, .external_lex_state = 2},
  [6982] = {.lex_state = 35},
  [6983] = {.lex_state = 35, .external_lex_state = 2},
  [6984] = {.lex_state = 35, .external_lex_state = 2},
  [6985] = {.lex_state = 35, .external_lex_state = 2},
  [6986] = {.lex_state = 35, .external_lex_state = 2},
  [6987] = {.lex_state = 35, .external_lex_state = 2},
  [6988] = {.lex_state = 35, .external_lex_state = 2},
  [6989] = {.lex_state = 35, .external_lex_state = 2},
  [6990] = {.lex_state = 35, .external_lex_state = 2},
  [6991] = {.lex_state = 35},
  [6992] = {.lex_state = 35, .external_lex_state = 2},
  [6993] = {.lex_state = 35, .external_lex_state = 2},
  [6994] = {.lex_state = 35, .external_lex_state = 2},
  [6995] = {.lex_state = 35, .external_lex_state = 2},
  [6996] = {.lex_state = 35, .external_lex_state = 2},
  [6997] = {.lex_state = 35, .external_lex_state = 2},
  [6998] = {.lex_state = 33, .external_lex_state = 3},
  [6999] = {.lex_state = 35, .external_lex_state = 2},
  [7000] = {.lex_state = 33, .external_lex_state = 3},
  [7001] = {.lex_state = 35, .external_lex_state = 2},
  [7002] = {.lex_state = 35, .external_lex_state = 2},
  [7003] = {.lex_state = 35, .external_lex_state = 2},
  [7004] = {.lex_state = 35, .external_lex_state = 2},
  [7005] = {.lex_state = 35, .external_lex_state = 2},
  [7006] = {.lex_state = 35, .external_lex_state = 2},
  [7007] = {.lex_state = 35, .external_lex_state = 2},
  [7008] = {.lex_state = 35, .external_lex_state = 2},
  [7009] = {.lex_state = 35},
  [7010] = {.lex_state = 35, .external_lex_state = 2},
  [7011] = {.lex_state = 35},
  [7012] = {.lex_state = 35, .external_lex_state = 2},
  [7013] = {.lex_state = 35},
  [7014] = {.lex_state = 35, .external_lex_state = 2},
  [7015] = {.lex_state = 35, .external_lex_state = 2},
  [7016] = {.lex_state = 35},
  [7017] = {.lex_state = 35, .external_lex_state = 2},
  [7018] = {.lex_state = 35},
  [7019] = {.lex_state = 35, .external_lex_state = 2},
  [7020] = {.lex_state = 35, .external_lex_state = 2},
  [7021] = {.lex_state = 35, .external_lex_state = 2},
  [7022] = {.lex_state = 35, .external_lex_state = 2},
  [7023] = {.lex_state = 35},
  [7024] = {.lex_state = 35, .external_lex_state = 2},
  [7025] = {.lex_state = 35, .external_lex_state = 2},
  [7026] = {.lex_state = 35, .external_lex_state = 2},
  [7027] = {.lex_state = 35, .external_lex_state = 2},
  [7028] = {.lex_state = 35, .external_lex_state = 2},
  [7029] = {.lex_state = 35, .external_lex_state = 2},
  [7030] = {.lex_state = 35, .external_lex_state = 2},
  [7031] = {.lex_state = 35},
  [7032] = {.lex_state = 35, .external_lex_state = 2},
  [7033] = {.lex_state = 35},
  [7034] = {.lex_state = 35, .external_lex_state = 2},
  [7035] = {.lex_state = 35, .external_lex_state = 2},
  [7036] = {.lex_state = 35, .external_lex_state = 2},
  [7037] = {.lex_state = 35},
  [7038] = {.lex_state = 35},
  [7039] = {.lex_state = 35, .external_lex_state = 2},
  [7040] = {.lex_state = 35},
  [7041] = {.lex_state = 35, .external_lex_state = 2},
  [7042] = {.lex_state = 35, .external_lex_state = 2},
  [7043] = {.lex_state = 35, .external_lex_state = 2},
  [7044] = {.lex_state = 35},
  [7045] = {.lex_state = 35},
  [7046] = {.lex_state = 35, .external_lex_state = 2},
  [7047] = {.lex_state = 35, .external_lex_state = 2},
  [7048] = {.lex_state = 35, .external_lex_state = 2},
  [7049] = {.lex_state = 35},
  [7050] = {.lex_state = 35, .external_lex_state = 2},
  [7051] = {.lex_state = 35},
  [7052] = {.lex_state = 35},
  [7053] = {.lex_state = 35},
  [7054] = {.lex_state = 35, .external_lex_state = 2},
  [7055] = {.lex_state = 35, .external_lex_state = 2},
  [7056] = {.lex_state = 35, .external_lex_state = 2},
  [7057] = {.lex_state = 35},
  [7058] = {.lex_state = 35, .external_lex_state = 2},
  [7059] = {.lex_state = 35},
  [7060] = {.lex_state = 35, .external_lex_state = 2},
  [7061] = {.lex_state = 35, .external_lex_state = 2},
  [7062] = {.lex_state = 35, .external_lex_state = 2},
  [7063] = {.lex_state = 35},
  [7064] = {.lex_state = 35},
  [7065] = {.lex_state = 35},
  [7066] = {.lex_state = 35, .external_lex_state = 2},
  [7067] = {.lex_state = 35},
  [7068] = {.lex_state = 35, .external_lex_state = 2},
  [7069] = {.lex_state = 35},
  [7070] = {.lex_state = 35, .external_lex_state = 2},
  [7071] = {.lex_state = 35},
  [7072] = {.lex_state = 35},
  [7073] = {.lex_state = 35},
  [7074] = {.lex_state = 35},
  [7075] = {.lex_state = 35},
  [7076] = {.lex_state = 35, .external_lex_state = 2},
  [7077] = {.lex_state = 35},
  [7078] = {.lex_state = 35},
  [7079] = {.lex_state = 35},
  [7080] = {.lex_state = 35},
  [7081] = {.lex_state = 35},
  [7082] = {.lex_state = 35},
  [7083] = {.lex_state = 35, .external_lex_state = 2},
  [7084] = {.lex_state = 35},
  [7085] = {.lex_state = 35},
  [7086] = {.lex_state = 35, .external_lex_state = 2},
  [7087] = {.lex_state = 35},
  [7088] = {.lex_state = 35, .external_lex_state = 2},
  [7089] = {.lex_state = 35, .external_lex_state = 2},
  [7090] = {.lex_state = 35},
  [7091] = {.lex_state = 35},
  [7092] = {.lex_state = 35, .external_lex_state = 2},
  [7093] = {.lex_state = 35},
  [7094] = {.lex_state = 35},
  [7095] = {.lex_state = 35},
  [7096] = {.lex_state = 35},
  [7097] = {.lex_state = 35},
  [7098] = {.lex_state = 35, .external_lex_state = 2},
  [7099] = {.lex_state = 35},
  [7100] = {.lex_state = 35},
  [7101] = {.lex_state = 35, .external_lex_state = 2},
  [7102] = {.lex_state = 35},
  [7103] = {.lex_state = 35},
  [7104] = {.lex_state = 35},
  [7105] = {.lex_state = 35},
  [7106] = {.lex_state = 35, .external_lex_state = 2},
  [7107] = {.lex_state = 35},
  [7108] = {.lex_state = 35},
  [7109] = {.lex_state = 35, .external_lex_state = 2},
  [7110] = {.lex_state = 35, .external_lex_state = 2},
  [7111] = {.lex_state = 35},
  [7112] = {.lex_state = 35},
  [7113] = {.lex_state = 35, .external_lex_state = 2},
  [7114] = {.lex_state = 35, .external_lex_state = 2},
  [7115] = {.lex_state = 35, .external_lex_state = 2},
  [7116] = {.lex_state = 35, .external_lex_state = 2},
  [7117] = {.lex_state = 35, .external_lex_state = 2},
  [7118] = {.lex_state = 35, .external_lex_state = 2},
  [7119] = {.lex_state = 35, .external_lex_state = 2},
  [7120] = {.lex_state = 35, .external_lex_state = 2},
  [7121] = {.lex_state = 35, .external_lex_state = 2},
  [7122] = {.lex_state = 35, .external_lex_state = 2},
  [7123] = {.lex_state = 35, .external_lex_state = 2},
  [7124] = {.lex_state = 35, .external_lex_state = 2},
  [7125] = {.lex_state = 35},
  [7126] = {.lex_state = 35, .external_lex_state = 2},
  [7127] = {.lex_state = 35, .external_lex_state = 2},
  [7128] = {.lex_state = 35, .external_lex_state = 2},
  [7129] = {.lex_state = 35, .external_lex_state = 2},
  [7130] = {.lex_state = 35, .external_lex_state = 2},
  [7131] = {.lex_state = 35, .external_lex_state = 2},
  [7132] = {.lex_state = 35, .external_lex_state = 2},
  [7133] = {.lex_state = 35, .external_lex_state = 2},
  [7134] = {.lex_state = 35, .external_lex_state = 2},
  [7135] = {.lex_state = 35, .external_lex_state = 2},
  [7136] = {.lex_state = 35, .external_lex_state = 2},
  [7137] = {.lex_state = 35, .external_lex_state = 2},
  [7138] = {.lex_state = 35},
  [7139] = {.lex_state = 35, .external_lex_state = 2},
  [7140] = {.lex_state = 35, .external_lex_state = 2},
  [7141] = {.lex_state = 35, .external_lex_state = 2},
  [7142] = {.lex_state = 35, .external_lex_state = 2},
  [7143] = {.lex_state = 35, .external_lex_state = 2},
  [7144] = {.lex_state = 35, .external_lex_state = 2},
  [7145] = {.lex_state = 35, .external_lex_state = 2},
  [7146] = {.lex_state = 35, .external_lex_state = 2},
  [7147] = {.lex_state = 35, .external_lex_state = 2},
  [7148] = {.lex_state = 35, .external_lex_state = 2},
  [7149] = {.lex_state = 35},
  [7150] = {.lex_state = 35, .external_lex_state = 2},
  [7151] = {.lex_state = 35, .external_lex_state = 2},
  [7152] = {.lex_state = 35, .external_lex_state = 2},
  [7153] = {.lex_state = 35, .external_lex_state = 2},
  [7154] = {.lex_state = 35, .external_lex_state = 2},
  [7155] = {.lex_state = 35, .external_lex_state = 2},
  [7156] = {.lex_state = 35, .external_lex_state = 2},
  [7157] = {.lex_state = 35, .external_lex_state = 2},
  [7158] = {.lex_state = 35, .external_lex_state = 2},
  [7159] = {.lex_state = 35, .external_lex_state = 2},
  [7160] = {.lex_state = 35, .external_lex_state = 2},
  [7161] = {.lex_state = 35},
  [7162] = {.lex_state = 35, .external_lex_state = 2},
  [7163] = {.lex_state = 35, .external_lex_state = 2},
  [7164] = {.lex_state = 35},
  [7165] = {.lex_state = 35},
  [7166] = {.lex_state = 35, .external_lex_state = 2},
  [7167] = {.lex_state = 35, .external_lex_state = 2},
  [7168] = {.lex_state = 35, .external_lex_state = 2},
  [7169] = {.lex_state = 35, .external_lex_state = 2},
  [7170] = {.lex_state = 35, .external_lex_state = 2},
  [7171] = {.lex_state = 35},
  [7172] = {.lex_state = 35, .external_lex_state = 2},
  [7173] = {.lex_state = 35, .external_lex_state = 2},
  [7174] = {.lex_state = 35, .external_lex_state = 2},
  [7175] = {.lex_state = 35, .external_lex_state = 2},
  [7176] = {.lex_state = 35, .external_lex_state = 2},
  [7177] = {.lex_state = 35, .external_lex_state = 2},
  [7178] = {.lex_state = 35, .external_lex_state = 2},
  [7179] = {.lex_state = 35, .external_lex_state = 2},
  [7180] = {.lex_state = 35},
  [7181] = {.lex_state = 35},
  [7182] = {.lex_state = 35, .external_lex_state = 2},
  [7183] = {.lex_state = 35, .external_lex_state = 2},
  [7184] = {.lex_state = 35, .external_lex_state = 2},
  [7185] = {.lex_state = 35, .external_lex_state = 2},
  [7186] = {.lex_state = 35},
  [7187] = {.lex_state = 33},
  [7188] = {.lex_state = 35, .external_lex_state = 2},
  [7189] = {.lex_state = 35, .external_lex_state = 2},
  [7190] = {.lex_state = 35, .external_lex_state = 2},
  [7191] = {.lex_state = 35, .external_lex_state = 2},
  [7192] = {.lex_state = 35, .external_lex_state = 2},
  [7193] = {.lex_state = 35, .external_lex_state = 2},
  [7194] = {.lex_state = 35, .external_lex_state = 2},
  [7195] = {.lex_state = 35, .external_lex_state = 2},
  [7196] = {.lex_state = 35, .external_lex_state = 2},
  [7197] = {.lex_state = 35, .external_lex_state = 2},
  [7198] = {.lex_state = 35, .external_lex_state = 2},
  [7199] = {.lex_state = 35, .external_lex_state = 2},
  [7200] = {.lex_state = 35, .external_lex_state = 2},
  [7201] = {.lex_state = 35, .external_lex_state = 2},
  [7202] = {.lex_state = 35, .external_lex_state = 2},
  [7203] = {.lex_state = 35, .external_lex_state = 2},
  [7204] = {.lex_state = 35, .external_lex_state = 2},
  [7205] = {.lex_state = 35},
  [7206] = {.lex_state = 35, .external_lex_state = 2},
  [7207] = {.lex_state = 35, .external_lex_state = 2},
  [7208] = {.lex_state = 35, .external_lex_state = 2},
  [7209] = {.lex_state = 35},
  [7210] = {.lex_state = 35, .external_lex_state = 2},
  [7211] = {.lex_state = 35, .external_lex_state = 2},
  [7212] = {.lex_state = 35, .external_lex_state = 2},
  [7213] = {.lex_state = 35, .external_lex_state = 2},
  [7214] = {.lex_state = 35, .external_lex_state = 2},
  [7215] = {.lex_state = 35},
  [7216] = {.lex_state = 35, .external_lex_state = 2},
  [7217] = {.lex_state = 35, .external_lex_state = 2},
  [7218] = {.lex_state = 35},
  [7219] = {.lex_state = 35, .external_lex_state = 2},
  [7220] = {.lex_state = 35, .external_lex_state = 2},
  [7221] = {.lex_state = 35},
  [7222] = {.lex_state = 35, .external_lex_state = 2},
  [7223] = {.lex_state = 35, .external_lex_state = 2},
  [7224] = {.lex_state = 35, .external_lex_state = 2},
  [7225] = {.lex_state = 36},
  [7226] = {.lex_state = 35},
  [7227] = {.lex_state = 35},
  [7228] = {.lex_state = 35},
  [7229] = {.lex_state = 36},
  [7230] = {.lex_state = 35, .external_lex_state = 2},
  [7231] = {.lex_state = 35},
  [7232] = {.lex_state = 35, .external_lex_state = 2},
  [7233] = {.lex_state = 35, .external_lex_state = 2},
  [7234] = {.lex_state = 35, .external_lex_state = 2},
  [7235] = {.lex_state = 35},
  [7236] = {.lex_state = 35, .external_lex_state = 2},
  [7237] = {.lex_state = 35, .external_lex_state = 2},
  [7238] = {.lex_state = 35, .external_lex_state = 2},
  [7239] = {.lex_state = 35, .external_lex_state = 2},
  [7240] = {.lex_state = 35},
  [7241] = {.lex_state = 35},
  [7242] = {.lex_state = 35, .external_lex_state = 2},
  [7243] = {.lex_state = 35, .external_lex_state = 2},
  [7244] = {.lex_state = 35, .external_lex_state = 2},
  [7245] = {.lex_state = 35},
  [7246] = {.lex_state = 35, .external_lex_state = 2},
  [7247] = {.lex_state = 35, .external_lex_state = 2},
  [7248] = {.lex_state = 35, .external_lex_state = 2},
  [7249] = {.lex_state = 35, .external_lex_state = 2},
  [7250] = {.lex_state = 35, .external_lex_state = 2},
  [7251] = {.lex_state = 35, .external_lex_state = 2},
  [7252] = {.lex_state = 35, .external_lex_state = 2},
  [7253] = {.lex_state = 35, .external_lex_state = 2},
  [7254] = {.lex_state = 35},
  [7255] = {.lex_state = 35},
  [7256] = {.lex_state = 35},
  [7257] = {.lex_state = 35, .external_lex_state = 2},
  [7258] = {.lex_state = 35},
  [7259] = {.lex_state = 35, .external_lex_state = 2},
  [7260] = {.lex_state = 35},
  [7261] = {.lex_state = 35, .external_lex_state = 2},
  [7262] = {.lex_state = 35},
  [7263] = {.lex_state = 35},
  [7264] = {.lex_state = 35},
  [7265] = {.lex_state = 35},
  [7266] = {.lex_state = 35},
  [7267] = {.lex_state = 35},
  [7268] = {.lex_state = 35},
  [7269] = {.lex_state = 35},
  [7270] = {.lex_state = 35},
  [7271] = {.lex_state = 33, .external_lex_state = 3},
  [7272] = {.lex_state = 35},
  [7273] = {.lex_state = 35},
  [7274] = {.lex_state = 35},
  [7275] = {.lex_state = 35},
  [7276] = {.lex_state = 35},
  [7277] = {.lex_state = 35},
  [7278] = {.lex_state = 35},
  [7279] = {.lex_state = 35},
  [7280] = {.lex_state = 35},
  [7281] = {.lex_state = 35},
  [7282] = {.lex_state = 35},
  [7283] = {.lex_state = 35},
  [7284] = {.lex_state = 35},
  [7285] = {.lex_state = 33, .external_lex_state = 3},
  [7286] = {.lex_state = 35},
  [7287] = {.lex_state = 35, .external_lex_state = 2},
  [7288] = {.lex_state = 35},
  [7289] = {.lex_state = 35},
  [7290] = {.lex_state = 35, .external_lex_state = 2},
  [7291] = {.lex_state = 35},
  [7292] = {.lex_state = 35, .external_lex_state = 2},
  [7293] = {.lex_state = 35},
  [7294] = {.lex_state = 35},
  [7295] = {.lex_state = 35},
  [7296] = {.lex_state = 35},
  [7297] = {.lex_state = 35},
  [7298] = {.lex_state = 33, .external_lex_state = 3},
  [7299] = {.lex_state = 35},
  [7300] = {.lex_state = 35},
  [7301] = {.lex_state = 35},
  [7302] = {.lex_state = 35},
  [7303] = {.lex_state = 35},
  [7304] = {.lex_state = 35, .external_lex_state = 2},
  [7305] = {.lex_state = 35, .external_lex_state = 2},
  [7306] = {.lex_state = 35, .external_lex_state = 2},
  [7307] = {.lex_state = 35},
  [7308] = {.lex_state = 35},
  [7309] = {.lex_state = 35},
  [7310] = {.lex_state = 35, .external_lex_state = 2},
  [7311] = {.lex_state = 35},
  [7312] = {.lex_state = 33, .external_lex_state = 2},
  [7313] = {.lex_state = 35},
  [7314] = {.lex_state = 33, .external_lex_state = 3},
  [7315] = {.lex_state = 35},
  [7316] = {.lex_state = 35},
  [7317] = {.lex_state = 35},
  [7318] = {.lex_state = 35},
  [7319] = {.lex_state = 35},
  [7320] = {.lex_state = 35},
  [7321] = {.lex_state = 35, .external_lex_state = 2},
  [7322] = {.lex_state = 35},
  [7323] = {.lex_state = 35},
  [7324] = {.lex_state = 35, .external_lex_state = 2},
  [7325] = {.lex_state = 35},
  [7326] = {.lex_state = 35},
  [7327] = {.lex_state = 35},
  [7328] = {.lex_state = 35, .external_lex_state = 2},
  [7329] = {.lex_state = 35},
  [7330] = {.lex_state = 35, .external_lex_state = 2},
  [7331] = {.lex_state = 33, .external_lex_state = 3},
  [7332] = {.lex_state = 35},
  [7333] = {.lex_state = 33, .external_lex_state = 3},
  [7334] = {.lex_state = 35},
  [7335] = {.lex_state = 35},
  [7336] = {.lex_state = 35},
  [7337] = {.lex_state = 33, .external_lex_state = 3},
  [7338] = {.lex_state = 35},
  [7339] = {.lex_state = 35},
  [7340] = {.lex_state = 35},
  [7341] = {.lex_state = 35},
  [7342] = {.lex_state = 35},
  [7343] = {.lex_state = 35},
  [7344] = {.lex_state = 35},
  [7345] = {.lex_state = 33, .external_lex_state = 3},
  [7346] = {.lex_state = 35},
  [7347] = {.lex_state = 35},
  [7348] = {.lex_state = 35},
  [7349] = {.lex_state = 35},
  [7350] = {.lex_state = 35},
  [7351] = {.lex_state = 35},
  [7352] = {.lex_state = 35},
  [7353] = {.lex_state = 35},
  [7354] = {.lex_state = 35},
  [7355] = {.lex_state = 35},
  [7356] = {.lex_state = 35},
  [7357] = {.lex_state = 35},
  [7358] = {.lex_state = 35},
  [7359] = {.lex_state = 35},
  [7360] = {.lex_state = 35},
  [7361] = {.lex_state = 36},
  [7362] = {.lex_state = 35, .external_lex_state = 2},
  [7363] = {.lex_state = 35},
  [7364] = {.lex_state = 35},
  [7365] = {.lex_state = 35},
  [7366] = {.lex_state = 35},
  [7367] = {.lex_state = 35},
  [7368] = {.lex_state = 33, .external_lex_state = 3},
  [7369] = {.lex_state = 35, .external_lex_state = 2},
  [7370] = {.lex_state = 33, .external_lex_state = 3},
  [7371] = {.lex_state = 35},
  [7372] = {.lex_state = 35},
  [7373] = {.lex_state = 35},
  [7374] = {.lex_state = 35, .external_lex_state = 2},
  [7375] = {.lex_state = 35},
  [7376] = {.lex_state = 35, .external_lex_state = 2},
  [7377] = {.lex_state = 35, .external_lex_state = 2},
  [7378] = {.lex_state = 35, .external_lex_state = 2},
  [7379] = {.lex_state = 35},
  [7380] = {.lex_state = 35, .external_lex_state = 2},
  [7381] = {.lex_state = 35, .external_lex_state = 2},
  [7382] = {.lex_state = 35, .external_lex_state = 2},
  [7383] = {.lex_state = 35},
  [7384] = {.lex_state = 35, .external_lex_state = 2},
  [7385] = {.lex_state = 35},
  [7386] = {.lex_state = 35, .external_lex_state = 2},
  [7387] = {.lex_state = 35},
  [7388] = {.lex_state = 35, .external_lex_state = 2},
  [7389] = {.lex_state = 35},
  [7390] = {.lex_state = 35, .external_lex_state = 2},
  [7391] = {.lex_state = 35},
  [7392] = {.lex_state = 35},
  [7393] = {.lex_state = 35, .external_lex_state = 2},
  [7394] = {.lex_state = 35},
  [7395] = {.lex_state = 35},
  [7396] = {.lex_state = 35, .external_lex_state = 2},
  [7397] = {.lex_state = 35},
  [7398] = {.lex_state = 35},
  [7399] = {.lex_state = 35, .external_lex_state = 2},
  [7400] = {.lex_state = 35},
  [7401] = {.lex_state = 35},
  [7402] = {.lex_state = 35},
  [7403] = {.lex_state = 35},
  [7404] = {.lex_state = 35},
  [7405] = {.lex_state = 35},
  [7406] = {.lex_state = 35},
  [7407] = {.lex_state = 33, .external_lex_state = 3},
  [7408] = {.lex_state = 35},
  [7409] = {.lex_state = 35},
  [7410] = {.lex_state = 35},
  [7411] = {.lex_state = 35},
  [7412] = {.lex_state = 35},
  [7413] = {.lex_state = 35},
  [7414] = {.lex_state = 35},
  [7415] = {.lex_state = 35},
  [7416] = {.lex_state = 35, .external_lex_state = 2},
  [7417] = {.lex_state = 35, .external_lex_state = 2},
  [7418] = {.lex_state = 33, .external_lex_state = 3},
  [7419] = {.lex_state = 35},
  [7420] = {.lex_state = 35},
  [7421] = {.lex_state = 35},
  [7422] = {.lex_state = 35},
  [7423] = {.lex_state = 35, .external_lex_state = 2},
  [7424] = {.lex_state = 35},
  [7425] = {.lex_state = 35, .external_lex_state = 2},
  [7426] = {.lex_state = 35},
  [7427] = {.lex_state = 35},
  [7428] = {.lex_state = 35},
  [7429] = {.lex_state = 35},
  [7430] = {.lex_state = 35},
  [7431] = {.lex_state = 35},
  [7432] = {.lex_state = 35},
  [7433] = {.lex_state = 35, .external_lex_state = 2},
  [7434] = {.lex_state = 35},
  [7435] = {.lex_state = 35},
  [7436] = {.lex_state = 35, .external_lex_state = 2},
  [7437] = {.lex_state = 35},
  [7438] = {.lex_state = 35, .external_lex_state = 2},
  [7439] = {.lex_state = 35},
  [7440] = {.lex_state = 35},
  [7441] = {.lex_state = 35},
  [7442] = {.lex_state = 35, .external_lex_state = 2},
  [7443] = {.lex_state = 35},
  [7444] = {.lex_state = 35},
  [7445] = {.lex_state = 35},
  [7446] = {.lex_state = 35},
  [7447] = {.lex_state = 35},
  [7448] = {.lex_state = 33, .external_lex_state = 3},
  [7449] = {.lex_state = 35},
  [7450] = {.lex_state = 35, .external_lex_state = 2},
  [7451] = {.lex_state = 35, .external_lex_state = 2},
  [7452] = {.lex_state = 35, .external_lex_state = 2},
  [7453] = {.lex_state = 35},
  [7454] = {.lex_state = 35},
  [7455] = {.lex_state = 35},
  [7456] = {.lex_state = 35},
  [7457] = {.lex_state = 35},
  [7458] = {.lex_state = 35},
  [7459] = {.lex_state = 35, .external_lex_state = 2},
  [7460] = {.lex_state = 35},
  [7461] = {.lex_state = 35},
  [7462] = {.lex_state = 35, .external_lex_state = 2},
  [7463] = {.lex_state = 35},
  [7464] = {.lex_state = 35},
  [7465] = {.lex_state = 35},
  [7466] = {.lex_state = 35, .external_lex_state = 2},
  [7467] = {.lex_state = 35, .external_lex_state = 2},
  [7468] = {.lex_state = 35},
  [7469] = {.lex_state = 35},
  [7470] = {.lex_state = 35},
  [7471] = {.lex_state = 35},
  [7472] = {.lex_state = 35},
  [7473] = {.lex_state = 35},
  [7474] = {.lex_state = 35},
  [7475] = {.lex_state = 35},
  [7476] = {.lex_state = 35},
  [7477] = {.lex_state = 35},
  [7478] = {.lex_state = 35, .external_lex_state = 2},
  [7479] = {.lex_state = 35},
  [7480] = {.lex_state = 35},
  [7481] = {.lex_state = 35},
  [7482] = {.lex_state = 35, .external_lex_state = 2},
  [7483] = {.lex_state = 35},
  [7484] = {.lex_state = 35, .external_lex_state = 2},
  [7485] = {.lex_state = 35},
  [7486] = {.lex_state = 35, .external_lex_state = 2},
  [7487] = {.lex_state = 35},
  [7488] = {.lex_state = 35},
  [7489] = {.lex_state = 35},
  [7490] = {.lex_state = 35, .external_lex_state = 2},
  [7491] = {.lex_state = 35},
  [7492] = {.lex_state = 35, .external_lex_state = 2},
  [7493] = {.lex_state = 33, .external_lex_state = 3},
  [7494] = {.lex_state = 33, .external_lex_state = 3},
  [7495] = {.lex_state = 35, .external_lex_state = 2},
  [7496] = {.lex_state = 35, .external_lex_state = 2},
  [7497] = {.lex_state = 35},
  [7498] = {.lex_state = 33, .external_lex_state = 3},
  [7499] = {.lex_state = 35},
  [7500] = {.lex_state = 35, .external_lex_state = 2},
  [7501] = {.lex_state = 35, .external_lex_state = 2},
  [7502] = {.lex_state = 33, .external_lex_state = 3},
  [7503] = {.lex_state = 35, .external_lex_state = 2},
  [7504] = {.lex_state = 35, .external_lex_state = 2},
  [7505] = {.lex_state = 35, .external_lex_state = 2},
  [7506] = {.lex_state = 35, .external_lex_state = 2},
  [7507] = {.lex_state = 35},
  [7508] = {.lex_state = 35},
  [7509] = {.lex_state = 35, .external_lex_state = 2},
  [7510] = {.lex_state = 35, .external_lex_state = 2},
  [7511] = {.lex_state = 35, .external_lex_state = 2},
  [7512] = {.lex_state = 35},
  [7513] = {.lex_state = 35, .external_lex_state = 2},
  [7514] = {.lex_state = 35},
  [7515] = {.lex_state = 35, .external_lex_state = 2},
  [7516] = {.lex_state = 33, .external_lex_state = 3},
  [7517] = {.lex_state = 35, .external_lex_state = 2},
  [7518] = {.lex_state = 35},
  [7519] = {.lex_state = 33, .external_lex_state = 3},
  [7520] = {.lex_state = 35, .external_lex_state = 2},
  [7521] = {.lex_state = 33, .external_lex_state = 3},
  [7522] = {.lex_state = 35, .external_lex_state = 2},
  [7523] = {.lex_state = 35},
  [7524] = {.lex_state = 35, .external_lex_state = 2},
  [7525] = {.lex_state = 33, .external_lex_state = 3},
  [7526] = {.lex_state = 35, .external_lex_state = 2},
  [7527] = {.lex_state = 35},
  [7528] = {.lex_state = 35},
  [7529] = {.lex_state = 35, .external_lex_state = 2},
  [7530] = {.lex_state = 35, .external_lex_state = 2},
  [7531] = {.lex_state = 35, .external_lex_state = 2},
  [7532] = {.lex_state = 35},
  [7533] = {.lex_state = 33, .external_lex_state = 3},
  [7534] = {.lex_state = 35, .external_lex_state = 2},
  [7535] = {.lex_state = 35, .external_lex_state = 2},
  [7536] = {.lex_state = 35},
  [7537] = {.lex_state = 33, .external_lex_state = 3},
  [7538] = {.lex_state = 35, .external_lex_state = 2},
  [7539] = {.lex_state = 33, .external_lex_state = 3},
  [7540] = {.lex_state = 35},
  [7541] = {.lex_state = 33, .external_lex_state = 3},
  [7542] = {.lex_state = 33, .external_lex_state = 3},
  [7543] = {.lex_state = 35, .external_lex_state = 2},
  [7544] = {.lex_state = 35},
  [7545] = {.lex_state = 35, .external_lex_state = 2},
  [7546] = {.lex_state = 35, .external_lex_state = 2},
  [7547] = {.lex_state = 35},
  [7548] = {.lex_state = 35},
  [7549] = {.lex_state = 35, .external_lex_state = 2},
  [7550] = {.lex_state = 35},
  [7551] = {.lex_state = 35, .external_lex_state = 2},
  [7552] = {.lex_state = 33, .external_lex_state = 3},
  [7553] = {.lex_state = 33, .external_lex_state = 3},
  [7554] = {.lex_state = 35, .external_lex_state = 2},
  [7555] = {.lex_state = 33, .external_lex_state = 3},
  [7556] = {.lex_state = 35},
  [7557] = {.lex_state = 33, .external_lex_state = 3},
  [7558] = {.lex_state = 33, .external_lex_state = 3},
  [7559] = {.lex_state = 35, .external_lex_state = 2},
  [7560] = {.lex_state = 35, .external_lex_state = 2},
  [7561] = {.lex_state = 33, .external_lex_state = 3},
  [7562] = {.lex_state = 35, .external_lex_state = 2},
  [7563] = {.lex_state = 35, .external_lex_state = 2},
  [7564] = {.lex_state = 33, .external_lex_state = 3},
  [7565] = {.lex_state = 35, .external_lex_state = 2},
  [7566] = {.lex_state = 35, .external_lex_state = 2},
  [7567] = {.lex_state = 35, .external_lex_state = 2},
  [7568] = {.lex_state = 35, .external_lex_state = 2},
  [7569] = {.lex_state = 36},
  [7570] = {.lex_state = 35},
  [7571] = {.lex_state = 35},
  [7572] = {.lex_state = 35, .external_lex_state = 2},
  [7573] = {.lex_state = 35},
  [7574] = {.lex_state = 33, .external_lex_state = 3},
  [7575] = {.lex_state = 35, .external_lex_state = 2},
  [7576] = {.lex_state = 35, .external_lex_state = 2},
  [7577] = {.lex_state = 35, .external_lex_state = 2},
  [7578] = {.lex_state = 35},
  [7579] = {.lex_state = 35},
  [7580] = {.lex_state = 35},
  [7581] = {.lex_state = 35, .external_lex_state = 2},
  [7582] = {.lex_state = 35},
  [7583] = {.lex_state = 33, .external_lex_state = 3},
  [7584] = {.lex_state = 33, .external_lex_state = 3},
  [7585] = {.lex_state = 33, .external_lex_state = 3},
  [7586] = {.lex_state = 35, .external_lex_state = 2},
  [7587] = {.lex_state = 35},
  [7588] = {.lex_state = 35},
  [7589] = {.lex_state = 35},
  [7590] = {.lex_state = 35},
  [7591] = {.lex_state = 35, .external_lex_state = 2},
  [7592] = {.lex_state = 35},
  [7593] = {.lex_state = 35},
  [7594] = {.lex_state = 35},
  [7595] = {.lex_state = 33, .external_lex_state = 3},
  [7596] = {.lex_state = 35},
  [7597] = {.lex_state = 33, .external_lex_state = 3},
  [7598] = {.lex_state = 35, .external_lex_state = 2},
  [7599] = {.lex_state = 35},
  [7600] = {.lex_state = 35},
  [7601] = {.lex_state = 35},
  [7602] = {.lex_state = 35, .external_lex_state = 2},
  [7603] = {.lex_state = 35},
  [7604] = {.lex_state = 35},
  [7605] = {.lex_state = 35},
  [7606] = {.lex_state = 35},
  [7607] = {.lex_state = 35},
  [7608] = {.lex_state = 35},
  [7609] = {.lex_state = 35, .external_lex_state = 2},
  [7610] = {.lex_state = 35},
  [7611] = {.lex_state = 35},
  [7612] = {.lex_state = 35},
  [7613] = {.lex_state = 35},
  [7614] = {.lex_state = 35},
  [7615] = {.lex_state = 35},
  [7616] = {.lex_state = 35},
  [7617] = {.lex_state = 35},
  [7618] = {.lex_state = 35},
  [7619] = {.lex_state = 35, .external_lex_state = 2},
  [7620] = {.lex_state = 35},
  [7621] = {.lex_state = 35},
  [7622] = {.lex_state = 35},
  [7623] = {.lex_state = 35},
  [7624] = {.lex_state = 35},
  [7625] = {.lex_state = 35},
  [7626] = {.lex_state = 35, .external_lex_state = 2},
  [7627] = {.lex_state = 35},
  [7628] = {.lex_state = 35},
  [7629] = {.lex_state = 35},
  [7630] = {.lex_state = 35},
  [7631] = {.lex_state = 35},
  [7632] = {.lex_state = 35},
  [7633] = {.lex_state = 35},
  [7634] = {.lex_state = 35},
  [7635] = {.lex_state = 35},
  [7636] = {.lex_state = 35, .external_lex_state = 2},
  [7637] = {.lex_state = 35},
  [7638] = {.lex_state = 35},
  [7639] = {.lex_state = 35},
  [7640] = {.lex_state = 35, .external_lex_state = 2},
  [7641] = {.lex_state = 35},
  [7642] = {.lex_state = 35},
  [7643] = {.lex_state = 35},
  [7644] = {.lex_state = 35},
  [7645] = {.lex_state = 35},
  [7646] = {.lex_state = 35},
  [7647] = {.lex_state = 35},
  [7648] = {.lex_state = 35},
  [7649] = {.lex_state = 35},
  [7650] = {.lex_state = 35},
  [7651] = {.lex_state = 35},
  [7652] = {.lex_state = 35},
  [7653] = {.lex_state = 35},
  [7654] = {.lex_state = 35},
  [7655] = {.lex_state = 35},
  [7656] = {.lex_state = 35},
  [7657] = {.lex_state = 35},
  [7658] = {.lex_state = 35},
  [7659] = {.lex_state = 35},
  [7660] = {.lex_state = 35},
  [7661] = {.lex_state = 35},
  [7662] = {.lex_state = 35},
  [7663] = {.lex_state = 35},
  [7664] = {.lex_state = 35},
  [7665] = {.lex_state = 35, .external_lex_state = 2},
  [7666] = {.lex_state = 35},
  [7667] = {.lex_state = 35, .external_lex_state = 2},
  [7668] = {.lex_state = 35},
  [7669] = {.lex_state = 35},
  [7670] = {.lex_state = 35},
  [7671] = {.lex_state = 35, .external_lex_state = 2},
  [7672] = {.lex_state = 35},
  [7673] = {.lex_state = 35},
  [7674] = {.lex_state = 35},
  [7675] = {.lex_state = 35},
  [7676] = {.lex_state = 35},
  [7677] = {.lex_state = 35},
  [7678] = {.lex_state = 35},
  [7679] = {.lex_state = 35},
  [7680] = {.lex_state = 35},
  [7681] = {.lex_state = 35},
  [7682] = {.lex_state = 35},
  [7683] = {.lex_state = 35},
  [7684] = {.lex_state = 35},
  [7685] = {.lex_state = 35, .external_lex_state = 2},
  [7686] = {.lex_state = 35},
  [7687] = {.lex_state = 35},
  [7688] = {.lex_state = 35},
  [7689] = {.lex_state = 35},
  [7690] = {.lex_state = 35, .external_lex_state = 2},
  [7691] = {.lex_state = 35},
  [7692] = {.lex_state = 35},
  [7693] = {.lex_state = 35},
  [7694] = {.lex_state = 35},
  [7695] = {.lex_state = 35},
  [7696] = {.lex_state = 35},
  [7697] = {.lex_state = 35},
  [7698] = {.lex_state = 35},
  [7699] = {.lex_state = 35},
  [7700] = {.lex_state = 35},
  [7701] = {.lex_state = 35},
  [7702] = {.lex_state = 35},
  [7703] = {.lex_state = 35},
  [7704] = {.lex_state = 35},
  [7705] = {.lex_state = 35, .external_lex_state = 2},
  [7706] = {.lex_state = 35},
  [7707] = {.lex_state = 35},
  [7708] = {.lex_state = 35},
  [7709] = {.lex_state = 35},
  [7710] = {.lex_state = 35},
  [7711] = {.lex_state = 35},
  [7712] = {.lex_state = 35},
  [7713] = {.lex_state = 35, .external_lex_state = 2},
  [7714] = {.lex_state = 35},
  [7715] = {.lex_state = 35},
  [7716] = {.lex_state = 35},
  [7717] = {.lex_state = 35},
  [7718] = {.lex_state = 35},
  [7719] = {.lex_state = 35},
  [7720] = {.lex_state = 35},
  [7721] = {.lex_state = 35},
  [7722] = {.lex_state = 35},
  [7723] = {.lex_state = 35},
  [7724] = {.lex_state = 35},
  [7725] = {.lex_state = 35},
  [7726] = {.lex_state = 35},
  [7727] = {.lex_state = 35, .external_lex_state = 2},
  [7728] = {.lex_state = 35, .external_lex_state = 2},
  [7729] = {.lex_state = 35},
  [7730] = {.lex_state = 35},
  [7731] = {.lex_state = 35},
  [7732] = {.lex_state = 35},
  [7733] = {.lex_state = 35},
  [7734] = {.lex_state = 35},
  [7735] = {.lex_state = 35},
  [7736] = {.lex_state = 35},
  [7737] = {.lex_state = 35},
  [7738] = {.lex_state = 35},
  [7739] = {.lex_state = 35},
  [7740] = {.lex_state = 35},
  [7741] = {.lex_state = 35},
  [7742] = {.lex_state = 35},
  [7743] = {.lex_state = 35},
  [7744] = {.lex_state = 35},
  [7745] = {.lex_state = 35},
  [7746] = {.lex_state = 35},
  [7747] = {.lex_state = 35, .external_lex_state = 2},
  [7748] = {.lex_state = 35},
  [7749] = {.lex_state = 33, .external_lex_state = 3},
  [7750] = {.lex_state = 35, .external_lex_state = 2},
  [7751] = {.lex_state = 35},
  [7752] = {.lex_state = 35},
  [7753] = {.lex_state = 33, .external_lex_state = 3},
  [7754] = {.lex_state = 35},
  [7755] = {.lex_state = 35},
  [7756] = {.lex_state = 35},
  [7757] = {.lex_state = 35},
  [7758] = {.lex_state = 35, .external_lex_state = 2},
  [7759] = {.lex_state = 35},
  [7760] = {.lex_state = 35, .external_lex_state = 2},
  [7761] = {.lex_state = 35},
  [7762] = {.lex_state = 35, .external_lex_state = 2},
  [7763] = {.lex_state = 35},
  [7764] = {.lex_state = 35},
  [7765] = {.lex_state = 35},
  [7766] = {.lex_state = 35},
  [7767] = {.lex_state = 33, .external_lex_state = 3},
  [7768] = {.lex_state = 33, .external_lex_state = 3},
  [7769] = {.lex_state = 35},
  [7770] = {.lex_state = 35},
  [7771] = {.lex_state = 35},
  [7772] = {.lex_state = 35},
  [7773] = {.lex_state = 35},
  [7774] = {.lex_state = 35},
  [7775] = {.lex_state = 35, .external_lex_state = 2},
  [7776] = {.lex_state = 35},
  [7777] = {.lex_state = 35},
  [7778] = {.lex_state = 35},
  [7779] = {.lex_state = 35, .external_lex_state = 2},
  [7780] = {.lex_state = 33, .external_lex_state = 3},
  [7781] = {.lex_state = 35, .external_lex_state = 2},
  [7782] = {.lex_state = 33, .external_lex_state = 3},
  [7783] = {.lex_state = 35},
  [7784] = {.lex_state = 35, .external_lex_state = 2},
  [7785] = {.lex_state = 35},
  [7786] = {.lex_state = 35, .external_lex_state = 2},
  [7787] = {.lex_state = 33, .external_lex_state = 3},
  [7788] = {.lex_state = 35},
  [7789] = {.lex_state = 35},
  [7790] = {.lex_state = 35},
  [7791] = {.lex_state = 35},
  [7792] = {.lex_state = 35},
  [7793] = {.lex_state = 35},
  [7794] = {.lex_state = 35, .external_lex_state = 2},
  [7795] = {.lex_state = 35},
  [7796] = {.lex_state = 35, .external_lex_state = 2},
  [7797] = {.lex_state = 33, .external_lex_state = 3},
  [7798] = {.lex_state = 35, .external_lex_state = 2},
  [7799] = {.lex_state = 35, .external_lex_state = 2},
  [7800] = {.lex_state = 35},
  [7801] = {.lex_state = 33, .external_lex_state = 3},
  [7802] = {.lex_state = 33, .external_lex_state = 3},
  [7803] = {.lex_state = 35},
  [7804] = {.lex_state = 35, .external_lex_state = 2},
  [7805] = {.lex_state = 35},
  [7806] = {.lex_state = 35, .external_lex_state = 2},
  [7807] = {.lex_state = 35, .external_lex_state = 2},
  [7808] = {.lex_state = 35},
  [7809] = {.lex_state = 35},
  [7810] = {.lex_state = 35},
  [7811] = {.lex_state = 33, .external_lex_state = 3},
  [7812] = {.lex_state = 35},
  [7813] = {.lex_state = 35},
  [7814] = {.lex_state = 35},
  [7815] = {.lex_state = 35},
  [7816] = {.lex_state = 35},
  [7817] = {.lex_state = 35},
  [7818] = {.lex_state = 33, .external_lex_state = 3},
  [7819] = {.lex_state = 35},
  [7820] = {.lex_state = 35},
  [7821] = {.lex_state = 35, .external_lex_state = 2},
  [7822] = {.lex_state = 33, .external_lex_state = 3},
  [7823] = {.lex_state = 35},
  [7824] = {.lex_state = 35},
  [7825] = {.lex_state = 35, .external_lex_state = 2},
  [7826] = {.lex_state = 33, .external_lex_state = 3},
  [7827] = {.lex_state = 35},
  [7828] = {.lex_state = 33, .external_lex_state = 3},
  [7829] = {.lex_state = 35, .external_lex_state = 2},
  [7830] = {.lex_state = 33, .external_lex_state = 3},
  [7831] = {.lex_state = 35},
  [7832] = {.lex_state = 35, .external_lex_state = 2},
  [7833] = {.lex_state = 35, .external_lex_state = 2},
  [7834] = {.lex_state = 35},
  [7835] = {.lex_state = 35},
  [7836] = {.lex_state = 35},
  [7837] = {.lex_state = 33, .external_lex_state = 3},
  [7838] = {.lex_state = 35},
  [7839] = {.lex_state = 35},
  [7840] = {.lex_state = 35},
  [7841] = {.lex_state = 35},
  [7842] = {.lex_state = 35},
  [7843] = {.lex_state = 35},
  [7844] = {.lex_state = 35, .external_lex_state = 2},
  [7845] = {.lex_state = 35},
  [7846] = {.lex_state = 35},
  [7847] = {.lex_state = 35},
  [7848] = {.lex_state = 35},
  [7849] = {.lex_state = 35},
  [7850] = {.lex_state = 35, .external_lex_state = 2},
  [7851] = {.lex_state = 35, .external_lex_state = 2},
  [7852] = {.lex_state = 35},
  [7853] = {.lex_state = 35, .external_lex_state = 2},
  [7854] = {.lex_state = 35},
  [7855] = {.lex_state = 35, .external_lex_state = 2},
  [7856] = {.lex_state = 35},
  [7857] = {.lex_state = 35},
  [7858] = {.lex_state = 35},
  [7859] = {.lex_state = 35},
  [7860] = {.lex_state = 35},
  [7861] = {.lex_state = 35},
  [7862] = {.lex_state = 35, .external_lex_state = 2},
  [7863] = {.lex_state = 35, .external_lex_state = 2},
  [7864] = {.lex_state = 35},
  [7865] = {.lex_state = 33, .external_lex_state = 3},
  [7866] = {.lex_state = 35},
  [7867] = {.lex_state = 35},
  [7868] = {.lex_state = 35},
  [7869] = {.lex_state = 35},
  [7870] = {.lex_state = 35},
  [7871] = {.lex_state = 33, .external_lex_state = 3},
  [7872] = {.lex_state = 35},
  [7873] = {.lex_state = 35},
  [7874] = {.lex_state = 35},
  [7875] = {.lex_state = 35, .external_lex_state = 2},
  [7876] = {.lex_state = 35, .external_lex_state = 2},
  [7877] = {.lex_state = 35},
  [7878] = {.lex_state = 33, .external_lex_state = 3},
  [7879] = {.lex_state = 35},
  [7880] = {.lex_state = 35},
  [7881] = {.lex_state = 35},
  [7882] = {.lex_state = 35},
  [7883] = {.lex_state = 35, .external_lex_state = 2},
  [7884] = {.lex_state = 35, .external_lex_state = 2},
  [7885] = {.lex_state = 35},
  [7886] = {.lex_state = 35, .external_lex_state = 2},
  [7887] = {.lex_state = 35, .external_lex_state = 2},
  [7888] = {.lex_state = 35},
  [7889] = {.lex_state = 35},
  [7890] = {.lex_state = 35},
  [7891] = {.lex_state = 35},
  [7892] = {.lex_state = 35, .external_lex_state = 2},
  [7893] = {.lex_state = 35, .external_lex_state = 2},
  [7894] = {.lex_state = 35, .external_lex_state = 2},
  [7895] = {.lex_state = 33, .external_lex_state = 3},
  [7896] = {.lex_state = 35},
  [7897] = {.lex_state = 35},
  [7898] = {.lex_state = 33, .external_lex_state = 3},
  [7899] = {.lex_state = 35},
  [7900] = {.lex_state = 35},
  [7901] = {.lex_state = 33, .external_lex_state = 3},
  [7902] = {.lex_state = 35},
  [7903] = {.lex_state = 35},
  [7904] = {.lex_state = 35},
  [7905] = {.lex_state = 35, .external_lex_state = 2},
  [7906] = {.lex_state = 33, .external_lex_state = 3},
  [7907] = {.lex_state = 35, .external_lex_state = 2},
  [7908] = {.lex_state = 35},
  [7909] = {.lex_state = 35},
  [7910] = {.lex_state = 35},
  [7911] = {.lex_state = 35},
  [7912] = {.lex_state = 35},
  [7913] = {.lex_state = 35},
  [7914] = {.lex_state = 35},
  [7915] = {.lex_state = 35},
  [7916] = {.lex_state = 35},
  [7917] = {.lex_state = 35},
  [7918] = {.lex_state = 35},
  [7919] = {.lex_state = 35},
  [7920] = {.lex_state = 33, .external_lex_state = 3},
  [7921] = {.lex_state = 35},
  [7922] = {.lex_state = 35},
  [7923] = {.lex_state = 35},
  [7924] = {.lex_state = 35},
  [7925] = {.lex_state = 35},
  [7926] = {.lex_state = 35},
  [7927] = {.lex_state = 35, .external_lex_state = 2},
  [7928] = {.lex_state = 33, .external_lex_state = 3},
  [7929] = {.lex_state = 35},
  [7930] = {.lex_state = 35},
  [7931] = {.lex_state = 33, .external_lex_state = 3},
  [7932] = {.lex_state = 33, .external_lex_state = 3},
  [7933] = {.lex_state = 35},
  [7934] = {.lex_state = 35},
  [7935] = {.lex_state = 35},
  [7936] = {.lex_state = 35},
  [7937] = {.lex_state = 35},
  [7938] = {.lex_state = 35},
  [7939] = {.lex_state = 35},
  [7940] = {.lex_state = 35},
  [7941] = {.lex_state = 35},
  [7942] = {.lex_state = 33, .external_lex_state = 3},
  [7943] = {.lex_state = 35},
  [7944] = {.lex_state = 35},
  [7945] = {.lex_state = 35},
  [7946] = {.lex_state = 35},
  [7947] = {.lex_state = 33, .external_lex_state = 3},
  [7948] = {.lex_state = 35},
  [7949] = {.lex_state = 35},
  [7950] = {.lex_state = 33, .external_lex_state = 3},
  [7951] = {.lex_state = 35},
  [7952] = {.lex_state = 35},
  [7953] = {.lex_state = 35},
  [7954] = {.lex_state = 35},
  [7955] = {.lex_state = 35},
  [7956] = {.lex_state = 35},
  [7957] = {.lex_state = 35, .external_lex_state = 2},
  [7958] = {.lex_state = 35},
  [7959] = {.lex_state = 35},
  [7960] = {.lex_state = 35},
  [7961] = {.lex_state = 35},
  [7962] = {.lex_state = 35},
  [7963] = {.lex_state = 33, .external_lex_state = 3},
  [7964] = {.lex_state = 35},
  [7965] = {.lex_state = 35},
  [7966] = {.lex_state = 35},
  [7967] = {.lex_state = 35, .external_lex_state = 2},
  [7968] = {.lex_state = 35},
  [7969] = {.lex_state = 35},
  [7970] = {.lex_state = 35},
  [7971] = {.lex_state = 35},
  [7972] = {.lex_state = 35},
  [7973] = {.lex_state = 35},
  [7974] = {.lex_state = 35},
  [7975] = {.lex_state = 35},
  [7976] = {.lex_state = 35},
  [7977] = {.lex_state = 35},
  [7978] = {.lex_state = 35},
  [7979] = {.lex_state = 35},
  [7980] = {.lex_state = 35},
  [7981] = {.lex_state = 35},
  [7982] = {.lex_state = 35},
  [7983] = {.lex_state = 35},
  [7984] = {.lex_state = 35},
  [7985] = {.lex_state = 35},
  [7986] = {.lex_state = 35},
  [7987] = {.lex_state = 35},
  [7988] = {.lex_state = 35},
  [7989] = {.lex_state = 35},
  [7990] = {.lex_state = 35},
  [7991] = {.lex_state = 35},
  [7992] = {.lex_state = 35},
  [7993] = {.lex_state = 35},
  [7994] = {.lex_state = 35},
  [7995] = {.lex_state = 35},
  [7996] = {.lex_state = 35},
  [7997] = {.lex_state = 35},
  [7998] = {.lex_state = 33, .external_lex_state = 3},
  [7999] = {.lex_state = 35},
  [8000] = {.lex_state = 35},
  [8001] = {.lex_state = 35},
  [8002] = {.lex_state = 35},
  [8003] = {.lex_state = 35, .external_lex_state = 2},
  [8004] = {.lex_state = 35},
  [8005] = {.lex_state = 35},
  [8006] = {.lex_state = 35},
  [8007] = {.lex_state = 35},
  [8008] = {.lex_state = 35},
  [8009] = {.lex_state = 35},
  [8010] = {.lex_state = 35},
  [8011] = {.lex_state = 35},
  [8012] = {.lex_state = 35},
  [8013] = {.lex_state = 35},
  [8014] = {.lex_state = 33, .external_lex_state = 3},
  [8015] = {.lex_state = 35},
  [8016] = {.lex_state = 35},
  [8017] = {.lex_state = 35, .external_lex_state = 2},
  [8018] = {.lex_state = 35},
  [8019] = {.lex_state = 35},
  [8020] = {.lex_state = 35},
  [8021] = {.lex_state = 35},
  [8022] = {.lex_state = 35, .external_lex_state = 2},
  [8023] = {.lex_state = 33, .external_lex_state = 3},
  [8024] = {.lex_state = 35, .external_lex_state = 2},
  [8025] = {.lex_state = 35, .external_lex_state = 2},
  [8026] = {.lex_state = 35},
  [8027] = {.lex_state = 35},
  [8028] = {.lex_state = 35, .external_lex_state = 2},
  [8029] = {.lex_state = 35, .external_lex_state = 2},
  [8030] = {.lex_state = 35},
  [8031] = {.lex_state = 35},
  [8032] = {.lex_state = 35},
  [8033] = {.lex_state = 35},
  [8034] = {.lex_state = 35},
  [8035] = {.lex_state = 35},
  [8036] = {.lex_state = 35},
  [8037] = {.lex_state = 35},
  [8038] = {.lex_state = 35},
  [8039] = {.lex_state = 35},
  [8040] = {.lex_state = 35},
  [8041] = {.lex_state = 35},
  [8042] = {.lex_state = 35},
  [8043] = {.lex_state = 35, .external_lex_state = 2},
  [8044] = {.lex_state = 35, .external_lex_state = 2},
  [8045] = {.lex_state = 35, .external_lex_state = 2},
  [8046] = {.lex_state = 35},
  [8047] = {.lex_state = 35},
  [8048] = {.lex_state = 35},
  [8049] = {.lex_state = 35},
  [8050] = {.lex_state = 35},
  [8051] = {.lex_state = 35},
  [8052] = {.lex_state = 35},
  [8053] = {.lex_state = 35},
  [8054] = {.lex_state = 35},
  [8055] = {.lex_state = 35},
  [8056] = {.lex_state = 35},
  [8057] = {.lex_state = 35},
  [8058] = {.lex_state = 35},
  [8059] = {.lex_state = 35, .external_lex_state = 2},
  [8060] = {.lex_state = 35},
  [8061] = {.lex_state = 35},
  [8062] = {.lex_state = 35},
  [8063] = {.lex_state = 35},
  [8064] = {.lex_state = 35},
  [8065] = {.lex_state = 35},
  [8066] = {.lex_state = 35},
  [8067] = {.lex_state = 35, .external_lex_state = 2},
  [8068] = {.lex_state = 35},
  [8069] = {.lex_state = 35},
  [8070] = {.lex_state = 35},
  [8071] = {.lex_state = 35},
  [8072] = {.lex_state = 35},
  [8073] = {.lex_state = 35},
  [8074] = {.lex_state = 35},
  [8075] = {.lex_state = 35},
  [8076] = {.lex_state = 35},
  [8077] = {.lex_state = 35},
  [8078] = {.lex_state = 35},
  [8079] = {.lex_state = 35},
  [8080] = {.lex_state = 35},
  [8081] = {.lex_state = 35},
  [8082] = {.lex_state = 33, .external_lex_state = 3},
  [8083] = {.lex_state = 35},
  [8084] = {.lex_state = 35},
  [8085] = {.lex_state = 35},
  [8086] = {.lex_state = 35},
  [8087] = {.lex_state = 35},
  [8088] = {.lex_state = 35},
  [8089] = {.lex_state = 35},
  [8090] = {.lex_state = 35},
  [8091] = {.lex_state = 35},
  [8092] = {.lex_state = 35},
  [8093] = {.lex_state = 35},
  [8094] = {.lex_state = 35},
  [8095] = {.lex_state = 35},
  [8096] = {.lex_state = 35},
  [8097] = {.lex_state = 35, .external_lex_state = 2},
  [8098] = {.lex_state = 35},
  [8099] = {.lex_state = 35},
  [8100] = {.lex_state = 35},
  [8101] = {.lex_state = 35},
  [8102] = {.lex_state = 35},
  [8103] = {.lex_state = 35, .external_lex_state = 2},
  [8104] = {.lex_state = 35},
  [8105] = {.lex_state = 35},
  [8106] = {.lex_state = 35, .external_lex_state = 2},
  [8107] = {.lex_state = 35},
  [8108] = {.lex_state = 35},
  [8109] = {.lex_state = 35},
  [8110] = {.lex_state = 35, .external_lex_state = 2},
  [8111] = {.lex_state = 35},
  [8112] = {.lex_state = 35},
  [8113] = {.lex_state = 35},
  [8114] = {.lex_state = 35, .external_lex_state = 2},
  [8115] = {.lex_state = 35},
  [8116] = {.lex_state = 35},
  [8117] = {.lex_state = 35},
  [8118] = {.lex_state = 35},
  [8119] = {.lex_state = 35},
  [8120] = {.lex_state = 35, .external_lex_state = 2},
  [8121] = {.lex_state = 35, .external_lex_state = 2},
  [8122] = {.lex_state = 33, .external_lex_state = 3},
  [8123] = {.lex_state = 35},
  [8124] = {.lex_state = 35},
  [8125] = {.lex_state = 35},
  [8126] = {.lex_state = 35},
  [8127] = {.lex_state = 35, .external_lex_state = 2},
  [8128] = {.lex_state = 35},
  [8129] = {.lex_state = 35},
  [8130] = {.lex_state = 35},
  [8131] = {.lex_state = 35},
  [8132] = {.lex_state = 35},
  [8133] = {.lex_state = 35},
  [8134] = {.lex_state = 35},
  [8135] = {.lex_state = 35},
  [8136] = {.lex_state = 35},
  [8137] = {.lex_state = 35, .external_lex_state = 2},
  [8138] = {.lex_state = 35},
  [8139] = {.lex_state = 35, .external_lex_state = 2},
  [8140] = {.lex_state = 35},
  [8141] = {.lex_state = 35},
  [8142] = {.lex_state = 35},
  [8143] = {.lex_state = 35},
  [8144] = {.lex_state = 35},
  [8145] = {.lex_state = 35},
  [8146] = {.lex_state = 35},
  [8147] = {.lex_state = 35},
  [8148] = {.lex_state = 35, .external_lex_state = 2},
  [8149] = {.lex_state = 35},
  [8150] = {.lex_state = 35},
  [8151] = {.lex_state = 35},
  [8152] = {.lex_state = 35},
  [8153] = {.lex_state = 35},
  [8154] = {.lex_state = 35},
  [8155] = {.lex_state = 35},
  [8156] = {.lex_state = 35},
  [8157] = {.lex_state = 35},
  [8158] = {.lex_state = 35},
  [8159] = {.lex_state = 35},
  [8160] = {.lex_state = 35},
  [8161] = {.lex_state = 35},
  [8162] = {.lex_state = 35},
  [8163] = {.lex_state = 35},
  [8164] = {.lex_state = 33, .external_lex_state = 3},
  [8165] = {.lex_state = 35},
  [8166] = {.lex_state = 35},
  [8167] = {.lex_state = 35},
  [8168] = {.lex_state = 35},
  [8169] = {.lex_state = 35},
  [8170] = {.lex_state = 35},
  [8171] = {.lex_state = 35},
  [8172] = {.lex_state = 35},
  [8173] = {.lex_state = 35},
  [8174] = {.lex_state = 35},
  [8175] = {.lex_state = 35},
  [8176] = {.lex_state = 35},
  [8177] = {.lex_state = 33, .external_lex_state = 3},
  [8178] = {.lex_state = 35},
  [8179] = {.lex_state = 35},
  [8180] = {.lex_state = 33, .external_lex_state = 3},
  [8181] = {.lex_state = 35},
  [8182] = {.lex_state = 35},
  [8183] = {.lex_state = 33, .external_lex_state = 3},
  [8184] = {.lex_state = 35},
  [8185] = {.lex_state = 35},
  [8186] = {.lex_state = 35},
  [8187] = {.lex_state = 35},
  [8188] = {.lex_state = 35},
  [8189] = {.lex_state = 35},
  [8190] = {.lex_state = 35},
  [8191] = {.lex_state = 35},
  [8192] = {.lex_state = 33, .external_lex_state = 3},
  [8193] = {.lex_state = 35},
  [8194] = {.lex_state = 35, .external_lex_state = 2},
  [8195] = {.lex_state = 35},
  [8196] = {.lex_state = 35},
  [8197] = {.lex_state = 33, .external_lex_state = 3},
  [8198] = {.lex_state = 35},
  [8199] = {.lex_state = 35, .external_lex_state = 2},
  [8200] = {.lex_state = 35},
  [8201] = {.lex_state = 35},
  [8202] = {.lex_state = 35},
  [8203] = {.lex_state = 33, .external_lex_state = 3},
  [8204] = {.lex_state = 35},
  [8205] = {.lex_state = 35},
  [8206] = {.lex_state = 35},
  [8207] = {.lex_state = 35},
  [8208] = {.lex_state = 35},
  [8209] = {.lex_state = 33, .external_lex_state = 3},
  [8210] = {.lex_state = 35},
  [8211] = {.lex_state = 35},
  [8212] = {.lex_state = 35},
  [8213] = {.lex_state = 35},
  [8214] = {.lex_state = 35},
  [8215] = {.lex_state = 35},
  [8216] = {.lex_state = 35},
  [8217] = {.lex_state = 35, .external_lex_state = 2},
  [8218] = {.lex_state = 33, .external_lex_state = 3},
  [8219] = {.lex_state = 35},
  [8220] = {.lex_state = 35},
  [8221] = {.lex_state = 35},
  [8222] = {.lex_state = 35},
  [8223] = {.lex_state = 35},
  [8224] = {.lex_state = 35},
  [8225] = {.lex_state = 35},
  [8226] = {.lex_state = 35},
  [8227] = {.lex_state = 35},
  [8228] = {.lex_state = 35},
  [8229] = {.lex_state = 33, .external_lex_state = 3},
  [8230] = {.lex_state = 35},
  [8231] = {.lex_state = 35},
  [8232] = {.lex_state = 35},
  [8233] = {.lex_state = 35, .external_lex_state = 2},
  [8234] = {.lex_state = 35, .external_lex_state = 2},
  [8235] = {.lex_state = 35},
  [8236] = {.lex_state = 33, .external_lex_state = 3},
  [8237] = {.lex_state = 35, .external_lex_state = 2},
  [8238] = {.lex_state = 35},
  [8239] = {.lex_state = 35, .external_lex_state = 2},
  [8240] = {.lex_state = 35, .external_lex_state = 2},
  [8241] = {.lex_state = 35},
  [8242] = {.lex_state = 35},
  [8243] = {.lex_state = 35},
  [8244] = {.lex_state = 35},
  [8245] = {.lex_state = 35},
  [8246] = {.lex_state = 35},
  [8247] = {.lex_state = 35},
  [8248] = {.lex_state = 35},
  [8249] = {.lex_state = 35},
  [8250] = {.lex_state = 35},
  [8251] = {.lex_state = 35},
  [8252] = {.lex_state = 35},
  [8253] = {.lex_state = 35},
  [8254] = {.lex_state = 35},
  [8255] = {.lex_state = 35},
  [8256] = {.lex_state = 35},
  [8257] = {.lex_state = 35},
  [8258] = {.lex_state = 35},
  [8259] = {.lex_state = 35},
  [8260] = {.lex_state = 35},
  [8261] = {.lex_state = 33, .external_lex_state = 3},
  [8262] = {.lex_state = 35},
  [8263] = {.lex_state = 35},
  [8264] = {.lex_state = 35},
  [8265] = {.lex_state = 35},
  [8266] = {.lex_state = 35, .external_lex_state = 2},
  [8267] = {.lex_state = 35},
  [8268] = {.lex_state = 35},
  [8269] = {.lex_state = 35},
  [8270] = {.lex_state = 35},
  [8271] = {.lex_state = 35},
  [8272] = {.lex_state = 35},
  [8273] = {.lex_state = 33, .external_lex_state = 3},
  [8274] = {.lex_state = 35, .external_lex_state = 2},
  [8275] = {.lex_state = 35},
  [8276] = {.lex_state = 35},
  [8277] = {.lex_state = 35, .external_lex_state = 2},
  [8278] = {.lex_state = 35},
  [8279] = {.lex_state = 35},
  [8280] = {.lex_state = 35},
  [8281] = {.lex_state = 35},
  [8282] = {.lex_state = 35},
  [8283] = {.lex_state = 35},
  [8284] = {.lex_state = 35},
  [8285] = {.lex_state = 35},
  [8286] = {.lex_state = 35},
  [8287] = {.lex_state = 35},
  [8288] = {.lex_state = 35},
  [8289] = {.lex_state = 35},
  [8290] = {.lex_state = 35},
  [8291] = {.lex_state = 35},
  [8292] = {.lex_state = 35},
  [8293] = {.lex_state = 35},
  [8294] = {.lex_state = 35},
  [8295] = {.lex_state = 35},
  [8296] = {.lex_state = 35},
  [8297] = {.lex_state = 35, .external_lex_state = 2},
  [8298] = {.lex_state = 35},
  [8299] = {.lex_state = 35},
  [8300] = {.lex_state = 35},
  [8301] = {.lex_state = 35},
  [8302] = {.lex_state = 35},
  [8303] = {.lex_state = 35},
  [8304] = {.lex_state = 35},
  [8305] = {.lex_state = 35, .external_lex_state = 2},
  [8306] = {.lex_state = 35},
  [8307] = {.lex_state = 35},
  [8308] = {.lex_state = 35},
  [8309] = {.lex_state = 35},
  [8310] = {.lex_state = 35, .external_lex_state = 2},
  [8311] = {.lex_state = 35},
  [8312] = {.lex_state = 35},
  [8313] = {.lex_state = 35},
  [8314] = {.lex_state = 35},
  [8315] = {.lex_state = 35},
  [8316] = {.lex_state = 35},
  [8317] = {.lex_state = 35},
  [8318] = {.lex_state = 35},
  [8319] = {.lex_state = 35},
  [8320] = {.lex_state = 35},
  [8321] = {.lex_state = 35},
  [8322] = {.lex_state = 35, .external_lex_state = 2},
  [8323] = {.lex_state = 35},
  [8324] = {.lex_state = 35},
  [8325] = {.lex_state = 35, .external_lex_state = 2},
  [8326] = {.lex_state = 35},
  [8327] = {.lex_state = 33, .external_lex_state = 3},
  [8328] = {.lex_state = 35},
  [8329] = {.lex_state = 35},
  [8330] = {.lex_state = 35, .external_lex_state = 2},
  [8331] = {.lex_state = 35, .external_lex_state = 2},
  [8332] = {.lex_state = 35},
  [8333] = {.lex_state = 35},
  [8334] = {.lex_state = 35},
  [8335] = {.lex_state = 35},
  [8336] = {.lex_state = 33},
  [8337] = {.lex_state = 35, .external_lex_state = 2},
  [8338] = {.lex_state = 35},
  [8339] = {.lex_state = 35},
  [8340] = {.lex_state = 35},
  [8341] = {.lex_state = 35},
  [8342] = {.lex_state = 35},
  [8343] = {.lex_state = 35},
  [8344] = {.lex_state = 35},
  [8345] = {.lex_state = 35, .external_lex_state = 2},
  [8346] = {.lex_state = 35},
  [8347] = {.lex_state = 35},
  [8348] = {.lex_state = 35, .external_lex_state = 2},
  [8349] = {.lex_state = 35},
  [8350] = {.lex_state = 35},
  [8351] = {.lex_state = 35},
  [8352] = {.lex_state = 35},
  [8353] = {.lex_state = 35, .external_lex_state = 2},
  [8354] = {.lex_state = 35, .external_lex_state = 2},
  [8355] = {.lex_state = 35},
  [8356] = {.lex_state = 35, .external_lex_state = 2},
  [8357] = {.lex_state = 35},
  [8358] = {.lex_state = 35},
  [8359] = {.lex_state = 35},
  [8360] = {.lex_state = 35},
  [8361] = {.lex_state = 35, .external_lex_state = 2},
  [8362] = {.lex_state = 35},
  [8363] = {.lex_state = 35},
  [8364] = {.lex_state = 35},
  [8365] = {.lex_state = 35},
  [8366] = {.lex_state = 35},
  [8367] = {.lex_state = 35},
  [8368] = {.lex_state = 35},
  [8369] = {.lex_state = 35},
  [8370] = {.lex_state = 35},
  [8371] = {.lex_state = 35},
  [8372] = {.lex_state = 35},
  [8373] = {.lex_state = 35},
  [8374] = {.lex_state = 35},
  [8375] = {.lex_state = 35},
  [8376] = {.lex_state = 35},
  [8377] = {.lex_state = 35},
  [8378] = {.lex_state = 35},
  [8379] = {.lex_state = 35},
  [8380] = {.lex_state = 35},
  [8381] = {.lex_state = 35},
  [8382] = {.lex_state = 35},
  [8383] = {.lex_state = 35},
  [8384] = {.lex_state = 35},
  [8385] = {.lex_state = 35},
  [8386] = {.lex_state = 35},
  [8387] = {.lex_state = 35},
  [8388] = {.lex_state = 35},
  [8389] = {.lex_state = 35},
  [8390] = {.lex_state = 35},
  [8391] = {.lex_state = 33},
  [8392] = {.lex_state = 35},
  [8393] = {.lex_state = 35, .external_lex_state = 2},
  [8394] = {.lex_state = 35},
  [8395] = {.lex_state = 35, .external_lex_state = 2},
  [8396] = {.lex_state = 35},
  [8397] = {.lex_state = 35},
  [8398] = {.lex_state = 35, .external_lex_state = 2},
  [8399] = {.lex_state = 35, .external_lex_state = 2},
  [8400] = {.lex_state = 35},
  [8401] = {.lex_state = 35},
  [8402] = {.lex_state = 35},
  [8403] = {.lex_state = 35},
  [8404] = {.lex_state = 35},
  [8405] = {.lex_state = 35},
  [8406] = {.lex_state = 35},
  [8407] = {.lex_state = 35},
  [8408] = {.lex_state = 35},
  [8409] = {.lex_state = 35},
  [8410] = {.lex_state = 35},
  [8411] = {.lex_state = 35},
  [8412] = {.lex_state = 35},
  [8413] = {.lex_state = 35},
  [8414] = {.lex_state = 35},
  [8415] = {.lex_state = 35},
  [8416] = {.lex_state = 35},
  [8417] = {.lex_state = 35},
  [8418] = {.lex_state = 35},
  [8419] = {.lex_state = 35},
  [8420] = {.lex_state = 35, .external_lex_state = 2},
  [8421] = {.lex_state = 35},
  [8422] = {.lex_state = 35},
  [8423] = {.lex_state = 35},
  [8424] = {.lex_state = 35},
  [8425] = {.lex_state = 35},
  [8426] = {.lex_state = 35},
  [8427] = {.lex_state = 35},
  [8428] = {.lex_state = 35},
  [8429] = {.lex_state = 35},
  [8430] = {.lex_state = 35},
  [8431] = {.lex_state = 33, .external_lex_state = 3},
  [8432] = {.lex_state = 35},
  [8433] = {.lex_state = 35},
  [8434] = {.lex_state = 35},
  [8435] = {.lex_state = 35},
  [8436] = {.lex_state = 35, .external_lex_state = 2},
  [8437] = {.lex_state = 35},
  [8438] = {.lex_state = 35},
  [8439] = {.lex_state = 35, .external_lex_state = 2},
  [8440] = {.lex_state = 35},
  [8441] = {.lex_state = 35},
  [8442] = {.lex_state = 35},
  [8443] = {.lex_state = 35},
  [8444] = {.lex_state = 35},
  [8445] = {.lex_state = 35},
  [8446] = {.lex_state = 35},
  [8447] = {.lex_state = 35, .external_lex_state = 2},
  [8448] = {.lex_state = 35},
  [8449] = {.lex_state = 35},
  [8450] = {.lex_state = 35},
  [8451] = {.lex_state = 35, .external_lex_state = 2},
  [8452] = {.lex_state = 35},
  [8453] = {.lex_state = 35},
  [8454] = {.lex_state = 35},
  [8455] = {.lex_state = 35, .external_lex_state = 2},
  [8456] = {.lex_state = 35},
  [8457] = {.lex_state = 35, .external_lex_state = 2},
  [8458] = {.lex_state = 35},
  [8459] = {.lex_state = 35},
  [8460] = {.lex_state = 35, .external_lex_state = 2},
  [8461] = {.lex_state = 35},
  [8462] = {.lex_state = 35},
  [8463] = {.lex_state = 35},
  [8464] = {.lex_state = 35},
  [8465] = {.lex_state = 35},
  [8466] = {.lex_state = 35},
  [8467] = {.lex_state = 35},
  [8468] = {.lex_state = 35},
  [8469] = {.lex_state = 35},
  [8470] = {.lex_state = 35},
  [8471] = {.lex_state = 35},
  [8472] = {.lex_state = 35},
  [8473] = {.lex_state = 35},
  [8474] = {.lex_state = 35},
  [8475] = {.lex_state = 35},
  [8476] = {.lex_state = 35},
  [8477] = {.lex_state = 35},
  [8478] = {.lex_state = 35},
  [8479] = {.lex_state = 35},
  [8480] = {.lex_state = 33},
  [8481] = {.lex_state = 35},
  [8482] = {.lex_state = 35},
  [8483] = {.lex_state = 33},
  [8484] = {.lex_state = 35},
  [8485] = {.lex_state = 35},
  [8486] = {.lex_state = 35},
  [8487] = {.lex_state = 35},
  [8488] = {.lex_state = 35},
  [8489] = {.lex_state = 35},
  [8490] = {.lex_state = 35, .external_lex_state = 2},
  [8491] = {.lex_state = 35},
  [8492] = {.lex_state = 35, .external_lex_state = 2},
  [8493] = {.lex_state = 35, .external_lex_state = 2},
  [8494] = {.lex_state = 35, .external_lex_state = 2},
  [8495] = {.lex_state = 35, .external_lex_state = 2},
  [8496] = {.lex_state = 35},
  [8497] = {.lex_state = 35},
  [8498] = {.lex_state = 35},
  [8499] = {.lex_state = 35},
  [8500] = {.lex_state = 35, .external_lex_state = 2},
  [8501] = {.lex_state = 35},
  [8502] = {.lex_state = 35},
  [8503] = {.lex_state = 35},
  [8504] = {.lex_state = 35},
  [8505] = {.lex_state = 35},
  [8506] = {.lex_state = 35, .external_lex_state = 2},
  [8507] = {.lex_state = 35, .external_lex_state = 2},
  [8508] = {.lex_state = 35},
  [8509] = {.lex_state = 33},
  [8510] = {.lex_state = 35, .external_lex_state = 2},
  [8511] = {.lex_state = 35},
  [8512] = {.lex_state = 35},
  [8513] = {.lex_state = 35},
  [8514] = {.lex_state = 35},
  [8515] = {.lex_state = 35},
  [8516] = {.lex_state = 35, .external_lex_state = 2},
  [8517] = {.lex_state = 33},
  [8518] = {.lex_state = 35},
  [8519] = {.lex_state = 35},
  [8520] = {.lex_state = 35},
  [8521] = {.lex_state = 35},
  [8522] = {.lex_state = 35},
  [8523] = {.lex_state = 35},
  [8524] = {.lex_state = 35},
  [8525] = {.lex_state = 35},
  [8526] = {.lex_state = 35},
  [8527] = {.lex_state = 35},
  [8528] = {.lex_state = 35},
  [8529] = {.lex_state = 35},
  [8530] = {.lex_state = 35},
  [8531] = {.lex_state = 35},
  [8532] = {.lex_state = 35},
  [8533] = {.lex_state = 35},
  [8534] = {.lex_state = 35},
  [8535] = {.lex_state = 35},
  [8536] = {.lex_state = 35},
  [8537] = {.lex_state = 35},
  [8538] = {.lex_state = 35},
  [8539] = {.lex_state = 35},
  [8540] = {.lex_state = 35},
  [8541] = {.lex_state = 35},
  [8542] = {.lex_state = 35},
  [8543] = {.lex_state = 35},
  [8544] = {.lex_state = 35},
  [8545] = {.lex_state = 35},
  [8546] = {.lex_state = 35},
  [8547] = {.lex_state = 35},
  [8548] = {.lex_state = 35},
  [8549] = {.lex_state = 35},
  [8550] = {.lex_state = 35},
  [8551] = {.lex_state = 35},
  [8552] = {.lex_state = 35},
  [8553] = {.lex_state = 35},
  [8554] = {.lex_state = 35},
  [8555] = {.lex_state = 35},
  [8556] = {.lex_state = 35},
  [8557] = {.lex_state = 35},
  [8558] = {.lex_state = 35},
  [8559] = {.lex_state = 35},
  [8560] = {.lex_state = 35},
  [8561] = {.lex_state = 35},
  [8562] = {.lex_state = 35},
  [8563] = {.lex_state = 35},
  [8564] = {.lex_state = 35},
  [8565] = {.lex_state = 35},
  [8566] = {.lex_state = 35},
  [8567] = {.lex_state = 35},
  [8568] = {.lex_state = 35},
  [8569] = {.lex_state = 35},
  [8570] = {.lex_state = 35},
  [8571] = {.lex_state = 35},
  [8572] = {.lex_state = 35},
  [8573] = {.lex_state = 35},
  [8574] = {.lex_state = 35},
  [8575] = {.lex_state = 35},
  [8576] = {.lex_state = 35},
  [8577] = {.lex_state = 35},
  [8578] = {.lex_state = 35},
  [8579] = {.lex_state = 35},
  [8580] = {.lex_state = 35},
  [8581] = {.lex_state = 35},
  [8582] = {.lex_state = 35},
  [8583] = {.lex_state = 35},
  [8584] = {.lex_state = 35},
  [8585] = {.lex_state = 35},
  [8586] = {.lex_state = 35},
  [8587] = {.lex_state = 35},
  [8588] = {.lex_state = 35},
  [8589] = {.lex_state = 35},
  [8590] = {.lex_state = 35},
  [8591] = {.lex_state = 35},
  [8592] = {.lex_state = 35},
  [8593] = {.lex_state = 35},
  [8594] = {.lex_state = 35},
  [8595] = {.lex_state = 35},
  [8596] = {.lex_state = 35},
  [8597] = {.lex_state = 35},
  [8598] = {.lex_state = 35},
  [8599] = {.lex_state = 35},
  [8600] = {.lex_state = 35},
  [8601] = {.lex_state = 35},
  [8602] = {.lex_state = 35},
  [8603] = {.lex_state = 35},
  [8604] = {.lex_state = 35},
  [8605] = {.lex_state = 35},
  [8606] = {.lex_state = 35},
  [8607] = {.lex_state = 35},
  [8608] = {.lex_state = 35},
  [8609] = {.lex_state = 35},
  [8610] = {.lex_state = 35},
  [8611] = {.lex_state = 35},
  [8612] = {.lex_state = 35},
  [8613] = {.lex_state = 35},
  [8614] = {.lex_state = 35},
  [8615] = {.lex_state = 35},
  [8616] = {.lex_state = 35},
  [8617] = {.lex_state = 35},
  [8618] = {.lex_state = 35},
  [8619] = {.lex_state = 35},
  [8620] = {.lex_state = 35},
  [8621] = {.lex_state = 35},
  [8622] = {.lex_state = 35},
  [8623] = {.lex_state = 35},
  [8624] = {.lex_state = 35},
  [8625] = {.lex_state = 35},
  [8626] = {.lex_state = 35},
  [8627] = {.lex_state = 35},
  [8628] = {.lex_state = 35},
  [8629] = {.lex_state = 35},
  [8630] = {.lex_state = 35},
  [8631] = {.lex_state = 35},
  [8632] = {.lex_state = 35},
  [8633] = {.lex_state = 35},
  [8634] = {.lex_state = 35},
  [8635] = {.lex_state = 35},
  [8636] = {.lex_state = 35},
  [8637] = {.lex_state = 35},
  [8638] = {.lex_state = 35},
  [8639] = {.lex_state = 35},
  [8640] = {.lex_state = 35},
  [8641] = {.lex_state = 35},
  [8642] = {.lex_state = 35, .external_lex_state = 2},
  [8643] = {.lex_state = 35},
  [8644] = {.lex_state = 35},
  [8645] = {.lex_state = 35},
  [8646] = {.lex_state = 35},
  [8647] = {.lex_state = 35, .external_lex_state = 2},
  [8648] = {.lex_state = 35},
  [8649] = {.lex_state = 35},
  [8650] = {.lex_state = 35},
  [8651] = {.lex_state = 35},
  [8652] = {.lex_state = 35},
  [8653] = {.lex_state = 35},
  [8654] = {.lex_state = 35},
  [8655] = {.lex_state = 35},
  [8656] = {.lex_state = 35},
  [8657] = {.lex_state = 35},
  [8658] = {.lex_state = 35},
  [8659] = {.lex_state = 35},
  [8660] = {.lex_state = 35},
  [8661] = {.lex_state = 33, .external_lex_state = 3},
  [8662] = {.lex_state = 35},
  [8663] = {.lex_state = 33, .external_lex_state = 3},
  [8664] = {.lex_state = 35},
  [8665] = {.lex_state = 35},
  [8666] = {.lex_state = 35},
  [8667] = {.lex_state = 35},
  [8668] = {.lex_state = 35},
  [8669] = {.lex_state = 35},
  [8670] = {.lex_state = 35},
  [8671] = {.lex_state = 35},
  [8672] = {.lex_state = 35},
  [8673] = {.lex_state = 35},
  [8674] = {.lex_state = 35},
  [8675] = {.lex_state = 35},
  [8676] = {.lex_state = 35},
  [8677] = {.lex_state = 35},
  [8678] = {.lex_state = 35},
  [8679] = {.lex_state = 35, .external_lex_state = 2},
  [8680] = {.lex_state = 35, .external_lex_state = 2},
  [8681] = {.lex_state = 35},
  [8682] = {.lex_state = 35},
  [8683] = {.lex_state = 35, .external_lex_state = 2},
  [8684] = {.lex_state = 35, .external_lex_state = 2},
  [8685] = {.lex_state = 35},
  [8686] = {.lex_state = 35},
  [8687] = {.lex_state = 35},
  [8688] = {.lex_state = 35, .external_lex_state = 2},
  [8689] = {.lex_state = 35, .external_lex_state = 2},
  [8690] = {.lex_state = 35},
  [8691] = {.lex_state = 35},
  [8692] = {.lex_state = 35},
  [8693] = {.lex_state = 35},
  [8694] = {.lex_state = 35},
  [8695] = {.lex_state = 35},
  [8696] = {.lex_state = 35},
  [8697] = {.lex_state = 35},
  [8698] = {.lex_state = 35, .external_lex_state = 2},
  [8699] = {.lex_state = 35},
  [8700] = {.lex_state = 35},
  [8701] = {.lex_state = 35, .external_lex_state = 2},
  [8702] = {.lex_state = 35, .external_lex_state = 2},
  [8703] = {.lex_state = 35, .external_lex_state = 2},
  [8704] = {.lex_state = 35},
  [8705] = {.lex_state = 33, .external_lex_state = 3},
  [8706] = {.lex_state = 35, .external_lex_state = 2},
  [8707] = {.lex_state = 35, .external_lex_state = 2},
  [8708] = {.lex_state = 0, .external_lex_state = 3},
  [8709] = {.lex_state = 35},
  [8710] = {.lex_state = 35},
  [8711] = {.lex_state = 35},
  [8712] = {.lex_state = 35},
  [8713] = {.lex_state = 35},
  [8714] = {.lex_state = 35, .external_lex_state = 2},
  [8715] = {.lex_state = 35},
  [8716] = {.lex_state = 35},
  [8717] = {.lex_state = 35},
  [8718] = {.lex_state = 35},
  [8719] = {.lex_state = 35},
  [8720] = {.lex_state = 35},
  [8721] = {.lex_state = 35},
  [8722] = {.lex_state = 35},
  [8723] = {.lex_state = 35},
  [8724] = {.lex_state = 35},
  [8725] = {.lex_state = 35, .external_lex_state = 2},
  [8726] = {.lex_state = 35},
  [8727] = {.lex_state = 35, .external_lex_state = 2},
  [8728] = {.lex_state = 35, .external_lex_state = 2},
  [8729] = {.lex_state = 35, .external_lex_state = 2},
  [8730] = {.lex_state = 35, .external_lex_state = 2},
  [8731] = {.lex_state = 35},
  [8732] = {.lex_state = 35},
  [8733] = {.lex_state = 35},
  [8734] = {.lex_state = 35},
  [8735] = {.lex_state = 35},
  [8736] = {.lex_state = 35},
  [8737] = {.lex_state = 33, .external_lex_state = 3},
  [8738] = {.lex_state = 35},
  [8739] = {.lex_state = 35},
  [8740] = {.lex_state = 35},
  [8741] = {.lex_state = 35},
  [8742] = {.lex_state = 35},
  [8743] = {.lex_state = 35},
  [8744] = {.lex_state = 33},
  [8745] = {.lex_state = 35},
  [8746] = {.lex_state = 35},
  [8747] = {.lex_state = 35},
  [8748] = {.lex_state = 35},
  [8749] = {.lex_state = 35},
  [8750] = {.lex_state = 35, .external_lex_state = 2},
  [8751] = {.lex_state = 35},
  [8752] = {.lex_state = 35},
  [8753] = {.lex_state = 35},
  [8754] = {.lex_state = 35, .external_lex_state = 2},
  [8755] = {.lex_state = 35},
  [8756] = {.lex_state = 35, .external_lex_state = 2},
  [8757] = {.lex_state = 35},
  [8758] = {.lex_state = 35, .external_lex_state = 2},
  [8759] = {.lex_state = 35},
  [8760] = {.lex_state = 35},
  [8761] = {.lex_state = 35, .external_lex_state = 2},
  [8762] = {.lex_state = 35},
  [8763] = {.lex_state = 35, .external_lex_state = 2},
  [8764] = {.lex_state = 35, .external_lex_state = 2},
  [8765] = {.lex_state = 35},
  [8766] = {.lex_state = 35},
  [8767] = {.lex_state = 35},
  [8768] = {.lex_state = 0, .external_lex_state = 3},
  [8769] = {.lex_state = 35},
  [8770] = {.lex_state = 35},
  [8771] = {.lex_state = 35},
  [8772] = {.lex_state = 35},
  [8773] = {.lex_state = 35},
  [8774] = {.lex_state = 33, .external_lex_state = 3},
  [8775] = {.lex_state = 35},
  [8776] = {.lex_state = 35},
  [8777] = {.lex_state = 35},
  [8778] = {.lex_state = 35},
  [8779] = {.lex_state = 35},
  [8780] = {.lex_state = 35},
  [8781] = {.lex_state = 35},
  [8782] = {.lex_state = 35},
  [8783] = {.lex_state = 35},
  [8784] = {.lex_state = 35, .external_lex_state = 2},
  [8785] = {.lex_state = 35, .external_lex_state = 2},
  [8786] = {.lex_state = 33},
  [8787] = {.lex_state = 35},
  [8788] = {.lex_state = 35},
  [8789] = {.lex_state = 35},
  [8790] = {.lex_state = 33, .external_lex_state = 3},
  [8791] = {.lex_state = 35, .external_lex_state = 2},
  [8792] = {.lex_state = 35},
  [8793] = {.lex_state = 35},
  [8794] = {.lex_state = 35},
  [8795] = {.lex_state = 35, .external_lex_state = 2},
  [8796] = {.lex_state = 35},
  [8797] = {.lex_state = 33, .external_lex_state = 3},
  [8798] = {.lex_state = 35, .external_lex_state = 2},
  [8799] = {.lex_state = 35, .external_lex_state = 2},
  [8800] = {.lex_state = 35},
  [8801] = {.lex_state = 35},
  [8802] = {.lex_state = 35},
  [8803] = {.lex_state = 35},
  [8804] = {.lex_state = 35},
  [8805] = {.lex_state = 35, .external_lex_state = 2},
  [8806] = {.lex_state = 35},
  [8807] = {.lex_state = 35},
  [8808] = {.lex_state = 35},
  [8809] = {.lex_state = 35},
  [8810] = {.lex_state = 35},
  [8811] = {.lex_state = 35},
  [8812] = {.lex_state = 35},
  [8813] = {.lex_state = 35},
  [8814] = {.lex_state = 35},
  [8815] = {.lex_state = 35},
  [8816] = {.lex_state = 35},
  [8817] = {.lex_state = 33, .external_lex_state = 3},
  [8818] = {.lex_state = 35},
  [8819] = {.lex_state = 35},
  [8820] = {.lex_state = 35, .external_lex_state = 2},
  [8821] = {.lex_state = 35},
  [8822] = {.lex_state = 35},
  [8823] = {.lex_state = 35},
  [8824] = {.lex_state = 35},
  [8825] = {.lex_state = 35, .external_lex_state = 2},
  [8826] = {.lex_state = 35, .external_lex_state = 2},
  [8827] = {.lex_state = 35},
  [8828] = {.lex_state = 35},
  [8829] = {.lex_state = 35},
  [8830] = {.lex_state = 35},
  [8831] = {.lex_state = 35},
  [8832] = {.lex_state = 35},
  [8833] = {.lex_state = 35},
  [8834] = {.lex_state = 35, .external_lex_state = 2},
  [8835] = {.lex_state = 35},
  [8836] = {.lex_state = 35, .external_lex_state = 2},
  [8837] = {.lex_state = 35},
  [8838] = {.lex_state = 35},
  [8839] = {.lex_state = 35, .external_lex_state = 2},
  [8840] = {.lex_state = 35},
  [8841] = {.lex_state = 35, .external_lex_state = 2},
  [8842] = {.lex_state = 35},
  [8843] = {.lex_state = 33, .external_lex_state = 3},
  [8844] = {.lex_state = 35},
  [8845] = {.lex_state = 35, .external_lex_state = 2},
  [8846] = {.lex_state = 35},
  [8847] = {.lex_state = 35},
  [8848] = {.lex_state = 35, .external_lex_state = 2},
  [8849] = {.lex_state = 35, .external_lex_state = 2},
  [8850] = {.lex_state = 35},
  [8851] = {.lex_state = 35},
  [8852] = {.lex_state = 35},
  [8853] = {.lex_state = 35, .external_lex_state = 2},
  [8854] = {.lex_state = 35, .external_lex_state = 2},
  [8855] = {.lex_state = 35, .external_lex_state = 2},
  [8856] = {.lex_state = 35},
  [8857] = {.lex_state = 35},
  [8858] = {.lex_state = 35},
  [8859] = {.lex_state = 35},
  [8860] = {.lex_state = 35},
  [8861] = {.lex_state = 35},
  [8862] = {.lex_state = 35},
  [8863] = {.lex_state = 35},
  [8864] = {.lex_state = 35},
  [8865] = {.lex_state = 35},
  [8866] = {.lex_state = 35},
  [8867] = {.lex_state = 33, .external_lex_state = 3},
  [8868] = {.lex_state = 35},
  [8869] = {.lex_state = 35},
  [8870] = {.lex_state = 35},
  [8871] = {.lex_state = 35},
  [8872] = {.lex_state = 35, .external_lex_state = 2},
  [8873] = {.lex_state = 35, .external_lex_state = 2},
  [8874] = {.lex_state = 35},
  [8875] = {.lex_state = 35, .external_lex_state = 2},
  [8876] = {.lex_state = 35},
  [8877] = {.lex_state = 35},
  [8878] = {.lex_state = 35, .external_lex_state = 2},
  [8879] = {.lex_state = 35, .external_lex_state = 2},
  [8880] = {.lex_state = 35, .external_lex_state = 2},
  [8881] = {.lex_state = 35},
  [8882] = {.lex_state = 35},
  [8883] = {.lex_state = 35},
  [8884] = {.lex_state = 35},
  [8885] = {.lex_state = 35},
  [8886] = {.lex_state = 35, .external_lex_state = 2},
  [8887] = {.lex_state = 35, .external_lex_state = 2},
  [8888] = {.lex_state = 35},
  [8889] = {.lex_state = 35, .external_lex_state = 2},
  [8890] = {.lex_state = 35, .external_lex_state = 2},
  [8891] = {.lex_state = 35},
  [8892] = {.lex_state = 35},
  [8893] = {.lex_state = 35},
  [8894] = {.lex_state = 35},
  [8895] = {.lex_state = 35},
  [8896] = {.lex_state = 35, .external_lex_state = 2},
  [8897] = {.lex_state = 35},
  [8898] = {.lex_state = 35},
  [8899] = {.lex_state = 35},
  [8900] = {.lex_state = 35, .external_lex_state = 2},
  [8901] = {.lex_state = 35},
  [8902] = {.lex_state = 35},
  [8903] = {.lex_state = 35},
  [8904] = {.lex_state = 1},
  [8905] = {.lex_state = 0, .external_lex_state = 3},
  [8906] = {.lex_state = 35},
  [8907] = {.lex_state = 35},
  [8908] = {.lex_state = 35},
  [8909] = {.lex_state = 0, .external_lex_state = 3},
  [8910] = {.lex_state = 35},
  [8911] = {.lex_state = 35},
  [8912] = {.lex_state = 35},
  [8913] = {.lex_state = 35},
  [8914] = {.lex_state = 35},
  [8915] = {.lex_state = 0, .external_lex_state = 3},
  [8916] = {.lex_state = 35},
  [8917] = {.lex_state = 35},
  [8918] = {.lex_state = 35},
  [8919] = {.lex_state = 35},
  [8920] = {.lex_state = 35},
  [8921] = {.lex_state = 35},
  [8922] = {.lex_state = 35},
  [8923] = {.lex_state = 35},
  [8924] = {.lex_state = 35},
  [8925] = {.lex_state = 35},
  [8926] = {.lex_state = 35},
  [8927] = {.lex_state = 35},
  [8928] = {.lex_state = 35},
  [8929] = {.lex_state = 35},
  [8930] = {.lex_state = 35},
  [8931] = {.lex_state = 35},
  [8932] = {.lex_state = 35},
  [8933] = {.lex_state = 1},
  [8934] = {.lex_state = 0, .external_lex_state = 3},
  [8935] = {.lex_state = 35},
  [8936] = {.lex_state = 35},
  [8937] = {.lex_state = 35},
  [8938] = {.lex_state = 1},
  [8939] = {.lex_state = 35},
  [8940] = {.lex_state = 0, .external_lex_state = 3},
  [8941] = {.lex_state = 35},
  [8942] = {.lex_state = 35},
  [8943] = {.lex_state = 35},
  [8944] = {.lex_state = 35},
  [8945] = {.lex_state = 35, .external_lex_state = 2},
  [8946] = {.lex_state = 35},
  [8947] = {.lex_state = 35},
  [8948] = {.lex_state = 35},
  [8949] = {.lex_state = 35},
  [8950] = {.lex_state = 35},
  [8951] = {.lex_state = 35},
  [8952] = {.lex_state = 35},
  [8953] = {.lex_state = 35},
  [8954] = {.lex_state = 35},
  [8955] = {.lex_state = 35},
  [8956] = {.lex_state = 35},
  [8957] = {.lex_state = 35},
  [8958] = {.lex_state = 35},
  [8959] = {.lex_state = 35},
  [8960] = {.lex_state = 0},
  [8961] = {.lex_state = 35},
  [8962] = {.lex_state = 0},
  [8963] = {.lex_state = 35},
  [8964] = {.lex_state = 35},
  [8965] = {.lex_state = 35},
  [8966] = {.lex_state = 35},
  [8967] = {.lex_state = 1},
  [8968] = {.lex_state = 35},
  [8969] = {.lex_state = 35},
  [8970] = {.lex_state = 0, .external_lex_state = 3},
  [8971] = {.lex_state = 35, .external_lex_state = 2},
  [8972] = {.lex_state = 35},
  [8973] = {.lex_state = 35},
  [8974] = {.lex_state = 35},
  [8975] = {.lex_state = 35, .external_lex_state = 2},
  [8976] = {.lex_state = 35},
  [8977] = {.lex_state = 35},
  [8978] = {.lex_state = 35},
  [8979] = {.lex_state = 0, .external_lex_state = 3},
  [8980] = {.lex_state = 35},
  [8981] = {.lex_state = 0, .external_lex_state = 3},
  [8982] = {.lex_state = 0, .external_lex_state = 3},
  [8983] = {.lex_state = 35},
  [8984] = {.lex_state = 35},
  [8985] = {.lex_state = 35, .external_lex_state = 2},
  [8986] = {.lex_state = 10},
  [8987] = {.lex_state = 10},
  [8988] = {.lex_state = 35},
  [8989] = {.lex_state = 35},
  [8990] = {.lex_state = 35},
  [8991] = {.lex_state = 35},
  [8992] = {.lex_state = 35, .external_lex_state = 2},
  [8993] = {.lex_state = 35, .external_lex_state = 2},
  [8994] = {.lex_state = 35},
  [8995] = {.lex_state = 35},
  [8996] = {.lex_state = 35},
  [8997] = {.lex_state = 35},
  [8998] = {.lex_state = 0},
  [8999] = {.lex_state = 35},
  [9000] = {.lex_state = 35},
  [9001] = {.lex_state = 1},
  [9002] = {.lex_state = 35, .external_lex_state = 2},
  [9003] = {.lex_state = 35},
  [9004] = {.lex_state = 35},
  [9005] = {.lex_state = 35},
  [9006] = {.lex_state = 35},
  [9007] = {.lex_state = 35},
  [9008] = {.lex_state = 35},
  [9009] = {.lex_state = 35},
  [9010] = {.lex_state = 0, .external_lex_state = 3},
  [9011] = {.lex_state = 35},
  [9012] = {.lex_state = 35},
  [9013] = {.lex_state = 35, .external_lex_state = 2},
  [9014] = {.lex_state = 35},
  [9015] = {.lex_state = 35},
  [9016] = {.lex_state = 35, .external_lex_state = 2},
  [9017] = {.lex_state = 35},
  [9018] = {.lex_state = 35},
  [9019] = {.lex_state = 35},
  [9020] = {.lex_state = 35},
  [9021] = {.lex_state = 35},
  [9022] = {.lex_state = 35},
  [9023] = {.lex_state = 35},
  [9024] = {.lex_state = 1},
  [9025] = {.lex_state = 35},
  [9026] = {.lex_state = 35},
  [9027] = {.lex_state = 35},
  [9028] = {.lex_state = 0, .external_lex_state = 3},
  [9029] = {.lex_state = 35},
  [9030] = {.lex_state = 35},
  [9031] = {.lex_state = 35},
  [9032] = {.lex_state = 35},
  [9033] = {.lex_state = 35, .external_lex_state = 2},
  [9034] = {.lex_state = 10},
  [9035] = {.lex_state = 10},
  [9036] = {.lex_state = 35},
  [9037] = {.lex_state = 35},
  [9038] = {.lex_state = 35},
  [9039] = {.lex_state = 35},
  [9040] = {.lex_state = 35},
  [9041] = {.lex_state = 35},
  [9042] = {.lex_state = 35},
  [9043] = {.lex_state = 0, .external_lex_state = 3},
  [9044] = {.lex_state = 35},
  [9045] = {.lex_state = 35},
  [9046] = {.lex_state = 1},
  [9047] = {.lex_state = 35},
  [9048] = {.lex_state = 35},
  [9049] = {.lex_state = 35, .external_lex_state = 2},
  [9050] = {.lex_state = 35},
  [9051] = {.lex_state = 35},
  [9052] = {.lex_state = 35},
  [9053] = {.lex_state = 35},
  [9054] = {.lex_state = 35},
  [9055] = {.lex_state = 0, .external_lex_state = 3},
  [9056] = {.lex_state = 35, .external_lex_state = 2},
  [9057] = {.lex_state = 35},
  [9058] = {.lex_state = 35},
  [9059] = {.lex_state = 35},
  [9060] = {.lex_state = 0, .external_lex_state = 3},
  [9061] = {.lex_state = 35},
  [9062] = {.lex_state = 10},
  [9063] = {.lex_state = 35},
  [9064] = {.lex_state = 1},
  [9065] = {.lex_state = 10},
  [9066] = {.lex_state = 35},
  [9067] = {.lex_state = 35, .external_lex_state = 2},
  [9068] = {.lex_state = 35},
  [9069] = {.lex_state = 35},
  [9070] = {.lex_state = 35},
  [9071] = {.lex_state = 35, .external_lex_state = 2},
  [9072] = {.lex_state = 35},
  [9073] = {.lex_state = 35},
  [9074] = {.lex_state = 35},
  [9075] = {.lex_state = 35},
  [9076] = {.lex_state = 35},
  [9077] = {.lex_state = 0, .external_lex_state = 3},
  [9078] = {.lex_state = 35},
  [9079] = {.lex_state = 35},
  [9080] = {.lex_state = 35},
  [9081] = {.lex_state = 35},
  [9082] = {.lex_state = 35},
  [9083] = {.lex_state = 35},
  [9084] = {.lex_state = 35},
  [9085] = {.lex_state = 35, .external_lex_state = 2},
  [9086] = {.lex_state = 35},
  [9087] = {.lex_state = 35},
  [9088] = {.lex_state = 35},
  [9089] = {.lex_state = 35},
  [9090] = {.lex_state = 35},
  [9091] = {.lex_state = 10},
  [9092] = {.lex_state = 10},
  [9093] = {.lex_state = 35},
  [9094] = {.lex_state = 0, .external_lex_state = 3},
  [9095] = {.lex_state = 35},
  [9096] = {.lex_state = 35},
  [9097] = {.lex_state = 35},
  [9098] = {.lex_state = 0},
  [9099] = {.lex_state = 0},
  [9100] = {.lex_state = 35},
  [9101] = {.lex_state = 35, .external_lex_state = 2},
  [9102] = {.lex_state = 35},
  [9103] = {.lex_state = 35},
  [9104] = {.lex_state = 35},
  [9105] = {.lex_state = 1},
  [9106] = {.lex_state = 35},
  [9107] = {.lex_state = 35},
  [9108] = {.lex_state = 35},
  [9109] = {.lex_state = 35},
  [9110] = {.lex_state = 35},
  [9111] = {.lex_state = 35, .external_lex_state = 2},
  [9112] = {.lex_state = 35},
  [9113] = {.lex_state = 35},
  [9114] = {.lex_state = 35},
  [9115] = {.lex_state = 0, .external_lex_state = 3},
  [9116] = {.lex_state = 35},
  [9117] = {.lex_state = 35, .external_lex_state = 2},
  [9118] = {.lex_state = 0, .external_lex_state = 3},
  [9119] = {.lex_state = 35},
  [9120] = {.lex_state = 35},
  [9121] = {.lex_state = 35, .external_lex_state = 2},
  [9122] = {.lex_state = 35},
  [9123] = {.lex_state = 35},
  [9124] = {.lex_state = 35},
  [9125] = {.lex_state = 1},
  [9126] = {.lex_state = 35},
  [9127] = {.lex_state = 1},
  [9128] = {.lex_state = 35, .external_lex_state = 2},
  [9129] = {.lex_state = 35},
  [9130] = {.lex_state = 0, .external_lex_state = 3},
  [9131] = {.lex_state = 35, .external_lex_state = 2},
  [9132] = {.lex_state = 35},
  [9133] = {.lex_state = 1},
  [9134] = {.lex_state = 35, .external_lex_state = 2},
  [9135] = {.lex_state = 35},
  [9136] = {.lex_state = 35},
  [9137] = {.lex_state = 35},
  [9138] = {.lex_state = 35},
  [9139] = {.lex_state = 35},
  [9140] = {.lex_state = 35},
  [9141] = {.lex_state = 35},
  [9142] = {.lex_state = 35},
  [9143] = {.lex_state = 35},
  [9144] = {.lex_state = 35},
  [9145] = {.lex_state = 35},
  [9146] = {.lex_state = 0, .external_lex_state = 3},
  [9147] = {.lex_state = 35},
  [9148] = {.lex_state = 35},
  [9149] = {.lex_state = 35},
  [9150] = {.lex_state = 0, .external_lex_state = 3},
  [9151] = {.lex_state = 35},
  [9152] = {.lex_state = 0, .external_lex_state = 3},
  [9153] = {.lex_state = 1},
  [9154] = {.lex_state = 35},
  [9155] = {.lex_state = 35},
  [9156] = {.lex_state = 35},
  [9157] = {.lex_state = 35},
  [9158] = {.lex_state = 35},
  [9159] = {.lex_state = 35},
  [9160] = {.lex_state = 35, .external_lex_state = 2},
  [9161] = {.lex_state = 35},
  [9162] = {.lex_state = 35},
  [9163] = {.lex_state = 35},
  [9164] = {.lex_state = 35},
  [9165] = {.lex_state = 35, .external_lex_state = 2},
  [9166] = {.lex_state = 35},
  [9167] = {.lex_state = 35},
  [9168] = {.lex_state = 35},
  [9169] = {.lex_state = 35},
  [9170] = {.lex_state = 0},
  [9171] = {.lex_state = 35},
  [9172] = {.lex_state = 35},
  [9173] = {.lex_state = 35, .external_lex_state = 2},
  [9174] = {.lex_state = 1},
  [9175] = {.lex_state = 35, .external_lex_state = 2},
  [9176] = {.lex_state = 35},
  [9177] = {.lex_state = 35},
  [9178] = {.lex_state = 35, .external_lex_state = 2},
  [9179] = {.lex_state = 35},
  [9180] = {.lex_state = 35, .external_lex_state = 2},
  [9181] = {.lex_state = 0, .external_lex_state = 3},
  [9182] = {.lex_state = 35},
  [9183] = {.lex_state = 35},
  [9184] = {.lex_state = 35},
  [9185] = {.lex_state = 35},
  [9186] = {.lex_state = 35},
  [9187] = {.lex_state = 35},
  [9188] = {.lex_state = 35, .external_lex_state = 2},
  [9189] = {.lex_state = 35},
  [9190] = {.lex_state = 35, .external_lex_state = 2},
  [9191] = {.lex_state = 35, .external_lex_state = 2},
  [9192] = {.lex_state = 0, .external_lex_state = 3},
  [9193] = {.lex_state = 35, .external_lex_state = 2},
  [9194] = {.lex_state = 35},
  [9195] = {.lex_state = 35},
  [9196] = {.lex_state = 35},
  [9197] = {.lex_state = 35},
  [9198] = {.lex_state = 35},
  [9199] = {.lex_state = 35},
  [9200] = {.lex_state = 1},
  [9201] = {.lex_state = 35},
  [9202] = {.lex_state = 35},
  [9203] = {.lex_state = 35, .external_lex_state = 2},
  [9204] = {.lex_state = 35},
  [9205] = {.lex_state = 35},
  [9206] = {.lex_state = 35},
  [9207] = {.lex_state = 35, .external_lex_state = 2},
  [9208] = {.lex_state = 35},
  [9209] = {.lex_state = 35},
  [9210] = {.lex_state = 0},
  [9211] = {.lex_state = 35},
  [9212] = {.lex_state = 35},
  [9213] = {.lex_state = 35, .external_lex_state = 2},
  [9214] = {.lex_state = 35},
  [9215] = {.lex_state = 35},
  [9216] = {.lex_state = 1},
  [9217] = {.lex_state = 35},
  [9218] = {.lex_state = 35},
  [9219] = {.lex_state = 35},
  [9220] = {.lex_state = 35},
  [9221] = {.lex_state = 35},
  [9222] = {.lex_state = 35, .external_lex_state = 2},
  [9223] = {.lex_state = 0, .external_lex_state = 3},
  [9224] = {.lex_state = 35},
  [9225] = {.lex_state = 35, .external_lex_state = 2},
  [9226] = {.lex_state = 35, .external_lex_state = 2},
  [9227] = {.lex_state = 0},
  [9228] = {.lex_state = 35},
  [9229] = {.lex_state = 1},
  [9230] = {.lex_state = 35},
  [9231] = {.lex_state = 35},
  [9232] = {.lex_state = 35, .external_lex_state = 2},
  [9233] = {.lex_state = 35},
  [9234] = {.lex_state = 35, .external_lex_state = 2},
  [9235] = {.lex_state = 0},
  [9236] = {.lex_state = 35},
  [9237] = {.lex_state = 35},
  [9238] = {.lex_state = 35},
  [9239] = {.lex_state = 35, .external_lex_state = 2},
  [9240] = {.lex_state = 35},
  [9241] = {.lex_state = 35},
  [9242] = {.lex_state = 35},
  [9243] = {.lex_state = 35, .external_lex_state = 2},
  [9244] = {.lex_state = 35},
  [9245] = {.lex_state = 35},
  [9246] = {.lex_state = 35},
  [9247] = {.lex_state = 35},
  [9248] = {.lex_state = 33, .external_lex_state = 3},
  [9249] = {.lex_state = 35},
  [9250] = {.lex_state = 35, .external_lex_state = 2},
  [9251] = {.lex_state = 35},
  [9252] = {.lex_state = 35},
  [9253] = {.lex_state = 35},
  [9254] = {.lex_state = 35},
  [9255] = {.lex_state = 35},
  [9256] = {.lex_state = 0, .external_lex_state = 3},
  [9257] = {.lex_state = 35},
  [9258] = {.lex_state = 35},
  [9259] = {.lex_state = 35},
  [9260] = {.lex_state = 35},
  [9261] = {.lex_state = 35},
  [9262] = {.lex_state = 35},
  [9263] = {.lex_state = 35},
  [9264] = {.lex_state = 35},
  [9265] = {.lex_state = 35},
  [9266] = {.lex_state = 35},
  [9267] = {.lex_state = 35},
  [9268] = {.lex_state = 35},
  [9269] = {.lex_state = 35},
  [9270] = {.lex_state = 35},
  [9271] = {.lex_state = 35},
  [9272] = {.lex_state = 35, .external_lex_state = 2},
  [9273] = {.lex_state = 35},
  [9274] = {.lex_state = 1},
  [9275] = {.lex_state = 35},
  [9276] = {.lex_state = 35},
  [9277] = {.lex_state = 35},
  [9278] = {.lex_state = 35},
  [9279] = {.lex_state = 35},
  [9280] = {.lex_state = 35},
  [9281] = {.lex_state = 35},
  [9282] = {.lex_state = 35},
  [9283] = {.lex_state = 35},
  [9284] = {.lex_state = 35},
  [9285] = {.lex_state = 35},
  [9286] = {.lex_state = 35},
  [9287] = {.lex_state = 35},
  [9288] = {.lex_state = 35},
  [9289] = {.lex_state = 35, .external_lex_state = 2},
  [9290] = {.lex_state = 35},
  [9291] = {.lex_state = 0, .external_lex_state = 3},
  [9292] = {.lex_state = 35},
  [9293] = {.lex_state = 35},
  [9294] = {.lex_state = 35},
  [9295] = {.lex_state = 35},
  [9296] = {.lex_state = 35},
  [9297] = {.lex_state = 35},
  [9298] = {.lex_state = 35},
  [9299] = {.lex_state = 35},
  [9300] = {.lex_state = 35},
  [9301] = {.lex_state = 35},
  [9302] = {.lex_state = 35},
  [9303] = {.lex_state = 35},
  [9304] = {.lex_state = 35},
  [9305] = {.lex_state = 0, .external_lex_state = 3},
  [9306] = {.lex_state = 35},
  [9307] = {.lex_state = 35},
  [9308] = {.lex_state = 35},
  [9309] = {.lex_state = 35, .external_lex_state = 2},
  [9310] = {.lex_state = 35},
  [9311] = {.lex_state = 35},
  [9312] = {.lex_state = 35},
  [9313] = {.lex_state = 35},
  [9314] = {.lex_state = 35},
  [9315] = {.lex_state = 35},
  [9316] = {.lex_state = 35, .external_lex_state = 2},
  [9317] = {.lex_state = 35},
  [9318] = {.lex_state = 35},
  [9319] = {.lex_state = 0, .external_lex_state = 3},
  [9320] = {.lex_state = 35, .external_lex_state = 2},
  [9321] = {.lex_state = 35},
  [9322] = {.lex_state = 35},
  [9323] = {.lex_state = 35},
  [9324] = {.lex_state = 35},
  [9325] = {.lex_state = 35},
  [9326] = {.lex_state = 35},
  [9327] = {.lex_state = 35},
  [9328] = {.lex_state = 0, .external_lex_state = 3},
  [9329] = {.lex_state = 35},
  [9330] = {.lex_state = 35},
  [9331] = {.lex_state = 0, .external_lex_state = 3},
  [9332] = {.lex_state = 35, .external_lex_state = 2},
  [9333] = {.lex_state = 35, .external_lex_state = 2},
  [9334] = {.lex_state = 35},
  [9335] = {.lex_state = 35},
  [9336] = {.lex_state = 35},
  [9337] = {.lex_state = 0, .external_lex_state = 3},
  [9338] = {.lex_state = 0, .external_lex_state = 3},
  [9339] = {.lex_state = 35},
  [9340] = {.lex_state = 35},
  [9341] = {.lex_state = 0, .external_lex_state = 3},
  [9342] = {.lex_state = 35},
  [9343] = {.lex_state = 35},
  [9344] = {.lex_state = 35},
  [9345] = {.lex_state = 35},
  [9346] = {.lex_state = 35},
  [9347] = {.lex_state = 35},
  [9348] = {.lex_state = 35},
  [9349] = {.lex_state = 35},
  [9350] = {.lex_state = 35, .external_lex_state = 2},
  [9351] = {.lex_state = 35},
  [9352] = {.lex_state = 35},
  [9353] = {.lex_state = 35},
  [9354] = {.lex_state = 0, .external_lex_state = 3},
  [9355] = {.lex_state = 35},
  [9356] = {.lex_state = 35, .external_lex_state = 2},
  [9357] = {.lex_state = 35},
  [9358] = {.lex_state = 35},
  [9359] = {.lex_state = 35},
  [9360] = {.lex_state = 35, .external_lex_state = 2},
  [9361] = {.lex_state = 35},
  [9362] = {.lex_state = 35},
  [9363] = {.lex_state = 35},
  [9364] = {.lex_state = 35},
  [9365] = {.lex_state = 0, .external_lex_state = 3},
  [9366] = {.lex_state = 35},
  [9367] = {.lex_state = 0, .external_lex_state = 3},
  [9368] = {.lex_state = 35, .external_lex_state = 2},
  [9369] = {.lex_state = 35},
  [9370] = {.lex_state = 35},
  [9371] = {.lex_state = 35},
  [9372] = {.lex_state = 35},
  [9373] = {.lex_state = 35},
  [9374] = {.lex_state = 35},
  [9375] = {.lex_state = 35},
  [9376] = {.lex_state = 35},
  [9377] = {.lex_state = 35},
  [9378] = {.lex_state = 35},
  [9379] = {.lex_state = 35},
  [9380] = {.lex_state = 35},
  [9381] = {.lex_state = 35},
  [9382] = {.lex_state = 35},
  [9383] = {.lex_state = 35},
  [9384] = {.lex_state = 35},
  [9385] = {.lex_state = 35, .external_lex_state = 2},
  [9386] = {.lex_state = 35},
  [9387] = {.lex_state = 35},
  [9388] = {.lex_state = 0, .external_lex_state = 3},
  [9389] = {.lex_state = 0, .external_lex_state = 3},
  [9390] = {.lex_state = 0},
  [9391] = {.lex_state = 35},
  [9392] = {.lex_state = 0, .external_lex_state = 3},
  [9393] = {.lex_state = 0, .external_lex_state = 3},
  [9394] = {.lex_state = 0, .external_lex_state = 3},
  [9395] = {.lex_state = 35},
  [9396] = {.lex_state = 0, .external_lex_state = 3},
  [9397] = {.lex_state = 0, .external_lex_state = 3},
  [9398] = {.lex_state = 0, .external_lex_state = 3},
  [9399] = {.lex_state = 35, .external_lex_state = 2},
  [9400] = {.lex_state = 0},
  [9401] = {.lex_state = 35},
  [9402] = {.lex_state = 35},
  [9403] = {.lex_state = 35, .external_lex_state = 2},
  [9404] = {.lex_state = 35},
  [9405] = {.lex_state = 35},
  [9406] = {.lex_state = 35},
  [9407] = {.lex_state = 35},
  [9408] = {.lex_state = 0, .external_lex_state = 3},
  [9409] = {.lex_state = 35},
  [9410] = {.lex_state = 35},
  [9411] = {.lex_state = 0, .external_lex_state = 3},
  [9412] = {.lex_state = 0, .external_lex_state = 3},
  [9413] = {.lex_state = 0, .external_lex_state = 3},
  [9414] = {.lex_state = 0, .external_lex_state = 3},
  [9415] = {.lex_state = 35, .external_lex_state = 2},
  [9416] = {.lex_state = 35, .external_lex_state = 2},
  [9417] = {.lex_state = 35, .external_lex_state = 2},
  [9418] = {.lex_state = 0, .external_lex_state = 3},
  [9419] = {.lex_state = 35},
  [9420] = {.lex_state = 35, .external_lex_state = 2},
  [9421] = {.lex_state = 0, .external_lex_state = 3},
  [9422] = {.lex_state = 0, .external_lex_state = 3},
  [9423] = {.lex_state = 35, .external_lex_state = 2},
  [9424] = {.lex_state = 0, .external_lex_state = 3},
  [9425] = {.lex_state = 35},
  [9426] = {.lex_state = 0, .external_lex_state = 3},
  [9427] = {.lex_state = 35, .external_lex_state = 2},
  [9428] = {.lex_state = 35},
  [9429] = {.lex_state = 0, .external_lex_state = 3},
  [9430] = {.lex_state = 0, .external_lex_state = 3},
  [9431] = {.lex_state = 1},
  [9432] = {.lex_state = 35},
  [9433] = {.lex_state = 0, .external_lex_state = 3},
  [9434] = {.lex_state = 35},
  [9435] = {.lex_state = 35},
  [9436] = {.lex_state = 0, .external_lex_state = 3},
  [9437] = {.lex_state = 0, .external_lex_state = 3},
  [9438] = {.lex_state = 35},
  [9439] = {.lex_state = 0, .external_lex_state = 3},
  [9440] = {.lex_state = 0, .external_lex_state = 3},
  [9441] = {.lex_state = 35, .external_lex_state = 2},
  [9442] = {.lex_state = 0, .external_lex_state = 3},
  [9443] = {.lex_state = 0, .external_lex_state = 3},
  [9444] = {.lex_state = 35, .external_lex_state = 2},
  [9445] = {.lex_state = 0, .external_lex_state = 3},
  [9446] = {.lex_state = 35, .external_lex_state = 2},
  [9447] = {.lex_state = 35},
  [9448] = {.lex_state = 0, .external_lex_state = 3},
  [9449] = {.lex_state = 35},
  [9450] = {.lex_state = 0, .external_lex_state = 3},
  [9451] = {.lex_state = 35},
  [9452] = {.lex_state = 0, .external_lex_state = 3},
  [9453] = {.lex_state = 35},
  [9454] = {.lex_state = 35, .external_lex_state = 2},
  [9455] = {.lex_state = 35},
  [9456] = {.lex_state = 35, .external_lex_state = 2},
  [9457] = {.lex_state = 35},
  [9458] = {.lex_state = 35, .external_lex_state = 2},
  [9459] = {.lex_state = 35},
  [9460] = {.lex_state = 35, .external_lex_state = 2},
  [9461] = {.lex_state = 35},
  [9462] = {.lex_state = 35},
  [9463] = {.lex_state = 0, .external_lex_state = 3},
  [9464] = {.lex_state = 0, .external_lex_state = 3},
  [9465] = {.lex_state = 0, .external_lex_state = 3},
  [9466] = {.lex_state = 0, .external_lex_state = 3},
  [9467] = {.lex_state = 35},
  [9468] = {.lex_state = 35},
  [9469] = {.lex_state = 35},
  [9470] = {.lex_state = 0, .external_lex_state = 3},
  [9471] = {.lex_state = 35},
  [9472] = {.lex_state = 0, .external_lex_state = 3},
  [9473] = {.lex_state = 0, .external_lex_state = 3},
  [9474] = {.lex_state = 0, .external_lex_state = 3},
  [9475] = {.lex_state = 0, .external_lex_state = 3},
  [9476] = {.lex_state = 35},
  [9477] = {.lex_state = 0},
  [9478] = {.lex_state = 0, .external_lex_state = 3},
  [9479] = {.lex_state = 35, .external_lex_state = 2},
  [9480] = {.lex_state = 0},
  [9481] = {.lex_state = 0},
  [9482] = {.lex_state = 33, .external_lex_state = 3},
  [9483] = {.lex_state = 0, .external_lex_state = 3},
  [9484] = {.lex_state = 35},
  [9485] = {.lex_state = 0, .external_lex_state = 3},
  [9486] = {.lex_state = 0, .external_lex_state = 3},
  [9487] = {.lex_state = 0},
  [9488] = {.lex_state = 0, .external_lex_state = 3},
  [9489] = {.lex_state = 0, .external_lex_state = 3},
  [9490] = {.lex_state = 35},
  [9491] = {.lex_state = 35},
  [9492] = {.lex_state = 35},
  [9493] = {.lex_state = 35},
  [9494] = {.lex_state = 35},
  [9495] = {.lex_state = 35},
  [9496] = {.lex_state = 35},
  [9497] = {.lex_state = 35},
  [9498] = {.lex_state = 35},
  [9499] = {.lex_state = 35},
  [9500] = {.lex_state = 0, .external_lex_state = 3},
  [9501] = {.lex_state = 35},
  [9502] = {.lex_state = 35, .external_lex_state = 2},
  [9503] = {.lex_state = 35},
  [9504] = {.lex_state = 0, .external_lex_state = 3},
  [9505] = {.lex_state = 0, .external_lex_state = 3},
  [9506] = {.lex_state = 35},
  [9507] = {.lex_state = 0, .external_lex_state = 3},
  [9508] = {.lex_state = 35},
  [9509] = {.lex_state = 0, .external_lex_state = 3},
  [9510] = {.lex_state = 35},
  [9511] = {.lex_state = 35},
  [9512] = {.lex_state = 35},
  [9513] = {.lex_state = 35, .external_lex_state = 2},
  [9514] = {.lex_state = 35},
  [9515] = {.lex_state = 35},
  [9516] = {.lex_state = 35, .external_lex_state = 2},
  [9517] = {.lex_state = 35},
  [9518] = {.lex_state = 35},
  [9519] = {.lex_state = 35},
  [9520] = {.lex_state = 0, .external_lex_state = 3},
  [9521] = {.lex_state = 35},
  [9522] = {.lex_state = 35},
  [9523] = {.lex_state = 0},
  [9524] = {.lex_state = 0, .external_lex_state = 3},
  [9525] = {.lex_state = 35},
  [9526] = {.lex_state = 0, .external_lex_state = 3},
  [9527] = {.lex_state = 35},
  [9528] = {.lex_state = 35},
  [9529] = {.lex_state = 35},
  [9530] = {.lex_state = 0, .external_lex_state = 3},
  [9531] = {.lex_state = 0, .external_lex_state = 3},
  [9532] = {.lex_state = 35},
  [9533] = {.lex_state = 35},
  [9534] = {.lex_state = 35},
  [9535] = {.lex_state = 35},
  [9536] = {.lex_state = 35, .external_lex_state = 2},
  [9537] = {.lex_state = 0, .external_lex_state = 3},
  [9538] = {.lex_state = 35},
  [9539] = {.lex_state = 35},
  [9540] = {.lex_state = 35},
  [9541] = {.lex_state = 35},
  [9542] = {.lex_state = 35, .external_lex_state = 2},
  [9543] = {.lex_state = 35},
  [9544] = {.lex_state = 35, .external_lex_state = 2},
  [9545] = {.lex_state = 35},
  [9546] = {.lex_state = 35},
  [9547] = {.lex_state = 35},
  [9548] = {.lex_state = 35},
  [9549] = {.lex_state = 35},
  [9550] = {.lex_state = 35, .external_lex_state = 2},
  [9551] = {.lex_state = 35},
  [9552] = {.lex_state = 35},
  [9553] = {.lex_state = 35, .external_lex_state = 2},
  [9554] = {.lex_state = 35, .external_lex_state = 2},
  [9555] = {.lex_state = 35},
  [9556] = {.lex_state = 0, .external_lex_state = 3},
  [9557] = {.lex_state = 35},
  [9558] = {.lex_state = 35},
  [9559] = {.lex_state = 35},
  [9560] = {.lex_state = 35},
  [9561] = {.lex_state = 0, .external_lex_state = 3},
  [9562] = {.lex_state = 0, .external_lex_state = 3},
  [9563] = {.lex_state = 35, .external_lex_state = 2},
  [9564] = {.lex_state = 35},
  [9565] = {.lex_state = 0, .external_lex_state = 3},
  [9566] = {.lex_state = 35},
  [9567] = {.lex_state = 35},
  [9568] = {.lex_state = 0, .external_lex_state = 3},
  [9569] = {.lex_state = 0, .external_lex_state = 3},
  [9570] = {.lex_state = 35, .external_lex_state = 2},
  [9571] = {.lex_state = 0, .external_lex_state = 3},
  [9572] = {.lex_state = 35},
  [9573] = {.lex_state = 35},
  [9574] = {.lex_state = 35},
  [9575] = {.lex_state = 0, .external_lex_state = 3},
  [9576] = {.lex_state = 35},
  [9577] = {.lex_state = 1},
  [9578] = {.lex_state = 35},
  [9579] = {.lex_state = 35},
  [9580] = {.lex_state = 0, .external_lex_state = 3},
  [9581] = {.lex_state = 0, .external_lex_state = 3},
  [9582] = {.lex_state = 0, .external_lex_state = 3},
  [9583] = {.lex_state = 0, .external_lex_state = 3},
  [9584] = {.lex_state = 0, .external_lex_state = 3},
  [9585] = {.lex_state = 35},
  [9586] = {.lex_state = 35},
  [9587] = {.lex_state = 0, .external_lex_state = 3},
  [9588] = {.lex_state = 35, .external_lex_state = 2},
  [9589] = {.lex_state = 0, .external_lex_state = 3},
  [9590] = {.lex_state = 0, .external_lex_state = 3},
  [9591] = {.lex_state = 0, .external_lex_state = 3},
  [9592] = {.lex_state = 0, .external_lex_state = 3},
  [9593] = {.lex_state = 35, .external_lex_state = 2},
  [9594] = {.lex_state = 35},
  [9595] = {.lex_state = 0, .external_lex_state = 3},
  [9596] = {.lex_state = 0, .external_lex_state = 3},
  [9597] = {.lex_state = 35, .external_lex_state = 2},
  [9598] = {.lex_state = 35},
  [9599] = {.lex_state = 35},
  [9600] = {.lex_state = 35},
  [9601] = {.lex_state = 35},
  [9602] = {.lex_state = 35},
  [9603] = {.lex_state = 35},
  [9604] = {.lex_state = 35},
  [9605] = {.lex_state = 35},
  [9606] = {.lex_state = 35},
  [9607] = {.lex_state = 35},
  [9608] = {.lex_state = 0, .external_lex_state = 3},
  [9609] = {.lex_state = 0, .external_lex_state = 3},
  [9610] = {.lex_state = 0, .external_lex_state = 3},
  [9611] = {.lex_state = 0, .external_lex_state = 3},
  [9612] = {.lex_state = 35},
  [9613] = {.lex_state = 35},
  [9614] = {.lex_state = 35},
  [9615] = {.lex_state = 0, .external_lex_state = 3},
  [9616] = {.lex_state = 0, .external_lex_state = 3},
  [9617] = {.lex_state = 0, .external_lex_state = 3},
  [9618] = {.lex_state = 35},
  [9619] = {.lex_state = 0, .external_lex_state = 3},
  [9620] = {.lex_state = 0, .external_lex_state = 3},
  [9621] = {.lex_state = 0},
  [9622] = {.lex_state = 35},
  [9623] = {.lex_state = 35},
  [9624] = {.lex_state = 0, .external_lex_state = 3},
  [9625] = {.lex_state = 0, .external_lex_state = 3},
  [9626] = {.lex_state = 35},
  [9627] = {.lex_state = 35},
  [9628] = {.lex_state = 35},
  [9629] = {.lex_state = 35},
  [9630] = {.lex_state = 0, .external_lex_state = 3},
  [9631] = {.lex_state = 0, .external_lex_state = 3},
  [9632] = {.lex_state = 35},
  [9633] = {.lex_state = 0, .external_lex_state = 3},
  [9634] = {.lex_state = 0, .external_lex_state = 3},
  [9635] = {.lex_state = 0},
  [9636] = {.lex_state = 35},
  [9637] = {.lex_state = 35},
  [9638] = {.lex_state = 35},
  [9639] = {.lex_state = 35},
  [9640] = {.lex_state = 0, .external_lex_state = 3},
  [9641] = {.lex_state = 0, .external_lex_state = 3},
  [9642] = {.lex_state = 35},
  [9643] = {.lex_state = 35},
  [9644] = {.lex_state = 0, .external_lex_state = 3},
  [9645] = {.lex_state = 35, .external_lex_state = 2},
  [9646] = {.lex_state = 35},
  [9647] = {.lex_state = 0, .external_lex_state = 3},
  [9648] = {.lex_state = 0, .external_lex_state = 3},
  [9649] = {.lex_state = 35, .external_lex_state = 2},
  [9650] = {.lex_state = 35},
  [9651] = {.lex_state = 35},
  [9652] = {.lex_state = 0, .external_lex_state = 3},
  [9653] = {.lex_state = 35},
  [9654] = {.lex_state = 35, .external_lex_state = 2},
  [9655] = {.lex_state = 0, .external_lex_state = 3},
  [9656] = {.lex_state = 35, .external_lex_state = 2},
  [9657] = {.lex_state = 35},
  [9658] = {.lex_state = 35, .external_lex_state = 2},
  [9659] = {.lex_state = 35},
  [9660] = {.lex_state = 35},
  [9661] = {.lex_state = 35},
  [9662] = {.lex_state = 35},
  [9663] = {.lex_state = 35, .external_lex_state = 2},
  [9664] = {.lex_state = 0, .external_lex_state = 3},
  [9665] = {.lex_state = 35},
  [9666] = {.lex_state = 35},
  [9667] = {.lex_state = 35, .external_lex_state = 2},
  [9668] = {.lex_state = 35},
  [9669] = {.lex_state = 35, .external_lex_state = 2},
  [9670] = {.lex_state = 35},
  [9671] = {.lex_state = 0, .external_lex_state = 3},
  [9672] = {.lex_state = 35},
  [9673] = {.lex_state = 0, .external_lex_state = 3},
  [9674] = {.lex_state = 35},
  [9675] = {.lex_state = 35, .external_lex_state = 2},
  [9676] = {.lex_state = 35},
  [9677] = {.lex_state = 35},
  [9678] = {.lex_state = 0, .external_lex_state = 3},
  [9679] = {.lex_state = 35, .external_lex_state = 2},
  [9680] = {.lex_state = 0, .external_lex_state = 2},
  [9681] = {.lex_state = 35},
  [9682] = {.lex_state = 35},
  [9683] = {.lex_state = 35},
  [9684] = {.lex_state = 35},
  [9685] = {.lex_state = 35},
  [9686] = {.lex_state = 35},
  [9687] = {.lex_state = 35},
  [9688] = {.lex_state = 35},
  [9689] = {.lex_state = 35},
  [9690] = {.lex_state = 35},
  [9691] = {.lex_state = 35},
  [9692] = {.lex_state = 35},
  [9693] = {.lex_state = 35},
  [9694] = {.lex_state = 35, .external_lex_state = 2},
  [9695] = {.lex_state = 35},
  [9696] = {.lex_state = 35},
  [9697] = {.lex_state = 35},
  [9698] = {.lex_state = 35},
  [9699] = {.lex_state = 35, .external_lex_state = 2},
  [9700] = {.lex_state = 35},
  [9701] = {.lex_state = 35},
  [9702] = {.lex_state = 35},
  [9703] = {.lex_state = 0, .external_lex_state = 2},
  [9704] = {.lex_state = 35, .external_lex_state = 2},
  [9705] = {.lex_state = 35, .external_lex_state = 2},
  [9706] = {.lex_state = 35, .external_lex_state = 2},
  [9707] = {.lex_state = 0, .external_lex_state = 2},
  [9708] = {.lex_state = 35},
  [9709] = {.lex_state = 35},
  [9710] = {.lex_state = 35},
  [9711] = {.lex_state = 35},
  [9712] = {.lex_state = 35},
  [9713] = {.lex_state = 35, .external_lex_state = 2},
  [9714] = {.lex_state = 35},
  [9715] = {.lex_state = 35, .external_lex_state = 2},
  [9716] = {.lex_state = 0},
  [9717] = {.lex_state = 35},
  [9718] = {.lex_state = 35},
  [9719] = {.lex_state = 35, .external_lex_state = 2},
  [9720] = {.lex_state = 35},
  [9721] = {.lex_state = 0},
  [9722] = {.lex_state = 0},
  [9723] = {.lex_state = 0},
  [9724] = {.lex_state = 35},
  [9725] = {.lex_state = 35},
  [9726] = {.lex_state = 0},
  [9727] = {.lex_state = 0},
  [9728] = {.lex_state = 0},
  [9729] = {.lex_state = 0},
  [9730] = {.lex_state = 35},
  [9731] = {.lex_state = 0},
  [9732] = {.lex_state = 35},
  [9733] = {.lex_state = 35, .external_lex_state = 2},
  [9734] = {.lex_state = 35},
  [9735] = {.lex_state = 35},
  [9736] = {.lex_state = 35},
  [9737] = {.lex_state = 35, .external_lex_state = 2},
  [9738] = {.lex_state = 35},
  [9739] = {.lex_state = 35},
  [9740] = {.lex_state = 35},
  [9741] = {.lex_state = 0},
  [9742] = {.lex_state = 35},
  [9743] = {.lex_state = 35},
  [9744] = {.lex_state = 35},
  [9745] = {.lex_state = 0},
  [9746] = {.lex_state = 35},
  [9747] = {.lex_state = 35},
  [9748] = {.lex_state = 35, .external_lex_state = 2},
  [9749] = {.lex_state = 35},
  [9750] = {.lex_state = 0},
  [9751] = {.lex_state = 35},
  [9752] = {.lex_state = 35},
  [9753] = {.lex_state = 0},
  [9754] = {.lex_state = 0},
  [9755] = {.lex_state = 35},
  [9756] = {.lex_state = 35},
  [9757] = {.lex_state = 35},
  [9758] = {.lex_state = 35},
  [9759] = {.lex_state = 35},
  [9760] = {.lex_state = 35},
  [9761] = {.lex_state = 35},
  [9762] = {.lex_state = 0},
  [9763] = {.lex_state = 35},
  [9764] = {.lex_state = 35},
  [9765] = {.lex_state = 35},
  [9766] = {.lex_state = 0},
  [9767] = {.lex_state = 35},
  [9768] = {.lex_state = 35},
  [9769] = {.lex_state = 35},
  [9770] = {.lex_state = 35},
  [9771] = {.lex_state = 35},
  [9772] = {.lex_state = 35, .external_lex_state = 2},
  [9773] = {.lex_state = 1},
  [9774] = {.lex_state = 35},
  [9775] = {.lex_state = 35},
  [9776] = {.lex_state = 35},
  [9777] = {.lex_state = 35},
  [9778] = {.lex_state = 35},
  [9779] = {.lex_state = 35},
  [9780] = {.lex_state = 35},
  [9781] = {.lex_state = 35},
  [9782] = {.lex_state = 35},
  [9783] = {.lex_state = 35, .external_lex_state = 2},
  [9784] = {.lex_state = 35},
  [9785] = {.lex_state = 35},
  [9786] = {.lex_state = 35},
  [9787] = {.lex_state = 35},
  [9788] = {.lex_state = 35},
  [9789] = {.lex_state = 35},
  [9790] = {.lex_state = 0, .external_lex_state = 2},
  [9791] = {.lex_state = 35},
  [9792] = {.lex_state = 35},
  [9793] = {.lex_state = 35},
  [9794] = {.lex_state = 35},
  [9795] = {.lex_state = 35},
  [9796] = {.lex_state = 35},
  [9797] = {.lex_state = 35},
  [9798] = {.lex_state = 35},
  [9799] = {.lex_state = 35},
  [9800] = {.lex_state = 35},
  [9801] = {.lex_state = 35},
  [9802] = {.lex_state = 35},
  [9803] = {.lex_state = 35},
  [9804] = {.lex_state = 35},
  [9805] = {.lex_state = 35},
  [9806] = {.lex_state = 0, .external_lex_state = 5},
  [9807] = {.lex_state = 35},
  [9808] = {.lex_state = 35},
  [9809] = {.lex_state = 35},
  [9810] = {.lex_state = 35},
  [9811] = {.lex_state = 35},
  [9812] = {.lex_state = 35, .external_lex_state = 2},
  [9813] = {.lex_state = 0},
  [9814] = {.lex_state = 35},
  [9815] = {.lex_state = 35},
  [9816] = {.lex_state = 35},
  [9817] = {.lex_state = 35},
  [9818] = {.lex_state = 35},
  [9819] = {.lex_state = 0},
  [9820] = {.lex_state = 35},
  [9821] = {.lex_state = 1},
  [9822] = {.lex_state = 35},
  [9823] = {.lex_state = 0},
  [9824] = {.lex_state = 0},
  [9825] = {.lex_state = 0},
  [9826] = {.lex_state = 0},
  [9827] = {.lex_state = 0},
  [9828] = {.lex_state = 0},
  [9829] = {.lex_state = 0},
  [9830] = {.lex_state = 0},
  [9831] = {.lex_state = 35},
  [9832] = {.lex_state = 35},
  [9833] = {.lex_state = 0},
  [9834] = {.lex_state = 35},
  [9835] = {.lex_state = 35},
  [9836] = {.lex_state = 0},
  [9837] = {.lex_state = 35},
  [9838] = {.lex_state = 35},
  [9839] = {.lex_state = 35},
  [9840] = {.lex_state = 35},
  [9841] = {.lex_state = 35},
  [9842] = {.lex_state = 35},
  [9843] = {.lex_state = 35},
  [9844] = {.lex_state = 35},
  [9845] = {.lex_state = 35},
  [9846] = {.lex_state = 35},
  [9847] = {.lex_state = 35},
  [9848] = {.lex_state = 35},
  [9849] = {.lex_state = 35},
  [9850] = {.lex_state = 0},
  [9851] = {.lex_state = 0, .external_lex_state = 2},
  [9852] = {.lex_state = 0},
  [9853] = {.lex_state = 35},
  [9854] = {.lex_state = 35},
  [9855] = {.lex_state = 35},
  [9856] = {.lex_state = 35},
  [9857] = {.lex_state = 35},
  [9858] = {.lex_state = 35},
  [9859] = {.lex_state = 35},
  [9860] = {.lex_state = 0},
  [9861] = {.lex_state = 35},
  [9862] = {.lex_state = 35},
  [9863] = {.lex_state = 35},
  [9864] = {.lex_state = 35},
  [9865] = {.lex_state = 35},
  [9866] = {.lex_state = 35, .external_lex_state = 2},
  [9867] = {.lex_state = 35, .external_lex_state = 2},
  [9868] = {.lex_state = 35},
  [9869] = {.lex_state = 35, .external_lex_state = 2},
  [9870] = {.lex_state = 35},
  [9871] = {.lex_state = 35},
  [9872] = {.lex_state = 35},
  [9873] = {.lex_state = 35},
  [9874] = {.lex_state = 35},
  [9875] = {.lex_state = 35},
  [9876] = {.lex_state = 35},
  [9877] = {.lex_state = 0},
  [9878] = {.lex_state = 35},
  [9879] = {.lex_state = 35},
  [9880] = {.lex_state = 35},
  [9881] = {.lex_state = 35},
  [9882] = {.lex_state = 35},
  [9883] = {.lex_state = 35},
  [9884] = {.lex_state = 35},
  [9885] = {.lex_state = 35},
  [9886] = {.lex_state = 35},
  [9887] = {.lex_state = 35},
  [9888] = {.lex_state = 0},
  [9889] = {.lex_state = 35},
  [9890] = {.lex_state = 35, .external_lex_state = 2},
  [9891] = {.lex_state = 35},
  [9892] = {.lex_state = 35},
  [9893] = {.lex_state = 35},
  [9894] = {.lex_state = 35},
  [9895] = {.lex_state = 35, .external_lex_state = 2},
  [9896] = {.lex_state = 35},
  [9897] = {.lex_state = 35},
  [9898] = {.lex_state = 35},
  [9899] = {.lex_state = 35},
  [9900] = {.lex_state = 35},
  [9901] = {.lex_state = 35},
  [9902] = {.lex_state = 35},
  [9903] = {.lex_state = 35},
  [9904] = {.lex_state = 35},
  [9905] = {.lex_state = 35},
  [9906] = {.lex_state = 35},
  [9907] = {.lex_state = 35},
  [9908] = {.lex_state = 35},
  [9909] = {.lex_state = 35},
  [9910] = {.lex_state = 35},
  [9911] = {.lex_state = 35},
  [9912] = {.lex_state = 35},
  [9913] = {.lex_state = 35},
  [9914] = {.lex_state = 35},
  [9915] = {.lex_state = 35},
  [9916] = {.lex_state = 35},
  [9917] = {.lex_state = 35},
  [9918] = {.lex_state = 35},
  [9919] = {.lex_state = 35},
  [9920] = {.lex_state = 35},
  [9921] = {.lex_state = 35},
  [9922] = {.lex_state = 35},
  [9923] = {.lex_state = 35},
  [9924] = {.lex_state = 35},
  [9925] = {.lex_state = 35},
  [9926] = {.lex_state = 35},
  [9927] = {.lex_state = 35},
  [9928] = {.lex_state = 0},
  [9929] = {.lex_state = 35},
  [9930] = {.lex_state = 35},
  [9931] = {.lex_state = 35},
  [9932] = {.lex_state = 35},
  [9933] = {.lex_state = 35},
  [9934] = {.lex_state = 35, .external_lex_state = 2},
  [9935] = {.lex_state = 35},
  [9936] = {.lex_state = 35},
  [9937] = {.lex_state = 35},
  [9938] = {.lex_state = 35},
  [9939] = {.lex_state = 35},
  [9940] = {.lex_state = 35, .external_lex_state = 2},
  [9941] = {.lex_state = 35},
  [9942] = {.lex_state = 35},
  [9943] = {.lex_state = 0},
  [9944] = {.lex_state = 35},
  [9945] = {.lex_state = 35, .external_lex_state = 2},
  [9946] = {.lex_state = 35},
  [9947] = {.lex_state = 35},
  [9948] = {.lex_state = 35},
  [9949] = {.lex_state = 35},
  [9950] = {.lex_state = 35},
  [9951] = {.lex_state = 35},
  [9952] = {.lex_state = 35},
  [9953] = {.lex_state = 35},
  [9954] = {.lex_state = 35},
  [9955] = {.lex_state = 35},
  [9956] = {.lex_state = 35},
  [9957] = {.lex_state = 35},
  [9958] = {.lex_state = 35},
  [9959] = {.lex_state = 35},
  [9960] = {.lex_state = 35},
  [9961] = {.lex_state = 35, .external_lex_state = 2},
  [9962] = {.lex_state = 35},
  [9963] = {.lex_state = 35},
  [9964] = {.lex_state = 35, .external_lex_state = 2},
  [9965] = {.lex_state = 35},
  [9966] = {.lex_state = 0},
  [9967] = {.lex_state = 35},
  [9968] = {.lex_state = 35},
  [9969] = {.lex_state = 0, .external_lex_state = 2},
  [9970] = {.lex_state = 0, .external_lex_state = 2},
  [9971] = {.lex_state = 35},
  [9972] = {.lex_state = 35},
  [9973] = {.lex_state = 35},
  [9974] = {.lex_state = 35},
  [9975] = {.lex_state = 35},
  [9976] = {.lex_state = 35},
  [9977] = {.lex_state = 35},
  [9978] = {.lex_state = 35},
  [9979] = {.lex_state = 35},
  [9980] = {.lex_state = 35},
  [9981] = {.lex_state = 35},
  [9982] = {.lex_state = 35},
  [9983] = {.lex_state = 33},
  [9984] = {.lex_state = 35},
  [9985] = {.lex_state = 35, .external_lex_state = 2},
  [9986] = {.lex_state = 0, .external_lex_state = 2},
  [9987] = {.lex_state = 35},
  [9988] = {.lex_state = 35},
  [9989] = {.lex_state = 35},
  [9990] = {.lex_state = 35},
  [9991] = {.lex_state = 35},
  [9992] = {.lex_state = 35},
  [9993] = {.lex_state = 35},
  [9994] = {.lex_state = 35},
  [9995] = {.lex_state = 35},
  [9996] = {.lex_state = 35},
  [9997] = {.lex_state = 35},
  [9998] = {.lex_state = 0, .external_lex_state = 2},
  [9999] = {.lex_state = 35},
  [10000] = {.lex_state = 35},
  [10001] = {.lex_state = 35},
  [10002] = {.lex_state = 35},
  [10003] = {.lex_state = 0, .external_lex_state = 2},
  [10004] = {.lex_state = 35, .external_lex_state = 2},
  [10005] = {.lex_state = 35},
  [10006] = {.lex_state = 35},
  [10007] = {.lex_state = 35},
  [10008] = {.lex_state = 35},
  [10009] = {.lex_state = 35},
  [10010] = {.lex_state = 35},
  [10011] = {.lex_state = 35},
  [10012] = {.lex_state = 35},
  [10013] = {.lex_state = 1},
  [10014] = {.lex_state = 35},
  [10015] = {.lex_state = 35},
  [10016] = {.lex_state = 1},
  [10017] = {.lex_state = 35},
  [10018] = {.lex_state = 35},
  [10019] = {.lex_state = 35},
  [10020] = {.lex_state = 35},
  [10021] = {.lex_state = 35},
  [10022] = {.lex_state = 0},
  [10023] = {.lex_state = 35},
  [10024] = {.lex_state = 35},
  [10025] = {.lex_state = 35},
  [10026] = {.lex_state = 0},
  [10027] = {.lex_state = 35},
  [10028] = {.lex_state = 0},
  [10029] = {.lex_state = 35},
  [10030] = {.lex_state = 35},
  [10031] = {.lex_state = 35, .external_lex_state = 2},
  [10032] = {.lex_state = 35},
  [10033] = {.lex_state = 35},
  [10034] = {.lex_state = 35},
  [10035] = {.lex_state = 0},
  [10036] = {.lex_state = 35},
  [10037] = {.lex_state = 35},
  [10038] = {.lex_state = 35},
  [10039] = {.lex_state = 35},
  [10040] = {.lex_state = 35},
  [10041] = {.lex_state = 35},
  [10042] = {.lex_state = 35},
  [10043] = {.lex_state = 35},
  [10044] = {.lex_state = 35},
  [10045] = {.lex_state = 35},
  [10046] = {.lex_state = 0},
  [10047] = {.lex_state = 35},
  [10048] = {.lex_state = 1},
  [10049] = {.lex_state = 35},
  [10050] = {.lex_state = 35},
  [10051] = {.lex_state = 35},
  [10052] = {.lex_state = 35},
  [10053] = {.lex_state = 35, .external_lex_state = 2},
  [10054] = {.lex_state = 35, .external_lex_state = 2},
  [10055] = {.lex_state = 35},
  [10056] = {.lex_state = 35},
  [10057] = {.lex_state = 35},
  [10058] = {.lex_state = 35},
  [10059] = {.lex_state = 35},
  [10060] = {.lex_state = 0},
  [10061] = {.lex_state = 0},
  [10062] = {.lex_state = 0},
  [10063] = {.lex_state = 35},
  [10064] = {.lex_state = 0},
  [10065] = {.lex_state = 35},
  [10066] = {.lex_state = 35},
  [10067] = {.lex_state = 35},
  [10068] = {.lex_state = 1},
  [10069] = {.lex_state = 35},
  [10070] = {.lex_state = 35},
  [10071] = {.lex_state = 35},
  [10072] = {.lex_state = 35},
  [10073] = {.lex_state = 35},
  [10074] = {.lex_state = 0},
  [10075] = {.lex_state = 0},
  [10076] = {.lex_state = 0},
  [10077] = {.lex_state = 0},
  [10078] = {.lex_state = 35, .external_lex_state = 2},
  [10079] = {.lex_state = 35},
  [10080] = {.lex_state = 35},
  [10081] = {.lex_state = 35},
  [10082] = {.lex_state = 35, .external_lex_state = 2},
  [10083] = {.lex_state = 35},
  [10084] = {.lex_state = 35},
  [10085] = {.lex_state = 35, .external_lex_state = 2},
  [10086] = {.lex_state = 35, .external_lex_state = 2},
  [10087] = {.lex_state = 35},
  [10088] = {.lex_state = 35},
  [10089] = {.lex_state = 35},
  [10090] = {.lex_state = 35},
  [10091] = {.lex_state = 35},
  [10092] = {.lex_state = 0},
  [10093] = {.lex_state = 35},
  [10094] = {.lex_state = 0},
  [10095] = {.lex_state = 1},
  [10096] = {.lex_state = 0},
  [10097] = {.lex_state = 35},
  [10098] = {.lex_state = 35},
  [10099] = {.lex_state = 35},
  [10100] = {.lex_state = 35},
  [10101] = {.lex_state = 35},
  [10102] = {.lex_state = 35},
  [10103] = {.lex_state = 35, .external_lex_state = 2},
  [10104] = {.lex_state = 35},
  [10105] = {.lex_state = 0},
  [10106] = {.lex_state = 35},
  [10107] = {.lex_state = 35},
  [10108] = {.lex_state = 35, .external_lex_state = 2},
  [10109] = {.lex_state = 35},
  [10110] = {.lex_state = 35, .external_lex_state = 2},
  [10111] = {.lex_state = 35},
  [10112] = {.lex_state = 35},
  [10113] = {.lex_state = 35},
  [10114] = {.lex_state = 35},
  [10115] = {.lex_state = 35},
  [10116] = {.lex_state = 35},
  [10117] = {.lex_state = 35},
  [10118] = {.lex_state = 35},
  [10119] = {.lex_state = 35},
  [10120] = {.lex_state = 35},
  [10121] = {.lex_state = 35},
  [10122] = {.lex_state = 1},
  [10123] = {.lex_state = 35},
  [10124] = {.lex_state = 35},
  [10125] = {.lex_state = 35},
  [10126] = {.lex_state = 0},
  [10127] = {.lex_state = 35},
  [10128] = {.lex_state = 35},
  [10129] = {.lex_state = 35},
  [10130] = {.lex_state = 35},
  [10131] = {.lex_state = 35},
  [10132] = {.lex_state = 35},
  [10133] = {.lex_state = 35},
  [10134] = {.lex_state = 35},
  [10135] = {.lex_state = 35},
  [10136] = {.lex_state = 35},
  [10137] = {.lex_state = 35},
  [10138] = {.lex_state = 35},
  [10139] = {.lex_state = 1},
  [10140] = {.lex_state = 35},
  [10141] = {.lex_state = 35},
  [10142] = {.lex_state = 35},
  [10143] = {.lex_state = 35, .external_lex_state = 2},
  [10144] = {.lex_state = 35},
  [10145] = {.lex_state = 35},
  [10146] = {.lex_state = 35},
  [10147] = {.lex_state = 35},
  [10148] = {.lex_state = 35},
  [10149] = {.lex_state = 35},
  [10150] = {.lex_state = 35},
  [10151] = {.lex_state = 35},
  [10152] = {.lex_state = 35},
  [10153] = {.lex_state = 35},
  [10154] = {.lex_state = 35},
  [10155] = {.lex_state = 35},
  [10156] = {.lex_state = 35},
  [10157] = {.lex_state = 35},
  [10158] = {.lex_state = 35},
  [10159] = {.lex_state = 35, .external_lex_state = 2},
  [10160] = {.lex_state = 35},
  [10161] = {.lex_state = 35},
  [10162] = {.lex_state = 35},
  [10163] = {.lex_state = 35},
  [10164] = {.lex_state = 35},
  [10165] = {.lex_state = 35},
  [10166] = {.lex_state = 35},
  [10167] = {.lex_state = 35},
  [10168] = {.lex_state = 35},
  [10169] = {.lex_state = 35},
  [10170] = {.lex_state = 35},
  [10171] = {.lex_state = 35},
  [10172] = {.lex_state = 35},
  [10173] = {.lex_state = 1},
  [10174] = {.lex_state = 35},
  [10175] = {.lex_state = 35},
  [10176] = {.lex_state = 35},
  [10177] = {.lex_state = 35},
  [10178] = {.lex_state = 35},
  [10179] = {.lex_state = 35},
  [10180] = {.lex_state = 35},
  [10181] = {.lex_state = 35},
  [10182] = {.lex_state = 35},
  [10183] = {.lex_state = 35},
  [10184] = {.lex_state = 1},
  [10185] = {.lex_state = 1},
  [10186] = {.lex_state = 35},
  [10187] = {.lex_state = 35},
  [10188] = {.lex_state = 35},
  [10189] = {.lex_state = 35},
  [10190] = {.lex_state = 35},
  [10191] = {.lex_state = 35, .external_lex_state = 2},
  [10192] = {.lex_state = 35, .external_lex_state = 2},
  [10193] = {.lex_state = 35},
  [10194] = {.lex_state = 1},
  [10195] = {.lex_state = 35},
  [10196] = {.lex_state = 35},
  [10197] = {.lex_state = 35},
  [10198] = {.lex_state = 35},
  [10199] = {.lex_state = 35},
  [10200] = {.lex_state = 1},
  [10201] = {.lex_state = 35},
  [10202] = {.lex_state = 35},
  [10203] = {.lex_state = 0, .external_lex_state = 2},
  [10204] = {.lex_state = 35},
  [10205] = {.lex_state = 35},
  [10206] = {.lex_state = 0},
  [10207] = {.lex_state = 35},
  [10208] = {.lex_state = 1},
  [10209] = {.lex_state = 35},
  [10210] = {.lex_state = 35},
  [10211] = {.lex_state = 35},
  [10212] = {.lex_state = 35},
  [10213] = {.lex_state = 35},
  [10214] = {.lex_state = 35},
  [10215] = {.lex_state = 35},
  [10216] = {.lex_state = 35},
  [10217] = {.lex_state = 35},
  [10218] = {.lex_state = 35},
  [10219] = {.lex_state = 35},
  [10220] = {.lex_state = 35},
  [10221] = {.lex_state = 35},
  [10222] = {.lex_state = 35},
  [10223] = {.lex_state = 35},
  [10224] = {.lex_state = 35},
  [10225] = {.lex_state = 0, .external_lex_state = 2},
  [10226] = {.lex_state = 0},
  [10227] = {.lex_state = 35},
  [10228] = {.lex_state = 35},
  [10229] = {.lex_state = 35},
  [10230] = {.lex_state = 0, .external_lex_state = 2},
  [10231] = {.lex_state = 0, .external_lex_state = 2},
  [10232] = {.lex_state = 35},
  [10233] = {.lex_state = 35},
  [10234] = {.lex_state = 35},
  [10235] = {.lex_state = 35},
  [10236] = {.lex_state = 35},
  [10237] = {.lex_state = 0, .external_lex_state = 2},
  [10238] = {.lex_state = 35},
  [10239] = {.lex_state = 35},
  [10240] = {.lex_state = 35},
  [10241] = {.lex_state = 35},
  [10242] = {.lex_state = 35},
  [10243] = {.lex_state = 35},
  [10244] = {.lex_state = 35},
  [10245] = {.lex_state = 35},
  [10246] = {.lex_state = 35},
  [10247] = {.lex_state = 35},
  [10248] = {.lex_state = 35},
  [10249] = {.lex_state = 0, .external_lex_state = 2},
  [10250] = {.lex_state = 35},
  [10251] = {.lex_state = 35},
  [10252] = {.lex_state = 35, .external_lex_state = 2},
  [10253] = {.lex_state = 35},
  [10254] = {.lex_state = 33},
  [10255] = {.lex_state = 35},
  [10256] = {.lex_state = 35},
  [10257] = {.lex_state = 35},
  [10258] = {.lex_state = 35},
  [10259] = {.lex_state = 35},
  [10260] = {.lex_state = 1},
  [10261] = {.lex_state = 35},
  [10262] = {.lex_state = 35},
  [10263] = {.lex_state = 35},
  [10264] = {.lex_state = 35},
  [10265] = {.lex_state = 35},
  [10266] = {.lex_state = 35},
  [10267] = {.lex_state = 35},
  [10268] = {.lex_state = 35},
  [10269] = {.lex_state = 35},
  [10270] = {.lex_state = 35, .external_lex_state = 2},
  [10271] = {.lex_state = 35},
  [10272] = {.lex_state = 35},
  [10273] = {.lex_state = 35},
  [10274] = {.lex_state = 35},
  [10275] = {.lex_state = 35},
  [10276] = {.lex_state = 35},
  [10277] = {.lex_state = 35},
  [10278] = {.lex_state = 35},
  [10279] = {.lex_state = 35},
  [10280] = {.lex_state = 35},
  [10281] = {.lex_state = 35},
  [10282] = {.lex_state = 35},
  [10283] = {.lex_state = 35, .external_lex_state = 2},
  [10284] = {.lex_state = 35},
  [10285] = {.lex_state = 35},
  [10286] = {.lex_state = 35},
  [10287] = {.lex_state = 1},
  [10288] = {.lex_state = 35},
  [10289] = {.lex_state = 35},
  [10290] = {.lex_state = 35},
  [10291] = {.lex_state = 35},
  [10292] = {.lex_state = 35},
  [10293] = {.lex_state = 35},
  [10294] = {.lex_state = 35},
  [10295] = {.lex_state = 35},
  [10296] = {.lex_state = 35},
  [10297] = {.lex_state = 35},
  [10298] = {.lex_state = 35},
  [10299] = {.lex_state = 1},
  [10300] = {.lex_state = 35},
  [10301] = {.lex_state = 0},
  [10302] = {.lex_state = 0},
  [10303] = {.lex_state = 35},
  [10304] = {.lex_state = 0},
  [10305] = {.lex_state = 35},
  [10306] = {.lex_state = 35},
  [10307] = {.lex_state = 35},
  [10308] = {.lex_state = 35},
  [10309] = {.lex_state = 0},
  [10310] = {.lex_state = 35},
  [10311] = {.lex_state = 35},
  [10312] = {.lex_state = 35},
  [10313] = {.lex_state = 0},
  [10314] = {.lex_state = 0},
  [10315] = {.lex_state = 0, .external_lex_state = 2},
  [10316] = {.lex_state = 0, .external_lex_state = 2},
  [10317] = {.lex_state = 35},
  [10318] = {.lex_state = 0, .external_lex_state = 2},
  [10319] = {.lex_state = 1},
  [10320] = {.lex_state = 0},
  [10321] = {.lex_state = 35},
  [10322] = {.lex_state = 0, .external_lex_state = 2},
  [10323] = {.lex_state = 35},
  [10324] = {.lex_state = 35},
  [10325] = {.lex_state = 35},
  [10326] = {.lex_state = 0},
  [10327] = {.lex_state = 35},
  [10328] = {.lex_state = 35},
  [10329] = {.lex_state = 35},
  [10330] = {.lex_state = 0, .external_lex_state = 5},
  [10331] = {.lex_state = 35},
  [10332] = {.lex_state = 35},
  [10333] = {.lex_state = 35},
  [10334] = {.lex_state = 35},
  [10335] = {.lex_state = 35},
  [10336] = {.lex_state = 35},
  [10337] = {.lex_state = 35},
  [10338] = {.lex_state = 35},
  [10339] = {.lex_state = 35},
  [10340] = {.lex_state = 35},
  [10341] = {.lex_state = 35},
  [10342] = {.lex_state = 35},
  [10343] = {.lex_state = 35},
  [10344] = {.lex_state = 35},
  [10345] = {.lex_state = 35, .external_lex_state = 2},
  [10346] = {.lex_state = 35, .external_lex_state = 2},
  [10347] = {.lex_state = 35},
  [10348] = {.lex_state = 35},
  [10349] = {.lex_state = 35, .external_lex_state = 2},
  [10350] = {.lex_state = 35},
  [10351] = {.lex_state = 35},
  [10352] = {.lex_state = 0},
  [10353] = {.lex_state = 35},
  [10354] = {.lex_state = 35},
  [10355] = {.lex_state = 35},
  [10356] = {.lex_state = 35},
  [10357] = {.lex_state = 35},
  [10358] = {.lex_state = 35},
  [10359] = {.lex_state = 35},
  [10360] = {.lex_state = 35},
  [10361] = {.lex_state = 35},
  [10362] = {.lex_state = 35},
  [10363] = {.lex_state = 35},
  [10364] = {.lex_state = 35},
  [10365] = {.lex_state = 35},
  [10366] = {.lex_state = 35, .external_lex_state = 2},
  [10367] = {.lex_state = 1},
  [10368] = {.lex_state = 35},
  [10369] = {.lex_state = 35},
  [10370] = {.lex_state = 35},
  [10371] = {.lex_state = 35},
  [10372] = {.lex_state = 35, .external_lex_state = 2},
  [10373] = {.lex_state = 35},
  [10374] = {.lex_state = 35},
  [10375] = {.lex_state = 35, .external_lex_state = 2},
  [10376] = {.lex_state = 35},
  [10377] = {.lex_state = 35},
  [10378] = {.lex_state = 0},
  [10379] = {.lex_state = 35},
  [10380] = {.lex_state = 35, .external_lex_state = 2},
  [10381] = {.lex_state = 35, .external_lex_state = 2},
  [10382] = {.lex_state = 35},
  [10383] = {.lex_state = 35, .external_lex_state = 2},
  [10384] = {.lex_state = 35},
  [10385] = {.lex_state = 35},
  [10386] = {.lex_state = 35},
  [10387] = {.lex_state = 35},
  [10388] = {.lex_state = 0},
  [10389] = {.lex_state = 35},
  [10390] = {.lex_state = 35},
  [10391] = {.lex_state = 35},
  [10392] = {.lex_state = 35},
  [10393] = {.lex_state = 35},
  [10394] = {.lex_state = 35},
  [10395] = {.lex_state = 35},
  [10396] = {.lex_state = 35},
  [10397] = {.lex_state = 35},
  [10398] = {.lex_state = 35},
  [10399] = {.lex_state = 35},
  [10400] = {.lex_state = 35},
  [10401] = {.lex_state = 35},
  [10402] = {.lex_state = 35},
  [10403] = {.lex_state = 35},
  [10404] = {.lex_state = 35},
  [10405] = {.lex_state = 35},
  [10406] = {.lex_state = 35},
  [10407] = {.lex_state = 35},
  [10408] = {.lex_state = 35},
  [10409] = {.lex_state = 35},
  [10410] = {.lex_state = 35},
  [10411] = {.lex_state = 35},
  [10412] = {.lex_state = 35},
  [10413] = {.lex_state = 35},
  [10414] = {.lex_state = 35},
  [10415] = {.lex_state = 35},
  [10416] = {.lex_state = 35, .external_lex_state = 2},
  [10417] = {.lex_state = 35},
  [10418] = {.lex_state = 35},
  [10419] = {.lex_state = 35, .external_lex_state = 2},
  [10420] = {.lex_state = 35},
  [10421] = {.lex_state = 35, .external_lex_state = 2},
  [10422] = {.lex_state = 35},
  [10423] = {.lex_state = 35},
  [10424] = {.lex_state = 35},
  [10425] = {.lex_state = 35},
  [10426] = {.lex_state = 35},
  [10427] = {.lex_state = 35},
  [10428] = {.lex_state = 35},
  [10429] = {.lex_state = 35},
  [10430] = {.lex_state = 35},
  [10431] = {.lex_state = 35},
  [10432] = {.lex_state = 0, .external_lex_state = 2},
  [10433] = {.lex_state = 0, .external_lex_state = 2},
  [10434] = {.lex_state = 35, .external_lex_state = 2},
  [10435] = {.lex_state = 35},
  [10436] = {.lex_state = 0, .external_lex_state = 2},
  [10437] = {.lex_state = 35},
  [10438] = {.lex_state = 35},
  [10439] = {.lex_state = 0},
  [10440] = {.lex_state = 0},
  [10441] = {.lex_state = 0},
  [10442] = {.lex_state = 35},
  [10443] = {.lex_state = 35},
  [10444] = {.lex_state = 35},
  [10445] = {.lex_state = 0, .external_lex_state = 2},
  [10446] = {.lex_state = 35},
  [10447] = {.lex_state = 35},
  [10448] = {.lex_state = 35},
  [10449] = {.lex_state = 35},
  [10450] = {.lex_state = 0, .external_lex_state = 2},
  [10451] = {.lex_state = 35},
  [10452] = {.lex_state = 35},
  [10453] = {.lex_state = 35},
  [10454] = {.lex_state = 35},
  [10455] = {.lex_state = 35},
  [10456] = {.lex_state = 35},
  [10457] = {.lex_state = 35},
  [10458] = {.lex_state = 35},
  [10459] = {.lex_state = 35},
  [10460] = {.lex_state = 35},
  [10461] = {.lex_state = 35},
  [10462] = {.lex_state = 35},
  [10463] = {.lex_state = 35},
  [10464] = {.lex_state = 35},
  [10465] = {.lex_state = 35},
  [10466] = {.lex_state = 35},
  [10467] = {.lex_state = 35},
  [10468] = {.lex_state = 35},
  [10469] = {.lex_state = 35},
  [10470] = {.lex_state = 35},
  [10471] = {.lex_state = 35, .external_lex_state = 2},
  [10472] = {.lex_state = 35},
  [10473] = {.lex_state = 35},
  [10474] = {.lex_state = 35},
  [10475] = {.lex_state = 35, .external_lex_state = 2},
  [10476] = {.lex_state = 35},
  [10477] = {.lex_state = 35},
  [10478] = {.lex_state = 0},
  [10479] = {.lex_state = 0},
  [10480] = {.lex_state = 35, .external_lex_state = 2},
  [10481] = {.lex_state = 0},
  [10482] = {.lex_state = 35, .external_lex_state = 2},
  [10483] = {.lex_state = 35, .external_lex_state = 2},
  [10484] = {.lex_state = 35},
  [10485] = {.lex_state = 35, .external_lex_state = 2},
  [10486] = {.lex_state = 35, .external_lex_state = 2},
  [10487] = {.lex_state = 35, .external_lex_state = 2},
  [10488] = {.lex_state = 35, .external_lex_state = 2},
  [10489] = {.lex_state = 35, .external_lex_state = 2},
  [10490] = {.lex_state = 35, .external_lex_state = 2},
  [10491] = {.lex_state = 35, .external_lex_state = 2},
  [10492] = {.lex_state = 0},
  [10493] = {.lex_state = 35, .external_lex_state = 2},
  [10494] = {.lex_state = 35},
  [10495] = {.lex_state = 35, .external_lex_state = 2},
  [10496] = {.lex_state = 35, .external_lex_state = 2},
  [10497] = {.lex_state = 35, .external_lex_state = 2},
  [10498] = {.lex_state = 35, .external_lex_state = 2},
  [10499] = {.lex_state = 35, .external_lex_state = 2},
  [10500] = {.lex_state = 0},
  [10501] = {.lex_state = 35, .external_lex_state = 2},
  [10502] = {.lex_state = 35, .external_lex_state = 2},
  [10503] = {.lex_state = 35},
  [10504] = {.lex_state = 35},
  [10505] = {.lex_state = 35},
  [10506] = {.lex_state = 35},
  [10507] = {.lex_state = 35},
  [10508] = {.lex_state = 35},
  [10509] = {.lex_state = 35},
  [10510] = {.lex_state = 35},
  [10511] = {.lex_state = 35, .external_lex_state = 2},
  [10512] = {.lex_state = 35, .external_lex_state = 2},
  [10513] = {.lex_state = 35},
  [10514] = {.lex_state = 35, .external_lex_state = 2},
  [10515] = {.lex_state = 35, .external_lex_state = 2},
  [10516] = {.lex_state = 35, .external_lex_state = 2},
  [10517] = {.lex_state = 35, .external_lex_state = 2},
  [10518] = {.lex_state = 35, .external_lex_state = 2},
  [10519] = {.lex_state = 35, .external_lex_state = 2},
  [10520] = {.lex_state = 35, .external_lex_state = 2},
  [10521] = {.lex_state = 35, .external_lex_state = 2},
  [10522] = {.lex_state = 35, .external_lex_state = 2},
  [10523] = {.lex_state = 35},
  [10524] = {.lex_state = 0},
  [10525] = {.lex_state = 35},
  [10526] = {.lex_state = 0},
  [10527] = {.lex_state = 35},
  [10528] = {.lex_state = 35},
  [10529] = {.lex_state = 35},
  [10530] = {.lex_state = 0},
  [10531] = {.lex_state = 0},
  [10532] = {.lex_state = 0},
  [10533] = {.lex_state = 35},
  [10534] = {.lex_state = 0},
  [10535] = {.lex_state = 35},
  [10536] = {.lex_state = 0},
  [10537] = {.lex_state = 35},
  [10538] = {.lex_state = 35},
  [10539] = {.lex_state = 35},
  [10540] = {.lex_state = 35},
  [10541] = {.lex_state = 0},
  [10542] = {.lex_state = 35},
  [10543] = {.lex_state = 35},
  [10544] = {.lex_state = 0},
  [10545] = {.lex_state = 35},
  [10546] = {.lex_state = 35},
  [10547] = {.lex_state = 35},
  [10548] = {.lex_state = 35},
  [10549] = {.lex_state = 35},
  [10550] = {.lex_state = 35},
  [10551] = {.lex_state = 35, .external_lex_state = 2},
  [10552] = {.lex_state = 35, .external_lex_state = 2},
  [10553] = {.lex_state = 35, .external_lex_state = 2},
  [10554] = {.lex_state = 35, .external_lex_state = 2},
  [10555] = {.lex_state = 35, .external_lex_state = 2},
  [10556] = {.lex_state = 0},
  [10557] = {.lex_state = 35, .external_lex_state = 2},
  [10558] = {.lex_state = 35, .external_lex_state = 2},
  [10559] = {.lex_state = 35, .external_lex_state = 2},
  [10560] = {.lex_state = 0},
  [10561] = {.lex_state = 35, .external_lex_state = 2},
  [10562] = {.lex_state = 0},
  [10563] = {.lex_state = 0},
  [10564] = {.lex_state = 0},
  [10565] = {.lex_state = 35, .external_lex_state = 2},
  [10566] = {.lex_state = 35, .external_lex_state = 2},
  [10567] = {.lex_state = 0},
  [10568] = {.lex_state = 35, .external_lex_state = 2},
  [10569] = {.lex_state = 35, .external_lex_state = 2},
  [10570] = {.lex_state = 35},
  [10571] = {.lex_state = 35, .external_lex_state = 2},
  [10572] = {.lex_state = 0},
  [10573] = {.lex_state = 35, .external_lex_state = 2},
  [10574] = {.lex_state = 35},
  [10575] = {.lex_state = 35},
  [10576] = {.lex_state = 35, .external_lex_state = 2},
  [10577] = {.lex_state = 35, .external_lex_state = 2},
  [10578] = {.lex_state = 0},
  [10579] = {.lex_state = 35, .external_lex_state = 2},
  [10580] = {.lex_state = 35, .external_lex_state = 2},
  [10581] = {.lex_state = 35, .external_lex_state = 2},
  [10582] = {.lex_state = 35, .external_lex_state = 2},
  [10583] = {.lex_state = 0},
  [10584] = {.lex_state = 35, .external_lex_state = 2},
  [10585] = {.lex_state = 0},
  [10586] = {.lex_state = 35, .external_lex_state = 2},
  [10587] = {.lex_state = 35},
  [10588] = {.lex_state = 35, .external_lex_state = 2},
  [10589] = {.lex_state = 35},
  [10590] = {.lex_state = 35, .external_lex_state = 2},
  [10591] = {.lex_state = 35, .external_lex_state = 2},
  [10592] = {.lex_state = 0, .external_lex_state = 2},
  [10593] = {.lex_state = 0},
  [10594] = {.lex_state = 35, .external_lex_state = 2},
  [10595] = {.lex_state = 35, .external_lex_state = 2},
  [10596] = {.lex_state = 35, .external_lex_state = 2},
  [10597] = {.lex_state = 35, .external_lex_state = 2},
  [10598] = {.lex_state = 0},
  [10599] = {.lex_state = 35, .external_lex_state = 2},
  [10600] = {.lex_state = 35, .external_lex_state = 2},
  [10601] = {.lex_state = 35, .external_lex_state = 2},
  [10602] = {.lex_state = 0},
  [10603] = {.lex_state = 0},
  [10604] = {.lex_state = 0},
  [10605] = {.lex_state = 0},
  [10606] = {.lex_state = 35, .external_lex_state = 2},
  [10607] = {.lex_state = 0},
  [10608] = {.lex_state = 0},
  [10609] = {.lex_state = 0},
  [10610] = {.lex_state = 0},
  [10611] = {.lex_state = 0},
  [10612] = {.lex_state = 0},
  [10613] = {.lex_state = 0},
  [10614] = {.lex_state = 0},
  [10615] = {.lex_state = 35, .external_lex_state = 2},
  [10616] = {.lex_state = 0, .external_lex_state = 2},
  [10617] = {.lex_state = 0, .external_lex_state = 2},
  [10618] = {.lex_state = 35, .external_lex_state = 2},
  [10619] = {.lex_state = 0},
  [10620] = {.lex_state = 35, .external_lex_state = 2},
  [10621] = {.lex_state = 0},
  [10622] = {.lex_state = 0},
  [10623] = {.lex_state = 35, .external_lex_state = 2},
  [10624] = {.lex_state = 35, .external_lex_state = 2},
  [10625] = {.lex_state = 0},
  [10626] = {.lex_state = 35, .external_lex_state = 2},
  [10627] = {.lex_state = 0},
  [10628] = {.lex_state = 35, .external_lex_state = 2},
  [10629] = {.lex_state = 35, .external_lex_state = 2},
  [10630] = {.lex_state = 0},
  [10631] = {.lex_state = 0},
  [10632] = {.lex_state = 0},
  [10633] = {.lex_state = 0},
  [10634] = {.lex_state = 0},
  [10635] = {.lex_state = 35},
  [10636] = {.lex_state = 35, .external_lex_state = 2},
  [10637] = {.lex_state = 0},
  [10638] = {.lex_state = 35, .external_lex_state = 2},
  [10639] = {.lex_state = 35, .external_lex_state = 2},
  [10640] = {.lex_state = 35, .external_lex_state = 2},
  [10641] = {.lex_state = 35, .external_lex_state = 2},
  [10642] = {.lex_state = 0},
  [10643] = {.lex_state = 0},
  [10644] = {.lex_state = 0},
  [10645] = {.lex_state = 0, .external_lex_state = 2},
  [10646] = {.lex_state = 0, .external_lex_state = 2},
  [10647] = {.lex_state = 35},
  [10648] = {.lex_state = 35, .external_lex_state = 2},
  [10649] = {.lex_state = 0},
  [10650] = {.lex_state = 0},
  [10651] = {.lex_state = 0, .external_lex_state = 2},
  [10652] = {.lex_state = 0},
  [10653] = {.lex_state = 0},
  [10654] = {.lex_state = 35},
  [10655] = {.lex_state = 0, .external_lex_state = 2},
  [10656] = {.lex_state = 0},
  [10657] = {.lex_state = 0, .external_lex_state = 2},
  [10658] = {.lex_state = 0, .external_lex_state = 2},
  [10659] = {.lex_state = 0, .external_lex_state = 2},
  [10660] = {.lex_state = 0, .external_lex_state = 2},
  [10661] = {.lex_state = 35, .external_lex_state = 2},
  [10662] = {.lex_state = 0},
  [10663] = {.lex_state = 35, .external_lex_state = 2},
  [10664] = {.lex_state = 35, .external_lex_state = 2},
  [10665] = {.lex_state = 0},
  [10666] = {.lex_state = 0},
  [10667] = {.lex_state = 0, .external_lex_state = 2},
  [10668] = {.lex_state = 35, .external_lex_state = 2},
  [10669] = {.lex_state = 0},
  [10670] = {.lex_state = 35, .external_lex_state = 2},
  [10671] = {.lex_state = 35, .external_lex_state = 2},
  [10672] = {.lex_state = 35, .external_lex_state = 2},
  [10673] = {.lex_state = 0},
  [10674] = {.lex_state = 35, .external_lex_state = 2},
  [10675] = {.lex_state = 35, .external_lex_state = 2},
  [10676] = {.lex_state = 0},
  [10677] = {.lex_state = 35, .external_lex_state = 2},
  [10678] = {.lex_state = 0},
  [10679] = {.lex_state = 35, .external_lex_state = 2},
  [10680] = {.lex_state = 35, .external_lex_state = 2},
  [10681] = {.lex_state = 35, .external_lex_state = 2},
  [10682] = {.lex_state = 35, .external_lex_state = 2},
  [10683] = {.lex_state = 35},
  [10684] = {.lex_state = 35},
  [10685] = {.lex_state = 0},
  [10686] = {.lex_state = 35, .external_lex_state = 2},
  [10687] = {.lex_state = 0},
  [10688] = {.lex_state = 35},
  [10689] = {.lex_state = 0},
  [10690] = {.lex_state = 0, .external_lex_state = 2},
  [10691] = {.lex_state = 0, .external_lex_state = 2},
  [10692] = {.lex_state = 0, .external_lex_state = 2},
  [10693] = {.lex_state = 0, .external_lex_state = 2},
  [10694] = {.lex_state = 0, .external_lex_state = 2},
  [10695] = {.lex_state = 0, .external_lex_state = 2},
  [10696] = {.lex_state = 0},
  [10697] = {.lex_state = 0},
  [10698] = {.lex_state = 35, .external_lex_state = 2},
  [10699] = {.lex_state = 0, .external_lex_state = 2},
  [10700] = {.lex_state = 35},
  [10701] = {.lex_state = 0, .external_lex_state = 2},
  [10702] = {.lex_state = 0, .external_lex_state = 2},
  [10703] = {.lex_state = 0, .external_lex_state = 2},
  [10704] = {.lex_state = 0, .external_lex_state = 2},
  [10705] = {.lex_state = 35, .external_lex_state = 2},
  [10706] = {.lex_state = 35},
  [10707] = {.lex_state = 0, .external_lex_state = 2},
  [10708] = {.lex_state = 35},
  [10709] = {.lex_state = 35, .external_lex_state = 2},
  [10710] = {.lex_state = 35, .external_lex_state = 2},
  [10711] = {.lex_state = 0},
  [10712] = {.lex_state = 35, .external_lex_state = 2},
  [10713] = {.lex_state = 35, .external_lex_state = 2},
  [10714] = {.lex_state = 35, .external_lex_state = 2},
  [10715] = {.lex_state = 35, .external_lex_state = 2},
  [10716] = {.lex_state = 35},
  [10717] = {.lex_state = 35, .external_lex_state = 2},
  [10718] = {.lex_state = 35, .external_lex_state = 2},
  [10719] = {.lex_state = 0},
  [10720] = {.lex_state = 35, .external_lex_state = 2},
  [10721] = {.lex_state = 0},
  [10722] = {.lex_state = 35, .external_lex_state = 2},
  [10723] = {.lex_state = 35, .external_lex_state = 2},
  [10724] = {.lex_state = 0},
  [10725] = {.lex_state = 35, .external_lex_state = 2},
  [10726] = {.lex_state = 35},
  [10727] = {.lex_state = 0},
  [10728] = {.lex_state = 0},
  [10729] = {.lex_state = 0},
  [10730] = {.lex_state = 0},
  [10731] = {.lex_state = 35},
  [10732] = {.lex_state = 0},
  [10733] = {.lex_state = 35, .external_lex_state = 2},
  [10734] = {.lex_state = 0},
  [10735] = {.lex_state = 35, .external_lex_state = 2},
  [10736] = {.lex_state = 35, .external_lex_state = 2},
  [10737] = {.lex_state = 35},
  [10738] = {.lex_state = 0},
  [10739] = {.lex_state = 0},
  [10740] = {.lex_state = 0},
  [10741] = {.lex_state = 35},
  [10742] = {.lex_state = 35, .external_lex_state = 2},
  [10743] = {.lex_state = 0},
  [10744] = {.lex_state = 35, .external_lex_state = 2},
  [10745] = {.lex_state = 35, .external_lex_state = 2},
  [10746] = {.lex_state = 35},
  [10747] = {.lex_state = 35, .external_lex_state = 2},
  [10748] = {.lex_state = 0, .external_lex_state = 2},
  [10749] = {.lex_state = 0, .external_lex_state = 2},
  [10750] = {.lex_state = 0},
  [10751] = {.lex_state = 0, .external_lex_state = 2},
  [10752] = {.lex_state = 35},
  [10753] = {.lex_state = 0, .external_lex_state = 2},
  [10754] = {.lex_state = 0, .external_lex_state = 2},
  [10755] = {.lex_state = 0},
  [10756] = {.lex_state = 0, .external_lex_state = 2},
  [10757] = {.lex_state = 0, .external_lex_state = 2},
  [10758] = {.lex_state = 0, .external_lex_state = 2},
  [10759] = {.lex_state = 0, .external_lex_state = 2},
  [10760] = {.lex_state = 0, .external_lex_state = 2},
  [10761] = {.lex_state = 35},
  [10762] = {.lex_state = 0},
  [10763] = {.lex_state = 35},
  [10764] = {.lex_state = 35, .external_lex_state = 2},
  [10765] = {.lex_state = 35, .external_lex_state = 2},
  [10766] = {.lex_state = 0},
  [10767] = {.lex_state = 35},
  [10768] = {.lex_state = 0},
  [10769] = {.lex_state = 0},
  [10770] = {.lex_state = 35, .external_lex_state = 2},
  [10771] = {.lex_state = 35, .external_lex_state = 2},
  [10772] = {.lex_state = 0},
  [10773] = {.lex_state = 35, .external_lex_state = 2},
  [10774] = {.lex_state = 0},
  [10775] = {.lex_state = 0},
  [10776] = {.lex_state = 0},
  [10777] = {.lex_state = 35},
  [10778] = {.lex_state = 35, .external_lex_state = 2},
  [10779] = {.lex_state = 35, .external_lex_state = 2},
  [10780] = {.lex_state = 35, .external_lex_state = 2},
  [10781] = {.lex_state = 0},
  [10782] = {.lex_state = 0},
  [10783] = {.lex_state = 35, .external_lex_state = 2},
  [10784] = {.lex_state = 35, .external_lex_state = 2},
  [10785] = {.lex_state = 35, .external_lex_state = 2},
  [10786] = {.lex_state = 35, .external_lex_state = 2},
  [10787] = {.lex_state = 35, .external_lex_state = 2},
  [10788] = {.lex_state = 35, .external_lex_state = 2},
  [10789] = {.lex_state = 35, .external_lex_state = 2},
  [10790] = {.lex_state = 35, .external_lex_state = 2},
  [10791] = {.lex_state = 35, .external_lex_state = 2},
  [10792] = {.lex_state = 35, .external_lex_state = 2},
  [10793] = {.lex_state = 35, .external_lex_state = 2},
  [10794] = {.lex_state = 0, .external_lex_state = 2},
  [10795] = {.lex_state = 35},
  [10796] = {.lex_state = 35},
  [10797] = {.lex_state = 0},
  [10798] = {.lex_state = 0},
  [10799] = {.lex_state = 35},
  [10800] = {.lex_state = 35, .external_lex_state = 2},
  [10801] = {.lex_state = 35},
  [10802] = {.lex_state = 0},
  [10803] = {.lex_state = 0},
  [10804] = {.lex_state = 0},
  [10805] = {.lex_state = 35},
  [10806] = {.lex_state = 0, .external_lex_state = 2},
  [10807] = {.lex_state = 0, .external_lex_state = 2},
  [10808] = {.lex_state = 0, .external_lex_state = 2},
  [10809] = {.lex_state = 0},
  [10810] = {.lex_state = 0, .external_lex_state = 2},
  [10811] = {.lex_state = 0},
  [10812] = {.lex_state = 0, .external_lex_state = 2},
  [10813] = {.lex_state = 35},
  [10814] = {.lex_state = 0, .external_lex_state = 2},
  [10815] = {.lex_state = 0, .external_lex_state = 2},
  [10816] = {.lex_state = 0, .external_lex_state = 2},
  [10817] = {.lex_state = 0},
  [10818] = {.lex_state = 0, .external_lex_state = 2},
  [10819] = {.lex_state = 0},
  [10820] = {.lex_state = 0},
  [10821] = {.lex_state = 0, .external_lex_state = 2},
  [10822] = {.lex_state = 0},
  [10823] = {.lex_state = 0, .external_lex_state = 2},
  [10824] = {.lex_state = 0},
  [10825] = {.lex_state = 0},
  [10826] = {.lex_state = 0},
  [10827] = {.lex_state = 0},
  [10828] = {.lex_state = 35, .external_lex_state = 2},
  [10829] = {.lex_state = 35, .external_lex_state = 2},
  [10830] = {.lex_state = 0},
  [10831] = {.lex_state = 35, .external_lex_state = 2},
  [10832] = {.lex_state = 0},
  [10833] = {.lex_state = 0},
  [10834] = {.lex_state = 35},
  [10835] = {.lex_state = 35, .external_lex_state = 2},
  [10836] = {.lex_state = 0},
  [10837] = {.lex_state = 0},
  [10838] = {.lex_state = 35},
  [10839] = {.lex_state = 0},
  [10840] = {.lex_state = 0},
  [10841] = {.lex_state = 35, .external_lex_state = 2},
  [10842] = {.lex_state = 35, .external_lex_state = 2},
  [10843] = {.lex_state = 35, .external_lex_state = 2},
  [10844] = {.lex_state = 0},
  [10845] = {.lex_state = 0},
  [10846] = {.lex_state = 0},
  [10847] = {.lex_state = 35},
  [10848] = {.lex_state = 35, .external_lex_state = 2},
  [10849] = {.lex_state = 0},
  [10850] = {.lex_state = 35},
  [10851] = {.lex_state = 0},
  [10852] = {.lex_state = 35},
  [10853] = {.lex_state = 35, .external_lex_state = 2},
  [10854] = {.lex_state = 0},
  [10855] = {.lex_state = 35, .external_lex_state = 2},
  [10856] = {.lex_state = 0},
  [10857] = {.lex_state = 0},
  [10858] = {.lex_state = 0},
  [10859] = {.lex_state = 0},
  [10860] = {.lex_state = 35},
  [10861] = {.lex_state = 35, .external_lex_state = 2},
  [10862] = {.lex_state = 35},
  [10863] = {.lex_state = 0},
  [10864] = {.lex_state = 0},
  [10865] = {.lex_state = 35, .external_lex_state = 2},
  [10866] = {.lex_state = 35, .external_lex_state = 2},
  [10867] = {.lex_state = 35, .external_lex_state = 2},
  [10868] = {.lex_state = 0},
  [10869] = {.lex_state = 35, .external_lex_state = 2},
  [10870] = {.lex_state = 0},
  [10871] = {.lex_state = 35},
  [10872] = {.lex_state = 0},
  [10873] = {.lex_state = 35, .external_lex_state = 2},
  [10874] = {.lex_state = 35},
  [10875] = {.lex_state = 0},
  [10876] = {.lex_state = 35, .external_lex_state = 2},
  [10877] = {.lex_state = 0},
  [10878] = {.lex_state = 0},
  [10879] = {.lex_state = 0},
  [10880] = {.lex_state = 35},
  [10881] = {.lex_state = 0},
  [10882] = {.lex_state = 0},
  [10883] = {.lex_state = 35},
  [10884] = {.lex_state = 0},
  [10885] = {.lex_state = 0},
  [10886] = {.lex_state = 0},
  [10887] = {.lex_state = 0},
  [10888] = {.lex_state = 35},
  [10889] = {.lex_state = 0},
  [10890] = {.lex_state = 0},
  [10891] = {.lex_state = 0},
  [10892] = {.lex_state = 35, .external_lex_state = 2},
  [10893] = {.lex_state = 0},
  [10894] = {.lex_state = 0},
  [10895] = {.lex_state = 0},
  [10896] = {.lex_state = 0},
  [10897] = {.lex_state = 0},
  [10898] = {.lex_state = 0},
  [10899] = {.lex_state = 0},
  [10900] = {.lex_state = 35, .external_lex_state = 2},
  [10901] = {.lex_state = 0},
  [10902] = {.lex_state = 35},
  [10903] = {.lex_state = 0},
  [10904] = {.lex_state = 35},
  [10905] = {.lex_state = 0},
  [10906] = {.lex_state = 0},
  [10907] = {.lex_state = 0},
  [10908] = {.lex_state = 0},
  [10909] = {.lex_state = 35},
  [10910] = {.lex_state = 0},
  [10911] = {.lex_state = 0},
  [10912] = {.lex_state = 0},
  [10913] = {.lex_state = 0},
  [10914] = {.lex_state = 35},
  [10915] = {.lex_state = 35},
  [10916] = {.lex_state = 35},
  [10917] = {.lex_state = 0},
  [10918] = {.lex_state = 0},
  [10919] = {.lex_state = 0},
  [10920] = {.lex_state = 35},
  [10921] = {.lex_state = 35},
  [10922] = {.lex_state = 0},
  [10923] = {.lex_state = 0},
  [10924] = {.lex_state = 35},
  [10925] = {.lex_state = 35},
  [10926] = {.lex_state = 35},
  [10927] = {.lex_state = 0},
  [10928] = {.lex_state = 0},
  [10929] = {.lex_state = 0},
  [10930] = {.lex_state = 0},
  [10931] = {.lex_state = 0},
  [10932] = {.lex_state = 0},
  [10933] = {.lex_state = 0},
  [10934] = {.lex_state = 0},
  [10935] = {.lex_state = 0, .external_lex_state = 2},
  [10936] = {.lex_state = 0, .external_lex_state = 2},
  [10937] = {.lex_state = 35},
  [10938] = {.lex_state = 0},
  [10939] = {.lex_state = 0},
  [10940] = {.lex_state = 0, .external_lex_state = 2},
  [10941] = {.lex_state = 0},
  [10942] = {.lex_state = 0},
  [10943] = {.lex_state = 0},
  [10944] = {.lex_state = 0},
  [10945] = {.lex_state = 0},
  [10946] = {.lex_state = 0},
  [10947] = {.lex_state = 35},
  [10948] = {.lex_state = 0},
  [10949] = {.lex_state = 35},
  [10950] = {.lex_state = 0},
  [10951] = {.lex_state = 0},
  [10952] = {.lex_state = 35},
  [10953] = {.lex_state = 0},
  [10954] = {.lex_state = 0},
  [10955] = {.lex_state = 0},
  [10956] = {.lex_state = 0},
  [10957] = {.lex_state = 0},
  [10958] = {.lex_state = 0},
  [10959] = {.lex_state = 0},
  [10960] = {.lex_state = 35},
  [10961] = {.lex_state = 0},
  [10962] = {.lex_state = 0},
  [10963] = {.lex_state = 35},
  [10964] = {.lex_state = 0},
  [10965] = {.lex_state = 35, .external_lex_state = 2},
  [10966] = {.lex_state = 35},
  [10967] = {.lex_state = 0},
  [10968] = {.lex_state = 35, .external_lex_state = 2},
  [10969] = {.lex_state = 0},
  [10970] = {.lex_state = 0},
  [10971] = {.lex_state = 35, .external_lex_state = 2},
  [10972] = {.lex_state = 0},
  [10973] = {.lex_state = 0},
  [10974] = {.lex_state = 0},
  [10975] = {.lex_state = 35},
  [10976] = {.lex_state = 0},
  [10977] = {.lex_state = 0},
  [10978] = {.lex_state = 0},
  [10979] = {.lex_state = 35},
  [10980] = {.lex_state = 0},
  [10981] = {.lex_state = 0},
  [10982] = {.lex_state = 0},
  [10983] = {.lex_state = 0},
  [10984] = {.lex_state = 0},
  [10985] = {.lex_state = 0},
  [10986] = {.lex_state = 35},
  [10987] = {.lex_state = 35},
  [10988] = {.lex_state = 35, .external_lex_state = 2},
  [10989] = {.lex_state = 0},
  [10990] = {.lex_state = 0},
  [10991] = {.lex_state = 0},
  [10992] = {.lex_state = 35},
  [10993] = {.lex_state = 0},
  [10994] = {.lex_state = 0},
  [10995] = {.lex_state = 0},
  [10996] = {.lex_state = 0},
  [10997] = {.lex_state = 0},
  [10998] = {.lex_state = 35},
  [10999] = {.lex_state = 35},
  [11000] = {.lex_state = 35},
  [11001] = {.lex_state = 0},
  [11002] = {.lex_state = 0},
  [11003] = {.lex_state = 35},
  [11004] = {.lex_state = 35, .external_lex_state = 2},
  [11005] = {.lex_state = 35, .external_lex_state = 2},
  [11006] = {.lex_state = 35, .external_lex_state = 2},
  [11007] = {.lex_state = 35},
  [11008] = {.lex_state = 35},
  [11009] = {.lex_state = 35},
  [11010] = {.lex_state = 0},
  [11011] = {.lex_state = 35},
  [11012] = {.lex_state = 0},
  [11013] = {.lex_state = 35},
  [11014] = {.lex_state = 0},
  [11015] = {.lex_state = 0},
  [11016] = {.lex_state = 0},
  [11017] = {.lex_state = 0},
  [11018] = {.lex_state = 0},
  [11019] = {.lex_state = 35},
  [11020] = {.lex_state = 0},
  [11021] = {.lex_state = 0},
  [11022] = {.lex_state = 0},
  [11023] = {.lex_state = 0},
  [11024] = {.lex_state = 35, .external_lex_state = 2},
  [11025] = {.lex_state = 35},
  [11026] = {.lex_state = 35},
  [11027] = {.lex_state = 35},
  [11028] = {.lex_state = 35, .external_lex_state = 2},
  [11029] = {.lex_state = 35},
  [11030] = {.lex_state = 35, .external_lex_state = 2},
  [11031] = {.lex_state = 0},
  [11032] = {.lex_state = 35},
  [11033] = {.lex_state = 0},
  [11034] = {.lex_state = 0},
  [11035] = {.lex_state = 0},
  [11036] = {.lex_state = 0},
  [11037] = {.lex_state = 35, .external_lex_state = 2},
  [11038] = {.lex_state = 0},
  [11039] = {.lex_state = 35},
  [11040] = {.lex_state = 0},
  [11041] = {.lex_state = 0},
  [11042] = {.lex_state = 0},
  [11043] = {.lex_state = 0},
  [11044] = {.lex_state = 35},
  [11045] = {.lex_state = 0},
  [11046] = {.lex_state = 0},
  [11047] = {.lex_state = 35},
  [11048] = {.lex_state = 0},
  [11049] = {.lex_state = 0},
  [11050] = {.lex_state = 0},
  [11051] = {.lex_state = 0},
  [11052] = {.lex_state = 0},
  [11053] = {.lex_state = 0},
  [11054] = {.lex_state = 0},
  [11055] = {.lex_state = 0},
  [11056] = {.lex_state = 35},
  [11057] = {.lex_state = 0},
  [11058] = {.lex_state = 0},
  [11059] = {.lex_state = 35},
  [11060] = {.lex_state = 0},
  [11061] = {.lex_state = 0},
  [11062] = {.lex_state = 0},
  [11063] = {.lex_state = 0},
  [11064] = {.lex_state = 0},
  [11065] = {.lex_state = 35},
  [11066] = {.lex_state = 0},
  [11067] = {.lex_state = 35},
  [11068] = {.lex_state = 0},
  [11069] = {.lex_state = 0},
  [11070] = {.lex_state = 35},
  [11071] = {.lex_state = 0},
  [11072] = {.lex_state = 0},
  [11073] = {.lex_state = 0},
  [11074] = {.lex_state = 0},
  [11075] = {.lex_state = 0},
  [11076] = {.lex_state = 0},
  [11077] = {.lex_state = 0},
  [11078] = {.lex_state = 35},
  [11079] = {.lex_state = 0},
  [11080] = {.lex_state = 0},
  [11081] = {.lex_state = 0},
  [11082] = {.lex_state = 0},
  [11083] = {.lex_state = 0},
  [11084] = {.lex_state = 0},
  [11085] = {.lex_state = 35, .external_lex_state = 2},
  [11086] = {.lex_state = 35},
  [11087] = {.lex_state = 35},
  [11088] = {.lex_state = 0},
  [11089] = {.lex_state = 0},
  [11090] = {.lex_state = 0},
  [11091] = {.lex_state = 0},
  [11092] = {.lex_state = 0},
  [11093] = {.lex_state = 0},
  [11094] = {.lex_state = 0},
  [11095] = {.lex_state = 0},
  [11096] = {.lex_state = 0},
  [11097] = {.lex_state = 0},
  [11098] = {.lex_state = 35, .external_lex_state = 2},
  [11099] = {.lex_state = 35},
  [11100] = {.lex_state = 0},
  [11101] = {.lex_state = 0},
  [11102] = {.lex_state = 0},
  [11103] = {.lex_state = 0},
  [11104] = {.lex_state = 35},
  [11105] = {.lex_state = 0},
  [11106] = {.lex_state = 0},
  [11107] = {.lex_state = 35},
  [11108] = {.lex_state = 35},
  [11109] = {.lex_state = 0},
  [11110] = {.lex_state = 0},
  [11111] = {.lex_state = 0},
  [11112] = {.lex_state = 35},
  [11113] = {.lex_state = 0},
  [11114] = {.lex_state = 35},
  [11115] = {.lex_state = 0},
  [11116] = {.lex_state = 0},
  [11117] = {.lex_state = 35},
  [11118] = {.lex_state = 0},
  [11119] = {.lex_state = 0},
  [11120] = {.lex_state = 0},
  [11121] = {.lex_state = 0},
  [11122] = {.lex_state = 0},
  [11123] = {.lex_state = 35, .external_lex_state = 2},
  [11124] = {.lex_state = 35},
  [11125] = {.lex_state = 0},
  [11126] = {.lex_state = 0},
  [11127] = {.lex_state = 0},
  [11128] = {.lex_state = 35},
  [11129] = {.lex_state = 35},
  [11130] = {.lex_state = 0},
  [11131] = {.lex_state = 0},
  [11132] = {.lex_state = 0},
  [11133] = {.lex_state = 0},
  [11134] = {.lex_state = 0},
  [11135] = {.lex_state = 0},
  [11136] = {.lex_state = 0},
  [11137] = {.lex_state = 35},
  [11138] = {.lex_state = 0},
  [11139] = {.lex_state = 35},
  [11140] = {.lex_state = 35},
  [11141] = {.lex_state = 35},
  [11142] = {.lex_state = 0},
  [11143] = {.lex_state = 0},
  [11144] = {.lex_state = 0},
  [11145] = {.lex_state = 0},
  [11146] = {.lex_state = 0},
  [11147] = {.lex_state = 0},
  [11148] = {.lex_state = 0},
  [11149] = {.lex_state = 0},
  [11150] = {.lex_state = 35},
  [11151] = {.lex_state = 0},
  [11152] = {.lex_state = 35},
  [11153] = {.lex_state = 0},
  [11154] = {.lex_state = 35},
  [11155] = {.lex_state = 35},
  [11156] = {.lex_state = 35},
  [11157] = {.lex_state = 35},
  [11158] = {.lex_state = 35},
  [11159] = {.lex_state = 35, .external_lex_state = 2},
  [11160] = {.lex_state = 0},
  [11161] = {.lex_state = 0},
  [11162] = {.lex_state = 35, .external_lex_state = 2},
  [11163] = {.lex_state = 35},
  [11164] = {.lex_state = 0},
  [11165] = {.lex_state = 0},
  [11166] = {.lex_state = 0},
  [11167] = {.lex_state = 0},
  [11168] = {.lex_state = 35},
  [11169] = {.lex_state = 0},
  [11170] = {.lex_state = 35},
  [11171] = {.lex_state = 0},
  [11172] = {.lex_state = 35},
  [11173] = {.lex_state = 0},
  [11174] = {.lex_state = 0},
  [11175] = {.lex_state = 35, .external_lex_state = 2},
  [11176] = {.lex_state = 0},
  [11177] = {.lex_state = 35},
  [11178] = {.lex_state = 35, .external_lex_state = 2},
  [11179] = {.lex_state = 0},
  [11180] = {.lex_state = 0},
  [11181] = {.lex_state = 0},
  [11182] = {.lex_state = 0},
  [11183] = {.lex_state = 0},
  [11184] = {.lex_state = 0},
  [11185] = {.lex_state = 35},
  [11186] = {.lex_state = 35, .external_lex_state = 2},
  [11187] = {.lex_state = 35, .external_lex_state = 2},
  [11188] = {.lex_state = 0},
  [11189] = {.lex_state = 0},
  [11190] = {.lex_state = 0},
  [11191] = {.lex_state = 0},
  [11192] = {.lex_state = 0},
  [11193] = {.lex_state = 0},
  [11194] = {.lex_state = 0},
  [11195] = {.lex_state = 0},
  [11196] = {.lex_state = 0},
  [11197] = {.lex_state = 0},
  [11198] = {.lex_state = 0},
  [11199] = {.lex_state = 0},
  [11200] = {.lex_state = 0},
  [11201] = {.lex_state = 0},
  [11202] = {.lex_state = 0},
  [11203] = {.lex_state = 0},
  [11204] = {.lex_state = 0},
  [11205] = {.lex_state = 0},
  [11206] = {.lex_state = 35},
  [11207] = {.lex_state = 0},
  [11208] = {.lex_state = 0},
  [11209] = {.lex_state = 0},
  [11210] = {.lex_state = 0},
  [11211] = {.lex_state = 35},
  [11212] = {.lex_state = 0},
  [11213] = {.lex_state = 0},
  [11214] = {.lex_state = 0},
  [11215] = {.lex_state = 0},
  [11216] = {.lex_state = 0},
  [11217] = {.lex_state = 0},
  [11218] = {.lex_state = 0},
  [11219] = {.lex_state = 0},
  [11220] = {.lex_state = 0},
  [11221] = {.lex_state = 0},
  [11222] = {.lex_state = 0},
  [11223] = {.lex_state = 35},
  [11224] = {.lex_state = 0},
  [11225] = {.lex_state = 0},
  [11226] = {.lex_state = 0},
  [11227] = {.lex_state = 0},
  [11228] = {.lex_state = 0},
  [11229] = {.lex_state = 0},
  [11230] = {.lex_state = 0},
  [11231] = {.lex_state = 0},
  [11232] = {.lex_state = 0},
  [11233] = {.lex_state = 35},
  [11234] = {.lex_state = 0},
  [11235] = {.lex_state = 0},
  [11236] = {.lex_state = 35},
  [11237] = {.lex_state = 0},
  [11238] = {.lex_state = 0},
  [11239] = {.lex_state = 0},
  [11240] = {.lex_state = 0},
  [11241] = {.lex_state = 0},
  [11242] = {.lex_state = 0},
  [11243] = {.lex_state = 0},
  [11244] = {.lex_state = 0},
  [11245] = {.lex_state = 0},
  [11246] = {.lex_state = 0},
  [11247] = {.lex_state = 0},
  [11248] = {.lex_state = 0},
  [11249] = {.lex_state = 0},
  [11250] = {.lex_state = 0},
  [11251] = {.lex_state = 0},
  [11252] = {.lex_state = 0},
  [11253] = {.lex_state = 0},
  [11254] = {.lex_state = 0},
  [11255] = {.lex_state = 0, .external_lex_state = 2},
  [11256] = {.lex_state = 35},
  [11257] = {.lex_state = 0},
  [11258] = {.lex_state = 0},
  [11259] = {.lex_state = 0},
  [11260] = {.lex_state = 0},
  [11261] = {.lex_state = 35},
  [11262] = {.lex_state = 0},
  [11263] = {.lex_state = 35, .external_lex_state = 2},
  [11264] = {.lex_state = 0},
  [11265] = {.lex_state = 35},
  [11266] = {.lex_state = 35},
  [11267] = {.lex_state = 35},
  [11268] = {.lex_state = 35},
  [11269] = {.lex_state = 0},
  [11270] = {.lex_state = 35},
  [11271] = {.lex_state = 35},
  [11272] = {.lex_state = 35},
  [11273] = {.lex_state = 35},
  [11274] = {.lex_state = 0, .external_lex_state = 2},
  [11275] = {.lex_state = 0},
  [11276] = {.lex_state = 35},
  [11277] = {.lex_state = 35, .external_lex_state = 2},
  [11278] = {.lex_state = 0},
  [11279] = {.lex_state = 0},
  [11280] = {.lex_state = 0},
  [11281] = {.lex_state = 35},
  [11282] = {.lex_state = 0},
  [11283] = {.lex_state = 0},
  [11284] = {.lex_state = 0},
  [11285] = {.lex_state = 0},
  [11286] = {.lex_state = 0},
  [11287] = {.lex_state = 0},
  [11288] = {.lex_state = 0},
  [11289] = {.lex_state = 0},
  [11290] = {.lex_state = 0},
  [11291] = {.lex_state = 0},
  [11292] = {.lex_state = 0},
  [11293] = {.lex_state = 0},
  [11294] = {.lex_state = 0},
  [11295] = {.lex_state = 0},
  [11296] = {.lex_state = 0},
  [11297] = {.lex_state = 0},
  [11298] = {.lex_state = 0},
  [11299] = {.lex_state = 0},
  [11300] = {.lex_state = 0},
  [11301] = {.lex_state = 0},
  [11302] = {.lex_state = 35},
  [11303] = {.lex_state = 35},
  [11304] = {.lex_state = 35},
  [11305] = {.lex_state = 35},
  [11306] = {.lex_state = 0},
  [11307] = {.lex_state = 0},
  [11308] = {.lex_state = 35},
  [11309] = {.lex_state = 0},
  [11310] = {.lex_state = 35},
  [11311] = {.lex_state = 35},
  [11312] = {.lex_state = 0},
  [11313] = {.lex_state = 35},
  [11314] = {.lex_state = 0},
  [11315] = {.lex_state = 0},
  [11316] = {.lex_state = 35},
  [11317] = {.lex_state = 35},
  [11318] = {.lex_state = 0},
  [11319] = {.lex_state = 35},
  [11320] = {.lex_state = 0},
  [11321] = {.lex_state = 0},
  [11322] = {.lex_state = 35},
  [11323] = {.lex_state = 0},
  [11324] = {.lex_state = 35},
  [11325] = {.lex_state = 0},
  [11326] = {.lex_state = 0},
  [11327] = {.lex_state = 35},
  [11328] = {.lex_state = 0},
  [11329] = {.lex_state = 35},
  [11330] = {.lex_state = 0},
  [11331] = {.lex_state = 35},
  [11332] = {.lex_state = 0},
  [11333] = {.lex_state = 35},
  [11334] = {.lex_state = 0},
  [11335] = {.lex_state = 0},
  [11336] = {.lex_state = 35},
  [11337] = {.lex_state = 0},
  [11338] = {.lex_state = 35},
  [11339] = {.lex_state = 0},
  [11340] = {.lex_state = 0},
  [11341] = {.lex_state = 0},
  [11342] = {.lex_state = 35},
  [11343] = {.lex_state = 0},
  [11344] = {.lex_state = 0},
  [11345] = {.lex_state = 0},
  [11346] = {.lex_state = 0},
  [11347] = {.lex_state = 35},
  [11348] = {.lex_state = 0},
  [11349] = {.lex_state = 0},
  [11350] = {.lex_state = 0},
  [11351] = {.lex_state = 0},
  [11352] = {.lex_state = 0},
  [11353] = {.lex_state = 0},
  [11354] = {.lex_state = 0},
  [11355] = {.lex_state = 35},
  [11356] = {.lex_state = 0},
  [11357] = {.lex_state = 0},
  [11358] = {.lex_state = 0},
  [11359] = {.lex_state = 0},
  [11360] = {.lex_state = 0},
  [11361] = {.lex_state = 0},
  [11362] = {.lex_state = 35},
  [11363] = {.lex_state = 0},
  [11364] = {.lex_state = 0},
  [11365] = {.lex_state = 0},
  [11366] = {.lex_state = 0},
  [11367] = {.lex_state = 35},
  [11368] = {.lex_state = 35},
  [11369] = {.lex_state = 0},
  [11370] = {.lex_state = 0},
  [11371] = {.lex_state = 0},
  [11372] = {.lex_state = 0},
  [11373] = {.lex_state = 35},
  [11374] = {.lex_state = 0},
  [11375] = {.lex_state = 0},
  [11376] = {.lex_state = 0},
  [11377] = {.lex_state = 35},
  [11378] = {.lex_state = 0},
  [11379] = {.lex_state = 0},
  [11380] = {.lex_state = 0},
  [11381] = {.lex_state = 0},
  [11382] = {.lex_state = 0},
  [11383] = {.lex_state = 0},
  [11384] = {.lex_state = 0},
  [11385] = {.lex_state = 0},
  [11386] = {.lex_state = 0},
  [11387] = {.lex_state = 0},
  [11388] = {.lex_state = 0},
  [11389] = {.lex_state = 0},
  [11390] = {.lex_state = 0},
  [11391] = {.lex_state = 0},
  [11392] = {.lex_state = 35},
  [11393] = {.lex_state = 0},
  [11394] = {.lex_state = 0},
  [11395] = {.lex_state = 0},
  [11396] = {.lex_state = 0},
  [11397] = {.lex_state = 0},
  [11398] = {.lex_state = 0},
  [11399] = {.lex_state = 0},
  [11400] = {.lex_state = 0},
  [11401] = {.lex_state = 0},
  [11402] = {.lex_state = 35},
  [11403] = {.lex_state = 0},
  [11404] = {.lex_state = 0},
  [11405] = {.lex_state = 0},
  [11406] = {.lex_state = 0},
  [11407] = {.lex_state = 35},
  [11408] = {.lex_state = 0},
  [11409] = {.lex_state = 35},
  [11410] = {.lex_state = 35},
  [11411] = {.lex_state = 0},
  [11412] = {.lex_state = 35},
  [11413] = {.lex_state = 35},
  [11414] = {.lex_state = 35},
  [11415] = {.lex_state = 0},
  [11416] = {.lex_state = 0},
  [11417] = {.lex_state = 0},
  [11418] = {.lex_state = 35},
  [11419] = {.lex_state = 35},
  [11420] = {.lex_state = 35},
  [11421] = {.lex_state = 35},
  [11422] = {.lex_state = 35},
  [11423] = {.lex_state = 35},
  [11424] = {.lex_state = 35},
  [11425] = {.lex_state = 0},
  [11426] = {.lex_state = 35},
  [11427] = {.lex_state = 0},
  [11428] = {.lex_state = 35},
  [11429] = {.lex_state = 0},
  [11430] = {.lex_state = 0},
  [11431] = {.lex_state = 0},
  [11432] = {.lex_state = 0},
  [11433] = {.lex_state = 0},
  [11434] = {.lex_state = 35},
  [11435] = {.lex_state = 35},
  [11436] = {.lex_state = 35},
  [11437] = {.lex_state = 35},
  [11438] = {.lex_state = 35},
  [11439] = {.lex_state = 35},
  [11440] = {.lex_state = 0},
  [11441] = {.lex_state = 0},
  [11442] = {.lex_state = 0},
  [11443] = {.lex_state = 35},
  [11444] = {.lex_state = 0},
  [11445] = {.lex_state = 0},
  [11446] = {.lex_state = 0},
  [11447] = {.lex_state = 0},
  [11448] = {.lex_state = 0},
  [11449] = {.lex_state = 0},
  [11450] = {.lex_state = 0},
  [11451] = {.lex_state = 0},
  [11452] = {.lex_state = 0},
  [11453] = {.lex_state = 0},
  [11454] = {.lex_state = 35},
  [11455] = {.lex_state = 0},
  [11456] = {.lex_state = 35},
  [11457] = {.lex_state = 35},
  [11458] = {.lex_state = 0},
  [11459] = {.lex_state = 35},
  [11460] = {.lex_state = 0},
  [11461] = {.lex_state = 0},
  [11462] = {.lex_state = 0},
  [11463] = {.lex_state = 0},
  [11464] = {.lex_state = 0},
  [11465] = {.lex_state = 0},
  [11466] = {.lex_state = 0},
  [11467] = {.lex_state = 0},
  [11468] = {.lex_state = 0},
  [11469] = {.lex_state = 0},
  [11470] = {.lex_state = 35},
  [11471] = {.lex_state = 35},
  [11472] = {.lex_state = 0},
  [11473] = {.lex_state = 0},
  [11474] = {.lex_state = 0},
  [11475] = {.lex_state = 0},
  [11476] = {.lex_state = 0},
  [11477] = {.lex_state = 35},
  [11478] = {.lex_state = 0},
  [11479] = {.lex_state = 0},
  [11480] = {.lex_state = 0},
  [11481] = {.lex_state = 35},
  [11482] = {.lex_state = 0},
  [11483] = {.lex_state = 35},
  [11484] = {.lex_state = 0},
  [11485] = {.lex_state = 0},
  [11486] = {.lex_state = 0},
  [11487] = {.lex_state = 0},
  [11488] = {.lex_state = 0},
  [11489] = {.lex_state = 35},
  [11490] = {.lex_state = 0},
  [11491] = {.lex_state = 0},
  [11492] = {.lex_state = 0},
  [11493] = {.lex_state = 35},
  [11494] = {.lex_state = 35},
  [11495] = {.lex_state = 35},
  [11496] = {.lex_state = 0},
  [11497] = {.lex_state = 0},
  [11498] = {.lex_state = 0},
  [11499] = {.lex_state = 35},
  [11500] = {.lex_state = 0},
  [11501] = {.lex_state = 0},
  [11502] = {.lex_state = 0},
  [11503] = {.lex_state = 35},
  [11504] = {.lex_state = 35},
  [11505] = {.lex_state = 0},
  [11506] = {.lex_state = 0},
  [11507] = {.lex_state = 0},
  [11508] = {.lex_state = 0},
  [11509] = {.lex_state = 0},
  [11510] = {.lex_state = 0},
  [11511] = {.lex_state = 35},
  [11512] = {.lex_state = 0},
  [11513] = {.lex_state = 35},
  [11514] = {.lex_state = 0},
  [11515] = {.lex_state = 0},
  [11516] = {.lex_state = 35},
  [11517] = {.lex_state = 35},
  [11518] = {.lex_state = 0},
  [11519] = {.lex_state = 35},
  [11520] = {.lex_state = 35},
  [11521] = {.lex_state = 0},
  [11522] = {.lex_state = 0},
  [11523] = {.lex_state = 0},
  [11524] = {.lex_state = 0},
  [11525] = {.lex_state = 35},
  [11526] = {.lex_state = 0},
  [11527] = {.lex_state = 0},
  [11528] = {.lex_state = 0},
  [11529] = {.lex_state = 35},
  [11530] = {.lex_state = 1},
  [11531] = {.lex_state = 0},
  [11532] = {.lex_state = 1},
  [11533] = {.lex_state = 35},
  [11534] = {.lex_state = 0},
  [11535] = {.lex_state = 35},
  [11536] = {.lex_state = 35},
  [11537] = {.lex_state = 35},
  [11538] = {.lex_state = 0},
  [11539] = {.lex_state = 0, .external_lex_state = 2},
  [11540] = {.lex_state = 1},
  [11541] = {.lex_state = 35},
  [11542] = {.lex_state = 0},
  [11543] = {.lex_state = 0},
  [11544] = {.lex_state = 0},
  [11545] = {.lex_state = 0},
  [11546] = {.lex_state = 0},
  [11547] = {.lex_state = 0},
  [11548] = {.lex_state = 0},
  [11549] = {.lex_state = 0},
  [11550] = {.lex_state = 35},
  [11551] = {.lex_state = 0, .external_lex_state = 2},
  [11552] = {.lex_state = 0},
  [11553] = {.lex_state = 35},
  [11554] = {.lex_state = 0},
  [11555] = {.lex_state = 0},
  [11556] = {.lex_state = 1},
  [11557] = {.lex_state = 0},
  [11558] = {.lex_state = 0},
  [11559] = {.lex_state = 0, .external_lex_state = 2},
  [11560] = {.lex_state = 0, .external_lex_state = 2},
  [11561] = {.lex_state = 0, .external_lex_state = 2},
  [11562] = {.lex_state = 0, .external_lex_state = 2},
  [11563] = {.lex_state = 0, .external_lex_state = 2},
  [11564] = {.lex_state = 35},
  [11565] = {.lex_state = 0, .external_lex_state = 2},
  [11566] = {.lex_state = 35},
  [11567] = {.lex_state = 0},
  [11568] = {.lex_state = 0, .external_lex_state = 2},
  [11569] = {.lex_state = 0, .external_lex_state = 2},
  [11570] = {.lex_state = 0, .external_lex_state = 2},
  [11571] = {.lex_state = 0, .external_lex_state = 2},
  [11572] = {.lex_state = 35},
  [11573] = {.lex_state = 35},
  [11574] = {.lex_state = 35},
  [11575] = {.lex_state = 0, .external_lex_state = 2},
  [11576] = {.lex_state = 0},
  [11577] = {.lex_state = 0, .external_lex_state = 2},
  [11578] = {.lex_state = 1},
  [11579] = {.lex_state = 0, .external_lex_state = 2},
  [11580] = {.lex_state = 0, .external_lex_state = 2},
  [11581] = {.lex_state = 0, .external_lex_state = 2},
  [11582] = {.lex_state = 0},
  [11583] = {.lex_state = 0},
  [11584] = {.lex_state = 1},
  [11585] = {.lex_state = 0},
  [11586] = {.lex_state = 0},
  [11587] = {.lex_state = 0},
  [11588] = {.lex_state = 0, .external_lex_state = 2},
  [11589] = {.lex_state = 0, .external_lex_state = 2},
  [11590] = {.lex_state = 0},
  [11591] = {.lex_state = 0},
  [11592] = {.lex_state = 0},
  [11593] = {.lex_state = 0, .external_lex_state = 2},
  [11594] = {.lex_state = 0, .external_lex_state = 2},
  [11595] = {.lex_state = 0, .external_lex_state = 2},
  [11596] = {.lex_state = 0, .external_lex_state = 2},
  [11597] = {.lex_state = 0, .external_lex_state = 2},
  [11598] = {.lex_state = 0, .external_lex_state = 2},
  [11599] = {.lex_state = 0, .external_lex_state = 2},
  [11600] = {.lex_state = 0},
  [11601] = {.lex_state = 0, .external_lex_state = 2},
  [11602] = {.lex_state = 0},
  [11603] = {.lex_state = 0},
  [11604] = {.lex_state = 0},
  [11605] = {.lex_state = 0},
  [11606] = {.lex_state = 0},
  [11607] = {.lex_state = 35},
  [11608] = {.lex_state = 0},
  [11609] = {.lex_state = 0, .external_lex_state = 2},
  [11610] = {.lex_state = 35},
  [11611] = {.lex_state = 0},
  [11612] = {.lex_state = 0, .external_lex_state = 2},
  [11613] = {.lex_state = 0, .external_lex_state = 2},
  [11614] = {.lex_state = 0, .external_lex_state = 2},
  [11615] = {.lex_state = 0, .external_lex_state = 2},
  [11616] = {.lex_state = 0, .external_lex_state = 2},
  [11617] = {.lex_state = 0},
  [11618] = {.lex_state = 35},
  [11619] = {.lex_state = 0},
  [11620] = {.lex_state = 0, .external_lex_state = 2},
  [11621] = {.lex_state = 0, .external_lex_state = 2},
  [11622] = {.lex_state = 0},
  [11623] = {.lex_state = 35},
  [11624] = {.lex_state = 0, .external_lex_state = 2},
  [11625] = {.lex_state = 35},
  [11626] = {.lex_state = 35},
  [11627] = {.lex_state = 35},
  [11628] = {.lex_state = 35},
  [11629] = {.lex_state = 35},
  [11630] = {.lex_state = 35},
  [11631] = {.lex_state = 0, .external_lex_state = 2},
  [11632] = {.lex_state = 35},
  [11633] = {.lex_state = 35},
  [11634] = {.lex_state = 35},
  [11635] = {.lex_state = 35},
  [11636] = {.lex_state = 0},
  [11637] = {.lex_state = 35},
  [11638] = {.lex_state = 35},
  [11639] = {.lex_state = 35},
  [11640] = {.lex_state = 0},
  [11641] = {.lex_state = 35},
  [11642] = {.lex_state = 35},
  [11643] = {.lex_state = 35},
  [11644] = {.lex_state = 35},
  [11645] = {.lex_state = 0},
  [11646] = {.lex_state = 35},
  [11647] = {.lex_state = 35},
  [11648] = {.lex_state = 35},
  [11649] = {.lex_state = 0},
  [11650] = {.lex_state = 0, .external_lex_state = 2},
  [11651] = {.lex_state = 0, .external_lex_state = 2},
  [11652] = {.lex_state = 0},
  [11653] = {.lex_state = 35},
  [11654] = {.lex_state = 33},
  [11655] = {.lex_state = 0},
  [11656] = {.lex_state = 0},
  [11657] = {.lex_state = 1},
  [11658] = {.lex_state = 35},
  [11659] = {.lex_state = 35},
  [11660] = {.lex_state = 35},
  [11661] = {.lex_state = 35},
  [11662] = {.lex_state = 35},
  [11663] = {.lex_state = 35},
  [11664] = {.lex_state = 35},
  [11665] = {.lex_state = 35},
  [11666] = {.lex_state = 35},
  [11667] = {.lex_state = 0},
  [11668] = {.lex_state = 35},
  [11669] = {.lex_state = 35},
  [11670] = {.lex_state = 0},
  [11671] = {.lex_state = 0, .external_lex_state = 2},
  [11672] = {.lex_state = 0, .external_lex_state = 2},
  [11673] = {.lex_state = 0},
  [11674] = {.lex_state = 0},
  [11675] = {.lex_state = 0},
  [11676] = {.lex_state = 0, .external_lex_state = 2},
  [11677] = {.lex_state = 0, .external_lex_state = 2},
  [11678] = {.lex_state = 35},
  [11679] = {.lex_state = 0},
  [11680] = {.lex_state = 0, .external_lex_state = 2},
  [11681] = {.lex_state = 35},
  [11682] = {.lex_state = 0},
  [11683] = {.lex_state = 0, .external_lex_state = 2},
  [11684] = {.lex_state = 35},
  [11685] = {.lex_state = 0, .external_lex_state = 2},
  [11686] = {.lex_state = 0, .external_lex_state = 2},
  [11687] = {.lex_state = 0, .external_lex_state = 2},
  [11688] = {.lex_state = 35},
  [11689] = {.lex_state = 35},
  [11690] = {.lex_state = 0},
  [11691] = {.lex_state = 1},
  [11692] = {.lex_state = 35},
  [11693] = {.lex_state = 35},
  [11694] = {.lex_state = 35},
  [11695] = {.lex_state = 0},
  [11696] = {.lex_state = 0},
  [11697] = {.lex_state = 0, .external_lex_state = 2},
  [11698] = {.lex_state = 35},
  [11699] = {.lex_state = 0},
  [11700] = {.lex_state = 35},
  [11701] = {.lex_state = 0},
  [11702] = {.lex_state = 35},
  [11703] = {.lex_state = 0},
  [11704] = {.lex_state = 0},
  [11705] = {.lex_state = 0},
  [11706] = {.lex_state = 35},
  [11707] = {.lex_state = 0},
  [11708] = {.lex_state = 35},
  [11709] = {.lex_state = 35},
  [11710] = {.lex_state = 35},
  [11711] = {.lex_state = 35},
  [11712] = {.lex_state = 0},
  [11713] = {.lex_state = 35},
  [11714] = {.lex_state = 35},
  [11715] = {.lex_state = 35},
  [11716] = {.lex_state = 35},
  [11717] = {.lex_state = 35},
  [11718] = {.lex_state = 0},
  [11719] = {.lex_state = 0},
  [11720] = {.lex_state = 0},
  [11721] = {.lex_state = 35},
  [11722] = {.lex_state = 0, .external_lex_state = 2},
  [11723] = {.lex_state = 35},
  [11724] = {.lex_state = 0},
  [11725] = {.lex_state = 0},
  [11726] = {.lex_state = 35},
  [11727] = {.lex_state = 0, .external_lex_state = 2},
  [11728] = {.lex_state = 0, .external_lex_state = 2},
  [11729] = {.lex_state = 0},
  [11730] = {.lex_state = 0, .external_lex_state = 2},
  [11731] = {.lex_state = 0, .external_lex_state = 2},
  [11732] = {.lex_state = 0},
  [11733] = {.lex_state = 35},
  [11734] = {.lex_state = 0, .external_lex_state = 2},
  [11735] = {.lex_state = 0, .external_lex_state = 2},
  [11736] = {.lex_state = 35},
  [11737] = {.lex_state = 0, .external_lex_state = 2},
  [11738] = {.lex_state = 35},
  [11739] = {.lex_state = 35},
  [11740] = {.lex_state = 0, .external_lex_state = 2},
  [11741] = {.lex_state = 0, .external_lex_state = 2},
  [11742] = {.lex_state = 35},
  [11743] = {.lex_state = 0},
  [11744] = {.lex_state = 0, .external_lex_state = 2},
  [11745] = {.lex_state = 35},
  [11746] = {.lex_state = 0, .external_lex_state = 2},
  [11747] = {.lex_state = 35},
  [11748] = {.lex_state = 35},
  [11749] = {.lex_state = 0},
  [11750] = {.lex_state = 35},
  [11751] = {.lex_state = 35},
  [11752] = {.lex_state = 35},
  [11753] = {.lex_state = 0},
  [11754] = {.lex_state = 35},
  [11755] = {.lex_state = 0},
  [11756] = {.lex_state = 35},
  [11757] = {.lex_state = 1},
  [11758] = {.lex_state = 0},
  [11759] = {.lex_state = 35},
  [11760] = {.lex_state = 35},
  [11761] = {.lex_state = 35},
  [11762] = {.lex_state = 35},
  [11763] = {.lex_state = 35},
  [11764] = {.lex_state = 0},
  [11765] = {.lex_state = 35},
  [11766] = {.lex_state = 0},
  [11767] = {.lex_state = 0, .external_lex_state = 2},
  [11768] = {.lex_state = 1},
  [11769] = {.lex_state = 35},
  [11770] = {.lex_state = 0},
  [11771] = {.lex_state = 35},
  [11772] = {.lex_state = 0},
  [11773] = {.lex_state = 0, .external_lex_state = 2},
  [11774] = {.lex_state = 0},
  [11775] = {.lex_state = 0, .external_lex_state = 2},
  [11776] = {.lex_state = 35},
  [11777] = {.lex_state = 35},
  [11778] = {.lex_state = 35},
  [11779] = {.lex_state = 0, .external_lex_state = 2},
  [11780] = {.lex_state = 0},
  [11781] = {.lex_state = 35},
  [11782] = {.lex_state = 0},
  [11783] = {.lex_state = 0},
  [11784] = {.lex_state = 35},
  [11785] = {.lex_state = 0},
  [11786] = {.lex_state = 0, .external_lex_state = 2},
  [11787] = {.lex_state = 0, .external_lex_state = 2},
  [11788] = {.lex_state = 0, .external_lex_state = 2},
  [11789] = {.lex_state = 0, .external_lex_state = 2},
  [11790] = {.lex_state = 35},
  [11791] = {.lex_state = 0},
  [11792] = {.lex_state = 0, .external_lex_state = 2},
  [11793] = {.lex_state = 0, .external_lex_state = 2},
  [11794] = {.lex_state = 35},
  [11795] = {.lex_state = 0},
  [11796] = {.lex_state = 0},
  [11797] = {.lex_state = 0},
  [11798] = {.lex_state = 0, .external_lex_state = 2},
  [11799] = {.lex_state = 0, .external_lex_state = 2},
  [11800] = {.lex_state = 0, .external_lex_state = 2},
  [11801] = {.lex_state = 0, .external_lex_state = 2},
  [11802] = {.lex_state = 0, .external_lex_state = 2},
  [11803] = {.lex_state = 0, .external_lex_state = 2},
  [11804] = {.lex_state = 0, .external_lex_state = 2},
  [11805] = {.lex_state = 0, .external_lex_state = 2},
  [11806] = {.lex_state = 35},
  [11807] = {.lex_state = 35},
  [11808] = {.lex_state = 35},
  [11809] = {.lex_state = 35},
  [11810] = {.lex_state = 35},
  [11811] = {.lex_state = 35},
  [11812] = {.lex_state = 0},
  [11813] = {.lex_state = 0, .external_lex_state = 2},
  [11814] = {.lex_state = 0, .external_lex_state = 2},
  [11815] = {.lex_state = 0},
  [11816] = {.lex_state = 1},
  [11817] = {.lex_state = 0, .external_lex_state = 2},
  [11818] = {.lex_state = 0},
  [11819] = {.lex_state = 0},
  [11820] = {.lex_state = 0},
  [11821] = {.lex_state = 0},
  [11822] = {.lex_state = 35},
  [11823] = {.lex_state = 35},
  [11824] = {.lex_state = 35},
  [11825] = {.lex_state = 0},
  [11826] = {.lex_state = 0},
  [11827] = {.lex_state = 35},
  [11828] = {.lex_state = 0},
  [11829] = {.lex_state = 1},
  [11830] = {.lex_state = 0},
  [11831] = {.lex_state = 0, .external_lex_state = 2},
  [11832] = {.lex_state = 0},
  [11833] = {.lex_state = 35},
  [11834] = {.lex_state = 0},
  [11835] = {.lex_state = 35},
  [11836] = {.lex_state = 0},
  [11837] = {.lex_state = 0},
  [11838] = {.lex_state = 0},
  [11839] = {.lex_state = 0, .external_lex_state = 2},
  [11840] = {.lex_state = 0},
  [11841] = {.lex_state = 35},
  [11842] = {.lex_state = 35},
  [11843] = {.lex_state = 35},
  [11844] = {.lex_state = 35},
  [11845] = {.lex_state = 35},
  [11846] = {.lex_state = 35},
  [11847] = {.lex_state = 35},
  [11848] = {.lex_state = 35},
  [11849] = {.lex_state = 35},
  [11850] = {.lex_state = 35},
  [11851] = {.lex_state = 0},
  [11852] = {.lex_state = 35},
  [11853] = {.lex_state = 35},
  [11854] = {.lex_state = 0},
  [11855] = {.lex_state = 0},
  [11856] = {.lex_state = 0},
  [11857] = {.lex_state = 0},
  [11858] = {.lex_state = 0, .external_lex_state = 2},
  [11859] = {.lex_state = 0},
  [11860] = {.lex_state = 0},
  [11861] = {.lex_state = 0},
  [11862] = {.lex_state = 35},
  [11863] = {.lex_state = 0},
  [11864] = {.lex_state = 35},
  [11865] = {.lex_state = 0},
  [11866] = {.lex_state = 0},
  [11867] = {.lex_state = 0},
  [11868] = {.lex_state = 0, .external_lex_state = 2},
  [11869] = {.lex_state = 35},
  [11870] = {.lex_state = 0},
  [11871] = {.lex_state = 0, .external_lex_state = 2},
  [11872] = {.lex_state = 35},
  [11873] = {.lex_state = 35},
  [11874] = {.lex_state = 35},
  [11875] = {.lex_state = 35},
  [11876] = {.lex_state = 35},
  [11877] = {.lex_state = 35},
  [11878] = {.lex_state = 0},
  [11879] = {.lex_state = 35},
  [11880] = {.lex_state = 35},
  [11881] = {.lex_state = 35},
  [11882] = {.lex_state = 0},
  [11883] = {.lex_state = 0},
  [11884] = {.lex_state = 35},
  [11885] = {.lex_state = 1},
  [11886] = {.lex_state = 35},
  [11887] = {.lex_state = 35},
  [11888] = {.lex_state = 0},
  [11889] = {.lex_state = 35},
  [11890] = {.lex_state = 35},
  [11891] = {.lex_state = 0},
  [11892] = {.lex_state = 35},
  [11893] = {.lex_state = 0},
  [11894] = {.lex_state = 35},
  [11895] = {.lex_state = 0},
  [11896] = {.lex_state = 0, .external_lex_state = 2},
  [11897] = {.lex_state = 0},
  [11898] = {.lex_state = 0},
  [11899] = {.lex_state = 1},
  [11900] = {.lex_state = 35},
  [11901] = {.lex_state = 0},
  [11902] = {.lex_state = 0},
  [11903] = {.lex_state = 35},
  [11904] = {.lex_state = 0},
  [11905] = {.lex_state = 0},
  [11906] = {.lex_state = 35},
  [11907] = {.lex_state = 0},
  [11908] = {.lex_state = 35},
  [11909] = {.lex_state = 35},
  [11910] = {.lex_state = 35},
  [11911] = {.lex_state = 35},
  [11912] = {.lex_state = 35},
  [11913] = {.lex_state = 35},
  [11914] = {.lex_state = 0},
  [11915] = {.lex_state = 35},
  [11916] = {.lex_state = 0},
  [11917] = {.lex_state = 0},
  [11918] = {.lex_state = 35},
  [11919] = {.lex_state = 0},
  [11920] = {.lex_state = 35},
  [11921] = {.lex_state = 35},
  [11922] = {.lex_state = 35},
  [11923] = {.lex_state = 35},
  [11924] = {.lex_state = 0},
  [11925] = {.lex_state = 35},
  [11926] = {.lex_state = 0, .external_lex_state = 2},
  [11927] = {.lex_state = 35},
  [11928] = {.lex_state = 35},
  [11929] = {.lex_state = 0},
  [11930] = {.lex_state = 35},
  [11931] = {.lex_state = 0, .external_lex_state = 2},
  [11932] = {.lex_state = 0},
  [11933] = {.lex_state = 35},
  [11934] = {.lex_state = 0, .external_lex_state = 2},
  [11935] = {.lex_state = 0},
  [11936] = {.lex_state = 0},
  [11937] = {.lex_state = 0, .external_lex_state = 2},
  [11938] = {.lex_state = 35},
  [11939] = {.lex_state = 35},
  [11940] = {.lex_state = 35},
  [11941] = {.lex_state = 35},
  [11942] = {.lex_state = 0},
  [11943] = {.lex_state = 35},
  [11944] = {.lex_state = 35},
  [11945] = {.lex_state = 0},
  [11946] = {.lex_state = 0},
  [11947] = {.lex_state = 0},
  [11948] = {.lex_state = 0},
  [11949] = {.lex_state = 0},
  [11950] = {.lex_state = 0},
  [11951] = {.lex_state = 0},
  [11952] = {.lex_state = 0},
  [11953] = {.lex_state = 35},
  [11954] = {.lex_state = 0, .external_lex_state = 2},
  [11955] = {.lex_state = 35},
  [11956] = {.lex_state = 35},
  [11957] = {.lex_state = 0},
  [11958] = {.lex_state = 0},
  [11959] = {.lex_state = 0},
  [11960] = {.lex_state = 0},
  [11961] = {.lex_state = 35},
  [11962] = {.lex_state = 35},
  [11963] = {.lex_state = 0},
  [11964] = {.lex_state = 0},
  [11965] = {.lex_state = 0, .external_lex_state = 2},
  [11966] = {.lex_state = 0, .external_lex_state = 2},
  [11967] = {.lex_state = 0},
  [11968] = {.lex_state = 0, .external_lex_state = 2},
  [11969] = {.lex_state = 35},
  [11970] = {.lex_state = 35},
  [11971] = {.lex_state = 0},
  [11972] = {.lex_state = 35},
  [11973] = {.lex_state = 0, .external_lex_state = 2},
  [11974] = {.lex_state = 35},
  [11975] = {.lex_state = 0},
  [11976] = {.lex_state = 0},
  [11977] = {.lex_state = 35},
  [11978] = {.lex_state = 0},
  [11979] = {.lex_state = 35},
  [11980] = {.lex_state = 35},
  [11981] = {.lex_state = 35},
  [11982] = {.lex_state = 0},
  [11983] = {.lex_state = 0},
  [11984] = {.lex_state = 35},
  [11985] = {.lex_state = 0},
  [11986] = {.lex_state = 0},
  [11987] = {.lex_state = 0},
  [11988] = {.lex_state = 0},
  [11989] = {.lex_state = 0},
  [11990] = {.lex_state = 0},
  [11991] = {.lex_state = 0},
  [11992] = {.lex_state = 0},
  [11993] = {.lex_state = 35},
  [11994] = {.lex_state = 0},
  [11995] = {.lex_state = 0},
  [11996] = {.lex_state = 35},
  [11997] = {.lex_state = 0, .external_lex_state = 2},
  [11998] = {.lex_state = 35},
  [11999] = {.lex_state = 0},
  [12000] = {.lex_state = 0},
  [12001] = {.lex_state = 0, .external_lex_state = 2},
  [12002] = {.lex_state = 35},
  [12003] = {.lex_state = 35},
  [12004] = {.lex_state = 0},
  [12005] = {.lex_state = 0},
  [12006] = {.lex_state = 0},
  [12007] = {.lex_state = 0, .external_lex_state = 2},
  [12008] = {.lex_state = 0, .external_lex_state = 2},
  [12009] = {.lex_state = 35},
  [12010] = {.lex_state = 0, .external_lex_state = 2},
  [12011] = {.lex_state = 0, .external_lex_state = 2},
  [12012] = {.lex_state = 35},
  [12013] = {.lex_state = 35},
  [12014] = {.lex_state = 35},
  [12015] = {.lex_state = 0},
  [12016] = {.lex_state = 35},
  [12017] = {.lex_state = 0, .external_lex_state = 2},
  [12018] = {.lex_state = 0},
  [12019] = {.lex_state = 0},
  [12020] = {.lex_state = 0},
  [12021] = {.lex_state = 0},
  [12022] = {.lex_state = 35},
  [12023] = {.lex_state = 0},
  [12024] = {.lex_state = 35},
  [12025] = {.lex_state = 0},
  [12026] = {.lex_state = 35},
  [12027] = {.lex_state = 0},
  [12028] = {.lex_state = 35},
  [12029] = {.lex_state = 0, .external_lex_state = 2},
  [12030] = {.lex_state = 0},
  [12031] = {.lex_state = 35},
  [12032] = {.lex_state = 35},
  [12033] = {.lex_state = 0},
  [12034] = {.lex_state = 0},
  [12035] = {.lex_state = 35},
  [12036] = {.lex_state = 0, .external_lex_state = 2},
  [12037] = {.lex_state = 35},
  [12038] = {.lex_state = 0},
  [12039] = {.lex_state = 0},
  [12040] = {.lex_state = 0},
  [12041] = {.lex_state = 0},
  [12042] = {.lex_state = 0},
  [12043] = {.lex_state = 35},
  [12044] = {.lex_state = 0},
  [12045] = {.lex_state = 0},
  [12046] = {.lex_state = 1},
  [12047] = {.lex_state = 0},
  [12048] = {.lex_state = 0},
  [12049] = {.lex_state = 0},
  [12050] = {.lex_state = 0},
  [12051] = {.lex_state = 0},
  [12052] = {.lex_state = 0, .external_lex_state = 2},
  [12053] = {.lex_state = 1},
  [12054] = {.lex_state = 35},
  [12055] = {.lex_state = 0},
  [12056] = {.lex_state = 35},
  [12057] = {.lex_state = 0},
  [12058] = {.lex_state = 35},
  [12059] = {.lex_state = 35},
  [12060] = {.lex_state = 1},
  [12061] = {.lex_state = 0},
  [12062] = {.lex_state = 0},
  [12063] = {.lex_state = 0},
  [12064] = {.lex_state = 0},
  [12065] = {.lex_state = 0},
  [12066] = {.lex_state = 0},
  [12067] = {.lex_state = 0},
  [12068] = {.lex_state = 0},
  [12069] = {.lex_state = 0},
  [12070] = {.lex_state = 0},
  [12071] = {.lex_state = 0},
  [12072] = {.lex_state = 35},
  [12073] = {.lex_state = 35},
  [12074] = {.lex_state = 0},
  [12075] = {.lex_state = 0},
  [12076] = {.lex_state = 0},
  [12077] = {.lex_state = 35},
  [12078] = {.lex_state = 35},
  [12079] = {.lex_state = 35},
  [12080] = {.lex_state = 0},
  [12081] = {.lex_state = 0},
  [12082] = {.lex_state = 0, .external_lex_state = 2},
  [12083] = {.lex_state = 0},
  [12084] = {.lex_state = 0},
  [12085] = {.lex_state = 0},
  [12086] = {.lex_state = 0},
  [12087] = {.lex_state = 35},
  [12088] = {.lex_state = 0, .external_lex_state = 2},
  [12089] = {.lex_state = 35},
  [12090] = {.lex_state = 0},
  [12091] = {.lex_state = 0},
  [12092] = {.lex_state = 0},
  [12093] = {.lex_state = 0, .external_lex_state = 2},
  [12094] = {.lex_state = 35},
  [12095] = {.lex_state = 35},
  [12096] = {.lex_state = 35},
  [12097] = {.lex_state = 35},
  [12098] = {.lex_state = 0},
  [12099] = {.lex_state = 0},
  [12100] = {.lex_state = 35},
  [12101] = {.lex_state = 0},
  [12102] = {.lex_state = 0},
  [12103] = {.lex_state = 35},
  [12104] = {.lex_state = 35},
  [12105] = {.lex_state = 35},
  [12106] = {.lex_state = 35},
  [12107] = {.lex_state = 0},
  [12108] = {.lex_state = 35},
  [12109] = {.lex_state = 0},
  [12110] = {.lex_state = 0},
  [12111] = {.lex_state = 35},
  [12112] = {.lex_state = 0},
  [12113] = {.lex_state = 0},
  [12114] = {.lex_state = 35},
  [12115] = {.lex_state = 0},
  [12116] = {.lex_state = 35},
  [12117] = {.lex_state = 0},
  [12118] = {.lex_state = 35},
  [12119] = {.lex_state = 35},
  [12120] = {.lex_state = 0, .external_lex_state = 2},
  [12121] = {.lex_state = 35},
  [12122] = {.lex_state = 0},
  [12123] = {.lex_state = 35},
  [12124] = {.lex_state = 35},
  [12125] = {.lex_state = 0},
  [12126] = {.lex_state = 0},
  [12127] = {.lex_state = 35},
  [12128] = {.lex_state = 35},
  [12129] = {.lex_state = 35},
  [12130] = {.lex_state = 35},
  [12131] = {.lex_state = 0, .external_lex_state = 2},
  [12132] = {.lex_state = 35},
  [12133] = {.lex_state = 35},
  [12134] = {.lex_state = 35},
  [12135] = {.lex_state = 0},
  [12136] = {.lex_state = 35},
  [12137] = {.lex_state = 35},
  [12138] = {.lex_state = 35},
  [12139] = {.lex_state = 35},
  [12140] = {.lex_state = 35},
  [12141] = {.lex_state = 0, .external_lex_state = 2},
  [12142] = {.lex_state = 0},
  [12143] = {.lex_state = 35},
  [12144] = {.lex_state = 0},
  [12145] = {.lex_state = 0},
  [12146] = {.lex_state = 35},
  [12147] = {.lex_state = 35},
  [12148] = {.lex_state = 35},
  [12149] = {.lex_state = 35},
  [12150] = {.lex_state = 0, .external_lex_state = 2},
  [12151] = {.lex_state = 35},
  [12152] = {.lex_state = 35},
  [12153] = {.lex_state = 35},
  [12154] = {.lex_state = 0, .external_lex_state = 2},
  [12155] = {.lex_state = 0},
  [12156] = {.lex_state = 35},
  [12157] = {.lex_state = 0},
  [12158] = {.lex_state = 0},
  [12159] = {.lex_state = 0},
  [12160] = {.lex_state = 0},
  [12161] = {.lex_state = 35},
  [12162] = {.lex_state = 0},
  [12163] = {.lex_state = 1},
  [12164] = {.lex_state = 35},
  [12165] = {.lex_state = 35},
  [12166] = {.lex_state = 0},
  [12167] = {.lex_state = 1},
  [12168] = {.lex_state = 0},
  [12169] = {.lex_state = 0},
  [12170] = {.lex_state = 0},
  [12171] = {.lex_state = 35},
  [12172] = {.lex_state = 35},
  [12173] = {.lex_state = 35},
  [12174] = {.lex_state = 35},
  [12175] = {.lex_state = 0},
  [12176] = {.lex_state = 35},
  [12177] = {.lex_state = 35},
  [12178] = {.lex_state = 35},
  [12179] = {.lex_state = 0, .external_lex_state = 2},
  [12180] = {.lex_state = 0},
  [12181] = {.lex_state = 35},
  [12182] = {.lex_state = 0},
  [12183] = {.lex_state = 0, .external_lex_state = 2},
  [12184] = {.lex_state = 0, .external_lex_state = 2},
  [12185] = {.lex_state = 0},
  [12186] = {.lex_state = 35},
  [12187] = {.lex_state = 0, .external_lex_state = 2},
  [12188] = {.lex_state = 0, .external_lex_state = 2},
  [12189] = {.lex_state = 0, .external_lex_state = 2},
  [12190] = {.lex_state = 0},
  [12191] = {.lex_state = 0},
  [12192] = {.lex_state = 0},
  [12193] = {.lex_state = 0},
  [12194] = {.lex_state = 35},
  [12195] = {.lex_state = 0, .external_lex_state = 2},
  [12196] = {.lex_state = 35},
  [12197] = {.lex_state = 0, .external_lex_state = 2},
  [12198] = {.lex_state = 35},
  [12199] = {.lex_state = 0},
  [12200] = {.lex_state = 0},
  [12201] = {.lex_state = 0},
  [12202] = {.lex_state = 0},
  [12203] = {.lex_state = 35},
  [12204] = {.lex_state = 35},
  [12205] = {.lex_state = 35},
  [12206] = {.lex_state = 0},
  [12207] = {.lex_state = 0},
  [12208] = {.lex_state = 0, .external_lex_state = 2},
  [12209] = {.lex_state = 0, .external_lex_state = 2},
  [12210] = {.lex_state = 35},
  [12211] = {.lex_state = 0},
  [12212] = {.lex_state = 0, .external_lex_state = 2},
  [12213] = {.lex_state = 35},
  [12214] = {.lex_state = 35},
  [12215] = {.lex_state = 35},
  [12216] = {.lex_state = 0},
  [12217] = {.lex_state = 0, .external_lex_state = 2},
  [12218] = {.lex_state = 0, .external_lex_state = 2},
  [12219] = {.lex_state = 0, .external_lex_state = 2},
  [12220] = {.lex_state = 0},
  [12221] = {.lex_state = 0},
  [12222] = {.lex_state = 0},
  [12223] = {.lex_state = 0},
  [12224] = {.lex_state = 0},
  [12225] = {.lex_state = 0},
  [12226] = {.lex_state = 0},
  [12227] = {.lex_state = 0, .external_lex_state = 2},
  [12228] = {.lex_state = 35},
  [12229] = {.lex_state = 0},
  [12230] = {.lex_state = 35},
  [12231] = {.lex_state = 1},
  [12232] = {.lex_state = 0, .external_lex_state = 2},
  [12233] = {.lex_state = 35},
  [12234] = {.lex_state = 35},
  [12235] = {.lex_state = 0, .external_lex_state = 2},
  [12236] = {.lex_state = 35},
  [12237] = {.lex_state = 0, .external_lex_state = 2},
  [12238] = {.lex_state = 35},
  [12239] = {.lex_state = 0, .external_lex_state = 2},
  [12240] = {.lex_state = 0, .external_lex_state = 2},
  [12241] = {.lex_state = 0, .external_lex_state = 2},
  [12242] = {.lex_state = 0, .external_lex_state = 2},
  [12243] = {.lex_state = 35},
  [12244] = {.lex_state = 0},
  [12245] = {.lex_state = 0},
  [12246] = {.lex_state = 35},
  [12247] = {.lex_state = 0},
  [12248] = {.lex_state = 0},
  [12249] = {.lex_state = 35},
  [12250] = {.lex_state = 35},
  [12251] = {.lex_state = 0},
  [12252] = {.lex_state = 0},
  [12253] = {.lex_state = 0},
  [12254] = {.lex_state = 0, .external_lex_state = 2},
  [12255] = {.lex_state = 35},
  [12256] = {.lex_state = 0},
  [12257] = {.lex_state = 35},
  [12258] = {.lex_state = 35},
  [12259] = {.lex_state = 35},
  [12260] = {.lex_state = 0},
  [12261] = {.lex_state = 0},
  [12262] = {.lex_state = 0},
  [12263] = {.lex_state = 35},
  [12264] = {.lex_state = 35},
  [12265] = {.lex_state = 0},
  [12266] = {.lex_state = 0},
  [12267] = {.lex_state = 35},
  [12268] = {.lex_state = 35},
  [12269] = {.lex_state = 0},
  [12270] = {.lex_state = 0},
  [12271] = {.lex_state = 0},
  [12272] = {.lex_state = 0},
  [12273] = {.lex_state = 35},
  [12274] = {.lex_state = 35},
  [12275] = {.lex_state = 0},
  [12276] = {.lex_state = 0},
  [12277] = {.lex_state = 0},
  [12278] = {.lex_state = 35},
  [12279] = {.lex_state = 35},
  [12280] = {.lex_state = 0},
  [12281] = {.lex_state = 35},
  [12282] = {.lex_state = 35},
  [12283] = {.lex_state = 0},
  [12284] = {.lex_state = 0},
  [12285] = {.lex_state = 0},
  [12286] = {.lex_state = 0},
  [12287] = {.lex_state = 35},
  [12288] = {.lex_state = 35},
  [12289] = {.lex_state = 35},
  [12290] = {.lex_state = 0},
  [12291] = {.lex_state = 35},
  [12292] = {.lex_state = 35},
  [12293] = {.lex_state = 0},
  [12294] = {.lex_state = 0},
  [12295] = {.lex_state = 0},
  [12296] = {.lex_state = 35},
  [12297] = {.lex_state = 0},
  [12298] = {.lex_state = 0},
  [12299] = {.lex_state = 0},
  [12300] = {.lex_state = 0},
  [12301] = {.lex_state = 0},
  [12302] = {.lex_state = 0},
  [12303] = {.lex_state = 0},
  [12304] = {.lex_state = 0},
  [12305] = {.lex_state = 0},
  [12306] = {.lex_state = 0},
  [12307] = {.lex_state = 35},
  [12308] = {.lex_state = 0},
  [12309] = {.lex_state = 0},
  [12310] = {.lex_state = 0},
  [12311] = {.lex_state = 0},
  [12312] = {.lex_state = 0},
  [12313] = {.lex_state = 0},
  [12314] = {.lex_state = 0},
  [12315] = {.lex_state = 0},
  [12316] = {.lex_state = 0},
  [12317] = {.lex_state = 33},
  [12318] = {.lex_state = 0},
  [12319] = {.lex_state = 0},
  [12320] = {.lex_state = 0},
  [12321] = {.lex_state = 0},
  [12322] = {.lex_state = 0},
  [12323] = {.lex_state = 0},
  [12324] = {.lex_state = 35},
  [12325] = {.lex_state = 0},
  [12326] = {.lex_state = 0},
  [12327] = {.lex_state = 0},
  [12328] = {.lex_state = 0},
  [12329] = {.lex_state = 0},
  [12330] = {.lex_state = 0},
  [12331] = {.lex_state = 0},
  [12332] = {.lex_state = 0},
  [12333] = {.lex_state = 35},
  [12334] = {.lex_state = 0},
  [12335] = {.lex_state = 0},
  [12336] = {.lex_state = 0},
  [12337] = {.lex_state = 0},
  [12338] = {.lex_state = 0},
  [12339] = {.lex_state = 0},
  [12340] = {.lex_state = 0},
  [12341] = {.lex_state = 0},
  [12342] = {.lex_state = 0},
  [12343] = {.lex_state = 0},
  [12344] = {.lex_state = 0},
  [12345] = {.lex_state = 0},
  [12346] = {.lex_state = 0},
  [12347] = {.lex_state = 0},
  [12348] = {.lex_state = 0},
  [12349] = {.lex_state = 35},
  [12350] = {.lex_state = 0},
  [12351] = {.lex_state = 0},
  [12352] = {.lex_state = 0},
  [12353] = {.lex_state = 0},
  [12354] = {.lex_state = 0},
  [12355] = {.lex_state = 0},
  [12356] = {.lex_state = 0},
  [12357] = {.lex_state = 0},
  [12358] = {.lex_state = 35},
  [12359] = {.lex_state = 0},
  [12360] = {.lex_state = 0},
  [12361] = {.lex_state = 0},
  [12362] = {.lex_state = 35},
  [12363] = {.lex_state = 35},
  [12364] = {.lex_state = 0},
  [12365] = {.lex_state = 0},
  [12366] = {.lex_state = 0},
  [12367] = {.lex_state = 0},
  [12368] = {.lex_state = 0},
  [12369] = {.lex_state = 0},
  [12370] = {.lex_state = 0},
  [12371] = {.lex_state = 0},
  [12372] = {.lex_state = 0},
  [12373] = {.lex_state = 0},
  [12374] = {.lex_state = 0},
  [12375] = {.lex_state = 0},
  [12376] = {.lex_state = 0},
  [12377] = {.lex_state = 0},
  [12378] = {.lex_state = 0},
  [12379] = {.lex_state = 0},
  [12380] = {.lex_state = 0},
  [12381] = {.lex_state = 35},
  [12382] = {.lex_state = 35},
  [12383] = {.lex_state = 0},
  [12384] = {.lex_state = 0},
  [12385] = {.lex_state = 35},
  [12386] = {.lex_state = 0},
  [12387] = {.lex_state = 0},
  [12388] = {.lex_state = 0},
  [12389] = {.lex_state = 0},
  [12390] = {.lex_state = 0},
  [12391] = {.lex_state = 0},
  [12392] = {.lex_state = 0},
  [12393] = {.lex_state = 0},
  [12394] = {.lex_state = 0},
  [12395] = {.lex_state = 0},
  [12396] = {.lex_state = 0},
  [12397] = {.lex_state = 35},
  [12398] = {.lex_state = 0},
  [12399] = {.lex_state = 0},
  [12400] = {.lex_state = 0},
  [12401] = {.lex_state = 0},
  [12402] = {.lex_state = 0},
  [12403] = {.lex_state = 0},
  [12404] = {.lex_state = 0},
  [12405] = {.lex_state = 0},
  [12406] = {.lex_state = 0},
  [12407] = {.lex_state = 0},
  [12408] = {.lex_state = 0},
  [12409] = {.lex_state = 0},
  [12410] = {.lex_state = 0},
  [12411] = {.lex_state = 0},
  [12412] = {.lex_state = 0},
  [12413] = {.lex_state = 0},
  [12414] = {.lex_state = 0},
  [12415] = {.lex_state = 0},
  [12416] = {.lex_state = 0},
  [12417] = {.lex_state = 0},
  [12418] = {.lex_state = 0},
  [12419] = {.lex_state = 0},
  [12420] = {.lex_state = 0},
  [12421] = {.lex_state = 0},
  [12422] = {.lex_state = 0},
  [12423] = {.lex_state = 0},
  [12424] = {.lex_state = 0},
  [12425] = {.lex_state = 0},
  [12426] = {.lex_state = 0},
  [12427] = {.lex_state = 35},
  [12428] = {.lex_state = 0},
  [12429] = {.lex_state = 0},
  [12430] = {.lex_state = 0},
  [12431] = {.lex_state = 0},
  [12432] = {.lex_state = 0},
  [12433] = {.lex_state = 0},
  [12434] = {.lex_state = 0},
  [12435] = {.lex_state = 0},
  [12436] = {.lex_state = 0},
  [12437] = {.lex_state = 0},
  [12438] = {.lex_state = 35},
  [12439] = {.lex_state = 0},
  [12440] = {.lex_state = 0},
  [12441] = {.lex_state = 0},
  [12442] = {.lex_state = 0},
  [12443] = {.lex_state = 0},
  [12444] = {.lex_state = 0},
  [12445] = {.lex_state = 0},
  [12446] = {.lex_state = 0},
  [12447] = {.lex_state = 35},
  [12448] = {.lex_state = 0},
  [12449] = {.lex_state = 0},
  [12450] = {.lex_state = 35},
  [12451] = {.lex_state = 35},
  [12452] = {.lex_state = 35},
  [12453] = {.lex_state = 35},
  [12454] = {.lex_state = 0},
  [12455] = {.lex_state = 35},
  [12456] = {.lex_state = 0},
  [12457] = {.lex_state = 0},
  [12458] = {.lex_state = 0},
  [12459] = {.lex_state = 0},
  [12460] = {.lex_state = 0},
  [12461] = {.lex_state = 0},
  [12462] = {.lex_state = 35},
  [12463] = {.lex_state = 0},
  [12464] = {.lex_state = 35},
  [12465] = {.lex_state = 35},
  [12466] = {.lex_state = 0},
  [12467] = {.lex_state = 35},
  [12468] = {.lex_state = 0},
  [12469] = {.lex_state = 35},
  [12470] = {.lex_state = 0},
  [12471] = {.lex_state = 0},
  [12472] = {.lex_state = 0},
  [12473] = {.lex_state = 0},
  [12474] = {.lex_state = 0},
  [12475] = {.lex_state = 0},
  [12476] = {.lex_state = 0},
  [12477] = {.lex_state = 0},
  [12478] = {.lex_state = 0},
  [12479] = {.lex_state = 0},
  [12480] = {.lex_state = 35},
  [12481] = {.lex_state = 0},
  [12482] = {.lex_state = 0},
  [12483] = {.lex_state = 0},
  [12484] = {.lex_state = 0},
  [12485] = {.lex_state = 0},
  [12486] = {.lex_state = 0},
  [12487] = {.lex_state = 0},
  [12488] = {.lex_state = 0},
  [12489] = {.lex_state = 0},
  [12490] = {.lex_state = 0},
  [12491] = {.lex_state = 0},
  [12492] = {.lex_state = 0},
  [12493] = {.lex_state = 0},
  [12494] = {.lex_state = 35},
  [12495] = {.lex_state = 0},
  [12496] = {.lex_state = 0},
  [12497] = {.lex_state = 0},
  [12498] = {.lex_state = 0},
  [12499] = {.lex_state = 0},
  [12500] = {.lex_state = 0},
  [12501] = {.lex_state = 0},
  [12502] = {.lex_state = 0},
  [12503] = {.lex_state = 0},
  [12504] = {.lex_state = 0},
  [12505] = {.lex_state = 0},
  [12506] = {.lex_state = 0},
  [12507] = {.lex_state = 35},
  [12508] = {.lex_state = 35},
  [12509] = {.lex_state = 0},
  [12510] = {.lex_state = 0},
  [12511] = {.lex_state = 0},
  [12512] = {.lex_state = 0},
  [12513] = {.lex_state = 0},
  [12514] = {.lex_state = 0},
  [12515] = {.lex_state = 0},
  [12516] = {.lex_state = 0},
  [12517] = {.lex_state = 0},
  [12518] = {.lex_state = 0},
  [12519] = {.lex_state = 0},
  [12520] = {.lex_state = 35},
  [12521] = {.lex_state = 0},
  [12522] = {.lex_state = 0},
  [12523] = {.lex_state = 0},
  [12524] = {.lex_state = 0},
  [12525] = {.lex_state = 0},
  [12526] = {.lex_state = 0},
  [12527] = {.lex_state = 0},
  [12528] = {.lex_state = 0},
  [12529] = {.lex_state = 35},
  [12530] = {.lex_state = 35},
  [12531] = {.lex_state = 0},
  [12532] = {.lex_state = 0},
  [12533] = {.lex_state = 35},
  [12534] = {.lex_state = 35},
  [12535] = {.lex_state = 0},
  [12536] = {.lex_state = 0},
  [12537] = {.lex_state = 0},
  [12538] = {.lex_state = 0},
  [12539] = {.lex_state = 35},
  [12540] = {.lex_state = 0},
  [12541] = {.lex_state = 0},
  [12542] = {.lex_state = 0},
  [12543] = {.lex_state = 35},
  [12544] = {.lex_state = 0},
  [12545] = {.lex_state = 0},
  [12546] = {.lex_state = 0},
  [12547] = {.lex_state = 0},
  [12548] = {.lex_state = 0},
  [12549] = {.lex_state = 0},
  [12550] = {.lex_state = 0},
  [12551] = {.lex_state = 0},
  [12552] = {.lex_state = 0},
  [12553] = {.lex_state = 0},
  [12554] = {.lex_state = 0},
  [12555] = {.lex_state = 0},
  [12556] = {.lex_state = 0},
  [12557] = {.lex_state = 0},
  [12558] = {.lex_state = 0},
  [12559] = {.lex_state = 35},
  [12560] = {.lex_state = 0},
  [12561] = {.lex_state = 0},
  [12562] = {.lex_state = 0},
  [12563] = {.lex_state = 0},
  [12564] = {.lex_state = 0},
  [12565] = {.lex_state = 0},
  [12566] = {.lex_state = 0},
  [12567] = {.lex_state = 0},
  [12568] = {.lex_state = 0},
  [12569] = {.lex_state = 0},
  [12570] = {.lex_state = 0},
  [12571] = {.lex_state = 0},
  [12572] = {.lex_state = 0},
  [12573] = {.lex_state = 0},
  [12574] = {.lex_state = 35},
  [12575] = {.lex_state = 0},
  [12576] = {.lex_state = 0},
  [12577] = {.lex_state = 0},
  [12578] = {.lex_state = 0},
  [12579] = {.lex_state = 0},
  [12580] = {.lex_state = 0},
  [12581] = {.lex_state = 0},
  [12582] = {.lex_state = 0},
  [12583] = {.lex_state = 0},
  [12584] = {.lex_state = 0},
  [12585] = {.lex_state = 0},
  [12586] = {.lex_state = 0},
  [12587] = {.lex_state = 0},
  [12588] = {.lex_state = 0},
  [12589] = {.lex_state = 0},
  [12590] = {.lex_state = 0},
  [12591] = {.lex_state = 0},
  [12592] = {.lex_state = 0},
  [12593] = {.lex_state = 0},
  [12594] = {.lex_state = 35},
  [12595] = {.lex_state = 35},
  [12596] = {.lex_state = 35},
  [12597] = {.lex_state = 0},
  [12598] = {.lex_state = 0},
  [12599] = {.lex_state = 0},
  [12600] = {.lex_state = 0},
  [12601] = {.lex_state = 0},
  [12602] = {.lex_state = 35},
  [12603] = {.lex_state = 0},
  [12604] = {.lex_state = 0},
  [12605] = {.lex_state = 0},
  [12606] = {.lex_state = 0},
  [12607] = {.lex_state = 0},
  [12608] = {.lex_state = 0},
  [12609] = {.lex_state = 0},
  [12610] = {.lex_state = 35},
  [12611] = {.lex_state = 35},
  [12612] = {.lex_state = 35},
  [12613] = {.lex_state = 0},
  [12614] = {.lex_state = 35},
  [12615] = {.lex_state = 0},
  [12616] = {.lex_state = 0},
  [12617] = {.lex_state = 0},
  [12618] = {.lex_state = 35},
  [12619] = {.lex_state = 0},
  [12620] = {.lex_state = 0},
  [12621] = {.lex_state = 0},
  [12622] = {.lex_state = 0},
  [12623] = {.lex_state = 0},
  [12624] = {.lex_state = 0},
  [12625] = {.lex_state = 0},
  [12626] = {.lex_state = 0},
  [12627] = {.lex_state = 0},
  [12628] = {.lex_state = 0},
  [12629] = {.lex_state = 0},
  [12630] = {.lex_state = 0},
  [12631] = {.lex_state = 35},
  [12632] = {.lex_state = 0},
  [12633] = {.lex_state = 0},
  [12634] = {.lex_state = 0},
  [12635] = {.lex_state = 0},
  [12636] = {.lex_state = 0},
  [12637] = {.lex_state = 0},
  [12638] = {.lex_state = 0},
  [12639] = {.lex_state = 0},
  [12640] = {.lex_state = 0},
  [12641] = {.lex_state = 0},
  [12642] = {.lex_state = 0},
  [12643] = {.lex_state = 0},
  [12644] = {.lex_state = 35},
  [12645] = {.lex_state = 35},
  [12646] = {.lex_state = 0},
  [12647] = {.lex_state = 0},
  [12648] = {.lex_state = 0},
  [12649] = {.lex_state = 0},
  [12650] = {.lex_state = 0},
  [12651] = {.lex_state = 0},
  [12652] = {.lex_state = 0},
  [12653] = {.lex_state = 0},
  [12654] = {.lex_state = 0},
  [12655] = {.lex_state = 0},
  [12656] = {.lex_state = 0},
  [12657] = {.lex_state = 35},
  [12658] = {.lex_state = 0},
  [12659] = {.lex_state = 0},
  [12660] = {.lex_state = 0},
  [12661] = {.lex_state = 0},
  [12662] = {.lex_state = 0},
  [12663] = {.lex_state = 0},
  [12664] = {.lex_state = 0},
  [12665] = {.lex_state = 0},
  [12666] = {.lex_state = 35},
  [12667] = {.lex_state = 0},
  [12668] = {.lex_state = 0},
  [12669] = {.lex_state = 35},
  [12670] = {.lex_state = 35},
  [12671] = {.lex_state = 0},
  [12672] = {.lex_state = 0},
  [12673] = {.lex_state = 0},
  [12674] = {.lex_state = 0},
  [12675] = {.lex_state = 0},
  [12676] = {.lex_state = 0, .external_lex_state = 2},
  [12677] = {.lex_state = 0},
  [12678] = {.lex_state = 35},
  [12679] = {.lex_state = 0},
  [12680] = {.lex_state = 0},
  [12681] = {.lex_state = 0},
  [12682] = {.lex_state = 0},
  [12683] = {.lex_state = 35},
  [12684] = {.lex_state = 0},
  [12685] = {.lex_state = 0},
  [12686] = {.lex_state = 0},
  [12687] = {.lex_state = 35},
  [12688] = {.lex_state = 35},
  [12689] = {.lex_state = 0},
  [12690] = {.lex_state = 0},
  [12691] = {.lex_state = 0},
  [12692] = {.lex_state = 35},
  [12693] = {.lex_state = 0},
  [12694] = {.lex_state = 0},
  [12695] = {.lex_state = 0},
  [12696] = {.lex_state = 0},
  [12697] = {.lex_state = 0},
  [12698] = {.lex_state = 0},
  [12699] = {.lex_state = 0},
  [12700] = {.lex_state = 0},
  [12701] = {.lex_state = 35},
  [12702] = {.lex_state = 0},
  [12703] = {.lex_state = 35},
  [12704] = {.lex_state = 0},
  [12705] = {.lex_state = 0},
  [12706] = {.lex_state = 0},
  [12707] = {.lex_state = 0},
  [12708] = {.lex_state = 0},
  [12709] = {.lex_state = 0},
  [12710] = {.lex_state = 0},
  [12711] = {.lex_state = 0},
  [12712] = {.lex_state = 0},
  [12713] = {.lex_state = 0},
  [12714] = {.lex_state = 35},
  [12715] = {.lex_state = 0},
  [12716] = {.lex_state = 0},
  [12717] = {.lex_state = 0},
  [12718] = {.lex_state = 0},
  [12719] = {.lex_state = 0},
  [12720] = {.lex_state = 35},
  [12721] = {.lex_state = 0},
  [12722] = {.lex_state = 0},
  [12723] = {.lex_state = 0},
  [12724] = {.lex_state = 0},
  [12725] = {.lex_state = 0},
  [12726] = {.lex_state = 0},
  [12727] = {.lex_state = 0},
  [12728] = {.lex_state = 0},
  [12729] = {.lex_state = 0},
  [12730] = {.lex_state = 0},
  [12731] = {.lex_state = 0},
  [12732] = {.lex_state = 0},
  [12733] = {.lex_state = 35},
  [12734] = {.lex_state = 0},
  [12735] = {.lex_state = 0},
  [12736] = {.lex_state = 0},
  [12737] = {.lex_state = 0},
  [12738] = {.lex_state = 0},
  [12739] = {.lex_state = 0},
  [12740] = {.lex_state = 0},
  [12741] = {.lex_state = 0},
  [12742] = {.lex_state = 0},
  [12743] = {.lex_state = 0},
  [12744] = {.lex_state = 0},
  [12745] = {.lex_state = 0},
  [12746] = {.lex_state = 0},
  [12747] = {.lex_state = 0},
  [12748] = {.lex_state = 0},
  [12749] = {.lex_state = 0},
  [12750] = {.lex_state = 0},
  [12751] = {.lex_state = 0},
  [12752] = {.lex_state = 0},
  [12753] = {.lex_state = 35},
  [12754] = {.lex_state = 0, .external_lex_state = 2},
  [12755] = {.lex_state = 0},
  [12756] = {.lex_state = 35},
  [12757] = {.lex_state = 0},
  [12758] = {.lex_state = 0},
  [12759] = {.lex_state = 0},
  [12760] = {.lex_state = 35},
  [12761] = {.lex_state = 35},
  [12762] = {.lex_state = 0},
  [12763] = {.lex_state = 35},
  [12764] = {.lex_state = 0},
  [12765] = {.lex_state = 0},
  [12766] = {.lex_state = 0},
  [12767] = {.lex_state = 0},
  [12768] = {.lex_state = 0},
  [12769] = {.lex_state = 0},
  [12770] = {.lex_state = 0},
  [12771] = {.lex_state = 0},
  [12772] = {.lex_state = 0},
  [12773] = {.lex_state = 0},
  [12774] = {.lex_state = 35},
  [12775] = {.lex_state = 0},
  [12776] = {.lex_state = 0},
  [12777] = {.lex_state = 0},
  [12778] = {.lex_state = 0},
  [12779] = {.lex_state = 0},
  [12780] = {.lex_state = 0},
  [12781] = {.lex_state = 0},
  [12782] = {.lex_state = 0},
  [12783] = {.lex_state = 0},
  [12784] = {.lex_state = 0},
  [12785] = {.lex_state = 0},
  [12786] = {.lex_state = 35},
  [12787] = {.lex_state = 0},
  [12788] = {.lex_state = 0},
  [12789] = {.lex_state = 0},
  [12790] = {.lex_state = 0},
  [12791] = {.lex_state = 0},
  [12792] = {.lex_state = 0},
  [12793] = {.lex_state = 0},
  [12794] = {.lex_state = 0},
  [12795] = {.lex_state = 0},
  [12796] = {.lex_state = 0},
  [12797] = {.lex_state = 0},
  [12798] = {.lex_state = 35},
  [12799] = {.lex_state = 0},
  [12800] = {.lex_state = 0},
  [12801] = {.lex_state = 0},
  [12802] = {.lex_state = 0},
  [12803] = {.lex_state = 0},
  [12804] = {.lex_state = 0},
  [12805] = {.lex_state = 0},
  [12806] = {.lex_state = 0},
  [12807] = {.lex_state = 0},
  [12808] = {.lex_state = 0},
  [12809] = {.lex_state = 0},
  [12810] = {.lex_state = 0},
  [12811] = {.lex_state = 35},
  [12812] = {.lex_state = 0},
  [12813] = {.lex_state = 35},
  [12814] = {.lex_state = 0},
  [12815] = {.lex_state = 0},
  [12816] = {.lex_state = 0},
  [12817] = {.lex_state = 0},
  [12818] = {.lex_state = 35},
  [12819] = {.lex_state = 35},
  [12820] = {.lex_state = 35},
  [12821] = {.lex_state = 0, .external_lex_state = 2},
  [12822] = {.lex_state = 0},
  [12823] = {.lex_state = 0},
  [12824] = {.lex_state = 0},
  [12825] = {.lex_state = 0},
  [12826] = {.lex_state = 0},
  [12827] = {.lex_state = 0},
  [12828] = {.lex_state = 0},
  [12829] = {.lex_state = 0},
  [12830] = {.lex_state = 0},
  [12831] = {.lex_state = 0},
  [12832] = {.lex_state = 0},
  [12833] = {.lex_state = 35},
  [12834] = {.lex_state = 0},
  [12835] = {.lex_state = 0},
  [12836] = {.lex_state = 0},
  [12837] = {.lex_state = 0},
  [12838] = {.lex_state = 0},
  [12839] = {.lex_state = 0},
  [12840] = {.lex_state = 0},
  [12841] = {.lex_state = 0},
  [12842] = {.lex_state = 0},
  [12843] = {.lex_state = 0},
  [12844] = {.lex_state = 0},
  [12845] = {.lex_state = 0},
  [12846] = {.lex_state = 0},
  [12847] = {.lex_state = 0},
  [12848] = {.lex_state = 0},
  [12849] = {.lex_state = 0},
  [12850] = {.lex_state = 0},
  [12851] = {.lex_state = 0},
  [12852] = {.lex_state = 0},
  [12853] = {.lex_state = 0},
  [12854] = {.lex_state = 0},
  [12855] = {.lex_state = 0},
  [12856] = {.lex_state = 0},
  [12857] = {.lex_state = 0},
  [12858] = {.lex_state = 0},
  [12859] = {.lex_state = 0},
  [12860] = {.lex_state = 0},
  [12861] = {.lex_state = 0},
  [12862] = {.lex_state = 0, .external_lex_state = 2},
  [12863] = {.lex_state = 35},
  [12864] = {.lex_state = 0},
  [12865] = {.lex_state = 0},
  [12866] = {.lex_state = 0},
  [12867] = {.lex_state = 0},
  [12868] = {.lex_state = 0},
  [12869] = {.lex_state = 0},
  [12870] = {.lex_state = 0},
  [12871] = {.lex_state = 0},
  [12872] = {.lex_state = 35},
  [12873] = {.lex_state = 0},
  [12874] = {.lex_state = 35},
  [12875] = {.lex_state = 0},
  [12876] = {.lex_state = 0},
  [12877] = {.lex_state = 0},
  [12878] = {.lex_state = 0},
  [12879] = {.lex_state = 0},
  [12880] = {.lex_state = 0},
  [12881] = {.lex_state = 0},
  [12882] = {.lex_state = 0},
  [12883] = {.lex_state = 0},
  [12884] = {.lex_state = 0},
  [12885] = {.lex_state = 0},
  [12886] = {.lex_state = 0},
  [12887] = {.lex_state = 0},
  [12888] = {.lex_state = 0},
  [12889] = {.lex_state = 0},
  [12890] = {.lex_state = 0},
  [12891] = {.lex_state = 0},
  [12892] = {.lex_state = 35},
  [12893] = {.lex_state = 0},
  [12894] = {.lex_state = 0},
  [12895] = {.lex_state = 0},
  [12896] = {.lex_state = 0},
  [12897] = {.lex_state = 0},
  [12898] = {.lex_state = 0},
  [12899] = {.lex_state = 0},
  [12900] = {.lex_state = 0},
  [12901] = {.lex_state = 0},
  [12902] = {.lex_state = 35},
  [12903] = {.lex_state = 0},
  [12904] = {.lex_state = 0},
  [12905] = {.lex_state = 0},
  [12906] = {.lex_state = 0},
  [12907] = {.lex_state = 0},
  [12908] = {.lex_state = 0},
  [12909] = {.lex_state = 0},
  [12910] = {.lex_state = 0},
  [12911] = {.lex_state = 0},
  [12912] = {.lex_state = 0},
  [12913] = {.lex_state = 35},
  [12914] = {.lex_state = 35},
  [12915] = {.lex_state = 35},
  [12916] = {.lex_state = 0},
  [12917] = {.lex_state = 0},
  [12918] = {.lex_state = 0},
  [12919] = {.lex_state = 0},
  [12920] = {.lex_state = 0},
  [12921] = {.lex_state = 0},
  [12922] = {.lex_state = 35},
  [12923] = {.lex_state = 0},
  [12924] = {.lex_state = 0},
  [12925] = {.lex_state = 0},
  [12926] = {.lex_state = 35},
  [12927] = {.lex_state = 0},
  [12928] = {.lex_state = 0},
  [12929] = {.lex_state = 0},
  [12930] = {.lex_state = 0},
  [12931] = {.lex_state = 0},
  [12932] = {.lex_state = 35},
  [12933] = {.lex_state = 0},
  [12934] = {.lex_state = 0},
  [12935] = {.lex_state = 35},
  [12936] = {.lex_state = 35},
  [12937] = {.lex_state = 0},
  [12938] = {.lex_state = 35},
  [12939] = {.lex_state = 35},
  [12940] = {.lex_state = 0},
  [12941] = {.lex_state = 0},
  [12942] = {.lex_state = 0},
  [12943] = {.lex_state = 0},
  [12944] = {.lex_state = 0},
  [12945] = {.lex_state = 0},
  [12946] = {.lex_state = 0},
  [12947] = {.lex_state = 0},
  [12948] = {.lex_state = 0},
  [12949] = {.lex_state = 0},
  [12950] = {.lex_state = 0},
  [12951] = {.lex_state = 35},
  [12952] = {.lex_state = 0},
  [12953] = {.lex_state = 0},
  [12954] = {.lex_state = 0},
  [12955] = {.lex_state = 0},
  [12956] = {.lex_state = 0},
  [12957] = {.lex_state = 0},
  [12958] = {.lex_state = 0},
  [12959] = {.lex_state = 0},
  [12960] = {.lex_state = 0},
  [12961] = {.lex_state = 0},
  [12962] = {.lex_state = 0},
  [12963] = {.lex_state = 35},
  [12964] = {.lex_state = 35},
  [12965] = {.lex_state = 0},
  [12966] = {.lex_state = 0},
  [12967] = {.lex_state = 0},
  [12968] = {.lex_state = 0},
  [12969] = {.lex_state = 0},
  [12970] = {.lex_state = 0},
  [12971] = {.lex_state = 0},
  [12972] = {.lex_state = 0},
  [12973] = {.lex_state = 0},
  [12974] = {.lex_state = 0},
  [12975] = {.lex_state = 0},
  [12976] = {.lex_state = 0},
  [12977] = {.lex_state = 0},
  [12978] = {.lex_state = 0},
  [12979] = {.lex_state = 0},
  [12980] = {.lex_state = 35},
  [12981] = {.lex_state = 0},
  [12982] = {.lex_state = 0},
  [12983] = {.lex_state = 0},
  [12984] = {.lex_state = 0},
  [12985] = {.lex_state = 35},
  [12986] = {.lex_state = 0},
  [12987] = {.lex_state = 35},
  [12988] = {.lex_state = 0},
  [12989] = {.lex_state = 0},
  [12990] = {.lex_state = 0},
  [12991] = {.lex_state = 35},
  [12992] = {.lex_state = 35},
  [12993] = {.lex_state = 0},
  [12994] = {.lex_state = 0},
  [12995] = {.lex_state = 35},
  [12996] = {.lex_state = 0},
  [12997] = {.lex_state = 0},
  [12998] = {.lex_state = 0},
  [12999] = {.lex_state = 0},
  [13000] = {.lex_state = 0},
  [13001] = {.lex_state = 0},
  [13002] = {.lex_state = 0},
  [13003] = {.lex_state = 0},
  [13004] = {.lex_state = 0},
  [13005] = {.lex_state = 0},
  [13006] = {.lex_state = 0},
  [13007] = {.lex_state = 0},
  [13008] = {.lex_state = 0},
  [13009] = {.lex_state = 0},
  [13010] = {.lex_state = 35},
  [13011] = {.lex_state = 0},
  [13012] = {.lex_state = 0},
  [13013] = {.lex_state = 0},
  [13014] = {.lex_state = 0},
  [13015] = {.lex_state = 0},
  [13016] = {.lex_state = 0},
  [13017] = {.lex_state = 0},
  [13018] = {.lex_state = 0},
  [13019] = {.lex_state = 0},
  [13020] = {.lex_state = 0},
  [13021] = {.lex_state = 0},
  [13022] = {.lex_state = 0},
  [13023] = {.lex_state = 35},
  [13024] = {.lex_state = 0},
  [13025] = {.lex_state = 0},
  [13026] = {.lex_state = 0},
  [13027] = {.lex_state = 0},
  [13028] = {.lex_state = 0},
  [13029] = {.lex_state = 0},
  [13030] = {.lex_state = 0},
  [13031] = {.lex_state = 0},
  [13032] = {.lex_state = 0},
  [13033] = {.lex_state = 0},
  [13034] = {.lex_state = 0},
  [13035] = {.lex_state = 0},
  [13036] = {.lex_state = 0},
  [13037] = {.lex_state = 0},
  [13038] = {.lex_state = 0},
  [13039] = {.lex_state = 0},
  [13040] = {.lex_state = 0},
  [13041] = {.lex_state = 0},
  [13042] = {.lex_state = 0},
  [13043] = {.lex_state = 0},
  [13044] = {.lex_state = 0},
  [13045] = {.lex_state = 0},
  [13046] = {.lex_state = 33},
  [13047] = {.lex_state = 35},
  [13048] = {.lex_state = 35},
  [13049] = {.lex_state = 35},
  [13050] = {.lex_state = 35},
  [13051] = {.lex_state = 0},
  [13052] = {.lex_state = 0},
  [13053] = {.lex_state = 0},
  [13054] = {.lex_state = 0},
  [13055] = {.lex_state = 0},
  [13056] = {.lex_state = 0},
  [13057] = {.lex_state = 0},
  [13058] = {.lex_state = 0},
  [13059] = {.lex_state = 0},
  [13060] = {.lex_state = 0},
  [13061] = {.lex_state = 0},
  [13062] = {.lex_state = 0},
  [13063] = {.lex_state = 0},
  [13064] = {.lex_state = 0},
  [13065] = {.lex_state = 0},
  [13066] = {.lex_state = 0},
  [13067] = {.lex_state = 0},
  [13068] = {.lex_state = 0},
  [13069] = {.lex_state = 35},
  [13070] = {.lex_state = 0},
  [13071] = {.lex_state = 0},
  [13072] = {.lex_state = 0},
  [13073] = {.lex_state = 0},
  [13074] = {.lex_state = 0},
  [13075] = {.lex_state = 0},
  [13076] = {.lex_state = 0},
  [13077] = {.lex_state = 0},
  [13078] = {.lex_state = 0},
  [13079] = {.lex_state = 0},
  [13080] = {.lex_state = 0},
  [13081] = {.lex_state = 0},
  [13082] = {.lex_state = 35},
  [13083] = {.lex_state = 35},
  [13084] = {.lex_state = 0},
  [13085] = {.lex_state = 0},
  [13086] = {.lex_state = 0},
  [13087] = {.lex_state = 0},
  [13088] = {.lex_state = 0},
  [13089] = {.lex_state = 0},
  [13090] = {.lex_state = 0},
  [13091] = {.lex_state = 35},
  [13092] = {.lex_state = 35},
  [13093] = {.lex_state = 0},
  [13094] = {.lex_state = 0},
  [13095] = {.lex_state = 0},
  [13096] = {.lex_state = 0},
  [13097] = {.lex_state = 0},
  [13098] = {.lex_state = 0},
  [13099] = {.lex_state = 0},
  [13100] = {.lex_state = 0},
  [13101] = {.lex_state = 0},
  [13102] = {.lex_state = 0},
  [13103] = {.lex_state = 0},
  [13104] = {.lex_state = 0},
  [13105] = {.lex_state = 35},
  [13106] = {.lex_state = 35},
  [13107] = {.lex_state = 0},
  [13108] = {.lex_state = 0},
  [13109] = {.lex_state = 0},
  [13110] = {.lex_state = 0},
  [13111] = {.lex_state = 0},
  [13112] = {.lex_state = 0},
  [13113] = {.lex_state = 35},
  [13114] = {.lex_state = 0},
  [13115] = {.lex_state = 0},
  [13116] = {.lex_state = 0},
  [13117] = {.lex_state = 0},
  [13118] = {.lex_state = 0},
  [13119] = {.lex_state = 0},
  [13120] = {.lex_state = 0},
  [13121] = {.lex_state = 0},
  [13122] = {.lex_state = 0},
  [13123] = {.lex_state = 0},
  [13124] = {.lex_state = 0},
  [13125] = {.lex_state = 0},
  [13126] = {.lex_state = 0},
  [13127] = {.lex_state = 0},
  [13128] = {.lex_state = 35},
  [13129] = {.lex_state = 0},
  [13130] = {.lex_state = 0},
  [13131] = {.lex_state = 0},
  [13132] = {.lex_state = 0},
  [13133] = {.lex_state = 0},
  [13134] = {.lex_state = 0},
  [13135] = {.lex_state = 0},
  [13136] = {.lex_state = 0},
  [13137] = {.lex_state = 0},
  [13138] = {.lex_state = 0},
  [13139] = {.lex_state = 0},
  [13140] = {.lex_state = 0},
  [13141] = {.lex_state = 0},
  [13142] = {.lex_state = 35},
  [13143] = {.lex_state = 0},
  [13144] = {.lex_state = 0},
  [13145] = {.lex_state = 0},
  [13146] = {.lex_state = 0},
  [13147] = {.lex_state = 0},
  [13148] = {.lex_state = 0},
  [13149] = {.lex_state = 0},
  [13150] = {.lex_state = 0},
  [13151] = {.lex_state = 35},
  [13152] = {.lex_state = 35},
  [13153] = {.lex_state = 0},
  [13154] = {.lex_state = 0},
  [13155] = {.lex_state = 0},
  [13156] = {.lex_state = 0},
  [13157] = {.lex_state = 0},
  [13158] = {.lex_state = 0},
  [13159] = {.lex_state = 0},
  [13160] = {.lex_state = 0},
  [13161] = {.lex_state = 0},
  [13162] = {.lex_state = 0},
  [13163] = {.lex_state = 0},
  [13164] = {.lex_state = 0},
  [13165] = {.lex_state = 0},
  [13166] = {.lex_state = 0},
  [13167] = {.lex_state = 0},
  [13168] = {.lex_state = 0},
  [13169] = {.lex_state = 0},
  [13170] = {.lex_state = 0},
  [13171] = {.lex_state = 0},
  [13172] = {.lex_state = 0},
  [13173] = {.lex_state = 0},
  [13174] = {.lex_state = 0},
  [13175] = {.lex_state = 0},
  [13176] = {.lex_state = 0},
  [13177] = {.lex_state = 0},
  [13178] = {.lex_state = 0},
  [13179] = {.lex_state = 0},
  [13180] = {.lex_state = 0},
  [13181] = {.lex_state = 0},
  [13182] = {.lex_state = 0},
  [13183] = {.lex_state = 0},
  [13184] = {.lex_state = 0},
  [13185] = {.lex_state = 35},
  [13186] = {.lex_state = 0},
  [13187] = {.lex_state = 35},
  [13188] = {.lex_state = 0},
  [13189] = {.lex_state = 0},
  [13190] = {.lex_state = 0},
  [13191] = {.lex_state = 0},
  [13192] = {.lex_state = 0},
  [13193] = {.lex_state = 0},
  [13194] = {.lex_state = 0},
  [13195] = {.lex_state = 0},
  [13196] = {.lex_state = 0},
  [13197] = {.lex_state = 0},
  [13198] = {.lex_state = 0},
  [13199] = {.lex_state = 0},
  [13200] = {.lex_state = 0},
  [13201] = {.lex_state = 0},
  [13202] = {.lex_state = 0},
  [13203] = {.lex_state = 0},
  [13204] = {.lex_state = 0},
  [13205] = {.lex_state = 0},
  [13206] = {.lex_state = 0},
  [13207] = {.lex_state = 0},
  [13208] = {.lex_state = 0},
  [13209] = {.lex_state = 0},
  [13210] = {.lex_state = 0},
  [13211] = {.lex_state = 0},
  [13212] = {.lex_state = 0},
  [13213] = {.lex_state = 0},
  [13214] = {.lex_state = 0},
  [13215] = {.lex_state = 0},
  [13216] = {.lex_state = 35},
  [13217] = {.lex_state = 0},
  [13218] = {.lex_state = 0},
  [13219] = {.lex_state = 0},
  [13220] = {.lex_state = 0},
  [13221] = {.lex_state = 0},
  [13222] = {.lex_state = 0},
  [13223] = {.lex_state = 35},
  [13224] = {.lex_state = 35},
  [13225] = {.lex_state = 0},
  [13226] = {.lex_state = 0},
  [13227] = {.lex_state = 35},
  [13228] = {.lex_state = 35},
  [13229] = {.lex_state = 0},
  [13230] = {.lex_state = 0},
  [13231] = {.lex_state = 0},
  [13232] = {.lex_state = 0},
  [13233] = {.lex_state = 0},
  [13234] = {.lex_state = 35},
  [13235] = {.lex_state = 0},
  [13236] = {.lex_state = 0},
  [13237] = {.lex_state = 0},
  [13238] = {.lex_state = 0},
  [13239] = {.lex_state = 0},
  [13240] = {.lex_state = 0},
  [13241] = {.lex_state = 0},
  [13242] = {.lex_state = 0},
  [13243] = {.lex_state = 0},
  [13244] = {.lex_state = 0},
  [13245] = {.lex_state = 0},
  [13246] = {.lex_state = 35},
  [13247] = {.lex_state = 0},
  [13248] = {.lex_state = 0},
  [13249] = {.lex_state = 0},
  [13250] = {.lex_state = 0},
  [13251] = {.lex_state = 0},
  [13252] = {.lex_state = 0},
  [13253] = {.lex_state = 0},
  [13254] = {.lex_state = 0},
  [13255] = {.lex_state = 0},
  [13256] = {.lex_state = 0},
  [13257] = {.lex_state = 0},
  [13258] = {.lex_state = 0},
  [13259] = {.lex_state = 0},
  [13260] = {.lex_state = 0},
  [13261] = {.lex_state = 0},
  [13262] = {.lex_state = 0},
  [13263] = {.lex_state = 0},
  [13264] = {.lex_state = 0},
  [13265] = {.lex_state = 0},
  [13266] = {.lex_state = 0},
  [13267] = {.lex_state = 0},
  [13268] = {.lex_state = 0},
  [13269] = {.lex_state = 0},
  [13270] = {.lex_state = 35},
  [13271] = {.lex_state = 0},
  [13272] = {.lex_state = 0},
  [13273] = {.lex_state = 0},
  [13274] = {.lex_state = 0},
  [13275] = {.lex_state = 35},
  [13276] = {.lex_state = 0},
  [13277] = {.lex_state = 0},
  [13278] = {.lex_state = 0},
  [13279] = {.lex_state = 0},
  [13280] = {.lex_state = 0},
  [13281] = {.lex_state = 0},
  [13282] = {.lex_state = 35},
  [13283] = {.lex_state = 35},
  [13284] = {.lex_state = 0},
  [13285] = {.lex_state = 0},
  [13286] = {.lex_state = 0},
  [13287] = {.lex_state = 0},
  [13288] = {.lex_state = 0},
  [13289] = {.lex_state = 0},
  [13290] = {.lex_state = 35},
  [13291] = {.lex_state = 35},
  [13292] = {.lex_state = 0},
  [13293] = {.lex_state = 0},
  [13294] = {.lex_state = 0},
  [13295] = {.lex_state = 0},
  [13296] = {.lex_state = 0},
  [13297] = {.lex_state = 0},
  [13298] = {.lex_state = 0},
  [13299] = {.lex_state = 0},
  [13300] = {.lex_state = 0},
  [13301] = {.lex_state = 0},
  [13302] = {.lex_state = 0},
  [13303] = {.lex_state = 0},
  [13304] = {.lex_state = 0},
  [13305] = {.lex_state = 35},
  [13306] = {.lex_state = 0},
  [13307] = {.lex_state = 0},
  [13308] = {.lex_state = 0},
  [13309] = {.lex_state = 0},
  [13310] = {.lex_state = 0},
  [13311] = {.lex_state = 0},
  [13312] = {.lex_state = 0},
  [13313] = {.lex_state = 0},
  [13314] = {.lex_state = 0},
  [13315] = {.lex_state = 0},
  [13316] = {.lex_state = 35},
  [13317] = {.lex_state = 0},
  [13318] = {.lex_state = 0},
  [13319] = {.lex_state = 0},
  [13320] = {.lex_state = 0},
  [13321] = {.lex_state = 0},
  [13322] = {.lex_state = 0},
  [13323] = {.lex_state = 0},
  [13324] = {.lex_state = 0},
  [13325] = {.lex_state = 0},
  [13326] = {.lex_state = 0},
  [13327] = {.lex_state = 35},
  [13328] = {.lex_state = 35},
  [13329] = {.lex_state = 0},
  [13330] = {.lex_state = 0},
  [13331] = {.lex_state = 0},
  [13332] = {.lex_state = 0},
  [13333] = {.lex_state = 0},
  [13334] = {.lex_state = 35},
  [13335] = {.lex_state = 0},
  [13336] = {.lex_state = 0},
  [13337] = {.lex_state = 0},
  [13338] = {.lex_state = 0},
  [13339] = {.lex_state = 0},
  [13340] = {.lex_state = 0},
  [13341] = {.lex_state = 0},
  [13342] = {.lex_state = 35},
  [13343] = {.lex_state = 0},
  [13344] = {.lex_state = 35},
  [13345] = {.lex_state = 0},
  [13346] = {.lex_state = 0},
  [13347] = {.lex_state = 0},
  [13348] = {.lex_state = 0},
  [13349] = {.lex_state = 0},
  [13350] = {.lex_state = 0},
  [13351] = {.lex_state = 0},
  [13352] = {.lex_state = 0},
  [13353] = {.lex_state = 0},
  [13354] = {.lex_state = 0},
  [13355] = {.lex_state = 35},
  [13356] = {.lex_state = 0},
  [13357] = {.lex_state = 0},
  [13358] = {.lex_state = 0},
  [13359] = {.lex_state = 0},
  [13360] = {.lex_state = 0},
  [13361] = {.lex_state = 0},
  [13362] = {.lex_state = 0},
  [13363] = {.lex_state = 0},
  [13364] = {.lex_state = 0},
  [13365] = {.lex_state = 0},
  [13366] = {.lex_state = 0},
  [13367] = {.lex_state = 0},
  [13368] = {.lex_state = 0},
  [13369] = {.lex_state = 0},
  [13370] = {.lex_state = 0},
  [13371] = {.lex_state = 0},
  [13372] = {.lex_state = 0},
  [13373] = {.lex_state = 0},
  [13374] = {.lex_state = 0},
  [13375] = {.lex_state = 0},
  [13376] = {.lex_state = 0},
  [13377] = {.lex_state = 0},
  [13378] = {.lex_state = 0},
  [13379] = {.lex_state = 35},
  [13380] = {.lex_state = 35},
  [13381] = {.lex_state = 0},
  [13382] = {.lex_state = 0},
  [13383] = {.lex_state = 0},
  [13384] = {.lex_state = 0},
  [13385] = {.lex_state = 0},
  [13386] = {.lex_state = 0},
  [13387] = {.lex_state = 0},
  [13388] = {.lex_state = 0},
  [13389] = {.lex_state = 0},
  [13390] = {.lex_state = 0},
  [13391] = {.lex_state = 0},
  [13392] = {.lex_state = 0},
  [13393] = {.lex_state = 35},
  [13394] = {.lex_state = 0},
  [13395] = {.lex_state = 0},
  [13396] = {.lex_state = 0},
  [13397] = {.lex_state = 0},
  [13398] = {.lex_state = 0},
  [13399] = {.lex_state = 0},
  [13400] = {.lex_state = 0},
  [13401] = {.lex_state = 0},
  [13402] = {.lex_state = 0},
  [13403] = {.lex_state = 0},
  [13404] = {.lex_state = 0},
  [13405] = {.lex_state = 0},
  [13406] = {.lex_state = 0},
  [13407] = {.lex_state = 0},
  [13408] = {.lex_state = 0},
  [13409] = {.lex_state = 0},
  [13410] = {.lex_state = 0},
  [13411] = {.lex_state = 0},
  [13412] = {.lex_state = 0},
  [13413] = {.lex_state = 0},
  [13414] = {.lex_state = 0},
  [13415] = {.lex_state = 0},
  [13416] = {.lex_state = 0},
  [13417] = {.lex_state = 0},
  [13418] = {.lex_state = 0},
  [13419] = {.lex_state = 0},
  [13420] = {.lex_state = 0},
  [13421] = {.lex_state = 0},
  [13422] = {.lex_state = 0},
  [13423] = {.lex_state = 35},
  [13424] = {.lex_state = 0},
  [13425] = {.lex_state = 0},
  [13426] = {.lex_state = 35},
  [13427] = {.lex_state = 0},
  [13428] = {.lex_state = 0},
  [13429] = {.lex_state = 35},
  [13430] = {.lex_state = 0},
  [13431] = {.lex_state = 0},
  [13432] = {.lex_state = 0},
  [13433] = {.lex_state = 0},
  [13434] = {.lex_state = 0},
  [13435] = {.lex_state = 0},
  [13436] = {.lex_state = 0},
  [13437] = {.lex_state = 0},
  [13438] = {.lex_state = 0},
  [13439] = {.lex_state = 0},
  [13440] = {.lex_state = 0},
  [13441] = {.lex_state = 0},
  [13442] = {.lex_state = 0},
  [13443] = {.lex_state = 0},
  [13444] = {.lex_state = 0},
  [13445] = {.lex_state = 0},
  [13446] = {.lex_state = 0},
  [13447] = {.lex_state = 0},
  [13448] = {.lex_state = 0},
  [13449] = {.lex_state = 0},
  [13450] = {.lex_state = 0},
  [13451] = {.lex_state = 0},
  [13452] = {.lex_state = 35},
  [13453] = {.lex_state = 0},
  [13454] = {.lex_state = 35},
  [13455] = {.lex_state = 0},
  [13456] = {.lex_state = 0},
  [13457] = {.lex_state = 35},
  [13458] = {.lex_state = 0},
  [13459] = {.lex_state = 0},
  [13460] = {.lex_state = 0},
  [13461] = {.lex_state = 35},
  [13462] = {.lex_state = 35},
  [13463] = {.lex_state = 35},
  [13464] = {.lex_state = 0},
  [13465] = {.lex_state = 35},
  [13466] = {.lex_state = 0},
  [13467] = {.lex_state = 0},
  [13468] = {.lex_state = 0},
  [13469] = {.lex_state = 0},
  [13470] = {.lex_state = 0},
  [13471] = {.lex_state = 0},
  [13472] = {.lex_state = 0},
  [13473] = {.lex_state = 35},
  [13474] = {.lex_state = 0},
  [13475] = {.lex_state = 0},
  [13476] = {.lex_state = 0},
  [13477] = {.lex_state = 35},
  [13478] = {.lex_state = 35},
  [13479] = {.lex_state = 0},
  [13480] = {.lex_state = 35},
  [13481] = {.lex_state = 0},
  [13482] = {.lex_state = 35},
  [13483] = {.lex_state = 0},
  [13484] = {.lex_state = 0},
  [13485] = {.lex_state = 35},
  [13486] = {.lex_state = 35},
  [13487] = {.lex_state = 0},
  [13488] = {.lex_state = 35},
  [13489] = {.lex_state = 0},
  [13490] = {.lex_state = 0},
  [13491] = {.lex_state = 35},
  [13492] = {.lex_state = 0},
  [13493] = {.lex_state = 0},
  [13494] = {.lex_state = 0},
  [13495] = {.lex_state = 0},
  [13496] = {.lex_state = 0},
  [13497] = {.lex_state = 0},
  [13498] = {.lex_state = 0},
  [13499] = {.lex_state = 35},
  [13500] = {.lex_state = 0},
  [13501] = {.lex_state = 0},
  [13502] = {.lex_state = 0},
  [13503] = {.lex_state = 35},
  [13504] = {.lex_state = 0},
  [13505] = {.lex_state = 0},
  [13506] = {.lex_state = 0},
  [13507] = {.lex_state = 0},
  [13508] = {.lex_state = 0},
  [13509] = {.lex_state = 0},
  [13510] = {.lex_state = 0},
  [13511] = {.lex_state = 0},
  [13512] = {.lex_state = 35},
  [13513] = {.lex_state = 0},
  [13514] = {.lex_state = 0},
  [13515] = {.lex_state = 0},
  [13516] = {.lex_state = 35},
  [13517] = {.lex_state = 0},
  [13518] = {.lex_state = 0},
  [13519] = {.lex_state = 0},
  [13520] = {.lex_state = 35},
  [13521] = {.lex_state = 35},
  [13522] = {.lex_state = 0},
  [13523] = {.lex_state = 35},
  [13524] = {.lex_state = 0},
  [13525] = {.lex_state = 0},
  [13526] = {.lex_state = 35},
  [13527] = {.lex_state = 0},
  [13528] = {.lex_state = 35},
  [13529] = {.lex_state = 0},
  [13530] = {.lex_state = 0},
  [13531] = {.lex_state = 0},
  [13532] = {.lex_state = 0},
  [13533] = {.lex_state = 0},
  [13534] = {.lex_state = 0},
  [13535] = {.lex_state = 0},
  [13536] = {.lex_state = 0},
  [13537] = {.lex_state = 0},
  [13538] = {.lex_state = 35},
  [13539] = {.lex_state = 0},
  [13540] = {.lex_state = 0},
  [13541] = {.lex_state = 35},
  [13542] = {.lex_state = 35},
  [13543] = {.lex_state = 0},
  [13544] = {.lex_state = 0},
  [13545] = {.lex_state = 0},
  [13546] = {.lex_state = 0},
  [13547] = {.lex_state = 0},
  [13548] = {.lex_state = 0},
  [13549] = {.lex_state = 0},
  [13550] = {.lex_state = 0},
  [13551] = {.lex_state = 0},
  [13552] = {.lex_state = 0},
  [13553] = {.lex_state = 0},
  [13554] = {.lex_state = 0},
  [13555] = {.lex_state = 0},
  [13556] = {.lex_state = 0},
  [13557] = {.lex_state = 0},
  [13558] = {.lex_state = 0},
  [13559] = {.lex_state = 0},
  [13560] = {.lex_state = 0},
  [13561] = {.lex_state = 35},
  [13562] = {.lex_state = 35},
  [13563] = {.lex_state = 35},
  [13564] = {.lex_state = 0},
  [13565] = {.lex_state = 0},
  [13566] = {.lex_state = 0},
  [13567] = {.lex_state = 0},
  [13568] = {.lex_state = 0},
  [13569] = {.lex_state = 0},
  [13570] = {.lex_state = 0},
  [13571] = {.lex_state = 35},
  [13572] = {.lex_state = 0},
  [13573] = {.lex_state = 35},
  [13574] = {.lex_state = 0},
  [13575] = {.lex_state = 0},
  [13576] = {.lex_state = 0},
  [13577] = {.lex_state = 35},
  [13578] = {.lex_state = 35},
  [13579] = {.lex_state = 0},
  [13580] = {.lex_state = 35},
  [13581] = {.lex_state = 35},
  [13582] = {.lex_state = 35},
  [13583] = {.lex_state = 0},
  [13584] = {.lex_state = 35},
  [13585] = {.lex_state = 35},
  [13586] = {.lex_state = 35},
  [13587] = {.lex_state = 0},
  [13588] = {.lex_state = 0},
  [13589] = {.lex_state = 0},
  [13590] = {.lex_state = 35},
  [13591] = {.lex_state = 35},
  [13592] = {.lex_state = 0},
  [13593] = {.lex_state = 35},
  [13594] = {.lex_state = 35},
  [13595] = {.lex_state = 0},
  [13596] = {.lex_state = 35},
  [13597] = {.lex_state = 35},
  [13598] = {.lex_state = 0},
  [13599] = {.lex_state = 35},
  [13600] = {.lex_state = 0},
  [13601] = {.lex_state = 0},
  [13602] = {.lex_state = 35},
  [13603] = {.lex_state = 35},
  [13604] = {.lex_state = 0},
  [13605] = {.lex_state = 0},
  [13606] = {.lex_state = 0},
  [13607] = {.lex_state = 0},
  [13608] = {.lex_state = 0},
  [13609] = {.lex_state = 0},
  [13610] = {.lex_state = 0},
  [13611] = {.lex_state = 0},
  [13612] = {.lex_state = 0},
  [13613] = {.lex_state = 0},
  [13614] = {.lex_state = 0},
  [13615] = {.lex_state = 35},
  [13616] = {.lex_state = 0},
  [13617] = {.lex_state = 0},
  [13618] = {.lex_state = 0},
  [13619] = {.lex_state = 0},
  [13620] = {.lex_state = 35},
  [13621] = {.lex_state = 35},
  [13622] = {.lex_state = 35},
  [13623] = {.lex_state = 35},
  [13624] = {.lex_state = 35},
  [13625] = {.lex_state = 35},
  [13626] = {.lex_state = 0},
  [13627] = {.lex_state = 0},
  [13628] = {.lex_state = 0},
  [13629] = {.lex_state = 0},
  [13630] = {.lex_state = 0},
  [13631] = {.lex_state = 0},
  [13632] = {.lex_state = 0},
  [13633] = {.lex_state = 0},
  [13634] = {.lex_state = 0},
  [13635] = {.lex_state = 35},
  [13636] = {.lex_state = 35},
  [13637] = {.lex_state = 35},
  [13638] = {.lex_state = 0},
  [13639] = {.lex_state = 0},
  [13640] = {.lex_state = 0},
  [13641] = {.lex_state = 35},
  [13642] = {.lex_state = 0},
  [13643] = {.lex_state = 0},
  [13644] = {.lex_state = 0},
  [13645] = {.lex_state = 0},
  [13646] = {.lex_state = 0},
  [13647] = {.lex_state = 35},
  [13648] = {.lex_state = 0},
  [13649] = {.lex_state = 0},
  [13650] = {.lex_state = 35},
  [13651] = {.lex_state = 0},
  [13652] = {.lex_state = 0},
  [13653] = {.lex_state = 0},
  [13654] = {.lex_state = 0},
  [13655] = {.lex_state = 0},
  [13656] = {.lex_state = 0},
  [13657] = {.lex_state = 0},
  [13658] = {.lex_state = 0},
  [13659] = {.lex_state = 35},
  [13660] = {.lex_state = 0},
  [13661] = {.lex_state = 0},
  [13662] = {.lex_state = 0},
  [13663] = {.lex_state = 0},
  [13664] = {.lex_state = 0},
  [13665] = {.lex_state = 0},
  [13666] = {.lex_state = 0},
  [13667] = {.lex_state = 0},
  [13668] = {.lex_state = 35},
  [13669] = {.lex_state = 0},
  [13670] = {.lex_state = 0},
  [13671] = {.lex_state = 0},
  [13672] = {.lex_state = 0},
  [13673] = {.lex_state = 35},
  [13674] = {.lex_state = 0},
  [13675] = {.lex_state = 35},
  [13676] = {.lex_state = 35},
  [13677] = {.lex_state = 35},
  [13678] = {.lex_state = 0},
  [13679] = {.lex_state = 35},
  [13680] = {.lex_state = 33},
  [13681] = {.lex_state = 0},
  [13682] = {.lex_state = 0},
  [13683] = {.lex_state = 35},
  [13684] = {.lex_state = 0},
  [13685] = {.lex_state = 35},
  [13686] = {.lex_state = 35},
  [13687] = {.lex_state = 35},
  [13688] = {.lex_state = 0},
  [13689] = {.lex_state = 0},
  [13690] = {.lex_state = 0},
  [13691] = {.lex_state = 0},
  [13692] = {.lex_state = 0},
  [13693] = {.lex_state = 0},
  [13694] = {.lex_state = 0},
  [13695] = {.lex_state = 0},
  [13696] = {.lex_state = 0},
  [13697] = {.lex_state = 33},
  [13698] = {.lex_state = 0},
  [13699] = {.lex_state = 0},
  [13700] = {.lex_state = 0},
  [13701] = {.lex_state = 0},
  [13702] = {.lex_state = 0},
  [13703] = {.lex_state = 0},
  [13704] = {.lex_state = 35},
  [13705] = {.lex_state = 0},
  [13706] = {.lex_state = 0},
  [13707] = {.lex_state = 0},
  [13708] = {.lex_state = 0},
  [13709] = {.lex_state = 35},
  [13710] = {.lex_state = 0},
  [13711] = {.lex_state = 35},
  [13712] = {.lex_state = 0},
  [13713] = {.lex_state = 0},
  [13714] = {.lex_state = 0},
  [13715] = {.lex_state = 35},
  [13716] = {.lex_state = 0},
  [13717] = {.lex_state = 35},
  [13718] = {.lex_state = 0},
  [13719] = {.lex_state = 0},
  [13720] = {.lex_state = 0},
  [13721] = {.lex_state = 0},
  [13722] = {.lex_state = 35},
  [13723] = {.lex_state = 0},
  [13724] = {.lex_state = 35},
  [13725] = {.lex_state = 0},
  [13726] = {.lex_state = 35},
  [13727] = {.lex_state = 0},
  [13728] = {.lex_state = 0},
  [13729] = {.lex_state = 0},
  [13730] = {.lex_state = 35},
  [13731] = {.lex_state = 35},
  [13732] = {.lex_state = 35},
  [13733] = {.lex_state = 0},
  [13734] = {.lex_state = 0},
  [13735] = {.lex_state = 0},
  [13736] = {.lex_state = 35},
  [13737] = {.lex_state = 35},
  [13738] = {.lex_state = 35},
  [13739] = {.lex_state = 0},
  [13740] = {.lex_state = 35},
  [13741] = {.lex_state = 0},
  [13742] = {.lex_state = 35},
  [13743] = {.lex_state = 0},
  [13744] = {.lex_state = 0},
  [13745] = {.lex_state = 0},
  [13746] = {.lex_state = 0},
  [13747] = {.lex_state = 0},
  [13748] = {.lex_state = 0},
  [13749] = {.lex_state = 0},
  [13750] = {.lex_state = 35},
  [13751] = {.lex_state = 35},
  [13752] = {.lex_state = 0},
  [13753] = {.lex_state = 0},
  [13754] = {.lex_state = 0},
  [13755] = {.lex_state = 35},
  [13756] = {.lex_state = 0},
  [13757] = {.lex_state = 0},
  [13758] = {.lex_state = 0},
  [13759] = {.lex_state = 35},
  [13760] = {.lex_state = 0},
  [13761] = {.lex_state = 35},
  [13762] = {.lex_state = 35},
  [13763] = {.lex_state = 0},
  [13764] = {.lex_state = 33},
  [13765] = {.lex_state = 35},
  [13766] = {.lex_state = 35},
  [13767] = {.lex_state = 0},
  [13768] = {.lex_state = 35},
  [13769] = {.lex_state = 0},
  [13770] = {.lex_state = 0},
  [13771] = {.lex_state = 35},
  [13772] = {.lex_state = 0},
  [13773] = {.lex_state = 0},
  [13774] = {.lex_state = 0, .external_lex_state = 2},
  [13775] = {.lex_state = 0},
  [13776] = {.lex_state = 0},
  [13777] = {.lex_state = 0},
  [13778] = {.lex_state = 0},
  [13779] = {.lex_state = 0},
  [13780] = {.lex_state = 0},
  [13781] = {.lex_state = 0},
  [13782] = {.lex_state = 0},
  [13783] = {.lex_state = 0},
  [13784] = {.lex_state = 0},
  [13785] = {.lex_state = 0},
  [13786] = {.lex_state = 0},
  [13787] = {.lex_state = 0},
  [13788] = {.lex_state = 0},
  [13789] = {.lex_state = 35},
  [13790] = {.lex_state = 0},
  [13791] = {.lex_state = 0},
  [13792] = {.lex_state = 0},
  [13793] = {.lex_state = 0},
  [13794] = {.lex_state = 0},
  [13795] = {.lex_state = 0},
  [13796] = {.lex_state = 0},
  [13797] = {.lex_state = 0},
  [13798] = {.lex_state = 0},
  [13799] = {.lex_state = 0},
  [13800] = {.lex_state = 0},
  [13801] = {.lex_state = 0},
  [13802] = {.lex_state = 35},
  [13803] = {.lex_state = 0},
  [13804] = {.lex_state = 0},
  [13805] = {.lex_state = 35},
  [13806] = {.lex_state = 0},
  [13807] = {.lex_state = 0},
  [13808] = {.lex_state = 35},
  [13809] = {.lex_state = 35},
  [13810] = {.lex_state = 0},
  [13811] = {.lex_state = 0},
  [13812] = {.lex_state = 0},
  [13813] = {.lex_state = 0},
  [13814] = {.lex_state = 0},
  [13815] = {.lex_state = 0},
  [13816] = {.lex_state = 0},
  [13817] = {.lex_state = 35},
  [13818] = {.lex_state = 0},
  [13819] = {.lex_state = 0},
  [13820] = {.lex_state = 0},
  [13821] = {.lex_state = 0},
  [13822] = {.lex_state = 0},
  [13823] = {.lex_state = 35},
  [13824] = {.lex_state = 0},
  [13825] = {.lex_state = 0},
  [13826] = {.lex_state = 35},
  [13827] = {.lex_state = 35},
  [13828] = {.lex_state = 0},
  [13829] = {.lex_state = 35},
  [13830] = {.lex_state = 35},
  [13831] = {.lex_state = 35},
  [13832] = {.lex_state = 0},
  [13833] = {.lex_state = 0},
  [13834] = {.lex_state = 35},
  [13835] = {.lex_state = 0},
  [13836] = {.lex_state = 35},
  [13837] = {.lex_state = 35},
  [13838] = {.lex_state = 35},
  [13839] = {.lex_state = 35},
  [13840] = {.lex_state = 0},
  [13841] = {.lex_state = 35},
  [13842] = {.lex_state = 0},
  [13843] = {.lex_state = 0},
  [13844] = {.lex_state = 35},
  [13845] = {.lex_state = 0},
  [13846] = {.lex_state = 0},
  [13847] = {.lex_state = 0},
  [13848] = {.lex_state = 0},
  [13849] = {.lex_state = 35},
  [13850] = {.lex_state = 0},
  [13851] = {.lex_state = 35},
  [13852] = {.lex_state = 35},
  [13853] = {.lex_state = 0},
  [13854] = {.lex_state = 35},
  [13855] = {.lex_state = 0},
  [13856] = {.lex_state = 0},
  [13857] = {.lex_state = 0},
  [13858] = {.lex_state = 0},
  [13859] = {.lex_state = 35},
  [13860] = {.lex_state = 0},
  [13861] = {.lex_state = 0},
  [13862] = {.lex_state = 0},
  [13863] = {.lex_state = 0},
  [13864] = {.lex_state = 35},
  [13865] = {.lex_state = 35},
  [13866] = {.lex_state = 0},
  [13867] = {.lex_state = 0},
  [13868] = {.lex_state = 0},
  [13869] = {.lex_state = 0},
  [13870] = {.lex_state = 0},
  [13871] = {.lex_state = 0},
  [13872] = {.lex_state = 0},
  [13873] = {.lex_state = 35},
  [13874] = {.lex_state = 0},
  [13875] = {.lex_state = 0},
  [13876] = {.lex_state = 0},
  [13877] = {.lex_state = 0},
  [13878] = {.lex_state = 35},
  [13879] = {.lex_state = 35},
  [13880] = {.lex_state = 0},
  [13881] = {.lex_state = 0},
  [13882] = {.lex_state = 0},
  [13883] = {.lex_state = 0},
  [13884] = {.lex_state = 0},
  [13885] = {.lex_state = 0},
  [13886] = {.lex_state = 0},
  [13887] = {.lex_state = 0},
  [13888] = {.lex_state = 0},
  [13889] = {.lex_state = 0},
  [13890] = {.lex_state = 0},
  [13891] = {.lex_state = 0},
  [13892] = {.lex_state = 35},
  [13893] = {.lex_state = 0},
  [13894] = {.lex_state = 0},
  [13895] = {.lex_state = 0},
  [13896] = {.lex_state = 0},
  [13897] = {.lex_state = 35},
  [13898] = {.lex_state = 0},
  [13899] = {.lex_state = 0},
  [13900] = {.lex_state = 0},
  [13901] = {.lex_state = 0},
  [13902] = {.lex_state = 0},
  [13903] = {.lex_state = 0},
  [13904] = {.lex_state = 35},
  [13905] = {.lex_state = 0},
  [13906] = {.lex_state = 35},
  [13907] = {.lex_state = 0},
  [13908] = {.lex_state = 35},
  [13909] = {.lex_state = 0},
  [13910] = {.lex_state = 0},
  [13911] = {.lex_state = 35},
  [13912] = {.lex_state = 35},
  [13913] = {.lex_state = 35},
  [13914] = {.lex_state = 0},
  [13915] = {.lex_state = 0},
  [13916] = {.lex_state = 0},
  [13917] = {.lex_state = 0},
  [13918] = {.lex_state = 35},
  [13919] = {.lex_state = 35},
  [13920] = {.lex_state = 0},
  [13921] = {.lex_state = 0},
  [13922] = {.lex_state = 0},
  [13923] = {.lex_state = 0},
  [13924] = {.lex_state = 0},
  [13925] = {.lex_state = 35},
  [13926] = {.lex_state = 0},
  [13927] = {.lex_state = 35},
  [13928] = {.lex_state = 0},
  [13929] = {.lex_state = 0},
  [13930] = {.lex_state = 0},
  [13931] = {.lex_state = 0},
  [13932] = {.lex_state = 0},
  [13933] = {.lex_state = 0},
  [13934] = {.lex_state = 0},
  [13935] = {.lex_state = 0},
  [13936] = {.lex_state = 0},
  [13937] = {.lex_state = 0},
  [13938] = {.lex_state = 35},
  [13939] = {.lex_state = 0},
  [13940] = {.lex_state = 0},
  [13941] = {.lex_state = 35},
  [13942] = {.lex_state = 0},
  [13943] = {.lex_state = 0},
  [13944] = {.lex_state = 0},
  [13945] = {.lex_state = 0},
  [13946] = {.lex_state = 35},
  [13947] = {.lex_state = 0},
  [13948] = {.lex_state = 0},
  [13949] = {.lex_state = 0},
  [13950] = {.lex_state = 0},
  [13951] = {.lex_state = 0},
  [13952] = {.lex_state = 0},
  [13953] = {.lex_state = 0},
  [13954] = {.lex_state = 0},
  [13955] = {.lex_state = 0},
  [13956] = {.lex_state = 35},
  [13957] = {.lex_state = 0},
  [13958] = {.lex_state = 0},
  [13959] = {.lex_state = 0},
  [13960] = {.lex_state = 0},
  [13961] = {.lex_state = 0},
  [13962] = {.lex_state = 35},
  [13963] = {.lex_state = 0},
  [13964] = {.lex_state = 35},
  [13965] = {.lex_state = 0},
  [13966] = {.lex_state = 0},
  [13967] = {.lex_state = 0},
  [13968] = {.lex_state = 0},
  [13969] = {.lex_state = 0},
  [13970] = {.lex_state = 0},
  [13971] = {.lex_state = 0},
  [13972] = {.lex_state = 35},
  [13973] = {.lex_state = 0},
  [13974] = {.lex_state = 0},
  [13975] = {.lex_state = 0},
  [13976] = {.lex_state = 35},
  [13977] = {.lex_state = 0},
  [13978] = {.lex_state = 0},
  [13979] = {.lex_state = 35},
  [13980] = {.lex_state = 35},
  [13981] = {.lex_state = 35},
  [13982] = {.lex_state = 0},
  [13983] = {.lex_state = 0},
  [13984] = {.lex_state = 0},
  [13985] = {.lex_state = 0},
  [13986] = {.lex_state = 0},
  [13987] = {.lex_state = 0},
  [13988] = {.lex_state = 0},
  [13989] = {.lex_state = 0},
  [13990] = {.lex_state = 0},
  [13991] = {.lex_state = 0},
  [13992] = {.lex_state = 0},
  [13993] = {.lex_state = 0},
  [13994] = {.lex_state = 0},
  [13995] = {.lex_state = 0},
  [13996] = {.lex_state = 35},
  [13997] = {.lex_state = 35},
  [13998] = {.lex_state = 0},
  [13999] = {.lex_state = 0},
  [14000] = {.lex_state = 0},
  [14001] = {.lex_state = 0},
  [14002] = {.lex_state = 0},
  [14003] = {.lex_state = 0},
  [14004] = {.lex_state = 0},
  [14005] = {.lex_state = 0},
  [14006] = {.lex_state = 0},
  [14007] = {.lex_state = 35},
  [14008] = {.lex_state = 35},
  [14009] = {.lex_state = 0},
  [14010] = {.lex_state = 35},
  [14011] = {.lex_state = 0},
  [14012] = {.lex_state = 0},
  [14013] = {.lex_state = 0},
  [14014] = {.lex_state = 0},
  [14015] = {.lex_state = 0},
  [14016] = {.lex_state = 0},
  [14017] = {.lex_state = 0},
  [14018] = {.lex_state = 0},
  [14019] = {.lex_state = 0},
  [14020] = {.lex_state = 0},
  [14021] = {.lex_state = 0},
  [14022] = {.lex_state = 35},
  [14023] = {.lex_state = 0},
  [14024] = {.lex_state = 0},
  [14025] = {.lex_state = 0},
  [14026] = {.lex_state = 0},
  [14027] = {.lex_state = 0},
  [14028] = {.lex_state = 35},
  [14029] = {.lex_state = 35},
  [14030] = {.lex_state = 0},
  [14031] = {.lex_state = 0},
  [14032] = {.lex_state = 35},
  [14033] = {.lex_state = 0},
  [14034] = {.lex_state = 0},
  [14035] = {.lex_state = 0},
  [14036] = {.lex_state = 0},
  [14037] = {.lex_state = 0},
  [14038] = {.lex_state = 35},
  [14039] = {.lex_state = 35},
  [14040] = {.lex_state = 35},
  [14041] = {.lex_state = 0},
  [14042] = {.lex_state = 35},
  [14043] = {.lex_state = 0},
  [14044] = {.lex_state = 35},
  [14045] = {.lex_state = 0},
  [14046] = {.lex_state = 0},
  [14047] = {.lex_state = 0},
  [14048] = {.lex_state = 35},
  [14049] = {.lex_state = 0},
  [14050] = {.lex_state = 0},
  [14051] = {.lex_state = 0},
  [14052] = {.lex_state = 0},
  [14053] = {.lex_state = 0},
  [14054] = {.lex_state = 35},
  [14055] = {.lex_state = 35},
  [14056] = {.lex_state = 35},
  [14057] = {.lex_state = 0},
  [14058] = {.lex_state = 0},
  [14059] = {.lex_state = 0},
  [14060] = {.lex_state = 0},
  [14061] = {.lex_state = 35},
  [14062] = {.lex_state = 35},
  [14063] = {.lex_state = 0},
  [14064] = {.lex_state = 35},
  [14065] = {.lex_state = 0},
  [14066] = {.lex_state = 0},
  [14067] = {.lex_state = 0},
  [14068] = {.lex_state = 0},
  [14069] = {.lex_state = 0},
  [14070] = {.lex_state = 35},
  [14071] = {.lex_state = 35},
  [14072] = {.lex_state = 35},
  [14073] = {.lex_state = 0},
  [14074] = {.lex_state = 0},
  [14075] = {.lex_state = 0},
  [14076] = {.lex_state = 0},
  [14077] = {.lex_state = 35},
  [14078] = {.lex_state = 0},
  [14079] = {.lex_state = 0},
  [14080] = {.lex_state = 0},
  [14081] = {.lex_state = 0},
  [14082] = {.lex_state = 0},
  [14083] = {.lex_state = 0},
  [14084] = {.lex_state = 0},
  [14085] = {.lex_state = 0},
  [14086] = {.lex_state = 0},
  [14087] = {.lex_state = 0},
  [14088] = {.lex_state = 35},
  [14089] = {.lex_state = 0},
  [14090] = {.lex_state = 35},
  [14091] = {.lex_state = 0},
  [14092] = {.lex_state = 0},
  [14093] = {.lex_state = 0},
  [14094] = {.lex_state = 35},
  [14095] = {.lex_state = 0},
  [14096] = {.lex_state = 35},
  [14097] = {.lex_state = 0},
  [14098] = {.lex_state = 0},
  [14099] = {.lex_state = 0},
  [14100] = {.lex_state = 0},
  [14101] = {.lex_state = 0},
  [14102] = {.lex_state = 35},
  [14103] = {.lex_state = 35},
  [14104] = {.lex_state = 0},
  [14105] = {.lex_state = 0},
  [14106] = {.lex_state = 35},
  [14107] = {.lex_state = 0},
  [14108] = {.lex_state = 0},
  [14109] = {.lex_state = 0},
  [14110] = {.lex_state = 0},
  [14111] = {.lex_state = 0},
  [14112] = {.lex_state = 35},
  [14113] = {.lex_state = 0},
  [14114] = {.lex_state = 0},
  [14115] = {.lex_state = 0},
  [14116] = {.lex_state = 0},
  [14117] = {.lex_state = 0},
  [14118] = {.lex_state = 0},
  [14119] = {.lex_state = 0},
  [14120] = {.lex_state = 0},
  [14121] = {.lex_state = 0},
  [14122] = {.lex_state = 0},
  [14123] = {.lex_state = 0},
  [14124] = {.lex_state = 35},
  [14125] = {.lex_state = 35},
  [14126] = {.lex_state = 35},
  [14127] = {.lex_state = 0},
  [14128] = {.lex_state = 0},
  [14129] = {.lex_state = 0},
  [14130] = {.lex_state = 0},
  [14131] = {.lex_state = 0},
  [14132] = {.lex_state = 0},
  [14133] = {.lex_state = 0},
  [14134] = {.lex_state = 35},
  [14135] = {.lex_state = 35},
  [14136] = {.lex_state = 0},
  [14137] = {.lex_state = 0},
  [14138] = {.lex_state = 35},
  [14139] = {.lex_state = 0},
  [14140] = {.lex_state = 0},
  [14141] = {.lex_state = 0},
  [14142] = {.lex_state = 0},
  [14143] = {.lex_state = 0},
  [14144] = {.lex_state = 0},
  [14145] = {.lex_state = 0},
  [14146] = {.lex_state = 0},
  [14147] = {.lex_state = 0},
  [14148] = {.lex_state = 0},
  [14149] = {.lex_state = 0},
  [14150] = {.lex_state = 0},
  [14151] = {.lex_state = 0},
  [14152] = {.lex_state = 0},
  [14153] = {.lex_state = 0},
  [14154] = {.lex_state = 0},
  [14155] = {.lex_state = 0},
  [14156] = {.lex_state = 0},
  [14157] = {.lex_state = 0},
  [14158] = {.lex_state = 0},
  [14159] = {.lex_state = 0},
  [14160] = {.lex_state = 0},
  [14161] = {.lex_state = 0},
  [14162] = {.lex_state = 0},
  [14163] = {.lex_state = 0},
  [14164] = {.lex_state = 0},
  [14165] = {.lex_state = 0},
  [14166] = {.lex_state = 0},
  [14167] = {.lex_state = 0},
  [14168] = {.lex_state = 0},
  [14169] = {.lex_state = 0},
  [14170] = {.lex_state = 0},
  [14171] = {.lex_state = 35},
  [14172] = {.lex_state = 35},
  [14173] = {.lex_state = 0},
  [14174] = {.lex_state = 35},
  [14175] = {.lex_state = 0},
  [14176] = {.lex_state = 0},
  [14177] = {.lex_state = 35},
  [14178] = {.lex_state = 0},
  [14179] = {.lex_state = 0},
  [14180] = {.lex_state = 35},
  [14181] = {.lex_state = 35},
  [14182] = {.lex_state = 35},
  [14183] = {.lex_state = 35},
  [14184] = {.lex_state = 0},
  [14185] = {.lex_state = 35},
  [14186] = {.lex_state = 35},
  [14187] = {.lex_state = 0},
  [14188] = {.lex_state = 0},
  [14189] = {.lex_state = 0},
  [14190] = {.lex_state = 35},
  [14191] = {.lex_state = 0},
  [14192] = {.lex_state = 0},
  [14193] = {.lex_state = 33},
  [14194] = {.lex_state = 0},
  [14195] = {.lex_state = 35},
  [14196] = {.lex_state = 0},
  [14197] = {.lex_state = 0},
  [14198] = {.lex_state = 0},
  [14199] = {.lex_state = 0},
  [14200] = {.lex_state = 0},
  [14201] = {.lex_state = 35},
  [14202] = {.lex_state = 0},
  [14203] = {.lex_state = 0},
  [14204] = {.lex_state = 35},
  [14205] = {.lex_state = 35},
  [14206] = {.lex_state = 0},
  [14207] = {.lex_state = 0},
  [14208] = {.lex_state = 0},
  [14209] = {.lex_state = 35},
  [14210] = {.lex_state = 0},
  [14211] = {.lex_state = 0},
  [14212] = {.lex_state = 0},
  [14213] = {.lex_state = 35},
  [14214] = {.lex_state = 0},
  [14215] = {.lex_state = 0},
  [14216] = {.lex_state = 35},
  [14217] = {.lex_state = 0},
  [14218] = {.lex_state = 0},
  [14219] = {.lex_state = 0},
  [14220] = {.lex_state = 0},
  [14221] = {.lex_state = 0},
  [14222] = {.lex_state = 35},
  [14223] = {.lex_state = 0},
  [14224] = {.lex_state = 0},
  [14225] = {.lex_state = 35},
  [14226] = {.lex_state = 0},
  [14227] = {.lex_state = 35},
  [14228] = {.lex_state = 0},
  [14229] = {.lex_state = 35},
  [14230] = {.lex_state = 0},
  [14231] = {.lex_state = 0},
  [14232] = {.lex_state = 35},
  [14233] = {.lex_state = 0},
  [14234] = {.lex_state = 0},
  [14235] = {.lex_state = 35},
  [14236] = {.lex_state = 35},
  [14237] = {.lex_state = 35},
  [14238] = {.lex_state = 0},
  [14239] = {.lex_state = 0},
  [14240] = {.lex_state = 0},
  [14241] = {.lex_state = 35},
  [14242] = {.lex_state = 0},
  [14243] = {.lex_state = 0},
  [14244] = {.lex_state = 35},
  [14245] = {.lex_state = 35},
  [14246] = {.lex_state = 35},
  [14247] = {.lex_state = 0},
  [14248] = {.lex_state = 35},
  [14249] = {.lex_state = 35},
  [14250] = {.lex_state = 35},
  [14251] = {.lex_state = 35},
  [14252] = {.lex_state = 35},
  [14253] = {.lex_state = 35},
  [14254] = {.lex_state = 0},
  [14255] = {.lex_state = 0},
  [14256] = {.lex_state = 0},
  [14257] = {.lex_state = 0},
  [14258] = {.lex_state = 0},
  [14259] = {.lex_state = 35},
  [14260] = {.lex_state = 0},
  [14261] = {.lex_state = 35},
  [14262] = {.lex_state = 0},
  [14263] = {.lex_state = 35},
  [14264] = {.lex_state = 0},
  [14265] = {.lex_state = 0},
  [14266] = {.lex_state = 35},
  [14267] = {.lex_state = 0},
  [14268] = {.lex_state = 0},
  [14269] = {.lex_state = 35},
  [14270] = {.lex_state = 0},
  [14271] = {.lex_state = 0},
  [14272] = {.lex_state = 0},
  [14273] = {.lex_state = 0},
  [14274] = {.lex_state = 35},
  [14275] = {.lex_state = 0},
  [14276] = {.lex_state = 35},
  [14277] = {.lex_state = 0},
  [14278] = {.lex_state = 35},
  [14279] = {.lex_state = 0},
  [14280] = {.lex_state = 0},
  [14281] = {.lex_state = 0},
  [14282] = {.lex_state = 0},
  [14283] = {.lex_state = 0},
  [14284] = {.lex_state = 0},
  [14285] = {.lex_state = 35},
  [14286] = {.lex_state = 0},
  [14287] = {.lex_state = 0},
  [14288] = {.lex_state = 0},
  [14289] = {.lex_state = 0},
  [14290] = {.lex_state = 0},
  [14291] = {.lex_state = 0},
  [14292] = {.lex_state = 0},
  [14293] = {.lex_state = 0},
  [14294] = {.lex_state = 0},
  [14295] = {.lex_state = 0},
  [14296] = {.lex_state = 0},
  [14297] = {.lex_state = 35},
  [14298] = {.lex_state = 35},
  [14299] = {.lex_state = 0},
  [14300] = {.lex_state = 35},
  [14301] = {.lex_state = 35},
  [14302] = {.lex_state = 0},
  [14303] = {.lex_state = 0},
  [14304] = {.lex_state = 0},
  [14305] = {.lex_state = 0},
  [14306] = {.lex_state = 0},
  [14307] = {.lex_state = 35},
  [14308] = {.lex_state = 35},
  [14309] = {.lex_state = 35},
  [14310] = {.lex_state = 35},
  [14311] = {.lex_state = 0},
  [14312] = {.lex_state = 0},
  [14313] = {.lex_state = 0},
  [14314] = {.lex_state = 0},
  [14315] = {.lex_state = 35},
  [14316] = {.lex_state = 0},
  [14317] = {.lex_state = 35},
  [14318] = {.lex_state = 0},
  [14319] = {.lex_state = 0},
  [14320] = {.lex_state = 35},
  [14321] = {.lex_state = 0},
  [14322] = {.lex_state = 0},
  [14323] = {.lex_state = 35},
  [14324] = {.lex_state = 35},
  [14325] = {.lex_state = 35},
  [14326] = {.lex_state = 0},
  [14327] = {.lex_state = 0},
  [14328] = {.lex_state = 0},
  [14329] = {.lex_state = 0},
  [14330] = {.lex_state = 0},
  [14331] = {.lex_state = 35},
  [14332] = {.lex_state = 0},
  [14333] = {.lex_state = 0},
  [14334] = {.lex_state = 0},
  [14335] = {.lex_state = 35},
  [14336] = {.lex_state = 0},
  [14337] = {.lex_state = 0},
  [14338] = {.lex_state = 0},
  [14339] = {.lex_state = 35},
  [14340] = {.lex_state = 35},
  [14341] = {.lex_state = 0},
  [14342] = {.lex_state = 0},
  [14343] = {.lex_state = 0},
  [14344] = {.lex_state = 0},
  [14345] = {.lex_state = 0},
  [14346] = {.lex_state = 0},
  [14347] = {.lex_state = 0},
  [14348] = {.lex_state = 0},
  [14349] = {.lex_state = 0},
  [14350] = {.lex_state = 0},
  [14351] = {.lex_state = 0},
  [14352] = {.lex_state = 0},
  [14353] = {.lex_state = 0},
  [14354] = {.lex_state = 0},
  [14355] = {.lex_state = 0},
  [14356] = {.lex_state = 0},
  [14357] = {.lex_state = 0},
  [14358] = {.lex_state = 0},
  [14359] = {.lex_state = 0},
  [14360] = {.lex_state = 0},
  [14361] = {.lex_state = 0},
  [14362] = {.lex_state = 0},
  [14363] = {.lex_state = 0},
  [14364] = {.lex_state = 0},
  [14365] = {.lex_state = 0},
  [14366] = {.lex_state = 0},
  [14367] = {.lex_state = 0},
  [14368] = {.lex_state = 0},
  [14369] = {.lex_state = 35},
  [14370] = {.lex_state = 0},
  [14371] = {.lex_state = 0},
  [14372] = {.lex_state = 35},
  [14373] = {.lex_state = 0},
  [14374] = {.lex_state = 35},
  [14375] = {.lex_state = 35},
  [14376] = {.lex_state = 0},
  [14377] = {.lex_state = 0},
  [14378] = {.lex_state = 0},
  [14379] = {.lex_state = 0},
  [14380] = {.lex_state = 35},
  [14381] = {.lex_state = 0},
  [14382] = {.lex_state = 0},
  [14383] = {.lex_state = 0},
  [14384] = {.lex_state = 0},
  [14385] = {.lex_state = 0},
  [14386] = {.lex_state = 0},
  [14387] = {.lex_state = 35},
  [14388] = {.lex_state = 0},
  [14389] = {.lex_state = 0},
  [14390] = {.lex_state = 35},
  [14391] = {.lex_state = 0},
  [14392] = {.lex_state = 35},
  [14393] = {.lex_state = 35},
  [14394] = {.lex_state = 0},
  [14395] = {.lex_state = 0},
  [14396] = {.lex_state = 0},
  [14397] = {.lex_state = 0},
  [14398] = {.lex_state = 0},
  [14399] = {.lex_state = 35},
  [14400] = {.lex_state = 0},
  [14401] = {.lex_state = 0},
  [14402] = {.lex_state = 35},
  [14403] = {.lex_state = 35},
  [14404] = {.lex_state = 0},
  [14405] = {.lex_state = 0},
  [14406] = {.lex_state = 35},
  [14407] = {.lex_state = 0},
  [14408] = {.lex_state = 35},
  [14409] = {.lex_state = 35},
  [14410] = {.lex_state = 0},
  [14411] = {.lex_state = 0},
  [14412] = {.lex_state = 0},
  [14413] = {.lex_state = 0},
  [14414] = {.lex_state = 0},
  [14415] = {.lex_state = 0},
  [14416] = {.lex_state = 35},
  [14417] = {.lex_state = 0},
  [14418] = {.lex_state = 0},
  [14419] = {.lex_state = 35},
  [14420] = {.lex_state = 0},
  [14421] = {.lex_state = 0},
  [14422] = {.lex_state = 35},
  [14423] = {.lex_state = 0},
  [14424] = {.lex_state = 35},
  [14425] = {.lex_state = 35},
  [14426] = {.lex_state = 0},
  [14427] = {.lex_state = 0},
  [14428] = {.lex_state = 0},
  [14429] = {.lex_state = 0},
  [14430] = {.lex_state = 0},
  [14431] = {.lex_state = 0},
  [14432] = {.lex_state = 0},
  [14433] = {.lex_state = 0},
  [14434] = {.lex_state = 0},
  [14435] = {.lex_state = 35},
  [14436] = {.lex_state = 0},
  [14437] = {.lex_state = 0},
  [14438] = {.lex_state = 35},
  [14439] = {.lex_state = 0},
  [14440] = {.lex_state = 0},
  [14441] = {.lex_state = 0},
  [14442] = {.lex_state = 0},
  [14443] = {.lex_state = 0},
  [14444] = {.lex_state = 0},
  [14445] = {.lex_state = 0},
  [14446] = {.lex_state = 0},
  [14447] = {.lex_state = 0},
  [14448] = {.lex_state = 35},
  [14449] = {.lex_state = 0},
  [14450] = {.lex_state = 0},
  [14451] = {.lex_state = 35},
  [14452] = {.lex_state = 0},
  [14453] = {.lex_state = 0},
  [14454] = {.lex_state = 0},
  [14455] = {.lex_state = 0},
  [14456] = {.lex_state = 0},
  [14457] = {.lex_state = 35},
  [14458] = {.lex_state = 0},
  [14459] = {.lex_state = 0},
  [14460] = {.lex_state = 0},
  [14461] = {.lex_state = 0},
  [14462] = {.lex_state = 0},
  [14463] = {.lex_state = 0},
  [14464] = {.lex_state = 35},
  [14465] = {.lex_state = 0},
  [14466] = {.lex_state = 0},
  [14467] = {.lex_state = 0},
  [14468] = {.lex_state = 0},
  [14469] = {.lex_state = 0},
  [14470] = {.lex_state = 0},
  [14471] = {.lex_state = 0},
  [14472] = {.lex_state = 0},
  [14473] = {.lex_state = 0},
  [14474] = {.lex_state = 35},
  [14475] = {.lex_state = 0},
  [14476] = {.lex_state = 0},
  [14477] = {.lex_state = 0},
  [14478] = {.lex_state = 0},
  [14479] = {.lex_state = 0},
  [14480] = {.lex_state = 0},
  [14481] = {.lex_state = 0},
  [14482] = {.lex_state = 35},
  [14483] = {.lex_state = 0},
  [14484] = {.lex_state = 0},
  [14485] = {.lex_state = 0},
  [14486] = {.lex_state = 0},
  [14487] = {.lex_state = 0},
  [14488] = {.lex_state = 0},
  [14489] = {.lex_state = 0},
  [14490] = {.lex_state = 35},
  [14491] = {.lex_state = 0},
  [14492] = {.lex_state = 0},
  [14493] = {.lex_state = 0},
  [14494] = {.lex_state = 0},
  [14495] = {.lex_state = 0},
  [14496] = {.lex_state = 35},
  [14497] = {.lex_state = 0},
  [14498] = {.lex_state = 0},
  [14499] = {.lex_state = 0},
  [14500] = {.lex_state = 0},
  [14501] = {.lex_state = 0},
  [14502] = {.lex_state = 0},
  [14503] = {.lex_state = 0},
  [14504] = {.lex_state = 35},
  [14505] = {.lex_state = 0},
  [14506] = {.lex_state = 0},
  [14507] = {.lex_state = 0},
  [14508] = {.lex_state = 0},
  [14509] = {.lex_state = 0},
  [14510] = {.lex_state = 0},
  [14511] = {.lex_state = 0},
  [14512] = {.lex_state = 35},
  [14513] = {.lex_state = 0},
  [14514] = {.lex_state = 0},
  [14515] = {.lex_state = 0},
  [14516] = {.lex_state = 0},
  [14517] = {.lex_state = 0},
  [14518] = {.lex_state = 0},
  [14519] = {.lex_state = 0},
  [14520] = {.lex_state = 0},
  [14521] = {.lex_state = 0},
  [14522] = {.lex_state = 35},
  [14523] = {.lex_state = 0},
  [14524] = {.lex_state = 0},
  [14525] = {.lex_state = 0},
  [14526] = {.lex_state = 0},
  [14527] = {.lex_state = 0},
  [14528] = {.lex_state = 0},
  [14529] = {.lex_state = 0},
  [14530] = {.lex_state = 0},
  [14531] = {.lex_state = 0},
  [14532] = {.lex_state = 0},
  [14533] = {.lex_state = 0},
  [14534] = {.lex_state = 0},
  [14535] = {.lex_state = 0},
  [14536] = {.lex_state = 0},
  [14537] = {.lex_state = 0},
  [14538] = {.lex_state = 0},
  [14539] = {.lex_state = 0},
  [14540] = {.lex_state = 0},
  [14541] = {.lex_state = 0},
  [14542] = {.lex_state = 0},
  [14543] = {.lex_state = 0},
  [14544] = {.lex_state = 0},
  [14545] = {.lex_state = 0},
  [14546] = {.lex_state = 0},
  [14547] = {.lex_state = 0},
  [14548] = {.lex_state = 0},
  [14549] = {.lex_state = 0},
  [14550] = {.lex_state = 0},
  [14551] = {.lex_state = 0},
  [14552] = {.lex_state = 35},
  [14553] = {.lex_state = 0},
  [14554] = {.lex_state = 0},
  [14555] = {.lex_state = 35},
  [14556] = {.lex_state = 0},
  [14557] = {.lex_state = 0},
  [14558] = {.lex_state = 35},
  [14559] = {.lex_state = 0},
  [14560] = {.lex_state = 0},
  [14561] = {.lex_state = 0},
  [14562] = {.lex_state = 35},
  [14563] = {.lex_state = 0},
  [14564] = {.lex_state = 0},
  [14565] = {.lex_state = 35},
  [14566] = {.lex_state = 0},
  [14567] = {.lex_state = 0},
  [14568] = {.lex_state = 0},
  [14569] = {.lex_state = 0},
  [14570] = {.lex_state = 0},
  [14571] = {.lex_state = 0},
  [14572] = {.lex_state = 0},
  [14573] = {.lex_state = 35},
  [14574] = {.lex_state = 0},
  [14575] = {.lex_state = 0},
  [14576] = {.lex_state = 0},
  [14577] = {.lex_state = 35},
  [14578] = {.lex_state = 0},
  [14579] = {.lex_state = 35},
  [14580] = {.lex_state = 0},
  [14581] = {.lex_state = 0},
  [14582] = {.lex_state = 0},
  [14583] = {.lex_state = 0},
  [14584] = {.lex_state = 0},
  [14585] = {.lex_state = 0},
  [14586] = {.lex_state = 0},
  [14587] = {.lex_state = 0},
  [14588] = {.lex_state = 0},
  [14589] = {.lex_state = 0},
  [14590] = {.lex_state = 0},
  [14591] = {.lex_state = 0},
  [14592] = {.lex_state = 0, .external_lex_state = 2},
  [14593] = {.lex_state = 0},
  [14594] = {.lex_state = 0},
  [14595] = {.lex_state = 0},
  [14596] = {.lex_state = 0},
  [14597] = {.lex_state = 0},
  [14598] = {.lex_state = 0},
  [14599] = {.lex_state = 0},
  [14600] = {.lex_state = 0},
  [14601] = {.lex_state = 35},
  [14602] = {.lex_state = 35},
  [14603] = {.lex_state = 0},
  [14604] = {.lex_state = 0},
  [14605] = {.lex_state = 0},
  [14606] = {.lex_state = 0},
  [14607] = {.lex_state = 0},
  [14608] = {.lex_state = 0},
  [14609] = {.lex_state = 35},
  [14610] = {.lex_state = 0},
  [14611] = {.lex_state = 0},
  [14612] = {.lex_state = 0},
  [14613] = {.lex_state = 0},
  [14614] = {.lex_state = 35},
  [14615] = {.lex_state = 0},
  [14616] = {.lex_state = 0},
  [14617] = {.lex_state = 0},
  [14618] = {.lex_state = 0},
  [14619] = {.lex_state = 0},
  [14620] = {.lex_state = 35},
  [14621] = {.lex_state = 0},
  [14622] = {.lex_state = 35},
  [14623] = {.lex_state = 35},
  [14624] = {.lex_state = 35},
  [14625] = {.lex_state = 0},
  [14626] = {.lex_state = 35},
  [14627] = {.lex_state = 0},
  [14628] = {.lex_state = 35},
  [14629] = {.lex_state = 0},
  [14630] = {.lex_state = 0},
  [14631] = {.lex_state = 0},
  [14632] = {.lex_state = 0},
  [14633] = {.lex_state = 35},
  [14634] = {.lex_state = 35},
  [14635] = {.lex_state = 0},
  [14636] = {.lex_state = 0},
  [14637] = {.lex_state = 0},
  [14638] = {.lex_state = 0},
  [14639] = {.lex_state = 0},
  [14640] = {.lex_state = 0},
  [14641] = {.lex_state = 0},
  [14642] = {.lex_state = 0},
  [14643] = {.lex_state = 0},
  [14644] = {.lex_state = 0},
  [14645] = {.lex_state = 0},
  [14646] = {.lex_state = 0},
  [14647] = {.lex_state = 0},
  [14648] = {.lex_state = 0},
  [14649] = {.lex_state = 0},
  [14650] = {.lex_state = 0},
  [14651] = {.lex_state = 0},
  [14652] = {.lex_state = 0},
  [14653] = {.lex_state = 0},
  [14654] = {.lex_state = 0},
  [14655] = {.lex_state = 35},
  [14656] = {.lex_state = 0},
  [14657] = {.lex_state = 0},
  [14658] = {.lex_state = 0},
  [14659] = {.lex_state = 0},
  [14660] = {.lex_state = 0},
  [14661] = {.lex_state = 0},
  [14662] = {.lex_state = 0},
  [14663] = {.lex_state = 0},
  [14664] = {.lex_state = 0},
  [14665] = {.lex_state = 0},
  [14666] = {.lex_state = 0},
  [14667] = {.lex_state = 0},
  [14668] = {.lex_state = 0},
  [14669] = {.lex_state = 0},
  [14670] = {.lex_state = 0},
  [14671] = {.lex_state = 0},
  [14672] = {.lex_state = 0},
  [14673] = {.lex_state = 0},
  [14674] = {.lex_state = 0},
  [14675] = {.lex_state = 35},
  [14676] = {.lex_state = 0},
  [14677] = {.lex_state = 0},
  [14678] = {.lex_state = 0},
  [14679] = {.lex_state = 0},
  [14680] = {.lex_state = 0},
  [14681] = {.lex_state = 35},
  [14682] = {.lex_state = 35},
  [14683] = {.lex_state = 0},
  [14684] = {.lex_state = 0},
  [14685] = {.lex_state = 0},
  [14686] = {.lex_state = 0},
  [14687] = {.lex_state = 0},
  [14688] = {.lex_state = 0},
  [14689] = {.lex_state = 0},
  [14690] = {.lex_state = 35},
  [14691] = {.lex_state = 0},
  [14692] = {.lex_state = 0},
  [14693] = {.lex_state = 35},
  [14694] = {.lex_state = 0},
  [14695] = {.lex_state = 0},
  [14696] = {.lex_state = 0},
  [14697] = {.lex_state = 35},
  [14698] = {.lex_state = 0},
  [14699] = {.lex_state = 0},
  [14700] = {.lex_state = 0},
  [14701] = {.lex_state = 0},
  [14702] = {.lex_state = 0},
  [14703] = {.lex_state = 0},
  [14704] = {.lex_state = 0},
  [14705] = {.lex_state = 0},
  [14706] = {.lex_state = 0},
  [14707] = {.lex_state = 0},
  [14708] = {.lex_state = 0},
  [14709] = {.lex_state = 35},
  [14710] = {.lex_state = 0},
  [14711] = {.lex_state = 35},
  [14712] = {.lex_state = 0},
  [14713] = {.lex_state = 0},
  [14714] = {.lex_state = 0},
  [14715] = {.lex_state = 0},
  [14716] = {.lex_state = 0},
  [14717] = {.lex_state = 0},
  [14718] = {.lex_state = 0},
  [14719] = {.lex_state = 0},
  [14720] = {.lex_state = 0},
  [14721] = {.lex_state = 35},
  [14722] = {.lex_state = 0},
  [14723] = {.lex_state = 35},
  [14724] = {.lex_state = 35},
  [14725] = {.lex_state = 0},
  [14726] = {.lex_state = 0},
  [14727] = {.lex_state = 0},
  [14728] = {.lex_state = 0},
  [14729] = {.lex_state = 0},
  [14730] = {.lex_state = 0},
  [14731] = {.lex_state = 35},
  [14732] = {.lex_state = 35},
  [14733] = {.lex_state = 0},
  [14734] = {.lex_state = 0},
  [14735] = {.lex_state = 35},
  [14736] = {.lex_state = 35},
  [14737] = {.lex_state = 0},
  [14738] = {.lex_state = 0},
  [14739] = {.lex_state = 35},
  [14740] = {.lex_state = 0},
  [14741] = {.lex_state = 0},
  [14742] = {.lex_state = 0},
  [14743] = {.lex_state = 0},
  [14744] = {.lex_state = 0},
  [14745] = {.lex_state = 0},
  [14746] = {.lex_state = 0},
  [14747] = {.lex_state = 0},
  [14748] = {.lex_state = 0},
  [14749] = {.lex_state = 0},
  [14750] = {.lex_state = 0},
  [14751] = {.lex_state = 0},
  [14752] = {.lex_state = 0},
  [14753] = {.lex_state = 35},
  [14754] = {.lex_state = 0},
  [14755] = {.lex_state = 0},
  [14756] = {.lex_state = 0},
  [14757] = {.lex_state = 0},
  [14758] = {.lex_state = 35},
  [14759] = {.lex_state = 0},
  [14760] = {.lex_state = 0},
  [14761] = {.lex_state = 0},
  [14762] = {.lex_state = 0},
  [14763] = {.lex_state = 35},
  [14764] = {.lex_state = 0},
  [14765] = {.lex_state = 0},
  [14766] = {.lex_state = 0},
  [14767] = {.lex_state = 0},
  [14768] = {.lex_state = 0},
  [14769] = {.lex_state = 0},
  [14770] = {.lex_state = 0},
  [14771] = {.lex_state = 0},
  [14772] = {.lex_state = 0},
  [14773] = {.lex_state = 0},
  [14774] = {.lex_state = 0},
  [14775] = {.lex_state = 0},
  [14776] = {.lex_state = 0},
  [14777] = {.lex_state = 0},
  [14778] = {.lex_state = 35},
  [14779] = {.lex_state = 0},
  [14780] = {.lex_state = 0},
  [14781] = {.lex_state = 0},
  [14782] = {.lex_state = 35},
  [14783] = {.lex_state = 35},
  [14784] = {.lex_state = 35},
  [14785] = {.lex_state = 0},
  [14786] = {.lex_state = 0},
  [14787] = {.lex_state = 0},
  [14788] = {.lex_state = 0},
  [14789] = {.lex_state = 0},
  [14790] = {.lex_state = 0},
  [14791] = {.lex_state = 0},
  [14792] = {.lex_state = 35},
  [14793] = {.lex_state = 0},
  [14794] = {.lex_state = 0},
  [14795] = {.lex_state = 0},
  [14796] = {.lex_state = 35},
  [14797] = {.lex_state = 0},
  [14798] = {.lex_state = 35},
  [14799] = {.lex_state = 35},
  [14800] = {.lex_state = 0},
  [14801] = {.lex_state = 35},
  [14802] = {.lex_state = 0},
  [14803] = {.lex_state = 0},
  [14804] = {.lex_state = 35},
  [14805] = {.lex_state = 35},
  [14806] = {.lex_state = 0},
  [14807] = {.lex_state = 35},
  [14808] = {.lex_state = 0},
  [14809] = {.lex_state = 35},
  [14810] = {.lex_state = 35},
  [14811] = {.lex_state = 0},
  [14812] = {.lex_state = 0},
  [14813] = {.lex_state = 0},
  [14814] = {.lex_state = 0},
  [14815] = {.lex_state = 0},
  [14816] = {.lex_state = 0},
  [14817] = {.lex_state = 0},
  [14818] = {.lex_state = 35},
  [14819] = {.lex_state = 0},
  [14820] = {.lex_state = 0},
  [14821] = {.lex_state = 0},
  [14822] = {.lex_state = 0},
  [14823] = {.lex_state = 35},
  [14824] = {.lex_state = 0},
  [14825] = {.lex_state = 0},
  [14826] = {.lex_state = 35},
  [14827] = {.lex_state = 0},
  [14828] = {.lex_state = 0},
  [14829] = {.lex_state = 35},
  [14830] = {.lex_state = 0},
  [14831] = {.lex_state = 35},
  [14832] = {.lex_state = 0},
  [14833] = {.lex_state = 35},
  [14834] = {.lex_state = 0},
  [14835] = {.lex_state = 35},
  [14836] = {.lex_state = 0},
  [14837] = {.lex_state = 0},
  [14838] = {.lex_state = 0},
  [14839] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__identifier] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [sym_keyword_select] = ACTIONS(1),
    [sym_keyword_delete] = ACTIONS(1),
    [sym_keyword_insert] = ACTIONS(1),
    [sym_keyword_replace] = ACTIONS(1),
    [sym_keyword_update] = ACTIONS(1),
    [sym_keyword_truncate] = ACTIONS(1),
    [sym_keyword_merge] = ACTIONS(1),
    [sym_keyword_show] = ACTIONS(1),
    [sym_keyword_into] = ACTIONS(1),
    [sym_keyword_overwrite] = ACTIONS(1),
    [sym_keyword_values] = ACTIONS(1),
    [sym_keyword_value] = ACTIONS(1),
    [sym_keyword_matched] = ACTIONS(1),
    [sym_keyword_set] = ACTIONS(1),
    [sym_keyword_from] = ACTIONS(1),
    [sym_keyword_left] = ACTIONS(1),
    [sym_keyword_right] = ACTIONS(1),
    [sym_keyword_inner] = ACTIONS(1),
    [sym_keyword_full] = ACTIONS(1),
    [sym_keyword_outer] = ACTIONS(1),
    [sym_keyword_cross] = ACTIONS(1),
    [sym_keyword_join] = ACTIONS(1),
    [sym_keyword_lateral] = ACTIONS(1),
    [sym_keyword_natural] = ACTIONS(1),
    [sym_keyword_on] = ACTIONS(1),
    [sym_keyword_off] = ACTIONS(1),
    [sym_keyword_where] = ACTIONS(1),
    [sym_keyword_order] = ACTIONS(1),
    [sym_keyword_group] = ACTIONS(1),
    [sym_keyword_partition] = ACTIONS(1),
    [sym_keyword_by] = ACTIONS(1),
    [sym_keyword_having] = ACTIONS(1),
    [sym_keyword_desc] = ACTIONS(1),
    [sym_keyword_asc] = ACTIONS(1),
    [sym_keyword_limit] = ACTIONS(1),
    [sym_keyword_offset] = ACTIONS(1),
    [sym_keyword_primary] = ACTIONS(1),
    [sym_keyword_create] = ACTIONS(1),
    [sym_keyword_alter] = ACTIONS(1),
    [sym_keyword_change] = ACTIONS(1),
    [sym_keyword_analyze] = ACTIONS(1),
    [sym_keyword_explain] = ACTIONS(1),
    [sym_keyword_verbose] = ACTIONS(1),
    [sym_keyword_modify] = ACTIONS(1),
    [sym_keyword_drop] = ACTIONS(1),
    [sym_keyword_add] = ACTIONS(1),
    [sym_keyword_table] = ACTIONS(1),
    [sym_keyword_tables] = ACTIONS(1),
    [sym_keyword_view] = ACTIONS(1),
    [sym_keyword_column] = ACTIONS(1),
    [sym_keyword_columns] = ACTIONS(1),
    [sym_keyword_materialized] = ACTIONS(1),
    [sym_keyword_tablespace] = ACTIONS(1),
    [sym_keyword_sequence] = ACTIONS(1),
    [sym_keyword_increment] = ACTIONS(1),
    [sym_keyword_minvalue] = ACTIONS(1),
    [sym_keyword_maxvalue] = ACTIONS(1),
    [sym_keyword_none] = ACTIONS(1),
    [sym_keyword_owned] = ACTIONS(1),
    [sym_keyword_start] = ACTIONS(1),
    [sym_keyword_restart] = ACTIONS(1),
    [sym_keyword_key] = ACTIONS(1),
    [sym_keyword_duplicate] = ACTIONS(1),
    [sym_keyword_as] = ACTIONS(1),
    [sym_keyword_distinct] = ACTIONS(1),
    [sym_keyword_constraint] = ACTIONS(1),
    [sym_keyword_filter] = ACTIONS(1),
    [sym_keyword_cast] = ACTIONS(1),
    [sym_keyword_separator] = ACTIONS(1),
    [sym_keyword_case] = ACTIONS(1),
    [sym_keyword_when] = ACTIONS(1),
    [sym_keyword_then] = ACTIONS(1),
    [sym_keyword_else] = ACTIONS(1),
    [sym_keyword_end] = ACTIONS(1),
    [sym_keyword_in] = ACTIONS(1),
    [sym_keyword_and] = ACTIONS(1),
    [sym_keyword_or] = ACTIONS(1),
    [sym_keyword_is] = ACTIONS(1),
    [sym_keyword_not] = ACTIONS(1),
    [sym_keyword_force] = ACTIONS(1),
    [sym_keyword_ignore] = ACTIONS(1),
    [sym_keyword_using] = ACTIONS(1),
    [sym_keyword_use] = ACTIONS(1),
    [sym_keyword_index] = ACTIONS(1),
    [sym_keyword_for] = ACTIONS(1),
    [sym_keyword_if] = ACTIONS(1),
    [sym_keyword_exists] = ACTIONS(1),
    [sym_keyword_auto_increment] = ACTIONS(1),
    [sym_keyword_generated] = ACTIONS(1),
    [sym_keyword_always] = ACTIONS(1),
    [sym_keyword_collate] = ACTIONS(1),
    [aux_sym_keyword_character_token1] = ACTIONS(1),
    [sym_keyword_engine] = ACTIONS(1),
    [sym_keyword_default] = ACTIONS(1),
    [sym_keyword_cascade] = ACTIONS(1),
    [sym_keyword_restrict] = ACTIONS(1),
    [sym_keyword_with] = ACTIONS(1),
    [sym_keyword_without] = ACTIONS(1),
    [sym_keyword_no] = ACTIONS(1),
    [sym_keyword_data] = ACTIONS(1),
    [sym_keyword_type] = ACTIONS(1),
    [sym_keyword_rename] = ACTIONS(1),
    [sym_keyword_to] = ACTIONS(1),
    [sym_keyword_database] = ACTIONS(1),
    [sym_keyword_schema] = ACTIONS(1),
    [sym_keyword_owner] = ACTIONS(1),
    [sym_keyword_user] = ACTIONS(1),
    [sym_keyword_admin] = ACTIONS(1),
    [sym_keyword_password] = ACTIONS(1),
    [sym_keyword_encrypted] = ACTIONS(1),
    [sym_keyword_valid] = ACTIONS(1),
    [sym_keyword_until] = ACTIONS(1),
    [sym_keyword_connection] = ACTIONS(1),
    [sym_keyword_role] = ACTIONS(1),
    [sym_keyword_reset] = ACTIONS(1),
    [sym_keyword_temp] = ACTIONS(1),
    [sym_keyword_temporary] = ACTIONS(1),
    [sym_keyword_unlogged] = ACTIONS(1),
    [sym_keyword_logged] = ACTIONS(1),
    [sym_keyword_cycle] = ACTIONS(1),
    [sym_keyword_union] = ACTIONS(1),
    [sym_keyword_all] = ACTIONS(1),
    [sym_keyword_any] = ACTIONS(1),
    [sym_keyword_some] = ACTIONS(1),
    [sym_keyword_except] = ACTIONS(1),
    [sym_keyword_intersect] = ACTIONS(1),
    [sym_keyword_returning] = ACTIONS(1),
    [sym_keyword_begin] = ACTIONS(1),
    [sym_keyword_commit] = ACTIONS(1),
    [sym_keyword_rollback] = ACTIONS(1),
    [sym_keyword_transaction] = ACTIONS(1),
    [sym_keyword_over] = ACTIONS(1),
    [sym_keyword_nulls] = ACTIONS(1),
    [sym_keyword_first] = ACTIONS(1),
    [sym_keyword_after] = ACTIONS(1),
    [sym_keyword_before] = ACTIONS(1),
    [sym_keyword_last] = ACTIONS(1),
    [sym_keyword_window] = ACTIONS(1),
    [sym_keyword_range] = ACTIONS(1),
    [sym_keyword_rows] = ACTIONS(1),
    [sym_keyword_groups] = ACTIONS(1),
    [sym_keyword_between] = ACTIONS(1),
    [sym_keyword_unbounded] = ACTIONS(1),
    [sym_keyword_preceding] = ACTIONS(1),
    [sym_keyword_following] = ACTIONS(1),
    [sym_keyword_exclude] = ACTIONS(1),
    [sym_keyword_current] = ACTIONS(1),
    [sym_keyword_row] = ACTIONS(1),
    [sym_keyword_ties] = ACTIONS(1),
    [sym_keyword_others] = ACTIONS(1),
    [sym_keyword_only] = ACTIONS(1),
    [sym_keyword_unique] = ACTIONS(1),
    [sym_keyword_foreign] = ACTIONS(1),
    [sym_keyword_references] = ACTIONS(1),
    [sym_keyword_concurrently] = ACTIONS(1),
    [sym_keyword_btree] = ACTIONS(1),
    [sym_keyword_hash] = ACTIONS(1),
    [sym_keyword_gist] = ACTIONS(1),
    [sym_keyword_spgist] = ACTIONS(1),
    [sym_keyword_gin] = ACTIONS(1),
    [sym_keyword_brin] = ACTIONS(1),
    [aux_sym_keyword_like_token1] = ACTIONS(1),
    [aux_sym_keyword_like_token2] = ACTIONS(1),
    [sym_keyword_similar] = ACTIONS(1),
    [sym_keyword_unsigned] = ACTIONS(1),
    [sym_keyword_zerofill] = ACTIONS(1),
    [sym_keyword_conflict] = ACTIONS(1),
    [sym_keyword_do] = ACTIONS(1),
    [sym_keyword_nothing] = ACTIONS(1),
    [sym_keyword_high_priority] = ACTIONS(1),
    [sym_keyword_low_priority] = ACTIONS(1),
    [sym_keyword_delayed] = ACTIONS(1),
    [sym_keyword_recursive] = ACTIONS(1),
    [sym_keyword_cascaded] = ACTIONS(1),
    [sym_keyword_local] = ACTIONS(1),
    [sym_keyword_current_timestamp] = ACTIONS(1),
    [sym_keyword_check] = ACTIONS(1),
    [sym_keyword_option] = ACTIONS(1),
    [sym_keyword_vacuum] = ACTIONS(1),
    [sym_keyword_wait] = ACTIONS(1),
    [sym_keyword_nowait] = ACTIONS(1),
    [sym_keyword_attribute] = ACTIONS(1),
    [sym_keyword_authorization] = ACTIONS(1),
    [sym_keyword_action] = ACTIONS(1),
    [sym_keyword_extension] = ACTIONS(1),
    [sym_keyword_copy] = ACTIONS(1),
    [sym_keyword_stdin] = ACTIONS(1),
    [sym_keyword_freeze] = ACTIONS(1),
    [sym_keyword_escape] = ACTIONS(1),
    [sym_keyword_encoding] = ACTIONS(1),
    [sym_keyword_force_quote] = ACTIONS(1),
    [sym_keyword_quote] = ACTIONS(1),
    [sym_keyword_force_null] = ACTIONS(1),
    [sym_keyword_force_not_null] = ACTIONS(1),
    [sym_keyword_header] = ACTIONS(1),
    [sym_keyword_match] = ACTIONS(1),
    [sym_keyword_program] = ACTIONS(1),
    [sym_keyword_plain] = ACTIONS(1),
    [sym_keyword_extended] = ACTIONS(1),
    [sym_keyword_main] = ACTIONS(1),
    [sym_keyword_storage] = ACTIONS(1),
    [sym_keyword_compression] = ACTIONS(1),
    [sym_keyword_trigger] = ACTIONS(1),
    [sym_keyword_function] = ACTIONS(1),
    [sym_keyword_returns] = ACTIONS(1),
    [sym_keyword_return] = ACTIONS(1),
    [sym_keyword_setof] = ACTIONS(1),
    [sym_keyword_atomic] = ACTIONS(1),
    [sym_keyword_declare] = ACTIONS(1),
    [sym_keyword_language] = ACTIONS(1),
    [sym_keyword_immutable] = ACTIONS(1),
    [sym_keyword_stable] = ACTIONS(1),
    [sym_keyword_volatile] = ACTIONS(1),
    [sym_keyword_leakproof] = ACTIONS(1),
    [sym_keyword_parallel] = ACTIONS(1),
    [sym_keyword_safe] = ACTIONS(1),
    [sym_keyword_unsafe] = ACTIONS(1),
    [sym_keyword_restricted] = ACTIONS(1),
    [sym_keyword_called] = ACTIONS(1),
    [sym_keyword_input] = ACTIONS(1),
    [sym_keyword_strict] = ACTIONS(1),
    [sym_keyword_cost] = ACTIONS(1),
    [sym_keyword_support] = ACTIONS(1),
    [sym_keyword_definer] = ACTIONS(1),
    [sym_keyword_invoker] = ACTIONS(1),
    [sym_keyword_security] = ACTIONS(1),
    [sym_keyword_version] = ACTIONS(1),
    [sym_keyword_out] = ACTIONS(1),
    [sym_keyword_inout] = ACTIONS(1),
    [sym_keyword_variadic] = ACTIONS(1),
    [sym_keyword_ordinality] = ACTIONS(1),
    [sym_keyword_session] = ACTIONS(1),
    [sym_keyword_isolation] = ACTIONS(1),
    [sym_keyword_level] = ACTIONS(1),
    [sym_keyword_serializable] = ACTIONS(1),
    [sym_keyword_repeatable] = ACTIONS(1),
    [sym_keyword_read] = ACTIONS(1),
    [sym_keyword_write] = ACTIONS(1),
    [sym_keyword_committed] = ACTIONS(1),
    [sym_keyword_uncommitted] = ACTIONS(1),
    [sym_keyword_deferrable] = ACTIONS(1),
    [sym_keyword_names] = ACTIONS(1),
    [sym_keyword_zone] = ACTIONS(1),
    [sym_keyword_immediate] = ACTIONS(1),
    [sym_keyword_deferred] = ACTIONS(1),
    [sym_keyword_constraints] = ACTIONS(1),
    [sym_keyword_snapshot] = ACTIONS(1),
    [sym_keyword_characteristics] = ACTIONS(1),
    [sym_keyword_follows] = ACTIONS(1),
    [sym_keyword_precedes] = ACTIONS(1),
    [sym_keyword_each] = ACTIONS(1),
    [sym_keyword_instead] = ACTIONS(1),
    [sym_keyword_of] = ACTIONS(1),
    [sym_keyword_initially] = ACTIONS(1),
    [sym_keyword_old] = ACTIONS(1),
    [sym_keyword_new] = ACTIONS(1),
    [sym_keyword_referencing] = ACTIONS(1),
    [sym_keyword_statement] = ACTIONS(1),
    [sym_keyword_execute] = ACTIONS(1),
    [sym_keyword_procedure] = ACTIONS(1),
    [sym_keyword_external] = ACTIONS(1),
    [sym_keyword_stored] = ACTIONS(1),
    [sym_keyword_virtual] = ACTIONS(1),
    [sym_keyword_cached] = ACTIONS(1),
    [sym_keyword_uncached] = ACTIONS(1),
    [sym_keyword_replication] = ACTIONS(1),
    [sym_keyword_tblproperties] = ACTIONS(1),
    [sym_keyword_compute] = ACTIONS(1),
    [sym_keyword_stats] = ACTIONS(1),
    [sym_keyword_statistics] = ACTIONS(1),
    [sym_keyword_optimize] = ACTIONS(1),
    [sym_keyword_rewrite] = ACTIONS(1),
    [sym_keyword_bin_pack] = ACTIONS(1),
    [sym_keyword_incremental] = ACTIONS(1),
    [sym_keyword_location] = ACTIONS(1),
    [sym_keyword_partitioned] = ACTIONS(1),
    [sym_keyword_comment] = ACTIONS(1),
    [sym_keyword_sort] = ACTIONS(1),
    [sym_keyword_format] = ACTIONS(1),
    [sym_keyword_delimited] = ACTIONS(1),
    [sym_keyword_delimiter] = ACTIONS(1),
    [sym_keyword_fields] = ACTIONS(1),
    [sym_keyword_terminated] = ACTIONS(1),
    [sym_keyword_escaped] = ACTIONS(1),
    [sym_keyword_lines] = ACTIONS(1),
    [sym_keyword_cache] = ACTIONS(1),
    [sym_keyword_metadata] = ACTIONS(1),
    [sym_keyword_noscan] = ACTIONS(1),
    [sym_keyword_parquet] = ACTIONS(1),
    [sym_keyword_rcfile] = ACTIONS(1),
    [sym_keyword_csv] = ACTIONS(1),
    [sym_keyword_textfile] = ACTIONS(1),
    [sym_keyword_avro] = ACTIONS(1),
    [sym_keyword_sequencefile] = ACTIONS(1),
    [sym_keyword_orc] = ACTIONS(1),
    [sym_keyword_jsonfile] = ACTIONS(1),
    [sym_keyword_null] = ACTIONS(1),
    [sym_keyword_true] = ACTIONS(1),
    [sym_keyword_false] = ACTIONS(1),
    [sym_keyword_boolean] = ACTIONS(1),
    [sym_keyword_bit] = ACTIONS(1),
    [sym_keyword_binary] = ACTIONS(1),
    [sym_keyword_varbinary] = ACTIONS(1),
    [sym_keyword_image] = ACTIONS(1),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1),
    [aux_sym_keyword_serial_token1] = ACTIONS(1),
    [aux_sym_keyword_serial_token2] = ACTIONS(1),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1),
    [aux_sym_keyword_int_token1] = ACTIONS(1),
    [aux_sym_keyword_int_token2] = ACTIONS(1),
    [aux_sym_keyword_int_token3] = ACTIONS(1),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1),
    [sym_keyword_decimal] = ACTIONS(1),
    [sym_keyword_numeric] = ACTIONS(1),
    [aux_sym_keyword_real_token1] = ACTIONS(1),
    [aux_sym_keyword_real_token2] = ACTIONS(1),
    [sym_keyword_float] = ACTIONS(1),
    [sym_keyword_double] = ACTIONS(1),
    [sym_keyword_precision] = ACTIONS(1),
    [sym_keyword_inet] = ACTIONS(1),
    [sym_keyword_money] = ACTIONS(1),
    [sym_keyword_smallmoney] = ACTIONS(1),
    [sym_keyword_varying] = ACTIONS(1),
    [aux_sym_keyword_char_token1] = ACTIONS(1),
    [sym_keyword_nchar] = ACTIONS(1),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1),
    [sym_keyword_nvarchar] = ACTIONS(1),
    [sym_keyword_text] = ACTIONS(1),
    [sym_keyword_string] = ACTIONS(1),
    [sym_keyword_uuid] = ACTIONS(1),
    [sym_keyword_json] = ACTIONS(1),
    [sym_keyword_jsonb] = ACTIONS(1),
    [sym_keyword_xml] = ACTIONS(1),
    [sym_keyword_bytea] = ACTIONS(1),
    [sym_keyword_enum] = ACTIONS(1),
    [sym_keyword_date] = ACTIONS(1),
    [sym_keyword_datetime] = ACTIONS(1),
    [sym_keyword_datetime2] = ACTIONS(1),
    [sym_keyword_smalldatetime] = ACTIONS(1),
    [sym_keyword_datetimeoffset] = ACTIONS(1),
    [sym_keyword_time] = ACTIONS(1),
    [sym_keyword_timestamp] = ACTIONS(1),
    [sym_keyword_timestamptz] = ACTIONS(1),
    [sym_keyword_interval] = ACTIONS(1),
    [sym_keyword_geometry] = ACTIONS(1),
    [sym_keyword_geography] = ACTIONS(1),
    [sym_keyword_box2d] = ACTIONS(1),
    [sym_keyword_box3d] = ACTIONS(1),
    [sym_keyword_oid] = ACTIONS(1),
    [sym_keyword_oids] = ACTIONS(1),
    [sym_keyword_name] = ACTIONS(1),
    [sym_keyword_regclass] = ACTIONS(1),
    [sym_keyword_regnamespace] = ACTIONS(1),
    [sym_keyword_regproc] = ACTIONS(1),
    [sym_keyword_regtype] = ACTIONS(1),
    [sym_keyword_array] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [aux_sym_double_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [sym_parameter] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_LT_GT] = ACTIONS(1),
    [sym_op_unary_other] = ACTIONS(1),
    [sym__double_quote_string] = ACTIONS(1),
    [aux_sym__single_quote_string_token1] = ACTIONS(1),
    [aux_sym__single_quote_string_token2] = ACTIONS(1),
    [sym__natural_number] = ACTIONS(1),
    [aux_sym__bit_string_token1] = ACTIONS(1),
    [sym_bang] = ACTIONS(1),
    [aux_sym_identifier_token1] = ACTIONS(1),
    [sym__dollar_quoted_string_start_tag] = ACTIONS(1),
    [sym__dollar_quoted_string_end_tag] = ACTIONS(1),
    [sym__dollar_quoted_string] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(14762),
    [sym_transaction] = STATE(14759),
    [sym_block] = STATE(14759),
    [sym_statement] = STATE(11549),
    [sym__ddl_statement] = STATE(10560),
    [sym__cte] = STATE(6866),
    [sym__dml_write] = STATE(10562),
    [sym__dml_read] = STATE(10563),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_comment_statement] = STATE(10560),
    [sym_select] = STATE(7578),
    [sym__truncate_statement] = STATE(10564),
    [sym__delete_statement] = STATE(10564),
    [sym_delete] = STATE(11550),
    [sym__create_statement] = STATE(10560),
    [sym_create_table] = STATE(10560),
    [sym_reset_statement] = STATE(10560),
    [sym_set_statement] = STATE(10560),
    [sym_create_view] = STATE(10560),
    [sym_create_materialized_view] = STATE(10560),
    [sym_create_function] = STATE(10560),
    [sym_create_index] = STATE(10560),
    [sym_create_schema] = STATE(7051),
    [sym_create_database] = STATE(10560),
    [sym_create_role] = STATE(10560),
    [sym_create_sequence] = STATE(10560),
    [sym_create_extension] = STATE(10560),
    [sym_create_trigger] = STATE(10560),
    [sym_create_type] = STATE(10560),
    [sym__alter_statement] = STATE(10560),
    [sym__rename_statement] = STATE(10567),
    [sym_alter_table] = STATE(10560),
    [sym_alter_view] = STATE(10560),
    [sym_alter_schema] = STATE(10560),
    [sym_alter_database] = STATE(10560),
    [sym_alter_role] = STATE(10560),
    [sym_alter_index] = STATE(10560),
    [sym_alter_sequence] = STATE(10560),
    [sym_alter_type] = STATE(10560),
    [sym__drop_statement] = STATE(10560),
    [sym_drop_table] = STATE(10560),
    [sym_drop_view] = STATE(10560),
    [sym_drop_schema] = STATE(10560),
    [sym_drop_database] = STATE(10560),
    [sym_drop_role] = STATE(10560),
    [sym_drop_type] = STATE(10560),
    [sym_drop_sequence] = STATE(10560),
    [sym_drop_index] = STATE(10560),
    [sym_drop_extension] = STATE(10560),
    [sym__copy_statement] = STATE(10564),
    [sym__insert_statement] = STATE(10564),
    [sym_insert] = STATE(10084),
    [sym__update_statement] = STATE(10564),
    [sym__merge_statement] = STATE(10578),
    [sym__optimize_statement] = STATE(10560),
    [sym__compute_stats] = STATE(10560),
    [sym__optimize_table] = STATE(10560),
    [sym__vacuum_table] = STATE(10560),
    [sym_update] = STATE(10025),
    [aux_sym_program_repeat1] = STATE(105),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_begin] = ACTIONS(39),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [2] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1840),
    [sym_keyword_smallint] = STATE(1848),
    [sym_keyword_mediumint] = STATE(1877),
    [sym_keyword_int] = STATE(1842),
    [sym_keyword_bigint] = STATE(1883),
    [sym_keyword_real] = STATE(1886),
    [sym_keyword_char] = STATE(2313),
    [sym_keyword_varchar] = STATE(2217),
    [sym__type] = STATE(10052),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym__argmode] = STATE(21),
    [sym_function_argument] = STATE(11015),
    [sym_object_reference] = STATE(7225),
    [sym_identifier] = STATE(3),
    [sym__identifier] = ACTIONS(53),
    [sym_keyword_in] = ACTIONS(55),
    [aux_sym_keyword_character_token1] = ACTIONS(57),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_out] = ACTIONS(61),
    [sym_keyword_inout] = ACTIONS(61),
    [sym_keyword_variadic] = ACTIONS(61),
    [sym_keyword_boolean] = ACTIONS(63),
    [sym_keyword_bit] = ACTIONS(65),
    [sym_keyword_binary] = ACTIONS(67),
    [sym_keyword_varbinary] = ACTIONS(69),
    [sym_keyword_image] = ACTIONS(63),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(71),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(71),
    [aux_sym_keyword_serial_token1] = ACTIONS(73),
    [aux_sym_keyword_serial_token2] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(75),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(77),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(77),
    [aux_sym_keyword_smallint_token1] = ACTIONS(79),
    [aux_sym_keyword_smallint_token2] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(81),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token1] = ACTIONS(83),
    [aux_sym_keyword_int_token2] = ACTIONS(83),
    [aux_sym_keyword_int_token3] = ACTIONS(83),
    [aux_sym_keyword_bigint_token1] = ACTIONS(85),
    [aux_sym_keyword_bigint_token2] = ACTIONS(85),
    [sym_keyword_decimal] = ACTIONS(87),
    [sym_keyword_numeric] = ACTIONS(89),
    [aux_sym_keyword_real_token1] = ACTIONS(91),
    [aux_sym_keyword_real_token2] = ACTIONS(91),
    [sym_keyword_float] = ACTIONS(93),
    [sym_keyword_double] = ACTIONS(95),
    [sym_keyword_inet] = ACTIONS(63),
    [sym_keyword_money] = ACTIONS(63),
    [sym_keyword_smallmoney] = ACTIONS(63),
    [aux_sym_keyword_char_token1] = ACTIONS(97),
    [sym_keyword_nchar] = ACTIONS(99),
    [aux_sym_keyword_varchar_token1] = ACTIONS(101),
    [sym_keyword_nvarchar] = ACTIONS(103),
    [sym_keyword_text] = ACTIONS(63),
    [sym_keyword_string] = ACTIONS(63),
    [sym_keyword_uuid] = ACTIONS(63),
    [sym_keyword_json] = ACTIONS(63),
    [sym_keyword_jsonb] = ACTIONS(63),
    [sym_keyword_xml] = ACTIONS(63),
    [sym_keyword_bytea] = ACTIONS(63),
    [sym_keyword_enum] = ACTIONS(105),
    [sym_keyword_date] = ACTIONS(63),
    [sym_keyword_datetime] = ACTIONS(63),
    [sym_keyword_datetime2] = ACTIONS(63),
    [sym_keyword_smalldatetime] = ACTIONS(63),
    [sym_keyword_datetimeoffset] = ACTIONS(107),
    [sym_keyword_time] = ACTIONS(109),
    [sym_keyword_timestamp] = ACTIONS(111),
    [sym_keyword_timestamptz] = ACTIONS(63),
    [sym_keyword_interval] = ACTIONS(63),
    [sym_keyword_geometry] = ACTIONS(63),
    [sym_keyword_geography] = ACTIONS(63),
    [sym_keyword_box2d] = ACTIONS(63),
    [sym_keyword_box3d] = ACTIONS(63),
    [sym_keyword_oid] = ACTIONS(63),
    [sym_keyword_name] = ACTIONS(63),
    [sym_keyword_regclass] = ACTIONS(63),
    [sym_keyword_regnamespace] = ACTIONS(63),
    [sym_keyword_regproc] = ACTIONS(63),
    [sym_keyword_regtype] = ACTIONS(63),
    [anon_sym_RPAREN] = ACTIONS(113),
    [aux_sym_double_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(117),
    [aux_sym_identifier_token1] = ACTIONS(117),
  },
  [3] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1840),
    [sym_keyword_smallint] = STATE(1848),
    [sym_keyword_mediumint] = STATE(1877),
    [sym_keyword_int] = STATE(1842),
    [sym_keyword_bigint] = STATE(1883),
    [sym_keyword_real] = STATE(1886),
    [sym_keyword_char] = STATE(2313),
    [sym_keyword_varchar] = STATE(2217),
    [sym__type] = STATE(9774),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7225),
    [sym_identifier] = STATE(5623),
    [sym__identifier] = ACTIONS(119),
    [aux_sym_keyword_character_token1] = ACTIONS(57),
    [sym_keyword_default] = ACTIONS(121),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(63),
    [sym_keyword_bit] = ACTIONS(65),
    [sym_keyword_binary] = ACTIONS(67),
    [sym_keyword_varbinary] = ACTIONS(69),
    [sym_keyword_image] = ACTIONS(63),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(71),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(71),
    [aux_sym_keyword_serial_token1] = ACTIONS(73),
    [aux_sym_keyword_serial_token2] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(75),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(77),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(77),
    [aux_sym_keyword_smallint_token1] = ACTIONS(79),
    [aux_sym_keyword_smallint_token2] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(81),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token1] = ACTIONS(83),
    [aux_sym_keyword_int_token2] = ACTIONS(83),
    [aux_sym_keyword_int_token3] = ACTIONS(83),
    [aux_sym_keyword_bigint_token1] = ACTIONS(85),
    [aux_sym_keyword_bigint_token2] = ACTIONS(85),
    [sym_keyword_decimal] = ACTIONS(87),
    [sym_keyword_numeric] = ACTIONS(89),
    [aux_sym_keyword_real_token1] = ACTIONS(91),
    [aux_sym_keyword_real_token2] = ACTIONS(91),
    [sym_keyword_float] = ACTIONS(93),
    [sym_keyword_double] = ACTIONS(95),
    [sym_keyword_inet] = ACTIONS(63),
    [sym_keyword_money] = ACTIONS(63),
    [sym_keyword_smallmoney] = ACTIONS(63),
    [aux_sym_keyword_char_token1] = ACTIONS(97),
    [sym_keyword_nchar] = ACTIONS(99),
    [aux_sym_keyword_varchar_token1] = ACTIONS(101),
    [sym_keyword_nvarchar] = ACTIONS(103),
    [sym_keyword_text] = ACTIONS(63),
    [sym_keyword_string] = ACTIONS(63),
    [sym_keyword_uuid] = ACTIONS(63),
    [sym_keyword_json] = ACTIONS(63),
    [sym_keyword_jsonb] = ACTIONS(63),
    [sym_keyword_xml] = ACTIONS(63),
    [sym_keyword_bytea] = ACTIONS(63),
    [sym_keyword_enum] = ACTIONS(105),
    [sym_keyword_date] = ACTIONS(63),
    [sym_keyword_datetime] = ACTIONS(63),
    [sym_keyword_datetime2] = ACTIONS(63),
    [sym_keyword_smalldatetime] = ACTIONS(63),
    [sym_keyword_datetimeoffset] = ACTIONS(107),
    [sym_keyword_time] = ACTIONS(109),
    [sym_keyword_timestamp] = ACTIONS(111),
    [sym_keyword_timestamptz] = ACTIONS(63),
    [sym_keyword_interval] = ACTIONS(63),
    [sym_keyword_geometry] = ACTIONS(63),
    [sym_keyword_geography] = ACTIONS(63),
    [sym_keyword_box2d] = ACTIONS(63),
    [sym_keyword_box3d] = ACTIONS(63),
    [sym_keyword_oid] = ACTIONS(63),
    [sym_keyword_name] = ACTIONS(63),
    [sym_keyword_regclass] = ACTIONS(63),
    [sym_keyword_regnamespace] = ACTIONS(63),
    [sym_keyword_regproc] = ACTIONS(63),
    [sym_keyword_regtype] = ACTIONS(63),
    [sym_keyword_array] = ACTIONS(121),
    [anon_sym_LBRACK] = ACTIONS(123),
    [anon_sym_RPAREN] = ACTIONS(123),
    [anon_sym_COMMA] = ACTIONS(123),
    [aux_sym_double_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(123),
    [anon_sym_DOT] = ACTIONS(125),
    [sym__double_quote_string] = ACTIONS(127),
    [aux_sym_identifier_token1] = ACTIONS(127),
  },
  [4] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1840),
    [sym_keyword_smallint] = STATE(1848),
    [sym_keyword_mediumint] = STATE(1877),
    [sym_keyword_int] = STATE(1842),
    [sym_keyword_bigint] = STATE(1883),
    [sym_keyword_real] = STATE(1886),
    [sym_keyword_char] = STATE(2313),
    [sym_keyword_varchar] = STATE(2217),
    [sym__type] = STATE(9805),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7225),
    [sym_identifier] = STATE(5623),
    [sym__identifier] = ACTIONS(119),
    [aux_sym_keyword_character_token1] = ACTIONS(57),
    [sym_keyword_default] = ACTIONS(121),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(63),
    [sym_keyword_bit] = ACTIONS(65),
    [sym_keyword_binary] = ACTIONS(67),
    [sym_keyword_varbinary] = ACTIONS(69),
    [sym_keyword_image] = ACTIONS(63),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(71),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(71),
    [aux_sym_keyword_serial_token1] = ACTIONS(73),
    [aux_sym_keyword_serial_token2] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(75),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(77),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(77),
    [aux_sym_keyword_smallint_token1] = ACTIONS(79),
    [aux_sym_keyword_smallint_token2] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(81),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token1] = ACTIONS(83),
    [aux_sym_keyword_int_token2] = ACTIONS(83),
    [aux_sym_keyword_int_token3] = ACTIONS(83),
    [aux_sym_keyword_bigint_token1] = ACTIONS(85),
    [aux_sym_keyword_bigint_token2] = ACTIONS(85),
    [sym_keyword_decimal] = ACTIONS(87),
    [sym_keyword_numeric] = ACTIONS(89),
    [aux_sym_keyword_real_token1] = ACTIONS(91),
    [aux_sym_keyword_real_token2] = ACTIONS(91),
    [sym_keyword_float] = ACTIONS(93),
    [sym_keyword_double] = ACTIONS(95),
    [sym_keyword_inet] = ACTIONS(63),
    [sym_keyword_money] = ACTIONS(63),
    [sym_keyword_smallmoney] = ACTIONS(63),
    [aux_sym_keyword_char_token1] = ACTIONS(97),
    [sym_keyword_nchar] = ACTIONS(99),
    [aux_sym_keyword_varchar_token1] = ACTIONS(101),
    [sym_keyword_nvarchar] = ACTIONS(103),
    [sym_keyword_text] = ACTIONS(63),
    [sym_keyword_string] = ACTIONS(63),
    [sym_keyword_uuid] = ACTIONS(63),
    [sym_keyword_json] = ACTIONS(63),
    [sym_keyword_jsonb] = ACTIONS(63),
    [sym_keyword_xml] = ACTIONS(63),
    [sym_keyword_bytea] = ACTIONS(63),
    [sym_keyword_enum] = ACTIONS(105),
    [sym_keyword_date] = ACTIONS(63),
    [sym_keyword_datetime] = ACTIONS(63),
    [sym_keyword_datetime2] = ACTIONS(63),
    [sym_keyword_smalldatetime] = ACTIONS(63),
    [sym_keyword_datetimeoffset] = ACTIONS(107),
    [sym_keyword_time] = ACTIONS(109),
    [sym_keyword_timestamp] = ACTIONS(111),
    [sym_keyword_timestamptz] = ACTIONS(63),
    [sym_keyword_interval] = ACTIONS(63),
    [sym_keyword_geometry] = ACTIONS(63),
    [sym_keyword_geography] = ACTIONS(63),
    [sym_keyword_box2d] = ACTIONS(63),
    [sym_keyword_box3d] = ACTIONS(63),
    [sym_keyword_oid] = ACTIONS(63),
    [sym_keyword_name] = ACTIONS(63),
    [sym_keyword_regclass] = ACTIONS(63),
    [sym_keyword_regnamespace] = ACTIONS(63),
    [sym_keyword_regproc] = ACTIONS(63),
    [sym_keyword_regtype] = ACTIONS(63),
    [sym_keyword_array] = ACTIONS(121),
    [anon_sym_LBRACK] = ACTIONS(123),
    [anon_sym_RPAREN] = ACTIONS(123),
    [anon_sym_COMMA] = ACTIONS(123),
    [aux_sym_double_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(123),
    [anon_sym_DOT] = ACTIONS(125),
    [sym__double_quote_string] = ACTIONS(127),
    [aux_sym_identifier_token1] = ACTIONS(127),
  },
  [5] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1840),
    [sym_keyword_smallint] = STATE(1848),
    [sym_keyword_mediumint] = STATE(1877),
    [sym_keyword_int] = STATE(1842),
    [sym_keyword_bigint] = STATE(1883),
    [sym_keyword_real] = STATE(1886),
    [sym_keyword_char] = STATE(2313),
    [sym_keyword_varchar] = STATE(2217),
    [sym__type] = STATE(10052),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym__argmode] = STATE(21),
    [sym_function_argument] = STATE(12199),
    [sym_object_reference] = STATE(7225),
    [sym_identifier] = STATE(3),
    [sym__identifier] = ACTIONS(53),
    [sym_keyword_in] = ACTIONS(55),
    [aux_sym_keyword_character_token1] = ACTIONS(57),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_out] = ACTIONS(61),
    [sym_keyword_inout] = ACTIONS(61),
    [sym_keyword_variadic] = ACTIONS(61),
    [sym_keyword_boolean] = ACTIONS(63),
    [sym_keyword_bit] = ACTIONS(65),
    [sym_keyword_binary] = ACTIONS(67),
    [sym_keyword_varbinary] = ACTIONS(69),
    [sym_keyword_image] = ACTIONS(63),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(71),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(71),
    [aux_sym_keyword_serial_token1] = ACTIONS(73),
    [aux_sym_keyword_serial_token2] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(75),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(77),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(77),
    [aux_sym_keyword_smallint_token1] = ACTIONS(79),
    [aux_sym_keyword_smallint_token2] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(81),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token1] = ACTIONS(83),
    [aux_sym_keyword_int_token2] = ACTIONS(83),
    [aux_sym_keyword_int_token3] = ACTIONS(83),
    [aux_sym_keyword_bigint_token1] = ACTIONS(85),
    [aux_sym_keyword_bigint_token2] = ACTIONS(85),
    [sym_keyword_decimal] = ACTIONS(87),
    [sym_keyword_numeric] = ACTIONS(89),
    [aux_sym_keyword_real_token1] = ACTIONS(91),
    [aux_sym_keyword_real_token2] = ACTIONS(91),
    [sym_keyword_float] = ACTIONS(93),
    [sym_keyword_double] = ACTIONS(95),
    [sym_keyword_inet] = ACTIONS(63),
    [sym_keyword_money] = ACTIONS(63),
    [sym_keyword_smallmoney] = ACTIONS(63),
    [aux_sym_keyword_char_token1] = ACTIONS(97),
    [sym_keyword_nchar] = ACTIONS(99),
    [aux_sym_keyword_varchar_token1] = ACTIONS(101),
    [sym_keyword_nvarchar] = ACTIONS(103),
    [sym_keyword_text] = ACTIONS(63),
    [sym_keyword_string] = ACTIONS(63),
    [sym_keyword_uuid] = ACTIONS(63),
    [sym_keyword_json] = ACTIONS(63),
    [sym_keyword_jsonb] = ACTIONS(63),
    [sym_keyword_xml] = ACTIONS(63),
    [sym_keyword_bytea] = ACTIONS(63),
    [sym_keyword_enum] = ACTIONS(105),
    [sym_keyword_date] = ACTIONS(63),
    [sym_keyword_datetime] = ACTIONS(63),
    [sym_keyword_datetime2] = ACTIONS(63),
    [sym_keyword_smalldatetime] = ACTIONS(63),
    [sym_keyword_datetimeoffset] = ACTIONS(107),
    [sym_keyword_time] = ACTIONS(109),
    [sym_keyword_timestamp] = ACTIONS(111),
    [sym_keyword_timestamptz] = ACTIONS(63),
    [sym_keyword_interval] = ACTIONS(63),
    [sym_keyword_geometry] = ACTIONS(63),
    [sym_keyword_geography] = ACTIONS(63),
    [sym_keyword_box2d] = ACTIONS(63),
    [sym_keyword_box3d] = ACTIONS(63),
    [sym_keyword_oid] = ACTIONS(63),
    [sym_keyword_name] = ACTIONS(63),
    [sym_keyword_regclass] = ACTIONS(63),
    [sym_keyword_regnamespace] = ACTIONS(63),
    [sym_keyword_regproc] = ACTIONS(63),
    [sym_keyword_regtype] = ACTIONS(63),
    [aux_sym_double_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(117),
    [aux_sym_identifier_token1] = ACTIONS(117),
  },
  [6] = {
    [sym_keyword_smallserial] = STATE(5412),
    [sym_keyword_serial] = STATE(5412),
    [sym_keyword_bigserial] = STATE(5412),
    [sym_keyword_tinyint] = STATE(5391),
    [sym_keyword_smallint] = STATE(5390),
    [sym_keyword_mediumint] = STATE(5389),
    [sym_keyword_int] = STATE(5388),
    [sym_keyword_bigint] = STATE(5387),
    [sym_keyword_real] = STATE(5386),
    [sym_keyword_char] = STATE(6125),
    [sym_keyword_varchar] = STATE(6117),
    [sym__type] = STATE(6513),
    [sym_tinyint] = STATE(5412),
    [sym_smallint] = STATE(5412),
    [sym_mediumint] = STATE(5412),
    [sym_int] = STATE(5412),
    [sym_bigint] = STATE(5412),
    [sym_bit] = STATE(5412),
    [sym_binary] = STATE(5412),
    [sym_varbinary] = STATE(5412),
    [sym_float] = STATE(5412),
    [sym_double] = STATE(5412),
    [sym_decimal] = STATE(5412),
    [sym_numeric] = STATE(5412),
    [sym_char] = STATE(5412),
    [sym_varchar] = STATE(5412),
    [sym_nchar] = STATE(5412),
    [sym_nvarchar] = STATE(5412),
    [sym_datetimeoffset] = STATE(5412),
    [sym_time] = STATE(5412),
    [sym_timestamp] = STATE(5412),
    [sym_enum] = STATE(5412),
    [sym_object_reference] = STATE(5383),
    [sym_identifier] = STATE(6934),
    [sym__identifier] = ACTIONS(129),
    [sym_keyword_table] = ACTIONS(131),
    [aux_sym_keyword_character_token1] = ACTIONS(133),
    [sym_keyword_unsigned] = ACTIONS(135),
    [sym_keyword_trigger] = ACTIONS(137),
    [sym_keyword_setof] = ACTIONS(139),
    [sym_keyword_boolean] = ACTIONS(141),
    [sym_keyword_bit] = ACTIONS(143),
    [sym_keyword_binary] = ACTIONS(145),
    [sym_keyword_varbinary] = ACTIONS(147),
    [sym_keyword_image] = ACTIONS(141),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(149),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(149),
    [aux_sym_keyword_serial_token1] = ACTIONS(151),
    [aux_sym_keyword_serial_token2] = ACTIONS(151),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(153),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(153),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(155),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(155),
    [aux_sym_keyword_smallint_token1] = ACTIONS(157),
    [aux_sym_keyword_smallint_token2] = ACTIONS(157),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(159),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(159),
    [aux_sym_keyword_int_token1] = ACTIONS(161),
    [aux_sym_keyword_int_token2] = ACTIONS(161),
    [aux_sym_keyword_int_token3] = ACTIONS(161),
    [aux_sym_keyword_bigint_token1] = ACTIONS(163),
    [aux_sym_keyword_bigint_token2] = ACTIONS(163),
    [sym_keyword_decimal] = ACTIONS(165),
    [sym_keyword_numeric] = ACTIONS(167),
    [aux_sym_keyword_real_token1] = ACTIONS(169),
    [aux_sym_keyword_real_token2] = ACTIONS(169),
    [sym_keyword_float] = ACTIONS(171),
    [sym_keyword_double] = ACTIONS(173),
    [sym_keyword_inet] = ACTIONS(141),
    [sym_keyword_money] = ACTIONS(141),
    [sym_keyword_smallmoney] = ACTIONS(141),
    [aux_sym_keyword_char_token1] = ACTIONS(175),
    [sym_keyword_nchar] = ACTIONS(177),
    [aux_sym_keyword_varchar_token1] = ACTIONS(179),
    [sym_keyword_nvarchar] = ACTIONS(181),
    [sym_keyword_text] = ACTIONS(141),
    [sym_keyword_string] = ACTIONS(141),
    [sym_keyword_uuid] = ACTIONS(141),
    [sym_keyword_json] = ACTIONS(141),
    [sym_keyword_jsonb] = ACTIONS(141),
    [sym_keyword_xml] = ACTIONS(141),
    [sym_keyword_bytea] = ACTIONS(141),
    [sym_keyword_enum] = ACTIONS(183),
    [sym_keyword_date] = ACTIONS(141),
    [sym_keyword_datetime] = ACTIONS(141),
    [sym_keyword_datetime2] = ACTIONS(141),
    [sym_keyword_smalldatetime] = ACTIONS(141),
    [sym_keyword_datetimeoffset] = ACTIONS(185),
    [sym_keyword_time] = ACTIONS(187),
    [sym_keyword_timestamp] = ACTIONS(189),
    [sym_keyword_timestamptz] = ACTIONS(141),
    [sym_keyword_interval] = ACTIONS(141),
    [sym_keyword_geometry] = ACTIONS(141),
    [sym_keyword_geography] = ACTIONS(141),
    [sym_keyword_box2d] = ACTIONS(141),
    [sym_keyword_box3d] = ACTIONS(141),
    [sym_keyword_oid] = ACTIONS(141),
    [sym_keyword_name] = ACTIONS(141),
    [sym_keyword_regclass] = ACTIONS(141),
    [sym_keyword_regnamespace] = ACTIONS(141),
    [sym_keyword_regproc] = ACTIONS(141),
    [sym_keyword_regtype] = ACTIONS(141),
    [aux_sym_double_token1] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(193),
    [aux_sym_identifier_token1] = ACTIONS(193),
  },
  [7] = {
    [sym_keyword_smallserial] = STATE(5412),
    [sym_keyword_serial] = STATE(5412),
    [sym_keyword_bigserial] = STATE(5412),
    [sym_keyword_tinyint] = STATE(5391),
    [sym_keyword_smallint] = STATE(5390),
    [sym_keyword_mediumint] = STATE(5389),
    [sym_keyword_int] = STATE(5388),
    [sym_keyword_bigint] = STATE(5387),
    [sym_keyword_real] = STATE(5386),
    [sym_keyword_char] = STATE(6125),
    [sym_keyword_varchar] = STATE(6117),
    [sym__type] = STATE(6506),
    [sym_tinyint] = STATE(5412),
    [sym_smallint] = STATE(5412),
    [sym_mediumint] = STATE(5412),
    [sym_int] = STATE(5412),
    [sym_bigint] = STATE(5412),
    [sym_bit] = STATE(5412),
    [sym_binary] = STATE(5412),
    [sym_varbinary] = STATE(5412),
    [sym_float] = STATE(5412),
    [sym_double] = STATE(5412),
    [sym_decimal] = STATE(5412),
    [sym_numeric] = STATE(5412),
    [sym_char] = STATE(5412),
    [sym_varchar] = STATE(5412),
    [sym_nchar] = STATE(5412),
    [sym_nvarchar] = STATE(5412),
    [sym_datetimeoffset] = STATE(5412),
    [sym_time] = STATE(5412),
    [sym_timestamp] = STATE(5412),
    [sym_enum] = STATE(5412),
    [sym_object_reference] = STATE(5383),
    [sym_identifier] = STATE(6934),
    [sym__identifier] = ACTIONS(129),
    [sym_keyword_table] = ACTIONS(195),
    [aux_sym_keyword_character_token1] = ACTIONS(133),
    [sym_keyword_unsigned] = ACTIONS(135),
    [sym_keyword_trigger] = ACTIONS(197),
    [sym_keyword_setof] = ACTIONS(199),
    [sym_keyword_boolean] = ACTIONS(141),
    [sym_keyword_bit] = ACTIONS(143),
    [sym_keyword_binary] = ACTIONS(145),
    [sym_keyword_varbinary] = ACTIONS(147),
    [sym_keyword_image] = ACTIONS(141),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(149),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(149),
    [aux_sym_keyword_serial_token1] = ACTIONS(151),
    [aux_sym_keyword_serial_token2] = ACTIONS(151),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(153),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(153),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(155),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(155),
    [aux_sym_keyword_smallint_token1] = ACTIONS(157),
    [aux_sym_keyword_smallint_token2] = ACTIONS(157),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(159),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(159),
    [aux_sym_keyword_int_token1] = ACTIONS(161),
    [aux_sym_keyword_int_token2] = ACTIONS(161),
    [aux_sym_keyword_int_token3] = ACTIONS(161),
    [aux_sym_keyword_bigint_token1] = ACTIONS(163),
    [aux_sym_keyword_bigint_token2] = ACTIONS(163),
    [sym_keyword_decimal] = ACTIONS(165),
    [sym_keyword_numeric] = ACTIONS(167),
    [aux_sym_keyword_real_token1] = ACTIONS(169),
    [aux_sym_keyword_real_token2] = ACTIONS(169),
    [sym_keyword_float] = ACTIONS(171),
    [sym_keyword_double] = ACTIONS(173),
    [sym_keyword_inet] = ACTIONS(141),
    [sym_keyword_money] = ACTIONS(141),
    [sym_keyword_smallmoney] = ACTIONS(141),
    [aux_sym_keyword_char_token1] = ACTIONS(175),
    [sym_keyword_nchar] = ACTIONS(177),
    [aux_sym_keyword_varchar_token1] = ACTIONS(179),
    [sym_keyword_nvarchar] = ACTIONS(181),
    [sym_keyword_text] = ACTIONS(141),
    [sym_keyword_string] = ACTIONS(141),
    [sym_keyword_uuid] = ACTIONS(141),
    [sym_keyword_json] = ACTIONS(141),
    [sym_keyword_jsonb] = ACTIONS(141),
    [sym_keyword_xml] = ACTIONS(141),
    [sym_keyword_bytea] = ACTIONS(141),
    [sym_keyword_enum] = ACTIONS(183),
    [sym_keyword_date] = ACTIONS(141),
    [sym_keyword_datetime] = ACTIONS(141),
    [sym_keyword_datetime2] = ACTIONS(141),
    [sym_keyword_smalldatetime] = ACTIONS(141),
    [sym_keyword_datetimeoffset] = ACTIONS(185),
    [sym_keyword_time] = ACTIONS(187),
    [sym_keyword_timestamp] = ACTIONS(189),
    [sym_keyword_timestamptz] = ACTIONS(141),
    [sym_keyword_interval] = ACTIONS(141),
    [sym_keyword_geometry] = ACTIONS(141),
    [sym_keyword_geography] = ACTIONS(141),
    [sym_keyword_box2d] = ACTIONS(141),
    [sym_keyword_box3d] = ACTIONS(141),
    [sym_keyword_oid] = ACTIONS(141),
    [sym_keyword_name] = ACTIONS(141),
    [sym_keyword_regclass] = ACTIONS(141),
    [sym_keyword_regnamespace] = ACTIONS(141),
    [sym_keyword_regproc] = ACTIONS(141),
    [sym_keyword_regtype] = ACTIONS(141),
    [aux_sym_double_token1] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(193),
    [aux_sym_identifier_token1] = ACTIONS(193),
  },
  [8] = {
    [sym_keyword_smallserial] = STATE(5412),
    [sym_keyword_serial] = STATE(5412),
    [sym_keyword_bigserial] = STATE(5412),
    [sym_keyword_tinyint] = STATE(5391),
    [sym_keyword_smallint] = STATE(5390),
    [sym_keyword_mediumint] = STATE(5389),
    [sym_keyword_int] = STATE(5388),
    [sym_keyword_bigint] = STATE(5387),
    [sym_keyword_real] = STATE(5386),
    [sym_keyword_char] = STATE(6125),
    [sym_keyword_varchar] = STATE(6117),
    [sym__type] = STATE(6519),
    [sym_tinyint] = STATE(5412),
    [sym_smallint] = STATE(5412),
    [sym_mediumint] = STATE(5412),
    [sym_int] = STATE(5412),
    [sym_bigint] = STATE(5412),
    [sym_bit] = STATE(5412),
    [sym_binary] = STATE(5412),
    [sym_varbinary] = STATE(5412),
    [sym_float] = STATE(5412),
    [sym_double] = STATE(5412),
    [sym_decimal] = STATE(5412),
    [sym_numeric] = STATE(5412),
    [sym_char] = STATE(5412),
    [sym_varchar] = STATE(5412),
    [sym_nchar] = STATE(5412),
    [sym_nvarchar] = STATE(5412),
    [sym_datetimeoffset] = STATE(5412),
    [sym_time] = STATE(5412),
    [sym_timestamp] = STATE(5412),
    [sym_enum] = STATE(5412),
    [sym_object_reference] = STATE(5383),
    [sym_identifier] = STATE(6934),
    [sym__identifier] = ACTIONS(129),
    [sym_keyword_table] = ACTIONS(201),
    [aux_sym_keyword_character_token1] = ACTIONS(133),
    [sym_keyword_unsigned] = ACTIONS(135),
    [sym_keyword_trigger] = ACTIONS(203),
    [sym_keyword_setof] = ACTIONS(205),
    [sym_keyword_boolean] = ACTIONS(141),
    [sym_keyword_bit] = ACTIONS(143),
    [sym_keyword_binary] = ACTIONS(145),
    [sym_keyword_varbinary] = ACTIONS(147),
    [sym_keyword_image] = ACTIONS(141),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(149),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(149),
    [aux_sym_keyword_serial_token1] = ACTIONS(151),
    [aux_sym_keyword_serial_token2] = ACTIONS(151),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(153),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(153),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(155),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(155),
    [aux_sym_keyword_smallint_token1] = ACTIONS(157),
    [aux_sym_keyword_smallint_token2] = ACTIONS(157),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(159),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(159),
    [aux_sym_keyword_int_token1] = ACTIONS(161),
    [aux_sym_keyword_int_token2] = ACTIONS(161),
    [aux_sym_keyword_int_token3] = ACTIONS(161),
    [aux_sym_keyword_bigint_token1] = ACTIONS(163),
    [aux_sym_keyword_bigint_token2] = ACTIONS(163),
    [sym_keyword_decimal] = ACTIONS(165),
    [sym_keyword_numeric] = ACTIONS(167),
    [aux_sym_keyword_real_token1] = ACTIONS(169),
    [aux_sym_keyword_real_token2] = ACTIONS(169),
    [sym_keyword_float] = ACTIONS(171),
    [sym_keyword_double] = ACTIONS(173),
    [sym_keyword_inet] = ACTIONS(141),
    [sym_keyword_money] = ACTIONS(141),
    [sym_keyword_smallmoney] = ACTIONS(141),
    [aux_sym_keyword_char_token1] = ACTIONS(175),
    [sym_keyword_nchar] = ACTIONS(177),
    [aux_sym_keyword_varchar_token1] = ACTIONS(179),
    [sym_keyword_nvarchar] = ACTIONS(181),
    [sym_keyword_text] = ACTIONS(141),
    [sym_keyword_string] = ACTIONS(141),
    [sym_keyword_uuid] = ACTIONS(141),
    [sym_keyword_json] = ACTIONS(141),
    [sym_keyword_jsonb] = ACTIONS(141),
    [sym_keyword_xml] = ACTIONS(141),
    [sym_keyword_bytea] = ACTIONS(141),
    [sym_keyword_enum] = ACTIONS(183),
    [sym_keyword_date] = ACTIONS(141),
    [sym_keyword_datetime] = ACTIONS(141),
    [sym_keyword_datetime2] = ACTIONS(141),
    [sym_keyword_smalldatetime] = ACTIONS(141),
    [sym_keyword_datetimeoffset] = ACTIONS(185),
    [sym_keyword_time] = ACTIONS(187),
    [sym_keyword_timestamp] = ACTIONS(189),
    [sym_keyword_timestamptz] = ACTIONS(141),
    [sym_keyword_interval] = ACTIONS(141),
    [sym_keyword_geometry] = ACTIONS(141),
    [sym_keyword_geography] = ACTIONS(141),
    [sym_keyword_box2d] = ACTIONS(141),
    [sym_keyword_box3d] = ACTIONS(141),
    [sym_keyword_oid] = ACTIONS(141),
    [sym_keyword_name] = ACTIONS(141),
    [sym_keyword_regclass] = ACTIONS(141),
    [sym_keyword_regnamespace] = ACTIONS(141),
    [sym_keyword_regproc] = ACTIONS(141),
    [sym_keyword_regtype] = ACTIONS(141),
    [aux_sym_double_token1] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(193),
    [aux_sym_identifier_token1] = ACTIONS(193),
  },
  [9] = {
    [sym_keyword_smallserial] = STATE(5412),
    [sym_keyword_serial] = STATE(5412),
    [sym_keyword_bigserial] = STATE(5412),
    [sym_keyword_tinyint] = STATE(5391),
    [sym_keyword_smallint] = STATE(5390),
    [sym_keyword_mediumint] = STATE(5389),
    [sym_keyword_int] = STATE(5388),
    [sym_keyword_bigint] = STATE(5387),
    [sym_keyword_real] = STATE(5386),
    [sym_keyword_char] = STATE(6125),
    [sym_keyword_varchar] = STATE(6117),
    [sym__type] = STATE(6487),
    [sym_tinyint] = STATE(5412),
    [sym_smallint] = STATE(5412),
    [sym_mediumint] = STATE(5412),
    [sym_int] = STATE(5412),
    [sym_bigint] = STATE(5412),
    [sym_bit] = STATE(5412),
    [sym_binary] = STATE(5412),
    [sym_varbinary] = STATE(5412),
    [sym_float] = STATE(5412),
    [sym_double] = STATE(5412),
    [sym_decimal] = STATE(5412),
    [sym_numeric] = STATE(5412),
    [sym_char] = STATE(5412),
    [sym_varchar] = STATE(5412),
    [sym_nchar] = STATE(5412),
    [sym_nvarchar] = STATE(5412),
    [sym_datetimeoffset] = STATE(5412),
    [sym_time] = STATE(5412),
    [sym_timestamp] = STATE(5412),
    [sym_enum] = STATE(5412),
    [sym_object_reference] = STATE(5383),
    [sym_identifier] = STATE(6934),
    [sym__identifier] = ACTIONS(129),
    [sym_keyword_table] = ACTIONS(207),
    [aux_sym_keyword_character_token1] = ACTIONS(133),
    [sym_keyword_unsigned] = ACTIONS(135),
    [sym_keyword_trigger] = ACTIONS(209),
    [sym_keyword_setof] = ACTIONS(211),
    [sym_keyword_boolean] = ACTIONS(141),
    [sym_keyword_bit] = ACTIONS(143),
    [sym_keyword_binary] = ACTIONS(145),
    [sym_keyword_varbinary] = ACTIONS(147),
    [sym_keyword_image] = ACTIONS(141),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(149),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(149),
    [aux_sym_keyword_serial_token1] = ACTIONS(151),
    [aux_sym_keyword_serial_token2] = ACTIONS(151),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(153),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(153),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(155),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(155),
    [aux_sym_keyword_smallint_token1] = ACTIONS(157),
    [aux_sym_keyword_smallint_token2] = ACTIONS(157),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(159),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(159),
    [aux_sym_keyword_int_token1] = ACTIONS(161),
    [aux_sym_keyword_int_token2] = ACTIONS(161),
    [aux_sym_keyword_int_token3] = ACTIONS(161),
    [aux_sym_keyword_bigint_token1] = ACTIONS(163),
    [aux_sym_keyword_bigint_token2] = ACTIONS(163),
    [sym_keyword_decimal] = ACTIONS(165),
    [sym_keyword_numeric] = ACTIONS(167),
    [aux_sym_keyword_real_token1] = ACTIONS(169),
    [aux_sym_keyword_real_token2] = ACTIONS(169),
    [sym_keyword_float] = ACTIONS(171),
    [sym_keyword_double] = ACTIONS(173),
    [sym_keyword_inet] = ACTIONS(141),
    [sym_keyword_money] = ACTIONS(141),
    [sym_keyword_smallmoney] = ACTIONS(141),
    [aux_sym_keyword_char_token1] = ACTIONS(175),
    [sym_keyword_nchar] = ACTIONS(177),
    [aux_sym_keyword_varchar_token1] = ACTIONS(179),
    [sym_keyword_nvarchar] = ACTIONS(181),
    [sym_keyword_text] = ACTIONS(141),
    [sym_keyword_string] = ACTIONS(141),
    [sym_keyword_uuid] = ACTIONS(141),
    [sym_keyword_json] = ACTIONS(141),
    [sym_keyword_jsonb] = ACTIONS(141),
    [sym_keyword_xml] = ACTIONS(141),
    [sym_keyword_bytea] = ACTIONS(141),
    [sym_keyword_enum] = ACTIONS(183),
    [sym_keyword_date] = ACTIONS(141),
    [sym_keyword_datetime] = ACTIONS(141),
    [sym_keyword_datetime2] = ACTIONS(141),
    [sym_keyword_smalldatetime] = ACTIONS(141),
    [sym_keyword_datetimeoffset] = ACTIONS(185),
    [sym_keyword_time] = ACTIONS(187),
    [sym_keyword_timestamp] = ACTIONS(189),
    [sym_keyword_timestamptz] = ACTIONS(141),
    [sym_keyword_interval] = ACTIONS(141),
    [sym_keyword_geometry] = ACTIONS(141),
    [sym_keyword_geography] = ACTIONS(141),
    [sym_keyword_box2d] = ACTIONS(141),
    [sym_keyword_box3d] = ACTIONS(141),
    [sym_keyword_oid] = ACTIONS(141),
    [sym_keyword_name] = ACTIONS(141),
    [sym_keyword_regclass] = ACTIONS(141),
    [sym_keyword_regnamespace] = ACTIONS(141),
    [sym_keyword_regproc] = ACTIONS(141),
    [sym_keyword_regtype] = ACTIONS(141),
    [aux_sym_double_token1] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(193),
    [aux_sym_identifier_token1] = ACTIONS(193),
  },
  [10] = {
    [sym_keyword_smallserial] = STATE(2461),
    [sym_keyword_serial] = STATE(2461),
    [sym_keyword_bigserial] = STATE(2461),
    [sym_keyword_tinyint] = STATE(150),
    [sym_keyword_smallint] = STATE(157),
    [sym_keyword_mediumint] = STATE(158),
    [sym_keyword_int] = STATE(153),
    [sym_keyword_bigint] = STATE(154),
    [sym_keyword_real] = STATE(155),
    [sym_keyword_char] = STATE(205),
    [sym_keyword_varchar] = STATE(204),
    [sym__type] = STATE(2419),
    [sym_tinyint] = STATE(2461),
    [sym_smallint] = STATE(2461),
    [sym_mediumint] = STATE(2461),
    [sym_int] = STATE(2461),
    [sym_bigint] = STATE(2461),
    [sym_bit] = STATE(2461),
    [sym_binary] = STATE(2461),
    [sym_varbinary] = STATE(2461),
    [sym_float] = STATE(2461),
    [sym_double] = STATE(2461),
    [sym_decimal] = STATE(2461),
    [sym_numeric] = STATE(2461),
    [sym_char] = STATE(2461),
    [sym_varchar] = STATE(2461),
    [sym_nchar] = STATE(2461),
    [sym_nvarchar] = STATE(2461),
    [sym_datetimeoffset] = STATE(2461),
    [sym_time] = STATE(2461),
    [sym_timestamp] = STATE(2461),
    [sym_enum] = STATE(2461),
    [sym_object_reference] = STATE(2415),
    [sym_identifier] = STATE(2646),
    [sym__identifier] = ACTIONS(213),
    [aux_sym_keyword_character_token1] = ACTIONS(215),
    [sym_keyword_unsigned] = ACTIONS(217),
    [sym_keyword_boolean] = ACTIONS(219),
    [sym_keyword_bit] = ACTIONS(221),
    [sym_keyword_binary] = ACTIONS(223),
    [sym_keyword_varbinary] = ACTIONS(225),
    [sym_keyword_image] = ACTIONS(219),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(227),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(227),
    [aux_sym_keyword_serial_token1] = ACTIONS(229),
    [aux_sym_keyword_serial_token2] = ACTIONS(229),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(231),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(231),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(233),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(233),
    [aux_sym_keyword_smallint_token1] = ACTIONS(235),
    [aux_sym_keyword_smallint_token2] = ACTIONS(235),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(237),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(237),
    [aux_sym_keyword_int_token1] = ACTIONS(239),
    [aux_sym_keyword_int_token2] = ACTIONS(239),
    [aux_sym_keyword_int_token3] = ACTIONS(239),
    [aux_sym_keyword_bigint_token1] = ACTIONS(241),
    [aux_sym_keyword_bigint_token2] = ACTIONS(241),
    [sym_keyword_decimal] = ACTIONS(243),
    [sym_keyword_numeric] = ACTIONS(245),
    [aux_sym_keyword_real_token1] = ACTIONS(247),
    [aux_sym_keyword_real_token2] = ACTIONS(247),
    [sym_keyword_float] = ACTIONS(249),
    [sym_keyword_double] = ACTIONS(251),
    [sym_keyword_inet] = ACTIONS(219),
    [sym_keyword_money] = ACTIONS(219),
    [sym_keyword_smallmoney] = ACTIONS(219),
    [aux_sym_keyword_char_token1] = ACTIONS(253),
    [sym_keyword_nchar] = ACTIONS(255),
    [aux_sym_keyword_varchar_token1] = ACTIONS(257),
    [sym_keyword_nvarchar] = ACTIONS(259),
    [sym_keyword_text] = ACTIONS(219),
    [sym_keyword_string] = ACTIONS(219),
    [sym_keyword_uuid] = ACTIONS(219),
    [sym_keyword_json] = ACTIONS(219),
    [sym_keyword_jsonb] = ACTIONS(219),
    [sym_keyword_xml] = ACTIONS(219),
    [sym_keyword_bytea] = ACTIONS(219),
    [sym_keyword_enum] = ACTIONS(261),
    [sym_keyword_date] = ACTIONS(219),
    [sym_keyword_datetime] = ACTIONS(219),
    [sym_keyword_datetime2] = ACTIONS(219),
    [sym_keyword_smalldatetime] = ACTIONS(219),
    [sym_keyword_datetimeoffset] = ACTIONS(263),
    [sym_keyword_time] = ACTIONS(265),
    [sym_keyword_timestamp] = ACTIONS(267),
    [sym_keyword_timestamptz] = ACTIONS(219),
    [sym_keyword_interval] = ACTIONS(219),
    [sym_keyword_geometry] = ACTIONS(219),
    [sym_keyword_geography] = ACTIONS(219),
    [sym_keyword_box2d] = ACTIONS(219),
    [sym_keyword_box3d] = ACTIONS(219),
    [sym_keyword_oid] = ACTIONS(219),
    [sym_keyword_name] = ACTIONS(219),
    [sym_keyword_regclass] = ACTIONS(219),
    [sym_keyword_regnamespace] = ACTIONS(219),
    [sym_keyword_regproc] = ACTIONS(219),
    [sym_keyword_regtype] = ACTIONS(219),
    [aux_sym_double_token1] = ACTIONS(269),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(271),
    [aux_sym_identifier_token1] = ACTIONS(271),
  },
  [11] = {
    [sym_keyword_smallserial] = STATE(2737),
    [sym_keyword_serial] = STATE(2737),
    [sym_keyword_bigserial] = STATE(2737),
    [sym_keyword_tinyint] = STATE(1840),
    [sym_keyword_smallint] = STATE(1848),
    [sym_keyword_mediumint] = STATE(1877),
    [sym_keyword_int] = STATE(1842),
    [sym_keyword_bigint] = STATE(1883),
    [sym_keyword_real] = STATE(1886),
    [sym_keyword_char] = STATE(2313),
    [sym_keyword_varchar] = STATE(2217),
    [sym__type] = STATE(4169),
    [sym_tinyint] = STATE(2737),
    [sym_smallint] = STATE(2737),
    [sym_mediumint] = STATE(2737),
    [sym_int] = STATE(2737),
    [sym_bigint] = STATE(2737),
    [sym_bit] = STATE(2737),
    [sym_binary] = STATE(2737),
    [sym_varbinary] = STATE(2737),
    [sym_float] = STATE(2737),
    [sym_double] = STATE(2737),
    [sym_decimal] = STATE(2737),
    [sym_numeric] = STATE(2737),
    [sym_char] = STATE(2737),
    [sym_varchar] = STATE(2737),
    [sym_nchar] = STATE(2737),
    [sym_nvarchar] = STATE(2737),
    [sym_datetimeoffset] = STATE(2737),
    [sym_time] = STATE(2737),
    [sym_timestamp] = STATE(2737),
    [sym_enum] = STATE(2737),
    [sym_object_reference] = STATE(2818),
    [sym_identifier] = STATE(3226),
    [sym__identifier] = ACTIONS(273),
    [aux_sym_keyword_character_token1] = ACTIONS(57),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(275),
    [sym_keyword_bit] = ACTIONS(65),
    [sym_keyword_binary] = ACTIONS(67),
    [sym_keyword_varbinary] = ACTIONS(69),
    [sym_keyword_image] = ACTIONS(275),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(71),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(71),
    [aux_sym_keyword_serial_token1] = ACTIONS(73),
    [aux_sym_keyword_serial_token2] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(75),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(77),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(77),
    [aux_sym_keyword_smallint_token1] = ACTIONS(79),
    [aux_sym_keyword_smallint_token2] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(81),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token1] = ACTIONS(83),
    [aux_sym_keyword_int_token2] = ACTIONS(83),
    [aux_sym_keyword_int_token3] = ACTIONS(83),
    [aux_sym_keyword_bigint_token1] = ACTIONS(85),
    [aux_sym_keyword_bigint_token2] = ACTIONS(85),
    [sym_keyword_decimal] = ACTIONS(87),
    [sym_keyword_numeric] = ACTIONS(89),
    [aux_sym_keyword_real_token1] = ACTIONS(91),
    [aux_sym_keyword_real_token2] = ACTIONS(91),
    [sym_keyword_float] = ACTIONS(93),
    [sym_keyword_double] = ACTIONS(95),
    [sym_keyword_inet] = ACTIONS(275),
    [sym_keyword_money] = ACTIONS(275),
    [sym_keyword_smallmoney] = ACTIONS(275),
    [aux_sym_keyword_char_token1] = ACTIONS(97),
    [sym_keyword_nchar] = ACTIONS(99),
    [aux_sym_keyword_varchar_token1] = ACTIONS(101),
    [sym_keyword_nvarchar] = ACTIONS(103),
    [sym_keyword_text] = ACTIONS(275),
    [sym_keyword_string] = ACTIONS(275),
    [sym_keyword_uuid] = ACTIONS(275),
    [sym_keyword_json] = ACTIONS(275),
    [sym_keyword_jsonb] = ACTIONS(275),
    [sym_keyword_xml] = ACTIONS(275),
    [sym_keyword_bytea] = ACTIONS(275),
    [sym_keyword_enum] = ACTIONS(105),
    [sym_keyword_date] = ACTIONS(275),
    [sym_keyword_datetime] = ACTIONS(275),
    [sym_keyword_datetime2] = ACTIONS(275),
    [sym_keyword_smalldatetime] = ACTIONS(275),
    [sym_keyword_datetimeoffset] = ACTIONS(107),
    [sym_keyword_time] = ACTIONS(109),
    [sym_keyword_timestamp] = ACTIONS(111),
    [sym_keyword_timestamptz] = ACTIONS(275),
    [sym_keyword_interval] = ACTIONS(275),
    [sym_keyword_geometry] = ACTIONS(275),
    [sym_keyword_geography] = ACTIONS(275),
    [sym_keyword_box2d] = ACTIONS(275),
    [sym_keyword_box3d] = ACTIONS(275),
    [sym_keyword_oid] = ACTIONS(275),
    [sym_keyword_name] = ACTIONS(275),
    [sym_keyword_regclass] = ACTIONS(275),
    [sym_keyword_regnamespace] = ACTIONS(275),
    [sym_keyword_regproc] = ACTIONS(275),
    [sym_keyword_regtype] = ACTIONS(275),
    [aux_sym_double_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(277),
    [aux_sym_identifier_token1] = ACTIONS(277),
  },
  [12] = {
    [sym_keyword_smallserial] = STATE(2651),
    [sym_keyword_serial] = STATE(2651),
    [sym_keyword_bigserial] = STATE(2651),
    [sym_keyword_tinyint] = STATE(2696),
    [sym_keyword_smallint] = STATE(2695),
    [sym_keyword_mediumint] = STATE(2693),
    [sym_keyword_int] = STATE(2692),
    [sym_keyword_bigint] = STATE(2689),
    [sym_keyword_real] = STATE(2688),
    [sym_keyword_char] = STATE(2919),
    [sym_keyword_varchar] = STATE(2920),
    [sym__type] = STATE(3480),
    [sym_tinyint] = STATE(2651),
    [sym_smallint] = STATE(2651),
    [sym_mediumint] = STATE(2651),
    [sym_int] = STATE(2651),
    [sym_bigint] = STATE(2651),
    [sym_bit] = STATE(2651),
    [sym_binary] = STATE(2651),
    [sym_varbinary] = STATE(2651),
    [sym_float] = STATE(2651),
    [sym_double] = STATE(2651),
    [sym_decimal] = STATE(2651),
    [sym_numeric] = STATE(2651),
    [sym_char] = STATE(2651),
    [sym_varchar] = STATE(2651),
    [sym_nchar] = STATE(2651),
    [sym_nvarchar] = STATE(2651),
    [sym_datetimeoffset] = STATE(2651),
    [sym_time] = STATE(2651),
    [sym_timestamp] = STATE(2651),
    [sym_enum] = STATE(2651),
    [sym_object_reference] = STATE(2637),
    [sym_identifier] = STATE(4741),
    [sym__identifier] = ACTIONS(279),
    [aux_sym_keyword_character_token1] = ACTIONS(281),
    [sym_keyword_unsigned] = ACTIONS(283),
    [sym_keyword_boolean] = ACTIONS(285),
    [sym_keyword_bit] = ACTIONS(287),
    [sym_keyword_binary] = ACTIONS(289),
    [sym_keyword_varbinary] = ACTIONS(291),
    [sym_keyword_image] = ACTIONS(285),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(293),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(293),
    [aux_sym_keyword_serial_token1] = ACTIONS(295),
    [aux_sym_keyword_serial_token2] = ACTIONS(295),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(297),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(297),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(299),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(299),
    [aux_sym_keyword_smallint_token1] = ACTIONS(301),
    [aux_sym_keyword_smallint_token2] = ACTIONS(301),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(303),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(303),
    [aux_sym_keyword_int_token1] = ACTIONS(305),
    [aux_sym_keyword_int_token2] = ACTIONS(305),
    [aux_sym_keyword_int_token3] = ACTIONS(305),
    [aux_sym_keyword_bigint_token1] = ACTIONS(307),
    [aux_sym_keyword_bigint_token2] = ACTIONS(307),
    [sym_keyword_decimal] = ACTIONS(309),
    [sym_keyword_numeric] = ACTIONS(311),
    [aux_sym_keyword_real_token1] = ACTIONS(313),
    [aux_sym_keyword_real_token2] = ACTIONS(313),
    [sym_keyword_float] = ACTIONS(315),
    [sym_keyword_double] = ACTIONS(317),
    [sym_keyword_inet] = ACTIONS(285),
    [sym_keyword_money] = ACTIONS(285),
    [sym_keyword_smallmoney] = ACTIONS(285),
    [aux_sym_keyword_char_token1] = ACTIONS(319),
    [sym_keyword_nchar] = ACTIONS(321),
    [aux_sym_keyword_varchar_token1] = ACTIONS(323),
    [sym_keyword_nvarchar] = ACTIONS(325),
    [sym_keyword_text] = ACTIONS(285),
    [sym_keyword_string] = ACTIONS(285),
    [sym_keyword_uuid] = ACTIONS(285),
    [sym_keyword_json] = ACTIONS(285),
    [sym_keyword_jsonb] = ACTIONS(285),
    [sym_keyword_xml] = ACTIONS(285),
    [sym_keyword_bytea] = ACTIONS(285),
    [sym_keyword_enum] = ACTIONS(327),
    [sym_keyword_date] = ACTIONS(285),
    [sym_keyword_datetime] = ACTIONS(285),
    [sym_keyword_datetime2] = ACTIONS(285),
    [sym_keyword_smalldatetime] = ACTIONS(285),
    [sym_keyword_datetimeoffset] = ACTIONS(329),
    [sym_keyword_time] = ACTIONS(331),
    [sym_keyword_timestamp] = ACTIONS(333),
    [sym_keyword_timestamptz] = ACTIONS(285),
    [sym_keyword_interval] = ACTIONS(285),
    [sym_keyword_geometry] = ACTIONS(285),
    [sym_keyword_geography] = ACTIONS(285),
    [sym_keyword_box2d] = ACTIONS(285),
    [sym_keyword_box3d] = ACTIONS(285),
    [sym_keyword_oid] = ACTIONS(285),
    [sym_keyword_name] = ACTIONS(285),
    [sym_keyword_regclass] = ACTIONS(285),
    [sym_keyword_regnamespace] = ACTIONS(285),
    [sym_keyword_regproc] = ACTIONS(285),
    [sym_keyword_regtype] = ACTIONS(285),
    [aux_sym_double_token1] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(337),
    [aux_sym_identifier_token1] = ACTIONS(337),
  },
  [13] = {
    [sym_keyword_smallserial] = STATE(2861),
    [sym_keyword_serial] = STATE(2861),
    [sym_keyword_bigserial] = STATE(2861),
    [sym_keyword_tinyint] = STATE(2868),
    [sym_keyword_smallint] = STATE(2867),
    [sym_keyword_mediumint] = STATE(2866),
    [sym_keyword_int] = STATE(2865),
    [sym_keyword_bigint] = STATE(2864),
    [sym_keyword_real] = STATE(2863),
    [sym_keyword_char] = STATE(3134),
    [sym_keyword_varchar] = STATE(3190),
    [sym__type] = STATE(4289),
    [sym_tinyint] = STATE(2861),
    [sym_smallint] = STATE(2861),
    [sym_mediumint] = STATE(2861),
    [sym_int] = STATE(2861),
    [sym_bigint] = STATE(2861),
    [sym_bit] = STATE(2861),
    [sym_binary] = STATE(2861),
    [sym_varbinary] = STATE(2861),
    [sym_float] = STATE(2861),
    [sym_double] = STATE(2861),
    [sym_decimal] = STATE(2861),
    [sym_numeric] = STATE(2861),
    [sym_char] = STATE(2861),
    [sym_varchar] = STATE(2861),
    [sym_nchar] = STATE(2861),
    [sym_nvarchar] = STATE(2861),
    [sym_datetimeoffset] = STATE(2861),
    [sym_time] = STATE(2861),
    [sym_timestamp] = STATE(2861),
    [sym_enum] = STATE(2861),
    [sym_object_reference] = STATE(2860),
    [sym_identifier] = STATE(3331),
    [sym__identifier] = ACTIONS(339),
    [aux_sym_keyword_character_token1] = ACTIONS(341),
    [sym_keyword_unsigned] = ACTIONS(343),
    [sym_keyword_boolean] = ACTIONS(345),
    [sym_keyword_bit] = ACTIONS(347),
    [sym_keyword_binary] = ACTIONS(349),
    [sym_keyword_varbinary] = ACTIONS(351),
    [sym_keyword_image] = ACTIONS(345),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(353),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(353),
    [aux_sym_keyword_serial_token1] = ACTIONS(355),
    [aux_sym_keyword_serial_token2] = ACTIONS(355),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(357),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(357),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(359),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(359),
    [aux_sym_keyword_smallint_token1] = ACTIONS(361),
    [aux_sym_keyword_smallint_token2] = ACTIONS(361),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(363),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(363),
    [aux_sym_keyword_int_token1] = ACTIONS(365),
    [aux_sym_keyword_int_token2] = ACTIONS(365),
    [aux_sym_keyword_int_token3] = ACTIONS(365),
    [aux_sym_keyword_bigint_token1] = ACTIONS(367),
    [aux_sym_keyword_bigint_token2] = ACTIONS(367),
    [sym_keyword_decimal] = ACTIONS(369),
    [sym_keyword_numeric] = ACTIONS(371),
    [aux_sym_keyword_real_token1] = ACTIONS(373),
    [aux_sym_keyword_real_token2] = ACTIONS(373),
    [sym_keyword_float] = ACTIONS(375),
    [sym_keyword_double] = ACTIONS(377),
    [sym_keyword_inet] = ACTIONS(345),
    [sym_keyword_money] = ACTIONS(345),
    [sym_keyword_smallmoney] = ACTIONS(345),
    [aux_sym_keyword_char_token1] = ACTIONS(379),
    [sym_keyword_nchar] = ACTIONS(381),
    [aux_sym_keyword_varchar_token1] = ACTIONS(383),
    [sym_keyword_nvarchar] = ACTIONS(385),
    [sym_keyword_text] = ACTIONS(345),
    [sym_keyword_string] = ACTIONS(345),
    [sym_keyword_uuid] = ACTIONS(345),
    [sym_keyword_json] = ACTIONS(345),
    [sym_keyword_jsonb] = ACTIONS(345),
    [sym_keyword_xml] = ACTIONS(345),
    [sym_keyword_bytea] = ACTIONS(345),
    [sym_keyword_enum] = ACTIONS(387),
    [sym_keyword_date] = ACTIONS(345),
    [sym_keyword_datetime] = ACTIONS(345),
    [sym_keyword_datetime2] = ACTIONS(345),
    [sym_keyword_smalldatetime] = ACTIONS(345),
    [sym_keyword_datetimeoffset] = ACTIONS(389),
    [sym_keyword_time] = ACTIONS(391),
    [sym_keyword_timestamp] = ACTIONS(393),
    [sym_keyword_timestamptz] = ACTIONS(345),
    [sym_keyword_interval] = ACTIONS(345),
    [sym_keyword_geometry] = ACTIONS(345),
    [sym_keyword_geography] = ACTIONS(345),
    [sym_keyword_box2d] = ACTIONS(345),
    [sym_keyword_box3d] = ACTIONS(345),
    [sym_keyword_oid] = ACTIONS(345),
    [sym_keyword_name] = ACTIONS(345),
    [sym_keyword_regclass] = ACTIONS(345),
    [sym_keyword_regnamespace] = ACTIONS(345),
    [sym_keyword_regproc] = ACTIONS(345),
    [sym_keyword_regtype] = ACTIONS(345),
    [aux_sym_double_token1] = ACTIONS(395),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(397),
    [aux_sym_identifier_token1] = ACTIONS(397),
  },
  [14] = {
    [sym_keyword_smallserial] = STATE(5412),
    [sym_keyword_serial] = STATE(5412),
    [sym_keyword_bigserial] = STATE(5412),
    [sym_keyword_tinyint] = STATE(5391),
    [sym_keyword_smallint] = STATE(5390),
    [sym_keyword_mediumint] = STATE(5389),
    [sym_keyword_int] = STATE(5388),
    [sym_keyword_bigint] = STATE(5387),
    [sym_keyword_real] = STATE(5386),
    [sym_keyword_char] = STATE(6125),
    [sym_keyword_varchar] = STATE(6117),
    [sym__type] = STATE(6524),
    [sym_tinyint] = STATE(5412),
    [sym_smallint] = STATE(5412),
    [sym_mediumint] = STATE(5412),
    [sym_int] = STATE(5412),
    [sym_bigint] = STATE(5412),
    [sym_bit] = STATE(5412),
    [sym_binary] = STATE(5412),
    [sym_varbinary] = STATE(5412),
    [sym_float] = STATE(5412),
    [sym_double] = STATE(5412),
    [sym_decimal] = STATE(5412),
    [sym_numeric] = STATE(5412),
    [sym_char] = STATE(5412),
    [sym_varchar] = STATE(5412),
    [sym_nchar] = STATE(5412),
    [sym_nvarchar] = STATE(5412),
    [sym_datetimeoffset] = STATE(5412),
    [sym_time] = STATE(5412),
    [sym_timestamp] = STATE(5412),
    [sym_enum] = STATE(5412),
    [sym_object_reference] = STATE(5383),
    [sym_identifier] = STATE(6934),
    [sym__identifier] = ACTIONS(129),
    [aux_sym_keyword_character_token1] = ACTIONS(133),
    [sym_keyword_unsigned] = ACTIONS(135),
    [sym_keyword_boolean] = ACTIONS(141),
    [sym_keyword_bit] = ACTIONS(143),
    [sym_keyword_binary] = ACTIONS(145),
    [sym_keyword_varbinary] = ACTIONS(147),
    [sym_keyword_image] = ACTIONS(141),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(149),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(149),
    [aux_sym_keyword_serial_token1] = ACTIONS(151),
    [aux_sym_keyword_serial_token2] = ACTIONS(151),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(153),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(153),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(155),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(155),
    [aux_sym_keyword_smallint_token1] = ACTIONS(157),
    [aux_sym_keyword_smallint_token2] = ACTIONS(157),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(159),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(159),
    [aux_sym_keyword_int_token1] = ACTIONS(161),
    [aux_sym_keyword_int_token2] = ACTIONS(161),
    [aux_sym_keyword_int_token3] = ACTIONS(161),
    [aux_sym_keyword_bigint_token1] = ACTIONS(163),
    [aux_sym_keyword_bigint_token2] = ACTIONS(163),
    [sym_keyword_decimal] = ACTIONS(165),
    [sym_keyword_numeric] = ACTIONS(167),
    [aux_sym_keyword_real_token1] = ACTIONS(169),
    [aux_sym_keyword_real_token2] = ACTIONS(169),
    [sym_keyword_float] = ACTIONS(171),
    [sym_keyword_double] = ACTIONS(173),
    [sym_keyword_inet] = ACTIONS(141),
    [sym_keyword_money] = ACTIONS(141),
    [sym_keyword_smallmoney] = ACTIONS(141),
    [aux_sym_keyword_char_token1] = ACTIONS(175),
    [sym_keyword_nchar] = ACTIONS(177),
    [aux_sym_keyword_varchar_token1] = ACTIONS(179),
    [sym_keyword_nvarchar] = ACTIONS(181),
    [sym_keyword_text] = ACTIONS(141),
    [sym_keyword_string] = ACTIONS(141),
    [sym_keyword_uuid] = ACTIONS(141),
    [sym_keyword_json] = ACTIONS(141),
    [sym_keyword_jsonb] = ACTIONS(141),
    [sym_keyword_xml] = ACTIONS(141),
    [sym_keyword_bytea] = ACTIONS(141),
    [sym_keyword_enum] = ACTIONS(183),
    [sym_keyword_date] = ACTIONS(141),
    [sym_keyword_datetime] = ACTIONS(141),
    [sym_keyword_datetime2] = ACTIONS(141),
    [sym_keyword_smalldatetime] = ACTIONS(141),
    [sym_keyword_datetimeoffset] = ACTIONS(185),
    [sym_keyword_time] = ACTIONS(187),
    [sym_keyword_timestamp] = ACTIONS(189),
    [sym_keyword_timestamptz] = ACTIONS(141),
    [sym_keyword_interval] = ACTIONS(141),
    [sym_keyword_geometry] = ACTIONS(141),
    [sym_keyword_geography] = ACTIONS(141),
    [sym_keyword_box2d] = ACTIONS(141),
    [sym_keyword_box3d] = ACTIONS(141),
    [sym_keyword_oid] = ACTIONS(141),
    [sym_keyword_name] = ACTIONS(141),
    [sym_keyword_regclass] = ACTIONS(141),
    [sym_keyword_regnamespace] = ACTIONS(141),
    [sym_keyword_regproc] = ACTIONS(141),
    [sym_keyword_regtype] = ACTIONS(141),
    [aux_sym_double_token1] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(193),
    [aux_sym_identifier_token1] = ACTIONS(193),
  },
  [15] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1840),
    [sym_keyword_smallint] = STATE(1848),
    [sym_keyword_mediumint] = STATE(1877),
    [sym_keyword_int] = STATE(1842),
    [sym_keyword_bigint] = STATE(1883),
    [sym_keyword_real] = STATE(1886),
    [sym_keyword_char] = STATE(2313),
    [sym_keyword_varchar] = STATE(2217),
    [sym__type] = STATE(13259),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7225),
    [sym_identifier] = STATE(5623),
    [sym__identifier] = ACTIONS(119),
    [aux_sym_keyword_character_token1] = ACTIONS(57),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(63),
    [sym_keyword_bit] = ACTIONS(65),
    [sym_keyword_binary] = ACTIONS(67),
    [sym_keyword_varbinary] = ACTIONS(69),
    [sym_keyword_image] = ACTIONS(63),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(71),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(71),
    [aux_sym_keyword_serial_token1] = ACTIONS(73),
    [aux_sym_keyword_serial_token2] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(75),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(77),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(77),
    [aux_sym_keyword_smallint_token1] = ACTIONS(79),
    [aux_sym_keyword_smallint_token2] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(81),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token1] = ACTIONS(83),
    [aux_sym_keyword_int_token2] = ACTIONS(83),
    [aux_sym_keyword_int_token3] = ACTIONS(83),
    [aux_sym_keyword_bigint_token1] = ACTIONS(85),
    [aux_sym_keyword_bigint_token2] = ACTIONS(85),
    [sym_keyword_decimal] = ACTIONS(87),
    [sym_keyword_numeric] = ACTIONS(89),
    [aux_sym_keyword_real_token1] = ACTIONS(91),
    [aux_sym_keyword_real_token2] = ACTIONS(91),
    [sym_keyword_float] = ACTIONS(93),
    [sym_keyword_double] = ACTIONS(95),
    [sym_keyword_inet] = ACTIONS(63),
    [sym_keyword_money] = ACTIONS(63),
    [sym_keyword_smallmoney] = ACTIONS(63),
    [aux_sym_keyword_char_token1] = ACTIONS(97),
    [sym_keyword_nchar] = ACTIONS(99),
    [aux_sym_keyword_varchar_token1] = ACTIONS(101),
    [sym_keyword_nvarchar] = ACTIONS(103),
    [sym_keyword_text] = ACTIONS(63),
    [sym_keyword_string] = ACTIONS(63),
    [sym_keyword_uuid] = ACTIONS(63),
    [sym_keyword_json] = ACTIONS(63),
    [sym_keyword_jsonb] = ACTIONS(63),
    [sym_keyword_xml] = ACTIONS(63),
    [sym_keyword_bytea] = ACTIONS(63),
    [sym_keyword_enum] = ACTIONS(105),
    [sym_keyword_date] = ACTIONS(63),
    [sym_keyword_datetime] = ACTIONS(63),
    [sym_keyword_datetime2] = ACTIONS(63),
    [sym_keyword_smalldatetime] = ACTIONS(63),
    [sym_keyword_datetimeoffset] = ACTIONS(107),
    [sym_keyword_time] = ACTIONS(109),
    [sym_keyword_timestamp] = ACTIONS(111),
    [sym_keyword_timestamptz] = ACTIONS(63),
    [sym_keyword_interval] = ACTIONS(63),
    [sym_keyword_geometry] = ACTIONS(63),
    [sym_keyword_geography] = ACTIONS(63),
    [sym_keyword_box2d] = ACTIONS(63),
    [sym_keyword_box3d] = ACTIONS(63),
    [sym_keyword_oid] = ACTIONS(63),
    [sym_keyword_name] = ACTIONS(63),
    [sym_keyword_regclass] = ACTIONS(63),
    [sym_keyword_regnamespace] = ACTIONS(63),
    [sym_keyword_regproc] = ACTIONS(63),
    [sym_keyword_regtype] = ACTIONS(63),
    [aux_sym_double_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(127),
    [aux_sym_identifier_token1] = ACTIONS(127),
  },
  [16] = {
    [sym_keyword_smallserial] = STATE(3057),
    [sym_keyword_serial] = STATE(3057),
    [sym_keyword_bigserial] = STATE(3057),
    [sym_keyword_tinyint] = STATE(3083),
    [sym_keyword_smallint] = STATE(3080),
    [sym_keyword_mediumint] = STATE(3079),
    [sym_keyword_int] = STATE(3073),
    [sym_keyword_bigint] = STATE(3072),
    [sym_keyword_real] = STATE(3065),
    [sym_keyword_char] = STATE(3841),
    [sym_keyword_varchar] = STATE(3842),
    [sym__type] = STATE(4432),
    [sym_tinyint] = STATE(3057),
    [sym_smallint] = STATE(3057),
    [sym_mediumint] = STATE(3057),
    [sym_int] = STATE(3057),
    [sym_bigint] = STATE(3057),
    [sym_bit] = STATE(3057),
    [sym_binary] = STATE(3057),
    [sym_varbinary] = STATE(3057),
    [sym_float] = STATE(3057),
    [sym_double] = STATE(3057),
    [sym_decimal] = STATE(3057),
    [sym_numeric] = STATE(3057),
    [sym_char] = STATE(3057),
    [sym_varchar] = STATE(3057),
    [sym_nchar] = STATE(3057),
    [sym_nvarchar] = STATE(3057),
    [sym_datetimeoffset] = STATE(3057),
    [sym_time] = STATE(3057),
    [sym_timestamp] = STATE(3057),
    [sym_enum] = STATE(3057),
    [sym_object_reference] = STATE(3048),
    [sym_identifier] = STATE(3543),
    [sym__identifier] = ACTIONS(399),
    [aux_sym_keyword_character_token1] = ACTIONS(401),
    [sym_keyword_unsigned] = ACTIONS(403),
    [sym_keyword_boolean] = ACTIONS(405),
    [sym_keyword_bit] = ACTIONS(407),
    [sym_keyword_binary] = ACTIONS(409),
    [sym_keyword_varbinary] = ACTIONS(411),
    [sym_keyword_image] = ACTIONS(405),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(413),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(413),
    [aux_sym_keyword_serial_token1] = ACTIONS(415),
    [aux_sym_keyword_serial_token2] = ACTIONS(415),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(417),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(417),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(419),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(419),
    [aux_sym_keyword_smallint_token1] = ACTIONS(421),
    [aux_sym_keyword_smallint_token2] = ACTIONS(421),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(423),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(423),
    [aux_sym_keyword_int_token1] = ACTIONS(425),
    [aux_sym_keyword_int_token2] = ACTIONS(425),
    [aux_sym_keyword_int_token3] = ACTIONS(425),
    [aux_sym_keyword_bigint_token1] = ACTIONS(427),
    [aux_sym_keyword_bigint_token2] = ACTIONS(427),
    [sym_keyword_decimal] = ACTIONS(429),
    [sym_keyword_numeric] = ACTIONS(431),
    [aux_sym_keyword_real_token1] = ACTIONS(433),
    [aux_sym_keyword_real_token2] = ACTIONS(433),
    [sym_keyword_float] = ACTIONS(435),
    [sym_keyword_double] = ACTIONS(437),
    [sym_keyword_inet] = ACTIONS(405),
    [sym_keyword_money] = ACTIONS(405),
    [sym_keyword_smallmoney] = ACTIONS(405),
    [aux_sym_keyword_char_token1] = ACTIONS(439),
    [sym_keyword_nchar] = ACTIONS(441),
    [aux_sym_keyword_varchar_token1] = ACTIONS(443),
    [sym_keyword_nvarchar] = ACTIONS(445),
    [sym_keyword_text] = ACTIONS(405),
    [sym_keyword_string] = ACTIONS(405),
    [sym_keyword_uuid] = ACTIONS(405),
    [sym_keyword_json] = ACTIONS(405),
    [sym_keyword_jsonb] = ACTIONS(405),
    [sym_keyword_xml] = ACTIONS(405),
    [sym_keyword_bytea] = ACTIONS(405),
    [sym_keyword_enum] = ACTIONS(447),
    [sym_keyword_date] = ACTIONS(405),
    [sym_keyword_datetime] = ACTIONS(405),
    [sym_keyword_datetime2] = ACTIONS(405),
    [sym_keyword_smalldatetime] = ACTIONS(405),
    [sym_keyword_datetimeoffset] = ACTIONS(449),
    [sym_keyword_time] = ACTIONS(451),
    [sym_keyword_timestamp] = ACTIONS(453),
    [sym_keyword_timestamptz] = ACTIONS(405),
    [sym_keyword_interval] = ACTIONS(405),
    [sym_keyword_geometry] = ACTIONS(405),
    [sym_keyword_geography] = ACTIONS(405),
    [sym_keyword_box2d] = ACTIONS(405),
    [sym_keyword_box3d] = ACTIONS(405),
    [sym_keyword_oid] = ACTIONS(405),
    [sym_keyword_name] = ACTIONS(405),
    [sym_keyword_regclass] = ACTIONS(405),
    [sym_keyword_regnamespace] = ACTIONS(405),
    [sym_keyword_regproc] = ACTIONS(405),
    [sym_keyword_regtype] = ACTIONS(405),
    [aux_sym_double_token1] = ACTIONS(455),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(457),
    [aux_sym_identifier_token1] = ACTIONS(457),
  },
  [17] = {
    [sym_keyword_smallserial] = STATE(2861),
    [sym_keyword_serial] = STATE(2861),
    [sym_keyword_bigserial] = STATE(2861),
    [sym_keyword_tinyint] = STATE(2868),
    [sym_keyword_smallint] = STATE(2867),
    [sym_keyword_mediumint] = STATE(2866),
    [sym_keyword_int] = STATE(2865),
    [sym_keyword_bigint] = STATE(2864),
    [sym_keyword_real] = STATE(2863),
    [sym_keyword_char] = STATE(3134),
    [sym_keyword_varchar] = STATE(3190),
    [sym__type] = STATE(4289),
    [sym_tinyint] = STATE(2861),
    [sym_smallint] = STATE(2861),
    [sym_mediumint] = STATE(2861),
    [sym_int] = STATE(2861),
    [sym_bigint] = STATE(2861),
    [sym_bit] = STATE(2861),
    [sym_binary] = STATE(2861),
    [sym_varbinary] = STATE(2861),
    [sym_float] = STATE(2861),
    [sym_double] = STATE(2861),
    [sym_decimal] = STATE(2861),
    [sym_numeric] = STATE(2861),
    [sym_char] = STATE(2861),
    [sym_varchar] = STATE(2861),
    [sym_nchar] = STATE(2861),
    [sym_nvarchar] = STATE(2861),
    [sym_datetimeoffset] = STATE(2861),
    [sym_time] = STATE(2861),
    [sym_timestamp] = STATE(2861),
    [sym_enum] = STATE(2861),
    [sym_object_reference] = STATE(2860),
    [sym_identifier] = STATE(3331),
    [sym__identifier] = ACTIONS(339),
    [aux_sym_keyword_character_token1] = ACTIONS(341),
    [sym_keyword_unsigned] = ACTIONS(343),
    [sym_keyword_boolean] = ACTIONS(345),
    [sym_keyword_bit] = ACTIONS(347),
    [sym_keyword_binary] = ACTIONS(349),
    [sym_keyword_varbinary] = ACTIONS(351),
    [sym_keyword_image] = ACTIONS(345),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(353),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(353),
    [aux_sym_keyword_serial_token1] = ACTIONS(355),
    [aux_sym_keyword_serial_token2] = ACTIONS(355),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(357),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(357),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(359),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(359),
    [aux_sym_keyword_smallint_token1] = ACTIONS(361),
    [aux_sym_keyword_smallint_token2] = ACTIONS(361),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(363),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(363),
    [aux_sym_keyword_int_token1] = ACTIONS(365),
    [aux_sym_keyword_int_token2] = ACTIONS(365),
    [aux_sym_keyword_int_token3] = ACTIONS(365),
    [aux_sym_keyword_bigint_token1] = ACTIONS(367),
    [aux_sym_keyword_bigint_token2] = ACTIONS(367),
    [sym_keyword_decimal] = ACTIONS(369),
    [sym_keyword_numeric] = ACTIONS(371),
    [aux_sym_keyword_real_token1] = ACTIONS(373),
    [aux_sym_keyword_real_token2] = ACTIONS(373),
    [sym_keyword_float] = ACTIONS(375),
    [sym_keyword_double] = ACTIONS(377),
    [sym_keyword_inet] = ACTIONS(345),
    [sym_keyword_money] = ACTIONS(345),
    [sym_keyword_smallmoney] = ACTIONS(345),
    [aux_sym_keyword_char_token1] = ACTIONS(379),
    [sym_keyword_nchar] = ACTIONS(381),
    [aux_sym_keyword_varchar_token1] = ACTIONS(383),
    [sym_keyword_nvarchar] = ACTIONS(385),
    [sym_keyword_text] = ACTIONS(345),
    [sym_keyword_string] = ACTIONS(345),
    [sym_keyword_uuid] = ACTIONS(345),
    [sym_keyword_json] = ACTIONS(345),
    [sym_keyword_jsonb] = ACTIONS(345),
    [sym_keyword_xml] = ACTIONS(345),
    [sym_keyword_bytea] = ACTIONS(345),
    [sym_keyword_enum] = ACTIONS(387),
    [sym_keyword_date] = ACTIONS(345),
    [sym_keyword_datetime] = ACTIONS(345),
    [sym_keyword_datetime2] = ACTIONS(345),
    [sym_keyword_smalldatetime] = ACTIONS(345),
    [sym_keyword_datetimeoffset] = ACTIONS(389),
    [sym_keyword_time] = ACTIONS(459),
    [sym_keyword_timestamp] = ACTIONS(461),
    [sym_keyword_timestamptz] = ACTIONS(345),
    [sym_keyword_interval] = ACTIONS(345),
    [sym_keyword_geometry] = ACTIONS(345),
    [sym_keyword_geography] = ACTIONS(345),
    [sym_keyword_box2d] = ACTIONS(345),
    [sym_keyword_box3d] = ACTIONS(345),
    [sym_keyword_oid] = ACTIONS(345),
    [sym_keyword_name] = ACTIONS(345),
    [sym_keyword_regclass] = ACTIONS(345),
    [sym_keyword_regnamespace] = ACTIONS(345),
    [sym_keyword_regproc] = ACTIONS(345),
    [sym_keyword_regtype] = ACTIONS(345),
    [aux_sym_double_token1] = ACTIONS(395),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(397),
    [aux_sym_identifier_token1] = ACTIONS(397),
  },
  [18] = {
    [sym_keyword_smallserial] = STATE(2965),
    [sym_keyword_serial] = STATE(2965),
    [sym_keyword_bigserial] = STATE(2965),
    [sym_keyword_tinyint] = STATE(2528),
    [sym_keyword_smallint] = STATE(2372),
    [sym_keyword_mediumint] = STATE(2526),
    [sym_keyword_int] = STATE(2525),
    [sym_keyword_bigint] = STATE(2524),
    [sym_keyword_real] = STATE(2522),
    [sym_keyword_char] = STATE(2756),
    [sym_keyword_varchar] = STATE(2757),
    [sym__type] = STATE(4491),
    [sym_tinyint] = STATE(2965),
    [sym_smallint] = STATE(2965),
    [sym_mediumint] = STATE(2965),
    [sym_int] = STATE(2965),
    [sym_bigint] = STATE(2965),
    [sym_bit] = STATE(2965),
    [sym_binary] = STATE(2965),
    [sym_varbinary] = STATE(2965),
    [sym_float] = STATE(2965),
    [sym_double] = STATE(2965),
    [sym_decimal] = STATE(2965),
    [sym_numeric] = STATE(2965),
    [sym_char] = STATE(2965),
    [sym_varchar] = STATE(2965),
    [sym_nchar] = STATE(2965),
    [sym_nvarchar] = STATE(2965),
    [sym_datetimeoffset] = STATE(2965),
    [sym_time] = STATE(2965),
    [sym_timestamp] = STATE(2965),
    [sym_enum] = STATE(2965),
    [sym_object_reference] = STATE(2967),
    [sym_identifier] = STATE(3790),
    [sym__identifier] = ACTIONS(463),
    [aux_sym_keyword_character_token1] = ACTIONS(465),
    [sym_keyword_unsigned] = ACTIONS(467),
    [sym_keyword_boolean] = ACTIONS(469),
    [sym_keyword_bit] = ACTIONS(471),
    [sym_keyword_binary] = ACTIONS(473),
    [sym_keyword_varbinary] = ACTIONS(475),
    [sym_keyword_image] = ACTIONS(469),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(477),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(477),
    [aux_sym_keyword_serial_token1] = ACTIONS(479),
    [aux_sym_keyword_serial_token2] = ACTIONS(479),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(481),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(481),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(483),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(483),
    [aux_sym_keyword_smallint_token1] = ACTIONS(485),
    [aux_sym_keyword_smallint_token2] = ACTIONS(485),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(487),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(487),
    [aux_sym_keyword_int_token1] = ACTIONS(489),
    [aux_sym_keyword_int_token2] = ACTIONS(489),
    [aux_sym_keyword_int_token3] = ACTIONS(489),
    [aux_sym_keyword_bigint_token1] = ACTIONS(491),
    [aux_sym_keyword_bigint_token2] = ACTIONS(491),
    [sym_keyword_decimal] = ACTIONS(493),
    [sym_keyword_numeric] = ACTIONS(495),
    [aux_sym_keyword_real_token1] = ACTIONS(497),
    [aux_sym_keyword_real_token2] = ACTIONS(497),
    [sym_keyword_float] = ACTIONS(499),
    [sym_keyword_double] = ACTIONS(501),
    [sym_keyword_inet] = ACTIONS(469),
    [sym_keyword_money] = ACTIONS(469),
    [sym_keyword_smallmoney] = ACTIONS(469),
    [aux_sym_keyword_char_token1] = ACTIONS(503),
    [sym_keyword_nchar] = ACTIONS(505),
    [aux_sym_keyword_varchar_token1] = ACTIONS(507),
    [sym_keyword_nvarchar] = ACTIONS(509),
    [sym_keyword_text] = ACTIONS(469),
    [sym_keyword_string] = ACTIONS(469),
    [sym_keyword_uuid] = ACTIONS(469),
    [sym_keyword_json] = ACTIONS(469),
    [sym_keyword_jsonb] = ACTIONS(469),
    [sym_keyword_xml] = ACTIONS(469),
    [sym_keyword_bytea] = ACTIONS(469),
    [sym_keyword_enum] = ACTIONS(511),
    [sym_keyword_date] = ACTIONS(469),
    [sym_keyword_datetime] = ACTIONS(469),
    [sym_keyword_datetime2] = ACTIONS(469),
    [sym_keyword_smalldatetime] = ACTIONS(469),
    [sym_keyword_datetimeoffset] = ACTIONS(513),
    [sym_keyword_time] = ACTIONS(515),
    [sym_keyword_timestamp] = ACTIONS(517),
    [sym_keyword_timestamptz] = ACTIONS(469),
    [sym_keyword_interval] = ACTIONS(469),
    [sym_keyword_geometry] = ACTIONS(469),
    [sym_keyword_geography] = ACTIONS(469),
    [sym_keyword_box2d] = ACTIONS(469),
    [sym_keyword_box3d] = ACTIONS(469),
    [sym_keyword_oid] = ACTIONS(469),
    [sym_keyword_name] = ACTIONS(469),
    [sym_keyword_regclass] = ACTIONS(469),
    [sym_keyword_regnamespace] = ACTIONS(469),
    [sym_keyword_regproc] = ACTIONS(469),
    [sym_keyword_regtype] = ACTIONS(469),
    [aux_sym_double_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(521),
    [aux_sym_identifier_token1] = ACTIONS(521),
  },
  [19] = {
    [sym_keyword_smallserial] = STATE(5412),
    [sym_keyword_serial] = STATE(5412),
    [sym_keyword_bigserial] = STATE(5412),
    [sym_keyword_tinyint] = STATE(5391),
    [sym_keyword_smallint] = STATE(5390),
    [sym_keyword_mediumint] = STATE(5389),
    [sym_keyword_int] = STATE(5388),
    [sym_keyword_bigint] = STATE(5387),
    [sym_keyword_real] = STATE(5386),
    [sym_keyword_char] = STATE(6125),
    [sym_keyword_varchar] = STATE(6117),
    [sym__type] = STATE(6481),
    [sym_tinyint] = STATE(5412),
    [sym_smallint] = STATE(5412),
    [sym_mediumint] = STATE(5412),
    [sym_int] = STATE(5412),
    [sym_bigint] = STATE(5412),
    [sym_bit] = STATE(5412),
    [sym_binary] = STATE(5412),
    [sym_varbinary] = STATE(5412),
    [sym_float] = STATE(5412),
    [sym_double] = STATE(5412),
    [sym_decimal] = STATE(5412),
    [sym_numeric] = STATE(5412),
    [sym_char] = STATE(5412),
    [sym_varchar] = STATE(5412),
    [sym_nchar] = STATE(5412),
    [sym_nvarchar] = STATE(5412),
    [sym_datetimeoffset] = STATE(5412),
    [sym_time] = STATE(5412),
    [sym_timestamp] = STATE(5412),
    [sym_enum] = STATE(5412),
    [sym_object_reference] = STATE(5383),
    [sym_identifier] = STATE(6934),
    [sym__identifier] = ACTIONS(129),
    [aux_sym_keyword_character_token1] = ACTIONS(133),
    [sym_keyword_unsigned] = ACTIONS(135),
    [sym_keyword_boolean] = ACTIONS(141),
    [sym_keyword_bit] = ACTIONS(143),
    [sym_keyword_binary] = ACTIONS(145),
    [sym_keyword_varbinary] = ACTIONS(147),
    [sym_keyword_image] = ACTIONS(141),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(149),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(149),
    [aux_sym_keyword_serial_token1] = ACTIONS(151),
    [aux_sym_keyword_serial_token2] = ACTIONS(151),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(153),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(153),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(155),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(155),
    [aux_sym_keyword_smallint_token1] = ACTIONS(157),
    [aux_sym_keyword_smallint_token2] = ACTIONS(157),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(159),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(159),
    [aux_sym_keyword_int_token1] = ACTIONS(161),
    [aux_sym_keyword_int_token2] = ACTIONS(161),
    [aux_sym_keyword_int_token3] = ACTIONS(161),
    [aux_sym_keyword_bigint_token1] = ACTIONS(163),
    [aux_sym_keyword_bigint_token2] = ACTIONS(163),
    [sym_keyword_decimal] = ACTIONS(165),
    [sym_keyword_numeric] = ACTIONS(167),
    [aux_sym_keyword_real_token1] = ACTIONS(169),
    [aux_sym_keyword_real_token2] = ACTIONS(169),
    [sym_keyword_float] = ACTIONS(171),
    [sym_keyword_double] = ACTIONS(173),
    [sym_keyword_inet] = ACTIONS(141),
    [sym_keyword_money] = ACTIONS(141),
    [sym_keyword_smallmoney] = ACTIONS(141),
    [aux_sym_keyword_char_token1] = ACTIONS(175),
    [sym_keyword_nchar] = ACTIONS(177),
    [aux_sym_keyword_varchar_token1] = ACTIONS(179),
    [sym_keyword_nvarchar] = ACTIONS(181),
    [sym_keyword_text] = ACTIONS(141),
    [sym_keyword_string] = ACTIONS(141),
    [sym_keyword_uuid] = ACTIONS(141),
    [sym_keyword_json] = ACTIONS(141),
    [sym_keyword_jsonb] = ACTIONS(141),
    [sym_keyword_xml] = ACTIONS(141),
    [sym_keyword_bytea] = ACTIONS(141),
    [sym_keyword_enum] = ACTIONS(183),
    [sym_keyword_date] = ACTIONS(141),
    [sym_keyword_datetime] = ACTIONS(141),
    [sym_keyword_datetime2] = ACTIONS(141),
    [sym_keyword_smalldatetime] = ACTIONS(141),
    [sym_keyword_datetimeoffset] = ACTIONS(185),
    [sym_keyword_time] = ACTIONS(187),
    [sym_keyword_timestamp] = ACTIONS(189),
    [sym_keyword_timestamptz] = ACTIONS(141),
    [sym_keyword_interval] = ACTIONS(141),
    [sym_keyword_geometry] = ACTIONS(141),
    [sym_keyword_geography] = ACTIONS(141),
    [sym_keyword_box2d] = ACTIONS(141),
    [sym_keyword_box3d] = ACTIONS(141),
    [sym_keyword_oid] = ACTIONS(141),
    [sym_keyword_name] = ACTIONS(141),
    [sym_keyword_regclass] = ACTIONS(141),
    [sym_keyword_regnamespace] = ACTIONS(141),
    [sym_keyword_regproc] = ACTIONS(141),
    [sym_keyword_regtype] = ACTIONS(141),
    [aux_sym_double_token1] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(193),
    [aux_sym_identifier_token1] = ACTIONS(193),
  },
  [20] = {
    [sym_keyword_smallserial] = STATE(7024),
    [sym_keyword_serial] = STATE(7024),
    [sym_keyword_bigserial] = STATE(7024),
    [sym_keyword_tinyint] = STATE(6975),
    [sym_keyword_smallint] = STATE(7003),
    [sym_keyword_mediumint] = STATE(7005),
    [sym_keyword_int] = STATE(7010),
    [sym_keyword_bigint] = STATE(7017),
    [sym_keyword_real] = STATE(7022),
    [sym_keyword_char] = STATE(7123),
    [sym_keyword_varchar] = STATE(7124),
    [sym__type] = STATE(7504),
    [sym_tinyint] = STATE(7024),
    [sym_smallint] = STATE(7024),
    [sym_mediumint] = STATE(7024),
    [sym_int] = STATE(7024),
    [sym_bigint] = STATE(7024),
    [sym_bit] = STATE(7024),
    [sym_binary] = STATE(7024),
    [sym_varbinary] = STATE(7024),
    [sym_float] = STATE(7024),
    [sym_double] = STATE(7024),
    [sym_decimal] = STATE(7024),
    [sym_numeric] = STATE(7024),
    [sym_char] = STATE(7024),
    [sym_varchar] = STATE(7024),
    [sym_nchar] = STATE(7024),
    [sym_nvarchar] = STATE(7024),
    [sym_datetimeoffset] = STATE(7024),
    [sym_time] = STATE(7024),
    [sym_timestamp] = STATE(7024),
    [sym_enum] = STATE(7024),
    [sym_object_reference] = STATE(6986),
    [sym_identifier] = STATE(3556),
    [sym__identifier] = ACTIONS(523),
    [aux_sym_keyword_character_token1] = ACTIONS(525),
    [sym_keyword_unsigned] = ACTIONS(527),
    [sym_keyword_boolean] = ACTIONS(529),
    [sym_keyword_bit] = ACTIONS(531),
    [sym_keyword_binary] = ACTIONS(533),
    [sym_keyword_varbinary] = ACTIONS(535),
    [sym_keyword_image] = ACTIONS(529),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(537),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(537),
    [aux_sym_keyword_serial_token1] = ACTIONS(539),
    [aux_sym_keyword_serial_token2] = ACTIONS(539),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(541),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(541),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(543),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(543),
    [aux_sym_keyword_smallint_token1] = ACTIONS(545),
    [aux_sym_keyword_smallint_token2] = ACTIONS(545),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(547),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(547),
    [aux_sym_keyword_int_token1] = ACTIONS(549),
    [aux_sym_keyword_int_token2] = ACTIONS(549),
    [aux_sym_keyword_int_token3] = ACTIONS(549),
    [aux_sym_keyword_bigint_token1] = ACTIONS(551),
    [aux_sym_keyword_bigint_token2] = ACTIONS(551),
    [sym_keyword_decimal] = ACTIONS(553),
    [sym_keyword_numeric] = ACTIONS(555),
    [aux_sym_keyword_real_token1] = ACTIONS(557),
    [aux_sym_keyword_real_token2] = ACTIONS(557),
    [sym_keyword_float] = ACTIONS(559),
    [sym_keyword_double] = ACTIONS(561),
    [sym_keyword_inet] = ACTIONS(529),
    [sym_keyword_money] = ACTIONS(529),
    [sym_keyword_smallmoney] = ACTIONS(529),
    [aux_sym_keyword_char_token1] = ACTIONS(563),
    [sym_keyword_nchar] = ACTIONS(565),
    [aux_sym_keyword_varchar_token1] = ACTIONS(567),
    [sym_keyword_nvarchar] = ACTIONS(569),
    [sym_keyword_text] = ACTIONS(529),
    [sym_keyword_string] = ACTIONS(529),
    [sym_keyword_uuid] = ACTIONS(529),
    [sym_keyword_json] = ACTIONS(529),
    [sym_keyword_jsonb] = ACTIONS(529),
    [sym_keyword_xml] = ACTIONS(529),
    [sym_keyword_bytea] = ACTIONS(529),
    [sym_keyword_enum] = ACTIONS(571),
    [sym_keyword_date] = ACTIONS(529),
    [sym_keyword_datetime] = ACTIONS(529),
    [sym_keyword_datetime2] = ACTIONS(529),
    [sym_keyword_smalldatetime] = ACTIONS(529),
    [sym_keyword_datetimeoffset] = ACTIONS(573),
    [sym_keyword_time] = ACTIONS(575),
    [sym_keyword_timestamp] = ACTIONS(577),
    [sym_keyword_timestamptz] = ACTIONS(529),
    [sym_keyword_interval] = ACTIONS(529),
    [sym_keyword_geometry] = ACTIONS(529),
    [sym_keyword_geography] = ACTIONS(529),
    [sym_keyword_box2d] = ACTIONS(529),
    [sym_keyword_box3d] = ACTIONS(529),
    [sym_keyword_oid] = ACTIONS(529),
    [sym_keyword_name] = ACTIONS(529),
    [sym_keyword_regclass] = ACTIONS(529),
    [sym_keyword_regnamespace] = ACTIONS(529),
    [sym_keyword_regproc] = ACTIONS(529),
    [sym_keyword_regtype] = ACTIONS(529),
    [aux_sym_double_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(581),
    [aux_sym_identifier_token1] = ACTIONS(581),
  },
  [21] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1840),
    [sym_keyword_smallint] = STATE(1848),
    [sym_keyword_mediumint] = STATE(1877),
    [sym_keyword_int] = STATE(1842),
    [sym_keyword_bigint] = STATE(1883),
    [sym_keyword_real] = STATE(1886),
    [sym_keyword_char] = STATE(2313),
    [sym_keyword_varchar] = STATE(2217),
    [sym__type] = STATE(9779),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7225),
    [sym_identifier] = STATE(4),
    [sym__identifier] = ACTIONS(53),
    [aux_sym_keyword_character_token1] = ACTIONS(57),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(63),
    [sym_keyword_bit] = ACTIONS(65),
    [sym_keyword_binary] = ACTIONS(67),
    [sym_keyword_varbinary] = ACTIONS(69),
    [sym_keyword_image] = ACTIONS(63),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(71),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(71),
    [aux_sym_keyword_serial_token1] = ACTIONS(73),
    [aux_sym_keyword_serial_token2] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(75),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(77),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(77),
    [aux_sym_keyword_smallint_token1] = ACTIONS(79),
    [aux_sym_keyword_smallint_token2] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(81),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token1] = ACTIONS(83),
    [aux_sym_keyword_int_token2] = ACTIONS(83),
    [aux_sym_keyword_int_token3] = ACTIONS(83),
    [aux_sym_keyword_bigint_token1] = ACTIONS(85),
    [aux_sym_keyword_bigint_token2] = ACTIONS(85),
    [sym_keyword_decimal] = ACTIONS(87),
    [sym_keyword_numeric] = ACTIONS(89),
    [aux_sym_keyword_real_token1] = ACTIONS(91),
    [aux_sym_keyword_real_token2] = ACTIONS(91),
    [sym_keyword_float] = ACTIONS(93),
    [sym_keyword_double] = ACTIONS(95),
    [sym_keyword_inet] = ACTIONS(63),
    [sym_keyword_money] = ACTIONS(63),
    [sym_keyword_smallmoney] = ACTIONS(63),
    [aux_sym_keyword_char_token1] = ACTIONS(97),
    [sym_keyword_nchar] = ACTIONS(99),
    [aux_sym_keyword_varchar_token1] = ACTIONS(101),
    [sym_keyword_nvarchar] = ACTIONS(103),
    [sym_keyword_text] = ACTIONS(63),
    [sym_keyword_string] = ACTIONS(63),
    [sym_keyword_uuid] = ACTIONS(63),
    [sym_keyword_json] = ACTIONS(63),
    [sym_keyword_jsonb] = ACTIONS(63),
    [sym_keyword_xml] = ACTIONS(63),
    [sym_keyword_bytea] = ACTIONS(63),
    [sym_keyword_enum] = ACTIONS(105),
    [sym_keyword_date] = ACTIONS(63),
    [sym_keyword_datetime] = ACTIONS(63),
    [sym_keyword_datetime2] = ACTIONS(63),
    [sym_keyword_smalldatetime] = ACTIONS(63),
    [sym_keyword_datetimeoffset] = ACTIONS(107),
    [sym_keyword_time] = ACTIONS(109),
    [sym_keyword_timestamp] = ACTIONS(111),
    [sym_keyword_timestamptz] = ACTIONS(63),
    [sym_keyword_interval] = ACTIONS(63),
    [sym_keyword_geometry] = ACTIONS(63),
    [sym_keyword_geography] = ACTIONS(63),
    [sym_keyword_box2d] = ACTIONS(63),
    [sym_keyword_box3d] = ACTIONS(63),
    [sym_keyword_oid] = ACTIONS(63),
    [sym_keyword_name] = ACTIONS(63),
    [sym_keyword_regclass] = ACTIONS(63),
    [sym_keyword_regnamespace] = ACTIONS(63),
    [sym_keyword_regproc] = ACTIONS(63),
    [sym_keyword_regtype] = ACTIONS(63),
    [aux_sym_double_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(117),
    [aux_sym_identifier_token1] = ACTIONS(117),
  },
  [22] = {
    [sym_keyword_smallserial] = STATE(4830),
    [sym_keyword_serial] = STATE(4830),
    [sym_keyword_bigserial] = STATE(4830),
    [sym_keyword_tinyint] = STATE(428),
    [sym_keyword_smallint] = STATE(427),
    [sym_keyword_mediumint] = STATE(418),
    [sym_keyword_int] = STATE(425),
    [sym_keyword_bigint] = STATE(424),
    [sym_keyword_real] = STATE(423),
    [sym_keyword_char] = STATE(670),
    [sym_keyword_varchar] = STATE(672),
    [sym__type] = STATE(4842),
    [sym_tinyint] = STATE(4830),
    [sym_smallint] = STATE(4830),
    [sym_mediumint] = STATE(4830),
    [sym_int] = STATE(4830),
    [sym_bigint] = STATE(4830),
    [sym_bit] = STATE(4830),
    [sym_binary] = STATE(4830),
    [sym_varbinary] = STATE(4830),
    [sym_float] = STATE(4830),
    [sym_double] = STATE(4830),
    [sym_decimal] = STATE(4830),
    [sym_numeric] = STATE(4830),
    [sym_char] = STATE(4830),
    [sym_varchar] = STATE(4830),
    [sym_nchar] = STATE(4830),
    [sym_nvarchar] = STATE(4830),
    [sym_datetimeoffset] = STATE(4830),
    [sym_time] = STATE(4830),
    [sym_timestamp] = STATE(4830),
    [sym_enum] = STATE(4830),
    [sym_object_reference] = STATE(4828),
    [sym_identifier] = STATE(5037),
    [sym__identifier] = ACTIONS(583),
    [aux_sym_keyword_character_token1] = ACTIONS(585),
    [sym_keyword_unsigned] = ACTIONS(587),
    [sym_keyword_boolean] = ACTIONS(589),
    [sym_keyword_bit] = ACTIONS(591),
    [sym_keyword_binary] = ACTIONS(593),
    [sym_keyword_varbinary] = ACTIONS(595),
    [sym_keyword_image] = ACTIONS(589),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(597),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(597),
    [aux_sym_keyword_serial_token1] = ACTIONS(599),
    [aux_sym_keyword_serial_token2] = ACTIONS(599),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(601),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(601),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(603),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(603),
    [aux_sym_keyword_smallint_token1] = ACTIONS(605),
    [aux_sym_keyword_smallint_token2] = ACTIONS(605),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(607),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(607),
    [aux_sym_keyword_int_token1] = ACTIONS(609),
    [aux_sym_keyword_int_token2] = ACTIONS(609),
    [aux_sym_keyword_int_token3] = ACTIONS(609),
    [aux_sym_keyword_bigint_token1] = ACTIONS(611),
    [aux_sym_keyword_bigint_token2] = ACTIONS(611),
    [sym_keyword_decimal] = ACTIONS(613),
    [sym_keyword_numeric] = ACTIONS(615),
    [aux_sym_keyword_real_token1] = ACTIONS(617),
    [aux_sym_keyword_real_token2] = ACTIONS(617),
    [sym_keyword_float] = ACTIONS(619),
    [sym_keyword_double] = ACTIONS(621),
    [sym_keyword_inet] = ACTIONS(589),
    [sym_keyword_money] = ACTIONS(589),
    [sym_keyword_smallmoney] = ACTIONS(589),
    [aux_sym_keyword_char_token1] = ACTIONS(623),
    [sym_keyword_nchar] = ACTIONS(625),
    [aux_sym_keyword_varchar_token1] = ACTIONS(627),
    [sym_keyword_nvarchar] = ACTIONS(629),
    [sym_keyword_text] = ACTIONS(589),
    [sym_keyword_string] = ACTIONS(589),
    [sym_keyword_uuid] = ACTIONS(589),
    [sym_keyword_json] = ACTIONS(589),
    [sym_keyword_jsonb] = ACTIONS(589),
    [sym_keyword_xml] = ACTIONS(589),
    [sym_keyword_bytea] = ACTIONS(589),
    [sym_keyword_enum] = ACTIONS(631),
    [sym_keyword_date] = ACTIONS(589),
    [sym_keyword_datetime] = ACTIONS(589),
    [sym_keyword_datetime2] = ACTIONS(589),
    [sym_keyword_smalldatetime] = ACTIONS(589),
    [sym_keyword_datetimeoffset] = ACTIONS(633),
    [sym_keyword_time] = ACTIONS(635),
    [sym_keyword_timestamp] = ACTIONS(637),
    [sym_keyword_timestamptz] = ACTIONS(589),
    [sym_keyword_interval] = ACTIONS(589),
    [sym_keyword_geometry] = ACTIONS(589),
    [sym_keyword_geography] = ACTIONS(589),
    [sym_keyword_box2d] = ACTIONS(589),
    [sym_keyword_box3d] = ACTIONS(589),
    [sym_keyword_oid] = ACTIONS(589),
    [sym_keyword_name] = ACTIONS(589),
    [sym_keyword_regclass] = ACTIONS(589),
    [sym_keyword_regnamespace] = ACTIONS(589),
    [sym_keyword_regproc] = ACTIONS(589),
    [sym_keyword_regtype] = ACTIONS(589),
    [aux_sym_double_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(641),
    [aux_sym_identifier_token1] = ACTIONS(641),
  },
  [23] = {
    [sym_keyword_smallserial] = STATE(2651),
    [sym_keyword_serial] = STATE(2651),
    [sym_keyword_bigserial] = STATE(2651),
    [sym_keyword_tinyint] = STATE(2696),
    [sym_keyword_smallint] = STATE(2695),
    [sym_keyword_mediumint] = STATE(2693),
    [sym_keyword_int] = STATE(2692),
    [sym_keyword_bigint] = STATE(2689),
    [sym_keyword_real] = STATE(2688),
    [sym_keyword_char] = STATE(2919),
    [sym_keyword_varchar] = STATE(2920),
    [sym__type] = STATE(3480),
    [sym_tinyint] = STATE(2651),
    [sym_smallint] = STATE(2651),
    [sym_mediumint] = STATE(2651),
    [sym_int] = STATE(2651),
    [sym_bigint] = STATE(2651),
    [sym_bit] = STATE(2651),
    [sym_binary] = STATE(2651),
    [sym_varbinary] = STATE(2651),
    [sym_float] = STATE(2651),
    [sym_double] = STATE(2651),
    [sym_decimal] = STATE(2651),
    [sym_numeric] = STATE(2651),
    [sym_char] = STATE(2651),
    [sym_varchar] = STATE(2651),
    [sym_nchar] = STATE(2651),
    [sym_nvarchar] = STATE(2651),
    [sym_datetimeoffset] = STATE(2651),
    [sym_time] = STATE(2651),
    [sym_timestamp] = STATE(2651),
    [sym_enum] = STATE(2651),
    [sym_object_reference] = STATE(2637),
    [sym_identifier] = STATE(5463),
    [sym__identifier] = ACTIONS(643),
    [aux_sym_keyword_character_token1] = ACTIONS(281),
    [sym_keyword_unsigned] = ACTIONS(283),
    [sym_keyword_boolean] = ACTIONS(285),
    [sym_keyword_bit] = ACTIONS(287),
    [sym_keyword_binary] = ACTIONS(289),
    [sym_keyword_varbinary] = ACTIONS(291),
    [sym_keyword_image] = ACTIONS(285),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(293),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(293),
    [aux_sym_keyword_serial_token1] = ACTIONS(295),
    [aux_sym_keyword_serial_token2] = ACTIONS(295),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(297),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(297),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(299),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(299),
    [aux_sym_keyword_smallint_token1] = ACTIONS(301),
    [aux_sym_keyword_smallint_token2] = ACTIONS(301),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(303),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(303),
    [aux_sym_keyword_int_token1] = ACTIONS(305),
    [aux_sym_keyword_int_token2] = ACTIONS(305),
    [aux_sym_keyword_int_token3] = ACTIONS(305),
    [aux_sym_keyword_bigint_token1] = ACTIONS(307),
    [aux_sym_keyword_bigint_token2] = ACTIONS(307),
    [sym_keyword_decimal] = ACTIONS(309),
    [sym_keyword_numeric] = ACTIONS(311),
    [aux_sym_keyword_real_token1] = ACTIONS(313),
    [aux_sym_keyword_real_token2] = ACTIONS(313),
    [sym_keyword_float] = ACTIONS(315),
    [sym_keyword_double] = ACTIONS(317),
    [sym_keyword_inet] = ACTIONS(285),
    [sym_keyword_money] = ACTIONS(285),
    [sym_keyword_smallmoney] = ACTIONS(285),
    [aux_sym_keyword_char_token1] = ACTIONS(319),
    [sym_keyword_nchar] = ACTIONS(321),
    [aux_sym_keyword_varchar_token1] = ACTIONS(323),
    [sym_keyword_nvarchar] = ACTIONS(325),
    [sym_keyword_text] = ACTIONS(285),
    [sym_keyword_string] = ACTIONS(285),
    [sym_keyword_uuid] = ACTIONS(285),
    [sym_keyword_json] = ACTIONS(285),
    [sym_keyword_jsonb] = ACTIONS(285),
    [sym_keyword_xml] = ACTIONS(285),
    [sym_keyword_bytea] = ACTIONS(285),
    [sym_keyword_enum] = ACTIONS(327),
    [sym_keyword_date] = ACTIONS(285),
    [sym_keyword_datetime] = ACTIONS(285),
    [sym_keyword_datetime2] = ACTIONS(285),
    [sym_keyword_smalldatetime] = ACTIONS(285),
    [sym_keyword_datetimeoffset] = ACTIONS(329),
    [sym_keyword_time] = ACTIONS(331),
    [sym_keyword_timestamp] = ACTIONS(333),
    [sym_keyword_timestamptz] = ACTIONS(285),
    [sym_keyword_interval] = ACTIONS(285),
    [sym_keyword_geometry] = ACTIONS(285),
    [sym_keyword_geography] = ACTIONS(285),
    [sym_keyword_box2d] = ACTIONS(285),
    [sym_keyword_box3d] = ACTIONS(285),
    [sym_keyword_oid] = ACTIONS(285),
    [sym_keyword_name] = ACTIONS(285),
    [sym_keyword_regclass] = ACTIONS(285),
    [sym_keyword_regnamespace] = ACTIONS(285),
    [sym_keyword_regproc] = ACTIONS(285),
    [sym_keyword_regtype] = ACTIONS(285),
    [aux_sym_double_token1] = ACTIONS(335),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(645),
    [aux_sym_identifier_token1] = ACTIONS(645),
  },
  [24] = {
    [sym_keyword_smallserial] = STATE(6669),
    [sym_keyword_serial] = STATE(6669),
    [sym_keyword_bigserial] = STATE(6669),
    [sym_keyword_tinyint] = STATE(428),
    [sym_keyword_smallint] = STATE(427),
    [sym_keyword_mediumint] = STATE(418),
    [sym_keyword_int] = STATE(425),
    [sym_keyword_bigint] = STATE(424),
    [sym_keyword_real] = STATE(423),
    [sym_keyword_char] = STATE(670),
    [sym_keyword_varchar] = STATE(672),
    [sym__type] = STATE(6558),
    [sym_tinyint] = STATE(6669),
    [sym_smallint] = STATE(6669),
    [sym_mediumint] = STATE(6669),
    [sym_int] = STATE(6669),
    [sym_bigint] = STATE(6669),
    [sym_bit] = STATE(6669),
    [sym_binary] = STATE(6669),
    [sym_varbinary] = STATE(6669),
    [sym_float] = STATE(6669),
    [sym_double] = STATE(6669),
    [sym_decimal] = STATE(6669),
    [sym_numeric] = STATE(6669),
    [sym_char] = STATE(6669),
    [sym_varchar] = STATE(6669),
    [sym_nchar] = STATE(6669),
    [sym_nvarchar] = STATE(6669),
    [sym_datetimeoffset] = STATE(6669),
    [sym_time] = STATE(6669),
    [sym_timestamp] = STATE(6669),
    [sym_enum] = STATE(6669),
    [sym_object_reference] = STATE(6657),
    [sym_identifier] = STATE(6710),
    [sym__identifier] = ACTIONS(647),
    [aux_sym_keyword_character_token1] = ACTIONS(585),
    [sym_keyword_unsigned] = ACTIONS(587),
    [sym_keyword_boolean] = ACTIONS(649),
    [sym_keyword_bit] = ACTIONS(591),
    [sym_keyword_binary] = ACTIONS(593),
    [sym_keyword_varbinary] = ACTIONS(595),
    [sym_keyword_image] = ACTIONS(649),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(597),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(597),
    [aux_sym_keyword_serial_token1] = ACTIONS(599),
    [aux_sym_keyword_serial_token2] = ACTIONS(599),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(601),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(601),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(603),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(603),
    [aux_sym_keyword_smallint_token1] = ACTIONS(605),
    [aux_sym_keyword_smallint_token2] = ACTIONS(605),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(607),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(607),
    [aux_sym_keyword_int_token1] = ACTIONS(609),
    [aux_sym_keyword_int_token2] = ACTIONS(609),
    [aux_sym_keyword_int_token3] = ACTIONS(609),
    [aux_sym_keyword_bigint_token1] = ACTIONS(611),
    [aux_sym_keyword_bigint_token2] = ACTIONS(611),
    [sym_keyword_decimal] = ACTIONS(613),
    [sym_keyword_numeric] = ACTIONS(615),
    [aux_sym_keyword_real_token1] = ACTIONS(617),
    [aux_sym_keyword_real_token2] = ACTIONS(617),
    [sym_keyword_float] = ACTIONS(619),
    [sym_keyword_double] = ACTIONS(621),
    [sym_keyword_inet] = ACTIONS(649),
    [sym_keyword_money] = ACTIONS(649),
    [sym_keyword_smallmoney] = ACTIONS(649),
    [aux_sym_keyword_char_token1] = ACTIONS(623),
    [sym_keyword_nchar] = ACTIONS(625),
    [aux_sym_keyword_varchar_token1] = ACTIONS(627),
    [sym_keyword_nvarchar] = ACTIONS(629),
    [sym_keyword_text] = ACTIONS(649),
    [sym_keyword_string] = ACTIONS(649),
    [sym_keyword_uuid] = ACTIONS(649),
    [sym_keyword_json] = ACTIONS(649),
    [sym_keyword_jsonb] = ACTIONS(649),
    [sym_keyword_xml] = ACTIONS(649),
    [sym_keyword_bytea] = ACTIONS(649),
    [sym_keyword_enum] = ACTIONS(631),
    [sym_keyword_date] = ACTIONS(649),
    [sym_keyword_datetime] = ACTIONS(649),
    [sym_keyword_datetime2] = ACTIONS(649),
    [sym_keyword_smalldatetime] = ACTIONS(649),
    [sym_keyword_datetimeoffset] = ACTIONS(633),
    [sym_keyword_time] = ACTIONS(635),
    [sym_keyword_timestamp] = ACTIONS(637),
    [sym_keyword_timestamptz] = ACTIONS(649),
    [sym_keyword_interval] = ACTIONS(649),
    [sym_keyword_geometry] = ACTIONS(649),
    [sym_keyword_geography] = ACTIONS(649),
    [sym_keyword_box2d] = ACTIONS(649),
    [sym_keyword_box3d] = ACTIONS(649),
    [sym_keyword_oid] = ACTIONS(649),
    [sym_keyword_name] = ACTIONS(649),
    [sym_keyword_regclass] = ACTIONS(649),
    [sym_keyword_regnamespace] = ACTIONS(649),
    [sym_keyword_regproc] = ACTIONS(649),
    [sym_keyword_regtype] = ACTIONS(649),
    [aux_sym_double_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(651),
    [aux_sym_identifier_token1] = ACTIONS(651),
  },
  [25] = {
    [sym_keyword_smallserial] = STATE(5496),
    [sym_keyword_serial] = STATE(5496),
    [sym_keyword_bigserial] = STATE(5496),
    [sym_keyword_tinyint] = STATE(5438),
    [sym_keyword_smallint] = STATE(5439),
    [sym_keyword_mediumint] = STATE(5440),
    [sym_keyword_int] = STATE(5441),
    [sym_keyword_bigint] = STATE(5442),
    [sym_keyword_real] = STATE(5443),
    [sym_keyword_char] = STATE(6029),
    [sym_keyword_varchar] = STATE(6028),
    [sym__type] = STATE(6403),
    [sym_tinyint] = STATE(5496),
    [sym_smallint] = STATE(5496),
    [sym_mediumint] = STATE(5496),
    [sym_int] = STATE(5496),
    [sym_bigint] = STATE(5496),
    [sym_bit] = STATE(5496),
    [sym_binary] = STATE(5496),
    [sym_varbinary] = STATE(5496),
    [sym_float] = STATE(5496),
    [sym_double] = STATE(5496),
    [sym_decimal] = STATE(5496),
    [sym_numeric] = STATE(5496),
    [sym_char] = STATE(5496),
    [sym_varchar] = STATE(5496),
    [sym_nchar] = STATE(5496),
    [sym_nvarchar] = STATE(5496),
    [sym_datetimeoffset] = STATE(5496),
    [sym_time] = STATE(5496),
    [sym_timestamp] = STATE(5496),
    [sym_enum] = STATE(5496),
    [sym_object_reference] = STATE(5488),
    [sym_identifier] = STATE(5809),
    [sym__identifier] = ACTIONS(653),
    [aux_sym_keyword_character_token1] = ACTIONS(655),
    [sym_keyword_unsigned] = ACTIONS(657),
    [sym_keyword_boolean] = ACTIONS(659),
    [sym_keyword_bit] = ACTIONS(661),
    [sym_keyword_binary] = ACTIONS(663),
    [sym_keyword_varbinary] = ACTIONS(665),
    [sym_keyword_image] = ACTIONS(659),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(667),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(667),
    [aux_sym_keyword_serial_token1] = ACTIONS(669),
    [aux_sym_keyword_serial_token2] = ACTIONS(669),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(671),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(671),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(673),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(673),
    [aux_sym_keyword_smallint_token1] = ACTIONS(675),
    [aux_sym_keyword_smallint_token2] = ACTIONS(675),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(677),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(677),
    [aux_sym_keyword_int_token1] = ACTIONS(679),
    [aux_sym_keyword_int_token2] = ACTIONS(679),
    [aux_sym_keyword_int_token3] = ACTIONS(679),
    [aux_sym_keyword_bigint_token1] = ACTIONS(681),
    [aux_sym_keyword_bigint_token2] = ACTIONS(681),
    [sym_keyword_decimal] = ACTIONS(683),
    [sym_keyword_numeric] = ACTIONS(685),
    [aux_sym_keyword_real_token1] = ACTIONS(687),
    [aux_sym_keyword_real_token2] = ACTIONS(687),
    [sym_keyword_float] = ACTIONS(689),
    [sym_keyword_double] = ACTIONS(691),
    [sym_keyword_inet] = ACTIONS(659),
    [sym_keyword_money] = ACTIONS(659),
    [sym_keyword_smallmoney] = ACTIONS(659),
    [aux_sym_keyword_char_token1] = ACTIONS(693),
    [sym_keyword_nchar] = ACTIONS(695),
    [aux_sym_keyword_varchar_token1] = ACTIONS(697),
    [sym_keyword_nvarchar] = ACTIONS(699),
    [sym_keyword_text] = ACTIONS(659),
    [sym_keyword_string] = ACTIONS(659),
    [sym_keyword_uuid] = ACTIONS(659),
    [sym_keyword_json] = ACTIONS(659),
    [sym_keyword_jsonb] = ACTIONS(659),
    [sym_keyword_xml] = ACTIONS(659),
    [sym_keyword_bytea] = ACTIONS(659),
    [sym_keyword_enum] = ACTIONS(701),
    [sym_keyword_date] = ACTIONS(659),
    [sym_keyword_datetime] = ACTIONS(659),
    [sym_keyword_datetime2] = ACTIONS(659),
    [sym_keyword_smalldatetime] = ACTIONS(659),
    [sym_keyword_datetimeoffset] = ACTIONS(703),
    [sym_keyword_time] = ACTIONS(705),
    [sym_keyword_timestamp] = ACTIONS(707),
    [sym_keyword_timestamptz] = ACTIONS(659),
    [sym_keyword_interval] = ACTIONS(659),
    [sym_keyword_geometry] = ACTIONS(659),
    [sym_keyword_geography] = ACTIONS(659),
    [sym_keyword_box2d] = ACTIONS(659),
    [sym_keyword_box3d] = ACTIONS(659),
    [sym_keyword_oid] = ACTIONS(659),
    [sym_keyword_name] = ACTIONS(659),
    [sym_keyword_regclass] = ACTIONS(659),
    [sym_keyword_regnamespace] = ACTIONS(659),
    [sym_keyword_regproc] = ACTIONS(659),
    [sym_keyword_regtype] = ACTIONS(659),
    [aux_sym_double_token1] = ACTIONS(709),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(711),
    [aux_sym_identifier_token1] = ACTIONS(711),
  },
  [26] = {
    [sym_keyword_smallserial] = STATE(7024),
    [sym_keyword_serial] = STATE(7024),
    [sym_keyword_bigserial] = STATE(7024),
    [sym_keyword_tinyint] = STATE(6975),
    [sym_keyword_smallint] = STATE(7003),
    [sym_keyword_mediumint] = STATE(7005),
    [sym_keyword_int] = STATE(7010),
    [sym_keyword_bigint] = STATE(7017),
    [sym_keyword_real] = STATE(7022),
    [sym_keyword_char] = STATE(7123),
    [sym_keyword_varchar] = STATE(7124),
    [sym__type] = STATE(7560),
    [sym_tinyint] = STATE(7024),
    [sym_smallint] = STATE(7024),
    [sym_mediumint] = STATE(7024),
    [sym_int] = STATE(7024),
    [sym_bigint] = STATE(7024),
    [sym_bit] = STATE(7024),
    [sym_binary] = STATE(7024),
    [sym_varbinary] = STATE(7024),
    [sym_float] = STATE(7024),
    [sym_double] = STATE(7024),
    [sym_decimal] = STATE(7024),
    [sym_numeric] = STATE(7024),
    [sym_char] = STATE(7024),
    [sym_varchar] = STATE(7024),
    [sym_nchar] = STATE(7024),
    [sym_nvarchar] = STATE(7024),
    [sym_datetimeoffset] = STATE(7024),
    [sym_time] = STATE(7024),
    [sym_timestamp] = STATE(7024),
    [sym_enum] = STATE(7024),
    [sym_object_reference] = STATE(6986),
    [sym_identifier] = STATE(3556),
    [sym__identifier] = ACTIONS(523),
    [aux_sym_keyword_character_token1] = ACTIONS(525),
    [sym_keyword_unsigned] = ACTIONS(527),
    [sym_keyword_boolean] = ACTIONS(529),
    [sym_keyword_bit] = ACTIONS(531),
    [sym_keyword_binary] = ACTIONS(533),
    [sym_keyword_varbinary] = ACTIONS(535),
    [sym_keyword_image] = ACTIONS(529),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(537),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(537),
    [aux_sym_keyword_serial_token1] = ACTIONS(539),
    [aux_sym_keyword_serial_token2] = ACTIONS(539),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(541),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(541),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(543),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(543),
    [aux_sym_keyword_smallint_token1] = ACTIONS(545),
    [aux_sym_keyword_smallint_token2] = ACTIONS(545),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(547),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(547),
    [aux_sym_keyword_int_token1] = ACTIONS(549),
    [aux_sym_keyword_int_token2] = ACTIONS(549),
    [aux_sym_keyword_int_token3] = ACTIONS(549),
    [aux_sym_keyword_bigint_token1] = ACTIONS(551),
    [aux_sym_keyword_bigint_token2] = ACTIONS(551),
    [sym_keyword_decimal] = ACTIONS(553),
    [sym_keyword_numeric] = ACTIONS(555),
    [aux_sym_keyword_real_token1] = ACTIONS(557),
    [aux_sym_keyword_real_token2] = ACTIONS(557),
    [sym_keyword_float] = ACTIONS(559),
    [sym_keyword_double] = ACTIONS(561),
    [sym_keyword_inet] = ACTIONS(529),
    [sym_keyword_money] = ACTIONS(529),
    [sym_keyword_smallmoney] = ACTIONS(529),
    [aux_sym_keyword_char_token1] = ACTIONS(563),
    [sym_keyword_nchar] = ACTIONS(565),
    [aux_sym_keyword_varchar_token1] = ACTIONS(567),
    [sym_keyword_nvarchar] = ACTIONS(569),
    [sym_keyword_text] = ACTIONS(529),
    [sym_keyword_string] = ACTIONS(529),
    [sym_keyword_uuid] = ACTIONS(529),
    [sym_keyword_json] = ACTIONS(529),
    [sym_keyword_jsonb] = ACTIONS(529),
    [sym_keyword_xml] = ACTIONS(529),
    [sym_keyword_bytea] = ACTIONS(529),
    [sym_keyword_enum] = ACTIONS(571),
    [sym_keyword_date] = ACTIONS(529),
    [sym_keyword_datetime] = ACTIONS(529),
    [sym_keyword_datetime2] = ACTIONS(529),
    [sym_keyword_smalldatetime] = ACTIONS(529),
    [sym_keyword_datetimeoffset] = ACTIONS(573),
    [sym_keyword_time] = ACTIONS(575),
    [sym_keyword_timestamp] = ACTIONS(577),
    [sym_keyword_timestamptz] = ACTIONS(529),
    [sym_keyword_interval] = ACTIONS(529),
    [sym_keyword_geometry] = ACTIONS(529),
    [sym_keyword_geography] = ACTIONS(529),
    [sym_keyword_box2d] = ACTIONS(529),
    [sym_keyword_box3d] = ACTIONS(529),
    [sym_keyword_oid] = ACTIONS(529),
    [sym_keyword_name] = ACTIONS(529),
    [sym_keyword_regclass] = ACTIONS(529),
    [sym_keyword_regnamespace] = ACTIONS(529),
    [sym_keyword_regproc] = ACTIONS(529),
    [sym_keyword_regtype] = ACTIONS(529),
    [aux_sym_double_token1] = ACTIONS(579),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(581),
    [aux_sym_identifier_token1] = ACTIONS(581),
  },
  [27] = {
    [sym_keyword_smallserial] = STATE(1055),
    [sym_keyword_serial] = STATE(1055),
    [sym_keyword_bigserial] = STATE(1055),
    [sym_keyword_tinyint] = STATE(1237),
    [sym_keyword_smallint] = STATE(1233),
    [sym_keyword_mediumint] = STATE(1231),
    [sym_keyword_int] = STATE(1229),
    [sym_keyword_bigint] = STATE(1227),
    [sym_keyword_real] = STATE(1226),
    [sym_keyword_char] = STATE(2003),
    [sym_keyword_varchar] = STATE(2002),
    [sym__type] = STATE(2604),
    [sym_tinyint] = STATE(1055),
    [sym_smallint] = STATE(1055),
    [sym_mediumint] = STATE(1055),
    [sym_int] = STATE(1055),
    [sym_bigint] = STATE(1055),
    [sym_bit] = STATE(1055),
    [sym_binary] = STATE(1055),
    [sym_varbinary] = STATE(1055),
    [sym_float] = STATE(1055),
    [sym_double] = STATE(1055),
    [sym_decimal] = STATE(1055),
    [sym_numeric] = STATE(1055),
    [sym_char] = STATE(1055),
    [sym_varchar] = STATE(1055),
    [sym_nchar] = STATE(1055),
    [sym_nvarchar] = STATE(1055),
    [sym_datetimeoffset] = STATE(1055),
    [sym_time] = STATE(1055),
    [sym_timestamp] = STATE(1055),
    [sym_enum] = STATE(1055),
    [sym_object_reference] = STATE(1316),
    [sym_identifier] = STATE(2090),
    [sym__identifier] = ACTIONS(713),
    [aux_sym_keyword_character_token1] = ACTIONS(715),
    [sym_keyword_unsigned] = ACTIONS(717),
    [sym_keyword_boolean] = ACTIONS(719),
    [sym_keyword_bit] = ACTIONS(721),
    [sym_keyword_binary] = ACTIONS(723),
    [sym_keyword_varbinary] = ACTIONS(725),
    [sym_keyword_image] = ACTIONS(719),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(727),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(727),
    [aux_sym_keyword_serial_token1] = ACTIONS(729),
    [aux_sym_keyword_serial_token2] = ACTIONS(729),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(731),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(731),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(733),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(733),
    [aux_sym_keyword_smallint_token1] = ACTIONS(735),
    [aux_sym_keyword_smallint_token2] = ACTIONS(735),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(737),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(737),
    [aux_sym_keyword_int_token1] = ACTIONS(739),
    [aux_sym_keyword_int_token2] = ACTIONS(739),
    [aux_sym_keyword_int_token3] = ACTIONS(739),
    [aux_sym_keyword_bigint_token1] = ACTIONS(741),
    [aux_sym_keyword_bigint_token2] = ACTIONS(741),
    [sym_keyword_decimal] = ACTIONS(743),
    [sym_keyword_numeric] = ACTIONS(745),
    [aux_sym_keyword_real_token1] = ACTIONS(747),
    [aux_sym_keyword_real_token2] = ACTIONS(747),
    [sym_keyword_float] = ACTIONS(749),
    [sym_keyword_double] = ACTIONS(751),
    [sym_keyword_inet] = ACTIONS(719),
    [sym_keyword_money] = ACTIONS(719),
    [sym_keyword_smallmoney] = ACTIONS(719),
    [aux_sym_keyword_char_token1] = ACTIONS(753),
    [sym_keyword_nchar] = ACTIONS(755),
    [aux_sym_keyword_varchar_token1] = ACTIONS(757),
    [sym_keyword_nvarchar] = ACTIONS(759),
    [sym_keyword_text] = ACTIONS(719),
    [sym_keyword_string] = ACTIONS(719),
    [sym_keyword_uuid] = ACTIONS(719),
    [sym_keyword_json] = ACTIONS(719),
    [sym_keyword_jsonb] = ACTIONS(719),
    [sym_keyword_xml] = ACTIONS(719),
    [sym_keyword_bytea] = ACTIONS(719),
    [sym_keyword_enum] = ACTIONS(761),
    [sym_keyword_date] = ACTIONS(719),
    [sym_keyword_datetime] = ACTIONS(719),
    [sym_keyword_datetime2] = ACTIONS(719),
    [sym_keyword_smalldatetime] = ACTIONS(719),
    [sym_keyword_datetimeoffset] = ACTIONS(763),
    [sym_keyword_time] = ACTIONS(765),
    [sym_keyword_timestamp] = ACTIONS(767),
    [sym_keyword_timestamptz] = ACTIONS(719),
    [sym_keyword_interval] = ACTIONS(719),
    [sym_keyword_geometry] = ACTIONS(719),
    [sym_keyword_geography] = ACTIONS(719),
    [sym_keyword_box2d] = ACTIONS(719),
    [sym_keyword_box3d] = ACTIONS(719),
    [sym_keyword_oid] = ACTIONS(719),
    [sym_keyword_name] = ACTIONS(719),
    [sym_keyword_regclass] = ACTIONS(719),
    [sym_keyword_regnamespace] = ACTIONS(719),
    [sym_keyword_regproc] = ACTIONS(719),
    [sym_keyword_regtype] = ACTIONS(719),
    [aux_sym_double_token1] = ACTIONS(769),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(771),
    [aux_sym_identifier_token1] = ACTIONS(771),
  },
  [28] = {
    [sym_keyword_smallserial] = STATE(4949),
    [sym_keyword_serial] = STATE(4949),
    [sym_keyword_bigserial] = STATE(4949),
    [sym_keyword_tinyint] = STATE(4873),
    [sym_keyword_smallint] = STATE(4869),
    [sym_keyword_mediumint] = STATE(4879),
    [sym_keyword_int] = STATE(4878),
    [sym_keyword_bigint] = STATE(4877),
    [sym_keyword_real] = STATE(4875),
    [sym_keyword_char] = STATE(5155),
    [sym_keyword_varchar] = STATE(5156),
    [sym__type] = STATE(4842),
    [sym_tinyint] = STATE(4949),
    [sym_smallint] = STATE(4949),
    [sym_mediumint] = STATE(4949),
    [sym_int] = STATE(4949),
    [sym_bigint] = STATE(4949),
    [sym_bit] = STATE(4949),
    [sym_binary] = STATE(4949),
    [sym_varbinary] = STATE(4949),
    [sym_float] = STATE(4949),
    [sym_double] = STATE(4949),
    [sym_decimal] = STATE(4949),
    [sym_numeric] = STATE(4949),
    [sym_char] = STATE(4949),
    [sym_varchar] = STATE(4949),
    [sym_nchar] = STATE(4949),
    [sym_nvarchar] = STATE(4949),
    [sym_datetimeoffset] = STATE(4949),
    [sym_time] = STATE(4949),
    [sym_timestamp] = STATE(4949),
    [sym_enum] = STATE(4949),
    [sym_object_reference] = STATE(4952),
    [sym_identifier] = STATE(5470),
    [sym__identifier] = ACTIONS(773),
    [aux_sym_keyword_character_token1] = ACTIONS(775),
    [sym_keyword_unsigned] = ACTIONS(777),
    [sym_keyword_boolean] = ACTIONS(779),
    [sym_keyword_bit] = ACTIONS(781),
    [sym_keyword_binary] = ACTIONS(783),
    [sym_keyword_varbinary] = ACTIONS(785),
    [sym_keyword_image] = ACTIONS(779),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(787),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(787),
    [aux_sym_keyword_serial_token1] = ACTIONS(789),
    [aux_sym_keyword_serial_token2] = ACTIONS(789),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(791),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(791),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(793),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(793),
    [aux_sym_keyword_smallint_token1] = ACTIONS(795),
    [aux_sym_keyword_smallint_token2] = ACTIONS(795),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(797),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(797),
    [aux_sym_keyword_int_token1] = ACTIONS(799),
    [aux_sym_keyword_int_token2] = ACTIONS(799),
    [aux_sym_keyword_int_token3] = ACTIONS(799),
    [aux_sym_keyword_bigint_token1] = ACTIONS(801),
    [aux_sym_keyword_bigint_token2] = ACTIONS(801),
    [sym_keyword_decimal] = ACTIONS(803),
    [sym_keyword_numeric] = ACTIONS(805),
    [aux_sym_keyword_real_token1] = ACTIONS(807),
    [aux_sym_keyword_real_token2] = ACTIONS(807),
    [sym_keyword_float] = ACTIONS(809),
    [sym_keyword_double] = ACTIONS(811),
    [sym_keyword_inet] = ACTIONS(779),
    [sym_keyword_money] = ACTIONS(779),
    [sym_keyword_smallmoney] = ACTIONS(779),
    [aux_sym_keyword_char_token1] = ACTIONS(813),
    [sym_keyword_nchar] = ACTIONS(815),
    [aux_sym_keyword_varchar_token1] = ACTIONS(817),
    [sym_keyword_nvarchar] = ACTIONS(819),
    [sym_keyword_text] = ACTIONS(779),
    [sym_keyword_string] = ACTIONS(779),
    [sym_keyword_uuid] = ACTIONS(779),
    [sym_keyword_json] = ACTIONS(779),
    [sym_keyword_jsonb] = ACTIONS(779),
    [sym_keyword_xml] = ACTIONS(779),
    [sym_keyword_bytea] = ACTIONS(779),
    [sym_keyword_enum] = ACTIONS(821),
    [sym_keyword_date] = ACTIONS(779),
    [sym_keyword_datetime] = ACTIONS(779),
    [sym_keyword_datetime2] = ACTIONS(779),
    [sym_keyword_smalldatetime] = ACTIONS(779),
    [sym_keyword_datetimeoffset] = ACTIONS(823),
    [sym_keyword_time] = ACTIONS(825),
    [sym_keyword_timestamp] = ACTIONS(827),
    [sym_keyword_timestamptz] = ACTIONS(779),
    [sym_keyword_interval] = ACTIONS(779),
    [sym_keyword_geometry] = ACTIONS(779),
    [sym_keyword_geography] = ACTIONS(779),
    [sym_keyword_box2d] = ACTIONS(779),
    [sym_keyword_box3d] = ACTIONS(779),
    [sym_keyword_oid] = ACTIONS(779),
    [sym_keyword_name] = ACTIONS(779),
    [sym_keyword_regclass] = ACTIONS(779),
    [sym_keyword_regnamespace] = ACTIONS(779),
    [sym_keyword_regproc] = ACTIONS(779),
    [sym_keyword_regtype] = ACTIONS(779),
    [aux_sym_double_token1] = ACTIONS(829),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(831),
    [aux_sym_identifier_token1] = ACTIONS(831),
  },
  [29] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1840),
    [sym_keyword_smallint] = STATE(1848),
    [sym_keyword_mediumint] = STATE(1877),
    [sym_keyword_int] = STATE(1842),
    [sym_keyword_bigint] = STATE(1883),
    [sym_keyword_real] = STATE(1886),
    [sym_keyword_char] = STATE(2313),
    [sym_keyword_varchar] = STATE(2217),
    [sym__type] = STATE(14000),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7225),
    [sym_identifier] = STATE(5623),
    [sym__identifier] = ACTIONS(119),
    [aux_sym_keyword_character_token1] = ACTIONS(57),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(63),
    [sym_keyword_bit] = ACTIONS(65),
    [sym_keyword_binary] = ACTIONS(67),
    [sym_keyword_varbinary] = ACTIONS(69),
    [sym_keyword_image] = ACTIONS(63),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(71),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(71),
    [aux_sym_keyword_serial_token1] = ACTIONS(73),
    [aux_sym_keyword_serial_token2] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(75),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(77),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(77),
    [aux_sym_keyword_smallint_token1] = ACTIONS(79),
    [aux_sym_keyword_smallint_token2] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(81),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token1] = ACTIONS(83),
    [aux_sym_keyword_int_token2] = ACTIONS(83),
    [aux_sym_keyword_int_token3] = ACTIONS(83),
    [aux_sym_keyword_bigint_token1] = ACTIONS(85),
    [aux_sym_keyword_bigint_token2] = ACTIONS(85),
    [sym_keyword_decimal] = ACTIONS(87),
    [sym_keyword_numeric] = ACTIONS(89),
    [aux_sym_keyword_real_token1] = ACTIONS(91),
    [aux_sym_keyword_real_token2] = ACTIONS(91),
    [sym_keyword_float] = ACTIONS(93),
    [sym_keyword_double] = ACTIONS(95),
    [sym_keyword_inet] = ACTIONS(63),
    [sym_keyword_money] = ACTIONS(63),
    [sym_keyword_smallmoney] = ACTIONS(63),
    [aux_sym_keyword_char_token1] = ACTIONS(97),
    [sym_keyword_nchar] = ACTIONS(99),
    [aux_sym_keyword_varchar_token1] = ACTIONS(101),
    [sym_keyword_nvarchar] = ACTIONS(103),
    [sym_keyword_text] = ACTIONS(63),
    [sym_keyword_string] = ACTIONS(63),
    [sym_keyword_uuid] = ACTIONS(63),
    [sym_keyword_json] = ACTIONS(63),
    [sym_keyword_jsonb] = ACTIONS(63),
    [sym_keyword_xml] = ACTIONS(63),
    [sym_keyword_bytea] = ACTIONS(63),
    [sym_keyword_enum] = ACTIONS(105),
    [sym_keyword_date] = ACTIONS(63),
    [sym_keyword_datetime] = ACTIONS(63),
    [sym_keyword_datetime2] = ACTIONS(63),
    [sym_keyword_smalldatetime] = ACTIONS(63),
    [sym_keyword_datetimeoffset] = ACTIONS(107),
    [sym_keyword_time] = ACTIONS(109),
    [sym_keyword_timestamp] = ACTIONS(111),
    [sym_keyword_timestamptz] = ACTIONS(63),
    [sym_keyword_interval] = ACTIONS(63),
    [sym_keyword_geometry] = ACTIONS(63),
    [sym_keyword_geography] = ACTIONS(63),
    [sym_keyword_box2d] = ACTIONS(63),
    [sym_keyword_box3d] = ACTIONS(63),
    [sym_keyword_oid] = ACTIONS(63),
    [sym_keyword_name] = ACTIONS(63),
    [sym_keyword_regclass] = ACTIONS(63),
    [sym_keyword_regnamespace] = ACTIONS(63),
    [sym_keyword_regproc] = ACTIONS(63),
    [sym_keyword_regtype] = ACTIONS(63),
    [aux_sym_double_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(127),
    [aux_sym_identifier_token1] = ACTIONS(127),
  },
  [30] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1840),
    [sym_keyword_smallint] = STATE(1848),
    [sym_keyword_mediumint] = STATE(1877),
    [sym_keyword_int] = STATE(1842),
    [sym_keyword_bigint] = STATE(1883),
    [sym_keyword_real] = STATE(1886),
    [sym_keyword_char] = STATE(2313),
    [sym_keyword_varchar] = STATE(2217),
    [sym__type] = STATE(12746),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7225),
    [sym_identifier] = STATE(5623),
    [sym__identifier] = ACTIONS(119),
    [aux_sym_keyword_character_token1] = ACTIONS(57),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(63),
    [sym_keyword_bit] = ACTIONS(65),
    [sym_keyword_binary] = ACTIONS(67),
    [sym_keyword_varbinary] = ACTIONS(69),
    [sym_keyword_image] = ACTIONS(63),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(71),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(71),
    [aux_sym_keyword_serial_token1] = ACTIONS(73),
    [aux_sym_keyword_serial_token2] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(75),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(77),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(77),
    [aux_sym_keyword_smallint_token1] = ACTIONS(79),
    [aux_sym_keyword_smallint_token2] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(81),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token1] = ACTIONS(83),
    [aux_sym_keyword_int_token2] = ACTIONS(83),
    [aux_sym_keyword_int_token3] = ACTIONS(83),
    [aux_sym_keyword_bigint_token1] = ACTIONS(85),
    [aux_sym_keyword_bigint_token2] = ACTIONS(85),
    [sym_keyword_decimal] = ACTIONS(87),
    [sym_keyword_numeric] = ACTIONS(89),
    [aux_sym_keyword_real_token1] = ACTIONS(91),
    [aux_sym_keyword_real_token2] = ACTIONS(91),
    [sym_keyword_float] = ACTIONS(93),
    [sym_keyword_double] = ACTIONS(95),
    [sym_keyword_inet] = ACTIONS(63),
    [sym_keyword_money] = ACTIONS(63),
    [sym_keyword_smallmoney] = ACTIONS(63),
    [aux_sym_keyword_char_token1] = ACTIONS(97),
    [sym_keyword_nchar] = ACTIONS(99),
    [aux_sym_keyword_varchar_token1] = ACTIONS(101),
    [sym_keyword_nvarchar] = ACTIONS(103),
    [sym_keyword_text] = ACTIONS(63),
    [sym_keyword_string] = ACTIONS(63),
    [sym_keyword_uuid] = ACTIONS(63),
    [sym_keyword_json] = ACTIONS(63),
    [sym_keyword_jsonb] = ACTIONS(63),
    [sym_keyword_xml] = ACTIONS(63),
    [sym_keyword_bytea] = ACTIONS(63),
    [sym_keyword_enum] = ACTIONS(105),
    [sym_keyword_date] = ACTIONS(63),
    [sym_keyword_datetime] = ACTIONS(63),
    [sym_keyword_datetime2] = ACTIONS(63),
    [sym_keyword_smalldatetime] = ACTIONS(63),
    [sym_keyword_datetimeoffset] = ACTIONS(107),
    [sym_keyword_time] = ACTIONS(109),
    [sym_keyword_timestamp] = ACTIONS(111),
    [sym_keyword_timestamptz] = ACTIONS(63),
    [sym_keyword_interval] = ACTIONS(63),
    [sym_keyword_geometry] = ACTIONS(63),
    [sym_keyword_geography] = ACTIONS(63),
    [sym_keyword_box2d] = ACTIONS(63),
    [sym_keyword_box3d] = ACTIONS(63),
    [sym_keyword_oid] = ACTIONS(63),
    [sym_keyword_name] = ACTIONS(63),
    [sym_keyword_regclass] = ACTIONS(63),
    [sym_keyword_regnamespace] = ACTIONS(63),
    [sym_keyword_regproc] = ACTIONS(63),
    [sym_keyword_regtype] = ACTIONS(63),
    [aux_sym_double_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(127),
    [aux_sym_identifier_token1] = ACTIONS(127),
  },
  [31] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1840),
    [sym_keyword_smallint] = STATE(1848),
    [sym_keyword_mediumint] = STATE(1877),
    [sym_keyword_int] = STATE(1842),
    [sym_keyword_bigint] = STATE(1883),
    [sym_keyword_real] = STATE(1886),
    [sym_keyword_char] = STATE(2313),
    [sym_keyword_varchar] = STATE(2217),
    [sym__type] = STATE(12424),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7225),
    [sym_identifier] = STATE(5623),
    [sym__identifier] = ACTIONS(119),
    [aux_sym_keyword_character_token1] = ACTIONS(57),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(63),
    [sym_keyword_bit] = ACTIONS(65),
    [sym_keyword_binary] = ACTIONS(67),
    [sym_keyword_varbinary] = ACTIONS(69),
    [sym_keyword_image] = ACTIONS(63),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(71),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(71),
    [aux_sym_keyword_serial_token1] = ACTIONS(73),
    [aux_sym_keyword_serial_token2] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(75),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(77),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(77),
    [aux_sym_keyword_smallint_token1] = ACTIONS(79),
    [aux_sym_keyword_smallint_token2] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(81),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token1] = ACTIONS(83),
    [aux_sym_keyword_int_token2] = ACTIONS(83),
    [aux_sym_keyword_int_token3] = ACTIONS(83),
    [aux_sym_keyword_bigint_token1] = ACTIONS(85),
    [aux_sym_keyword_bigint_token2] = ACTIONS(85),
    [sym_keyword_decimal] = ACTIONS(87),
    [sym_keyword_numeric] = ACTIONS(89),
    [aux_sym_keyword_real_token1] = ACTIONS(91),
    [aux_sym_keyword_real_token2] = ACTIONS(91),
    [sym_keyword_float] = ACTIONS(93),
    [sym_keyword_double] = ACTIONS(95),
    [sym_keyword_inet] = ACTIONS(63),
    [sym_keyword_money] = ACTIONS(63),
    [sym_keyword_smallmoney] = ACTIONS(63),
    [aux_sym_keyword_char_token1] = ACTIONS(97),
    [sym_keyword_nchar] = ACTIONS(99),
    [aux_sym_keyword_varchar_token1] = ACTIONS(101),
    [sym_keyword_nvarchar] = ACTIONS(103),
    [sym_keyword_text] = ACTIONS(63),
    [sym_keyword_string] = ACTIONS(63),
    [sym_keyword_uuid] = ACTIONS(63),
    [sym_keyword_json] = ACTIONS(63),
    [sym_keyword_jsonb] = ACTIONS(63),
    [sym_keyword_xml] = ACTIONS(63),
    [sym_keyword_bytea] = ACTIONS(63),
    [sym_keyword_enum] = ACTIONS(105),
    [sym_keyword_date] = ACTIONS(63),
    [sym_keyword_datetime] = ACTIONS(63),
    [sym_keyword_datetime2] = ACTIONS(63),
    [sym_keyword_smalldatetime] = ACTIONS(63),
    [sym_keyword_datetimeoffset] = ACTIONS(107),
    [sym_keyword_time] = ACTIONS(109),
    [sym_keyword_timestamp] = ACTIONS(111),
    [sym_keyword_timestamptz] = ACTIONS(63),
    [sym_keyword_interval] = ACTIONS(63),
    [sym_keyword_geometry] = ACTIONS(63),
    [sym_keyword_geography] = ACTIONS(63),
    [sym_keyword_box2d] = ACTIONS(63),
    [sym_keyword_box3d] = ACTIONS(63),
    [sym_keyword_oid] = ACTIONS(63),
    [sym_keyword_name] = ACTIONS(63),
    [sym_keyword_regclass] = ACTIONS(63),
    [sym_keyword_regnamespace] = ACTIONS(63),
    [sym_keyword_regproc] = ACTIONS(63),
    [sym_keyword_regtype] = ACTIONS(63),
    [aux_sym_double_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(127),
    [aux_sym_identifier_token1] = ACTIONS(127),
  },
  [32] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1840),
    [sym_keyword_smallint] = STATE(1848),
    [sym_keyword_mediumint] = STATE(1877),
    [sym_keyword_int] = STATE(1842),
    [sym_keyword_bigint] = STATE(1883),
    [sym_keyword_real] = STATE(1886),
    [sym_keyword_char] = STATE(2313),
    [sym_keyword_varchar] = STATE(2217),
    [sym__type] = STATE(12812),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7225),
    [sym_identifier] = STATE(5623),
    [sym__identifier] = ACTIONS(119),
    [aux_sym_keyword_character_token1] = ACTIONS(57),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(63),
    [sym_keyword_bit] = ACTIONS(65),
    [sym_keyword_binary] = ACTIONS(67),
    [sym_keyword_varbinary] = ACTIONS(69),
    [sym_keyword_image] = ACTIONS(63),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(71),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(71),
    [aux_sym_keyword_serial_token1] = ACTIONS(73),
    [aux_sym_keyword_serial_token2] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(75),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(77),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(77),
    [aux_sym_keyword_smallint_token1] = ACTIONS(79),
    [aux_sym_keyword_smallint_token2] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(81),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token1] = ACTIONS(83),
    [aux_sym_keyword_int_token2] = ACTIONS(83),
    [aux_sym_keyword_int_token3] = ACTIONS(83),
    [aux_sym_keyword_bigint_token1] = ACTIONS(85),
    [aux_sym_keyword_bigint_token2] = ACTIONS(85),
    [sym_keyword_decimal] = ACTIONS(87),
    [sym_keyword_numeric] = ACTIONS(89),
    [aux_sym_keyword_real_token1] = ACTIONS(91),
    [aux_sym_keyword_real_token2] = ACTIONS(91),
    [sym_keyword_float] = ACTIONS(93),
    [sym_keyword_double] = ACTIONS(95),
    [sym_keyword_inet] = ACTIONS(63),
    [sym_keyword_money] = ACTIONS(63),
    [sym_keyword_smallmoney] = ACTIONS(63),
    [aux_sym_keyword_char_token1] = ACTIONS(97),
    [sym_keyword_nchar] = ACTIONS(99),
    [aux_sym_keyword_varchar_token1] = ACTIONS(101),
    [sym_keyword_nvarchar] = ACTIONS(103),
    [sym_keyword_text] = ACTIONS(63),
    [sym_keyword_string] = ACTIONS(63),
    [sym_keyword_uuid] = ACTIONS(63),
    [sym_keyword_json] = ACTIONS(63),
    [sym_keyword_jsonb] = ACTIONS(63),
    [sym_keyword_xml] = ACTIONS(63),
    [sym_keyword_bytea] = ACTIONS(63),
    [sym_keyword_enum] = ACTIONS(105),
    [sym_keyword_date] = ACTIONS(63),
    [sym_keyword_datetime] = ACTIONS(63),
    [sym_keyword_datetime2] = ACTIONS(63),
    [sym_keyword_smalldatetime] = ACTIONS(63),
    [sym_keyword_datetimeoffset] = ACTIONS(107),
    [sym_keyword_time] = ACTIONS(109),
    [sym_keyword_timestamp] = ACTIONS(111),
    [sym_keyword_timestamptz] = ACTIONS(63),
    [sym_keyword_interval] = ACTIONS(63),
    [sym_keyword_geometry] = ACTIONS(63),
    [sym_keyword_geography] = ACTIONS(63),
    [sym_keyword_box2d] = ACTIONS(63),
    [sym_keyword_box3d] = ACTIONS(63),
    [sym_keyword_oid] = ACTIONS(63),
    [sym_keyword_name] = ACTIONS(63),
    [sym_keyword_regclass] = ACTIONS(63),
    [sym_keyword_regnamespace] = ACTIONS(63),
    [sym_keyword_regproc] = ACTIONS(63),
    [sym_keyword_regtype] = ACTIONS(63),
    [aux_sym_double_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(127),
    [aux_sym_identifier_token1] = ACTIONS(127),
  },
  [33] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1840),
    [sym_keyword_smallint] = STATE(1848),
    [sym_keyword_mediumint] = STATE(1877),
    [sym_keyword_int] = STATE(1842),
    [sym_keyword_bigint] = STATE(1883),
    [sym_keyword_real] = STATE(1886),
    [sym_keyword_char] = STATE(2313),
    [sym_keyword_varchar] = STATE(2217),
    [sym__type] = STATE(13474),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7225),
    [sym_identifier] = STATE(5623),
    [sym__identifier] = ACTIONS(119),
    [aux_sym_keyword_character_token1] = ACTIONS(57),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(63),
    [sym_keyword_bit] = ACTIONS(65),
    [sym_keyword_binary] = ACTIONS(67),
    [sym_keyword_varbinary] = ACTIONS(69),
    [sym_keyword_image] = ACTIONS(63),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(71),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(71),
    [aux_sym_keyword_serial_token1] = ACTIONS(73),
    [aux_sym_keyword_serial_token2] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(75),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(77),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(77),
    [aux_sym_keyword_smallint_token1] = ACTIONS(79),
    [aux_sym_keyword_smallint_token2] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(81),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token1] = ACTIONS(83),
    [aux_sym_keyword_int_token2] = ACTIONS(83),
    [aux_sym_keyword_int_token3] = ACTIONS(83),
    [aux_sym_keyword_bigint_token1] = ACTIONS(85),
    [aux_sym_keyword_bigint_token2] = ACTIONS(85),
    [sym_keyword_decimal] = ACTIONS(87),
    [sym_keyword_numeric] = ACTIONS(89),
    [aux_sym_keyword_real_token1] = ACTIONS(91),
    [aux_sym_keyword_real_token2] = ACTIONS(91),
    [sym_keyword_float] = ACTIONS(93),
    [sym_keyword_double] = ACTIONS(95),
    [sym_keyword_inet] = ACTIONS(63),
    [sym_keyword_money] = ACTIONS(63),
    [sym_keyword_smallmoney] = ACTIONS(63),
    [aux_sym_keyword_char_token1] = ACTIONS(97),
    [sym_keyword_nchar] = ACTIONS(99),
    [aux_sym_keyword_varchar_token1] = ACTIONS(101),
    [sym_keyword_nvarchar] = ACTIONS(103),
    [sym_keyword_text] = ACTIONS(63),
    [sym_keyword_string] = ACTIONS(63),
    [sym_keyword_uuid] = ACTIONS(63),
    [sym_keyword_json] = ACTIONS(63),
    [sym_keyword_jsonb] = ACTIONS(63),
    [sym_keyword_xml] = ACTIONS(63),
    [sym_keyword_bytea] = ACTIONS(63),
    [sym_keyword_enum] = ACTIONS(105),
    [sym_keyword_date] = ACTIONS(63),
    [sym_keyword_datetime] = ACTIONS(63),
    [sym_keyword_datetime2] = ACTIONS(63),
    [sym_keyword_smalldatetime] = ACTIONS(63),
    [sym_keyword_datetimeoffset] = ACTIONS(107),
    [sym_keyword_time] = ACTIONS(109),
    [sym_keyword_timestamp] = ACTIONS(111),
    [sym_keyword_timestamptz] = ACTIONS(63),
    [sym_keyword_interval] = ACTIONS(63),
    [sym_keyword_geometry] = ACTIONS(63),
    [sym_keyword_geography] = ACTIONS(63),
    [sym_keyword_box2d] = ACTIONS(63),
    [sym_keyword_box3d] = ACTIONS(63),
    [sym_keyword_oid] = ACTIONS(63),
    [sym_keyword_name] = ACTIONS(63),
    [sym_keyword_regclass] = ACTIONS(63),
    [sym_keyword_regnamespace] = ACTIONS(63),
    [sym_keyword_regproc] = ACTIONS(63),
    [sym_keyword_regtype] = ACTIONS(63),
    [aux_sym_double_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(127),
    [aux_sym_identifier_token1] = ACTIONS(127),
  },
  [34] = {
    [sym_keyword_smallserial] = STATE(3107),
    [sym_keyword_serial] = STATE(3107),
    [sym_keyword_bigserial] = STATE(3107),
    [sym_keyword_tinyint] = STATE(3027),
    [sym_keyword_smallint] = STATE(3028),
    [sym_keyword_mediumint] = STATE(3029),
    [sym_keyword_int] = STATE(3030),
    [sym_keyword_bigint] = STATE(3031),
    [sym_keyword_real] = STATE(3032),
    [sym_keyword_char] = STATE(3565),
    [sym_keyword_varchar] = STATE(3569),
    [sym__type] = STATE(4537),
    [sym_tinyint] = STATE(3107),
    [sym_smallint] = STATE(3107),
    [sym_mediumint] = STATE(3107),
    [sym_int] = STATE(3107),
    [sym_bigint] = STATE(3107),
    [sym_bit] = STATE(3107),
    [sym_binary] = STATE(3107),
    [sym_varbinary] = STATE(3107),
    [sym_float] = STATE(3107),
    [sym_double] = STATE(3107),
    [sym_decimal] = STATE(3107),
    [sym_numeric] = STATE(3107),
    [sym_char] = STATE(3107),
    [sym_varchar] = STATE(3107),
    [sym_nchar] = STATE(3107),
    [sym_nvarchar] = STATE(3107),
    [sym_datetimeoffset] = STATE(3107),
    [sym_time] = STATE(3107),
    [sym_timestamp] = STATE(3107),
    [sym_enum] = STATE(3107),
    [sym_object_reference] = STATE(3112),
    [sym_identifier] = STATE(3688),
    [sym__identifier] = ACTIONS(833),
    [aux_sym_keyword_character_token1] = ACTIONS(835),
    [sym_keyword_unsigned] = ACTIONS(837),
    [sym_keyword_boolean] = ACTIONS(839),
    [sym_keyword_bit] = ACTIONS(841),
    [sym_keyword_binary] = ACTIONS(843),
    [sym_keyword_varbinary] = ACTIONS(845),
    [sym_keyword_image] = ACTIONS(839),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(847),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(847),
    [aux_sym_keyword_serial_token1] = ACTIONS(849),
    [aux_sym_keyword_serial_token2] = ACTIONS(849),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(851),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(851),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(853),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(853),
    [aux_sym_keyword_smallint_token1] = ACTIONS(855),
    [aux_sym_keyword_smallint_token2] = ACTIONS(855),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(857),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(857),
    [aux_sym_keyword_int_token1] = ACTIONS(859),
    [aux_sym_keyword_int_token2] = ACTIONS(859),
    [aux_sym_keyword_int_token3] = ACTIONS(859),
    [aux_sym_keyword_bigint_token1] = ACTIONS(861),
    [aux_sym_keyword_bigint_token2] = ACTIONS(861),
    [sym_keyword_decimal] = ACTIONS(863),
    [sym_keyword_numeric] = ACTIONS(865),
    [aux_sym_keyword_real_token1] = ACTIONS(867),
    [aux_sym_keyword_real_token2] = ACTIONS(867),
    [sym_keyword_float] = ACTIONS(869),
    [sym_keyword_double] = ACTIONS(871),
    [sym_keyword_inet] = ACTIONS(839),
    [sym_keyword_money] = ACTIONS(839),
    [sym_keyword_smallmoney] = ACTIONS(839),
    [aux_sym_keyword_char_token1] = ACTIONS(873),
    [sym_keyword_nchar] = ACTIONS(875),
    [aux_sym_keyword_varchar_token1] = ACTIONS(877),
    [sym_keyword_nvarchar] = ACTIONS(879),
    [sym_keyword_text] = ACTIONS(839),
    [sym_keyword_string] = ACTIONS(839),
    [sym_keyword_uuid] = ACTIONS(839),
    [sym_keyword_json] = ACTIONS(839),
    [sym_keyword_jsonb] = ACTIONS(839),
    [sym_keyword_xml] = ACTIONS(839),
    [sym_keyword_bytea] = ACTIONS(839),
    [sym_keyword_enum] = ACTIONS(881),
    [sym_keyword_date] = ACTIONS(839),
    [sym_keyword_datetime] = ACTIONS(839),
    [sym_keyword_datetime2] = ACTIONS(839),
    [sym_keyword_smalldatetime] = ACTIONS(839),
    [sym_keyword_datetimeoffset] = ACTIONS(883),
    [sym_keyword_time] = ACTIONS(885),
    [sym_keyword_timestamp] = ACTIONS(887),
    [sym_keyword_timestamptz] = ACTIONS(839),
    [sym_keyword_interval] = ACTIONS(839),
    [sym_keyword_geometry] = ACTIONS(839),
    [sym_keyword_geography] = ACTIONS(839),
    [sym_keyword_box2d] = ACTIONS(839),
    [sym_keyword_box3d] = ACTIONS(839),
    [sym_keyword_oid] = ACTIONS(839),
    [sym_keyword_name] = ACTIONS(839),
    [sym_keyword_regclass] = ACTIONS(839),
    [sym_keyword_regnamespace] = ACTIONS(839),
    [sym_keyword_regproc] = ACTIONS(839),
    [sym_keyword_regtype] = ACTIONS(839),
    [aux_sym_double_token1] = ACTIONS(889),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(891),
    [aux_sym_identifier_token1] = ACTIONS(891),
  },
  [35] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1840),
    [sym_keyword_smallint] = STATE(1848),
    [sym_keyword_mediumint] = STATE(1877),
    [sym_keyword_int] = STATE(1842),
    [sym_keyword_bigint] = STATE(1883),
    [sym_keyword_real] = STATE(1886),
    [sym_keyword_char] = STATE(2313),
    [sym_keyword_varchar] = STATE(2217),
    [sym__type] = STATE(13705),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7225),
    [sym_identifier] = STATE(5623),
    [sym__identifier] = ACTIONS(119),
    [aux_sym_keyword_character_token1] = ACTIONS(57),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(63),
    [sym_keyword_bit] = ACTIONS(65),
    [sym_keyword_binary] = ACTIONS(67),
    [sym_keyword_varbinary] = ACTIONS(69),
    [sym_keyword_image] = ACTIONS(63),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(71),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(71),
    [aux_sym_keyword_serial_token1] = ACTIONS(73),
    [aux_sym_keyword_serial_token2] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(75),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(77),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(77),
    [aux_sym_keyword_smallint_token1] = ACTIONS(79),
    [aux_sym_keyword_smallint_token2] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(81),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token1] = ACTIONS(83),
    [aux_sym_keyword_int_token2] = ACTIONS(83),
    [aux_sym_keyword_int_token3] = ACTIONS(83),
    [aux_sym_keyword_bigint_token1] = ACTIONS(85),
    [aux_sym_keyword_bigint_token2] = ACTIONS(85),
    [sym_keyword_decimal] = ACTIONS(87),
    [sym_keyword_numeric] = ACTIONS(89),
    [aux_sym_keyword_real_token1] = ACTIONS(91),
    [aux_sym_keyword_real_token2] = ACTIONS(91),
    [sym_keyword_float] = ACTIONS(93),
    [sym_keyword_double] = ACTIONS(95),
    [sym_keyword_inet] = ACTIONS(63),
    [sym_keyword_money] = ACTIONS(63),
    [sym_keyword_smallmoney] = ACTIONS(63),
    [aux_sym_keyword_char_token1] = ACTIONS(97),
    [sym_keyword_nchar] = ACTIONS(99),
    [aux_sym_keyword_varchar_token1] = ACTIONS(101),
    [sym_keyword_nvarchar] = ACTIONS(103),
    [sym_keyword_text] = ACTIONS(63),
    [sym_keyword_string] = ACTIONS(63),
    [sym_keyword_uuid] = ACTIONS(63),
    [sym_keyword_json] = ACTIONS(63),
    [sym_keyword_jsonb] = ACTIONS(63),
    [sym_keyword_xml] = ACTIONS(63),
    [sym_keyword_bytea] = ACTIONS(63),
    [sym_keyword_enum] = ACTIONS(105),
    [sym_keyword_date] = ACTIONS(63),
    [sym_keyword_datetime] = ACTIONS(63),
    [sym_keyword_datetime2] = ACTIONS(63),
    [sym_keyword_smalldatetime] = ACTIONS(63),
    [sym_keyword_datetimeoffset] = ACTIONS(107),
    [sym_keyword_time] = ACTIONS(109),
    [sym_keyword_timestamp] = ACTIONS(111),
    [sym_keyword_timestamptz] = ACTIONS(63),
    [sym_keyword_interval] = ACTIONS(63),
    [sym_keyword_geometry] = ACTIONS(63),
    [sym_keyword_geography] = ACTIONS(63),
    [sym_keyword_box2d] = ACTIONS(63),
    [sym_keyword_box3d] = ACTIONS(63),
    [sym_keyword_oid] = ACTIONS(63),
    [sym_keyword_name] = ACTIONS(63),
    [sym_keyword_regclass] = ACTIONS(63),
    [sym_keyword_regnamespace] = ACTIONS(63),
    [sym_keyword_regproc] = ACTIONS(63),
    [sym_keyword_regtype] = ACTIONS(63),
    [aux_sym_double_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(127),
    [aux_sym_identifier_token1] = ACTIONS(127),
  },
  [36] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1840),
    [sym_keyword_smallint] = STATE(1848),
    [sym_keyword_mediumint] = STATE(1877),
    [sym_keyword_int] = STATE(1842),
    [sym_keyword_bigint] = STATE(1883),
    [sym_keyword_real] = STATE(1886),
    [sym_keyword_char] = STATE(2313),
    [sym_keyword_varchar] = STATE(2217),
    [sym__type] = STATE(13965),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7225),
    [sym_identifier] = STATE(5623),
    [sym__identifier] = ACTIONS(119),
    [aux_sym_keyword_character_token1] = ACTIONS(57),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(63),
    [sym_keyword_bit] = ACTIONS(65),
    [sym_keyword_binary] = ACTIONS(67),
    [sym_keyword_varbinary] = ACTIONS(69),
    [sym_keyword_image] = ACTIONS(63),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(71),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(71),
    [aux_sym_keyword_serial_token1] = ACTIONS(73),
    [aux_sym_keyword_serial_token2] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(75),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(77),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(77),
    [aux_sym_keyword_smallint_token1] = ACTIONS(79),
    [aux_sym_keyword_smallint_token2] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(81),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token1] = ACTIONS(83),
    [aux_sym_keyword_int_token2] = ACTIONS(83),
    [aux_sym_keyword_int_token3] = ACTIONS(83),
    [aux_sym_keyword_bigint_token1] = ACTIONS(85),
    [aux_sym_keyword_bigint_token2] = ACTIONS(85),
    [sym_keyword_decimal] = ACTIONS(87),
    [sym_keyword_numeric] = ACTIONS(89),
    [aux_sym_keyword_real_token1] = ACTIONS(91),
    [aux_sym_keyword_real_token2] = ACTIONS(91),
    [sym_keyword_float] = ACTIONS(93),
    [sym_keyword_double] = ACTIONS(95),
    [sym_keyword_inet] = ACTIONS(63),
    [sym_keyword_money] = ACTIONS(63),
    [sym_keyword_smallmoney] = ACTIONS(63),
    [aux_sym_keyword_char_token1] = ACTIONS(97),
    [sym_keyword_nchar] = ACTIONS(99),
    [aux_sym_keyword_varchar_token1] = ACTIONS(101),
    [sym_keyword_nvarchar] = ACTIONS(103),
    [sym_keyword_text] = ACTIONS(63),
    [sym_keyword_string] = ACTIONS(63),
    [sym_keyword_uuid] = ACTIONS(63),
    [sym_keyword_json] = ACTIONS(63),
    [sym_keyword_jsonb] = ACTIONS(63),
    [sym_keyword_xml] = ACTIONS(63),
    [sym_keyword_bytea] = ACTIONS(63),
    [sym_keyword_enum] = ACTIONS(105),
    [sym_keyword_date] = ACTIONS(63),
    [sym_keyword_datetime] = ACTIONS(63),
    [sym_keyword_datetime2] = ACTIONS(63),
    [sym_keyword_smalldatetime] = ACTIONS(63),
    [sym_keyword_datetimeoffset] = ACTIONS(107),
    [sym_keyword_time] = ACTIONS(109),
    [sym_keyword_timestamp] = ACTIONS(111),
    [sym_keyword_timestamptz] = ACTIONS(63),
    [sym_keyword_interval] = ACTIONS(63),
    [sym_keyword_geometry] = ACTIONS(63),
    [sym_keyword_geography] = ACTIONS(63),
    [sym_keyword_box2d] = ACTIONS(63),
    [sym_keyword_box3d] = ACTIONS(63),
    [sym_keyword_oid] = ACTIONS(63),
    [sym_keyword_name] = ACTIONS(63),
    [sym_keyword_regclass] = ACTIONS(63),
    [sym_keyword_regnamespace] = ACTIONS(63),
    [sym_keyword_regproc] = ACTIONS(63),
    [sym_keyword_regtype] = ACTIONS(63),
    [aux_sym_double_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(127),
    [aux_sym_identifier_token1] = ACTIONS(127),
  },
  [37] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1840),
    [sym_keyword_smallint] = STATE(1848),
    [sym_keyword_mediumint] = STATE(1877),
    [sym_keyword_int] = STATE(1842),
    [sym_keyword_bigint] = STATE(1883),
    [sym_keyword_real] = STATE(1886),
    [sym_keyword_char] = STATE(2313),
    [sym_keyword_varchar] = STATE(2217),
    [sym__type] = STATE(14304),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7225),
    [sym_identifier] = STATE(5623),
    [sym__identifier] = ACTIONS(119),
    [aux_sym_keyword_character_token1] = ACTIONS(57),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(63),
    [sym_keyword_bit] = ACTIONS(65),
    [sym_keyword_binary] = ACTIONS(67),
    [sym_keyword_varbinary] = ACTIONS(69),
    [sym_keyword_image] = ACTIONS(63),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(71),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(71),
    [aux_sym_keyword_serial_token1] = ACTIONS(73),
    [aux_sym_keyword_serial_token2] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(75),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(77),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(77),
    [aux_sym_keyword_smallint_token1] = ACTIONS(79),
    [aux_sym_keyword_smallint_token2] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(81),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token1] = ACTIONS(83),
    [aux_sym_keyword_int_token2] = ACTIONS(83),
    [aux_sym_keyword_int_token3] = ACTIONS(83),
    [aux_sym_keyword_bigint_token1] = ACTIONS(85),
    [aux_sym_keyword_bigint_token2] = ACTIONS(85),
    [sym_keyword_decimal] = ACTIONS(87),
    [sym_keyword_numeric] = ACTIONS(89),
    [aux_sym_keyword_real_token1] = ACTIONS(91),
    [aux_sym_keyword_real_token2] = ACTIONS(91),
    [sym_keyword_float] = ACTIONS(93),
    [sym_keyword_double] = ACTIONS(95),
    [sym_keyword_inet] = ACTIONS(63),
    [sym_keyword_money] = ACTIONS(63),
    [sym_keyword_smallmoney] = ACTIONS(63),
    [aux_sym_keyword_char_token1] = ACTIONS(97),
    [sym_keyword_nchar] = ACTIONS(99),
    [aux_sym_keyword_varchar_token1] = ACTIONS(101),
    [sym_keyword_nvarchar] = ACTIONS(103),
    [sym_keyword_text] = ACTIONS(63),
    [sym_keyword_string] = ACTIONS(63),
    [sym_keyword_uuid] = ACTIONS(63),
    [sym_keyword_json] = ACTIONS(63),
    [sym_keyword_jsonb] = ACTIONS(63),
    [sym_keyword_xml] = ACTIONS(63),
    [sym_keyword_bytea] = ACTIONS(63),
    [sym_keyword_enum] = ACTIONS(105),
    [sym_keyword_date] = ACTIONS(63),
    [sym_keyword_datetime] = ACTIONS(63),
    [sym_keyword_datetime2] = ACTIONS(63),
    [sym_keyword_smalldatetime] = ACTIONS(63),
    [sym_keyword_datetimeoffset] = ACTIONS(107),
    [sym_keyword_time] = ACTIONS(109),
    [sym_keyword_timestamp] = ACTIONS(111),
    [sym_keyword_timestamptz] = ACTIONS(63),
    [sym_keyword_interval] = ACTIONS(63),
    [sym_keyword_geometry] = ACTIONS(63),
    [sym_keyword_geography] = ACTIONS(63),
    [sym_keyword_box2d] = ACTIONS(63),
    [sym_keyword_box3d] = ACTIONS(63),
    [sym_keyword_oid] = ACTIONS(63),
    [sym_keyword_name] = ACTIONS(63),
    [sym_keyword_regclass] = ACTIONS(63),
    [sym_keyword_regnamespace] = ACTIONS(63),
    [sym_keyword_regproc] = ACTIONS(63),
    [sym_keyword_regtype] = ACTIONS(63),
    [aux_sym_double_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(127),
    [aux_sym_identifier_token1] = ACTIONS(127),
  },
  [38] = {
    [sym_keyword_smallserial] = STATE(2737),
    [sym_keyword_serial] = STATE(2737),
    [sym_keyword_bigserial] = STATE(2737),
    [sym_keyword_tinyint] = STATE(1840),
    [sym_keyword_smallint] = STATE(1848),
    [sym_keyword_mediumint] = STATE(1877),
    [sym_keyword_int] = STATE(1842),
    [sym_keyword_bigint] = STATE(1883),
    [sym_keyword_real] = STATE(1886),
    [sym_keyword_char] = STATE(2313),
    [sym_keyword_varchar] = STATE(2217),
    [sym__type] = STATE(4169),
    [sym_tinyint] = STATE(2737),
    [sym_smallint] = STATE(2737),
    [sym_mediumint] = STATE(2737),
    [sym_int] = STATE(2737),
    [sym_bigint] = STATE(2737),
    [sym_bit] = STATE(2737),
    [sym_binary] = STATE(2737),
    [sym_varbinary] = STATE(2737),
    [sym_float] = STATE(2737),
    [sym_double] = STATE(2737),
    [sym_decimal] = STATE(2737),
    [sym_numeric] = STATE(2737),
    [sym_char] = STATE(2737),
    [sym_varchar] = STATE(2737),
    [sym_nchar] = STATE(2737),
    [sym_nvarchar] = STATE(2737),
    [sym_datetimeoffset] = STATE(2737),
    [sym_time] = STATE(2737),
    [sym_timestamp] = STATE(2737),
    [sym_enum] = STATE(2737),
    [sym_object_reference] = STATE(2818),
    [sym_identifier] = STATE(3226),
    [sym__identifier] = ACTIONS(273),
    [aux_sym_keyword_character_token1] = ACTIONS(57),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(275),
    [sym_keyword_bit] = ACTIONS(65),
    [sym_keyword_binary] = ACTIONS(67),
    [sym_keyword_varbinary] = ACTIONS(69),
    [sym_keyword_image] = ACTIONS(275),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(71),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(71),
    [aux_sym_keyword_serial_token1] = ACTIONS(73),
    [aux_sym_keyword_serial_token2] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(75),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(77),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(77),
    [aux_sym_keyword_smallint_token1] = ACTIONS(79),
    [aux_sym_keyword_smallint_token2] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(81),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token1] = ACTIONS(83),
    [aux_sym_keyword_int_token2] = ACTIONS(83),
    [aux_sym_keyword_int_token3] = ACTIONS(83),
    [aux_sym_keyword_bigint_token1] = ACTIONS(85),
    [aux_sym_keyword_bigint_token2] = ACTIONS(85),
    [sym_keyword_decimal] = ACTIONS(87),
    [sym_keyword_numeric] = ACTIONS(89),
    [aux_sym_keyword_real_token1] = ACTIONS(91),
    [aux_sym_keyword_real_token2] = ACTIONS(91),
    [sym_keyword_float] = ACTIONS(93),
    [sym_keyword_double] = ACTIONS(95),
    [sym_keyword_inet] = ACTIONS(275),
    [sym_keyword_money] = ACTIONS(275),
    [sym_keyword_smallmoney] = ACTIONS(275),
    [aux_sym_keyword_char_token1] = ACTIONS(97),
    [sym_keyword_nchar] = ACTIONS(99),
    [aux_sym_keyword_varchar_token1] = ACTIONS(101),
    [sym_keyword_nvarchar] = ACTIONS(103),
    [sym_keyword_text] = ACTIONS(275),
    [sym_keyword_string] = ACTIONS(275),
    [sym_keyword_uuid] = ACTIONS(275),
    [sym_keyword_json] = ACTIONS(275),
    [sym_keyword_jsonb] = ACTIONS(275),
    [sym_keyword_xml] = ACTIONS(275),
    [sym_keyword_bytea] = ACTIONS(275),
    [sym_keyword_enum] = ACTIONS(105),
    [sym_keyword_date] = ACTIONS(275),
    [sym_keyword_datetime] = ACTIONS(275),
    [sym_keyword_datetime2] = ACTIONS(275),
    [sym_keyword_smalldatetime] = ACTIONS(275),
    [sym_keyword_datetimeoffset] = ACTIONS(107),
    [sym_keyword_time] = ACTIONS(893),
    [sym_keyword_timestamp] = ACTIONS(895),
    [sym_keyword_timestamptz] = ACTIONS(275),
    [sym_keyword_interval] = ACTIONS(275),
    [sym_keyword_geometry] = ACTIONS(275),
    [sym_keyword_geography] = ACTIONS(275),
    [sym_keyword_box2d] = ACTIONS(275),
    [sym_keyword_box3d] = ACTIONS(275),
    [sym_keyword_oid] = ACTIONS(275),
    [sym_keyword_name] = ACTIONS(275),
    [sym_keyword_regclass] = ACTIONS(275),
    [sym_keyword_regnamespace] = ACTIONS(275),
    [sym_keyword_regproc] = ACTIONS(275),
    [sym_keyword_regtype] = ACTIONS(275),
    [aux_sym_double_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(277),
    [aux_sym_identifier_token1] = ACTIONS(277),
  },
  [39] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1840),
    [sym_keyword_smallint] = STATE(1848),
    [sym_keyword_mediumint] = STATE(1877),
    [sym_keyword_int] = STATE(1842),
    [sym_keyword_bigint] = STATE(1883),
    [sym_keyword_real] = STATE(1886),
    [sym_keyword_char] = STATE(2313),
    [sym_keyword_varchar] = STATE(2217),
    [sym__type] = STATE(14605),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7225),
    [sym_identifier] = STATE(5623),
    [sym__identifier] = ACTIONS(119),
    [aux_sym_keyword_character_token1] = ACTIONS(57),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(63),
    [sym_keyword_bit] = ACTIONS(65),
    [sym_keyword_binary] = ACTIONS(67),
    [sym_keyword_varbinary] = ACTIONS(69),
    [sym_keyword_image] = ACTIONS(63),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(71),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(71),
    [aux_sym_keyword_serial_token1] = ACTIONS(73),
    [aux_sym_keyword_serial_token2] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(75),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(77),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(77),
    [aux_sym_keyword_smallint_token1] = ACTIONS(79),
    [aux_sym_keyword_smallint_token2] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(81),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token1] = ACTIONS(83),
    [aux_sym_keyword_int_token2] = ACTIONS(83),
    [aux_sym_keyword_int_token3] = ACTIONS(83),
    [aux_sym_keyword_bigint_token1] = ACTIONS(85),
    [aux_sym_keyword_bigint_token2] = ACTIONS(85),
    [sym_keyword_decimal] = ACTIONS(87),
    [sym_keyword_numeric] = ACTIONS(89),
    [aux_sym_keyword_real_token1] = ACTIONS(91),
    [aux_sym_keyword_real_token2] = ACTIONS(91),
    [sym_keyword_float] = ACTIONS(93),
    [sym_keyword_double] = ACTIONS(95),
    [sym_keyword_inet] = ACTIONS(63),
    [sym_keyword_money] = ACTIONS(63),
    [sym_keyword_smallmoney] = ACTIONS(63),
    [aux_sym_keyword_char_token1] = ACTIONS(97),
    [sym_keyword_nchar] = ACTIONS(99),
    [aux_sym_keyword_varchar_token1] = ACTIONS(101),
    [sym_keyword_nvarchar] = ACTIONS(103),
    [sym_keyword_text] = ACTIONS(63),
    [sym_keyword_string] = ACTIONS(63),
    [sym_keyword_uuid] = ACTIONS(63),
    [sym_keyword_json] = ACTIONS(63),
    [sym_keyword_jsonb] = ACTIONS(63),
    [sym_keyword_xml] = ACTIONS(63),
    [sym_keyword_bytea] = ACTIONS(63),
    [sym_keyword_enum] = ACTIONS(105),
    [sym_keyword_date] = ACTIONS(63),
    [sym_keyword_datetime] = ACTIONS(63),
    [sym_keyword_datetime2] = ACTIONS(63),
    [sym_keyword_smalldatetime] = ACTIONS(63),
    [sym_keyword_datetimeoffset] = ACTIONS(107),
    [sym_keyword_time] = ACTIONS(109),
    [sym_keyword_timestamp] = ACTIONS(111),
    [sym_keyword_timestamptz] = ACTIONS(63),
    [sym_keyword_interval] = ACTIONS(63),
    [sym_keyword_geometry] = ACTIONS(63),
    [sym_keyword_geography] = ACTIONS(63),
    [sym_keyword_box2d] = ACTIONS(63),
    [sym_keyword_box3d] = ACTIONS(63),
    [sym_keyword_oid] = ACTIONS(63),
    [sym_keyword_name] = ACTIONS(63),
    [sym_keyword_regclass] = ACTIONS(63),
    [sym_keyword_regnamespace] = ACTIONS(63),
    [sym_keyword_regproc] = ACTIONS(63),
    [sym_keyword_regtype] = ACTIONS(63),
    [aux_sym_double_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(127),
    [aux_sym_identifier_token1] = ACTIONS(127),
  },
  [40] = {
    [sym_keyword_smallserial] = STATE(4789),
    [sym_keyword_serial] = STATE(4789),
    [sym_keyword_bigserial] = STATE(4789),
    [sym_keyword_tinyint] = STATE(4807),
    [sym_keyword_smallint] = STATE(4803),
    [sym_keyword_mediumint] = STATE(4802),
    [sym_keyword_int] = STATE(4794),
    [sym_keyword_bigint] = STATE(4793),
    [sym_keyword_real] = STATE(4792),
    [sym_keyword_char] = STATE(5029),
    [sym_keyword_varchar] = STATE(5031),
    [sym__type] = STATE(2419),
    [sym_tinyint] = STATE(4789),
    [sym_smallint] = STATE(4789),
    [sym_mediumint] = STATE(4789),
    [sym_int] = STATE(4789),
    [sym_bigint] = STATE(4789),
    [sym_bit] = STATE(4789),
    [sym_binary] = STATE(4789),
    [sym_varbinary] = STATE(4789),
    [sym_float] = STATE(4789),
    [sym_double] = STATE(4789),
    [sym_decimal] = STATE(4789),
    [sym_numeric] = STATE(4789),
    [sym_char] = STATE(4789),
    [sym_varchar] = STATE(4789),
    [sym_nchar] = STATE(4789),
    [sym_nvarchar] = STATE(4789),
    [sym_datetimeoffset] = STATE(4789),
    [sym_time] = STATE(4789),
    [sym_timestamp] = STATE(4789),
    [sym_enum] = STATE(4789),
    [sym_object_reference] = STATE(4788),
    [sym_identifier] = STATE(2646),
    [sym__identifier] = ACTIONS(213),
    [aux_sym_keyword_character_token1] = ACTIONS(897),
    [sym_keyword_unsigned] = ACTIONS(899),
    [sym_keyword_boolean] = ACTIONS(901),
    [sym_keyword_bit] = ACTIONS(903),
    [sym_keyword_binary] = ACTIONS(905),
    [sym_keyword_varbinary] = ACTIONS(907),
    [sym_keyword_image] = ACTIONS(901),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(909),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(909),
    [aux_sym_keyword_serial_token1] = ACTIONS(911),
    [aux_sym_keyword_serial_token2] = ACTIONS(911),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(913),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(913),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(915),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(915),
    [aux_sym_keyword_smallint_token1] = ACTIONS(917),
    [aux_sym_keyword_smallint_token2] = ACTIONS(917),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(919),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(919),
    [aux_sym_keyword_int_token1] = ACTIONS(921),
    [aux_sym_keyword_int_token2] = ACTIONS(921),
    [aux_sym_keyword_int_token3] = ACTIONS(921),
    [aux_sym_keyword_bigint_token1] = ACTIONS(923),
    [aux_sym_keyword_bigint_token2] = ACTIONS(923),
    [sym_keyword_decimal] = ACTIONS(925),
    [sym_keyword_numeric] = ACTIONS(927),
    [aux_sym_keyword_real_token1] = ACTIONS(929),
    [aux_sym_keyword_real_token2] = ACTIONS(929),
    [sym_keyword_float] = ACTIONS(931),
    [sym_keyword_double] = ACTIONS(933),
    [sym_keyword_inet] = ACTIONS(901),
    [sym_keyword_money] = ACTIONS(901),
    [sym_keyword_smallmoney] = ACTIONS(901),
    [aux_sym_keyword_char_token1] = ACTIONS(935),
    [sym_keyword_nchar] = ACTIONS(937),
    [aux_sym_keyword_varchar_token1] = ACTIONS(939),
    [sym_keyword_nvarchar] = ACTIONS(941),
    [sym_keyword_text] = ACTIONS(901),
    [sym_keyword_string] = ACTIONS(901),
    [sym_keyword_uuid] = ACTIONS(901),
    [sym_keyword_json] = ACTIONS(901),
    [sym_keyword_jsonb] = ACTIONS(901),
    [sym_keyword_xml] = ACTIONS(901),
    [sym_keyword_bytea] = ACTIONS(901),
    [sym_keyword_enum] = ACTIONS(943),
    [sym_keyword_date] = ACTIONS(901),
    [sym_keyword_datetime] = ACTIONS(901),
    [sym_keyword_datetime2] = ACTIONS(901),
    [sym_keyword_smalldatetime] = ACTIONS(901),
    [sym_keyword_datetimeoffset] = ACTIONS(945),
    [sym_keyword_time] = ACTIONS(947),
    [sym_keyword_timestamp] = ACTIONS(949),
    [sym_keyword_timestamptz] = ACTIONS(901),
    [sym_keyword_interval] = ACTIONS(901),
    [sym_keyword_geometry] = ACTIONS(901),
    [sym_keyword_geography] = ACTIONS(901),
    [sym_keyword_box2d] = ACTIONS(901),
    [sym_keyword_box3d] = ACTIONS(901),
    [sym_keyword_oid] = ACTIONS(901),
    [sym_keyword_name] = ACTIONS(901),
    [sym_keyword_regclass] = ACTIONS(901),
    [sym_keyword_regnamespace] = ACTIONS(901),
    [sym_keyword_regproc] = ACTIONS(901),
    [sym_keyword_regtype] = ACTIONS(901),
    [aux_sym_double_token1] = ACTIONS(951),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(271),
    [aux_sym_identifier_token1] = ACTIONS(271),
  },
  [41] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1840),
    [sym_keyword_smallint] = STATE(1848),
    [sym_keyword_mediumint] = STATE(1877),
    [sym_keyword_int] = STATE(1842),
    [sym_keyword_bigint] = STATE(1883),
    [sym_keyword_real] = STATE(1886),
    [sym_keyword_char] = STATE(2313),
    [sym_keyword_varchar] = STATE(2217),
    [sym__type] = STATE(14774),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7225),
    [sym_identifier] = STATE(5623),
    [sym__identifier] = ACTIONS(119),
    [aux_sym_keyword_character_token1] = ACTIONS(57),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(63),
    [sym_keyword_bit] = ACTIONS(65),
    [sym_keyword_binary] = ACTIONS(67),
    [sym_keyword_varbinary] = ACTIONS(69),
    [sym_keyword_image] = ACTIONS(63),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(71),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(71),
    [aux_sym_keyword_serial_token1] = ACTIONS(73),
    [aux_sym_keyword_serial_token2] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(75),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(77),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(77),
    [aux_sym_keyword_smallint_token1] = ACTIONS(79),
    [aux_sym_keyword_smallint_token2] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(81),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token1] = ACTIONS(83),
    [aux_sym_keyword_int_token2] = ACTIONS(83),
    [aux_sym_keyword_int_token3] = ACTIONS(83),
    [aux_sym_keyword_bigint_token1] = ACTIONS(85),
    [aux_sym_keyword_bigint_token2] = ACTIONS(85),
    [sym_keyword_decimal] = ACTIONS(87),
    [sym_keyword_numeric] = ACTIONS(89),
    [aux_sym_keyword_real_token1] = ACTIONS(91),
    [aux_sym_keyword_real_token2] = ACTIONS(91),
    [sym_keyword_float] = ACTIONS(93),
    [sym_keyword_double] = ACTIONS(95),
    [sym_keyword_inet] = ACTIONS(63),
    [sym_keyword_money] = ACTIONS(63),
    [sym_keyword_smallmoney] = ACTIONS(63),
    [aux_sym_keyword_char_token1] = ACTIONS(97),
    [sym_keyword_nchar] = ACTIONS(99),
    [aux_sym_keyword_varchar_token1] = ACTIONS(101),
    [sym_keyword_nvarchar] = ACTIONS(103),
    [sym_keyword_text] = ACTIONS(63),
    [sym_keyword_string] = ACTIONS(63),
    [sym_keyword_uuid] = ACTIONS(63),
    [sym_keyword_json] = ACTIONS(63),
    [sym_keyword_jsonb] = ACTIONS(63),
    [sym_keyword_xml] = ACTIONS(63),
    [sym_keyword_bytea] = ACTIONS(63),
    [sym_keyword_enum] = ACTIONS(105),
    [sym_keyword_date] = ACTIONS(63),
    [sym_keyword_datetime] = ACTIONS(63),
    [sym_keyword_datetime2] = ACTIONS(63),
    [sym_keyword_smalldatetime] = ACTIONS(63),
    [sym_keyword_datetimeoffset] = ACTIONS(107),
    [sym_keyword_time] = ACTIONS(109),
    [sym_keyword_timestamp] = ACTIONS(111),
    [sym_keyword_timestamptz] = ACTIONS(63),
    [sym_keyword_interval] = ACTIONS(63),
    [sym_keyword_geometry] = ACTIONS(63),
    [sym_keyword_geography] = ACTIONS(63),
    [sym_keyword_box2d] = ACTIONS(63),
    [sym_keyword_box3d] = ACTIONS(63),
    [sym_keyword_oid] = ACTIONS(63),
    [sym_keyword_name] = ACTIONS(63),
    [sym_keyword_regclass] = ACTIONS(63),
    [sym_keyword_regnamespace] = ACTIONS(63),
    [sym_keyword_regproc] = ACTIONS(63),
    [sym_keyword_regtype] = ACTIONS(63),
    [aux_sym_double_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(127),
    [aux_sym_identifier_token1] = ACTIONS(127),
  },
  [42] = {
    [sym_keyword_smallserial] = STATE(5412),
    [sym_keyword_serial] = STATE(5412),
    [sym_keyword_bigserial] = STATE(5412),
    [sym_keyword_tinyint] = STATE(5391),
    [sym_keyword_smallint] = STATE(5390),
    [sym_keyword_mediumint] = STATE(5389),
    [sym_keyword_int] = STATE(5388),
    [sym_keyword_bigint] = STATE(5387),
    [sym_keyword_real] = STATE(5386),
    [sym_keyword_char] = STATE(6125),
    [sym_keyword_varchar] = STATE(6117),
    [sym__type] = STATE(6493),
    [sym_tinyint] = STATE(5412),
    [sym_smallint] = STATE(5412),
    [sym_mediumint] = STATE(5412),
    [sym_int] = STATE(5412),
    [sym_bigint] = STATE(5412),
    [sym_bit] = STATE(5412),
    [sym_binary] = STATE(5412),
    [sym_varbinary] = STATE(5412),
    [sym_float] = STATE(5412),
    [sym_double] = STATE(5412),
    [sym_decimal] = STATE(5412),
    [sym_numeric] = STATE(5412),
    [sym_char] = STATE(5412),
    [sym_varchar] = STATE(5412),
    [sym_nchar] = STATE(5412),
    [sym_nvarchar] = STATE(5412),
    [sym_datetimeoffset] = STATE(5412),
    [sym_time] = STATE(5412),
    [sym_timestamp] = STATE(5412),
    [sym_enum] = STATE(5412),
    [sym_object_reference] = STATE(5383),
    [sym_identifier] = STATE(6934),
    [sym__identifier] = ACTIONS(129),
    [aux_sym_keyword_character_token1] = ACTIONS(133),
    [sym_keyword_unsigned] = ACTIONS(135),
    [sym_keyword_boolean] = ACTIONS(141),
    [sym_keyword_bit] = ACTIONS(143),
    [sym_keyword_binary] = ACTIONS(145),
    [sym_keyword_varbinary] = ACTIONS(147),
    [sym_keyword_image] = ACTIONS(141),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(149),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(149),
    [aux_sym_keyword_serial_token1] = ACTIONS(151),
    [aux_sym_keyword_serial_token2] = ACTIONS(151),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(153),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(153),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(155),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(155),
    [aux_sym_keyword_smallint_token1] = ACTIONS(157),
    [aux_sym_keyword_smallint_token2] = ACTIONS(157),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(159),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(159),
    [aux_sym_keyword_int_token1] = ACTIONS(161),
    [aux_sym_keyword_int_token2] = ACTIONS(161),
    [aux_sym_keyword_int_token3] = ACTIONS(161),
    [aux_sym_keyword_bigint_token1] = ACTIONS(163),
    [aux_sym_keyword_bigint_token2] = ACTIONS(163),
    [sym_keyword_decimal] = ACTIONS(165),
    [sym_keyword_numeric] = ACTIONS(167),
    [aux_sym_keyword_real_token1] = ACTIONS(169),
    [aux_sym_keyword_real_token2] = ACTIONS(169),
    [sym_keyword_float] = ACTIONS(171),
    [sym_keyword_double] = ACTIONS(173),
    [sym_keyword_inet] = ACTIONS(141),
    [sym_keyword_money] = ACTIONS(141),
    [sym_keyword_smallmoney] = ACTIONS(141),
    [aux_sym_keyword_char_token1] = ACTIONS(175),
    [sym_keyword_nchar] = ACTIONS(177),
    [aux_sym_keyword_varchar_token1] = ACTIONS(179),
    [sym_keyword_nvarchar] = ACTIONS(181),
    [sym_keyword_text] = ACTIONS(141),
    [sym_keyword_string] = ACTIONS(141),
    [sym_keyword_uuid] = ACTIONS(141),
    [sym_keyword_json] = ACTIONS(141),
    [sym_keyword_jsonb] = ACTIONS(141),
    [sym_keyword_xml] = ACTIONS(141),
    [sym_keyword_bytea] = ACTIONS(141),
    [sym_keyword_enum] = ACTIONS(183),
    [sym_keyword_date] = ACTIONS(141),
    [sym_keyword_datetime] = ACTIONS(141),
    [sym_keyword_datetime2] = ACTIONS(141),
    [sym_keyword_smalldatetime] = ACTIONS(141),
    [sym_keyword_datetimeoffset] = ACTIONS(185),
    [sym_keyword_time] = ACTIONS(187),
    [sym_keyword_timestamp] = ACTIONS(189),
    [sym_keyword_timestamptz] = ACTIONS(141),
    [sym_keyword_interval] = ACTIONS(141),
    [sym_keyword_geometry] = ACTIONS(141),
    [sym_keyword_geography] = ACTIONS(141),
    [sym_keyword_box2d] = ACTIONS(141),
    [sym_keyword_box3d] = ACTIONS(141),
    [sym_keyword_oid] = ACTIONS(141),
    [sym_keyword_name] = ACTIONS(141),
    [sym_keyword_regclass] = ACTIONS(141),
    [sym_keyword_regnamespace] = ACTIONS(141),
    [sym_keyword_regproc] = ACTIONS(141),
    [sym_keyword_regtype] = ACTIONS(141),
    [aux_sym_double_token1] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(193),
    [aux_sym_identifier_token1] = ACTIONS(193),
  },
  [43] = {
    [sym_keyword_smallserial] = STATE(4856),
    [sym_keyword_serial] = STATE(4856),
    [sym_keyword_bigserial] = STATE(4856),
    [sym_keyword_tinyint] = STATE(4812),
    [sym_keyword_smallint] = STATE(4811),
    [sym_keyword_mediumint] = STATE(4810),
    [sym_keyword_int] = STATE(4809),
    [sym_keyword_bigint] = STATE(4808),
    [sym_keyword_real] = STATE(4806),
    [sym_keyword_char] = STATE(4999),
    [sym_keyword_varchar] = STATE(5039),
    [sym__type] = STATE(5616),
    [sym_tinyint] = STATE(4856),
    [sym_smallint] = STATE(4856),
    [sym_mediumint] = STATE(4856),
    [sym_int] = STATE(4856),
    [sym_bigint] = STATE(4856),
    [sym_bit] = STATE(4856),
    [sym_binary] = STATE(4856),
    [sym_varbinary] = STATE(4856),
    [sym_float] = STATE(4856),
    [sym_double] = STATE(4856),
    [sym_decimal] = STATE(4856),
    [sym_numeric] = STATE(4856),
    [sym_char] = STATE(4856),
    [sym_varchar] = STATE(4856),
    [sym_nchar] = STATE(4856),
    [sym_nvarchar] = STATE(4856),
    [sym_datetimeoffset] = STATE(4856),
    [sym_time] = STATE(4856),
    [sym_timestamp] = STATE(4856),
    [sym_enum] = STATE(4856),
    [sym_object_reference] = STATE(4858),
    [sym_identifier] = STATE(4993),
    [sym__identifier] = ACTIONS(647),
    [aux_sym_keyword_character_token1] = ACTIONS(953),
    [sym_keyword_unsigned] = ACTIONS(955),
    [sym_keyword_boolean] = ACTIONS(957),
    [sym_keyword_bit] = ACTIONS(959),
    [sym_keyword_binary] = ACTIONS(961),
    [sym_keyword_varbinary] = ACTIONS(963),
    [sym_keyword_image] = ACTIONS(957),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(965),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(965),
    [aux_sym_keyword_serial_token1] = ACTIONS(967),
    [aux_sym_keyword_serial_token2] = ACTIONS(967),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(969),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(969),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(971),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(971),
    [aux_sym_keyword_smallint_token1] = ACTIONS(973),
    [aux_sym_keyword_smallint_token2] = ACTIONS(973),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(975),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(975),
    [aux_sym_keyword_int_token1] = ACTIONS(977),
    [aux_sym_keyword_int_token2] = ACTIONS(977),
    [aux_sym_keyword_int_token3] = ACTIONS(977),
    [aux_sym_keyword_bigint_token1] = ACTIONS(979),
    [aux_sym_keyword_bigint_token2] = ACTIONS(979),
    [sym_keyword_decimal] = ACTIONS(981),
    [sym_keyword_numeric] = ACTIONS(983),
    [aux_sym_keyword_real_token1] = ACTIONS(985),
    [aux_sym_keyword_real_token2] = ACTIONS(985),
    [sym_keyword_float] = ACTIONS(987),
    [sym_keyword_double] = ACTIONS(989),
    [sym_keyword_inet] = ACTIONS(957),
    [sym_keyword_money] = ACTIONS(957),
    [sym_keyword_smallmoney] = ACTIONS(957),
    [aux_sym_keyword_char_token1] = ACTIONS(991),
    [sym_keyword_nchar] = ACTIONS(993),
    [aux_sym_keyword_varchar_token1] = ACTIONS(995),
    [sym_keyword_nvarchar] = ACTIONS(997),
    [sym_keyword_text] = ACTIONS(957),
    [sym_keyword_string] = ACTIONS(957),
    [sym_keyword_uuid] = ACTIONS(957),
    [sym_keyword_json] = ACTIONS(957),
    [sym_keyword_jsonb] = ACTIONS(957),
    [sym_keyword_xml] = ACTIONS(957),
    [sym_keyword_bytea] = ACTIONS(957),
    [sym_keyword_enum] = ACTIONS(999),
    [sym_keyword_date] = ACTIONS(957),
    [sym_keyword_datetime] = ACTIONS(957),
    [sym_keyword_datetime2] = ACTIONS(957),
    [sym_keyword_smalldatetime] = ACTIONS(957),
    [sym_keyword_datetimeoffset] = ACTIONS(1001),
    [sym_keyword_time] = ACTIONS(1003),
    [sym_keyword_timestamp] = ACTIONS(1005),
    [sym_keyword_timestamptz] = ACTIONS(957),
    [sym_keyword_interval] = ACTIONS(957),
    [sym_keyword_geometry] = ACTIONS(957),
    [sym_keyword_geography] = ACTIONS(957),
    [sym_keyword_box2d] = ACTIONS(957),
    [sym_keyword_box3d] = ACTIONS(957),
    [sym_keyword_oid] = ACTIONS(957),
    [sym_keyword_name] = ACTIONS(957),
    [sym_keyword_regclass] = ACTIONS(957),
    [sym_keyword_regnamespace] = ACTIONS(957),
    [sym_keyword_regproc] = ACTIONS(957),
    [sym_keyword_regtype] = ACTIONS(957),
    [aux_sym_double_token1] = ACTIONS(1007),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(651),
    [aux_sym_identifier_token1] = ACTIONS(651),
  },
  [44] = {
    [sym_keyword_smallserial] = STATE(2732),
    [sym_keyword_serial] = STATE(2732),
    [sym_keyword_bigserial] = STATE(2732),
    [sym_keyword_tinyint] = STATE(2784),
    [sym_keyword_smallint] = STATE(2782),
    [sym_keyword_mediumint] = STATE(2780),
    [sym_keyword_int] = STATE(2762),
    [sym_keyword_bigint] = STATE(2750),
    [sym_keyword_real] = STATE(2743),
    [sym_keyword_char] = STATE(3279),
    [sym_keyword_varchar] = STATE(3280),
    [sym__type] = STATE(4074),
    [sym_tinyint] = STATE(2732),
    [sym_smallint] = STATE(2732),
    [sym_mediumint] = STATE(2732),
    [sym_int] = STATE(2732),
    [sym_bigint] = STATE(2732),
    [sym_bit] = STATE(2732),
    [sym_binary] = STATE(2732),
    [sym_varbinary] = STATE(2732),
    [sym_float] = STATE(2732),
    [sym_double] = STATE(2732),
    [sym_decimal] = STATE(2732),
    [sym_numeric] = STATE(2732),
    [sym_char] = STATE(2732),
    [sym_varchar] = STATE(2732),
    [sym_nchar] = STATE(2732),
    [sym_nvarchar] = STATE(2732),
    [sym_datetimeoffset] = STATE(2732),
    [sym_time] = STATE(2732),
    [sym_timestamp] = STATE(2732),
    [sym_enum] = STATE(2732),
    [sym_object_reference] = STATE(2758),
    [sym_identifier] = STATE(3355),
    [sym__identifier] = ACTIONS(1009),
    [aux_sym_keyword_character_token1] = ACTIONS(1011),
    [sym_keyword_unsigned] = ACTIONS(1013),
    [sym_keyword_boolean] = ACTIONS(1015),
    [sym_keyword_bit] = ACTIONS(1017),
    [sym_keyword_binary] = ACTIONS(1019),
    [sym_keyword_varbinary] = ACTIONS(1021),
    [sym_keyword_image] = ACTIONS(1015),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1023),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1023),
    [aux_sym_keyword_serial_token1] = ACTIONS(1025),
    [aux_sym_keyword_serial_token2] = ACTIONS(1025),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1027),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1027),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1029),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1029),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1031),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1031),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1033),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1033),
    [aux_sym_keyword_int_token1] = ACTIONS(1035),
    [aux_sym_keyword_int_token2] = ACTIONS(1035),
    [aux_sym_keyword_int_token3] = ACTIONS(1035),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1037),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1037),
    [sym_keyword_decimal] = ACTIONS(1039),
    [sym_keyword_numeric] = ACTIONS(1041),
    [aux_sym_keyword_real_token1] = ACTIONS(1043),
    [aux_sym_keyword_real_token2] = ACTIONS(1043),
    [sym_keyword_float] = ACTIONS(1045),
    [sym_keyword_double] = ACTIONS(1047),
    [sym_keyword_inet] = ACTIONS(1015),
    [sym_keyword_money] = ACTIONS(1015),
    [sym_keyword_smallmoney] = ACTIONS(1015),
    [aux_sym_keyword_char_token1] = ACTIONS(1049),
    [sym_keyword_nchar] = ACTIONS(1051),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1053),
    [sym_keyword_nvarchar] = ACTIONS(1055),
    [sym_keyword_text] = ACTIONS(1015),
    [sym_keyword_string] = ACTIONS(1015),
    [sym_keyword_uuid] = ACTIONS(1015),
    [sym_keyword_json] = ACTIONS(1015),
    [sym_keyword_jsonb] = ACTIONS(1015),
    [sym_keyword_xml] = ACTIONS(1015),
    [sym_keyword_bytea] = ACTIONS(1015),
    [sym_keyword_enum] = ACTIONS(1057),
    [sym_keyword_date] = ACTIONS(1015),
    [sym_keyword_datetime] = ACTIONS(1015),
    [sym_keyword_datetime2] = ACTIONS(1015),
    [sym_keyword_smalldatetime] = ACTIONS(1015),
    [sym_keyword_datetimeoffset] = ACTIONS(1059),
    [sym_keyword_time] = ACTIONS(1061),
    [sym_keyword_timestamp] = ACTIONS(1063),
    [sym_keyword_timestamptz] = ACTIONS(1015),
    [sym_keyword_interval] = ACTIONS(1015),
    [sym_keyword_geometry] = ACTIONS(1015),
    [sym_keyword_geography] = ACTIONS(1015),
    [sym_keyword_box2d] = ACTIONS(1015),
    [sym_keyword_box3d] = ACTIONS(1015),
    [sym_keyword_oid] = ACTIONS(1015),
    [sym_keyword_name] = ACTIONS(1015),
    [sym_keyword_regclass] = ACTIONS(1015),
    [sym_keyword_regnamespace] = ACTIONS(1015),
    [sym_keyword_regproc] = ACTIONS(1015),
    [sym_keyword_regtype] = ACTIONS(1015),
    [aux_sym_double_token1] = ACTIONS(1065),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1067),
    [aux_sym_identifier_token1] = ACTIONS(1067),
  },
  [45] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1840),
    [sym_keyword_smallint] = STATE(1848),
    [sym_keyword_mediumint] = STATE(1877),
    [sym_keyword_int] = STATE(1842),
    [sym_keyword_bigint] = STATE(1883),
    [sym_keyword_real] = STATE(1886),
    [sym_keyword_char] = STATE(2313),
    [sym_keyword_varchar] = STATE(2217),
    [sym__type] = STATE(9824),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7225),
    [sym_identifier] = STATE(5623),
    [sym__identifier] = ACTIONS(119),
    [aux_sym_keyword_character_token1] = ACTIONS(57),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(63),
    [sym_keyword_bit] = ACTIONS(65),
    [sym_keyword_binary] = ACTIONS(67),
    [sym_keyword_varbinary] = ACTIONS(69),
    [sym_keyword_image] = ACTIONS(63),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(71),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(71),
    [aux_sym_keyword_serial_token1] = ACTIONS(73),
    [aux_sym_keyword_serial_token2] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(75),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(77),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(77),
    [aux_sym_keyword_smallint_token1] = ACTIONS(79),
    [aux_sym_keyword_smallint_token2] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(81),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token1] = ACTIONS(83),
    [aux_sym_keyword_int_token2] = ACTIONS(83),
    [aux_sym_keyword_int_token3] = ACTIONS(83),
    [aux_sym_keyword_bigint_token1] = ACTIONS(85),
    [aux_sym_keyword_bigint_token2] = ACTIONS(85),
    [sym_keyword_decimal] = ACTIONS(87),
    [sym_keyword_numeric] = ACTIONS(89),
    [aux_sym_keyword_real_token1] = ACTIONS(91),
    [aux_sym_keyword_real_token2] = ACTIONS(91),
    [sym_keyword_float] = ACTIONS(93),
    [sym_keyword_double] = ACTIONS(95),
    [sym_keyword_inet] = ACTIONS(63),
    [sym_keyword_money] = ACTIONS(63),
    [sym_keyword_smallmoney] = ACTIONS(63),
    [aux_sym_keyword_char_token1] = ACTIONS(97),
    [sym_keyword_nchar] = ACTIONS(99),
    [aux_sym_keyword_varchar_token1] = ACTIONS(101),
    [sym_keyword_nvarchar] = ACTIONS(103),
    [sym_keyword_text] = ACTIONS(63),
    [sym_keyword_string] = ACTIONS(63),
    [sym_keyword_uuid] = ACTIONS(63),
    [sym_keyword_json] = ACTIONS(63),
    [sym_keyword_jsonb] = ACTIONS(63),
    [sym_keyword_xml] = ACTIONS(63),
    [sym_keyword_bytea] = ACTIONS(63),
    [sym_keyword_enum] = ACTIONS(105),
    [sym_keyword_date] = ACTIONS(63),
    [sym_keyword_datetime] = ACTIONS(63),
    [sym_keyword_datetime2] = ACTIONS(63),
    [sym_keyword_smalldatetime] = ACTIONS(63),
    [sym_keyword_datetimeoffset] = ACTIONS(107),
    [sym_keyword_time] = ACTIONS(109),
    [sym_keyword_timestamp] = ACTIONS(111),
    [sym_keyword_timestamptz] = ACTIONS(63),
    [sym_keyword_interval] = ACTIONS(63),
    [sym_keyword_geometry] = ACTIONS(63),
    [sym_keyword_geography] = ACTIONS(63),
    [sym_keyword_box2d] = ACTIONS(63),
    [sym_keyword_box3d] = ACTIONS(63),
    [sym_keyword_oid] = ACTIONS(63),
    [sym_keyword_name] = ACTIONS(63),
    [sym_keyword_regclass] = ACTIONS(63),
    [sym_keyword_regnamespace] = ACTIONS(63),
    [sym_keyword_regproc] = ACTIONS(63),
    [sym_keyword_regtype] = ACTIONS(63),
    [aux_sym_double_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(127),
    [aux_sym_identifier_token1] = ACTIONS(127),
  },
  [46] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1840),
    [sym_keyword_smallint] = STATE(1848),
    [sym_keyword_mediumint] = STATE(1877),
    [sym_keyword_int] = STATE(1842),
    [sym_keyword_bigint] = STATE(1883),
    [sym_keyword_real] = STATE(1886),
    [sym_keyword_char] = STATE(2313),
    [sym_keyword_varchar] = STATE(2217),
    [sym__type] = STATE(14386),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7225),
    [sym_identifier] = STATE(5623),
    [sym__identifier] = ACTIONS(119),
    [aux_sym_keyword_character_token1] = ACTIONS(57),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(63),
    [sym_keyword_bit] = ACTIONS(65),
    [sym_keyword_binary] = ACTIONS(67),
    [sym_keyword_varbinary] = ACTIONS(69),
    [sym_keyword_image] = ACTIONS(63),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(71),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(71),
    [aux_sym_keyword_serial_token1] = ACTIONS(73),
    [aux_sym_keyword_serial_token2] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(75),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(77),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(77),
    [aux_sym_keyword_smallint_token1] = ACTIONS(79),
    [aux_sym_keyword_smallint_token2] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(81),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token1] = ACTIONS(83),
    [aux_sym_keyword_int_token2] = ACTIONS(83),
    [aux_sym_keyword_int_token3] = ACTIONS(83),
    [aux_sym_keyword_bigint_token1] = ACTIONS(85),
    [aux_sym_keyword_bigint_token2] = ACTIONS(85),
    [sym_keyword_decimal] = ACTIONS(87),
    [sym_keyword_numeric] = ACTIONS(89),
    [aux_sym_keyword_real_token1] = ACTIONS(91),
    [aux_sym_keyword_real_token2] = ACTIONS(91),
    [sym_keyword_float] = ACTIONS(93),
    [sym_keyword_double] = ACTIONS(95),
    [sym_keyword_inet] = ACTIONS(63),
    [sym_keyword_money] = ACTIONS(63),
    [sym_keyword_smallmoney] = ACTIONS(63),
    [aux_sym_keyword_char_token1] = ACTIONS(97),
    [sym_keyword_nchar] = ACTIONS(99),
    [aux_sym_keyword_varchar_token1] = ACTIONS(101),
    [sym_keyword_nvarchar] = ACTIONS(103),
    [sym_keyword_text] = ACTIONS(63),
    [sym_keyword_string] = ACTIONS(63),
    [sym_keyword_uuid] = ACTIONS(63),
    [sym_keyword_json] = ACTIONS(63),
    [sym_keyword_jsonb] = ACTIONS(63),
    [sym_keyword_xml] = ACTIONS(63),
    [sym_keyword_bytea] = ACTIONS(63),
    [sym_keyword_enum] = ACTIONS(105),
    [sym_keyword_date] = ACTIONS(63),
    [sym_keyword_datetime] = ACTIONS(63),
    [sym_keyword_datetime2] = ACTIONS(63),
    [sym_keyword_smalldatetime] = ACTIONS(63),
    [sym_keyword_datetimeoffset] = ACTIONS(107),
    [sym_keyword_time] = ACTIONS(109),
    [sym_keyword_timestamp] = ACTIONS(111),
    [sym_keyword_timestamptz] = ACTIONS(63),
    [sym_keyword_interval] = ACTIONS(63),
    [sym_keyword_geometry] = ACTIONS(63),
    [sym_keyword_geography] = ACTIONS(63),
    [sym_keyword_box2d] = ACTIONS(63),
    [sym_keyword_box3d] = ACTIONS(63),
    [sym_keyword_oid] = ACTIONS(63),
    [sym_keyword_name] = ACTIONS(63),
    [sym_keyword_regclass] = ACTIONS(63),
    [sym_keyword_regnamespace] = ACTIONS(63),
    [sym_keyword_regproc] = ACTIONS(63),
    [sym_keyword_regtype] = ACTIONS(63),
    [aux_sym_double_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(127),
    [aux_sym_identifier_token1] = ACTIONS(127),
  },
  [47] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1840),
    [sym_keyword_smallint] = STATE(1848),
    [sym_keyword_mediumint] = STATE(1877),
    [sym_keyword_int] = STATE(1842),
    [sym_keyword_bigint] = STATE(1883),
    [sym_keyword_real] = STATE(1886),
    [sym_keyword_char] = STATE(2313),
    [sym_keyword_varchar] = STATE(2217),
    [sym__type] = STATE(13510),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7225),
    [sym_identifier] = STATE(5623),
    [sym__identifier] = ACTIONS(119),
    [aux_sym_keyword_character_token1] = ACTIONS(57),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(63),
    [sym_keyword_bit] = ACTIONS(65),
    [sym_keyword_binary] = ACTIONS(67),
    [sym_keyword_varbinary] = ACTIONS(69),
    [sym_keyword_image] = ACTIONS(63),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(71),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(71),
    [aux_sym_keyword_serial_token1] = ACTIONS(73),
    [aux_sym_keyword_serial_token2] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(75),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(77),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(77),
    [aux_sym_keyword_smallint_token1] = ACTIONS(79),
    [aux_sym_keyword_smallint_token2] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(81),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token1] = ACTIONS(83),
    [aux_sym_keyword_int_token2] = ACTIONS(83),
    [aux_sym_keyword_int_token3] = ACTIONS(83),
    [aux_sym_keyword_bigint_token1] = ACTIONS(85),
    [aux_sym_keyword_bigint_token2] = ACTIONS(85),
    [sym_keyword_decimal] = ACTIONS(87),
    [sym_keyword_numeric] = ACTIONS(89),
    [aux_sym_keyword_real_token1] = ACTIONS(91),
    [aux_sym_keyword_real_token2] = ACTIONS(91),
    [sym_keyword_float] = ACTIONS(93),
    [sym_keyword_double] = ACTIONS(95),
    [sym_keyword_inet] = ACTIONS(63),
    [sym_keyword_money] = ACTIONS(63),
    [sym_keyword_smallmoney] = ACTIONS(63),
    [aux_sym_keyword_char_token1] = ACTIONS(97),
    [sym_keyword_nchar] = ACTIONS(99),
    [aux_sym_keyword_varchar_token1] = ACTIONS(101),
    [sym_keyword_nvarchar] = ACTIONS(103),
    [sym_keyword_text] = ACTIONS(63),
    [sym_keyword_string] = ACTIONS(63),
    [sym_keyword_uuid] = ACTIONS(63),
    [sym_keyword_json] = ACTIONS(63),
    [sym_keyword_jsonb] = ACTIONS(63),
    [sym_keyword_xml] = ACTIONS(63),
    [sym_keyword_bytea] = ACTIONS(63),
    [sym_keyword_enum] = ACTIONS(105),
    [sym_keyword_date] = ACTIONS(63),
    [sym_keyword_datetime] = ACTIONS(63),
    [sym_keyword_datetime2] = ACTIONS(63),
    [sym_keyword_smalldatetime] = ACTIONS(63),
    [sym_keyword_datetimeoffset] = ACTIONS(107),
    [sym_keyword_time] = ACTIONS(109),
    [sym_keyword_timestamp] = ACTIONS(111),
    [sym_keyword_timestamptz] = ACTIONS(63),
    [sym_keyword_interval] = ACTIONS(63),
    [sym_keyword_geometry] = ACTIONS(63),
    [sym_keyword_geography] = ACTIONS(63),
    [sym_keyword_box2d] = ACTIONS(63),
    [sym_keyword_box3d] = ACTIONS(63),
    [sym_keyword_oid] = ACTIONS(63),
    [sym_keyword_name] = ACTIONS(63),
    [sym_keyword_regclass] = ACTIONS(63),
    [sym_keyword_regnamespace] = ACTIONS(63),
    [sym_keyword_regproc] = ACTIONS(63),
    [sym_keyword_regtype] = ACTIONS(63),
    [aux_sym_double_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(127),
    [aux_sym_identifier_token1] = ACTIONS(127),
  },
  [48] = {
    [sym_keyword_smallserial] = STATE(3057),
    [sym_keyword_serial] = STATE(3057),
    [sym_keyword_bigserial] = STATE(3057),
    [sym_keyword_tinyint] = STATE(3083),
    [sym_keyword_smallint] = STATE(3080),
    [sym_keyword_mediumint] = STATE(3079),
    [sym_keyword_int] = STATE(3073),
    [sym_keyword_bigint] = STATE(3072),
    [sym_keyword_real] = STATE(3065),
    [sym_keyword_char] = STATE(3841),
    [sym_keyword_varchar] = STATE(3842),
    [sym__type] = STATE(4432),
    [sym_tinyint] = STATE(3057),
    [sym_smallint] = STATE(3057),
    [sym_mediumint] = STATE(3057),
    [sym_int] = STATE(3057),
    [sym_bigint] = STATE(3057),
    [sym_bit] = STATE(3057),
    [sym_binary] = STATE(3057),
    [sym_varbinary] = STATE(3057),
    [sym_float] = STATE(3057),
    [sym_double] = STATE(3057),
    [sym_decimal] = STATE(3057),
    [sym_numeric] = STATE(3057),
    [sym_char] = STATE(3057),
    [sym_varchar] = STATE(3057),
    [sym_nchar] = STATE(3057),
    [sym_nvarchar] = STATE(3057),
    [sym_datetimeoffset] = STATE(3057),
    [sym_time] = STATE(3057),
    [sym_timestamp] = STATE(3057),
    [sym_enum] = STATE(3057),
    [sym_object_reference] = STATE(3048),
    [sym_identifier] = STATE(3543),
    [sym__identifier] = ACTIONS(399),
    [aux_sym_keyword_character_token1] = ACTIONS(401),
    [sym_keyword_unsigned] = ACTIONS(403),
    [sym_keyword_boolean] = ACTIONS(405),
    [sym_keyword_bit] = ACTIONS(407),
    [sym_keyword_binary] = ACTIONS(409),
    [sym_keyword_varbinary] = ACTIONS(411),
    [sym_keyword_image] = ACTIONS(405),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(413),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(413),
    [aux_sym_keyword_serial_token1] = ACTIONS(415),
    [aux_sym_keyword_serial_token2] = ACTIONS(415),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(417),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(417),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(419),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(419),
    [aux_sym_keyword_smallint_token1] = ACTIONS(421),
    [aux_sym_keyword_smallint_token2] = ACTIONS(421),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(423),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(423),
    [aux_sym_keyword_int_token1] = ACTIONS(425),
    [aux_sym_keyword_int_token2] = ACTIONS(425),
    [aux_sym_keyword_int_token3] = ACTIONS(425),
    [aux_sym_keyword_bigint_token1] = ACTIONS(427),
    [aux_sym_keyword_bigint_token2] = ACTIONS(427),
    [sym_keyword_decimal] = ACTIONS(429),
    [sym_keyword_numeric] = ACTIONS(431),
    [aux_sym_keyword_real_token1] = ACTIONS(433),
    [aux_sym_keyword_real_token2] = ACTIONS(433),
    [sym_keyword_float] = ACTIONS(435),
    [sym_keyword_double] = ACTIONS(437),
    [sym_keyword_inet] = ACTIONS(405),
    [sym_keyword_money] = ACTIONS(405),
    [sym_keyword_smallmoney] = ACTIONS(405),
    [aux_sym_keyword_char_token1] = ACTIONS(439),
    [sym_keyword_nchar] = ACTIONS(441),
    [aux_sym_keyword_varchar_token1] = ACTIONS(443),
    [sym_keyword_nvarchar] = ACTIONS(445),
    [sym_keyword_text] = ACTIONS(405),
    [sym_keyword_string] = ACTIONS(405),
    [sym_keyword_uuid] = ACTIONS(405),
    [sym_keyword_json] = ACTIONS(405),
    [sym_keyword_jsonb] = ACTIONS(405),
    [sym_keyword_xml] = ACTIONS(405),
    [sym_keyword_bytea] = ACTIONS(405),
    [sym_keyword_enum] = ACTIONS(447),
    [sym_keyword_date] = ACTIONS(405),
    [sym_keyword_datetime] = ACTIONS(405),
    [sym_keyword_datetime2] = ACTIONS(405),
    [sym_keyword_smalldatetime] = ACTIONS(405),
    [sym_keyword_datetimeoffset] = ACTIONS(449),
    [sym_keyword_time] = ACTIONS(1069),
    [sym_keyword_timestamp] = ACTIONS(1071),
    [sym_keyword_timestamptz] = ACTIONS(405),
    [sym_keyword_interval] = ACTIONS(405),
    [sym_keyword_geometry] = ACTIONS(405),
    [sym_keyword_geography] = ACTIONS(405),
    [sym_keyword_box2d] = ACTIONS(405),
    [sym_keyword_box3d] = ACTIONS(405),
    [sym_keyword_oid] = ACTIONS(405),
    [sym_keyword_name] = ACTIONS(405),
    [sym_keyword_regclass] = ACTIONS(405),
    [sym_keyword_regnamespace] = ACTIONS(405),
    [sym_keyword_regproc] = ACTIONS(405),
    [sym_keyword_regtype] = ACTIONS(405),
    [aux_sym_double_token1] = ACTIONS(455),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(457),
    [aux_sym_identifier_token1] = ACTIONS(457),
  },
  [49] = {
    [sym_keyword_smallserial] = STATE(2965),
    [sym_keyword_serial] = STATE(2965),
    [sym_keyword_bigserial] = STATE(2965),
    [sym_keyword_tinyint] = STATE(2528),
    [sym_keyword_smallint] = STATE(2372),
    [sym_keyword_mediumint] = STATE(2526),
    [sym_keyword_int] = STATE(2525),
    [sym_keyword_bigint] = STATE(2524),
    [sym_keyword_real] = STATE(2522),
    [sym_keyword_char] = STATE(2756),
    [sym_keyword_varchar] = STATE(2757),
    [sym__type] = STATE(4491),
    [sym_tinyint] = STATE(2965),
    [sym_smallint] = STATE(2965),
    [sym_mediumint] = STATE(2965),
    [sym_int] = STATE(2965),
    [sym_bigint] = STATE(2965),
    [sym_bit] = STATE(2965),
    [sym_binary] = STATE(2965),
    [sym_varbinary] = STATE(2965),
    [sym_float] = STATE(2965),
    [sym_double] = STATE(2965),
    [sym_decimal] = STATE(2965),
    [sym_numeric] = STATE(2965),
    [sym_char] = STATE(2965),
    [sym_varchar] = STATE(2965),
    [sym_nchar] = STATE(2965),
    [sym_nvarchar] = STATE(2965),
    [sym_datetimeoffset] = STATE(2965),
    [sym_time] = STATE(2965),
    [sym_timestamp] = STATE(2965),
    [sym_enum] = STATE(2965),
    [sym_object_reference] = STATE(2967),
    [sym_identifier] = STATE(3790),
    [sym__identifier] = ACTIONS(463),
    [aux_sym_keyword_character_token1] = ACTIONS(465),
    [sym_keyword_unsigned] = ACTIONS(467),
    [sym_keyword_boolean] = ACTIONS(469),
    [sym_keyword_bit] = ACTIONS(471),
    [sym_keyword_binary] = ACTIONS(473),
    [sym_keyword_varbinary] = ACTIONS(475),
    [sym_keyword_image] = ACTIONS(469),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(477),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(477),
    [aux_sym_keyword_serial_token1] = ACTIONS(479),
    [aux_sym_keyword_serial_token2] = ACTIONS(479),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(481),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(481),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(483),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(483),
    [aux_sym_keyword_smallint_token1] = ACTIONS(485),
    [aux_sym_keyword_smallint_token2] = ACTIONS(485),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(487),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(487),
    [aux_sym_keyword_int_token1] = ACTIONS(489),
    [aux_sym_keyword_int_token2] = ACTIONS(489),
    [aux_sym_keyword_int_token3] = ACTIONS(489),
    [aux_sym_keyword_bigint_token1] = ACTIONS(491),
    [aux_sym_keyword_bigint_token2] = ACTIONS(491),
    [sym_keyword_decimal] = ACTIONS(493),
    [sym_keyword_numeric] = ACTIONS(495),
    [aux_sym_keyword_real_token1] = ACTIONS(497),
    [aux_sym_keyword_real_token2] = ACTIONS(497),
    [sym_keyword_float] = ACTIONS(499),
    [sym_keyword_double] = ACTIONS(501),
    [sym_keyword_inet] = ACTIONS(469),
    [sym_keyword_money] = ACTIONS(469),
    [sym_keyword_smallmoney] = ACTIONS(469),
    [aux_sym_keyword_char_token1] = ACTIONS(503),
    [sym_keyword_nchar] = ACTIONS(505),
    [aux_sym_keyword_varchar_token1] = ACTIONS(507),
    [sym_keyword_nvarchar] = ACTIONS(509),
    [sym_keyword_text] = ACTIONS(469),
    [sym_keyword_string] = ACTIONS(469),
    [sym_keyword_uuid] = ACTIONS(469),
    [sym_keyword_json] = ACTIONS(469),
    [sym_keyword_jsonb] = ACTIONS(469),
    [sym_keyword_xml] = ACTIONS(469),
    [sym_keyword_bytea] = ACTIONS(469),
    [sym_keyword_enum] = ACTIONS(511),
    [sym_keyword_date] = ACTIONS(469),
    [sym_keyword_datetime] = ACTIONS(469),
    [sym_keyword_datetime2] = ACTIONS(469),
    [sym_keyword_smalldatetime] = ACTIONS(469),
    [sym_keyword_datetimeoffset] = ACTIONS(513),
    [sym_keyword_time] = ACTIONS(1073),
    [sym_keyword_timestamp] = ACTIONS(1075),
    [sym_keyword_timestamptz] = ACTIONS(469),
    [sym_keyword_interval] = ACTIONS(469),
    [sym_keyword_geometry] = ACTIONS(469),
    [sym_keyword_geography] = ACTIONS(469),
    [sym_keyword_box2d] = ACTIONS(469),
    [sym_keyword_box3d] = ACTIONS(469),
    [sym_keyword_oid] = ACTIONS(469),
    [sym_keyword_name] = ACTIONS(469),
    [sym_keyword_regclass] = ACTIONS(469),
    [sym_keyword_regnamespace] = ACTIONS(469),
    [sym_keyword_regproc] = ACTIONS(469),
    [sym_keyword_regtype] = ACTIONS(469),
    [aux_sym_double_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(521),
    [aux_sym_identifier_token1] = ACTIONS(521),
  },
  [50] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1840),
    [sym_keyword_smallint] = STATE(1848),
    [sym_keyword_mediumint] = STATE(1877),
    [sym_keyword_int] = STATE(1842),
    [sym_keyword_bigint] = STATE(1883),
    [sym_keyword_real] = STATE(1886),
    [sym_keyword_char] = STATE(2313),
    [sym_keyword_varchar] = STATE(2217),
    [sym__type] = STATE(10126),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7225),
    [sym_identifier] = STATE(5623),
    [sym__identifier] = ACTIONS(119),
    [aux_sym_keyword_character_token1] = ACTIONS(57),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(63),
    [sym_keyword_bit] = ACTIONS(65),
    [sym_keyword_binary] = ACTIONS(67),
    [sym_keyword_varbinary] = ACTIONS(69),
    [sym_keyword_image] = ACTIONS(63),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(71),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(71),
    [aux_sym_keyword_serial_token1] = ACTIONS(73),
    [aux_sym_keyword_serial_token2] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(75),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(77),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(77),
    [aux_sym_keyword_smallint_token1] = ACTIONS(79),
    [aux_sym_keyword_smallint_token2] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(81),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token1] = ACTIONS(83),
    [aux_sym_keyword_int_token2] = ACTIONS(83),
    [aux_sym_keyword_int_token3] = ACTIONS(83),
    [aux_sym_keyword_bigint_token1] = ACTIONS(85),
    [aux_sym_keyword_bigint_token2] = ACTIONS(85),
    [sym_keyword_decimal] = ACTIONS(87),
    [sym_keyword_numeric] = ACTIONS(89),
    [aux_sym_keyword_real_token1] = ACTIONS(91),
    [aux_sym_keyword_real_token2] = ACTIONS(91),
    [sym_keyword_float] = ACTIONS(93),
    [sym_keyword_double] = ACTIONS(95),
    [sym_keyword_inet] = ACTIONS(63),
    [sym_keyword_money] = ACTIONS(63),
    [sym_keyword_smallmoney] = ACTIONS(63),
    [aux_sym_keyword_char_token1] = ACTIONS(97),
    [sym_keyword_nchar] = ACTIONS(99),
    [aux_sym_keyword_varchar_token1] = ACTIONS(101),
    [sym_keyword_nvarchar] = ACTIONS(103),
    [sym_keyword_text] = ACTIONS(63),
    [sym_keyword_string] = ACTIONS(63),
    [sym_keyword_uuid] = ACTIONS(63),
    [sym_keyword_json] = ACTIONS(63),
    [sym_keyword_jsonb] = ACTIONS(63),
    [sym_keyword_xml] = ACTIONS(63),
    [sym_keyword_bytea] = ACTIONS(63),
    [sym_keyword_enum] = ACTIONS(105),
    [sym_keyword_date] = ACTIONS(63),
    [sym_keyword_datetime] = ACTIONS(63),
    [sym_keyword_datetime2] = ACTIONS(63),
    [sym_keyword_smalldatetime] = ACTIONS(63),
    [sym_keyword_datetimeoffset] = ACTIONS(107),
    [sym_keyword_time] = ACTIONS(109),
    [sym_keyword_timestamp] = ACTIONS(111),
    [sym_keyword_timestamptz] = ACTIONS(63),
    [sym_keyword_interval] = ACTIONS(63),
    [sym_keyword_geometry] = ACTIONS(63),
    [sym_keyword_geography] = ACTIONS(63),
    [sym_keyword_box2d] = ACTIONS(63),
    [sym_keyword_box3d] = ACTIONS(63),
    [sym_keyword_oid] = ACTIONS(63),
    [sym_keyword_name] = ACTIONS(63),
    [sym_keyword_regclass] = ACTIONS(63),
    [sym_keyword_regnamespace] = ACTIONS(63),
    [sym_keyword_regproc] = ACTIONS(63),
    [sym_keyword_regtype] = ACTIONS(63),
    [aux_sym_double_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(127),
    [aux_sym_identifier_token1] = ACTIONS(127),
  },
  [51] = {
    [sym_keyword_smallserial] = STATE(961),
    [sym_keyword_serial] = STATE(961),
    [sym_keyword_bigserial] = STATE(961),
    [sym_keyword_tinyint] = STATE(428),
    [sym_keyword_smallint] = STATE(427),
    [sym_keyword_mediumint] = STATE(418),
    [sym_keyword_int] = STATE(425),
    [sym_keyword_bigint] = STATE(424),
    [sym_keyword_real] = STATE(423),
    [sym_keyword_char] = STATE(670),
    [sym_keyword_varchar] = STATE(672),
    [sym__type] = STATE(2107),
    [sym_tinyint] = STATE(961),
    [sym_smallint] = STATE(961),
    [sym_mediumint] = STATE(961),
    [sym_int] = STATE(961),
    [sym_bigint] = STATE(961),
    [sym_bit] = STATE(961),
    [sym_binary] = STATE(961),
    [sym_varbinary] = STATE(961),
    [sym_float] = STATE(961),
    [sym_double] = STATE(961),
    [sym_decimal] = STATE(961),
    [sym_numeric] = STATE(961),
    [sym_char] = STATE(961),
    [sym_varchar] = STATE(961),
    [sym_nchar] = STATE(961),
    [sym_nvarchar] = STATE(961),
    [sym_datetimeoffset] = STATE(961),
    [sym_time] = STATE(961),
    [sym_timestamp] = STATE(961),
    [sym_enum] = STATE(961),
    [sym_object_reference] = STATE(960),
    [sym_identifier] = STATE(1853),
    [sym__identifier] = ACTIONS(1077),
    [aux_sym_keyword_character_token1] = ACTIONS(585),
    [sym_keyword_unsigned] = ACTIONS(587),
    [sym_keyword_boolean] = ACTIONS(1079),
    [sym_keyword_bit] = ACTIONS(591),
    [sym_keyword_binary] = ACTIONS(593),
    [sym_keyword_varbinary] = ACTIONS(595),
    [sym_keyword_image] = ACTIONS(1079),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(597),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(597),
    [aux_sym_keyword_serial_token1] = ACTIONS(599),
    [aux_sym_keyword_serial_token2] = ACTIONS(599),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(601),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(601),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(603),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(603),
    [aux_sym_keyword_smallint_token1] = ACTIONS(605),
    [aux_sym_keyword_smallint_token2] = ACTIONS(605),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(607),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(607),
    [aux_sym_keyword_int_token1] = ACTIONS(609),
    [aux_sym_keyword_int_token2] = ACTIONS(609),
    [aux_sym_keyword_int_token3] = ACTIONS(609),
    [aux_sym_keyword_bigint_token1] = ACTIONS(611),
    [aux_sym_keyword_bigint_token2] = ACTIONS(611),
    [sym_keyword_decimal] = ACTIONS(613),
    [sym_keyword_numeric] = ACTIONS(615),
    [aux_sym_keyword_real_token1] = ACTIONS(617),
    [aux_sym_keyword_real_token2] = ACTIONS(617),
    [sym_keyword_float] = ACTIONS(619),
    [sym_keyword_double] = ACTIONS(621),
    [sym_keyword_inet] = ACTIONS(1079),
    [sym_keyword_money] = ACTIONS(1079),
    [sym_keyword_smallmoney] = ACTIONS(1079),
    [aux_sym_keyword_char_token1] = ACTIONS(623),
    [sym_keyword_nchar] = ACTIONS(625),
    [aux_sym_keyword_varchar_token1] = ACTIONS(627),
    [sym_keyword_nvarchar] = ACTIONS(629),
    [sym_keyword_text] = ACTIONS(1079),
    [sym_keyword_string] = ACTIONS(1079),
    [sym_keyword_uuid] = ACTIONS(1079),
    [sym_keyword_json] = ACTIONS(1079),
    [sym_keyword_jsonb] = ACTIONS(1079),
    [sym_keyword_xml] = ACTIONS(1079),
    [sym_keyword_bytea] = ACTIONS(1079),
    [sym_keyword_enum] = ACTIONS(631),
    [sym_keyword_date] = ACTIONS(1079),
    [sym_keyword_datetime] = ACTIONS(1079),
    [sym_keyword_datetime2] = ACTIONS(1079),
    [sym_keyword_smalldatetime] = ACTIONS(1079),
    [sym_keyword_datetimeoffset] = ACTIONS(633),
    [sym_keyword_time] = ACTIONS(635),
    [sym_keyword_timestamp] = ACTIONS(637),
    [sym_keyword_timestamptz] = ACTIONS(1079),
    [sym_keyword_interval] = ACTIONS(1079),
    [sym_keyword_geometry] = ACTIONS(1079),
    [sym_keyword_geography] = ACTIONS(1079),
    [sym_keyword_box2d] = ACTIONS(1079),
    [sym_keyword_box3d] = ACTIONS(1079),
    [sym_keyword_oid] = ACTIONS(1079),
    [sym_keyword_name] = ACTIONS(1079),
    [sym_keyword_regclass] = ACTIONS(1079),
    [sym_keyword_regnamespace] = ACTIONS(1079),
    [sym_keyword_regproc] = ACTIONS(1079),
    [sym_keyword_regtype] = ACTIONS(1079),
    [aux_sym_double_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1081),
    [aux_sym_identifier_token1] = ACTIONS(1081),
  },
  [52] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1840),
    [sym_keyword_smallint] = STATE(1848),
    [sym_keyword_mediumint] = STATE(1877),
    [sym_keyword_int] = STATE(1842),
    [sym_keyword_bigint] = STATE(1883),
    [sym_keyword_real] = STATE(1886),
    [sym_keyword_char] = STATE(2313),
    [sym_keyword_varchar] = STATE(2217),
    [sym__type] = STATE(11654),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7225),
    [sym_identifier] = STATE(5623),
    [sym__identifier] = ACTIONS(119),
    [aux_sym_keyword_character_token1] = ACTIONS(57),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(63),
    [sym_keyword_bit] = ACTIONS(65),
    [sym_keyword_binary] = ACTIONS(67),
    [sym_keyword_varbinary] = ACTIONS(69),
    [sym_keyword_image] = ACTIONS(63),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(71),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(71),
    [aux_sym_keyword_serial_token1] = ACTIONS(73),
    [aux_sym_keyword_serial_token2] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(75),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(77),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(77),
    [aux_sym_keyword_smallint_token1] = ACTIONS(79),
    [aux_sym_keyword_smallint_token2] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(81),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token1] = ACTIONS(83),
    [aux_sym_keyword_int_token2] = ACTIONS(83),
    [aux_sym_keyword_int_token3] = ACTIONS(83),
    [aux_sym_keyword_bigint_token1] = ACTIONS(85),
    [aux_sym_keyword_bigint_token2] = ACTIONS(85),
    [sym_keyword_decimal] = ACTIONS(87),
    [sym_keyword_numeric] = ACTIONS(89),
    [aux_sym_keyword_real_token1] = ACTIONS(91),
    [aux_sym_keyword_real_token2] = ACTIONS(91),
    [sym_keyword_float] = ACTIONS(93),
    [sym_keyword_double] = ACTIONS(95),
    [sym_keyword_inet] = ACTIONS(63),
    [sym_keyword_money] = ACTIONS(63),
    [sym_keyword_smallmoney] = ACTIONS(63),
    [aux_sym_keyword_char_token1] = ACTIONS(97),
    [sym_keyword_nchar] = ACTIONS(99),
    [aux_sym_keyword_varchar_token1] = ACTIONS(101),
    [sym_keyword_nvarchar] = ACTIONS(103),
    [sym_keyword_text] = ACTIONS(63),
    [sym_keyword_string] = ACTIONS(63),
    [sym_keyword_uuid] = ACTIONS(63),
    [sym_keyword_json] = ACTIONS(63),
    [sym_keyword_jsonb] = ACTIONS(63),
    [sym_keyword_xml] = ACTIONS(63),
    [sym_keyword_bytea] = ACTIONS(63),
    [sym_keyword_enum] = ACTIONS(105),
    [sym_keyword_date] = ACTIONS(63),
    [sym_keyword_datetime] = ACTIONS(63),
    [sym_keyword_datetime2] = ACTIONS(63),
    [sym_keyword_smalldatetime] = ACTIONS(63),
    [sym_keyword_datetimeoffset] = ACTIONS(107),
    [sym_keyword_time] = ACTIONS(109),
    [sym_keyword_timestamp] = ACTIONS(111),
    [sym_keyword_timestamptz] = ACTIONS(63),
    [sym_keyword_interval] = ACTIONS(63),
    [sym_keyword_geometry] = ACTIONS(63),
    [sym_keyword_geography] = ACTIONS(63),
    [sym_keyword_box2d] = ACTIONS(63),
    [sym_keyword_box3d] = ACTIONS(63),
    [sym_keyword_oid] = ACTIONS(63),
    [sym_keyword_name] = ACTIONS(63),
    [sym_keyword_regclass] = ACTIONS(63),
    [sym_keyword_regnamespace] = ACTIONS(63),
    [sym_keyword_regproc] = ACTIONS(63),
    [sym_keyword_regtype] = ACTIONS(63),
    [aux_sym_double_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(127),
    [aux_sym_identifier_token1] = ACTIONS(127),
  },
  [53] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1840),
    [sym_keyword_smallint] = STATE(1848),
    [sym_keyword_mediumint] = STATE(1877),
    [sym_keyword_int] = STATE(1842),
    [sym_keyword_bigint] = STATE(1883),
    [sym_keyword_real] = STATE(1886),
    [sym_keyword_char] = STATE(2313),
    [sym_keyword_varchar] = STATE(2217),
    [sym__type] = STATE(8357),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7225),
    [sym_identifier] = STATE(5623),
    [sym__identifier] = ACTIONS(119),
    [aux_sym_keyword_character_token1] = ACTIONS(57),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(63),
    [sym_keyword_bit] = ACTIONS(65),
    [sym_keyword_binary] = ACTIONS(67),
    [sym_keyword_varbinary] = ACTIONS(69),
    [sym_keyword_image] = ACTIONS(63),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(71),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(71),
    [aux_sym_keyword_serial_token1] = ACTIONS(73),
    [aux_sym_keyword_serial_token2] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(75),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(77),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(77),
    [aux_sym_keyword_smallint_token1] = ACTIONS(79),
    [aux_sym_keyword_smallint_token2] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(81),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token1] = ACTIONS(83),
    [aux_sym_keyword_int_token2] = ACTIONS(83),
    [aux_sym_keyword_int_token3] = ACTIONS(83),
    [aux_sym_keyword_bigint_token1] = ACTIONS(85),
    [aux_sym_keyword_bigint_token2] = ACTIONS(85),
    [sym_keyword_decimal] = ACTIONS(87),
    [sym_keyword_numeric] = ACTIONS(89),
    [aux_sym_keyword_real_token1] = ACTIONS(91),
    [aux_sym_keyword_real_token2] = ACTIONS(91),
    [sym_keyword_float] = ACTIONS(93),
    [sym_keyword_double] = ACTIONS(95),
    [sym_keyword_inet] = ACTIONS(63),
    [sym_keyword_money] = ACTIONS(63),
    [sym_keyword_smallmoney] = ACTIONS(63),
    [aux_sym_keyword_char_token1] = ACTIONS(97),
    [sym_keyword_nchar] = ACTIONS(99),
    [aux_sym_keyword_varchar_token1] = ACTIONS(101),
    [sym_keyword_nvarchar] = ACTIONS(103),
    [sym_keyword_text] = ACTIONS(63),
    [sym_keyword_string] = ACTIONS(63),
    [sym_keyword_uuid] = ACTIONS(63),
    [sym_keyword_json] = ACTIONS(63),
    [sym_keyword_jsonb] = ACTIONS(63),
    [sym_keyword_xml] = ACTIONS(63),
    [sym_keyword_bytea] = ACTIONS(63),
    [sym_keyword_enum] = ACTIONS(105),
    [sym_keyword_date] = ACTIONS(63),
    [sym_keyword_datetime] = ACTIONS(63),
    [sym_keyword_datetime2] = ACTIONS(63),
    [sym_keyword_smalldatetime] = ACTIONS(63),
    [sym_keyword_datetimeoffset] = ACTIONS(107),
    [sym_keyword_time] = ACTIONS(109),
    [sym_keyword_timestamp] = ACTIONS(111),
    [sym_keyword_timestamptz] = ACTIONS(63),
    [sym_keyword_interval] = ACTIONS(63),
    [sym_keyword_geometry] = ACTIONS(63),
    [sym_keyword_geography] = ACTIONS(63),
    [sym_keyword_box2d] = ACTIONS(63),
    [sym_keyword_box3d] = ACTIONS(63),
    [sym_keyword_oid] = ACTIONS(63),
    [sym_keyword_name] = ACTIONS(63),
    [sym_keyword_regclass] = ACTIONS(63),
    [sym_keyword_regnamespace] = ACTIONS(63),
    [sym_keyword_regproc] = ACTIONS(63),
    [sym_keyword_regtype] = ACTIONS(63),
    [aux_sym_double_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(127),
    [aux_sym_identifier_token1] = ACTIONS(127),
  },
  [54] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1840),
    [sym_keyword_smallint] = STATE(1848),
    [sym_keyword_mediumint] = STATE(1877),
    [sym_keyword_int] = STATE(1842),
    [sym_keyword_bigint] = STATE(1883),
    [sym_keyword_real] = STATE(1886),
    [sym_keyword_char] = STATE(2313),
    [sym_keyword_varchar] = STATE(2217),
    [sym__type] = STATE(13739),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7225),
    [sym_identifier] = STATE(5623),
    [sym__identifier] = ACTIONS(119),
    [aux_sym_keyword_character_token1] = ACTIONS(57),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(63),
    [sym_keyword_bit] = ACTIONS(65),
    [sym_keyword_binary] = ACTIONS(67),
    [sym_keyword_varbinary] = ACTIONS(69),
    [sym_keyword_image] = ACTIONS(63),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(71),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(71),
    [aux_sym_keyword_serial_token1] = ACTIONS(73),
    [aux_sym_keyword_serial_token2] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(75),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(77),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(77),
    [aux_sym_keyword_smallint_token1] = ACTIONS(79),
    [aux_sym_keyword_smallint_token2] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(81),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token1] = ACTIONS(83),
    [aux_sym_keyword_int_token2] = ACTIONS(83),
    [aux_sym_keyword_int_token3] = ACTIONS(83),
    [aux_sym_keyword_bigint_token1] = ACTIONS(85),
    [aux_sym_keyword_bigint_token2] = ACTIONS(85),
    [sym_keyword_decimal] = ACTIONS(87),
    [sym_keyword_numeric] = ACTIONS(89),
    [aux_sym_keyword_real_token1] = ACTIONS(91),
    [aux_sym_keyword_real_token2] = ACTIONS(91),
    [sym_keyword_float] = ACTIONS(93),
    [sym_keyword_double] = ACTIONS(95),
    [sym_keyword_inet] = ACTIONS(63),
    [sym_keyword_money] = ACTIONS(63),
    [sym_keyword_smallmoney] = ACTIONS(63),
    [aux_sym_keyword_char_token1] = ACTIONS(97),
    [sym_keyword_nchar] = ACTIONS(99),
    [aux_sym_keyword_varchar_token1] = ACTIONS(101),
    [sym_keyword_nvarchar] = ACTIONS(103),
    [sym_keyword_text] = ACTIONS(63),
    [sym_keyword_string] = ACTIONS(63),
    [sym_keyword_uuid] = ACTIONS(63),
    [sym_keyword_json] = ACTIONS(63),
    [sym_keyword_jsonb] = ACTIONS(63),
    [sym_keyword_xml] = ACTIONS(63),
    [sym_keyword_bytea] = ACTIONS(63),
    [sym_keyword_enum] = ACTIONS(105),
    [sym_keyword_date] = ACTIONS(63),
    [sym_keyword_datetime] = ACTIONS(63),
    [sym_keyword_datetime2] = ACTIONS(63),
    [sym_keyword_smalldatetime] = ACTIONS(63),
    [sym_keyword_datetimeoffset] = ACTIONS(107),
    [sym_keyword_time] = ACTIONS(109),
    [sym_keyword_timestamp] = ACTIONS(111),
    [sym_keyword_timestamptz] = ACTIONS(63),
    [sym_keyword_interval] = ACTIONS(63),
    [sym_keyword_geometry] = ACTIONS(63),
    [sym_keyword_geography] = ACTIONS(63),
    [sym_keyword_box2d] = ACTIONS(63),
    [sym_keyword_box3d] = ACTIONS(63),
    [sym_keyword_oid] = ACTIONS(63),
    [sym_keyword_name] = ACTIONS(63),
    [sym_keyword_regclass] = ACTIONS(63),
    [sym_keyword_regnamespace] = ACTIONS(63),
    [sym_keyword_regproc] = ACTIONS(63),
    [sym_keyword_regtype] = ACTIONS(63),
    [aux_sym_double_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(127),
    [aux_sym_identifier_token1] = ACTIONS(127),
  },
  [55] = {
    [sym_keyword_smallserial] = STATE(1862),
    [sym_keyword_serial] = STATE(1862),
    [sym_keyword_bigserial] = STATE(1862),
    [sym_keyword_tinyint] = STATE(1890),
    [sym_keyword_smallint] = STATE(1874),
    [sym_keyword_mediumint] = STATE(1873),
    [sym_keyword_int] = STATE(1868),
    [sym_keyword_bigint] = STATE(1867),
    [sym_keyword_real] = STATE(1866),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2135),
    [sym__type] = STATE(2660),
    [sym_tinyint] = STATE(1862),
    [sym_smallint] = STATE(1862),
    [sym_mediumint] = STATE(1862),
    [sym_int] = STATE(1862),
    [sym_bigint] = STATE(1862),
    [sym_bit] = STATE(1862),
    [sym_binary] = STATE(1862),
    [sym_varbinary] = STATE(1862),
    [sym_float] = STATE(1862),
    [sym_double] = STATE(1862),
    [sym_decimal] = STATE(1862),
    [sym_numeric] = STATE(1862),
    [sym_char] = STATE(1862),
    [sym_varchar] = STATE(1862),
    [sym_nchar] = STATE(1862),
    [sym_nvarchar] = STATE(1862),
    [sym_datetimeoffset] = STATE(1862),
    [sym_time] = STATE(1862),
    [sym_timestamp] = STATE(1862),
    [sym_enum] = STATE(1862),
    [sym_object_reference] = STATE(1860),
    [sym_identifier] = STATE(2102),
    [sym__identifier] = ACTIONS(1083),
    [aux_sym_keyword_character_token1] = ACTIONS(1085),
    [sym_keyword_unsigned] = ACTIONS(1087),
    [sym_keyword_boolean] = ACTIONS(1089),
    [sym_keyword_bit] = ACTIONS(1091),
    [sym_keyword_binary] = ACTIONS(1093),
    [sym_keyword_varbinary] = ACTIONS(1095),
    [sym_keyword_image] = ACTIONS(1089),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1097),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1097),
    [aux_sym_keyword_serial_token1] = ACTIONS(1099),
    [aux_sym_keyword_serial_token2] = ACTIONS(1099),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1101),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1101),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1103),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1103),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1105),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1105),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1107),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1107),
    [aux_sym_keyword_int_token1] = ACTIONS(1109),
    [aux_sym_keyword_int_token2] = ACTIONS(1109),
    [aux_sym_keyword_int_token3] = ACTIONS(1109),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1111),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1111),
    [sym_keyword_decimal] = ACTIONS(1113),
    [sym_keyword_numeric] = ACTIONS(1115),
    [aux_sym_keyword_real_token1] = ACTIONS(1117),
    [aux_sym_keyword_real_token2] = ACTIONS(1117),
    [sym_keyword_float] = ACTIONS(1119),
    [sym_keyword_double] = ACTIONS(1121),
    [sym_keyword_inet] = ACTIONS(1089),
    [sym_keyword_money] = ACTIONS(1089),
    [sym_keyword_smallmoney] = ACTIONS(1089),
    [aux_sym_keyword_char_token1] = ACTIONS(1123),
    [sym_keyword_nchar] = ACTIONS(1125),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1127),
    [sym_keyword_nvarchar] = ACTIONS(1129),
    [sym_keyword_text] = ACTIONS(1089),
    [sym_keyword_string] = ACTIONS(1089),
    [sym_keyword_uuid] = ACTIONS(1089),
    [sym_keyword_json] = ACTIONS(1089),
    [sym_keyword_jsonb] = ACTIONS(1089),
    [sym_keyword_xml] = ACTIONS(1089),
    [sym_keyword_bytea] = ACTIONS(1089),
    [sym_keyword_enum] = ACTIONS(1131),
    [sym_keyword_date] = ACTIONS(1089),
    [sym_keyword_datetime] = ACTIONS(1089),
    [sym_keyword_datetime2] = ACTIONS(1089),
    [sym_keyword_smalldatetime] = ACTIONS(1089),
    [sym_keyword_datetimeoffset] = ACTIONS(1133),
    [sym_keyword_time] = ACTIONS(1135),
    [sym_keyword_timestamp] = ACTIONS(1137),
    [sym_keyword_timestamptz] = ACTIONS(1089),
    [sym_keyword_interval] = ACTIONS(1089),
    [sym_keyword_geometry] = ACTIONS(1089),
    [sym_keyword_geography] = ACTIONS(1089),
    [sym_keyword_box2d] = ACTIONS(1089),
    [sym_keyword_box3d] = ACTIONS(1089),
    [sym_keyword_oid] = ACTIONS(1089),
    [sym_keyword_name] = ACTIONS(1089),
    [sym_keyword_regclass] = ACTIONS(1089),
    [sym_keyword_regnamespace] = ACTIONS(1089),
    [sym_keyword_regproc] = ACTIONS(1089),
    [sym_keyword_regtype] = ACTIONS(1089),
    [aux_sym_double_token1] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1141),
    [aux_sym_identifier_token1] = ACTIONS(1141),
  },
  [56] = {
    [sym_keyword_smallserial] = STATE(4830),
    [sym_keyword_serial] = STATE(4830),
    [sym_keyword_bigserial] = STATE(4830),
    [sym_keyword_tinyint] = STATE(428),
    [sym_keyword_smallint] = STATE(427),
    [sym_keyword_mediumint] = STATE(418),
    [sym_keyword_int] = STATE(425),
    [sym_keyword_bigint] = STATE(424),
    [sym_keyword_real] = STATE(423),
    [sym_keyword_char] = STATE(670),
    [sym_keyword_varchar] = STATE(672),
    [sym__type] = STATE(4842),
    [sym_tinyint] = STATE(4830),
    [sym_smallint] = STATE(4830),
    [sym_mediumint] = STATE(4830),
    [sym_int] = STATE(4830),
    [sym_bigint] = STATE(4830),
    [sym_bit] = STATE(4830),
    [sym_binary] = STATE(4830),
    [sym_varbinary] = STATE(4830),
    [sym_float] = STATE(4830),
    [sym_double] = STATE(4830),
    [sym_decimal] = STATE(4830),
    [sym_numeric] = STATE(4830),
    [sym_char] = STATE(4830),
    [sym_varchar] = STATE(4830),
    [sym_nchar] = STATE(4830),
    [sym_nvarchar] = STATE(4830),
    [sym_datetimeoffset] = STATE(4830),
    [sym_time] = STATE(4830),
    [sym_timestamp] = STATE(4830),
    [sym_enum] = STATE(4830),
    [sym_object_reference] = STATE(4828),
    [sym_identifier] = STATE(5037),
    [sym__identifier] = ACTIONS(583),
    [aux_sym_keyword_character_token1] = ACTIONS(585),
    [sym_keyword_unsigned] = ACTIONS(587),
    [sym_keyword_boolean] = ACTIONS(589),
    [sym_keyword_bit] = ACTIONS(591),
    [sym_keyword_binary] = ACTIONS(593),
    [sym_keyword_varbinary] = ACTIONS(595),
    [sym_keyword_image] = ACTIONS(589),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(597),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(597),
    [aux_sym_keyword_serial_token1] = ACTIONS(599),
    [aux_sym_keyword_serial_token2] = ACTIONS(599),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(601),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(601),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(603),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(603),
    [aux_sym_keyword_smallint_token1] = ACTIONS(605),
    [aux_sym_keyword_smallint_token2] = ACTIONS(605),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(607),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(607),
    [aux_sym_keyword_int_token1] = ACTIONS(609),
    [aux_sym_keyword_int_token2] = ACTIONS(609),
    [aux_sym_keyword_int_token3] = ACTIONS(609),
    [aux_sym_keyword_bigint_token1] = ACTIONS(611),
    [aux_sym_keyword_bigint_token2] = ACTIONS(611),
    [sym_keyword_decimal] = ACTIONS(613),
    [sym_keyword_numeric] = ACTIONS(615),
    [aux_sym_keyword_real_token1] = ACTIONS(617),
    [aux_sym_keyword_real_token2] = ACTIONS(617),
    [sym_keyword_float] = ACTIONS(619),
    [sym_keyword_double] = ACTIONS(621),
    [sym_keyword_inet] = ACTIONS(589),
    [sym_keyword_money] = ACTIONS(589),
    [sym_keyword_smallmoney] = ACTIONS(589),
    [aux_sym_keyword_char_token1] = ACTIONS(623),
    [sym_keyword_nchar] = ACTIONS(625),
    [aux_sym_keyword_varchar_token1] = ACTIONS(627),
    [sym_keyword_nvarchar] = ACTIONS(629),
    [sym_keyword_text] = ACTIONS(589),
    [sym_keyword_string] = ACTIONS(589),
    [sym_keyword_uuid] = ACTIONS(589),
    [sym_keyword_json] = ACTIONS(589),
    [sym_keyword_jsonb] = ACTIONS(589),
    [sym_keyword_xml] = ACTIONS(589),
    [sym_keyword_bytea] = ACTIONS(589),
    [sym_keyword_enum] = ACTIONS(631),
    [sym_keyword_date] = ACTIONS(589),
    [sym_keyword_datetime] = ACTIONS(589),
    [sym_keyword_datetime2] = ACTIONS(589),
    [sym_keyword_smalldatetime] = ACTIONS(589),
    [sym_keyword_datetimeoffset] = ACTIONS(633),
    [sym_keyword_time] = ACTIONS(1143),
    [sym_keyword_timestamp] = ACTIONS(1145),
    [sym_keyword_timestamptz] = ACTIONS(589),
    [sym_keyword_interval] = ACTIONS(589),
    [sym_keyword_geometry] = ACTIONS(589),
    [sym_keyword_geography] = ACTIONS(589),
    [sym_keyword_box2d] = ACTIONS(589),
    [sym_keyword_box3d] = ACTIONS(589),
    [sym_keyword_oid] = ACTIONS(589),
    [sym_keyword_name] = ACTIONS(589),
    [sym_keyword_regclass] = ACTIONS(589),
    [sym_keyword_regnamespace] = ACTIONS(589),
    [sym_keyword_regproc] = ACTIONS(589),
    [sym_keyword_regtype] = ACTIONS(589),
    [aux_sym_double_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(641),
    [aux_sym_identifier_token1] = ACTIONS(641),
  },
  [57] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1840),
    [sym_keyword_smallint] = STATE(1848),
    [sym_keyword_mediumint] = STATE(1877),
    [sym_keyword_int] = STATE(1842),
    [sym_keyword_bigint] = STATE(1883),
    [sym_keyword_real] = STATE(1886),
    [sym_keyword_char] = STATE(2313),
    [sym_keyword_varchar] = STATE(2217),
    [sym__type] = STATE(14198),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7225),
    [sym_identifier] = STATE(5623),
    [sym__identifier] = ACTIONS(119),
    [aux_sym_keyword_character_token1] = ACTIONS(57),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(63),
    [sym_keyword_bit] = ACTIONS(65),
    [sym_keyword_binary] = ACTIONS(67),
    [sym_keyword_varbinary] = ACTIONS(69),
    [sym_keyword_image] = ACTIONS(63),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(71),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(71),
    [aux_sym_keyword_serial_token1] = ACTIONS(73),
    [aux_sym_keyword_serial_token2] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(75),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(77),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(77),
    [aux_sym_keyword_smallint_token1] = ACTIONS(79),
    [aux_sym_keyword_smallint_token2] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(81),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token1] = ACTIONS(83),
    [aux_sym_keyword_int_token2] = ACTIONS(83),
    [aux_sym_keyword_int_token3] = ACTIONS(83),
    [aux_sym_keyword_bigint_token1] = ACTIONS(85),
    [aux_sym_keyword_bigint_token2] = ACTIONS(85),
    [sym_keyword_decimal] = ACTIONS(87),
    [sym_keyword_numeric] = ACTIONS(89),
    [aux_sym_keyword_real_token1] = ACTIONS(91),
    [aux_sym_keyword_real_token2] = ACTIONS(91),
    [sym_keyword_float] = ACTIONS(93),
    [sym_keyword_double] = ACTIONS(95),
    [sym_keyword_inet] = ACTIONS(63),
    [sym_keyword_money] = ACTIONS(63),
    [sym_keyword_smallmoney] = ACTIONS(63),
    [aux_sym_keyword_char_token1] = ACTIONS(97),
    [sym_keyword_nchar] = ACTIONS(99),
    [aux_sym_keyword_varchar_token1] = ACTIONS(101),
    [sym_keyword_nvarchar] = ACTIONS(103),
    [sym_keyword_text] = ACTIONS(63),
    [sym_keyword_string] = ACTIONS(63),
    [sym_keyword_uuid] = ACTIONS(63),
    [sym_keyword_json] = ACTIONS(63),
    [sym_keyword_jsonb] = ACTIONS(63),
    [sym_keyword_xml] = ACTIONS(63),
    [sym_keyword_bytea] = ACTIONS(63),
    [sym_keyword_enum] = ACTIONS(105),
    [sym_keyword_date] = ACTIONS(63),
    [sym_keyword_datetime] = ACTIONS(63),
    [sym_keyword_datetime2] = ACTIONS(63),
    [sym_keyword_smalldatetime] = ACTIONS(63),
    [sym_keyword_datetimeoffset] = ACTIONS(107),
    [sym_keyword_time] = ACTIONS(109),
    [sym_keyword_timestamp] = ACTIONS(111),
    [sym_keyword_timestamptz] = ACTIONS(63),
    [sym_keyword_interval] = ACTIONS(63),
    [sym_keyword_geometry] = ACTIONS(63),
    [sym_keyword_geography] = ACTIONS(63),
    [sym_keyword_box2d] = ACTIONS(63),
    [sym_keyword_box3d] = ACTIONS(63),
    [sym_keyword_oid] = ACTIONS(63),
    [sym_keyword_name] = ACTIONS(63),
    [sym_keyword_regclass] = ACTIONS(63),
    [sym_keyword_regnamespace] = ACTIONS(63),
    [sym_keyword_regproc] = ACTIONS(63),
    [sym_keyword_regtype] = ACTIONS(63),
    [aux_sym_double_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(127),
    [aux_sym_identifier_token1] = ACTIONS(127),
  },
  [58] = {
    [sym_keyword_smallserial] = STATE(2881),
    [sym_keyword_serial] = STATE(2881),
    [sym_keyword_bigserial] = STATE(2881),
    [sym_keyword_tinyint] = STATE(2993),
    [sym_keyword_smallint] = STATE(2992),
    [sym_keyword_mediumint] = STATE(2991),
    [sym_keyword_int] = STATE(2990),
    [sym_keyword_bigint] = STATE(2989),
    [sym_keyword_real] = STATE(2988),
    [sym_keyword_char] = STATE(3673),
    [sym_keyword_varchar] = STATE(3672),
    [sym__type] = STATE(4652),
    [sym_tinyint] = STATE(2881),
    [sym_smallint] = STATE(2881),
    [sym_mediumint] = STATE(2881),
    [sym_int] = STATE(2881),
    [sym_bigint] = STATE(2881),
    [sym_bit] = STATE(2881),
    [sym_binary] = STATE(2881),
    [sym_varbinary] = STATE(2881),
    [sym_float] = STATE(2881),
    [sym_double] = STATE(2881),
    [sym_decimal] = STATE(2881),
    [sym_numeric] = STATE(2881),
    [sym_char] = STATE(2881),
    [sym_varchar] = STATE(2881),
    [sym_nchar] = STATE(2881),
    [sym_nvarchar] = STATE(2881),
    [sym_datetimeoffset] = STATE(2881),
    [sym_time] = STATE(2881),
    [sym_timestamp] = STATE(2881),
    [sym_enum] = STATE(2881),
    [sym_object_reference] = STATE(2882),
    [sym_identifier] = STATE(3845),
    [sym__identifier] = ACTIONS(1147),
    [aux_sym_keyword_character_token1] = ACTIONS(1149),
    [sym_keyword_unsigned] = ACTIONS(1151),
    [sym_keyword_boolean] = ACTIONS(1153),
    [sym_keyword_bit] = ACTIONS(1155),
    [sym_keyword_binary] = ACTIONS(1157),
    [sym_keyword_varbinary] = ACTIONS(1159),
    [sym_keyword_image] = ACTIONS(1153),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1161),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1161),
    [aux_sym_keyword_serial_token1] = ACTIONS(1163),
    [aux_sym_keyword_serial_token2] = ACTIONS(1163),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1165),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1165),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1167),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1167),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1169),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1169),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1171),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1171),
    [aux_sym_keyword_int_token1] = ACTIONS(1173),
    [aux_sym_keyword_int_token2] = ACTIONS(1173),
    [aux_sym_keyword_int_token3] = ACTIONS(1173),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1175),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1175),
    [sym_keyword_decimal] = ACTIONS(1177),
    [sym_keyword_numeric] = ACTIONS(1179),
    [aux_sym_keyword_real_token1] = ACTIONS(1181),
    [aux_sym_keyword_real_token2] = ACTIONS(1181),
    [sym_keyword_float] = ACTIONS(1183),
    [sym_keyword_double] = ACTIONS(1185),
    [sym_keyword_inet] = ACTIONS(1153),
    [sym_keyword_money] = ACTIONS(1153),
    [sym_keyword_smallmoney] = ACTIONS(1153),
    [aux_sym_keyword_char_token1] = ACTIONS(1187),
    [sym_keyword_nchar] = ACTIONS(1189),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1191),
    [sym_keyword_nvarchar] = ACTIONS(1193),
    [sym_keyword_text] = ACTIONS(1153),
    [sym_keyword_string] = ACTIONS(1153),
    [sym_keyword_uuid] = ACTIONS(1153),
    [sym_keyword_json] = ACTIONS(1153),
    [sym_keyword_jsonb] = ACTIONS(1153),
    [sym_keyword_xml] = ACTIONS(1153),
    [sym_keyword_bytea] = ACTIONS(1153),
    [sym_keyword_enum] = ACTIONS(1195),
    [sym_keyword_date] = ACTIONS(1153),
    [sym_keyword_datetime] = ACTIONS(1153),
    [sym_keyword_datetime2] = ACTIONS(1153),
    [sym_keyword_smalldatetime] = ACTIONS(1153),
    [sym_keyword_datetimeoffset] = ACTIONS(1197),
    [sym_keyword_time] = ACTIONS(1199),
    [sym_keyword_timestamp] = ACTIONS(1201),
    [sym_keyword_timestamptz] = ACTIONS(1153),
    [sym_keyword_interval] = ACTIONS(1153),
    [sym_keyword_geometry] = ACTIONS(1153),
    [sym_keyword_geography] = ACTIONS(1153),
    [sym_keyword_box2d] = ACTIONS(1153),
    [sym_keyword_box3d] = ACTIONS(1153),
    [sym_keyword_oid] = ACTIONS(1153),
    [sym_keyword_name] = ACTIONS(1153),
    [sym_keyword_regclass] = ACTIONS(1153),
    [sym_keyword_regnamespace] = ACTIONS(1153),
    [sym_keyword_regproc] = ACTIONS(1153),
    [sym_keyword_regtype] = ACTIONS(1153),
    [aux_sym_double_token1] = ACTIONS(1203),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1205),
    [aux_sym_identifier_token1] = ACTIONS(1205),
  },
  [59] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1840),
    [sym_keyword_smallint] = STATE(1848),
    [sym_keyword_mediumint] = STATE(1877),
    [sym_keyword_int] = STATE(1842),
    [sym_keyword_bigint] = STATE(1883),
    [sym_keyword_real] = STATE(1886),
    [sym_keyword_char] = STATE(2313),
    [sym_keyword_varchar] = STATE(2217),
    [sym__type] = STATE(13058),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7225),
    [sym_identifier] = STATE(5623),
    [sym__identifier] = ACTIONS(119),
    [aux_sym_keyword_character_token1] = ACTIONS(57),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(63),
    [sym_keyword_bit] = ACTIONS(65),
    [sym_keyword_binary] = ACTIONS(67),
    [sym_keyword_varbinary] = ACTIONS(69),
    [sym_keyword_image] = ACTIONS(63),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(71),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(71),
    [aux_sym_keyword_serial_token1] = ACTIONS(73),
    [aux_sym_keyword_serial_token2] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(75),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(77),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(77),
    [aux_sym_keyword_smallint_token1] = ACTIONS(79),
    [aux_sym_keyword_smallint_token2] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(81),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token1] = ACTIONS(83),
    [aux_sym_keyword_int_token2] = ACTIONS(83),
    [aux_sym_keyword_int_token3] = ACTIONS(83),
    [aux_sym_keyword_bigint_token1] = ACTIONS(85),
    [aux_sym_keyword_bigint_token2] = ACTIONS(85),
    [sym_keyword_decimal] = ACTIONS(87),
    [sym_keyword_numeric] = ACTIONS(89),
    [aux_sym_keyword_real_token1] = ACTIONS(91),
    [aux_sym_keyword_real_token2] = ACTIONS(91),
    [sym_keyword_float] = ACTIONS(93),
    [sym_keyword_double] = ACTIONS(95),
    [sym_keyword_inet] = ACTIONS(63),
    [sym_keyword_money] = ACTIONS(63),
    [sym_keyword_smallmoney] = ACTIONS(63),
    [aux_sym_keyword_char_token1] = ACTIONS(97),
    [sym_keyword_nchar] = ACTIONS(99),
    [aux_sym_keyword_varchar_token1] = ACTIONS(101),
    [sym_keyword_nvarchar] = ACTIONS(103),
    [sym_keyword_text] = ACTIONS(63),
    [sym_keyword_string] = ACTIONS(63),
    [sym_keyword_uuid] = ACTIONS(63),
    [sym_keyword_json] = ACTIONS(63),
    [sym_keyword_jsonb] = ACTIONS(63),
    [sym_keyword_xml] = ACTIONS(63),
    [sym_keyword_bytea] = ACTIONS(63),
    [sym_keyword_enum] = ACTIONS(105),
    [sym_keyword_date] = ACTIONS(63),
    [sym_keyword_datetime] = ACTIONS(63),
    [sym_keyword_datetime2] = ACTIONS(63),
    [sym_keyword_smalldatetime] = ACTIONS(63),
    [sym_keyword_datetimeoffset] = ACTIONS(107),
    [sym_keyword_time] = ACTIONS(109),
    [sym_keyword_timestamp] = ACTIONS(111),
    [sym_keyword_timestamptz] = ACTIONS(63),
    [sym_keyword_interval] = ACTIONS(63),
    [sym_keyword_geometry] = ACTIONS(63),
    [sym_keyword_geography] = ACTIONS(63),
    [sym_keyword_box2d] = ACTIONS(63),
    [sym_keyword_box3d] = ACTIONS(63),
    [sym_keyword_oid] = ACTIONS(63),
    [sym_keyword_name] = ACTIONS(63),
    [sym_keyword_regclass] = ACTIONS(63),
    [sym_keyword_regnamespace] = ACTIONS(63),
    [sym_keyword_regproc] = ACTIONS(63),
    [sym_keyword_regtype] = ACTIONS(63),
    [aux_sym_double_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(127),
    [aux_sym_identifier_token1] = ACTIONS(127),
  },
  [60] = {
    [sym_keyword_smallserial] = STATE(3107),
    [sym_keyword_serial] = STATE(3107),
    [sym_keyword_bigserial] = STATE(3107),
    [sym_keyword_tinyint] = STATE(3027),
    [sym_keyword_smallint] = STATE(3028),
    [sym_keyword_mediumint] = STATE(3029),
    [sym_keyword_int] = STATE(3030),
    [sym_keyword_bigint] = STATE(3031),
    [sym_keyword_real] = STATE(3032),
    [sym_keyword_char] = STATE(3565),
    [sym_keyword_varchar] = STATE(3569),
    [sym__type] = STATE(4537),
    [sym_tinyint] = STATE(3107),
    [sym_smallint] = STATE(3107),
    [sym_mediumint] = STATE(3107),
    [sym_int] = STATE(3107),
    [sym_bigint] = STATE(3107),
    [sym_bit] = STATE(3107),
    [sym_binary] = STATE(3107),
    [sym_varbinary] = STATE(3107),
    [sym_float] = STATE(3107),
    [sym_double] = STATE(3107),
    [sym_decimal] = STATE(3107),
    [sym_numeric] = STATE(3107),
    [sym_char] = STATE(3107),
    [sym_varchar] = STATE(3107),
    [sym_nchar] = STATE(3107),
    [sym_nvarchar] = STATE(3107),
    [sym_datetimeoffset] = STATE(3107),
    [sym_time] = STATE(3107),
    [sym_timestamp] = STATE(3107),
    [sym_enum] = STATE(3107),
    [sym_object_reference] = STATE(3112),
    [sym_identifier] = STATE(3688),
    [sym__identifier] = ACTIONS(833),
    [aux_sym_keyword_character_token1] = ACTIONS(835),
    [sym_keyword_unsigned] = ACTIONS(837),
    [sym_keyword_boolean] = ACTIONS(839),
    [sym_keyword_bit] = ACTIONS(841),
    [sym_keyword_binary] = ACTIONS(843),
    [sym_keyword_varbinary] = ACTIONS(845),
    [sym_keyword_image] = ACTIONS(839),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(847),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(847),
    [aux_sym_keyword_serial_token1] = ACTIONS(849),
    [aux_sym_keyword_serial_token2] = ACTIONS(849),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(851),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(851),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(853),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(853),
    [aux_sym_keyword_smallint_token1] = ACTIONS(855),
    [aux_sym_keyword_smallint_token2] = ACTIONS(855),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(857),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(857),
    [aux_sym_keyword_int_token1] = ACTIONS(859),
    [aux_sym_keyword_int_token2] = ACTIONS(859),
    [aux_sym_keyword_int_token3] = ACTIONS(859),
    [aux_sym_keyword_bigint_token1] = ACTIONS(861),
    [aux_sym_keyword_bigint_token2] = ACTIONS(861),
    [sym_keyword_decimal] = ACTIONS(863),
    [sym_keyword_numeric] = ACTIONS(865),
    [aux_sym_keyword_real_token1] = ACTIONS(867),
    [aux_sym_keyword_real_token2] = ACTIONS(867),
    [sym_keyword_float] = ACTIONS(869),
    [sym_keyword_double] = ACTIONS(871),
    [sym_keyword_inet] = ACTIONS(839),
    [sym_keyword_money] = ACTIONS(839),
    [sym_keyword_smallmoney] = ACTIONS(839),
    [aux_sym_keyword_char_token1] = ACTIONS(873),
    [sym_keyword_nchar] = ACTIONS(875),
    [aux_sym_keyword_varchar_token1] = ACTIONS(877),
    [sym_keyword_nvarchar] = ACTIONS(879),
    [sym_keyword_text] = ACTIONS(839),
    [sym_keyword_string] = ACTIONS(839),
    [sym_keyword_uuid] = ACTIONS(839),
    [sym_keyword_json] = ACTIONS(839),
    [sym_keyword_jsonb] = ACTIONS(839),
    [sym_keyword_xml] = ACTIONS(839),
    [sym_keyword_bytea] = ACTIONS(839),
    [sym_keyword_enum] = ACTIONS(881),
    [sym_keyword_date] = ACTIONS(839),
    [sym_keyword_datetime] = ACTIONS(839),
    [sym_keyword_datetime2] = ACTIONS(839),
    [sym_keyword_smalldatetime] = ACTIONS(839),
    [sym_keyword_datetimeoffset] = ACTIONS(883),
    [sym_keyword_time] = ACTIONS(1207),
    [sym_keyword_timestamp] = ACTIONS(1209),
    [sym_keyword_timestamptz] = ACTIONS(839),
    [sym_keyword_interval] = ACTIONS(839),
    [sym_keyword_geometry] = ACTIONS(839),
    [sym_keyword_geography] = ACTIONS(839),
    [sym_keyword_box2d] = ACTIONS(839),
    [sym_keyword_box3d] = ACTIONS(839),
    [sym_keyword_oid] = ACTIONS(839),
    [sym_keyword_name] = ACTIONS(839),
    [sym_keyword_regclass] = ACTIONS(839),
    [sym_keyword_regnamespace] = ACTIONS(839),
    [sym_keyword_regproc] = ACTIONS(839),
    [sym_keyword_regtype] = ACTIONS(839),
    [aux_sym_double_token1] = ACTIONS(889),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(891),
    [aux_sym_identifier_token1] = ACTIONS(891),
  },
  [61] = {
    [sym_keyword_smallserial] = STATE(3340),
    [sym_keyword_serial] = STATE(3340),
    [sym_keyword_bigserial] = STATE(3340),
    [sym_keyword_tinyint] = STATE(3133),
    [sym_keyword_smallint] = STATE(3132),
    [sym_keyword_mediumint] = STATE(3131),
    [sym_keyword_int] = STATE(3130),
    [sym_keyword_bigint] = STATE(3129),
    [sym_keyword_real] = STATE(3128),
    [sym_keyword_char] = STATE(4068),
    [sym_keyword_varchar] = STATE(4071),
    [sym__type] = STATE(4780),
    [sym_tinyint] = STATE(3340),
    [sym_smallint] = STATE(3340),
    [sym_mediumint] = STATE(3340),
    [sym_int] = STATE(3340),
    [sym_bigint] = STATE(3340),
    [sym_bit] = STATE(3340),
    [sym_binary] = STATE(3340),
    [sym_varbinary] = STATE(3340),
    [sym_float] = STATE(3340),
    [sym_double] = STATE(3340),
    [sym_decimal] = STATE(3340),
    [sym_numeric] = STATE(3340),
    [sym_char] = STATE(3340),
    [sym_varchar] = STATE(3340),
    [sym_nchar] = STATE(3340),
    [sym_nvarchar] = STATE(3340),
    [sym_datetimeoffset] = STATE(3340),
    [sym_time] = STATE(3340),
    [sym_timestamp] = STATE(3340),
    [sym_enum] = STATE(3340),
    [sym_object_reference] = STATE(3371),
    [sym_identifier] = STATE(4412),
    [sym__identifier] = ACTIONS(1211),
    [aux_sym_keyword_character_token1] = ACTIONS(1213),
    [sym_keyword_unsigned] = ACTIONS(1215),
    [sym_keyword_boolean] = ACTIONS(1217),
    [sym_keyword_bit] = ACTIONS(1219),
    [sym_keyword_binary] = ACTIONS(1221),
    [sym_keyword_varbinary] = ACTIONS(1223),
    [sym_keyword_image] = ACTIONS(1217),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1225),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1225),
    [aux_sym_keyword_serial_token1] = ACTIONS(1227),
    [aux_sym_keyword_serial_token2] = ACTIONS(1227),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1229),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1229),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1231),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1231),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1233),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1233),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1235),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1235),
    [aux_sym_keyword_int_token1] = ACTIONS(1237),
    [aux_sym_keyword_int_token2] = ACTIONS(1237),
    [aux_sym_keyword_int_token3] = ACTIONS(1237),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1239),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1239),
    [sym_keyword_decimal] = ACTIONS(1241),
    [sym_keyword_numeric] = ACTIONS(1243),
    [aux_sym_keyword_real_token1] = ACTIONS(1245),
    [aux_sym_keyword_real_token2] = ACTIONS(1245),
    [sym_keyword_float] = ACTIONS(1247),
    [sym_keyword_double] = ACTIONS(1249),
    [sym_keyword_inet] = ACTIONS(1217),
    [sym_keyword_money] = ACTIONS(1217),
    [sym_keyword_smallmoney] = ACTIONS(1217),
    [aux_sym_keyword_char_token1] = ACTIONS(1251),
    [sym_keyword_nchar] = ACTIONS(1253),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1255),
    [sym_keyword_nvarchar] = ACTIONS(1257),
    [sym_keyword_text] = ACTIONS(1217),
    [sym_keyword_string] = ACTIONS(1217),
    [sym_keyword_uuid] = ACTIONS(1217),
    [sym_keyword_json] = ACTIONS(1217),
    [sym_keyword_jsonb] = ACTIONS(1217),
    [sym_keyword_xml] = ACTIONS(1217),
    [sym_keyword_bytea] = ACTIONS(1217),
    [sym_keyword_enum] = ACTIONS(1259),
    [sym_keyword_date] = ACTIONS(1217),
    [sym_keyword_datetime] = ACTIONS(1217),
    [sym_keyword_datetime2] = ACTIONS(1217),
    [sym_keyword_smalldatetime] = ACTIONS(1217),
    [sym_keyword_datetimeoffset] = ACTIONS(1261),
    [sym_keyword_time] = ACTIONS(1263),
    [sym_keyword_timestamp] = ACTIONS(1265),
    [sym_keyword_timestamptz] = ACTIONS(1217),
    [sym_keyword_interval] = ACTIONS(1217),
    [sym_keyword_geometry] = ACTIONS(1217),
    [sym_keyword_geography] = ACTIONS(1217),
    [sym_keyword_box2d] = ACTIONS(1217),
    [sym_keyword_box3d] = ACTIONS(1217),
    [sym_keyword_oid] = ACTIONS(1217),
    [sym_keyword_name] = ACTIONS(1217),
    [sym_keyword_regclass] = ACTIONS(1217),
    [sym_keyword_regnamespace] = ACTIONS(1217),
    [sym_keyword_regproc] = ACTIONS(1217),
    [sym_keyword_regtype] = ACTIONS(1217),
    [aux_sym_double_token1] = ACTIONS(1267),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1269),
    [aux_sym_identifier_token1] = ACTIONS(1269),
  },
  [62] = {
    [sym_keyword_smallserial] = STATE(1862),
    [sym_keyword_serial] = STATE(1862),
    [sym_keyword_bigserial] = STATE(1862),
    [sym_keyword_tinyint] = STATE(1890),
    [sym_keyword_smallint] = STATE(1874),
    [sym_keyword_mediumint] = STATE(1873),
    [sym_keyword_int] = STATE(1868),
    [sym_keyword_bigint] = STATE(1867),
    [sym_keyword_real] = STATE(1866),
    [sym_keyword_char] = STATE(2117),
    [sym_keyword_varchar] = STATE(2135),
    [sym__type] = STATE(2660),
    [sym_tinyint] = STATE(1862),
    [sym_smallint] = STATE(1862),
    [sym_mediumint] = STATE(1862),
    [sym_int] = STATE(1862),
    [sym_bigint] = STATE(1862),
    [sym_bit] = STATE(1862),
    [sym_binary] = STATE(1862),
    [sym_varbinary] = STATE(1862),
    [sym_float] = STATE(1862),
    [sym_double] = STATE(1862),
    [sym_decimal] = STATE(1862),
    [sym_numeric] = STATE(1862),
    [sym_char] = STATE(1862),
    [sym_varchar] = STATE(1862),
    [sym_nchar] = STATE(1862),
    [sym_nvarchar] = STATE(1862),
    [sym_datetimeoffset] = STATE(1862),
    [sym_time] = STATE(1862),
    [sym_timestamp] = STATE(1862),
    [sym_enum] = STATE(1862),
    [sym_object_reference] = STATE(1860),
    [sym_identifier] = STATE(2102),
    [sym__identifier] = ACTIONS(1083),
    [aux_sym_keyword_character_token1] = ACTIONS(1085),
    [sym_keyword_unsigned] = ACTIONS(1087),
    [sym_keyword_boolean] = ACTIONS(1089),
    [sym_keyword_bit] = ACTIONS(1091),
    [sym_keyword_binary] = ACTIONS(1093),
    [sym_keyword_varbinary] = ACTIONS(1095),
    [sym_keyword_image] = ACTIONS(1089),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1097),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1097),
    [aux_sym_keyword_serial_token1] = ACTIONS(1099),
    [aux_sym_keyword_serial_token2] = ACTIONS(1099),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1101),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1101),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1103),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1103),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1105),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1105),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1107),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1107),
    [aux_sym_keyword_int_token1] = ACTIONS(1109),
    [aux_sym_keyword_int_token2] = ACTIONS(1109),
    [aux_sym_keyword_int_token3] = ACTIONS(1109),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1111),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1111),
    [sym_keyword_decimal] = ACTIONS(1113),
    [sym_keyword_numeric] = ACTIONS(1115),
    [aux_sym_keyword_real_token1] = ACTIONS(1117),
    [aux_sym_keyword_real_token2] = ACTIONS(1117),
    [sym_keyword_float] = ACTIONS(1119),
    [sym_keyword_double] = ACTIONS(1121),
    [sym_keyword_inet] = ACTIONS(1089),
    [sym_keyword_money] = ACTIONS(1089),
    [sym_keyword_smallmoney] = ACTIONS(1089),
    [aux_sym_keyword_char_token1] = ACTIONS(1123),
    [sym_keyword_nchar] = ACTIONS(1125),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1127),
    [sym_keyword_nvarchar] = ACTIONS(1129),
    [sym_keyword_text] = ACTIONS(1089),
    [sym_keyword_string] = ACTIONS(1089),
    [sym_keyword_uuid] = ACTIONS(1089),
    [sym_keyword_json] = ACTIONS(1089),
    [sym_keyword_jsonb] = ACTIONS(1089),
    [sym_keyword_xml] = ACTIONS(1089),
    [sym_keyword_bytea] = ACTIONS(1089),
    [sym_keyword_enum] = ACTIONS(1131),
    [sym_keyword_date] = ACTIONS(1089),
    [sym_keyword_datetime] = ACTIONS(1089),
    [sym_keyword_datetime2] = ACTIONS(1089),
    [sym_keyword_smalldatetime] = ACTIONS(1089),
    [sym_keyword_datetimeoffset] = ACTIONS(1133),
    [sym_keyword_time] = ACTIONS(1271),
    [sym_keyword_timestamp] = ACTIONS(1273),
    [sym_keyword_timestamptz] = ACTIONS(1089),
    [sym_keyword_interval] = ACTIONS(1089),
    [sym_keyword_geometry] = ACTIONS(1089),
    [sym_keyword_geography] = ACTIONS(1089),
    [sym_keyword_box2d] = ACTIONS(1089),
    [sym_keyword_box3d] = ACTIONS(1089),
    [sym_keyword_oid] = ACTIONS(1089),
    [sym_keyword_name] = ACTIONS(1089),
    [sym_keyword_regclass] = ACTIONS(1089),
    [sym_keyword_regnamespace] = ACTIONS(1089),
    [sym_keyword_regproc] = ACTIONS(1089),
    [sym_keyword_regtype] = ACTIONS(1089),
    [aux_sym_double_token1] = ACTIONS(1139),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1141),
    [aux_sym_identifier_token1] = ACTIONS(1141),
  },
  [63] = {
    [sym_keyword_smallserial] = STATE(417),
    [sym_keyword_serial] = STATE(417),
    [sym_keyword_bigserial] = STATE(417),
    [sym_keyword_tinyint] = STATE(150),
    [sym_keyword_smallint] = STATE(157),
    [sym_keyword_mediumint] = STATE(158),
    [sym_keyword_int] = STATE(153),
    [sym_keyword_bigint] = STATE(154),
    [sym_keyword_real] = STATE(155),
    [sym_keyword_char] = STATE(205),
    [sym_keyword_varchar] = STATE(204),
    [sym__type] = STATE(895),
    [sym_tinyint] = STATE(417),
    [sym_smallint] = STATE(417),
    [sym_mediumint] = STATE(417),
    [sym_int] = STATE(417),
    [sym_bigint] = STATE(417),
    [sym_bit] = STATE(417),
    [sym_binary] = STATE(417),
    [sym_varbinary] = STATE(417),
    [sym_float] = STATE(417),
    [sym_double] = STATE(417),
    [sym_decimal] = STATE(417),
    [sym_numeric] = STATE(417),
    [sym_char] = STATE(417),
    [sym_varchar] = STATE(417),
    [sym_nchar] = STATE(417),
    [sym_nvarchar] = STATE(417),
    [sym_datetimeoffset] = STATE(417),
    [sym_time] = STATE(417),
    [sym_timestamp] = STATE(417),
    [sym_enum] = STATE(417),
    [sym_object_reference] = STATE(437),
    [sym_identifier] = STATE(608),
    [sym__identifier] = ACTIONS(1275),
    [aux_sym_keyword_character_token1] = ACTIONS(215),
    [sym_keyword_unsigned] = ACTIONS(217),
    [sym_keyword_boolean] = ACTIONS(1277),
    [sym_keyword_bit] = ACTIONS(221),
    [sym_keyword_binary] = ACTIONS(223),
    [sym_keyword_varbinary] = ACTIONS(225),
    [sym_keyword_image] = ACTIONS(1277),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(227),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(227),
    [aux_sym_keyword_serial_token1] = ACTIONS(229),
    [aux_sym_keyword_serial_token2] = ACTIONS(229),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(231),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(231),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(233),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(233),
    [aux_sym_keyword_smallint_token1] = ACTIONS(235),
    [aux_sym_keyword_smallint_token2] = ACTIONS(235),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(237),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(237),
    [aux_sym_keyword_int_token1] = ACTIONS(239),
    [aux_sym_keyword_int_token2] = ACTIONS(239),
    [aux_sym_keyword_int_token3] = ACTIONS(239),
    [aux_sym_keyword_bigint_token1] = ACTIONS(241),
    [aux_sym_keyword_bigint_token2] = ACTIONS(241),
    [sym_keyword_decimal] = ACTIONS(243),
    [sym_keyword_numeric] = ACTIONS(245),
    [aux_sym_keyword_real_token1] = ACTIONS(247),
    [aux_sym_keyword_real_token2] = ACTIONS(247),
    [sym_keyword_float] = ACTIONS(249),
    [sym_keyword_double] = ACTIONS(251),
    [sym_keyword_inet] = ACTIONS(1277),
    [sym_keyword_money] = ACTIONS(1277),
    [sym_keyword_smallmoney] = ACTIONS(1277),
    [aux_sym_keyword_char_token1] = ACTIONS(253),
    [sym_keyword_nchar] = ACTIONS(255),
    [aux_sym_keyword_varchar_token1] = ACTIONS(257),
    [sym_keyword_nvarchar] = ACTIONS(259),
    [sym_keyword_text] = ACTIONS(1277),
    [sym_keyword_string] = ACTIONS(1277),
    [sym_keyword_uuid] = ACTIONS(1277),
    [sym_keyword_json] = ACTIONS(1277),
    [sym_keyword_jsonb] = ACTIONS(1277),
    [sym_keyword_xml] = ACTIONS(1277),
    [sym_keyword_bytea] = ACTIONS(1277),
    [sym_keyword_enum] = ACTIONS(261),
    [sym_keyword_date] = ACTIONS(1277),
    [sym_keyword_datetime] = ACTIONS(1277),
    [sym_keyword_datetime2] = ACTIONS(1277),
    [sym_keyword_smalldatetime] = ACTIONS(1277),
    [sym_keyword_datetimeoffset] = ACTIONS(263),
    [sym_keyword_time] = ACTIONS(265),
    [sym_keyword_timestamp] = ACTIONS(267),
    [sym_keyword_timestamptz] = ACTIONS(1277),
    [sym_keyword_interval] = ACTIONS(1277),
    [sym_keyword_geometry] = ACTIONS(1277),
    [sym_keyword_geography] = ACTIONS(1277),
    [sym_keyword_box2d] = ACTIONS(1277),
    [sym_keyword_box3d] = ACTIONS(1277),
    [sym_keyword_oid] = ACTIONS(1277),
    [sym_keyword_name] = ACTIONS(1277),
    [sym_keyword_regclass] = ACTIONS(1277),
    [sym_keyword_regnamespace] = ACTIONS(1277),
    [sym_keyword_regproc] = ACTIONS(1277),
    [sym_keyword_regtype] = ACTIONS(1277),
    [aux_sym_double_token1] = ACTIONS(269),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1279),
    [aux_sym_identifier_token1] = ACTIONS(1279),
  },
  [64] = {
    [sym_keyword_smallserial] = STATE(4789),
    [sym_keyword_serial] = STATE(4789),
    [sym_keyword_bigserial] = STATE(4789),
    [sym_keyword_tinyint] = STATE(4807),
    [sym_keyword_smallint] = STATE(4803),
    [sym_keyword_mediumint] = STATE(4802),
    [sym_keyword_int] = STATE(4794),
    [sym_keyword_bigint] = STATE(4793),
    [sym_keyword_real] = STATE(4792),
    [sym_keyword_char] = STATE(5029),
    [sym_keyword_varchar] = STATE(5031),
    [sym__type] = STATE(2419),
    [sym_tinyint] = STATE(4789),
    [sym_smallint] = STATE(4789),
    [sym_mediumint] = STATE(4789),
    [sym_int] = STATE(4789),
    [sym_bigint] = STATE(4789),
    [sym_bit] = STATE(4789),
    [sym_binary] = STATE(4789),
    [sym_varbinary] = STATE(4789),
    [sym_float] = STATE(4789),
    [sym_double] = STATE(4789),
    [sym_decimal] = STATE(4789),
    [sym_numeric] = STATE(4789),
    [sym_char] = STATE(4789),
    [sym_varchar] = STATE(4789),
    [sym_nchar] = STATE(4789),
    [sym_nvarchar] = STATE(4789),
    [sym_datetimeoffset] = STATE(4789),
    [sym_time] = STATE(4789),
    [sym_timestamp] = STATE(4789),
    [sym_enum] = STATE(4789),
    [sym_object_reference] = STATE(4788),
    [sym_identifier] = STATE(5107),
    [sym__identifier] = ACTIONS(129),
    [aux_sym_keyword_character_token1] = ACTIONS(897),
    [sym_keyword_unsigned] = ACTIONS(899),
    [sym_keyword_boolean] = ACTIONS(901),
    [sym_keyword_bit] = ACTIONS(903),
    [sym_keyword_binary] = ACTIONS(905),
    [sym_keyword_varbinary] = ACTIONS(907),
    [sym_keyword_image] = ACTIONS(901),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(909),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(909),
    [aux_sym_keyword_serial_token1] = ACTIONS(911),
    [aux_sym_keyword_serial_token2] = ACTIONS(911),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(913),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(913),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(915),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(915),
    [aux_sym_keyword_smallint_token1] = ACTIONS(917),
    [aux_sym_keyword_smallint_token2] = ACTIONS(917),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(919),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(919),
    [aux_sym_keyword_int_token1] = ACTIONS(921),
    [aux_sym_keyword_int_token2] = ACTIONS(921),
    [aux_sym_keyword_int_token3] = ACTIONS(921),
    [aux_sym_keyword_bigint_token1] = ACTIONS(923),
    [aux_sym_keyword_bigint_token2] = ACTIONS(923),
    [sym_keyword_decimal] = ACTIONS(925),
    [sym_keyword_numeric] = ACTIONS(927),
    [aux_sym_keyword_real_token1] = ACTIONS(929),
    [aux_sym_keyword_real_token2] = ACTIONS(929),
    [sym_keyword_float] = ACTIONS(931),
    [sym_keyword_double] = ACTIONS(933),
    [sym_keyword_inet] = ACTIONS(901),
    [sym_keyword_money] = ACTIONS(901),
    [sym_keyword_smallmoney] = ACTIONS(901),
    [aux_sym_keyword_char_token1] = ACTIONS(935),
    [sym_keyword_nchar] = ACTIONS(937),
    [aux_sym_keyword_varchar_token1] = ACTIONS(939),
    [sym_keyword_nvarchar] = ACTIONS(941),
    [sym_keyword_text] = ACTIONS(901),
    [sym_keyword_string] = ACTIONS(901),
    [sym_keyword_uuid] = ACTIONS(901),
    [sym_keyword_json] = ACTIONS(901),
    [sym_keyword_jsonb] = ACTIONS(901),
    [sym_keyword_xml] = ACTIONS(901),
    [sym_keyword_bytea] = ACTIONS(901),
    [sym_keyword_enum] = ACTIONS(943),
    [sym_keyword_date] = ACTIONS(901),
    [sym_keyword_datetime] = ACTIONS(901),
    [sym_keyword_datetime2] = ACTIONS(901),
    [sym_keyword_smalldatetime] = ACTIONS(901),
    [sym_keyword_datetimeoffset] = ACTIONS(945),
    [sym_keyword_time] = ACTIONS(947),
    [sym_keyword_timestamp] = ACTIONS(949),
    [sym_keyword_timestamptz] = ACTIONS(901),
    [sym_keyword_interval] = ACTIONS(901),
    [sym_keyword_geometry] = ACTIONS(901),
    [sym_keyword_geography] = ACTIONS(901),
    [sym_keyword_box2d] = ACTIONS(901),
    [sym_keyword_box3d] = ACTIONS(901),
    [sym_keyword_oid] = ACTIONS(901),
    [sym_keyword_name] = ACTIONS(901),
    [sym_keyword_regclass] = ACTIONS(901),
    [sym_keyword_regnamespace] = ACTIONS(901),
    [sym_keyword_regproc] = ACTIONS(901),
    [sym_keyword_regtype] = ACTIONS(901),
    [aux_sym_double_token1] = ACTIONS(951),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(193),
    [aux_sym_identifier_token1] = ACTIONS(193),
  },
  [65] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1840),
    [sym_keyword_smallint] = STATE(1848),
    [sym_keyword_mediumint] = STATE(1877),
    [sym_keyword_int] = STATE(1842),
    [sym_keyword_bigint] = STATE(1883),
    [sym_keyword_real] = STATE(1886),
    [sym_keyword_char] = STATE(2313),
    [sym_keyword_varchar] = STATE(2217),
    [sym__type] = STATE(12321),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7225),
    [sym_identifier] = STATE(5623),
    [sym__identifier] = ACTIONS(119),
    [aux_sym_keyword_character_token1] = ACTIONS(57),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(63),
    [sym_keyword_bit] = ACTIONS(65),
    [sym_keyword_binary] = ACTIONS(67),
    [sym_keyword_varbinary] = ACTIONS(69),
    [sym_keyword_image] = ACTIONS(63),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(71),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(71),
    [aux_sym_keyword_serial_token1] = ACTIONS(73),
    [aux_sym_keyword_serial_token2] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(75),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(77),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(77),
    [aux_sym_keyword_smallint_token1] = ACTIONS(79),
    [aux_sym_keyword_smallint_token2] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(81),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token1] = ACTIONS(83),
    [aux_sym_keyword_int_token2] = ACTIONS(83),
    [aux_sym_keyword_int_token3] = ACTIONS(83),
    [aux_sym_keyword_bigint_token1] = ACTIONS(85),
    [aux_sym_keyword_bigint_token2] = ACTIONS(85),
    [sym_keyword_decimal] = ACTIONS(87),
    [sym_keyword_numeric] = ACTIONS(89),
    [aux_sym_keyword_real_token1] = ACTIONS(91),
    [aux_sym_keyword_real_token2] = ACTIONS(91),
    [sym_keyword_float] = ACTIONS(93),
    [sym_keyword_double] = ACTIONS(95),
    [sym_keyword_inet] = ACTIONS(63),
    [sym_keyword_money] = ACTIONS(63),
    [sym_keyword_smallmoney] = ACTIONS(63),
    [aux_sym_keyword_char_token1] = ACTIONS(97),
    [sym_keyword_nchar] = ACTIONS(99),
    [aux_sym_keyword_varchar_token1] = ACTIONS(101),
    [sym_keyword_nvarchar] = ACTIONS(103),
    [sym_keyword_text] = ACTIONS(63),
    [sym_keyword_string] = ACTIONS(63),
    [sym_keyword_uuid] = ACTIONS(63),
    [sym_keyword_json] = ACTIONS(63),
    [sym_keyword_jsonb] = ACTIONS(63),
    [sym_keyword_xml] = ACTIONS(63),
    [sym_keyword_bytea] = ACTIONS(63),
    [sym_keyword_enum] = ACTIONS(105),
    [sym_keyword_date] = ACTIONS(63),
    [sym_keyword_datetime] = ACTIONS(63),
    [sym_keyword_datetime2] = ACTIONS(63),
    [sym_keyword_smalldatetime] = ACTIONS(63),
    [sym_keyword_datetimeoffset] = ACTIONS(107),
    [sym_keyword_time] = ACTIONS(109),
    [sym_keyword_timestamp] = ACTIONS(111),
    [sym_keyword_timestamptz] = ACTIONS(63),
    [sym_keyword_interval] = ACTIONS(63),
    [sym_keyword_geometry] = ACTIONS(63),
    [sym_keyword_geography] = ACTIONS(63),
    [sym_keyword_box2d] = ACTIONS(63),
    [sym_keyword_box3d] = ACTIONS(63),
    [sym_keyword_oid] = ACTIONS(63),
    [sym_keyword_name] = ACTIONS(63),
    [sym_keyword_regclass] = ACTIONS(63),
    [sym_keyword_regnamespace] = ACTIONS(63),
    [sym_keyword_regproc] = ACTIONS(63),
    [sym_keyword_regtype] = ACTIONS(63),
    [aux_sym_double_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(127),
    [aux_sym_identifier_token1] = ACTIONS(127),
  },
  [66] = {
    [sym_keyword_smallserial] = STATE(5412),
    [sym_keyword_serial] = STATE(5412),
    [sym_keyword_bigserial] = STATE(5412),
    [sym_keyword_tinyint] = STATE(5391),
    [sym_keyword_smallint] = STATE(5390),
    [sym_keyword_mediumint] = STATE(5389),
    [sym_keyword_int] = STATE(5388),
    [sym_keyword_bigint] = STATE(5387),
    [sym_keyword_real] = STATE(5386),
    [sym_keyword_char] = STATE(6125),
    [sym_keyword_varchar] = STATE(6117),
    [sym__type] = STATE(7350),
    [sym_tinyint] = STATE(5412),
    [sym_smallint] = STATE(5412),
    [sym_mediumint] = STATE(5412),
    [sym_int] = STATE(5412),
    [sym_bigint] = STATE(5412),
    [sym_bit] = STATE(5412),
    [sym_binary] = STATE(5412),
    [sym_varbinary] = STATE(5412),
    [sym_float] = STATE(5412),
    [sym_double] = STATE(5412),
    [sym_decimal] = STATE(5412),
    [sym_numeric] = STATE(5412),
    [sym_char] = STATE(5412),
    [sym_varchar] = STATE(5412),
    [sym_nchar] = STATE(5412),
    [sym_nvarchar] = STATE(5412),
    [sym_datetimeoffset] = STATE(5412),
    [sym_time] = STATE(5412),
    [sym_timestamp] = STATE(5412),
    [sym_enum] = STATE(5412),
    [sym_object_reference] = STATE(5383),
    [sym_identifier] = STATE(1898),
    [sym__identifier] = ACTIONS(1281),
    [aux_sym_keyword_character_token1] = ACTIONS(133),
    [sym_keyword_unsigned] = ACTIONS(135),
    [sym_keyword_boolean] = ACTIONS(141),
    [sym_keyword_bit] = ACTIONS(143),
    [sym_keyword_binary] = ACTIONS(145),
    [sym_keyword_varbinary] = ACTIONS(147),
    [sym_keyword_image] = ACTIONS(141),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(149),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(149),
    [aux_sym_keyword_serial_token1] = ACTIONS(151),
    [aux_sym_keyword_serial_token2] = ACTIONS(151),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(153),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(153),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(155),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(155),
    [aux_sym_keyword_smallint_token1] = ACTIONS(157),
    [aux_sym_keyword_smallint_token2] = ACTIONS(157),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(159),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(159),
    [aux_sym_keyword_int_token1] = ACTIONS(161),
    [aux_sym_keyword_int_token2] = ACTIONS(161),
    [aux_sym_keyword_int_token3] = ACTIONS(161),
    [aux_sym_keyword_bigint_token1] = ACTIONS(163),
    [aux_sym_keyword_bigint_token2] = ACTIONS(163),
    [sym_keyword_decimal] = ACTIONS(165),
    [sym_keyword_numeric] = ACTIONS(167),
    [aux_sym_keyword_real_token1] = ACTIONS(169),
    [aux_sym_keyword_real_token2] = ACTIONS(169),
    [sym_keyword_float] = ACTIONS(171),
    [sym_keyword_double] = ACTIONS(173),
    [sym_keyword_inet] = ACTIONS(141),
    [sym_keyword_money] = ACTIONS(141),
    [sym_keyword_smallmoney] = ACTIONS(141),
    [aux_sym_keyword_char_token1] = ACTIONS(175),
    [sym_keyword_nchar] = ACTIONS(177),
    [aux_sym_keyword_varchar_token1] = ACTIONS(179),
    [sym_keyword_nvarchar] = ACTIONS(181),
    [sym_keyword_text] = ACTIONS(141),
    [sym_keyword_string] = ACTIONS(141),
    [sym_keyword_uuid] = ACTIONS(141),
    [sym_keyword_json] = ACTIONS(141),
    [sym_keyword_jsonb] = ACTIONS(141),
    [sym_keyword_xml] = ACTIONS(141),
    [sym_keyword_bytea] = ACTIONS(141),
    [sym_keyword_enum] = ACTIONS(183),
    [sym_keyword_date] = ACTIONS(141),
    [sym_keyword_datetime] = ACTIONS(141),
    [sym_keyword_datetime2] = ACTIONS(141),
    [sym_keyword_smalldatetime] = ACTIONS(141),
    [sym_keyword_datetimeoffset] = ACTIONS(185),
    [sym_keyword_time] = ACTIONS(187),
    [sym_keyword_timestamp] = ACTIONS(189),
    [sym_keyword_timestamptz] = ACTIONS(141),
    [sym_keyword_interval] = ACTIONS(141),
    [sym_keyword_geometry] = ACTIONS(141),
    [sym_keyword_geography] = ACTIONS(141),
    [sym_keyword_box2d] = ACTIONS(141),
    [sym_keyword_box3d] = ACTIONS(141),
    [sym_keyword_oid] = ACTIONS(141),
    [sym_keyword_name] = ACTIONS(141),
    [sym_keyword_regclass] = ACTIONS(141),
    [sym_keyword_regnamespace] = ACTIONS(141),
    [sym_keyword_regproc] = ACTIONS(141),
    [sym_keyword_regtype] = ACTIONS(141),
    [aux_sym_double_token1] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1283),
    [aux_sym_identifier_token1] = ACTIONS(1283),
  },
  [67] = {
    [sym_keyword_smallserial] = STATE(6635),
    [sym_keyword_serial] = STATE(6635),
    [sym_keyword_bigserial] = STATE(6635),
    [sym_keyword_tinyint] = STATE(150),
    [sym_keyword_smallint] = STATE(157),
    [sym_keyword_mediumint] = STATE(158),
    [sym_keyword_int] = STATE(153),
    [sym_keyword_bigint] = STATE(154),
    [sym_keyword_real] = STATE(155),
    [sym_keyword_char] = STATE(205),
    [sym_keyword_varchar] = STATE(204),
    [sym__type] = STATE(6500),
    [sym_tinyint] = STATE(6635),
    [sym_smallint] = STATE(6635),
    [sym_mediumint] = STATE(6635),
    [sym_int] = STATE(6635),
    [sym_bigint] = STATE(6635),
    [sym_bit] = STATE(6635),
    [sym_binary] = STATE(6635),
    [sym_varbinary] = STATE(6635),
    [sym_float] = STATE(6635),
    [sym_double] = STATE(6635),
    [sym_decimal] = STATE(6635),
    [sym_numeric] = STATE(6635),
    [sym_char] = STATE(6635),
    [sym_varchar] = STATE(6635),
    [sym_nchar] = STATE(6635),
    [sym_nvarchar] = STATE(6635),
    [sym_datetimeoffset] = STATE(6635),
    [sym_time] = STATE(6635),
    [sym_timestamp] = STATE(6635),
    [sym_enum] = STATE(6635),
    [sym_object_reference] = STATE(6636),
    [sym_identifier] = STATE(6680),
    [sym__identifier] = ACTIONS(339),
    [aux_sym_keyword_character_token1] = ACTIONS(215),
    [sym_keyword_unsigned] = ACTIONS(217),
    [sym_keyword_boolean] = ACTIONS(1285),
    [sym_keyword_bit] = ACTIONS(221),
    [sym_keyword_binary] = ACTIONS(223),
    [sym_keyword_varbinary] = ACTIONS(225),
    [sym_keyword_image] = ACTIONS(1285),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(227),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(227),
    [aux_sym_keyword_serial_token1] = ACTIONS(229),
    [aux_sym_keyword_serial_token2] = ACTIONS(229),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(231),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(231),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(233),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(233),
    [aux_sym_keyword_smallint_token1] = ACTIONS(235),
    [aux_sym_keyword_smallint_token2] = ACTIONS(235),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(237),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(237),
    [aux_sym_keyword_int_token1] = ACTIONS(239),
    [aux_sym_keyword_int_token2] = ACTIONS(239),
    [aux_sym_keyword_int_token3] = ACTIONS(239),
    [aux_sym_keyword_bigint_token1] = ACTIONS(241),
    [aux_sym_keyword_bigint_token2] = ACTIONS(241),
    [sym_keyword_decimal] = ACTIONS(243),
    [sym_keyword_numeric] = ACTIONS(245),
    [aux_sym_keyword_real_token1] = ACTIONS(247),
    [aux_sym_keyword_real_token2] = ACTIONS(247),
    [sym_keyword_float] = ACTIONS(249),
    [sym_keyword_double] = ACTIONS(251),
    [sym_keyword_inet] = ACTIONS(1285),
    [sym_keyword_money] = ACTIONS(1285),
    [sym_keyword_smallmoney] = ACTIONS(1285),
    [aux_sym_keyword_char_token1] = ACTIONS(253),
    [sym_keyword_nchar] = ACTIONS(255),
    [aux_sym_keyword_varchar_token1] = ACTIONS(257),
    [sym_keyword_nvarchar] = ACTIONS(259),
    [sym_keyword_text] = ACTIONS(1285),
    [sym_keyword_string] = ACTIONS(1285),
    [sym_keyword_uuid] = ACTIONS(1285),
    [sym_keyword_json] = ACTIONS(1285),
    [sym_keyword_jsonb] = ACTIONS(1285),
    [sym_keyword_xml] = ACTIONS(1285),
    [sym_keyword_bytea] = ACTIONS(1285),
    [sym_keyword_enum] = ACTIONS(261),
    [sym_keyword_date] = ACTIONS(1285),
    [sym_keyword_datetime] = ACTIONS(1285),
    [sym_keyword_datetime2] = ACTIONS(1285),
    [sym_keyword_smalldatetime] = ACTIONS(1285),
    [sym_keyword_datetimeoffset] = ACTIONS(263),
    [sym_keyword_time] = ACTIONS(265),
    [sym_keyword_timestamp] = ACTIONS(267),
    [sym_keyword_timestamptz] = ACTIONS(1285),
    [sym_keyword_interval] = ACTIONS(1285),
    [sym_keyword_geometry] = ACTIONS(1285),
    [sym_keyword_geography] = ACTIONS(1285),
    [sym_keyword_box2d] = ACTIONS(1285),
    [sym_keyword_box3d] = ACTIONS(1285),
    [sym_keyword_oid] = ACTIONS(1285),
    [sym_keyword_name] = ACTIONS(1285),
    [sym_keyword_regclass] = ACTIONS(1285),
    [sym_keyword_regnamespace] = ACTIONS(1285),
    [sym_keyword_regproc] = ACTIONS(1285),
    [sym_keyword_regtype] = ACTIONS(1285),
    [aux_sym_double_token1] = ACTIONS(269),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(397),
    [aux_sym_identifier_token1] = ACTIONS(397),
  },
  [68] = {
    [sym_keyword_smallserial] = STATE(7609),
    [sym_keyword_serial] = STATE(7609),
    [sym_keyword_bigserial] = STATE(7609),
    [sym_keyword_tinyint] = STATE(2528),
    [sym_keyword_smallint] = STATE(2372),
    [sym_keyword_mediumint] = STATE(2526),
    [sym_keyword_int] = STATE(2525),
    [sym_keyword_bigint] = STATE(2524),
    [sym_keyword_real] = STATE(2522),
    [sym_keyword_char] = STATE(2756),
    [sym_keyword_varchar] = STATE(2757),
    [sym__type] = STATE(10759),
    [sym_tinyint] = STATE(7609),
    [sym_smallint] = STATE(7609),
    [sym_mediumint] = STATE(7609),
    [sym_int] = STATE(7609),
    [sym_bigint] = STATE(7609),
    [sym_bit] = STATE(7609),
    [sym_binary] = STATE(7609),
    [sym_varbinary] = STATE(7609),
    [sym_float] = STATE(7609),
    [sym_double] = STATE(7609),
    [sym_decimal] = STATE(7609),
    [sym_numeric] = STATE(7609),
    [sym_char] = STATE(7609),
    [sym_varchar] = STATE(7609),
    [sym_nchar] = STATE(7609),
    [sym_nvarchar] = STATE(7609),
    [sym_datetimeoffset] = STATE(7609),
    [sym_time] = STATE(7609),
    [sym_timestamp] = STATE(7609),
    [sym_enum] = STATE(7609),
    [sym_object_reference] = STATE(7636),
    [sym_identifier] = STATE(7042),
    [sym__identifier] = ACTIONS(1287),
    [aux_sym_keyword_character_token1] = ACTIONS(465),
    [sym_keyword_unsigned] = ACTIONS(467),
    [sym_keyword_boolean] = ACTIONS(1289),
    [sym_keyword_bit] = ACTIONS(471),
    [sym_keyword_binary] = ACTIONS(473),
    [sym_keyword_varbinary] = ACTIONS(475),
    [sym_keyword_image] = ACTIONS(1289),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(477),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(477),
    [aux_sym_keyword_serial_token1] = ACTIONS(479),
    [aux_sym_keyword_serial_token2] = ACTIONS(479),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(481),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(481),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(483),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(483),
    [aux_sym_keyword_smallint_token1] = ACTIONS(485),
    [aux_sym_keyword_smallint_token2] = ACTIONS(485),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(487),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(487),
    [aux_sym_keyword_int_token1] = ACTIONS(489),
    [aux_sym_keyword_int_token2] = ACTIONS(489),
    [aux_sym_keyword_int_token3] = ACTIONS(489),
    [aux_sym_keyword_bigint_token1] = ACTIONS(491),
    [aux_sym_keyword_bigint_token2] = ACTIONS(491),
    [sym_keyword_decimal] = ACTIONS(493),
    [sym_keyword_numeric] = ACTIONS(495),
    [aux_sym_keyword_real_token1] = ACTIONS(497),
    [aux_sym_keyword_real_token2] = ACTIONS(497),
    [sym_keyword_float] = ACTIONS(499),
    [sym_keyword_double] = ACTIONS(501),
    [sym_keyword_inet] = ACTIONS(1289),
    [sym_keyword_money] = ACTIONS(1289),
    [sym_keyword_smallmoney] = ACTIONS(1289),
    [aux_sym_keyword_char_token1] = ACTIONS(503),
    [sym_keyword_nchar] = ACTIONS(505),
    [aux_sym_keyword_varchar_token1] = ACTIONS(507),
    [sym_keyword_nvarchar] = ACTIONS(509),
    [sym_keyword_text] = ACTIONS(1289),
    [sym_keyword_string] = ACTIONS(1289),
    [sym_keyword_uuid] = ACTIONS(1289),
    [sym_keyword_json] = ACTIONS(1289),
    [sym_keyword_jsonb] = ACTIONS(1289),
    [sym_keyword_xml] = ACTIONS(1289),
    [sym_keyword_bytea] = ACTIONS(1289),
    [sym_keyword_enum] = ACTIONS(511),
    [sym_keyword_date] = ACTIONS(1289),
    [sym_keyword_datetime] = ACTIONS(1289),
    [sym_keyword_datetime2] = ACTIONS(1289),
    [sym_keyword_smalldatetime] = ACTIONS(1289),
    [sym_keyword_datetimeoffset] = ACTIONS(513),
    [sym_keyword_time] = ACTIONS(515),
    [sym_keyword_timestamp] = ACTIONS(517),
    [sym_keyword_timestamptz] = ACTIONS(1289),
    [sym_keyword_interval] = ACTIONS(1289),
    [sym_keyword_geometry] = ACTIONS(1289),
    [sym_keyword_geography] = ACTIONS(1289),
    [sym_keyword_box2d] = ACTIONS(1289),
    [sym_keyword_box3d] = ACTIONS(1289),
    [sym_keyword_oid] = ACTIONS(1289),
    [sym_keyword_name] = ACTIONS(1289),
    [sym_keyword_regclass] = ACTIONS(1289),
    [sym_keyword_regnamespace] = ACTIONS(1289),
    [sym_keyword_regproc] = ACTIONS(1289),
    [sym_keyword_regtype] = ACTIONS(1289),
    [aux_sym_double_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1291),
    [aux_sym_identifier_token1] = ACTIONS(1291),
  },
  [69] = {
    [sym_keyword_smallserial] = STATE(7609),
    [sym_keyword_serial] = STATE(7609),
    [sym_keyword_bigserial] = STATE(7609),
    [sym_keyword_tinyint] = STATE(2528),
    [sym_keyword_smallint] = STATE(2372),
    [sym_keyword_mediumint] = STATE(2526),
    [sym_keyword_int] = STATE(2525),
    [sym_keyword_bigint] = STATE(2524),
    [sym_keyword_real] = STATE(2522),
    [sym_keyword_char] = STATE(2756),
    [sym_keyword_varchar] = STATE(2757),
    [sym__type] = STATE(8820),
    [sym_tinyint] = STATE(7609),
    [sym_smallint] = STATE(7609),
    [sym_mediumint] = STATE(7609),
    [sym_int] = STATE(7609),
    [sym_bigint] = STATE(7609),
    [sym_bit] = STATE(7609),
    [sym_binary] = STATE(7609),
    [sym_varbinary] = STATE(7609),
    [sym_float] = STATE(7609),
    [sym_double] = STATE(7609),
    [sym_decimal] = STATE(7609),
    [sym_numeric] = STATE(7609),
    [sym_char] = STATE(7609),
    [sym_varchar] = STATE(7609),
    [sym_nchar] = STATE(7609),
    [sym_nvarchar] = STATE(7609),
    [sym_datetimeoffset] = STATE(7609),
    [sym_time] = STATE(7609),
    [sym_timestamp] = STATE(7609),
    [sym_enum] = STATE(7609),
    [sym_object_reference] = STATE(7636),
    [sym_identifier] = STATE(7042),
    [sym__identifier] = ACTIONS(1287),
    [aux_sym_keyword_character_token1] = ACTIONS(465),
    [sym_keyword_unsigned] = ACTIONS(467),
    [sym_keyword_boolean] = ACTIONS(1289),
    [sym_keyword_bit] = ACTIONS(471),
    [sym_keyword_binary] = ACTIONS(473),
    [sym_keyword_varbinary] = ACTIONS(475),
    [sym_keyword_image] = ACTIONS(1289),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(477),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(477),
    [aux_sym_keyword_serial_token1] = ACTIONS(479),
    [aux_sym_keyword_serial_token2] = ACTIONS(479),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(481),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(481),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(483),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(483),
    [aux_sym_keyword_smallint_token1] = ACTIONS(485),
    [aux_sym_keyword_smallint_token2] = ACTIONS(485),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(487),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(487),
    [aux_sym_keyword_int_token1] = ACTIONS(489),
    [aux_sym_keyword_int_token2] = ACTIONS(489),
    [aux_sym_keyword_int_token3] = ACTIONS(489),
    [aux_sym_keyword_bigint_token1] = ACTIONS(491),
    [aux_sym_keyword_bigint_token2] = ACTIONS(491),
    [sym_keyword_decimal] = ACTIONS(493),
    [sym_keyword_numeric] = ACTIONS(495),
    [aux_sym_keyword_real_token1] = ACTIONS(497),
    [aux_sym_keyword_real_token2] = ACTIONS(497),
    [sym_keyword_float] = ACTIONS(499),
    [sym_keyword_double] = ACTIONS(501),
    [sym_keyword_inet] = ACTIONS(1289),
    [sym_keyword_money] = ACTIONS(1289),
    [sym_keyword_smallmoney] = ACTIONS(1289),
    [aux_sym_keyword_char_token1] = ACTIONS(503),
    [sym_keyword_nchar] = ACTIONS(505),
    [aux_sym_keyword_varchar_token1] = ACTIONS(507),
    [sym_keyword_nvarchar] = ACTIONS(509),
    [sym_keyword_text] = ACTIONS(1289),
    [sym_keyword_string] = ACTIONS(1289),
    [sym_keyword_uuid] = ACTIONS(1289),
    [sym_keyword_json] = ACTIONS(1289),
    [sym_keyword_jsonb] = ACTIONS(1289),
    [sym_keyword_xml] = ACTIONS(1289),
    [sym_keyword_bytea] = ACTIONS(1289),
    [sym_keyword_enum] = ACTIONS(511),
    [sym_keyword_date] = ACTIONS(1289),
    [sym_keyword_datetime] = ACTIONS(1289),
    [sym_keyword_datetime2] = ACTIONS(1289),
    [sym_keyword_smalldatetime] = ACTIONS(1289),
    [sym_keyword_datetimeoffset] = ACTIONS(513),
    [sym_keyword_time] = ACTIONS(515),
    [sym_keyword_timestamp] = ACTIONS(517),
    [sym_keyword_timestamptz] = ACTIONS(1289),
    [sym_keyword_interval] = ACTIONS(1289),
    [sym_keyword_geometry] = ACTIONS(1289),
    [sym_keyword_geography] = ACTIONS(1289),
    [sym_keyword_box2d] = ACTIONS(1289),
    [sym_keyword_box3d] = ACTIONS(1289),
    [sym_keyword_oid] = ACTIONS(1289),
    [sym_keyword_name] = ACTIONS(1289),
    [sym_keyword_regclass] = ACTIONS(1289),
    [sym_keyword_regnamespace] = ACTIONS(1289),
    [sym_keyword_regproc] = ACTIONS(1289),
    [sym_keyword_regtype] = ACTIONS(1289),
    [aux_sym_double_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1291),
    [aux_sym_identifier_token1] = ACTIONS(1291),
  },
  [70] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1840),
    [sym_keyword_smallint] = STATE(1848),
    [sym_keyword_mediumint] = STATE(1877),
    [sym_keyword_int] = STATE(1842),
    [sym_keyword_bigint] = STATE(1883),
    [sym_keyword_real] = STATE(1886),
    [sym_keyword_char] = STATE(2313),
    [sym_keyword_varchar] = STATE(2217),
    [sym__type] = STATE(10309),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7225),
    [sym_identifier] = STATE(5623),
    [sym__identifier] = ACTIONS(119),
    [aux_sym_keyword_character_token1] = ACTIONS(57),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(63),
    [sym_keyword_bit] = ACTIONS(65),
    [sym_keyword_binary] = ACTIONS(67),
    [sym_keyword_varbinary] = ACTIONS(69),
    [sym_keyword_image] = ACTIONS(63),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(71),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(71),
    [aux_sym_keyword_serial_token1] = ACTIONS(73),
    [aux_sym_keyword_serial_token2] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(75),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(77),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(77),
    [aux_sym_keyword_smallint_token1] = ACTIONS(79),
    [aux_sym_keyword_smallint_token2] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(81),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token1] = ACTIONS(83),
    [aux_sym_keyword_int_token2] = ACTIONS(83),
    [aux_sym_keyword_int_token3] = ACTIONS(83),
    [aux_sym_keyword_bigint_token1] = ACTIONS(85),
    [aux_sym_keyword_bigint_token2] = ACTIONS(85),
    [sym_keyword_decimal] = ACTIONS(87),
    [sym_keyword_numeric] = ACTIONS(89),
    [aux_sym_keyword_real_token1] = ACTIONS(91),
    [aux_sym_keyword_real_token2] = ACTIONS(91),
    [sym_keyword_float] = ACTIONS(93),
    [sym_keyword_double] = ACTIONS(95),
    [sym_keyword_inet] = ACTIONS(63),
    [sym_keyword_money] = ACTIONS(63),
    [sym_keyword_smallmoney] = ACTIONS(63),
    [aux_sym_keyword_char_token1] = ACTIONS(97),
    [sym_keyword_nchar] = ACTIONS(99),
    [aux_sym_keyword_varchar_token1] = ACTIONS(101),
    [sym_keyword_nvarchar] = ACTIONS(103),
    [sym_keyword_text] = ACTIONS(63),
    [sym_keyword_string] = ACTIONS(63),
    [sym_keyword_uuid] = ACTIONS(63),
    [sym_keyword_json] = ACTIONS(63),
    [sym_keyword_jsonb] = ACTIONS(63),
    [sym_keyword_xml] = ACTIONS(63),
    [sym_keyword_bytea] = ACTIONS(63),
    [sym_keyword_enum] = ACTIONS(105),
    [sym_keyword_date] = ACTIONS(63),
    [sym_keyword_datetime] = ACTIONS(63),
    [sym_keyword_datetime2] = ACTIONS(63),
    [sym_keyword_smalldatetime] = ACTIONS(63),
    [sym_keyword_datetimeoffset] = ACTIONS(107),
    [sym_keyword_time] = ACTIONS(109),
    [sym_keyword_timestamp] = ACTIONS(111),
    [sym_keyword_timestamptz] = ACTIONS(63),
    [sym_keyword_interval] = ACTIONS(63),
    [sym_keyword_geometry] = ACTIONS(63),
    [sym_keyword_geography] = ACTIONS(63),
    [sym_keyword_box2d] = ACTIONS(63),
    [sym_keyword_box3d] = ACTIONS(63),
    [sym_keyword_oid] = ACTIONS(63),
    [sym_keyword_name] = ACTIONS(63),
    [sym_keyword_regclass] = ACTIONS(63),
    [sym_keyword_regnamespace] = ACTIONS(63),
    [sym_keyword_regproc] = ACTIONS(63),
    [sym_keyword_regtype] = ACTIONS(63),
    [aux_sym_double_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(127),
    [aux_sym_identifier_token1] = ACTIONS(127),
  },
  [71] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1840),
    [sym_keyword_smallint] = STATE(1848),
    [sym_keyword_mediumint] = STATE(1877),
    [sym_keyword_int] = STATE(1842),
    [sym_keyword_bigint] = STATE(1883),
    [sym_keyword_real] = STATE(1886),
    [sym_keyword_char] = STATE(2313),
    [sym_keyword_varchar] = STATE(2217),
    [sym__type] = STATE(13712),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7225),
    [sym_identifier] = STATE(5623),
    [sym__identifier] = ACTIONS(119),
    [aux_sym_keyword_character_token1] = ACTIONS(57),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(63),
    [sym_keyword_bit] = ACTIONS(65),
    [sym_keyword_binary] = ACTIONS(67),
    [sym_keyword_varbinary] = ACTIONS(69),
    [sym_keyword_image] = ACTIONS(63),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(71),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(71),
    [aux_sym_keyword_serial_token1] = ACTIONS(73),
    [aux_sym_keyword_serial_token2] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(75),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(77),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(77),
    [aux_sym_keyword_smallint_token1] = ACTIONS(79),
    [aux_sym_keyword_smallint_token2] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(81),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token1] = ACTIONS(83),
    [aux_sym_keyword_int_token2] = ACTIONS(83),
    [aux_sym_keyword_int_token3] = ACTIONS(83),
    [aux_sym_keyword_bigint_token1] = ACTIONS(85),
    [aux_sym_keyword_bigint_token2] = ACTIONS(85),
    [sym_keyword_decimal] = ACTIONS(87),
    [sym_keyword_numeric] = ACTIONS(89),
    [aux_sym_keyword_real_token1] = ACTIONS(91),
    [aux_sym_keyword_real_token2] = ACTIONS(91),
    [sym_keyword_float] = ACTIONS(93),
    [sym_keyword_double] = ACTIONS(95),
    [sym_keyword_inet] = ACTIONS(63),
    [sym_keyword_money] = ACTIONS(63),
    [sym_keyword_smallmoney] = ACTIONS(63),
    [aux_sym_keyword_char_token1] = ACTIONS(97),
    [sym_keyword_nchar] = ACTIONS(99),
    [aux_sym_keyword_varchar_token1] = ACTIONS(101),
    [sym_keyword_nvarchar] = ACTIONS(103),
    [sym_keyword_text] = ACTIONS(63),
    [sym_keyword_string] = ACTIONS(63),
    [sym_keyword_uuid] = ACTIONS(63),
    [sym_keyword_json] = ACTIONS(63),
    [sym_keyword_jsonb] = ACTIONS(63),
    [sym_keyword_xml] = ACTIONS(63),
    [sym_keyword_bytea] = ACTIONS(63),
    [sym_keyword_enum] = ACTIONS(105),
    [sym_keyword_date] = ACTIONS(63),
    [sym_keyword_datetime] = ACTIONS(63),
    [sym_keyword_datetime2] = ACTIONS(63),
    [sym_keyword_smalldatetime] = ACTIONS(63),
    [sym_keyword_datetimeoffset] = ACTIONS(107),
    [sym_keyword_time] = ACTIONS(109),
    [sym_keyword_timestamp] = ACTIONS(111),
    [sym_keyword_timestamptz] = ACTIONS(63),
    [sym_keyword_interval] = ACTIONS(63),
    [sym_keyword_geometry] = ACTIONS(63),
    [sym_keyword_geography] = ACTIONS(63),
    [sym_keyword_box2d] = ACTIONS(63),
    [sym_keyword_box3d] = ACTIONS(63),
    [sym_keyword_oid] = ACTIONS(63),
    [sym_keyword_name] = ACTIONS(63),
    [sym_keyword_regclass] = ACTIONS(63),
    [sym_keyword_regnamespace] = ACTIONS(63),
    [sym_keyword_regproc] = ACTIONS(63),
    [sym_keyword_regtype] = ACTIONS(63),
    [aux_sym_double_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(127),
    [aux_sym_identifier_token1] = ACTIONS(127),
  },
  [72] = {
    [sym_keyword_smallserial] = STATE(5412),
    [sym_keyword_serial] = STATE(5412),
    [sym_keyword_bigserial] = STATE(5412),
    [sym_keyword_tinyint] = STATE(5391),
    [sym_keyword_smallint] = STATE(5390),
    [sym_keyword_mediumint] = STATE(5389),
    [sym_keyword_int] = STATE(5388),
    [sym_keyword_bigint] = STATE(5387),
    [sym_keyword_real] = STATE(5386),
    [sym_keyword_char] = STATE(6125),
    [sym_keyword_varchar] = STATE(6117),
    [sym__type] = STATE(7428),
    [sym_tinyint] = STATE(5412),
    [sym_smallint] = STATE(5412),
    [sym_mediumint] = STATE(5412),
    [sym_int] = STATE(5412),
    [sym_bigint] = STATE(5412),
    [sym_bit] = STATE(5412),
    [sym_binary] = STATE(5412),
    [sym_varbinary] = STATE(5412),
    [sym_float] = STATE(5412),
    [sym_double] = STATE(5412),
    [sym_decimal] = STATE(5412),
    [sym_numeric] = STATE(5412),
    [sym_char] = STATE(5412),
    [sym_varchar] = STATE(5412),
    [sym_nchar] = STATE(5412),
    [sym_nvarchar] = STATE(5412),
    [sym_datetimeoffset] = STATE(5412),
    [sym_time] = STATE(5412),
    [sym_timestamp] = STATE(5412),
    [sym_enum] = STATE(5412),
    [sym_object_reference] = STATE(5383),
    [sym_identifier] = STATE(1898),
    [sym__identifier] = ACTIONS(1281),
    [aux_sym_keyword_character_token1] = ACTIONS(133),
    [sym_keyword_unsigned] = ACTIONS(135),
    [sym_keyword_boolean] = ACTIONS(141),
    [sym_keyword_bit] = ACTIONS(143),
    [sym_keyword_binary] = ACTIONS(145),
    [sym_keyword_varbinary] = ACTIONS(147),
    [sym_keyword_image] = ACTIONS(141),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(149),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(149),
    [aux_sym_keyword_serial_token1] = ACTIONS(151),
    [aux_sym_keyword_serial_token2] = ACTIONS(151),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(153),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(153),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(155),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(155),
    [aux_sym_keyword_smallint_token1] = ACTIONS(157),
    [aux_sym_keyword_smallint_token2] = ACTIONS(157),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(159),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(159),
    [aux_sym_keyword_int_token1] = ACTIONS(161),
    [aux_sym_keyword_int_token2] = ACTIONS(161),
    [aux_sym_keyword_int_token3] = ACTIONS(161),
    [aux_sym_keyword_bigint_token1] = ACTIONS(163),
    [aux_sym_keyword_bigint_token2] = ACTIONS(163),
    [sym_keyword_decimal] = ACTIONS(165),
    [sym_keyword_numeric] = ACTIONS(167),
    [aux_sym_keyword_real_token1] = ACTIONS(169),
    [aux_sym_keyword_real_token2] = ACTIONS(169),
    [sym_keyword_float] = ACTIONS(171),
    [sym_keyword_double] = ACTIONS(173),
    [sym_keyword_inet] = ACTIONS(141),
    [sym_keyword_money] = ACTIONS(141),
    [sym_keyword_smallmoney] = ACTIONS(141),
    [aux_sym_keyword_char_token1] = ACTIONS(175),
    [sym_keyword_nchar] = ACTIONS(177),
    [aux_sym_keyword_varchar_token1] = ACTIONS(179),
    [sym_keyword_nvarchar] = ACTIONS(181),
    [sym_keyword_text] = ACTIONS(141),
    [sym_keyword_string] = ACTIONS(141),
    [sym_keyword_uuid] = ACTIONS(141),
    [sym_keyword_json] = ACTIONS(141),
    [sym_keyword_jsonb] = ACTIONS(141),
    [sym_keyword_xml] = ACTIONS(141),
    [sym_keyword_bytea] = ACTIONS(141),
    [sym_keyword_enum] = ACTIONS(183),
    [sym_keyword_date] = ACTIONS(141),
    [sym_keyword_datetime] = ACTIONS(141),
    [sym_keyword_datetime2] = ACTIONS(141),
    [sym_keyword_smalldatetime] = ACTIONS(141),
    [sym_keyword_datetimeoffset] = ACTIONS(185),
    [sym_keyword_time] = ACTIONS(187),
    [sym_keyword_timestamp] = ACTIONS(189),
    [sym_keyword_timestamptz] = ACTIONS(141),
    [sym_keyword_interval] = ACTIONS(141),
    [sym_keyword_geometry] = ACTIONS(141),
    [sym_keyword_geography] = ACTIONS(141),
    [sym_keyword_box2d] = ACTIONS(141),
    [sym_keyword_box3d] = ACTIONS(141),
    [sym_keyword_oid] = ACTIONS(141),
    [sym_keyword_name] = ACTIONS(141),
    [sym_keyword_regclass] = ACTIONS(141),
    [sym_keyword_regnamespace] = ACTIONS(141),
    [sym_keyword_regproc] = ACTIONS(141),
    [sym_keyword_regtype] = ACTIONS(141),
    [aux_sym_double_token1] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1283),
    [aux_sym_identifier_token1] = ACTIONS(1283),
  },
  [73] = {
    [sym_keyword_smallserial] = STATE(7609),
    [sym_keyword_serial] = STATE(7609),
    [sym_keyword_bigserial] = STATE(7609),
    [sym_keyword_tinyint] = STATE(2528),
    [sym_keyword_smallint] = STATE(2372),
    [sym_keyword_mediumint] = STATE(2526),
    [sym_keyword_int] = STATE(2525),
    [sym_keyword_bigint] = STATE(2524),
    [sym_keyword_real] = STATE(2522),
    [sym_keyword_char] = STATE(2756),
    [sym_keyword_varchar] = STATE(2757),
    [sym__type] = STATE(10702),
    [sym_tinyint] = STATE(7609),
    [sym_smallint] = STATE(7609),
    [sym_mediumint] = STATE(7609),
    [sym_int] = STATE(7609),
    [sym_bigint] = STATE(7609),
    [sym_bit] = STATE(7609),
    [sym_binary] = STATE(7609),
    [sym_varbinary] = STATE(7609),
    [sym_float] = STATE(7609),
    [sym_double] = STATE(7609),
    [sym_decimal] = STATE(7609),
    [sym_numeric] = STATE(7609),
    [sym_char] = STATE(7609),
    [sym_varchar] = STATE(7609),
    [sym_nchar] = STATE(7609),
    [sym_nvarchar] = STATE(7609),
    [sym_datetimeoffset] = STATE(7609),
    [sym_time] = STATE(7609),
    [sym_timestamp] = STATE(7609),
    [sym_enum] = STATE(7609),
    [sym_object_reference] = STATE(7636),
    [sym_identifier] = STATE(7042),
    [sym__identifier] = ACTIONS(1287),
    [aux_sym_keyword_character_token1] = ACTIONS(465),
    [sym_keyword_unsigned] = ACTIONS(467),
    [sym_keyword_boolean] = ACTIONS(1289),
    [sym_keyword_bit] = ACTIONS(471),
    [sym_keyword_binary] = ACTIONS(473),
    [sym_keyword_varbinary] = ACTIONS(475),
    [sym_keyword_image] = ACTIONS(1289),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(477),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(477),
    [aux_sym_keyword_serial_token1] = ACTIONS(479),
    [aux_sym_keyword_serial_token2] = ACTIONS(479),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(481),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(481),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(483),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(483),
    [aux_sym_keyword_smallint_token1] = ACTIONS(485),
    [aux_sym_keyword_smallint_token2] = ACTIONS(485),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(487),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(487),
    [aux_sym_keyword_int_token1] = ACTIONS(489),
    [aux_sym_keyword_int_token2] = ACTIONS(489),
    [aux_sym_keyword_int_token3] = ACTIONS(489),
    [aux_sym_keyword_bigint_token1] = ACTIONS(491),
    [aux_sym_keyword_bigint_token2] = ACTIONS(491),
    [sym_keyword_decimal] = ACTIONS(493),
    [sym_keyword_numeric] = ACTIONS(495),
    [aux_sym_keyword_real_token1] = ACTIONS(497),
    [aux_sym_keyword_real_token2] = ACTIONS(497),
    [sym_keyword_float] = ACTIONS(499),
    [sym_keyword_double] = ACTIONS(501),
    [sym_keyword_inet] = ACTIONS(1289),
    [sym_keyword_money] = ACTIONS(1289),
    [sym_keyword_smallmoney] = ACTIONS(1289),
    [aux_sym_keyword_char_token1] = ACTIONS(503),
    [sym_keyword_nchar] = ACTIONS(505),
    [aux_sym_keyword_varchar_token1] = ACTIONS(507),
    [sym_keyword_nvarchar] = ACTIONS(509),
    [sym_keyword_text] = ACTIONS(1289),
    [sym_keyword_string] = ACTIONS(1289),
    [sym_keyword_uuid] = ACTIONS(1289),
    [sym_keyword_json] = ACTIONS(1289),
    [sym_keyword_jsonb] = ACTIONS(1289),
    [sym_keyword_xml] = ACTIONS(1289),
    [sym_keyword_bytea] = ACTIONS(1289),
    [sym_keyword_enum] = ACTIONS(511),
    [sym_keyword_date] = ACTIONS(1289),
    [sym_keyword_datetime] = ACTIONS(1289),
    [sym_keyword_datetime2] = ACTIONS(1289),
    [sym_keyword_smalldatetime] = ACTIONS(1289),
    [sym_keyword_datetimeoffset] = ACTIONS(513),
    [sym_keyword_time] = ACTIONS(515),
    [sym_keyword_timestamp] = ACTIONS(517),
    [sym_keyword_timestamptz] = ACTIONS(1289),
    [sym_keyword_interval] = ACTIONS(1289),
    [sym_keyword_geometry] = ACTIONS(1289),
    [sym_keyword_geography] = ACTIONS(1289),
    [sym_keyword_box2d] = ACTIONS(1289),
    [sym_keyword_box3d] = ACTIONS(1289),
    [sym_keyword_oid] = ACTIONS(1289),
    [sym_keyword_name] = ACTIONS(1289),
    [sym_keyword_regclass] = ACTIONS(1289),
    [sym_keyword_regnamespace] = ACTIONS(1289),
    [sym_keyword_regproc] = ACTIONS(1289),
    [sym_keyword_regtype] = ACTIONS(1289),
    [aux_sym_double_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1291),
    [aux_sym_identifier_token1] = ACTIONS(1291),
  },
  [74] = {
    [sym_keyword_smallserial] = STATE(7609),
    [sym_keyword_serial] = STATE(7609),
    [sym_keyword_bigserial] = STATE(7609),
    [sym_keyword_tinyint] = STATE(2528),
    [sym_keyword_smallint] = STATE(2372),
    [sym_keyword_mediumint] = STATE(2526),
    [sym_keyword_int] = STATE(2525),
    [sym_keyword_bigint] = STATE(2524),
    [sym_keyword_real] = STATE(2522),
    [sym_keyword_char] = STATE(2756),
    [sym_keyword_varchar] = STATE(2757),
    [sym__type] = STATE(8750),
    [sym_tinyint] = STATE(7609),
    [sym_smallint] = STATE(7609),
    [sym_mediumint] = STATE(7609),
    [sym_int] = STATE(7609),
    [sym_bigint] = STATE(7609),
    [sym_bit] = STATE(7609),
    [sym_binary] = STATE(7609),
    [sym_varbinary] = STATE(7609),
    [sym_float] = STATE(7609),
    [sym_double] = STATE(7609),
    [sym_decimal] = STATE(7609),
    [sym_numeric] = STATE(7609),
    [sym_char] = STATE(7609),
    [sym_varchar] = STATE(7609),
    [sym_nchar] = STATE(7609),
    [sym_nvarchar] = STATE(7609),
    [sym_datetimeoffset] = STATE(7609),
    [sym_time] = STATE(7609),
    [sym_timestamp] = STATE(7609),
    [sym_enum] = STATE(7609),
    [sym_object_reference] = STATE(7636),
    [sym_identifier] = STATE(7042),
    [sym__identifier] = ACTIONS(1287),
    [aux_sym_keyword_character_token1] = ACTIONS(465),
    [sym_keyword_unsigned] = ACTIONS(467),
    [sym_keyword_boolean] = ACTIONS(1289),
    [sym_keyword_bit] = ACTIONS(471),
    [sym_keyword_binary] = ACTIONS(473),
    [sym_keyword_varbinary] = ACTIONS(475),
    [sym_keyword_image] = ACTIONS(1289),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(477),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(477),
    [aux_sym_keyword_serial_token1] = ACTIONS(479),
    [aux_sym_keyword_serial_token2] = ACTIONS(479),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(481),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(481),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(483),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(483),
    [aux_sym_keyword_smallint_token1] = ACTIONS(485),
    [aux_sym_keyword_smallint_token2] = ACTIONS(485),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(487),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(487),
    [aux_sym_keyword_int_token1] = ACTIONS(489),
    [aux_sym_keyword_int_token2] = ACTIONS(489),
    [aux_sym_keyword_int_token3] = ACTIONS(489),
    [aux_sym_keyword_bigint_token1] = ACTIONS(491),
    [aux_sym_keyword_bigint_token2] = ACTIONS(491),
    [sym_keyword_decimal] = ACTIONS(493),
    [sym_keyword_numeric] = ACTIONS(495),
    [aux_sym_keyword_real_token1] = ACTIONS(497),
    [aux_sym_keyword_real_token2] = ACTIONS(497),
    [sym_keyword_float] = ACTIONS(499),
    [sym_keyword_double] = ACTIONS(501),
    [sym_keyword_inet] = ACTIONS(1289),
    [sym_keyword_money] = ACTIONS(1289),
    [sym_keyword_smallmoney] = ACTIONS(1289),
    [aux_sym_keyword_char_token1] = ACTIONS(503),
    [sym_keyword_nchar] = ACTIONS(505),
    [aux_sym_keyword_varchar_token1] = ACTIONS(507),
    [sym_keyword_nvarchar] = ACTIONS(509),
    [sym_keyword_text] = ACTIONS(1289),
    [sym_keyword_string] = ACTIONS(1289),
    [sym_keyword_uuid] = ACTIONS(1289),
    [sym_keyword_json] = ACTIONS(1289),
    [sym_keyword_jsonb] = ACTIONS(1289),
    [sym_keyword_xml] = ACTIONS(1289),
    [sym_keyword_bytea] = ACTIONS(1289),
    [sym_keyword_enum] = ACTIONS(511),
    [sym_keyword_date] = ACTIONS(1289),
    [sym_keyword_datetime] = ACTIONS(1289),
    [sym_keyword_datetime2] = ACTIONS(1289),
    [sym_keyword_smalldatetime] = ACTIONS(1289),
    [sym_keyword_datetimeoffset] = ACTIONS(513),
    [sym_keyword_time] = ACTIONS(515),
    [sym_keyword_timestamp] = ACTIONS(517),
    [sym_keyword_timestamptz] = ACTIONS(1289),
    [sym_keyword_interval] = ACTIONS(1289),
    [sym_keyword_geometry] = ACTIONS(1289),
    [sym_keyword_geography] = ACTIONS(1289),
    [sym_keyword_box2d] = ACTIONS(1289),
    [sym_keyword_box3d] = ACTIONS(1289),
    [sym_keyword_oid] = ACTIONS(1289),
    [sym_keyword_name] = ACTIONS(1289),
    [sym_keyword_regclass] = ACTIONS(1289),
    [sym_keyword_regnamespace] = ACTIONS(1289),
    [sym_keyword_regproc] = ACTIONS(1289),
    [sym_keyword_regtype] = ACTIONS(1289),
    [aux_sym_double_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1291),
    [aux_sym_identifier_token1] = ACTIONS(1291),
  },
  [75] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1840),
    [sym_keyword_smallint] = STATE(1848),
    [sym_keyword_mediumint] = STATE(1877),
    [sym_keyword_int] = STATE(1842),
    [sym_keyword_bigint] = STATE(1883),
    [sym_keyword_real] = STATE(1886),
    [sym_keyword_char] = STATE(2313),
    [sym_keyword_varchar] = STATE(2217),
    [sym__type] = STATE(10439),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7225),
    [sym_identifier] = STATE(5623),
    [sym__identifier] = ACTIONS(119),
    [aux_sym_keyword_character_token1] = ACTIONS(57),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(63),
    [sym_keyword_bit] = ACTIONS(65),
    [sym_keyword_binary] = ACTIONS(67),
    [sym_keyword_varbinary] = ACTIONS(69),
    [sym_keyword_image] = ACTIONS(63),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(71),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(71),
    [aux_sym_keyword_serial_token1] = ACTIONS(73),
    [aux_sym_keyword_serial_token2] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(75),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(77),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(77),
    [aux_sym_keyword_smallint_token1] = ACTIONS(79),
    [aux_sym_keyword_smallint_token2] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(81),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token1] = ACTIONS(83),
    [aux_sym_keyword_int_token2] = ACTIONS(83),
    [aux_sym_keyword_int_token3] = ACTIONS(83),
    [aux_sym_keyword_bigint_token1] = ACTIONS(85),
    [aux_sym_keyword_bigint_token2] = ACTIONS(85),
    [sym_keyword_decimal] = ACTIONS(87),
    [sym_keyword_numeric] = ACTIONS(89),
    [aux_sym_keyword_real_token1] = ACTIONS(91),
    [aux_sym_keyword_real_token2] = ACTIONS(91),
    [sym_keyword_float] = ACTIONS(93),
    [sym_keyword_double] = ACTIONS(95),
    [sym_keyword_inet] = ACTIONS(63),
    [sym_keyword_money] = ACTIONS(63),
    [sym_keyword_smallmoney] = ACTIONS(63),
    [aux_sym_keyword_char_token1] = ACTIONS(97),
    [sym_keyword_nchar] = ACTIONS(99),
    [aux_sym_keyword_varchar_token1] = ACTIONS(101),
    [sym_keyword_nvarchar] = ACTIONS(103),
    [sym_keyword_text] = ACTIONS(63),
    [sym_keyword_string] = ACTIONS(63),
    [sym_keyword_uuid] = ACTIONS(63),
    [sym_keyword_json] = ACTIONS(63),
    [sym_keyword_jsonb] = ACTIONS(63),
    [sym_keyword_xml] = ACTIONS(63),
    [sym_keyword_bytea] = ACTIONS(63),
    [sym_keyword_enum] = ACTIONS(105),
    [sym_keyword_date] = ACTIONS(63),
    [sym_keyword_datetime] = ACTIONS(63),
    [sym_keyword_datetime2] = ACTIONS(63),
    [sym_keyword_smalldatetime] = ACTIONS(63),
    [sym_keyword_datetimeoffset] = ACTIONS(107),
    [sym_keyword_time] = ACTIONS(109),
    [sym_keyword_timestamp] = ACTIONS(111),
    [sym_keyword_timestamptz] = ACTIONS(63),
    [sym_keyword_interval] = ACTIONS(63),
    [sym_keyword_geometry] = ACTIONS(63),
    [sym_keyword_geography] = ACTIONS(63),
    [sym_keyword_box2d] = ACTIONS(63),
    [sym_keyword_box3d] = ACTIONS(63),
    [sym_keyword_oid] = ACTIONS(63),
    [sym_keyword_name] = ACTIONS(63),
    [sym_keyword_regclass] = ACTIONS(63),
    [sym_keyword_regnamespace] = ACTIONS(63),
    [sym_keyword_regproc] = ACTIONS(63),
    [sym_keyword_regtype] = ACTIONS(63),
    [aux_sym_double_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(127),
    [aux_sym_identifier_token1] = ACTIONS(127),
  },
  [76] = {
    [sym_keyword_smallserial] = STATE(5412),
    [sym_keyword_serial] = STATE(5412),
    [sym_keyword_bigserial] = STATE(5412),
    [sym_keyword_tinyint] = STATE(5391),
    [sym_keyword_smallint] = STATE(5390),
    [sym_keyword_mediumint] = STATE(5389),
    [sym_keyword_int] = STATE(5388),
    [sym_keyword_bigint] = STATE(5387),
    [sym_keyword_real] = STATE(5386),
    [sym_keyword_char] = STATE(6125),
    [sym_keyword_varchar] = STATE(6117),
    [sym__type] = STATE(6516),
    [sym_tinyint] = STATE(5412),
    [sym_smallint] = STATE(5412),
    [sym_mediumint] = STATE(5412),
    [sym_int] = STATE(5412),
    [sym_bigint] = STATE(5412),
    [sym_bit] = STATE(5412),
    [sym_binary] = STATE(5412),
    [sym_varbinary] = STATE(5412),
    [sym_float] = STATE(5412),
    [sym_double] = STATE(5412),
    [sym_decimal] = STATE(5412),
    [sym_numeric] = STATE(5412),
    [sym_char] = STATE(5412),
    [sym_varchar] = STATE(5412),
    [sym_nchar] = STATE(5412),
    [sym_nvarchar] = STATE(5412),
    [sym_datetimeoffset] = STATE(5412),
    [sym_time] = STATE(5412),
    [sym_timestamp] = STATE(5412),
    [sym_enum] = STATE(5412),
    [sym_object_reference] = STATE(5383),
    [sym_identifier] = STATE(6934),
    [sym__identifier] = ACTIONS(129),
    [aux_sym_keyword_character_token1] = ACTIONS(133),
    [sym_keyword_unsigned] = ACTIONS(135),
    [sym_keyword_boolean] = ACTIONS(141),
    [sym_keyword_bit] = ACTIONS(143),
    [sym_keyword_binary] = ACTIONS(145),
    [sym_keyword_varbinary] = ACTIONS(147),
    [sym_keyword_image] = ACTIONS(141),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(149),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(149),
    [aux_sym_keyword_serial_token1] = ACTIONS(151),
    [aux_sym_keyword_serial_token2] = ACTIONS(151),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(153),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(153),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(155),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(155),
    [aux_sym_keyword_smallint_token1] = ACTIONS(157),
    [aux_sym_keyword_smallint_token2] = ACTIONS(157),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(159),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(159),
    [aux_sym_keyword_int_token1] = ACTIONS(161),
    [aux_sym_keyword_int_token2] = ACTIONS(161),
    [aux_sym_keyword_int_token3] = ACTIONS(161),
    [aux_sym_keyword_bigint_token1] = ACTIONS(163),
    [aux_sym_keyword_bigint_token2] = ACTIONS(163),
    [sym_keyword_decimal] = ACTIONS(165),
    [sym_keyword_numeric] = ACTIONS(167),
    [aux_sym_keyword_real_token1] = ACTIONS(169),
    [aux_sym_keyword_real_token2] = ACTIONS(169),
    [sym_keyword_float] = ACTIONS(171),
    [sym_keyword_double] = ACTIONS(173),
    [sym_keyword_inet] = ACTIONS(141),
    [sym_keyword_money] = ACTIONS(141),
    [sym_keyword_smallmoney] = ACTIONS(141),
    [aux_sym_keyword_char_token1] = ACTIONS(175),
    [sym_keyword_nchar] = ACTIONS(177),
    [aux_sym_keyword_varchar_token1] = ACTIONS(179),
    [sym_keyword_nvarchar] = ACTIONS(181),
    [sym_keyword_text] = ACTIONS(141),
    [sym_keyword_string] = ACTIONS(141),
    [sym_keyword_uuid] = ACTIONS(141),
    [sym_keyword_json] = ACTIONS(141),
    [sym_keyword_jsonb] = ACTIONS(141),
    [sym_keyword_xml] = ACTIONS(141),
    [sym_keyword_bytea] = ACTIONS(141),
    [sym_keyword_enum] = ACTIONS(183),
    [sym_keyword_date] = ACTIONS(141),
    [sym_keyword_datetime] = ACTIONS(141),
    [sym_keyword_datetime2] = ACTIONS(141),
    [sym_keyword_smalldatetime] = ACTIONS(141),
    [sym_keyword_datetimeoffset] = ACTIONS(185),
    [sym_keyword_time] = ACTIONS(187),
    [sym_keyword_timestamp] = ACTIONS(189),
    [sym_keyword_timestamptz] = ACTIONS(141),
    [sym_keyword_interval] = ACTIONS(141),
    [sym_keyword_geometry] = ACTIONS(141),
    [sym_keyword_geography] = ACTIONS(141),
    [sym_keyword_box2d] = ACTIONS(141),
    [sym_keyword_box3d] = ACTIONS(141),
    [sym_keyword_oid] = ACTIONS(141),
    [sym_keyword_name] = ACTIONS(141),
    [sym_keyword_regclass] = ACTIONS(141),
    [sym_keyword_regnamespace] = ACTIONS(141),
    [sym_keyword_regproc] = ACTIONS(141),
    [sym_keyword_regtype] = ACTIONS(141),
    [aux_sym_double_token1] = ACTIONS(191),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(193),
    [aux_sym_identifier_token1] = ACTIONS(193),
  },
  [77] = {
    [sym_keyword_smallserial] = STATE(4865),
    [sym_keyword_serial] = STATE(4865),
    [sym_keyword_bigserial] = STATE(4865),
    [sym_keyword_tinyint] = STATE(4897),
    [sym_keyword_smallint] = STATE(4896),
    [sym_keyword_mediumint] = STATE(4893),
    [sym_keyword_int] = STATE(4892),
    [sym_keyword_bigint] = STATE(4891),
    [sym_keyword_real] = STATE(4890),
    [sym_keyword_char] = STATE(5182),
    [sym_keyword_varchar] = STATE(5179),
    [sym__type] = STATE(5925),
    [sym_tinyint] = STATE(4865),
    [sym_smallint] = STATE(4865),
    [sym_mediumint] = STATE(4865),
    [sym_int] = STATE(4865),
    [sym_bigint] = STATE(4865),
    [sym_bit] = STATE(4865),
    [sym_binary] = STATE(4865),
    [sym_varbinary] = STATE(4865),
    [sym_float] = STATE(4865),
    [sym_double] = STATE(4865),
    [sym_decimal] = STATE(4865),
    [sym_numeric] = STATE(4865),
    [sym_char] = STATE(4865),
    [sym_varchar] = STATE(4865),
    [sym_nchar] = STATE(4865),
    [sym_nvarchar] = STATE(4865),
    [sym_datetimeoffset] = STATE(4865),
    [sym_time] = STATE(4865),
    [sym_timestamp] = STATE(4865),
    [sym_enum] = STATE(4865),
    [sym_object_reference] = STATE(4911),
    [sym_identifier] = STATE(5480),
    [sym__identifier] = ACTIONS(643),
    [aux_sym_keyword_character_token1] = ACTIONS(1293),
    [sym_keyword_unsigned] = ACTIONS(1295),
    [sym_keyword_boolean] = ACTIONS(1297),
    [sym_keyword_bit] = ACTIONS(1299),
    [sym_keyword_binary] = ACTIONS(1301),
    [sym_keyword_varbinary] = ACTIONS(1303),
    [sym_keyword_image] = ACTIONS(1297),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1305),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1305),
    [aux_sym_keyword_serial_token1] = ACTIONS(1307),
    [aux_sym_keyword_serial_token2] = ACTIONS(1307),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1309),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1309),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1311),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1311),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1313),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1313),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1315),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1315),
    [aux_sym_keyword_int_token1] = ACTIONS(1317),
    [aux_sym_keyword_int_token2] = ACTIONS(1317),
    [aux_sym_keyword_int_token3] = ACTIONS(1317),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1319),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1319),
    [sym_keyword_decimal] = ACTIONS(1321),
    [sym_keyword_numeric] = ACTIONS(1323),
    [aux_sym_keyword_real_token1] = ACTIONS(1325),
    [aux_sym_keyword_real_token2] = ACTIONS(1325),
    [sym_keyword_float] = ACTIONS(1327),
    [sym_keyword_double] = ACTIONS(1329),
    [sym_keyword_inet] = ACTIONS(1297),
    [sym_keyword_money] = ACTIONS(1297),
    [sym_keyword_smallmoney] = ACTIONS(1297),
    [aux_sym_keyword_char_token1] = ACTIONS(1331),
    [sym_keyword_nchar] = ACTIONS(1333),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1335),
    [sym_keyword_nvarchar] = ACTIONS(1337),
    [sym_keyword_text] = ACTIONS(1297),
    [sym_keyword_string] = ACTIONS(1297),
    [sym_keyword_uuid] = ACTIONS(1297),
    [sym_keyword_json] = ACTIONS(1297),
    [sym_keyword_jsonb] = ACTIONS(1297),
    [sym_keyword_xml] = ACTIONS(1297),
    [sym_keyword_bytea] = ACTIONS(1297),
    [sym_keyword_enum] = ACTIONS(1339),
    [sym_keyword_date] = ACTIONS(1297),
    [sym_keyword_datetime] = ACTIONS(1297),
    [sym_keyword_datetime2] = ACTIONS(1297),
    [sym_keyword_smalldatetime] = ACTIONS(1297),
    [sym_keyword_datetimeoffset] = ACTIONS(1341),
    [sym_keyword_time] = ACTIONS(1343),
    [sym_keyword_timestamp] = ACTIONS(1345),
    [sym_keyword_timestamptz] = ACTIONS(1297),
    [sym_keyword_interval] = ACTIONS(1297),
    [sym_keyword_geometry] = ACTIONS(1297),
    [sym_keyword_geography] = ACTIONS(1297),
    [sym_keyword_box2d] = ACTIONS(1297),
    [sym_keyword_box3d] = ACTIONS(1297),
    [sym_keyword_oid] = ACTIONS(1297),
    [sym_keyword_name] = ACTIONS(1297),
    [sym_keyword_regclass] = ACTIONS(1297),
    [sym_keyword_regnamespace] = ACTIONS(1297),
    [sym_keyword_regproc] = ACTIONS(1297),
    [sym_keyword_regtype] = ACTIONS(1297),
    [aux_sym_double_token1] = ACTIONS(1347),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(645),
    [aux_sym_identifier_token1] = ACTIONS(645),
  },
  [78] = {
    [sym_keyword_smallserial] = STATE(7609),
    [sym_keyword_serial] = STATE(7609),
    [sym_keyword_bigserial] = STATE(7609),
    [sym_keyword_tinyint] = STATE(2528),
    [sym_keyword_smallint] = STATE(2372),
    [sym_keyword_mediumint] = STATE(2526),
    [sym_keyword_int] = STATE(2525),
    [sym_keyword_bigint] = STATE(2524),
    [sym_keyword_real] = STATE(2522),
    [sym_keyword_char] = STATE(2756),
    [sym_keyword_varchar] = STATE(2757),
    [sym__type] = STATE(10658),
    [sym_tinyint] = STATE(7609),
    [sym_smallint] = STATE(7609),
    [sym_mediumint] = STATE(7609),
    [sym_int] = STATE(7609),
    [sym_bigint] = STATE(7609),
    [sym_bit] = STATE(7609),
    [sym_binary] = STATE(7609),
    [sym_varbinary] = STATE(7609),
    [sym_float] = STATE(7609),
    [sym_double] = STATE(7609),
    [sym_decimal] = STATE(7609),
    [sym_numeric] = STATE(7609),
    [sym_char] = STATE(7609),
    [sym_varchar] = STATE(7609),
    [sym_nchar] = STATE(7609),
    [sym_nvarchar] = STATE(7609),
    [sym_datetimeoffset] = STATE(7609),
    [sym_time] = STATE(7609),
    [sym_timestamp] = STATE(7609),
    [sym_enum] = STATE(7609),
    [sym_object_reference] = STATE(7636),
    [sym_identifier] = STATE(7042),
    [sym__identifier] = ACTIONS(1287),
    [aux_sym_keyword_character_token1] = ACTIONS(465),
    [sym_keyword_unsigned] = ACTIONS(467),
    [sym_keyword_boolean] = ACTIONS(1289),
    [sym_keyword_bit] = ACTIONS(471),
    [sym_keyword_binary] = ACTIONS(473),
    [sym_keyword_varbinary] = ACTIONS(475),
    [sym_keyword_image] = ACTIONS(1289),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(477),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(477),
    [aux_sym_keyword_serial_token1] = ACTIONS(479),
    [aux_sym_keyword_serial_token2] = ACTIONS(479),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(481),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(481),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(483),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(483),
    [aux_sym_keyword_smallint_token1] = ACTIONS(485),
    [aux_sym_keyword_smallint_token2] = ACTIONS(485),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(487),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(487),
    [aux_sym_keyword_int_token1] = ACTIONS(489),
    [aux_sym_keyword_int_token2] = ACTIONS(489),
    [aux_sym_keyword_int_token3] = ACTIONS(489),
    [aux_sym_keyword_bigint_token1] = ACTIONS(491),
    [aux_sym_keyword_bigint_token2] = ACTIONS(491),
    [sym_keyword_decimal] = ACTIONS(493),
    [sym_keyword_numeric] = ACTIONS(495),
    [aux_sym_keyword_real_token1] = ACTIONS(497),
    [aux_sym_keyword_real_token2] = ACTIONS(497),
    [sym_keyword_float] = ACTIONS(499),
    [sym_keyword_double] = ACTIONS(501),
    [sym_keyword_inet] = ACTIONS(1289),
    [sym_keyword_money] = ACTIONS(1289),
    [sym_keyword_smallmoney] = ACTIONS(1289),
    [aux_sym_keyword_char_token1] = ACTIONS(503),
    [sym_keyword_nchar] = ACTIONS(505),
    [aux_sym_keyword_varchar_token1] = ACTIONS(507),
    [sym_keyword_nvarchar] = ACTIONS(509),
    [sym_keyword_text] = ACTIONS(1289),
    [sym_keyword_string] = ACTIONS(1289),
    [sym_keyword_uuid] = ACTIONS(1289),
    [sym_keyword_json] = ACTIONS(1289),
    [sym_keyword_jsonb] = ACTIONS(1289),
    [sym_keyword_xml] = ACTIONS(1289),
    [sym_keyword_bytea] = ACTIONS(1289),
    [sym_keyword_enum] = ACTIONS(511),
    [sym_keyword_date] = ACTIONS(1289),
    [sym_keyword_datetime] = ACTIONS(1289),
    [sym_keyword_datetime2] = ACTIONS(1289),
    [sym_keyword_smalldatetime] = ACTIONS(1289),
    [sym_keyword_datetimeoffset] = ACTIONS(513),
    [sym_keyword_time] = ACTIONS(515),
    [sym_keyword_timestamp] = ACTIONS(517),
    [sym_keyword_timestamptz] = ACTIONS(1289),
    [sym_keyword_interval] = ACTIONS(1289),
    [sym_keyword_geometry] = ACTIONS(1289),
    [sym_keyword_geography] = ACTIONS(1289),
    [sym_keyword_box2d] = ACTIONS(1289),
    [sym_keyword_box3d] = ACTIONS(1289),
    [sym_keyword_oid] = ACTIONS(1289),
    [sym_keyword_name] = ACTIONS(1289),
    [sym_keyword_regclass] = ACTIONS(1289),
    [sym_keyword_regnamespace] = ACTIONS(1289),
    [sym_keyword_regproc] = ACTIONS(1289),
    [sym_keyword_regtype] = ACTIONS(1289),
    [aux_sym_double_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1291),
    [aux_sym_identifier_token1] = ACTIONS(1291),
  },
  [79] = {
    [sym_keyword_smallserial] = STATE(2461),
    [sym_keyword_serial] = STATE(2461),
    [sym_keyword_bigserial] = STATE(2461),
    [sym_keyword_tinyint] = STATE(150),
    [sym_keyword_smallint] = STATE(157),
    [sym_keyword_mediumint] = STATE(158),
    [sym_keyword_int] = STATE(153),
    [sym_keyword_bigint] = STATE(154),
    [sym_keyword_real] = STATE(155),
    [sym_keyword_char] = STATE(205),
    [sym_keyword_varchar] = STATE(204),
    [sym__type] = STATE(2419),
    [sym_tinyint] = STATE(2461),
    [sym_smallint] = STATE(2461),
    [sym_mediumint] = STATE(2461),
    [sym_int] = STATE(2461),
    [sym_bigint] = STATE(2461),
    [sym_bit] = STATE(2461),
    [sym_binary] = STATE(2461),
    [sym_varbinary] = STATE(2461),
    [sym_float] = STATE(2461),
    [sym_double] = STATE(2461),
    [sym_decimal] = STATE(2461),
    [sym_numeric] = STATE(2461),
    [sym_char] = STATE(2461),
    [sym_varchar] = STATE(2461),
    [sym_nchar] = STATE(2461),
    [sym_nvarchar] = STATE(2461),
    [sym_datetimeoffset] = STATE(2461),
    [sym_time] = STATE(2461),
    [sym_timestamp] = STATE(2461),
    [sym_enum] = STATE(2461),
    [sym_object_reference] = STATE(2415),
    [sym_identifier] = STATE(2646),
    [sym__identifier] = ACTIONS(213),
    [aux_sym_keyword_character_token1] = ACTIONS(215),
    [sym_keyword_unsigned] = ACTIONS(217),
    [sym_keyword_boolean] = ACTIONS(219),
    [sym_keyword_bit] = ACTIONS(221),
    [sym_keyword_binary] = ACTIONS(223),
    [sym_keyword_varbinary] = ACTIONS(225),
    [sym_keyword_image] = ACTIONS(219),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(227),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(227),
    [aux_sym_keyword_serial_token1] = ACTIONS(229),
    [aux_sym_keyword_serial_token2] = ACTIONS(229),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(231),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(231),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(233),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(233),
    [aux_sym_keyword_smallint_token1] = ACTIONS(235),
    [aux_sym_keyword_smallint_token2] = ACTIONS(235),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(237),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(237),
    [aux_sym_keyword_int_token1] = ACTIONS(239),
    [aux_sym_keyword_int_token2] = ACTIONS(239),
    [aux_sym_keyword_int_token3] = ACTIONS(239),
    [aux_sym_keyword_bigint_token1] = ACTIONS(241),
    [aux_sym_keyword_bigint_token2] = ACTIONS(241),
    [sym_keyword_decimal] = ACTIONS(243),
    [sym_keyword_numeric] = ACTIONS(245),
    [aux_sym_keyword_real_token1] = ACTIONS(247),
    [aux_sym_keyword_real_token2] = ACTIONS(247),
    [sym_keyword_float] = ACTIONS(249),
    [sym_keyword_double] = ACTIONS(251),
    [sym_keyword_inet] = ACTIONS(219),
    [sym_keyword_money] = ACTIONS(219),
    [sym_keyword_smallmoney] = ACTIONS(219),
    [aux_sym_keyword_char_token1] = ACTIONS(253),
    [sym_keyword_nchar] = ACTIONS(255),
    [aux_sym_keyword_varchar_token1] = ACTIONS(257),
    [sym_keyword_nvarchar] = ACTIONS(259),
    [sym_keyword_text] = ACTIONS(219),
    [sym_keyword_string] = ACTIONS(219),
    [sym_keyword_uuid] = ACTIONS(219),
    [sym_keyword_json] = ACTIONS(219),
    [sym_keyword_jsonb] = ACTIONS(219),
    [sym_keyword_xml] = ACTIONS(219),
    [sym_keyword_bytea] = ACTIONS(219),
    [sym_keyword_enum] = ACTIONS(261),
    [sym_keyword_date] = ACTIONS(219),
    [sym_keyword_datetime] = ACTIONS(219),
    [sym_keyword_datetime2] = ACTIONS(219),
    [sym_keyword_smalldatetime] = ACTIONS(219),
    [sym_keyword_datetimeoffset] = ACTIONS(263),
    [sym_keyword_time] = ACTIONS(1349),
    [sym_keyword_timestamp] = ACTIONS(1351),
    [sym_keyword_timestamptz] = ACTIONS(219),
    [sym_keyword_interval] = ACTIONS(219),
    [sym_keyword_geometry] = ACTIONS(219),
    [sym_keyword_geography] = ACTIONS(219),
    [sym_keyword_box2d] = ACTIONS(219),
    [sym_keyword_box3d] = ACTIONS(219),
    [sym_keyword_oid] = ACTIONS(219),
    [sym_keyword_name] = ACTIONS(219),
    [sym_keyword_regclass] = ACTIONS(219),
    [sym_keyword_regnamespace] = ACTIONS(219),
    [sym_keyword_regproc] = ACTIONS(219),
    [sym_keyword_regtype] = ACTIONS(219),
    [aux_sym_double_token1] = ACTIONS(269),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(271),
    [aux_sym_identifier_token1] = ACTIONS(271),
  },
  [80] = {
    [sym_keyword_smallserial] = STATE(3340),
    [sym_keyword_serial] = STATE(3340),
    [sym_keyword_bigserial] = STATE(3340),
    [sym_keyword_tinyint] = STATE(3133),
    [sym_keyword_smallint] = STATE(3132),
    [sym_keyword_mediumint] = STATE(3131),
    [sym_keyword_int] = STATE(3130),
    [sym_keyword_bigint] = STATE(3129),
    [sym_keyword_real] = STATE(3128),
    [sym_keyword_char] = STATE(4068),
    [sym_keyword_varchar] = STATE(4071),
    [sym__type] = STATE(4780),
    [sym_tinyint] = STATE(3340),
    [sym_smallint] = STATE(3340),
    [sym_mediumint] = STATE(3340),
    [sym_int] = STATE(3340),
    [sym_bigint] = STATE(3340),
    [sym_bit] = STATE(3340),
    [sym_binary] = STATE(3340),
    [sym_varbinary] = STATE(3340),
    [sym_float] = STATE(3340),
    [sym_double] = STATE(3340),
    [sym_decimal] = STATE(3340),
    [sym_numeric] = STATE(3340),
    [sym_char] = STATE(3340),
    [sym_varchar] = STATE(3340),
    [sym_nchar] = STATE(3340),
    [sym_nvarchar] = STATE(3340),
    [sym_datetimeoffset] = STATE(3340),
    [sym_time] = STATE(3340),
    [sym_timestamp] = STATE(3340),
    [sym_enum] = STATE(3340),
    [sym_object_reference] = STATE(3371),
    [sym_identifier] = STATE(4412),
    [sym__identifier] = ACTIONS(1211),
    [aux_sym_keyword_character_token1] = ACTIONS(1213),
    [sym_keyword_unsigned] = ACTIONS(1215),
    [sym_keyword_boolean] = ACTIONS(1217),
    [sym_keyword_bit] = ACTIONS(1219),
    [sym_keyword_binary] = ACTIONS(1221),
    [sym_keyword_varbinary] = ACTIONS(1223),
    [sym_keyword_image] = ACTIONS(1217),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1225),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1225),
    [aux_sym_keyword_serial_token1] = ACTIONS(1227),
    [aux_sym_keyword_serial_token2] = ACTIONS(1227),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1229),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1229),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1231),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1231),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1233),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1233),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1235),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1235),
    [aux_sym_keyword_int_token1] = ACTIONS(1237),
    [aux_sym_keyword_int_token2] = ACTIONS(1237),
    [aux_sym_keyword_int_token3] = ACTIONS(1237),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1239),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1239),
    [sym_keyword_decimal] = ACTIONS(1241),
    [sym_keyword_numeric] = ACTIONS(1243),
    [aux_sym_keyword_real_token1] = ACTIONS(1245),
    [aux_sym_keyword_real_token2] = ACTIONS(1245),
    [sym_keyword_float] = ACTIONS(1247),
    [sym_keyword_double] = ACTIONS(1249),
    [sym_keyword_inet] = ACTIONS(1217),
    [sym_keyword_money] = ACTIONS(1217),
    [sym_keyword_smallmoney] = ACTIONS(1217),
    [aux_sym_keyword_char_token1] = ACTIONS(1251),
    [sym_keyword_nchar] = ACTIONS(1253),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1255),
    [sym_keyword_nvarchar] = ACTIONS(1257),
    [sym_keyword_text] = ACTIONS(1217),
    [sym_keyword_string] = ACTIONS(1217),
    [sym_keyword_uuid] = ACTIONS(1217),
    [sym_keyword_json] = ACTIONS(1217),
    [sym_keyword_jsonb] = ACTIONS(1217),
    [sym_keyword_xml] = ACTIONS(1217),
    [sym_keyword_bytea] = ACTIONS(1217),
    [sym_keyword_enum] = ACTIONS(1259),
    [sym_keyword_date] = ACTIONS(1217),
    [sym_keyword_datetime] = ACTIONS(1217),
    [sym_keyword_datetime2] = ACTIONS(1217),
    [sym_keyword_smalldatetime] = ACTIONS(1217),
    [sym_keyword_datetimeoffset] = ACTIONS(1261),
    [sym_keyword_time] = ACTIONS(1353),
    [sym_keyword_timestamp] = ACTIONS(1355),
    [sym_keyword_timestamptz] = ACTIONS(1217),
    [sym_keyword_interval] = ACTIONS(1217),
    [sym_keyword_geometry] = ACTIONS(1217),
    [sym_keyword_geography] = ACTIONS(1217),
    [sym_keyword_box2d] = ACTIONS(1217),
    [sym_keyword_box3d] = ACTIONS(1217),
    [sym_keyword_oid] = ACTIONS(1217),
    [sym_keyword_name] = ACTIONS(1217),
    [sym_keyword_regclass] = ACTIONS(1217),
    [sym_keyword_regnamespace] = ACTIONS(1217),
    [sym_keyword_regproc] = ACTIONS(1217),
    [sym_keyword_regtype] = ACTIONS(1217),
    [aux_sym_double_token1] = ACTIONS(1267),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1269),
    [aux_sym_identifier_token1] = ACTIONS(1269),
  },
  [81] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1840),
    [sym_keyword_smallint] = STATE(1848),
    [sym_keyword_mediumint] = STATE(1877),
    [sym_keyword_int] = STATE(1842),
    [sym_keyword_bigint] = STATE(1883),
    [sym_keyword_real] = STATE(1886),
    [sym_keyword_char] = STATE(2313),
    [sym_keyword_varchar] = STATE(2217),
    [sym__type] = STATE(8320),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7225),
    [sym_identifier] = STATE(5623),
    [sym__identifier] = ACTIONS(119),
    [aux_sym_keyword_character_token1] = ACTIONS(57),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(63),
    [sym_keyword_bit] = ACTIONS(65),
    [sym_keyword_binary] = ACTIONS(67),
    [sym_keyword_varbinary] = ACTIONS(69),
    [sym_keyword_image] = ACTIONS(63),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(71),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(71),
    [aux_sym_keyword_serial_token1] = ACTIONS(73),
    [aux_sym_keyword_serial_token2] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(75),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(77),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(77),
    [aux_sym_keyword_smallint_token1] = ACTIONS(79),
    [aux_sym_keyword_smallint_token2] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(81),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token1] = ACTIONS(83),
    [aux_sym_keyword_int_token2] = ACTIONS(83),
    [aux_sym_keyword_int_token3] = ACTIONS(83),
    [aux_sym_keyword_bigint_token1] = ACTIONS(85),
    [aux_sym_keyword_bigint_token2] = ACTIONS(85),
    [sym_keyword_decimal] = ACTIONS(87),
    [sym_keyword_numeric] = ACTIONS(89),
    [aux_sym_keyword_real_token1] = ACTIONS(91),
    [aux_sym_keyword_real_token2] = ACTIONS(91),
    [sym_keyword_float] = ACTIONS(93),
    [sym_keyword_double] = ACTIONS(95),
    [sym_keyword_inet] = ACTIONS(63),
    [sym_keyword_money] = ACTIONS(63),
    [sym_keyword_smallmoney] = ACTIONS(63),
    [aux_sym_keyword_char_token1] = ACTIONS(97),
    [sym_keyword_nchar] = ACTIONS(99),
    [aux_sym_keyword_varchar_token1] = ACTIONS(101),
    [sym_keyword_nvarchar] = ACTIONS(103),
    [sym_keyword_text] = ACTIONS(63),
    [sym_keyword_string] = ACTIONS(63),
    [sym_keyword_uuid] = ACTIONS(63),
    [sym_keyword_json] = ACTIONS(63),
    [sym_keyword_jsonb] = ACTIONS(63),
    [sym_keyword_xml] = ACTIONS(63),
    [sym_keyword_bytea] = ACTIONS(63),
    [sym_keyword_enum] = ACTIONS(105),
    [sym_keyword_date] = ACTIONS(63),
    [sym_keyword_datetime] = ACTIONS(63),
    [sym_keyword_datetime2] = ACTIONS(63),
    [sym_keyword_smalldatetime] = ACTIONS(63),
    [sym_keyword_datetimeoffset] = ACTIONS(107),
    [sym_keyword_time] = ACTIONS(109),
    [sym_keyword_timestamp] = ACTIONS(111),
    [sym_keyword_timestamptz] = ACTIONS(63),
    [sym_keyword_interval] = ACTIONS(63),
    [sym_keyword_geometry] = ACTIONS(63),
    [sym_keyword_geography] = ACTIONS(63),
    [sym_keyword_box2d] = ACTIONS(63),
    [sym_keyword_box3d] = ACTIONS(63),
    [sym_keyword_oid] = ACTIONS(63),
    [sym_keyword_name] = ACTIONS(63),
    [sym_keyword_regclass] = ACTIONS(63),
    [sym_keyword_regnamespace] = ACTIONS(63),
    [sym_keyword_regproc] = ACTIONS(63),
    [sym_keyword_regtype] = ACTIONS(63),
    [aux_sym_double_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(127),
    [aux_sym_identifier_token1] = ACTIONS(127),
  },
  [82] = {
    [sym_keyword_smallserial] = STATE(1055),
    [sym_keyword_serial] = STATE(1055),
    [sym_keyword_bigserial] = STATE(1055),
    [sym_keyword_tinyint] = STATE(1237),
    [sym_keyword_smallint] = STATE(1233),
    [sym_keyword_mediumint] = STATE(1231),
    [sym_keyword_int] = STATE(1229),
    [sym_keyword_bigint] = STATE(1227),
    [sym_keyword_real] = STATE(1226),
    [sym_keyword_char] = STATE(2003),
    [sym_keyword_varchar] = STATE(2002),
    [sym__type] = STATE(2604),
    [sym_tinyint] = STATE(1055),
    [sym_smallint] = STATE(1055),
    [sym_mediumint] = STATE(1055),
    [sym_int] = STATE(1055),
    [sym_bigint] = STATE(1055),
    [sym_bit] = STATE(1055),
    [sym_binary] = STATE(1055),
    [sym_varbinary] = STATE(1055),
    [sym_float] = STATE(1055),
    [sym_double] = STATE(1055),
    [sym_decimal] = STATE(1055),
    [sym_numeric] = STATE(1055),
    [sym_char] = STATE(1055),
    [sym_varchar] = STATE(1055),
    [sym_nchar] = STATE(1055),
    [sym_nvarchar] = STATE(1055),
    [sym_datetimeoffset] = STATE(1055),
    [sym_time] = STATE(1055),
    [sym_timestamp] = STATE(1055),
    [sym_enum] = STATE(1055),
    [sym_object_reference] = STATE(1316),
    [sym_identifier] = STATE(2090),
    [sym__identifier] = ACTIONS(713),
    [aux_sym_keyword_character_token1] = ACTIONS(715),
    [sym_keyword_unsigned] = ACTIONS(717),
    [sym_keyword_boolean] = ACTIONS(719),
    [sym_keyword_bit] = ACTIONS(721),
    [sym_keyword_binary] = ACTIONS(723),
    [sym_keyword_varbinary] = ACTIONS(725),
    [sym_keyword_image] = ACTIONS(719),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(727),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(727),
    [aux_sym_keyword_serial_token1] = ACTIONS(729),
    [aux_sym_keyword_serial_token2] = ACTIONS(729),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(731),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(731),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(733),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(733),
    [aux_sym_keyword_smallint_token1] = ACTIONS(735),
    [aux_sym_keyword_smallint_token2] = ACTIONS(735),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(737),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(737),
    [aux_sym_keyword_int_token1] = ACTIONS(739),
    [aux_sym_keyword_int_token2] = ACTIONS(739),
    [aux_sym_keyword_int_token3] = ACTIONS(739),
    [aux_sym_keyword_bigint_token1] = ACTIONS(741),
    [aux_sym_keyword_bigint_token2] = ACTIONS(741),
    [sym_keyword_decimal] = ACTIONS(743),
    [sym_keyword_numeric] = ACTIONS(745),
    [aux_sym_keyword_real_token1] = ACTIONS(747),
    [aux_sym_keyword_real_token2] = ACTIONS(747),
    [sym_keyword_float] = ACTIONS(749),
    [sym_keyword_double] = ACTIONS(751),
    [sym_keyword_inet] = ACTIONS(719),
    [sym_keyword_money] = ACTIONS(719),
    [sym_keyword_smallmoney] = ACTIONS(719),
    [aux_sym_keyword_char_token1] = ACTIONS(753),
    [sym_keyword_nchar] = ACTIONS(755),
    [aux_sym_keyword_varchar_token1] = ACTIONS(757),
    [sym_keyword_nvarchar] = ACTIONS(759),
    [sym_keyword_text] = ACTIONS(719),
    [sym_keyword_string] = ACTIONS(719),
    [sym_keyword_uuid] = ACTIONS(719),
    [sym_keyword_json] = ACTIONS(719),
    [sym_keyword_jsonb] = ACTIONS(719),
    [sym_keyword_xml] = ACTIONS(719),
    [sym_keyword_bytea] = ACTIONS(719),
    [sym_keyword_enum] = ACTIONS(761),
    [sym_keyword_date] = ACTIONS(719),
    [sym_keyword_datetime] = ACTIONS(719),
    [sym_keyword_datetime2] = ACTIONS(719),
    [sym_keyword_smalldatetime] = ACTIONS(719),
    [sym_keyword_datetimeoffset] = ACTIONS(763),
    [sym_keyword_time] = ACTIONS(1357),
    [sym_keyword_timestamp] = ACTIONS(1359),
    [sym_keyword_timestamptz] = ACTIONS(719),
    [sym_keyword_interval] = ACTIONS(719),
    [sym_keyword_geometry] = ACTIONS(719),
    [sym_keyword_geography] = ACTIONS(719),
    [sym_keyword_box2d] = ACTIONS(719),
    [sym_keyword_box3d] = ACTIONS(719),
    [sym_keyword_oid] = ACTIONS(719),
    [sym_keyword_name] = ACTIONS(719),
    [sym_keyword_regclass] = ACTIONS(719),
    [sym_keyword_regnamespace] = ACTIONS(719),
    [sym_keyword_regproc] = ACTIONS(719),
    [sym_keyword_regtype] = ACTIONS(719),
    [aux_sym_double_token1] = ACTIONS(769),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(771),
    [aux_sym_identifier_token1] = ACTIONS(771),
  },
  [83] = {
    [sym_keyword_smallserial] = STATE(7229),
    [sym_keyword_serial] = STATE(7229),
    [sym_keyword_bigserial] = STATE(7229),
    [sym_keyword_tinyint] = STATE(1840),
    [sym_keyword_smallint] = STATE(1848),
    [sym_keyword_mediumint] = STATE(1877),
    [sym_keyword_int] = STATE(1842),
    [sym_keyword_bigint] = STATE(1883),
    [sym_keyword_real] = STATE(1886),
    [sym_keyword_char] = STATE(2313),
    [sym_keyword_varchar] = STATE(2217),
    [sym__type] = STATE(8486),
    [sym_tinyint] = STATE(7229),
    [sym_smallint] = STATE(7229),
    [sym_mediumint] = STATE(7229),
    [sym_int] = STATE(7229),
    [sym_bigint] = STATE(7229),
    [sym_bit] = STATE(7229),
    [sym_binary] = STATE(7229),
    [sym_varbinary] = STATE(7229),
    [sym_float] = STATE(7229),
    [sym_double] = STATE(7229),
    [sym_decimal] = STATE(7229),
    [sym_numeric] = STATE(7229),
    [sym_char] = STATE(7229),
    [sym_varchar] = STATE(7229),
    [sym_nchar] = STATE(7229),
    [sym_nvarchar] = STATE(7229),
    [sym_datetimeoffset] = STATE(7229),
    [sym_time] = STATE(7229),
    [sym_timestamp] = STATE(7229),
    [sym_enum] = STATE(7229),
    [sym_object_reference] = STATE(7225),
    [sym_identifier] = STATE(5623),
    [sym__identifier] = ACTIONS(119),
    [aux_sym_keyword_character_token1] = ACTIONS(57),
    [sym_keyword_unsigned] = ACTIONS(59),
    [sym_keyword_boolean] = ACTIONS(63),
    [sym_keyword_bit] = ACTIONS(65),
    [sym_keyword_binary] = ACTIONS(67),
    [sym_keyword_varbinary] = ACTIONS(69),
    [sym_keyword_image] = ACTIONS(63),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(71),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(71),
    [aux_sym_keyword_serial_token1] = ACTIONS(73),
    [aux_sym_keyword_serial_token2] = ACTIONS(73),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(75),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(75),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(77),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(77),
    [aux_sym_keyword_smallint_token1] = ACTIONS(79),
    [aux_sym_keyword_smallint_token2] = ACTIONS(79),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(81),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(81),
    [aux_sym_keyword_int_token1] = ACTIONS(83),
    [aux_sym_keyword_int_token2] = ACTIONS(83),
    [aux_sym_keyword_int_token3] = ACTIONS(83),
    [aux_sym_keyword_bigint_token1] = ACTIONS(85),
    [aux_sym_keyword_bigint_token2] = ACTIONS(85),
    [sym_keyword_decimal] = ACTIONS(87),
    [sym_keyword_numeric] = ACTIONS(89),
    [aux_sym_keyword_real_token1] = ACTIONS(91),
    [aux_sym_keyword_real_token2] = ACTIONS(91),
    [sym_keyword_float] = ACTIONS(93),
    [sym_keyword_double] = ACTIONS(95),
    [sym_keyword_inet] = ACTIONS(63),
    [sym_keyword_money] = ACTIONS(63),
    [sym_keyword_smallmoney] = ACTIONS(63),
    [aux_sym_keyword_char_token1] = ACTIONS(97),
    [sym_keyword_nchar] = ACTIONS(99),
    [aux_sym_keyword_varchar_token1] = ACTIONS(101),
    [sym_keyword_nvarchar] = ACTIONS(103),
    [sym_keyword_text] = ACTIONS(63),
    [sym_keyword_string] = ACTIONS(63),
    [sym_keyword_uuid] = ACTIONS(63),
    [sym_keyword_json] = ACTIONS(63),
    [sym_keyword_jsonb] = ACTIONS(63),
    [sym_keyword_xml] = ACTIONS(63),
    [sym_keyword_bytea] = ACTIONS(63),
    [sym_keyword_enum] = ACTIONS(105),
    [sym_keyword_date] = ACTIONS(63),
    [sym_keyword_datetime] = ACTIONS(63),
    [sym_keyword_datetime2] = ACTIONS(63),
    [sym_keyword_smalldatetime] = ACTIONS(63),
    [sym_keyword_datetimeoffset] = ACTIONS(107),
    [sym_keyword_time] = ACTIONS(109),
    [sym_keyword_timestamp] = ACTIONS(111),
    [sym_keyword_timestamptz] = ACTIONS(63),
    [sym_keyword_interval] = ACTIONS(63),
    [sym_keyword_geometry] = ACTIONS(63),
    [sym_keyword_geography] = ACTIONS(63),
    [sym_keyword_box2d] = ACTIONS(63),
    [sym_keyword_box3d] = ACTIONS(63),
    [sym_keyword_oid] = ACTIONS(63),
    [sym_keyword_name] = ACTIONS(63),
    [sym_keyword_regclass] = ACTIONS(63),
    [sym_keyword_regnamespace] = ACTIONS(63),
    [sym_keyword_regproc] = ACTIONS(63),
    [sym_keyword_regtype] = ACTIONS(63),
    [aux_sym_double_token1] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(127),
    [aux_sym_identifier_token1] = ACTIONS(127),
  },
  [84] = {
    [sym_keyword_smallserial] = STATE(7609),
    [sym_keyword_serial] = STATE(7609),
    [sym_keyword_bigserial] = STATE(7609),
    [sym_keyword_tinyint] = STATE(2528),
    [sym_keyword_smallint] = STATE(2372),
    [sym_keyword_mediumint] = STATE(2526),
    [sym_keyword_int] = STATE(2525),
    [sym_keyword_bigint] = STATE(2524),
    [sym_keyword_real] = STATE(2522),
    [sym_keyword_char] = STATE(2756),
    [sym_keyword_varchar] = STATE(2757),
    [sym__type] = STATE(10617),
    [sym_tinyint] = STATE(7609),
    [sym_smallint] = STATE(7609),
    [sym_mediumint] = STATE(7609),
    [sym_int] = STATE(7609),
    [sym_bigint] = STATE(7609),
    [sym_bit] = STATE(7609),
    [sym_binary] = STATE(7609),
    [sym_varbinary] = STATE(7609),
    [sym_float] = STATE(7609),
    [sym_double] = STATE(7609),
    [sym_decimal] = STATE(7609),
    [sym_numeric] = STATE(7609),
    [sym_char] = STATE(7609),
    [sym_varchar] = STATE(7609),
    [sym_nchar] = STATE(7609),
    [sym_nvarchar] = STATE(7609),
    [sym_datetimeoffset] = STATE(7609),
    [sym_time] = STATE(7609),
    [sym_timestamp] = STATE(7609),
    [sym_enum] = STATE(7609),
    [sym_object_reference] = STATE(7636),
    [sym_identifier] = STATE(7042),
    [sym__identifier] = ACTIONS(1287),
    [aux_sym_keyword_character_token1] = ACTIONS(465),
    [sym_keyword_unsigned] = ACTIONS(467),
    [sym_keyword_boolean] = ACTIONS(1289),
    [sym_keyword_bit] = ACTIONS(471),
    [sym_keyword_binary] = ACTIONS(473),
    [sym_keyword_varbinary] = ACTIONS(475),
    [sym_keyword_image] = ACTIONS(1289),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(477),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(477),
    [aux_sym_keyword_serial_token1] = ACTIONS(479),
    [aux_sym_keyword_serial_token2] = ACTIONS(479),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(481),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(481),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(483),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(483),
    [aux_sym_keyword_smallint_token1] = ACTIONS(485),
    [aux_sym_keyword_smallint_token2] = ACTIONS(485),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(487),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(487),
    [aux_sym_keyword_int_token1] = ACTIONS(489),
    [aux_sym_keyword_int_token2] = ACTIONS(489),
    [aux_sym_keyword_int_token3] = ACTIONS(489),
    [aux_sym_keyword_bigint_token1] = ACTIONS(491),
    [aux_sym_keyword_bigint_token2] = ACTIONS(491),
    [sym_keyword_decimal] = ACTIONS(493),
    [sym_keyword_numeric] = ACTIONS(495),
    [aux_sym_keyword_real_token1] = ACTIONS(497),
    [aux_sym_keyword_real_token2] = ACTIONS(497),
    [sym_keyword_float] = ACTIONS(499),
    [sym_keyword_double] = ACTIONS(501),
    [sym_keyword_inet] = ACTIONS(1289),
    [sym_keyword_money] = ACTIONS(1289),
    [sym_keyword_smallmoney] = ACTIONS(1289),
    [aux_sym_keyword_char_token1] = ACTIONS(503),
    [sym_keyword_nchar] = ACTIONS(505),
    [aux_sym_keyword_varchar_token1] = ACTIONS(507),
    [sym_keyword_nvarchar] = ACTIONS(509),
    [sym_keyword_text] = ACTIONS(1289),
    [sym_keyword_string] = ACTIONS(1289),
    [sym_keyword_uuid] = ACTIONS(1289),
    [sym_keyword_json] = ACTIONS(1289),
    [sym_keyword_jsonb] = ACTIONS(1289),
    [sym_keyword_xml] = ACTIONS(1289),
    [sym_keyword_bytea] = ACTIONS(1289),
    [sym_keyword_enum] = ACTIONS(511),
    [sym_keyword_date] = ACTIONS(1289),
    [sym_keyword_datetime] = ACTIONS(1289),
    [sym_keyword_datetime2] = ACTIONS(1289),
    [sym_keyword_smalldatetime] = ACTIONS(1289),
    [sym_keyword_datetimeoffset] = ACTIONS(513),
    [sym_keyword_time] = ACTIONS(515),
    [sym_keyword_timestamp] = ACTIONS(517),
    [sym_keyword_timestamptz] = ACTIONS(1289),
    [sym_keyword_interval] = ACTIONS(1289),
    [sym_keyword_geometry] = ACTIONS(1289),
    [sym_keyword_geography] = ACTIONS(1289),
    [sym_keyword_box2d] = ACTIONS(1289),
    [sym_keyword_box3d] = ACTIONS(1289),
    [sym_keyword_oid] = ACTIONS(1289),
    [sym_keyword_name] = ACTIONS(1289),
    [sym_keyword_regclass] = ACTIONS(1289),
    [sym_keyword_regnamespace] = ACTIONS(1289),
    [sym_keyword_regproc] = ACTIONS(1289),
    [sym_keyword_regtype] = ACTIONS(1289),
    [aux_sym_double_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1291),
    [aux_sym_identifier_token1] = ACTIONS(1291),
  },
  [85] = {
    [sym_keyword_smallserial] = STATE(7609),
    [sym_keyword_serial] = STATE(7609),
    [sym_keyword_bigserial] = STATE(7609),
    [sym_keyword_tinyint] = STATE(2528),
    [sym_keyword_smallint] = STATE(2372),
    [sym_keyword_mediumint] = STATE(2526),
    [sym_keyword_int] = STATE(2525),
    [sym_keyword_bigint] = STATE(2524),
    [sym_keyword_real] = STATE(2522),
    [sym_keyword_char] = STATE(2756),
    [sym_keyword_varchar] = STATE(2757),
    [sym__type] = STATE(8642),
    [sym_tinyint] = STATE(7609),
    [sym_smallint] = STATE(7609),
    [sym_mediumint] = STATE(7609),
    [sym_int] = STATE(7609),
    [sym_bigint] = STATE(7609),
    [sym_bit] = STATE(7609),
    [sym_binary] = STATE(7609),
    [sym_varbinary] = STATE(7609),
    [sym_float] = STATE(7609),
    [sym_double] = STATE(7609),
    [sym_decimal] = STATE(7609),
    [sym_numeric] = STATE(7609),
    [sym_char] = STATE(7609),
    [sym_varchar] = STATE(7609),
    [sym_nchar] = STATE(7609),
    [sym_nvarchar] = STATE(7609),
    [sym_datetimeoffset] = STATE(7609),
    [sym_time] = STATE(7609),
    [sym_timestamp] = STATE(7609),
    [sym_enum] = STATE(7609),
    [sym_object_reference] = STATE(7636),
    [sym_identifier] = STATE(7042),
    [sym__identifier] = ACTIONS(1287),
    [aux_sym_keyword_character_token1] = ACTIONS(465),
    [sym_keyword_unsigned] = ACTIONS(467),
    [sym_keyword_boolean] = ACTIONS(1289),
    [sym_keyword_bit] = ACTIONS(471),
    [sym_keyword_binary] = ACTIONS(473),
    [sym_keyword_varbinary] = ACTIONS(475),
    [sym_keyword_image] = ACTIONS(1289),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(477),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(477),
    [aux_sym_keyword_serial_token1] = ACTIONS(479),
    [aux_sym_keyword_serial_token2] = ACTIONS(479),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(481),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(481),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(483),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(483),
    [aux_sym_keyword_smallint_token1] = ACTIONS(485),
    [aux_sym_keyword_smallint_token2] = ACTIONS(485),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(487),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(487),
    [aux_sym_keyword_int_token1] = ACTIONS(489),
    [aux_sym_keyword_int_token2] = ACTIONS(489),
    [aux_sym_keyword_int_token3] = ACTIONS(489),
    [aux_sym_keyword_bigint_token1] = ACTIONS(491),
    [aux_sym_keyword_bigint_token2] = ACTIONS(491),
    [sym_keyword_decimal] = ACTIONS(493),
    [sym_keyword_numeric] = ACTIONS(495),
    [aux_sym_keyword_real_token1] = ACTIONS(497),
    [aux_sym_keyword_real_token2] = ACTIONS(497),
    [sym_keyword_float] = ACTIONS(499),
    [sym_keyword_double] = ACTIONS(501),
    [sym_keyword_inet] = ACTIONS(1289),
    [sym_keyword_money] = ACTIONS(1289),
    [sym_keyword_smallmoney] = ACTIONS(1289),
    [aux_sym_keyword_char_token1] = ACTIONS(503),
    [sym_keyword_nchar] = ACTIONS(505),
    [aux_sym_keyword_varchar_token1] = ACTIONS(507),
    [sym_keyword_nvarchar] = ACTIONS(509),
    [sym_keyword_text] = ACTIONS(1289),
    [sym_keyword_string] = ACTIONS(1289),
    [sym_keyword_uuid] = ACTIONS(1289),
    [sym_keyword_json] = ACTIONS(1289),
    [sym_keyword_jsonb] = ACTIONS(1289),
    [sym_keyword_xml] = ACTIONS(1289),
    [sym_keyword_bytea] = ACTIONS(1289),
    [sym_keyword_enum] = ACTIONS(511),
    [sym_keyword_date] = ACTIONS(1289),
    [sym_keyword_datetime] = ACTIONS(1289),
    [sym_keyword_datetime2] = ACTIONS(1289),
    [sym_keyword_smalldatetime] = ACTIONS(1289),
    [sym_keyword_datetimeoffset] = ACTIONS(513),
    [sym_keyword_time] = ACTIONS(515),
    [sym_keyword_timestamp] = ACTIONS(517),
    [sym_keyword_timestamptz] = ACTIONS(1289),
    [sym_keyword_interval] = ACTIONS(1289),
    [sym_keyword_geometry] = ACTIONS(1289),
    [sym_keyword_geography] = ACTIONS(1289),
    [sym_keyword_box2d] = ACTIONS(1289),
    [sym_keyword_box3d] = ACTIONS(1289),
    [sym_keyword_oid] = ACTIONS(1289),
    [sym_keyword_name] = ACTIONS(1289),
    [sym_keyword_regclass] = ACTIONS(1289),
    [sym_keyword_regnamespace] = ACTIONS(1289),
    [sym_keyword_regproc] = ACTIONS(1289),
    [sym_keyword_regtype] = ACTIONS(1289),
    [aux_sym_double_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1291),
    [aux_sym_identifier_token1] = ACTIONS(1291),
  },
  [86] = {
    [aux_sym__single_quote_string_repeat1] = STATE(88),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__identifier] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [sym_keyword_create] = ACTIONS(1363),
    [sym_keyword_increment] = ACTIONS(1363),
    [sym_keyword_minvalue] = ACTIONS(1363),
    [sym_keyword_maxvalue] = ACTIONS(1363),
    [sym_keyword_owned] = ACTIONS(1363),
    [sym_keyword_start] = ACTIONS(1363),
    [sym_keyword_restart] = ACTIONS(1363),
    [sym_keyword_as] = ACTIONS(1363),
    [sym_keyword_not] = ACTIONS(1363),
    [aux_sym_keyword_character_token1] = ACTIONS(1363),
    [sym_keyword_no] = ACTIONS(1363),
    [sym_keyword_cycle] = ACTIONS(1363),
    [sym_keyword_begin] = ACTIONS(1363),
    [sym_keyword_rows] = ACTIONS(1363),
    [sym_keyword_unsigned] = ACTIONS(1363),
    [sym_keyword_returns] = ACTIONS(1363),
    [sym_keyword_return] = ACTIONS(1363),
    [sym_keyword_language] = ACTIONS(1363),
    [sym_keyword_immutable] = ACTIONS(1363),
    [sym_keyword_stable] = ACTIONS(1363),
    [sym_keyword_volatile] = ACTIONS(1363),
    [sym_keyword_leakproof] = ACTIONS(1363),
    [sym_keyword_parallel] = ACTIONS(1363),
    [sym_keyword_called] = ACTIONS(1363),
    [sym_keyword_strict] = ACTIONS(1363),
    [sym_keyword_cost] = ACTIONS(1363),
    [sym_keyword_support] = ACTIONS(1363),
    [sym_keyword_security] = ACTIONS(1363),
    [sym_keyword_external] = ACTIONS(1363),
    [sym_keyword_cache] = ACTIONS(1363),
    [sym_keyword_boolean] = ACTIONS(1363),
    [sym_keyword_bit] = ACTIONS(1363),
    [sym_keyword_binary] = ACTIONS(1363),
    [sym_keyword_varbinary] = ACTIONS(1363),
    [sym_keyword_image] = ACTIONS(1363),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1363),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1363),
    [aux_sym_keyword_serial_token1] = ACTIONS(1363),
    [aux_sym_keyword_serial_token2] = ACTIONS(1363),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1363),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1363),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1363),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1363),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1363),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1363),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1363),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1363),
    [aux_sym_keyword_int_token1] = ACTIONS(1363),
    [aux_sym_keyword_int_token2] = ACTIONS(1363),
    [aux_sym_keyword_int_token3] = ACTIONS(1363),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1363),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1363),
    [sym_keyword_decimal] = ACTIONS(1363),
    [sym_keyword_numeric] = ACTIONS(1363),
    [aux_sym_keyword_real_token1] = ACTIONS(1363),
    [aux_sym_keyword_real_token2] = ACTIONS(1363),
    [sym_keyword_float] = ACTIONS(1363),
    [sym_keyword_double] = ACTIONS(1363),
    [sym_keyword_inet] = ACTIONS(1363),
    [sym_keyword_money] = ACTIONS(1363),
    [sym_keyword_smallmoney] = ACTIONS(1363),
    [aux_sym_keyword_char_token1] = ACTIONS(1363),
    [sym_keyword_nchar] = ACTIONS(1363),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1363),
    [sym_keyword_nvarchar] = ACTIONS(1363),
    [sym_keyword_text] = ACTIONS(1363),
    [sym_keyword_string] = ACTIONS(1363),
    [sym_keyword_uuid] = ACTIONS(1363),
    [sym_keyword_json] = ACTIONS(1363),
    [sym_keyword_jsonb] = ACTIONS(1363),
    [sym_keyword_xml] = ACTIONS(1363),
    [sym_keyword_bytea] = ACTIONS(1363),
    [sym_keyword_enum] = ACTIONS(1363),
    [sym_keyword_date] = ACTIONS(1363),
    [sym_keyword_datetime] = ACTIONS(1363),
    [sym_keyword_datetime2] = ACTIONS(1363),
    [sym_keyword_smalldatetime] = ACTIONS(1363),
    [sym_keyword_datetimeoffset] = ACTIONS(1363),
    [sym_keyword_time] = ACTIONS(1363),
    [sym_keyword_timestamp] = ACTIONS(1363),
    [sym_keyword_timestamptz] = ACTIONS(1363),
    [sym_keyword_interval] = ACTIONS(1363),
    [sym_keyword_geometry] = ACTIONS(1363),
    [sym_keyword_geography] = ACTIONS(1363),
    [sym_keyword_box2d] = ACTIONS(1363),
    [sym_keyword_box3d] = ACTIONS(1363),
    [sym_keyword_oid] = ACTIONS(1363),
    [sym_keyword_name] = ACTIONS(1363),
    [sym_keyword_regclass] = ACTIONS(1363),
    [sym_keyword_regnamespace] = ACTIONS(1363),
    [sym_keyword_regproc] = ACTIONS(1363),
    [sym_keyword_regtype] = ACTIONS(1363),
    [anon_sym_RPAREN] = ACTIONS(1361),
    [aux_sym_double_token1] = ACTIONS(1363),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1361),
    [aux_sym__single_quote_string_token2] = ACTIONS(1365),
    [aux_sym_identifier_token1] = ACTIONS(1361),
  },
  [87] = {
    [aux_sym__single_quote_string_repeat1] = STATE(87),
    [ts_builtin_sym_end] = ACTIONS(1367),
    [sym__identifier] = ACTIONS(1369),
    [anon_sym_SEMI] = ACTIONS(1367),
    [sym_keyword_create] = ACTIONS(1369),
    [sym_keyword_increment] = ACTIONS(1369),
    [sym_keyword_minvalue] = ACTIONS(1369),
    [sym_keyword_maxvalue] = ACTIONS(1369),
    [sym_keyword_owned] = ACTIONS(1369),
    [sym_keyword_start] = ACTIONS(1369),
    [sym_keyword_restart] = ACTIONS(1369),
    [sym_keyword_as] = ACTIONS(1369),
    [sym_keyword_not] = ACTIONS(1369),
    [aux_sym_keyword_character_token1] = ACTIONS(1369),
    [sym_keyword_no] = ACTIONS(1369),
    [sym_keyword_cycle] = ACTIONS(1369),
    [sym_keyword_begin] = ACTIONS(1369),
    [sym_keyword_rows] = ACTIONS(1369),
    [sym_keyword_unsigned] = ACTIONS(1369),
    [sym_keyword_returns] = ACTIONS(1369),
    [sym_keyword_return] = ACTIONS(1369),
    [sym_keyword_language] = ACTIONS(1369),
    [sym_keyword_immutable] = ACTIONS(1369),
    [sym_keyword_stable] = ACTIONS(1369),
    [sym_keyword_volatile] = ACTIONS(1369),
    [sym_keyword_leakproof] = ACTIONS(1369),
    [sym_keyword_parallel] = ACTIONS(1369),
    [sym_keyword_called] = ACTIONS(1369),
    [sym_keyword_strict] = ACTIONS(1369),
    [sym_keyword_cost] = ACTIONS(1369),
    [sym_keyword_support] = ACTIONS(1369),
    [sym_keyword_security] = ACTIONS(1369),
    [sym_keyword_external] = ACTIONS(1369),
    [sym_keyword_cache] = ACTIONS(1369),
    [sym_keyword_boolean] = ACTIONS(1369),
    [sym_keyword_bit] = ACTIONS(1369),
    [sym_keyword_binary] = ACTIONS(1369),
    [sym_keyword_varbinary] = ACTIONS(1369),
    [sym_keyword_image] = ACTIONS(1369),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1369),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1369),
    [aux_sym_keyword_serial_token1] = ACTIONS(1369),
    [aux_sym_keyword_serial_token2] = ACTIONS(1369),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1369),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1369),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1369),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1369),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1369),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1369),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1369),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1369),
    [aux_sym_keyword_int_token1] = ACTIONS(1369),
    [aux_sym_keyword_int_token2] = ACTIONS(1369),
    [aux_sym_keyword_int_token3] = ACTIONS(1369),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1369),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1369),
    [sym_keyword_decimal] = ACTIONS(1369),
    [sym_keyword_numeric] = ACTIONS(1369),
    [aux_sym_keyword_real_token1] = ACTIONS(1369),
    [aux_sym_keyword_real_token2] = ACTIONS(1369),
    [sym_keyword_float] = ACTIONS(1369),
    [sym_keyword_double] = ACTIONS(1369),
    [sym_keyword_inet] = ACTIONS(1369),
    [sym_keyword_money] = ACTIONS(1369),
    [sym_keyword_smallmoney] = ACTIONS(1369),
    [aux_sym_keyword_char_token1] = ACTIONS(1369),
    [sym_keyword_nchar] = ACTIONS(1369),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1369),
    [sym_keyword_nvarchar] = ACTIONS(1369),
    [sym_keyword_text] = ACTIONS(1369),
    [sym_keyword_string] = ACTIONS(1369),
    [sym_keyword_uuid] = ACTIONS(1369),
    [sym_keyword_json] = ACTIONS(1369),
    [sym_keyword_jsonb] = ACTIONS(1369),
    [sym_keyword_xml] = ACTIONS(1369),
    [sym_keyword_bytea] = ACTIONS(1369),
    [sym_keyword_enum] = ACTIONS(1369),
    [sym_keyword_date] = ACTIONS(1369),
    [sym_keyword_datetime] = ACTIONS(1369),
    [sym_keyword_datetime2] = ACTIONS(1369),
    [sym_keyword_smalldatetime] = ACTIONS(1369),
    [sym_keyword_datetimeoffset] = ACTIONS(1369),
    [sym_keyword_time] = ACTIONS(1369),
    [sym_keyword_timestamp] = ACTIONS(1369),
    [sym_keyword_timestamptz] = ACTIONS(1369),
    [sym_keyword_interval] = ACTIONS(1369),
    [sym_keyword_geometry] = ACTIONS(1369),
    [sym_keyword_geography] = ACTIONS(1369),
    [sym_keyword_box2d] = ACTIONS(1369),
    [sym_keyword_box3d] = ACTIONS(1369),
    [sym_keyword_oid] = ACTIONS(1369),
    [sym_keyword_name] = ACTIONS(1369),
    [sym_keyword_regclass] = ACTIONS(1369),
    [sym_keyword_regnamespace] = ACTIONS(1369),
    [sym_keyword_regproc] = ACTIONS(1369),
    [sym_keyword_regtype] = ACTIONS(1369),
    [anon_sym_RPAREN] = ACTIONS(1367),
    [aux_sym_double_token1] = ACTIONS(1369),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1367),
    [aux_sym__single_quote_string_token2] = ACTIONS(1371),
    [aux_sym_identifier_token1] = ACTIONS(1367),
  },
  [88] = {
    [aux_sym__single_quote_string_repeat1] = STATE(87),
    [ts_builtin_sym_end] = ACTIONS(1374),
    [sym__identifier] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1374),
    [sym_keyword_create] = ACTIONS(1376),
    [sym_keyword_increment] = ACTIONS(1376),
    [sym_keyword_minvalue] = ACTIONS(1376),
    [sym_keyword_maxvalue] = ACTIONS(1376),
    [sym_keyword_owned] = ACTIONS(1376),
    [sym_keyword_start] = ACTIONS(1376),
    [sym_keyword_restart] = ACTIONS(1376),
    [sym_keyword_as] = ACTIONS(1376),
    [sym_keyword_not] = ACTIONS(1376),
    [aux_sym_keyword_character_token1] = ACTIONS(1376),
    [sym_keyword_no] = ACTIONS(1376),
    [sym_keyword_cycle] = ACTIONS(1376),
    [sym_keyword_begin] = ACTIONS(1376),
    [sym_keyword_rows] = ACTIONS(1376),
    [sym_keyword_unsigned] = ACTIONS(1376),
    [sym_keyword_returns] = ACTIONS(1376),
    [sym_keyword_return] = ACTIONS(1376),
    [sym_keyword_language] = ACTIONS(1376),
    [sym_keyword_immutable] = ACTIONS(1376),
    [sym_keyword_stable] = ACTIONS(1376),
    [sym_keyword_volatile] = ACTIONS(1376),
    [sym_keyword_leakproof] = ACTIONS(1376),
    [sym_keyword_parallel] = ACTIONS(1376),
    [sym_keyword_called] = ACTIONS(1376),
    [sym_keyword_strict] = ACTIONS(1376),
    [sym_keyword_cost] = ACTIONS(1376),
    [sym_keyword_support] = ACTIONS(1376),
    [sym_keyword_security] = ACTIONS(1376),
    [sym_keyword_external] = ACTIONS(1376),
    [sym_keyword_cache] = ACTIONS(1376),
    [sym_keyword_boolean] = ACTIONS(1376),
    [sym_keyword_bit] = ACTIONS(1376),
    [sym_keyword_binary] = ACTIONS(1376),
    [sym_keyword_varbinary] = ACTIONS(1376),
    [sym_keyword_image] = ACTIONS(1376),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1376),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1376),
    [aux_sym_keyword_serial_token1] = ACTIONS(1376),
    [aux_sym_keyword_serial_token2] = ACTIONS(1376),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1376),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1376),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1376),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1376),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1376),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1376),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1376),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1376),
    [aux_sym_keyword_int_token1] = ACTIONS(1376),
    [aux_sym_keyword_int_token2] = ACTIONS(1376),
    [aux_sym_keyword_int_token3] = ACTIONS(1376),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1376),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1376),
    [sym_keyword_decimal] = ACTIONS(1376),
    [sym_keyword_numeric] = ACTIONS(1376),
    [aux_sym_keyword_real_token1] = ACTIONS(1376),
    [aux_sym_keyword_real_token2] = ACTIONS(1376),
    [sym_keyword_float] = ACTIONS(1376),
    [sym_keyword_double] = ACTIONS(1376),
    [sym_keyword_inet] = ACTIONS(1376),
    [sym_keyword_money] = ACTIONS(1376),
    [sym_keyword_smallmoney] = ACTIONS(1376),
    [aux_sym_keyword_char_token1] = ACTIONS(1376),
    [sym_keyword_nchar] = ACTIONS(1376),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1376),
    [sym_keyword_nvarchar] = ACTIONS(1376),
    [sym_keyword_text] = ACTIONS(1376),
    [sym_keyword_string] = ACTIONS(1376),
    [sym_keyword_uuid] = ACTIONS(1376),
    [sym_keyword_json] = ACTIONS(1376),
    [sym_keyword_jsonb] = ACTIONS(1376),
    [sym_keyword_xml] = ACTIONS(1376),
    [sym_keyword_bytea] = ACTIONS(1376),
    [sym_keyword_enum] = ACTIONS(1376),
    [sym_keyword_date] = ACTIONS(1376),
    [sym_keyword_datetime] = ACTIONS(1376),
    [sym_keyword_datetime2] = ACTIONS(1376),
    [sym_keyword_smalldatetime] = ACTIONS(1376),
    [sym_keyword_datetimeoffset] = ACTIONS(1376),
    [sym_keyword_time] = ACTIONS(1376),
    [sym_keyword_timestamp] = ACTIONS(1376),
    [sym_keyword_timestamptz] = ACTIONS(1376),
    [sym_keyword_interval] = ACTIONS(1376),
    [sym_keyword_geometry] = ACTIONS(1376),
    [sym_keyword_geography] = ACTIONS(1376),
    [sym_keyword_box2d] = ACTIONS(1376),
    [sym_keyword_box3d] = ACTIONS(1376),
    [sym_keyword_oid] = ACTIONS(1376),
    [sym_keyword_name] = ACTIONS(1376),
    [sym_keyword_regclass] = ACTIONS(1376),
    [sym_keyword_regnamespace] = ACTIONS(1376),
    [sym_keyword_regproc] = ACTIONS(1376),
    [sym_keyword_regtype] = ACTIONS(1376),
    [anon_sym_RPAREN] = ACTIONS(1374),
    [aux_sym_double_token1] = ACTIONS(1376),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1374),
    [aux_sym__single_quote_string_token2] = ACTIONS(1378),
    [aux_sym_identifier_token1] = ACTIONS(1374),
  },
  [89] = {
    [ts_builtin_sym_end] = ACTIONS(1380),
    [sym__identifier] = ACTIONS(1382),
    [anon_sym_SEMI] = ACTIONS(1380),
    [sym_keyword_create] = ACTIONS(1382),
    [sym_keyword_increment] = ACTIONS(1382),
    [sym_keyword_minvalue] = ACTIONS(1382),
    [sym_keyword_maxvalue] = ACTIONS(1382),
    [sym_keyword_owned] = ACTIONS(1382),
    [sym_keyword_start] = ACTIONS(1382),
    [sym_keyword_restart] = ACTIONS(1382),
    [sym_keyword_as] = ACTIONS(1382),
    [sym_keyword_not] = ACTIONS(1382),
    [aux_sym_keyword_character_token1] = ACTIONS(1382),
    [sym_keyword_no] = ACTIONS(1382),
    [sym_keyword_cycle] = ACTIONS(1382),
    [sym_keyword_begin] = ACTIONS(1382),
    [sym_keyword_rows] = ACTIONS(1382),
    [sym_keyword_unsigned] = ACTIONS(1382),
    [sym_keyword_returns] = ACTIONS(1382),
    [sym_keyword_return] = ACTIONS(1382),
    [sym_keyword_language] = ACTIONS(1382),
    [sym_keyword_immutable] = ACTIONS(1382),
    [sym_keyword_stable] = ACTIONS(1382),
    [sym_keyword_volatile] = ACTIONS(1382),
    [sym_keyword_leakproof] = ACTIONS(1382),
    [sym_keyword_parallel] = ACTIONS(1382),
    [sym_keyword_called] = ACTIONS(1382),
    [sym_keyword_strict] = ACTIONS(1382),
    [sym_keyword_cost] = ACTIONS(1382),
    [sym_keyword_support] = ACTIONS(1382),
    [sym_keyword_security] = ACTIONS(1382),
    [sym_keyword_external] = ACTIONS(1382),
    [sym_keyword_cache] = ACTIONS(1382),
    [sym_keyword_boolean] = ACTIONS(1382),
    [sym_keyword_bit] = ACTIONS(1382),
    [sym_keyword_binary] = ACTIONS(1382),
    [sym_keyword_varbinary] = ACTIONS(1382),
    [sym_keyword_image] = ACTIONS(1382),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1382),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1382),
    [aux_sym_keyword_serial_token1] = ACTIONS(1382),
    [aux_sym_keyword_serial_token2] = ACTIONS(1382),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1382),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1382),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1382),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1382),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1382),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1382),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1382),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1382),
    [aux_sym_keyword_int_token1] = ACTIONS(1382),
    [aux_sym_keyword_int_token2] = ACTIONS(1382),
    [aux_sym_keyword_int_token3] = ACTIONS(1382),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1382),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1382),
    [sym_keyword_decimal] = ACTIONS(1382),
    [sym_keyword_numeric] = ACTIONS(1382),
    [aux_sym_keyword_real_token1] = ACTIONS(1382),
    [aux_sym_keyword_real_token2] = ACTIONS(1382),
    [sym_keyword_float] = ACTIONS(1382),
    [sym_keyword_double] = ACTIONS(1382),
    [sym_keyword_inet] = ACTIONS(1382),
    [sym_keyword_money] = ACTIONS(1382),
    [sym_keyword_smallmoney] = ACTIONS(1382),
    [aux_sym_keyword_char_token1] = ACTIONS(1382),
    [sym_keyword_nchar] = ACTIONS(1382),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1382),
    [sym_keyword_nvarchar] = ACTIONS(1382),
    [sym_keyword_text] = ACTIONS(1382),
    [sym_keyword_string] = ACTIONS(1382),
    [sym_keyword_uuid] = ACTIONS(1382),
    [sym_keyword_json] = ACTIONS(1382),
    [sym_keyword_jsonb] = ACTIONS(1382),
    [sym_keyword_xml] = ACTIONS(1382),
    [sym_keyword_bytea] = ACTIONS(1382),
    [sym_keyword_enum] = ACTIONS(1382),
    [sym_keyword_date] = ACTIONS(1382),
    [sym_keyword_datetime] = ACTIONS(1382),
    [sym_keyword_datetime2] = ACTIONS(1382),
    [sym_keyword_smalldatetime] = ACTIONS(1382),
    [sym_keyword_datetimeoffset] = ACTIONS(1382),
    [sym_keyword_time] = ACTIONS(1382),
    [sym_keyword_timestamp] = ACTIONS(1382),
    [sym_keyword_timestamptz] = ACTIONS(1382),
    [sym_keyword_interval] = ACTIONS(1382),
    [sym_keyword_geometry] = ACTIONS(1382),
    [sym_keyword_geography] = ACTIONS(1382),
    [sym_keyword_box2d] = ACTIONS(1382),
    [sym_keyword_box3d] = ACTIONS(1382),
    [sym_keyword_oid] = ACTIONS(1382),
    [sym_keyword_name] = ACTIONS(1382),
    [sym_keyword_regclass] = ACTIONS(1382),
    [sym_keyword_regnamespace] = ACTIONS(1382),
    [sym_keyword_regproc] = ACTIONS(1382),
    [sym_keyword_regtype] = ACTIONS(1382),
    [anon_sym_RPAREN] = ACTIONS(1380),
    [aux_sym_double_token1] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1380),
    [aux_sym_identifier_token1] = ACTIONS(1380),
  },
  [90] = {
    [ts_builtin_sym_end] = ACTIONS(1384),
    [sym__identifier] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1384),
    [sym_keyword_select] = ACTIONS(1386),
    [sym_keyword_show] = ACTIONS(1386),
    [sym_keyword_values] = ACTIONS(1386),
    [sym_keyword_set] = ACTIONS(1386),
    [sym_keyword_from] = ACTIONS(1386),
    [sym_keyword_on] = ACTIONS(1386),
    [sym_keyword_partition] = ACTIONS(1386),
    [sym_keyword_primary] = ACTIONS(1386),
    [sym_keyword_create] = ACTIONS(1386),
    [sym_keyword_alter] = ACTIONS(1386),
    [sym_keyword_drop] = ACTIONS(1386),
    [sym_keyword_add] = ACTIONS(1386),
    [sym_keyword_as] = ACTIONS(1386),
    [sym_keyword_constraint] = ACTIONS(1386),
    [sym_keyword_when] = ACTIONS(1386),
    [sym_keyword_in] = ACTIONS(1386),
    [sym_keyword_and] = ACTIONS(1386),
    [sym_keyword_or] = ACTIONS(1386),
    [sym_keyword_is] = ACTIONS(1386),
    [sym_keyword_not] = ACTIONS(1386),
    [sym_keyword_force] = ACTIONS(1386),
    [sym_keyword_using] = ACTIONS(1386),
    [sym_keyword_collate] = ACTIONS(1386),
    [sym_keyword_default] = ACTIONS(1386),
    [sym_keyword_cascade] = ACTIONS(1386),
    [sym_keyword_restrict] = ACTIONS(1386),
    [sym_keyword_with] = ACTIONS(1386),
    [sym_keyword_type] = ACTIONS(1386),
    [sym_keyword_rename] = ACTIONS(1386),
    [sym_keyword_to] = ACTIONS(1386),
    [sym_keyword_schema] = ACTIONS(1386),
    [sym_keyword_owner] = ACTIONS(1386),
    [sym_keyword_reset] = ACTIONS(1386),
    [sym_keyword_temp] = ACTIONS(1386),
    [sym_keyword_temporary] = ACTIONS(1386),
    [sym_keyword_union] = ACTIONS(1386),
    [sym_keyword_except] = ACTIONS(1386),
    [sym_keyword_intersect] = ACTIONS(1386),
    [sym_keyword_returning] = ACTIONS(1386),
    [sym_keyword_rows] = ACTIONS(1386),
    [sym_keyword_between] = ACTIONS(1386),
    [aux_sym_keyword_like_token1] = ACTIONS(1386),
    [aux_sym_keyword_like_token2] = ACTIONS(1386),
    [sym_keyword_similar] = ACTIONS(1386),
    [sym_keyword_check] = ACTIONS(1386),
    [sym_keyword_wait] = ACTIONS(1386),
    [sym_keyword_nowait] = ACTIONS(1386),
    [sym_keyword_authorization] = ACTIONS(1386),
    [sym_keyword_trigger] = ACTIONS(1386),
    [sym_keyword_returns] = ACTIONS(1386),
    [sym_keyword_language] = ACTIONS(1386),
    [sym_keyword_immutable] = ACTIONS(1386),
    [sym_keyword_stable] = ACTIONS(1386),
    [sym_keyword_volatile] = ACTIONS(1386),
    [sym_keyword_leakproof] = ACTIONS(1386),
    [sym_keyword_parallel] = ACTIONS(1386),
    [sym_keyword_called] = ACTIONS(1386),
    [sym_keyword_strict] = ACTIONS(1386),
    [sym_keyword_cost] = ACTIONS(1386),
    [sym_keyword_support] = ACTIONS(1386),
    [sym_keyword_security] = ACTIONS(1386),
    [sym_keyword_version] = ACTIONS(1386),
    [sym_keyword_immediate] = ACTIONS(1386),
    [sym_keyword_deferred] = ACTIONS(1386),
    [sym_keyword_external] = ACTIONS(1386),
    [sym_keyword_compute] = ACTIONS(1386),
    [sym_keyword_rewrite] = ACTIONS(1386),
    [sym_keyword_partitioned] = ACTIONS(1386),
    [sym_keyword_array] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_LPAREN] = ACTIONS(1384),
    [anon_sym_RPAREN] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1384),
    [anon_sym_COLON_EQ] = ACTIONS(1384),
    [anon_sym_DOT] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_COLON_COLON] = ACTIONS(1384),
    [anon_sym_LT] = ACTIONS(1386),
    [anon_sym_GT] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1384),
    [anon_sym_GT_EQ] = ACTIONS(1384),
    [sym_op_other] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1386),
    [anon_sym_PERCENT] = ACTIONS(1384),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1384),
    [anon_sym_LT_GT] = ACTIONS(1384),
    [sym__double_quote_string] = ACTIONS(1384),
    [aux_sym__single_quote_string_token1] = ACTIONS(1384),
    [aux_sym_identifier_token1] = ACTIONS(1384),
  },
  [91] = {
    [sym__commit] = STATE(14650),
    [sym__rollback] = STATE(14650),
    [sym_statement] = STATE(14645),
    [sym__ddl_statement] = STATE(10560),
    [sym__cte] = STATE(6866),
    [sym__dml_write] = STATE(10562),
    [sym__dml_read] = STATE(10563),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_comment_statement] = STATE(10560),
    [sym_select] = STATE(7578),
    [sym__truncate_statement] = STATE(10564),
    [sym__delete_statement] = STATE(10564),
    [sym_delete] = STATE(11550),
    [sym__create_statement] = STATE(10560),
    [sym_create_table] = STATE(10560),
    [sym_reset_statement] = STATE(10560),
    [sym_set_statement] = STATE(10560),
    [sym_create_view] = STATE(10560),
    [sym_create_materialized_view] = STATE(10560),
    [sym_create_function] = STATE(10560),
    [sym_create_index] = STATE(10560),
    [sym_create_schema] = STATE(7051),
    [sym_create_database] = STATE(10560),
    [sym_create_role] = STATE(10560),
    [sym_create_sequence] = STATE(10560),
    [sym_create_extension] = STATE(10560),
    [sym_create_trigger] = STATE(10560),
    [sym_create_type] = STATE(10560),
    [sym__alter_statement] = STATE(10560),
    [sym__rename_statement] = STATE(10567),
    [sym_alter_table] = STATE(10560),
    [sym_alter_view] = STATE(10560),
    [sym_alter_schema] = STATE(10560),
    [sym_alter_database] = STATE(10560),
    [sym_alter_role] = STATE(10560),
    [sym_alter_index] = STATE(10560),
    [sym_alter_sequence] = STATE(10560),
    [sym_alter_type] = STATE(10560),
    [sym__drop_statement] = STATE(10560),
    [sym_drop_table] = STATE(10560),
    [sym_drop_view] = STATE(10560),
    [sym_drop_schema] = STATE(10560),
    [sym_drop_database] = STATE(10560),
    [sym_drop_role] = STATE(10560),
    [sym_drop_type] = STATE(10560),
    [sym_drop_sequence] = STATE(10560),
    [sym_drop_index] = STATE(10560),
    [sym_drop_extension] = STATE(10560),
    [sym__copy_statement] = STATE(10564),
    [sym__insert_statement] = STATE(10564),
    [sym_insert] = STATE(10084),
    [sym__update_statement] = STATE(10564),
    [sym__merge_statement] = STATE(10578),
    [sym__optimize_statement] = STATE(10560),
    [sym__compute_stats] = STATE(10560),
    [sym__optimize_table] = STATE(10560),
    [sym__vacuum_table] = STATE(10560),
    [sym_update] = STATE(10025),
    [aux_sym_transaction_repeat1] = STATE(93),
    [anon_sym_SEMI] = ACTIONS(1388),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_end] = ACTIONS(1390),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_commit] = ACTIONS(1392),
    [sym_keyword_rollback] = ACTIONS(1394),
    [sym_keyword_transaction] = ACTIONS(1396),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [92] = {
    [sym__commit] = STATE(14289),
    [sym__rollback] = STATE(14289),
    [sym_statement] = STATE(14645),
    [sym__ddl_statement] = STATE(10560),
    [sym__cte] = STATE(6866),
    [sym__dml_write] = STATE(10562),
    [sym__dml_read] = STATE(10563),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_comment_statement] = STATE(10560),
    [sym_select] = STATE(7578),
    [sym__truncate_statement] = STATE(10564),
    [sym__delete_statement] = STATE(10564),
    [sym_delete] = STATE(11550),
    [sym__create_statement] = STATE(10560),
    [sym_create_table] = STATE(10560),
    [sym_reset_statement] = STATE(10560),
    [sym_set_statement] = STATE(10560),
    [sym_create_view] = STATE(10560),
    [sym_create_materialized_view] = STATE(10560),
    [sym_create_function] = STATE(10560),
    [sym_create_index] = STATE(10560),
    [sym_create_schema] = STATE(7051),
    [sym_create_database] = STATE(10560),
    [sym_create_role] = STATE(10560),
    [sym_create_sequence] = STATE(10560),
    [sym_create_extension] = STATE(10560),
    [sym_create_trigger] = STATE(10560),
    [sym_create_type] = STATE(10560),
    [sym__alter_statement] = STATE(10560),
    [sym__rename_statement] = STATE(10567),
    [sym_alter_table] = STATE(10560),
    [sym_alter_view] = STATE(10560),
    [sym_alter_schema] = STATE(10560),
    [sym_alter_database] = STATE(10560),
    [sym_alter_role] = STATE(10560),
    [sym_alter_index] = STATE(10560),
    [sym_alter_sequence] = STATE(10560),
    [sym_alter_type] = STATE(10560),
    [sym__drop_statement] = STATE(10560),
    [sym_drop_table] = STATE(10560),
    [sym_drop_view] = STATE(10560),
    [sym_drop_schema] = STATE(10560),
    [sym_drop_database] = STATE(10560),
    [sym_drop_role] = STATE(10560),
    [sym_drop_type] = STATE(10560),
    [sym_drop_sequence] = STATE(10560),
    [sym_drop_index] = STATE(10560),
    [sym_drop_extension] = STATE(10560),
    [sym__copy_statement] = STATE(10564),
    [sym__insert_statement] = STATE(10564),
    [sym_insert] = STATE(10084),
    [sym__update_statement] = STATE(10564),
    [sym__merge_statement] = STATE(10578),
    [sym__optimize_statement] = STATE(10560),
    [sym__compute_stats] = STATE(10560),
    [sym__optimize_table] = STATE(10560),
    [sym__vacuum_table] = STATE(10560),
    [sym_update] = STATE(10025),
    [aux_sym_transaction_repeat1] = STATE(97),
    [anon_sym_SEMI] = ACTIONS(1398),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_commit] = ACTIONS(1392),
    [sym_keyword_rollback] = ACTIONS(1394),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [93] = {
    [sym__commit] = STATE(14289),
    [sym__rollback] = STATE(14289),
    [sym_statement] = STATE(14645),
    [sym__ddl_statement] = STATE(10560),
    [sym__cte] = STATE(6866),
    [sym__dml_write] = STATE(10562),
    [sym__dml_read] = STATE(10563),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_comment_statement] = STATE(10560),
    [sym_select] = STATE(7578),
    [sym__truncate_statement] = STATE(10564),
    [sym__delete_statement] = STATE(10564),
    [sym_delete] = STATE(11550),
    [sym__create_statement] = STATE(10560),
    [sym_create_table] = STATE(10560),
    [sym_reset_statement] = STATE(10560),
    [sym_set_statement] = STATE(10560),
    [sym_create_view] = STATE(10560),
    [sym_create_materialized_view] = STATE(10560),
    [sym_create_function] = STATE(10560),
    [sym_create_index] = STATE(10560),
    [sym_create_schema] = STATE(7051),
    [sym_create_database] = STATE(10560),
    [sym_create_role] = STATE(10560),
    [sym_create_sequence] = STATE(10560),
    [sym_create_extension] = STATE(10560),
    [sym_create_trigger] = STATE(10560),
    [sym_create_type] = STATE(10560),
    [sym__alter_statement] = STATE(10560),
    [sym__rename_statement] = STATE(10567),
    [sym_alter_table] = STATE(10560),
    [sym_alter_view] = STATE(10560),
    [sym_alter_schema] = STATE(10560),
    [sym_alter_database] = STATE(10560),
    [sym_alter_role] = STATE(10560),
    [sym_alter_index] = STATE(10560),
    [sym_alter_sequence] = STATE(10560),
    [sym_alter_type] = STATE(10560),
    [sym__drop_statement] = STATE(10560),
    [sym_drop_table] = STATE(10560),
    [sym_drop_view] = STATE(10560),
    [sym_drop_schema] = STATE(10560),
    [sym_drop_database] = STATE(10560),
    [sym_drop_role] = STATE(10560),
    [sym_drop_type] = STATE(10560),
    [sym_drop_sequence] = STATE(10560),
    [sym_drop_index] = STATE(10560),
    [sym_drop_extension] = STATE(10560),
    [sym__copy_statement] = STATE(10564),
    [sym__insert_statement] = STATE(10564),
    [sym_insert] = STATE(10084),
    [sym__update_statement] = STATE(10564),
    [sym__merge_statement] = STATE(10578),
    [sym__optimize_statement] = STATE(10560),
    [sym__compute_stats] = STATE(10560),
    [sym__optimize_table] = STATE(10560),
    [sym__vacuum_table] = STATE(10560),
    [sym_update] = STATE(10025),
    [aux_sym_transaction_repeat1] = STATE(114),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_end] = ACTIONS(1400),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_commit] = ACTIONS(1392),
    [sym_keyword_rollback] = ACTIONS(1394),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [94] = {
    [sym__commit] = STATE(14289),
    [sym__rollback] = STATE(14289),
    [sym_statement] = STATE(14645),
    [sym__ddl_statement] = STATE(10560),
    [sym__cte] = STATE(6866),
    [sym__dml_write] = STATE(10562),
    [sym__dml_read] = STATE(10563),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_comment_statement] = STATE(10560),
    [sym_select] = STATE(7578),
    [sym__truncate_statement] = STATE(10564),
    [sym__delete_statement] = STATE(10564),
    [sym_delete] = STATE(11550),
    [sym__create_statement] = STATE(10560),
    [sym_create_table] = STATE(10560),
    [sym_reset_statement] = STATE(10560),
    [sym_set_statement] = STATE(10560),
    [sym_create_view] = STATE(10560),
    [sym_create_materialized_view] = STATE(10560),
    [sym_create_function] = STATE(10560),
    [sym_create_index] = STATE(10560),
    [sym_create_schema] = STATE(7051),
    [sym_create_database] = STATE(10560),
    [sym_create_role] = STATE(10560),
    [sym_create_sequence] = STATE(10560),
    [sym_create_extension] = STATE(10560),
    [sym_create_trigger] = STATE(10560),
    [sym_create_type] = STATE(10560),
    [sym__alter_statement] = STATE(10560),
    [sym__rename_statement] = STATE(10567),
    [sym_alter_table] = STATE(10560),
    [sym_alter_view] = STATE(10560),
    [sym_alter_schema] = STATE(10560),
    [sym_alter_database] = STATE(10560),
    [sym_alter_role] = STATE(10560),
    [sym_alter_index] = STATE(10560),
    [sym_alter_sequence] = STATE(10560),
    [sym_alter_type] = STATE(10560),
    [sym__drop_statement] = STATE(10560),
    [sym_drop_table] = STATE(10560),
    [sym_drop_view] = STATE(10560),
    [sym_drop_schema] = STATE(10560),
    [sym_drop_database] = STATE(10560),
    [sym_drop_role] = STATE(10560),
    [sym_drop_type] = STATE(10560),
    [sym_drop_sequence] = STATE(10560),
    [sym_drop_index] = STATE(10560),
    [sym_drop_extension] = STATE(10560),
    [sym__copy_statement] = STATE(10564),
    [sym__insert_statement] = STATE(10564),
    [sym_insert] = STATE(10084),
    [sym__update_statement] = STATE(10564),
    [sym__merge_statement] = STATE(10578),
    [sym__optimize_statement] = STATE(10560),
    [sym__compute_stats] = STATE(10560),
    [sym__optimize_table] = STATE(10560),
    [sym__vacuum_table] = STATE(10560),
    [sym_update] = STATE(10025),
    [aux_sym_transaction_repeat1] = STATE(95),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_end] = ACTIONS(1400),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_commit] = ACTIONS(1392),
    [sym_keyword_rollback] = ACTIONS(1394),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [95] = {
    [sym__commit] = STATE(13857),
    [sym__rollback] = STATE(13857),
    [sym_statement] = STATE(14645),
    [sym__ddl_statement] = STATE(10560),
    [sym__cte] = STATE(6866),
    [sym__dml_write] = STATE(10562),
    [sym__dml_read] = STATE(10563),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_comment_statement] = STATE(10560),
    [sym_select] = STATE(7578),
    [sym__truncate_statement] = STATE(10564),
    [sym__delete_statement] = STATE(10564),
    [sym_delete] = STATE(11550),
    [sym__create_statement] = STATE(10560),
    [sym_create_table] = STATE(10560),
    [sym_reset_statement] = STATE(10560),
    [sym_set_statement] = STATE(10560),
    [sym_create_view] = STATE(10560),
    [sym_create_materialized_view] = STATE(10560),
    [sym_create_function] = STATE(10560),
    [sym_create_index] = STATE(10560),
    [sym_create_schema] = STATE(7051),
    [sym_create_database] = STATE(10560),
    [sym_create_role] = STATE(10560),
    [sym_create_sequence] = STATE(10560),
    [sym_create_extension] = STATE(10560),
    [sym_create_trigger] = STATE(10560),
    [sym_create_type] = STATE(10560),
    [sym__alter_statement] = STATE(10560),
    [sym__rename_statement] = STATE(10567),
    [sym_alter_table] = STATE(10560),
    [sym_alter_view] = STATE(10560),
    [sym_alter_schema] = STATE(10560),
    [sym_alter_database] = STATE(10560),
    [sym_alter_role] = STATE(10560),
    [sym_alter_index] = STATE(10560),
    [sym_alter_sequence] = STATE(10560),
    [sym_alter_type] = STATE(10560),
    [sym__drop_statement] = STATE(10560),
    [sym_drop_table] = STATE(10560),
    [sym_drop_view] = STATE(10560),
    [sym_drop_schema] = STATE(10560),
    [sym_drop_database] = STATE(10560),
    [sym_drop_role] = STATE(10560),
    [sym_drop_type] = STATE(10560),
    [sym_drop_sequence] = STATE(10560),
    [sym_drop_index] = STATE(10560),
    [sym_drop_extension] = STATE(10560),
    [sym__copy_statement] = STATE(10564),
    [sym__insert_statement] = STATE(10564),
    [sym_insert] = STATE(10084),
    [sym__update_statement] = STATE(10564),
    [sym__merge_statement] = STATE(10578),
    [sym__optimize_statement] = STATE(10560),
    [sym__compute_stats] = STATE(10560),
    [sym__optimize_table] = STATE(10560),
    [sym__vacuum_table] = STATE(10560),
    [sym_update] = STATE(10025),
    [aux_sym_transaction_repeat1] = STATE(114),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_end] = ACTIONS(1402),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_commit] = ACTIONS(1392),
    [sym_keyword_rollback] = ACTIONS(1394),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [96] = {
    [sym__identifier] = ACTIONS(1386),
    [sym_keyword_desc] = ACTIONS(1386),
    [sym_keyword_asc] = ACTIONS(1386),
    [sym_keyword_primary] = ACTIONS(1386),
    [sym_keyword_key] = ACTIONS(1386),
    [sym_keyword_constraint] = ACTIONS(1386),
    [sym_keyword_index] = ACTIONS(1386),
    [sym_keyword_collate] = ACTIONS(1386),
    [aux_sym_keyword_character_token1] = ACTIONS(1386),
    [sym_keyword_default] = ACTIONS(1386),
    [sym_keyword_nulls] = ACTIONS(1386),
    [sym_keyword_unique] = ACTIONS(1386),
    [sym_keyword_foreign] = ACTIONS(1386),
    [sym_keyword_unsigned] = ACTIONS(1386),
    [sym_keyword_check] = ACTIONS(1386),
    [sym_keyword_boolean] = ACTIONS(1386),
    [sym_keyword_bit] = ACTIONS(1386),
    [sym_keyword_binary] = ACTIONS(1386),
    [sym_keyword_varbinary] = ACTIONS(1386),
    [sym_keyword_image] = ACTIONS(1386),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1386),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1386),
    [aux_sym_keyword_serial_token1] = ACTIONS(1386),
    [aux_sym_keyword_serial_token2] = ACTIONS(1386),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1386),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1386),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1386),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1386),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1386),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1386),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1386),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1386),
    [aux_sym_keyword_int_token1] = ACTIONS(1386),
    [aux_sym_keyword_int_token2] = ACTIONS(1386),
    [aux_sym_keyword_int_token3] = ACTIONS(1386),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1386),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1386),
    [sym_keyword_decimal] = ACTIONS(1386),
    [sym_keyword_numeric] = ACTIONS(1386),
    [aux_sym_keyword_real_token1] = ACTIONS(1386),
    [aux_sym_keyword_real_token2] = ACTIONS(1386),
    [sym_keyword_float] = ACTIONS(1386),
    [sym_keyword_double] = ACTIONS(1386),
    [sym_keyword_inet] = ACTIONS(1386),
    [sym_keyword_money] = ACTIONS(1386),
    [sym_keyword_smallmoney] = ACTIONS(1386),
    [aux_sym_keyword_char_token1] = ACTIONS(1386),
    [sym_keyword_nchar] = ACTIONS(1386),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1386),
    [sym_keyword_nvarchar] = ACTIONS(1386),
    [sym_keyword_text] = ACTIONS(1386),
    [sym_keyword_string] = ACTIONS(1386),
    [sym_keyword_uuid] = ACTIONS(1386),
    [sym_keyword_json] = ACTIONS(1386),
    [sym_keyword_jsonb] = ACTIONS(1386),
    [sym_keyword_xml] = ACTIONS(1386),
    [sym_keyword_bytea] = ACTIONS(1386),
    [sym_keyword_enum] = ACTIONS(1386),
    [sym_keyword_date] = ACTIONS(1386),
    [sym_keyword_datetime] = ACTIONS(1386),
    [sym_keyword_datetime2] = ACTIONS(1386),
    [sym_keyword_smalldatetime] = ACTIONS(1386),
    [sym_keyword_datetimeoffset] = ACTIONS(1386),
    [sym_keyword_time] = ACTIONS(1386),
    [sym_keyword_timestamp] = ACTIONS(1386),
    [sym_keyword_timestamptz] = ACTIONS(1386),
    [sym_keyword_interval] = ACTIONS(1386),
    [sym_keyword_geometry] = ACTIONS(1386),
    [sym_keyword_geography] = ACTIONS(1386),
    [sym_keyword_box2d] = ACTIONS(1386),
    [sym_keyword_box3d] = ACTIONS(1386),
    [sym_keyword_oid] = ACTIONS(1386),
    [sym_keyword_name] = ACTIONS(1386),
    [sym_keyword_regclass] = ACTIONS(1386),
    [sym_keyword_regnamespace] = ACTIONS(1386),
    [sym_keyword_regproc] = ACTIONS(1386),
    [sym_keyword_regtype] = ACTIONS(1386),
    [sym_keyword_array] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_LPAREN] = ACTIONS(1384),
    [anon_sym_RPAREN] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1384),
    [aux_sym_double_token1] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1384),
    [anon_sym_DOT] = ACTIONS(1384),
    [sym__double_quote_string] = ACTIONS(1384),
    [aux_sym_identifier_token1] = ACTIONS(1384),
  },
  [97] = {
    [sym__commit] = STATE(13857),
    [sym__rollback] = STATE(13857),
    [sym_statement] = STATE(14645),
    [sym__ddl_statement] = STATE(10560),
    [sym__cte] = STATE(6866),
    [sym__dml_write] = STATE(10562),
    [sym__dml_read] = STATE(10563),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_comment_statement] = STATE(10560),
    [sym_select] = STATE(7578),
    [sym__truncate_statement] = STATE(10564),
    [sym__delete_statement] = STATE(10564),
    [sym_delete] = STATE(11550),
    [sym__create_statement] = STATE(10560),
    [sym_create_table] = STATE(10560),
    [sym_reset_statement] = STATE(10560),
    [sym_set_statement] = STATE(10560),
    [sym_create_view] = STATE(10560),
    [sym_create_materialized_view] = STATE(10560),
    [sym_create_function] = STATE(10560),
    [sym_create_index] = STATE(10560),
    [sym_create_schema] = STATE(7051),
    [sym_create_database] = STATE(10560),
    [sym_create_role] = STATE(10560),
    [sym_create_sequence] = STATE(10560),
    [sym_create_extension] = STATE(10560),
    [sym_create_trigger] = STATE(10560),
    [sym_create_type] = STATE(10560),
    [sym__alter_statement] = STATE(10560),
    [sym__rename_statement] = STATE(10567),
    [sym_alter_table] = STATE(10560),
    [sym_alter_view] = STATE(10560),
    [sym_alter_schema] = STATE(10560),
    [sym_alter_database] = STATE(10560),
    [sym_alter_role] = STATE(10560),
    [sym_alter_index] = STATE(10560),
    [sym_alter_sequence] = STATE(10560),
    [sym_alter_type] = STATE(10560),
    [sym__drop_statement] = STATE(10560),
    [sym_drop_table] = STATE(10560),
    [sym_drop_view] = STATE(10560),
    [sym_drop_schema] = STATE(10560),
    [sym_drop_database] = STATE(10560),
    [sym_drop_role] = STATE(10560),
    [sym_drop_type] = STATE(10560),
    [sym_drop_sequence] = STATE(10560),
    [sym_drop_index] = STATE(10560),
    [sym_drop_extension] = STATE(10560),
    [sym__copy_statement] = STATE(10564),
    [sym__insert_statement] = STATE(10564),
    [sym_insert] = STATE(10084),
    [sym__update_statement] = STATE(10564),
    [sym__merge_statement] = STATE(10578),
    [sym__optimize_statement] = STATE(10560),
    [sym__compute_stats] = STATE(10560),
    [sym__optimize_table] = STATE(10560),
    [sym__vacuum_table] = STATE(10560),
    [sym_update] = STATE(10025),
    [aux_sym_transaction_repeat1] = STATE(114),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_commit] = ACTIONS(1392),
    [sym_keyword_rollback] = ACTIONS(1394),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [98] = {
    [sym__commit] = STATE(13857),
    [sym__rollback] = STATE(13857),
    [sym_statement] = STATE(14645),
    [sym__ddl_statement] = STATE(10560),
    [sym__cte] = STATE(6866),
    [sym__dml_write] = STATE(10562),
    [sym__dml_read] = STATE(10563),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_comment_statement] = STATE(10560),
    [sym_select] = STATE(7578),
    [sym__truncate_statement] = STATE(10564),
    [sym__delete_statement] = STATE(10564),
    [sym_delete] = STATE(11550),
    [sym__create_statement] = STATE(10560),
    [sym_create_table] = STATE(10560),
    [sym_reset_statement] = STATE(10560),
    [sym_set_statement] = STATE(10560),
    [sym_create_view] = STATE(10560),
    [sym_create_materialized_view] = STATE(10560),
    [sym_create_function] = STATE(10560),
    [sym_create_index] = STATE(10560),
    [sym_create_schema] = STATE(7051),
    [sym_create_database] = STATE(10560),
    [sym_create_role] = STATE(10560),
    [sym_create_sequence] = STATE(10560),
    [sym_create_extension] = STATE(10560),
    [sym_create_trigger] = STATE(10560),
    [sym_create_type] = STATE(10560),
    [sym__alter_statement] = STATE(10560),
    [sym__rename_statement] = STATE(10567),
    [sym_alter_table] = STATE(10560),
    [sym_alter_view] = STATE(10560),
    [sym_alter_schema] = STATE(10560),
    [sym_alter_database] = STATE(10560),
    [sym_alter_role] = STATE(10560),
    [sym_alter_index] = STATE(10560),
    [sym_alter_sequence] = STATE(10560),
    [sym_alter_type] = STATE(10560),
    [sym__drop_statement] = STATE(10560),
    [sym_drop_table] = STATE(10560),
    [sym_drop_view] = STATE(10560),
    [sym_drop_schema] = STATE(10560),
    [sym_drop_database] = STATE(10560),
    [sym_drop_role] = STATE(10560),
    [sym_drop_type] = STATE(10560),
    [sym_drop_sequence] = STATE(10560),
    [sym_drop_index] = STATE(10560),
    [sym_drop_extension] = STATE(10560),
    [sym__copy_statement] = STATE(10564),
    [sym__insert_statement] = STATE(10564),
    [sym_insert] = STATE(10084),
    [sym__update_statement] = STATE(10564),
    [sym__merge_statement] = STATE(10578),
    [sym__optimize_statement] = STATE(10560),
    [sym__compute_stats] = STATE(10560),
    [sym__optimize_table] = STATE(10560),
    [sym__vacuum_table] = STATE(10560),
    [sym_update] = STATE(10025),
    [aux_sym_transaction_repeat1] = STATE(101),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_commit] = ACTIONS(1392),
    [sym_keyword_rollback] = ACTIONS(1394),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [99] = {
    [sym_statement] = STATE(11858),
    [sym__ddl_statement] = STATE(12242),
    [sym__cte] = STATE(6889),
    [sym__dml_write] = STATE(12241),
    [sym__dml_read] = STATE(12240),
    [sym__show_statement] = STATE(8395),
    [sym_set_operation] = STATE(8398),
    [sym__select_statement] = STATE(7758),
    [sym_comment_statement] = STATE(12242),
    [sym_select] = STATE(7640),
    [sym__truncate_statement] = STATE(12239),
    [sym__delete_statement] = STATE(12239),
    [sym_delete] = STATE(11752),
    [sym__create_statement] = STATE(12242),
    [sym_create_table] = STATE(12242),
    [sym_reset_statement] = STATE(12242),
    [sym_set_statement] = STATE(12242),
    [sym_create_view] = STATE(12242),
    [sym_create_materialized_view] = STATE(12242),
    [sym_create_function] = STATE(12242),
    [sym__function_return] = STATE(11858),
    [sym__function_body_statement] = STATE(11858),
    [sym_create_index] = STATE(12242),
    [sym_create_schema] = STATE(7041),
    [sym_create_database] = STATE(12242),
    [sym_create_role] = STATE(12242),
    [sym_create_sequence] = STATE(12242),
    [sym_create_extension] = STATE(12242),
    [sym_create_trigger] = STATE(12242),
    [sym_create_type] = STATE(12242),
    [sym__alter_statement] = STATE(12242),
    [sym__rename_statement] = STATE(12237),
    [sym_alter_table] = STATE(12242),
    [sym_alter_view] = STATE(12242),
    [sym_alter_schema] = STATE(12242),
    [sym_alter_database] = STATE(12242),
    [sym_alter_role] = STATE(12242),
    [sym_alter_index] = STATE(12242),
    [sym_alter_sequence] = STATE(12242),
    [sym_alter_type] = STATE(12242),
    [sym__drop_statement] = STATE(12242),
    [sym_drop_table] = STATE(12242),
    [sym_drop_view] = STATE(12242),
    [sym_drop_schema] = STATE(12242),
    [sym_drop_database] = STATE(12242),
    [sym_drop_role] = STATE(12242),
    [sym_drop_type] = STATE(12242),
    [sym_drop_sequence] = STATE(12242),
    [sym_drop_index] = STATE(12242),
    [sym_drop_extension] = STATE(12242),
    [sym__copy_statement] = STATE(12239),
    [sym__insert_statement] = STATE(12239),
    [sym_insert] = STATE(9737),
    [sym__update_statement] = STATE(12239),
    [sym__merge_statement] = STATE(12235),
    [sym__optimize_statement] = STATE(12242),
    [sym__compute_stats] = STATE(12242),
    [sym__optimize_table] = STATE(12242),
    [sym__vacuum_table] = STATE(12242),
    [sym_update] = STATE(9733),
    [sym_keyword_select] = ACTIONS(1404),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(1406),
    [sym_keyword_replace] = ACTIONS(1406),
    [sym_keyword_update] = ACTIONS(1408),
    [sym_keyword_truncate] = ACTIONS(1410),
    [sym_keyword_merge] = ACTIONS(1412),
    [sym_keyword_show] = ACTIONS(1414),
    [sym_keyword_set] = ACTIONS(1416),
    [sym_keyword_create] = ACTIONS(1418),
    [sym_keyword_alter] = ACTIONS(1420),
    [sym_keyword_analyze] = ACTIONS(1422),
    [sym_keyword_explain] = ACTIONS(1424),
    [sym_keyword_drop] = ACTIONS(1426),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(1428),
    [sym_keyword_reset] = ACTIONS(1430),
    [sym_keyword_begin] = ACTIONS(1432),
    [sym_keyword_vacuum] = ACTIONS(1434),
    [sym_keyword_copy] = ACTIONS(1436),
    [sym_keyword_return] = ACTIONS(1438),
    [sym_keyword_declare] = ACTIONS(1440),
    [sym_keyword_compute] = ACTIONS(1442),
    [sym_keyword_optimize] = ACTIONS(1444),
    [sym_keyword_comment] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [100] = {
    [sym_statement] = STATE(13225),
    [sym__ddl_statement] = STATE(10560),
    [sym__cte] = STATE(6866),
    [sym__dml_write] = STATE(10562),
    [sym__dml_read] = STATE(10563),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_comment_statement] = STATE(10560),
    [sym_select] = STATE(7578),
    [sym__truncate_statement] = STATE(10564),
    [sym__delete_statement] = STATE(10564),
    [sym_delete] = STATE(11550),
    [sym__create_statement] = STATE(10560),
    [sym_create_table] = STATE(10560),
    [sym_reset_statement] = STATE(10560),
    [sym_set_statement] = STATE(10560),
    [sym_create_view] = STATE(10560),
    [sym_create_materialized_view] = STATE(10560),
    [sym_create_function] = STATE(10560),
    [sym__function_return] = STATE(13225),
    [sym__function_body_statement] = STATE(13225),
    [sym_create_index] = STATE(10560),
    [sym_create_schema] = STATE(7051),
    [sym_create_database] = STATE(10560),
    [sym_create_role] = STATE(10560),
    [sym_create_sequence] = STATE(10560),
    [sym_create_extension] = STATE(10560),
    [sym_create_trigger] = STATE(10560),
    [sym_create_type] = STATE(10560),
    [sym__alter_statement] = STATE(10560),
    [sym__rename_statement] = STATE(10567),
    [sym_alter_table] = STATE(10560),
    [sym_alter_view] = STATE(10560),
    [sym_alter_schema] = STATE(10560),
    [sym_alter_database] = STATE(10560),
    [sym_alter_role] = STATE(10560),
    [sym_alter_index] = STATE(10560),
    [sym_alter_sequence] = STATE(10560),
    [sym_alter_type] = STATE(10560),
    [sym__drop_statement] = STATE(10560),
    [sym_drop_table] = STATE(10560),
    [sym_drop_view] = STATE(10560),
    [sym_drop_schema] = STATE(10560),
    [sym_drop_database] = STATE(10560),
    [sym_drop_role] = STATE(10560),
    [sym_drop_type] = STATE(10560),
    [sym_drop_sequence] = STATE(10560),
    [sym_drop_index] = STATE(10560),
    [sym_drop_extension] = STATE(10560),
    [sym__copy_statement] = STATE(10564),
    [sym__insert_statement] = STATE(10564),
    [sym_insert] = STATE(10084),
    [sym__update_statement] = STATE(10564),
    [sym__merge_statement] = STATE(10578),
    [sym__optimize_statement] = STATE(10560),
    [sym__compute_stats] = STATE(10560),
    [sym__optimize_table] = STATE(10560),
    [sym__vacuum_table] = STATE(10560),
    [sym_update] = STATE(10025),
    [aux_sym_function_body_repeat1] = STATE(110),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_end] = ACTIONS(1450),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_return] = ACTIONS(1452),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [101] = {
    [sym__commit] = STATE(13339),
    [sym__rollback] = STATE(13339),
    [sym_statement] = STATE(14645),
    [sym__ddl_statement] = STATE(10560),
    [sym__cte] = STATE(6866),
    [sym__dml_write] = STATE(10562),
    [sym__dml_read] = STATE(10563),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_comment_statement] = STATE(10560),
    [sym_select] = STATE(7578),
    [sym__truncate_statement] = STATE(10564),
    [sym__delete_statement] = STATE(10564),
    [sym_delete] = STATE(11550),
    [sym__create_statement] = STATE(10560),
    [sym_create_table] = STATE(10560),
    [sym_reset_statement] = STATE(10560),
    [sym_set_statement] = STATE(10560),
    [sym_create_view] = STATE(10560),
    [sym_create_materialized_view] = STATE(10560),
    [sym_create_function] = STATE(10560),
    [sym_create_index] = STATE(10560),
    [sym_create_schema] = STATE(7051),
    [sym_create_database] = STATE(10560),
    [sym_create_role] = STATE(10560),
    [sym_create_sequence] = STATE(10560),
    [sym_create_extension] = STATE(10560),
    [sym_create_trigger] = STATE(10560),
    [sym_create_type] = STATE(10560),
    [sym__alter_statement] = STATE(10560),
    [sym__rename_statement] = STATE(10567),
    [sym_alter_table] = STATE(10560),
    [sym_alter_view] = STATE(10560),
    [sym_alter_schema] = STATE(10560),
    [sym_alter_database] = STATE(10560),
    [sym_alter_role] = STATE(10560),
    [sym_alter_index] = STATE(10560),
    [sym_alter_sequence] = STATE(10560),
    [sym_alter_type] = STATE(10560),
    [sym__drop_statement] = STATE(10560),
    [sym_drop_table] = STATE(10560),
    [sym_drop_view] = STATE(10560),
    [sym_drop_schema] = STATE(10560),
    [sym_drop_database] = STATE(10560),
    [sym_drop_role] = STATE(10560),
    [sym_drop_type] = STATE(10560),
    [sym_drop_sequence] = STATE(10560),
    [sym_drop_index] = STATE(10560),
    [sym_drop_extension] = STATE(10560),
    [sym__copy_statement] = STATE(10564),
    [sym__insert_statement] = STATE(10564),
    [sym_insert] = STATE(10084),
    [sym__update_statement] = STATE(10564),
    [sym__merge_statement] = STATE(10578),
    [sym__optimize_statement] = STATE(10560),
    [sym__compute_stats] = STATE(10560),
    [sym__optimize_table] = STATE(10560),
    [sym__vacuum_table] = STATE(10560),
    [sym_update] = STATE(10025),
    [aux_sym_transaction_repeat1] = STATE(114),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_commit] = ACTIONS(1392),
    [sym_keyword_rollback] = ACTIONS(1394),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [102] = {
    [sym_statement] = STATE(13225),
    [sym__ddl_statement] = STATE(10560),
    [sym__cte] = STATE(6866),
    [sym__dml_write] = STATE(10562),
    [sym__dml_read] = STATE(10563),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_comment_statement] = STATE(10560),
    [sym_select] = STATE(7578),
    [sym__truncate_statement] = STATE(10564),
    [sym__delete_statement] = STATE(10564),
    [sym_delete] = STATE(11550),
    [sym__create_statement] = STATE(10560),
    [sym_create_table] = STATE(10560),
    [sym_reset_statement] = STATE(10560),
    [sym_set_statement] = STATE(10560),
    [sym_create_view] = STATE(10560),
    [sym_create_materialized_view] = STATE(10560),
    [sym_create_function] = STATE(10560),
    [sym__function_return] = STATE(13225),
    [sym__function_body_statement] = STATE(13225),
    [sym_create_index] = STATE(10560),
    [sym_create_schema] = STATE(7051),
    [sym_create_database] = STATE(10560),
    [sym_create_role] = STATE(10560),
    [sym_create_sequence] = STATE(10560),
    [sym_create_extension] = STATE(10560),
    [sym_create_trigger] = STATE(10560),
    [sym_create_type] = STATE(10560),
    [sym__alter_statement] = STATE(10560),
    [sym__rename_statement] = STATE(10567),
    [sym_alter_table] = STATE(10560),
    [sym_alter_view] = STATE(10560),
    [sym_alter_schema] = STATE(10560),
    [sym_alter_database] = STATE(10560),
    [sym_alter_role] = STATE(10560),
    [sym_alter_index] = STATE(10560),
    [sym_alter_sequence] = STATE(10560),
    [sym_alter_type] = STATE(10560),
    [sym__drop_statement] = STATE(10560),
    [sym_drop_table] = STATE(10560),
    [sym_drop_view] = STATE(10560),
    [sym_drop_schema] = STATE(10560),
    [sym_drop_database] = STATE(10560),
    [sym_drop_role] = STATE(10560),
    [sym_drop_type] = STATE(10560),
    [sym_drop_sequence] = STATE(10560),
    [sym_drop_index] = STATE(10560),
    [sym_drop_extension] = STATE(10560),
    [sym__copy_statement] = STATE(10564),
    [sym__insert_statement] = STATE(10564),
    [sym_insert] = STATE(10084),
    [sym__update_statement] = STATE(10564),
    [sym__merge_statement] = STATE(10578),
    [sym__optimize_statement] = STATE(10560),
    [sym__compute_stats] = STATE(10560),
    [sym__optimize_table] = STATE(10560),
    [sym__vacuum_table] = STATE(10560),
    [sym_update] = STATE(10025),
    [aux_sym_function_body_repeat1] = STATE(110),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_end] = ACTIONS(1454),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_return] = ACTIONS(1452),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [103] = {
    [sym_statement] = STATE(13225),
    [sym__ddl_statement] = STATE(10560),
    [sym__cte] = STATE(6866),
    [sym__dml_write] = STATE(10562),
    [sym__dml_read] = STATE(10563),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_comment_statement] = STATE(10560),
    [sym_select] = STATE(7578),
    [sym__truncate_statement] = STATE(10564),
    [sym__delete_statement] = STATE(10564),
    [sym_delete] = STATE(11550),
    [sym__create_statement] = STATE(10560),
    [sym_create_table] = STATE(10560),
    [sym_reset_statement] = STATE(10560),
    [sym_set_statement] = STATE(10560),
    [sym_create_view] = STATE(10560),
    [sym_create_materialized_view] = STATE(10560),
    [sym_create_function] = STATE(10560),
    [sym__function_return] = STATE(13225),
    [sym__function_body_statement] = STATE(13225),
    [sym_create_index] = STATE(10560),
    [sym_create_schema] = STATE(7051),
    [sym_create_database] = STATE(10560),
    [sym_create_role] = STATE(10560),
    [sym_create_sequence] = STATE(10560),
    [sym_create_extension] = STATE(10560),
    [sym_create_trigger] = STATE(10560),
    [sym_create_type] = STATE(10560),
    [sym__alter_statement] = STATE(10560),
    [sym__rename_statement] = STATE(10567),
    [sym_alter_table] = STATE(10560),
    [sym_alter_view] = STATE(10560),
    [sym_alter_schema] = STATE(10560),
    [sym_alter_database] = STATE(10560),
    [sym_alter_role] = STATE(10560),
    [sym_alter_index] = STATE(10560),
    [sym_alter_sequence] = STATE(10560),
    [sym_alter_type] = STATE(10560),
    [sym__drop_statement] = STATE(10560),
    [sym_drop_table] = STATE(10560),
    [sym_drop_view] = STATE(10560),
    [sym_drop_schema] = STATE(10560),
    [sym_drop_database] = STATE(10560),
    [sym_drop_role] = STATE(10560),
    [sym_drop_type] = STATE(10560),
    [sym_drop_sequence] = STATE(10560),
    [sym_drop_index] = STATE(10560),
    [sym_drop_extension] = STATE(10560),
    [sym__copy_statement] = STATE(10564),
    [sym__insert_statement] = STATE(10564),
    [sym_insert] = STATE(10084),
    [sym__update_statement] = STATE(10564),
    [sym__merge_statement] = STATE(10578),
    [sym__optimize_statement] = STATE(10560),
    [sym__compute_stats] = STATE(10560),
    [sym__optimize_table] = STATE(10560),
    [sym__vacuum_table] = STATE(10560),
    [sym_update] = STATE(10025),
    [aux_sym_function_body_repeat1] = STATE(110),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_end] = ACTIONS(1456),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_return] = ACTIONS(1452),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [104] = {
    [sym_statement] = STATE(13225),
    [sym__ddl_statement] = STATE(10560),
    [sym__cte] = STATE(6866),
    [sym__dml_write] = STATE(10562),
    [sym__dml_read] = STATE(10563),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_comment_statement] = STATE(10560),
    [sym_select] = STATE(7578),
    [sym__truncate_statement] = STATE(10564),
    [sym__delete_statement] = STATE(10564),
    [sym_delete] = STATE(11550),
    [sym__create_statement] = STATE(10560),
    [sym_create_table] = STATE(10560),
    [sym_reset_statement] = STATE(10560),
    [sym_set_statement] = STATE(10560),
    [sym_create_view] = STATE(10560),
    [sym_create_materialized_view] = STATE(10560),
    [sym_create_function] = STATE(10560),
    [sym__function_return] = STATE(13225),
    [sym__function_body_statement] = STATE(13225),
    [sym_create_index] = STATE(10560),
    [sym_create_schema] = STATE(7051),
    [sym_create_database] = STATE(10560),
    [sym_create_role] = STATE(10560),
    [sym_create_sequence] = STATE(10560),
    [sym_create_extension] = STATE(10560),
    [sym_create_trigger] = STATE(10560),
    [sym_create_type] = STATE(10560),
    [sym__alter_statement] = STATE(10560),
    [sym__rename_statement] = STATE(10567),
    [sym_alter_table] = STATE(10560),
    [sym_alter_view] = STATE(10560),
    [sym_alter_schema] = STATE(10560),
    [sym_alter_database] = STATE(10560),
    [sym_alter_role] = STATE(10560),
    [sym_alter_index] = STATE(10560),
    [sym_alter_sequence] = STATE(10560),
    [sym_alter_type] = STATE(10560),
    [sym__drop_statement] = STATE(10560),
    [sym_drop_table] = STATE(10560),
    [sym_drop_view] = STATE(10560),
    [sym_drop_schema] = STATE(10560),
    [sym_drop_database] = STATE(10560),
    [sym_drop_role] = STATE(10560),
    [sym_drop_type] = STATE(10560),
    [sym_drop_sequence] = STATE(10560),
    [sym_drop_index] = STATE(10560),
    [sym_drop_extension] = STATE(10560),
    [sym__copy_statement] = STATE(10564),
    [sym__insert_statement] = STATE(10564),
    [sym_insert] = STATE(10084),
    [sym__update_statement] = STATE(10564),
    [sym__merge_statement] = STATE(10578),
    [sym__optimize_statement] = STATE(10560),
    [sym__compute_stats] = STATE(10560),
    [sym__optimize_table] = STATE(10560),
    [sym__vacuum_table] = STATE(10560),
    [sym_update] = STATE(10025),
    [aux_sym_function_body_repeat1] = STATE(110),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_end] = ACTIONS(1458),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_return] = ACTIONS(1452),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [105] = {
    [sym_transaction] = STATE(14759),
    [sym_block] = STATE(14759),
    [sym_statement] = STATE(11606),
    [sym__ddl_statement] = STATE(10560),
    [sym__cte] = STATE(6866),
    [sym__dml_write] = STATE(10562),
    [sym__dml_read] = STATE(10563),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_comment_statement] = STATE(10560),
    [sym_select] = STATE(7578),
    [sym__truncate_statement] = STATE(10564),
    [sym__delete_statement] = STATE(10564),
    [sym_delete] = STATE(11550),
    [sym__create_statement] = STATE(10560),
    [sym_create_table] = STATE(10560),
    [sym_reset_statement] = STATE(10560),
    [sym_set_statement] = STATE(10560),
    [sym_create_view] = STATE(10560),
    [sym_create_materialized_view] = STATE(10560),
    [sym_create_function] = STATE(10560),
    [sym_create_index] = STATE(10560),
    [sym_create_schema] = STATE(7051),
    [sym_create_database] = STATE(10560),
    [sym_create_role] = STATE(10560),
    [sym_create_sequence] = STATE(10560),
    [sym_create_extension] = STATE(10560),
    [sym_create_trigger] = STATE(10560),
    [sym_create_type] = STATE(10560),
    [sym__alter_statement] = STATE(10560),
    [sym__rename_statement] = STATE(10567),
    [sym_alter_table] = STATE(10560),
    [sym_alter_view] = STATE(10560),
    [sym_alter_schema] = STATE(10560),
    [sym_alter_database] = STATE(10560),
    [sym_alter_role] = STATE(10560),
    [sym_alter_index] = STATE(10560),
    [sym_alter_sequence] = STATE(10560),
    [sym_alter_type] = STATE(10560),
    [sym__drop_statement] = STATE(10560),
    [sym_drop_table] = STATE(10560),
    [sym_drop_view] = STATE(10560),
    [sym_drop_schema] = STATE(10560),
    [sym_drop_database] = STATE(10560),
    [sym_drop_role] = STATE(10560),
    [sym_drop_type] = STATE(10560),
    [sym_drop_sequence] = STATE(10560),
    [sym_drop_index] = STATE(10560),
    [sym_drop_extension] = STATE(10560),
    [sym__copy_statement] = STATE(10564),
    [sym__insert_statement] = STATE(10564),
    [sym_insert] = STATE(10084),
    [sym__update_statement] = STATE(10564),
    [sym__merge_statement] = STATE(10578),
    [sym__optimize_statement] = STATE(10560),
    [sym__compute_stats] = STATE(10560),
    [sym__optimize_table] = STATE(10560),
    [sym__vacuum_table] = STATE(10560),
    [sym_update] = STATE(10025),
    [aux_sym_program_repeat1] = STATE(108),
    [ts_builtin_sym_end] = ACTIONS(1460),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_begin] = ACTIONS(39),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [106] = {
    [sym_statement] = STATE(12082),
    [sym__ddl_statement] = STATE(12242),
    [sym__cte] = STATE(6889),
    [sym__dml_write] = STATE(12241),
    [sym__dml_read] = STATE(12240),
    [sym__show_statement] = STATE(8395),
    [sym_set_operation] = STATE(8398),
    [sym__select_statement] = STATE(7758),
    [sym_comment_statement] = STATE(12242),
    [sym_select] = STATE(7640),
    [sym__truncate_statement] = STATE(12239),
    [sym__delete_statement] = STATE(12239),
    [sym_delete] = STATE(11752),
    [sym__create_statement] = STATE(12242),
    [sym_create_table] = STATE(12242),
    [sym_reset_statement] = STATE(12242),
    [sym_set_statement] = STATE(12242),
    [sym_create_view] = STATE(12242),
    [sym_create_materialized_view] = STATE(12242),
    [sym_create_function] = STATE(12242),
    [sym__function_return] = STATE(12082),
    [sym__function_body_statement] = STATE(12082),
    [sym_create_index] = STATE(12242),
    [sym_create_schema] = STATE(7041),
    [sym_create_database] = STATE(12242),
    [sym_create_role] = STATE(12242),
    [sym_create_sequence] = STATE(12242),
    [sym_create_extension] = STATE(12242),
    [sym_create_trigger] = STATE(12242),
    [sym_create_type] = STATE(12242),
    [sym__alter_statement] = STATE(12242),
    [sym__rename_statement] = STATE(12237),
    [sym_alter_table] = STATE(12242),
    [sym_alter_view] = STATE(12242),
    [sym_alter_schema] = STATE(12242),
    [sym_alter_database] = STATE(12242),
    [sym_alter_role] = STATE(12242),
    [sym_alter_index] = STATE(12242),
    [sym_alter_sequence] = STATE(12242),
    [sym_alter_type] = STATE(12242),
    [sym__drop_statement] = STATE(12242),
    [sym_drop_table] = STATE(12242),
    [sym_drop_view] = STATE(12242),
    [sym_drop_schema] = STATE(12242),
    [sym_drop_database] = STATE(12242),
    [sym_drop_role] = STATE(12242),
    [sym_drop_type] = STATE(12242),
    [sym_drop_sequence] = STATE(12242),
    [sym_drop_index] = STATE(12242),
    [sym_drop_extension] = STATE(12242),
    [sym__copy_statement] = STATE(12239),
    [sym__insert_statement] = STATE(12239),
    [sym_insert] = STATE(9737),
    [sym__update_statement] = STATE(12239),
    [sym__merge_statement] = STATE(12235),
    [sym__optimize_statement] = STATE(12242),
    [sym__compute_stats] = STATE(12242),
    [sym__optimize_table] = STATE(12242),
    [sym__vacuum_table] = STATE(12242),
    [sym_update] = STATE(9733),
    [sym_keyword_select] = ACTIONS(1404),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(1406),
    [sym_keyword_replace] = ACTIONS(1406),
    [sym_keyword_update] = ACTIONS(1408),
    [sym_keyword_truncate] = ACTIONS(1410),
    [sym_keyword_merge] = ACTIONS(1412),
    [sym_keyword_show] = ACTIONS(1414),
    [sym_keyword_set] = ACTIONS(1416),
    [sym_keyword_create] = ACTIONS(1418),
    [sym_keyword_alter] = ACTIONS(1420),
    [sym_keyword_analyze] = ACTIONS(1422),
    [sym_keyword_explain] = ACTIONS(1424),
    [sym_keyword_drop] = ACTIONS(1426),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(1428),
    [sym_keyword_reset] = ACTIONS(1430),
    [sym_keyword_begin] = ACTIONS(1462),
    [sym_keyword_vacuum] = ACTIONS(1434),
    [sym_keyword_copy] = ACTIONS(1436),
    [sym_keyword_return] = ACTIONS(1438),
    [sym_keyword_declare] = ACTIONS(1464),
    [sym_keyword_compute] = ACTIONS(1442),
    [sym_keyword_optimize] = ACTIONS(1444),
    [sym_keyword_comment] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [107] = {
    [sym_statement] = STATE(13225),
    [sym__ddl_statement] = STATE(10560),
    [sym__cte] = STATE(6866),
    [sym__dml_write] = STATE(10562),
    [sym__dml_read] = STATE(10563),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_comment_statement] = STATE(10560),
    [sym_select] = STATE(7578),
    [sym__truncate_statement] = STATE(10564),
    [sym__delete_statement] = STATE(10564),
    [sym_delete] = STATE(11550),
    [sym__create_statement] = STATE(10560),
    [sym_create_table] = STATE(10560),
    [sym_reset_statement] = STATE(10560),
    [sym_set_statement] = STATE(10560),
    [sym_create_view] = STATE(10560),
    [sym_create_materialized_view] = STATE(10560),
    [sym_create_function] = STATE(10560),
    [sym__function_return] = STATE(13225),
    [sym__function_body_statement] = STATE(13225),
    [sym_create_index] = STATE(10560),
    [sym_create_schema] = STATE(7051),
    [sym_create_database] = STATE(10560),
    [sym_create_role] = STATE(10560),
    [sym_create_sequence] = STATE(10560),
    [sym_create_extension] = STATE(10560),
    [sym_create_trigger] = STATE(10560),
    [sym_create_type] = STATE(10560),
    [sym__alter_statement] = STATE(10560),
    [sym__rename_statement] = STATE(10567),
    [sym_alter_table] = STATE(10560),
    [sym_alter_view] = STATE(10560),
    [sym_alter_schema] = STATE(10560),
    [sym_alter_database] = STATE(10560),
    [sym_alter_role] = STATE(10560),
    [sym_alter_index] = STATE(10560),
    [sym_alter_sequence] = STATE(10560),
    [sym_alter_type] = STATE(10560),
    [sym__drop_statement] = STATE(10560),
    [sym_drop_table] = STATE(10560),
    [sym_drop_view] = STATE(10560),
    [sym_drop_schema] = STATE(10560),
    [sym_drop_database] = STATE(10560),
    [sym_drop_role] = STATE(10560),
    [sym_drop_type] = STATE(10560),
    [sym_drop_sequence] = STATE(10560),
    [sym_drop_index] = STATE(10560),
    [sym_drop_extension] = STATE(10560),
    [sym__copy_statement] = STATE(10564),
    [sym__insert_statement] = STATE(10564),
    [sym_insert] = STATE(10084),
    [sym__update_statement] = STATE(10564),
    [sym__merge_statement] = STATE(10578),
    [sym__optimize_statement] = STATE(10560),
    [sym__compute_stats] = STATE(10560),
    [sym__optimize_table] = STATE(10560),
    [sym__vacuum_table] = STATE(10560),
    [sym_update] = STATE(10025),
    [aux_sym_function_body_repeat1] = STATE(110),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_end] = ACTIONS(1466),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_return] = ACTIONS(1452),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [108] = {
    [sym_transaction] = STATE(14759),
    [sym_block] = STATE(14759),
    [sym_statement] = STATE(14759),
    [sym__ddl_statement] = STATE(10560),
    [sym__cte] = STATE(6866),
    [sym__dml_write] = STATE(10562),
    [sym__dml_read] = STATE(10563),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_comment_statement] = STATE(10560),
    [sym_select] = STATE(7578),
    [sym__truncate_statement] = STATE(10564),
    [sym__delete_statement] = STATE(10564),
    [sym_delete] = STATE(11550),
    [sym__create_statement] = STATE(10560),
    [sym_create_table] = STATE(10560),
    [sym_reset_statement] = STATE(10560),
    [sym_set_statement] = STATE(10560),
    [sym_create_view] = STATE(10560),
    [sym_create_materialized_view] = STATE(10560),
    [sym_create_function] = STATE(10560),
    [sym_create_index] = STATE(10560),
    [sym_create_schema] = STATE(7051),
    [sym_create_database] = STATE(10560),
    [sym_create_role] = STATE(10560),
    [sym_create_sequence] = STATE(10560),
    [sym_create_extension] = STATE(10560),
    [sym_create_trigger] = STATE(10560),
    [sym_create_type] = STATE(10560),
    [sym__alter_statement] = STATE(10560),
    [sym__rename_statement] = STATE(10567),
    [sym_alter_table] = STATE(10560),
    [sym_alter_view] = STATE(10560),
    [sym_alter_schema] = STATE(10560),
    [sym_alter_database] = STATE(10560),
    [sym_alter_role] = STATE(10560),
    [sym_alter_index] = STATE(10560),
    [sym_alter_sequence] = STATE(10560),
    [sym_alter_type] = STATE(10560),
    [sym__drop_statement] = STATE(10560),
    [sym_drop_table] = STATE(10560),
    [sym_drop_view] = STATE(10560),
    [sym_drop_schema] = STATE(10560),
    [sym_drop_database] = STATE(10560),
    [sym_drop_role] = STATE(10560),
    [sym_drop_type] = STATE(10560),
    [sym_drop_sequence] = STATE(10560),
    [sym_drop_index] = STATE(10560),
    [sym_drop_extension] = STATE(10560),
    [sym__copy_statement] = STATE(10564),
    [sym__insert_statement] = STATE(10564),
    [sym_insert] = STATE(10084),
    [sym__update_statement] = STATE(10564),
    [sym__merge_statement] = STATE(10578),
    [sym__optimize_statement] = STATE(10560),
    [sym__compute_stats] = STATE(10560),
    [sym__optimize_table] = STATE(10560),
    [sym__vacuum_table] = STATE(10560),
    [sym_update] = STATE(10025),
    [aux_sym_program_repeat1] = STATE(108),
    [ts_builtin_sym_end] = ACTIONS(1468),
    [sym_keyword_select] = ACTIONS(1470),
    [sym_keyword_delete] = ACTIONS(1473),
    [sym_keyword_insert] = ACTIONS(1476),
    [sym_keyword_replace] = ACTIONS(1476),
    [sym_keyword_update] = ACTIONS(1479),
    [sym_keyword_truncate] = ACTIONS(1482),
    [sym_keyword_merge] = ACTIONS(1485),
    [sym_keyword_show] = ACTIONS(1488),
    [sym_keyword_set] = ACTIONS(1491),
    [sym_keyword_create] = ACTIONS(1494),
    [sym_keyword_alter] = ACTIONS(1497),
    [sym_keyword_analyze] = ACTIONS(1500),
    [sym_keyword_explain] = ACTIONS(1503),
    [sym_keyword_drop] = ACTIONS(1506),
    [sym_keyword_with] = ACTIONS(1509),
    [sym_keyword_rename] = ACTIONS(1512),
    [sym_keyword_reset] = ACTIONS(1515),
    [sym_keyword_begin] = ACTIONS(1518),
    [sym_keyword_vacuum] = ACTIONS(1521),
    [sym_keyword_copy] = ACTIONS(1524),
    [sym_keyword_compute] = ACTIONS(1527),
    [sym_keyword_optimize] = ACTIONS(1530),
    [sym_keyword_comment] = ACTIONS(1533),
    [anon_sym_LPAREN] = ACTIONS(1536),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [109] = {
    [sym_statement] = STATE(13225),
    [sym__ddl_statement] = STATE(10560),
    [sym__cte] = STATE(6866),
    [sym__dml_write] = STATE(10562),
    [sym__dml_read] = STATE(10563),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_comment_statement] = STATE(10560),
    [sym_select] = STATE(7578),
    [sym__truncate_statement] = STATE(10564),
    [sym__delete_statement] = STATE(10564),
    [sym_delete] = STATE(11550),
    [sym__create_statement] = STATE(10560),
    [sym_create_table] = STATE(10560),
    [sym_reset_statement] = STATE(10560),
    [sym_set_statement] = STATE(10560),
    [sym_create_view] = STATE(10560),
    [sym_create_materialized_view] = STATE(10560),
    [sym_create_function] = STATE(10560),
    [sym__function_return] = STATE(13225),
    [sym__function_body_statement] = STATE(13225),
    [sym_create_index] = STATE(10560),
    [sym_create_schema] = STATE(7051),
    [sym_create_database] = STATE(10560),
    [sym_create_role] = STATE(10560),
    [sym_create_sequence] = STATE(10560),
    [sym_create_extension] = STATE(10560),
    [sym_create_trigger] = STATE(10560),
    [sym_create_type] = STATE(10560),
    [sym__alter_statement] = STATE(10560),
    [sym__rename_statement] = STATE(10567),
    [sym_alter_table] = STATE(10560),
    [sym_alter_view] = STATE(10560),
    [sym_alter_schema] = STATE(10560),
    [sym_alter_database] = STATE(10560),
    [sym_alter_role] = STATE(10560),
    [sym_alter_index] = STATE(10560),
    [sym_alter_sequence] = STATE(10560),
    [sym_alter_type] = STATE(10560),
    [sym__drop_statement] = STATE(10560),
    [sym_drop_table] = STATE(10560),
    [sym_drop_view] = STATE(10560),
    [sym_drop_schema] = STATE(10560),
    [sym_drop_database] = STATE(10560),
    [sym_drop_role] = STATE(10560),
    [sym_drop_type] = STATE(10560),
    [sym_drop_sequence] = STATE(10560),
    [sym_drop_index] = STATE(10560),
    [sym_drop_extension] = STATE(10560),
    [sym__copy_statement] = STATE(10564),
    [sym__insert_statement] = STATE(10564),
    [sym_insert] = STATE(10084),
    [sym__update_statement] = STATE(10564),
    [sym__merge_statement] = STATE(10578),
    [sym__optimize_statement] = STATE(10560),
    [sym__compute_stats] = STATE(10560),
    [sym__optimize_table] = STATE(10560),
    [sym__vacuum_table] = STATE(10560),
    [sym_update] = STATE(10025),
    [aux_sym_function_body_repeat1] = STATE(110),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_end] = ACTIONS(1539),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_return] = ACTIONS(1452),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [110] = {
    [sym_statement] = STATE(13225),
    [sym__ddl_statement] = STATE(10560),
    [sym__cte] = STATE(6866),
    [sym__dml_write] = STATE(10562),
    [sym__dml_read] = STATE(10563),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_comment_statement] = STATE(10560),
    [sym_select] = STATE(7578),
    [sym__truncate_statement] = STATE(10564),
    [sym__delete_statement] = STATE(10564),
    [sym_delete] = STATE(11550),
    [sym__create_statement] = STATE(10560),
    [sym_create_table] = STATE(10560),
    [sym_reset_statement] = STATE(10560),
    [sym_set_statement] = STATE(10560),
    [sym_create_view] = STATE(10560),
    [sym_create_materialized_view] = STATE(10560),
    [sym_create_function] = STATE(10560),
    [sym__function_return] = STATE(13225),
    [sym__function_body_statement] = STATE(13225),
    [sym_create_index] = STATE(10560),
    [sym_create_schema] = STATE(7051),
    [sym_create_database] = STATE(10560),
    [sym_create_role] = STATE(10560),
    [sym_create_sequence] = STATE(10560),
    [sym_create_extension] = STATE(10560),
    [sym_create_trigger] = STATE(10560),
    [sym_create_type] = STATE(10560),
    [sym__alter_statement] = STATE(10560),
    [sym__rename_statement] = STATE(10567),
    [sym_alter_table] = STATE(10560),
    [sym_alter_view] = STATE(10560),
    [sym_alter_schema] = STATE(10560),
    [sym_alter_database] = STATE(10560),
    [sym_alter_role] = STATE(10560),
    [sym_alter_index] = STATE(10560),
    [sym_alter_sequence] = STATE(10560),
    [sym_alter_type] = STATE(10560),
    [sym__drop_statement] = STATE(10560),
    [sym_drop_table] = STATE(10560),
    [sym_drop_view] = STATE(10560),
    [sym_drop_schema] = STATE(10560),
    [sym_drop_database] = STATE(10560),
    [sym_drop_role] = STATE(10560),
    [sym_drop_type] = STATE(10560),
    [sym_drop_sequence] = STATE(10560),
    [sym_drop_index] = STATE(10560),
    [sym_drop_extension] = STATE(10560),
    [sym__copy_statement] = STATE(10564),
    [sym__insert_statement] = STATE(10564),
    [sym_insert] = STATE(10084),
    [sym__update_statement] = STATE(10564),
    [sym__merge_statement] = STATE(10578),
    [sym__optimize_statement] = STATE(10560),
    [sym__compute_stats] = STATE(10560),
    [sym__optimize_table] = STATE(10560),
    [sym__vacuum_table] = STATE(10560),
    [sym_update] = STATE(10025),
    [aux_sym_function_body_repeat1] = STATE(110),
    [sym_keyword_select] = ACTIONS(1541),
    [sym_keyword_delete] = ACTIONS(1544),
    [sym_keyword_insert] = ACTIONS(1547),
    [sym_keyword_replace] = ACTIONS(1547),
    [sym_keyword_update] = ACTIONS(1550),
    [sym_keyword_truncate] = ACTIONS(1553),
    [sym_keyword_merge] = ACTIONS(1556),
    [sym_keyword_show] = ACTIONS(1559),
    [sym_keyword_set] = ACTIONS(1562),
    [sym_keyword_create] = ACTIONS(1565),
    [sym_keyword_alter] = ACTIONS(1568),
    [sym_keyword_analyze] = ACTIONS(1571),
    [sym_keyword_explain] = ACTIONS(1574),
    [sym_keyword_drop] = ACTIONS(1577),
    [sym_keyword_end] = ACTIONS(1580),
    [sym_keyword_with] = ACTIONS(1582),
    [sym_keyword_rename] = ACTIONS(1585),
    [sym_keyword_reset] = ACTIONS(1588),
    [sym_keyword_vacuum] = ACTIONS(1591),
    [sym_keyword_copy] = ACTIONS(1594),
    [sym_keyword_return] = ACTIONS(1597),
    [sym_keyword_compute] = ACTIONS(1600),
    [sym_keyword_optimize] = ACTIONS(1603),
    [sym_keyword_comment] = ACTIONS(1606),
    [anon_sym_LPAREN] = ACTIONS(1609),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [111] = {
    [sym_statement] = STATE(13225),
    [sym__ddl_statement] = STATE(10560),
    [sym__cte] = STATE(6866),
    [sym__dml_write] = STATE(10562),
    [sym__dml_read] = STATE(10563),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_comment_statement] = STATE(10560),
    [sym_select] = STATE(7578),
    [sym__truncate_statement] = STATE(10564),
    [sym__delete_statement] = STATE(10564),
    [sym_delete] = STATE(11550),
    [sym__create_statement] = STATE(10560),
    [sym_create_table] = STATE(10560),
    [sym_reset_statement] = STATE(10560),
    [sym_set_statement] = STATE(10560),
    [sym_create_view] = STATE(10560),
    [sym_create_materialized_view] = STATE(10560),
    [sym_create_function] = STATE(10560),
    [sym__function_return] = STATE(13225),
    [sym__function_body_statement] = STATE(13225),
    [sym_create_index] = STATE(10560),
    [sym_create_schema] = STATE(7051),
    [sym_create_database] = STATE(10560),
    [sym_create_role] = STATE(10560),
    [sym_create_sequence] = STATE(10560),
    [sym_create_extension] = STATE(10560),
    [sym_create_trigger] = STATE(10560),
    [sym_create_type] = STATE(10560),
    [sym__alter_statement] = STATE(10560),
    [sym__rename_statement] = STATE(10567),
    [sym_alter_table] = STATE(10560),
    [sym_alter_view] = STATE(10560),
    [sym_alter_schema] = STATE(10560),
    [sym_alter_database] = STATE(10560),
    [sym_alter_role] = STATE(10560),
    [sym_alter_index] = STATE(10560),
    [sym_alter_sequence] = STATE(10560),
    [sym_alter_type] = STATE(10560),
    [sym__drop_statement] = STATE(10560),
    [sym_drop_table] = STATE(10560),
    [sym_drop_view] = STATE(10560),
    [sym_drop_schema] = STATE(10560),
    [sym_drop_database] = STATE(10560),
    [sym_drop_role] = STATE(10560),
    [sym_drop_type] = STATE(10560),
    [sym_drop_sequence] = STATE(10560),
    [sym_drop_index] = STATE(10560),
    [sym_drop_extension] = STATE(10560),
    [sym__copy_statement] = STATE(10564),
    [sym__insert_statement] = STATE(10564),
    [sym_insert] = STATE(10084),
    [sym__update_statement] = STATE(10564),
    [sym__merge_statement] = STATE(10578),
    [sym__optimize_statement] = STATE(10560),
    [sym__compute_stats] = STATE(10560),
    [sym__optimize_table] = STATE(10560),
    [sym__vacuum_table] = STATE(10560),
    [sym_update] = STATE(10025),
    [aux_sym_function_body_repeat1] = STATE(104),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_return] = ACTIONS(1452),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [112] = {
    [sym_statement] = STATE(13225),
    [sym__ddl_statement] = STATE(10560),
    [sym__cte] = STATE(6866),
    [sym__dml_write] = STATE(10562),
    [sym__dml_read] = STATE(10563),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_comment_statement] = STATE(10560),
    [sym_select] = STATE(7578),
    [sym__truncate_statement] = STATE(10564),
    [sym__delete_statement] = STATE(10564),
    [sym_delete] = STATE(11550),
    [sym__create_statement] = STATE(10560),
    [sym_create_table] = STATE(10560),
    [sym_reset_statement] = STATE(10560),
    [sym_set_statement] = STATE(10560),
    [sym_create_view] = STATE(10560),
    [sym_create_materialized_view] = STATE(10560),
    [sym_create_function] = STATE(10560),
    [sym__function_return] = STATE(13225),
    [sym__function_body_statement] = STATE(13225),
    [sym_create_index] = STATE(10560),
    [sym_create_schema] = STATE(7051),
    [sym_create_database] = STATE(10560),
    [sym_create_role] = STATE(10560),
    [sym_create_sequence] = STATE(10560),
    [sym_create_extension] = STATE(10560),
    [sym_create_trigger] = STATE(10560),
    [sym_create_type] = STATE(10560),
    [sym__alter_statement] = STATE(10560),
    [sym__rename_statement] = STATE(10567),
    [sym_alter_table] = STATE(10560),
    [sym_alter_view] = STATE(10560),
    [sym_alter_schema] = STATE(10560),
    [sym_alter_database] = STATE(10560),
    [sym_alter_role] = STATE(10560),
    [sym_alter_index] = STATE(10560),
    [sym_alter_sequence] = STATE(10560),
    [sym_alter_type] = STATE(10560),
    [sym__drop_statement] = STATE(10560),
    [sym_drop_table] = STATE(10560),
    [sym_drop_view] = STATE(10560),
    [sym_drop_schema] = STATE(10560),
    [sym_drop_database] = STATE(10560),
    [sym_drop_role] = STATE(10560),
    [sym_drop_type] = STATE(10560),
    [sym_drop_sequence] = STATE(10560),
    [sym_drop_index] = STATE(10560),
    [sym_drop_extension] = STATE(10560),
    [sym__copy_statement] = STATE(10564),
    [sym__insert_statement] = STATE(10564),
    [sym_insert] = STATE(10084),
    [sym__update_statement] = STATE(10564),
    [sym__merge_statement] = STATE(10578),
    [sym__optimize_statement] = STATE(10560),
    [sym__compute_stats] = STATE(10560),
    [sym__optimize_table] = STATE(10560),
    [sym__vacuum_table] = STATE(10560),
    [sym_update] = STATE(10025),
    [aux_sym_function_body_repeat1] = STATE(103),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_return] = ACTIONS(1452),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [113] = {
    [sym_statement] = STATE(13225),
    [sym__ddl_statement] = STATE(10560),
    [sym__cte] = STATE(6866),
    [sym__dml_write] = STATE(10562),
    [sym__dml_read] = STATE(10563),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_comment_statement] = STATE(10560),
    [sym_select] = STATE(7578),
    [sym__truncate_statement] = STATE(10564),
    [sym__delete_statement] = STATE(10564),
    [sym_delete] = STATE(11550),
    [sym__create_statement] = STATE(10560),
    [sym_create_table] = STATE(10560),
    [sym_reset_statement] = STATE(10560),
    [sym_set_statement] = STATE(10560),
    [sym_create_view] = STATE(10560),
    [sym_create_materialized_view] = STATE(10560),
    [sym_create_function] = STATE(10560),
    [sym__function_return] = STATE(13225),
    [sym__function_body_statement] = STATE(13225),
    [sym_create_index] = STATE(10560),
    [sym_create_schema] = STATE(7051),
    [sym_create_database] = STATE(10560),
    [sym_create_role] = STATE(10560),
    [sym_create_sequence] = STATE(10560),
    [sym_create_extension] = STATE(10560),
    [sym_create_trigger] = STATE(10560),
    [sym_create_type] = STATE(10560),
    [sym__alter_statement] = STATE(10560),
    [sym__rename_statement] = STATE(10567),
    [sym_alter_table] = STATE(10560),
    [sym_alter_view] = STATE(10560),
    [sym_alter_schema] = STATE(10560),
    [sym_alter_database] = STATE(10560),
    [sym_alter_role] = STATE(10560),
    [sym_alter_index] = STATE(10560),
    [sym_alter_sequence] = STATE(10560),
    [sym_alter_type] = STATE(10560),
    [sym__drop_statement] = STATE(10560),
    [sym_drop_table] = STATE(10560),
    [sym_drop_view] = STATE(10560),
    [sym_drop_schema] = STATE(10560),
    [sym_drop_database] = STATE(10560),
    [sym_drop_role] = STATE(10560),
    [sym_drop_type] = STATE(10560),
    [sym_drop_sequence] = STATE(10560),
    [sym_drop_index] = STATE(10560),
    [sym_drop_extension] = STATE(10560),
    [sym__copy_statement] = STATE(10564),
    [sym__insert_statement] = STATE(10564),
    [sym_insert] = STATE(10084),
    [sym__update_statement] = STATE(10564),
    [sym__merge_statement] = STATE(10578),
    [sym__optimize_statement] = STATE(10560),
    [sym__compute_stats] = STATE(10560),
    [sym__optimize_table] = STATE(10560),
    [sym__vacuum_table] = STATE(10560),
    [sym_update] = STATE(10025),
    [aux_sym_function_body_repeat1] = STATE(102),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_return] = ACTIONS(1452),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [114] = {
    [sym_statement] = STATE(14645),
    [sym__ddl_statement] = STATE(10560),
    [sym__cte] = STATE(6866),
    [sym__dml_write] = STATE(10562),
    [sym__dml_read] = STATE(10563),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_comment_statement] = STATE(10560),
    [sym_select] = STATE(7578),
    [sym__truncate_statement] = STATE(10564),
    [sym__delete_statement] = STATE(10564),
    [sym_delete] = STATE(11550),
    [sym__create_statement] = STATE(10560),
    [sym_create_table] = STATE(10560),
    [sym_reset_statement] = STATE(10560),
    [sym_set_statement] = STATE(10560),
    [sym_create_view] = STATE(10560),
    [sym_create_materialized_view] = STATE(10560),
    [sym_create_function] = STATE(10560),
    [sym_create_index] = STATE(10560),
    [sym_create_schema] = STATE(7051),
    [sym_create_database] = STATE(10560),
    [sym_create_role] = STATE(10560),
    [sym_create_sequence] = STATE(10560),
    [sym_create_extension] = STATE(10560),
    [sym_create_trigger] = STATE(10560),
    [sym_create_type] = STATE(10560),
    [sym__alter_statement] = STATE(10560),
    [sym__rename_statement] = STATE(10567),
    [sym_alter_table] = STATE(10560),
    [sym_alter_view] = STATE(10560),
    [sym_alter_schema] = STATE(10560),
    [sym_alter_database] = STATE(10560),
    [sym_alter_role] = STATE(10560),
    [sym_alter_index] = STATE(10560),
    [sym_alter_sequence] = STATE(10560),
    [sym_alter_type] = STATE(10560),
    [sym__drop_statement] = STATE(10560),
    [sym_drop_table] = STATE(10560),
    [sym_drop_view] = STATE(10560),
    [sym_drop_schema] = STATE(10560),
    [sym_drop_database] = STATE(10560),
    [sym_drop_role] = STATE(10560),
    [sym_drop_type] = STATE(10560),
    [sym_drop_sequence] = STATE(10560),
    [sym_drop_index] = STATE(10560),
    [sym_drop_extension] = STATE(10560),
    [sym__copy_statement] = STATE(10564),
    [sym__insert_statement] = STATE(10564),
    [sym_insert] = STATE(10084),
    [sym__update_statement] = STATE(10564),
    [sym__merge_statement] = STATE(10578),
    [sym__optimize_statement] = STATE(10560),
    [sym__compute_stats] = STATE(10560),
    [sym__optimize_table] = STATE(10560),
    [sym__vacuum_table] = STATE(10560),
    [sym_update] = STATE(10025),
    [aux_sym_transaction_repeat1] = STATE(114),
    [sym_keyword_select] = ACTIONS(1612),
    [sym_keyword_delete] = ACTIONS(1615),
    [sym_keyword_insert] = ACTIONS(1618),
    [sym_keyword_replace] = ACTIONS(1618),
    [sym_keyword_update] = ACTIONS(1621),
    [sym_keyword_truncate] = ACTIONS(1624),
    [sym_keyword_merge] = ACTIONS(1627),
    [sym_keyword_show] = ACTIONS(1630),
    [sym_keyword_set] = ACTIONS(1633),
    [sym_keyword_create] = ACTIONS(1636),
    [sym_keyword_alter] = ACTIONS(1639),
    [sym_keyword_analyze] = ACTIONS(1642),
    [sym_keyword_explain] = ACTIONS(1645),
    [sym_keyword_drop] = ACTIONS(1648),
    [sym_keyword_end] = ACTIONS(1651),
    [sym_keyword_with] = ACTIONS(1653),
    [sym_keyword_rename] = ACTIONS(1656),
    [sym_keyword_reset] = ACTIONS(1659),
    [sym_keyword_commit] = ACTIONS(1651),
    [sym_keyword_rollback] = ACTIONS(1651),
    [sym_keyword_vacuum] = ACTIONS(1662),
    [sym_keyword_copy] = ACTIONS(1665),
    [sym_keyword_compute] = ACTIONS(1668),
    [sym_keyword_optimize] = ACTIONS(1671),
    [sym_keyword_comment] = ACTIONS(1674),
    [anon_sym_LPAREN] = ACTIONS(1677),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [115] = {
    [sym_statement] = STATE(13225),
    [sym__ddl_statement] = STATE(10560),
    [sym__cte] = STATE(6866),
    [sym__dml_write] = STATE(10562),
    [sym__dml_read] = STATE(10563),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_comment_statement] = STATE(10560),
    [sym_select] = STATE(7578),
    [sym__truncate_statement] = STATE(10564),
    [sym__delete_statement] = STATE(10564),
    [sym_delete] = STATE(11550),
    [sym__create_statement] = STATE(10560),
    [sym_create_table] = STATE(10560),
    [sym_reset_statement] = STATE(10560),
    [sym_set_statement] = STATE(10560),
    [sym_create_view] = STATE(10560),
    [sym_create_materialized_view] = STATE(10560),
    [sym_create_function] = STATE(10560),
    [sym__function_return] = STATE(13225),
    [sym__function_body_statement] = STATE(13225),
    [sym_create_index] = STATE(10560),
    [sym_create_schema] = STATE(7051),
    [sym_create_database] = STATE(10560),
    [sym_create_role] = STATE(10560),
    [sym_create_sequence] = STATE(10560),
    [sym_create_extension] = STATE(10560),
    [sym_create_trigger] = STATE(10560),
    [sym_create_type] = STATE(10560),
    [sym__alter_statement] = STATE(10560),
    [sym__rename_statement] = STATE(10567),
    [sym_alter_table] = STATE(10560),
    [sym_alter_view] = STATE(10560),
    [sym_alter_schema] = STATE(10560),
    [sym_alter_database] = STATE(10560),
    [sym_alter_role] = STATE(10560),
    [sym_alter_index] = STATE(10560),
    [sym_alter_sequence] = STATE(10560),
    [sym_alter_type] = STATE(10560),
    [sym__drop_statement] = STATE(10560),
    [sym_drop_table] = STATE(10560),
    [sym_drop_view] = STATE(10560),
    [sym_drop_schema] = STATE(10560),
    [sym_drop_database] = STATE(10560),
    [sym_drop_role] = STATE(10560),
    [sym_drop_type] = STATE(10560),
    [sym_drop_sequence] = STATE(10560),
    [sym_drop_index] = STATE(10560),
    [sym_drop_extension] = STATE(10560),
    [sym__copy_statement] = STATE(10564),
    [sym__insert_statement] = STATE(10564),
    [sym_insert] = STATE(10084),
    [sym__update_statement] = STATE(10564),
    [sym__merge_statement] = STATE(10578),
    [sym__optimize_statement] = STATE(10560),
    [sym__compute_stats] = STATE(10560),
    [sym__optimize_table] = STATE(10560),
    [sym__vacuum_table] = STATE(10560),
    [sym_update] = STATE(10025),
    [aux_sym_function_body_repeat1] = STATE(109),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_return] = ACTIONS(1452),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [116] = {
    [sym_statement] = STATE(13225),
    [sym__ddl_statement] = STATE(10560),
    [sym__cte] = STATE(6866),
    [sym__dml_write] = STATE(10562),
    [sym__dml_read] = STATE(10563),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_comment_statement] = STATE(10560),
    [sym_select] = STATE(7578),
    [sym__truncate_statement] = STATE(10564),
    [sym__delete_statement] = STATE(10564),
    [sym_delete] = STATE(11550),
    [sym__create_statement] = STATE(10560),
    [sym_create_table] = STATE(10560),
    [sym_reset_statement] = STATE(10560),
    [sym_set_statement] = STATE(10560),
    [sym_create_view] = STATE(10560),
    [sym_create_materialized_view] = STATE(10560),
    [sym_create_function] = STATE(10560),
    [sym__function_return] = STATE(13225),
    [sym__function_body_statement] = STATE(13225),
    [sym_create_index] = STATE(10560),
    [sym_create_schema] = STATE(7051),
    [sym_create_database] = STATE(10560),
    [sym_create_role] = STATE(10560),
    [sym_create_sequence] = STATE(10560),
    [sym_create_extension] = STATE(10560),
    [sym_create_trigger] = STATE(10560),
    [sym_create_type] = STATE(10560),
    [sym__alter_statement] = STATE(10560),
    [sym__rename_statement] = STATE(10567),
    [sym_alter_table] = STATE(10560),
    [sym_alter_view] = STATE(10560),
    [sym_alter_schema] = STATE(10560),
    [sym_alter_database] = STATE(10560),
    [sym_alter_role] = STATE(10560),
    [sym_alter_index] = STATE(10560),
    [sym_alter_sequence] = STATE(10560),
    [sym_alter_type] = STATE(10560),
    [sym__drop_statement] = STATE(10560),
    [sym_drop_table] = STATE(10560),
    [sym_drop_view] = STATE(10560),
    [sym_drop_schema] = STATE(10560),
    [sym_drop_database] = STATE(10560),
    [sym_drop_role] = STATE(10560),
    [sym_drop_type] = STATE(10560),
    [sym_drop_sequence] = STATE(10560),
    [sym_drop_index] = STATE(10560),
    [sym_drop_extension] = STATE(10560),
    [sym__copy_statement] = STATE(10564),
    [sym__insert_statement] = STATE(10564),
    [sym_insert] = STATE(10084),
    [sym__update_statement] = STATE(10564),
    [sym__merge_statement] = STATE(10578),
    [sym__optimize_statement] = STATE(10560),
    [sym__compute_stats] = STATE(10560),
    [sym__optimize_table] = STATE(10560),
    [sym__vacuum_table] = STATE(10560),
    [sym_update] = STATE(10025),
    [aux_sym_function_body_repeat1] = STATE(100),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_return] = ACTIONS(1452),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [117] = {
    [sym_statement] = STATE(13225),
    [sym__ddl_statement] = STATE(10560),
    [sym__cte] = STATE(6866),
    [sym__dml_write] = STATE(10562),
    [sym__dml_read] = STATE(10563),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_comment_statement] = STATE(10560),
    [sym_select] = STATE(7578),
    [sym__truncate_statement] = STATE(10564),
    [sym__delete_statement] = STATE(10564),
    [sym_delete] = STATE(11550),
    [sym__create_statement] = STATE(10560),
    [sym_create_table] = STATE(10560),
    [sym_reset_statement] = STATE(10560),
    [sym_set_statement] = STATE(10560),
    [sym_create_view] = STATE(10560),
    [sym_create_materialized_view] = STATE(10560),
    [sym_create_function] = STATE(10560),
    [sym__function_return] = STATE(13225),
    [sym__function_body_statement] = STATE(13225),
    [sym_create_index] = STATE(10560),
    [sym_create_schema] = STATE(7051),
    [sym_create_database] = STATE(10560),
    [sym_create_role] = STATE(10560),
    [sym_create_sequence] = STATE(10560),
    [sym_create_extension] = STATE(10560),
    [sym_create_trigger] = STATE(10560),
    [sym_create_type] = STATE(10560),
    [sym__alter_statement] = STATE(10560),
    [sym__rename_statement] = STATE(10567),
    [sym_alter_table] = STATE(10560),
    [sym_alter_view] = STATE(10560),
    [sym_alter_schema] = STATE(10560),
    [sym_alter_database] = STATE(10560),
    [sym_alter_role] = STATE(10560),
    [sym_alter_index] = STATE(10560),
    [sym_alter_sequence] = STATE(10560),
    [sym_alter_type] = STATE(10560),
    [sym__drop_statement] = STATE(10560),
    [sym_drop_table] = STATE(10560),
    [sym_drop_view] = STATE(10560),
    [sym_drop_schema] = STATE(10560),
    [sym_drop_database] = STATE(10560),
    [sym_drop_role] = STATE(10560),
    [sym_drop_type] = STATE(10560),
    [sym_drop_sequence] = STATE(10560),
    [sym_drop_index] = STATE(10560),
    [sym_drop_extension] = STATE(10560),
    [sym__copy_statement] = STATE(10564),
    [sym__insert_statement] = STATE(10564),
    [sym_insert] = STATE(10084),
    [sym__update_statement] = STATE(10564),
    [sym__merge_statement] = STATE(10578),
    [sym__optimize_statement] = STATE(10560),
    [sym__compute_stats] = STATE(10560),
    [sym__optimize_table] = STATE(10560),
    [sym__vacuum_table] = STATE(10560),
    [sym_update] = STATE(10025),
    [aux_sym_function_body_repeat1] = STATE(107),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(29),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_return] = ACTIONS(1452),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(51),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [118] = {
    [aux_sym__single_quote_string_repeat1] = STATE(119),
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym__identifier] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [sym_keyword_from] = ACTIONS(1363),
    [sym_keyword_on] = ACTIONS(1363),
    [sym_keyword_limit] = ACTIONS(1363),
    [sym_keyword_offset] = ACTIONS(1363),
    [sym_keyword_create] = ACTIONS(1363),
    [sym_keyword_as] = ACTIONS(1363),
    [sym_keyword_when] = ACTIONS(1363),
    [sym_keyword_in] = ACTIONS(1363),
    [sym_keyword_and] = ACTIONS(1363),
    [sym_keyword_or] = ACTIONS(1363),
    [sym_keyword_is] = ACTIONS(1363),
    [sym_keyword_not] = ACTIONS(1363),
    [sym_keyword_default] = ACTIONS(1363),
    [sym_keyword_cascade] = ACTIONS(1363),
    [sym_keyword_with] = ACTIONS(1363),
    [sym_keyword_to] = ACTIONS(1363),
    [sym_keyword_password] = ACTIONS(1363),
    [sym_keyword_encrypted] = ACTIONS(1363),
    [sym_keyword_valid] = ACTIONS(1363),
    [sym_keyword_connection] = ACTIONS(1363),
    [sym_keyword_union] = ACTIONS(1363),
    [sym_keyword_except] = ACTIONS(1363),
    [sym_keyword_intersect] = ACTIONS(1363),
    [sym_keyword_returning] = ACTIONS(1363),
    [sym_keyword_after] = ACTIONS(1363),
    [sym_keyword_before] = ACTIONS(1363),
    [sym_keyword_rows] = ACTIONS(1363),
    [sym_keyword_between] = ACTIONS(1363),
    [aux_sym_keyword_like_token1] = ACTIONS(1363),
    [aux_sym_keyword_like_token2] = ACTIONS(1363),
    [sym_keyword_similar] = ACTIONS(1363),
    [sym_keyword_check] = ACTIONS(1363),
    [sym_keyword_freeze] = ACTIONS(1363),
    [sym_keyword_escape] = ACTIONS(1363),
    [sym_keyword_encoding] = ACTIONS(1363),
    [sym_keyword_force_quote] = ACTIONS(1363),
    [sym_keyword_quote] = ACTIONS(1363),
    [sym_keyword_force_null] = ACTIONS(1363),
    [sym_keyword_force_not_null] = ACTIONS(1363),
    [sym_keyword_header] = ACTIONS(1363),
    [sym_keyword_returns] = ACTIONS(1363),
    [sym_keyword_language] = ACTIONS(1363),
    [sym_keyword_immutable] = ACTIONS(1363),
    [sym_keyword_stable] = ACTIONS(1363),
    [sym_keyword_volatile] = ACTIONS(1363),
    [sym_keyword_leakproof] = ACTIONS(1363),
    [sym_keyword_parallel] = ACTIONS(1363),
    [sym_keyword_called] = ACTIONS(1363),
    [sym_keyword_strict] = ACTIONS(1363),
    [sym_keyword_cost] = ACTIONS(1363),
    [sym_keyword_support] = ACTIONS(1363),
    [sym_keyword_security] = ACTIONS(1363),
    [sym_keyword_external] = ACTIONS(1363),
    [sym_keyword_format] = ACTIONS(1363),
    [sym_keyword_delimiter] = ACTIONS(1363),
    [sym_keyword_null] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [anon_sym_RPAREN] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1361),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_COLON_COLON] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [sym_op_other] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PERCENT] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [sym__double_quote_string] = ACTIONS(1361),
    [aux_sym__single_quote_string_token2] = ACTIONS(1680),
    [aux_sym_identifier_token1] = ACTIONS(1361),
  },
  [119] = {
    [aux_sym__single_quote_string_repeat1] = STATE(120),
    [ts_builtin_sym_end] = ACTIONS(1374),
    [sym__identifier] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1374),
    [sym_keyword_from] = ACTIONS(1376),
    [sym_keyword_on] = ACTIONS(1376),
    [sym_keyword_limit] = ACTIONS(1376),
    [sym_keyword_offset] = ACTIONS(1376),
    [sym_keyword_create] = ACTIONS(1376),
    [sym_keyword_as] = ACTIONS(1376),
    [sym_keyword_when] = ACTIONS(1376),
    [sym_keyword_in] = ACTIONS(1376),
    [sym_keyword_and] = ACTIONS(1376),
    [sym_keyword_or] = ACTIONS(1376),
    [sym_keyword_is] = ACTIONS(1376),
    [sym_keyword_not] = ACTIONS(1376),
    [sym_keyword_default] = ACTIONS(1376),
    [sym_keyword_cascade] = ACTIONS(1376),
    [sym_keyword_with] = ACTIONS(1376),
    [sym_keyword_to] = ACTIONS(1376),
    [sym_keyword_password] = ACTIONS(1376),
    [sym_keyword_encrypted] = ACTIONS(1376),
    [sym_keyword_valid] = ACTIONS(1376),
    [sym_keyword_connection] = ACTIONS(1376),
    [sym_keyword_union] = ACTIONS(1376),
    [sym_keyword_except] = ACTIONS(1376),
    [sym_keyword_intersect] = ACTIONS(1376),
    [sym_keyword_returning] = ACTIONS(1376),
    [sym_keyword_after] = ACTIONS(1376),
    [sym_keyword_before] = ACTIONS(1376),
    [sym_keyword_rows] = ACTIONS(1376),
    [sym_keyword_between] = ACTIONS(1376),
    [aux_sym_keyword_like_token1] = ACTIONS(1376),
    [aux_sym_keyword_like_token2] = ACTIONS(1376),
    [sym_keyword_similar] = ACTIONS(1376),
    [sym_keyword_check] = ACTIONS(1376),
    [sym_keyword_freeze] = ACTIONS(1376),
    [sym_keyword_escape] = ACTIONS(1376),
    [sym_keyword_encoding] = ACTIONS(1376),
    [sym_keyword_force_quote] = ACTIONS(1376),
    [sym_keyword_quote] = ACTIONS(1376),
    [sym_keyword_force_null] = ACTIONS(1376),
    [sym_keyword_force_not_null] = ACTIONS(1376),
    [sym_keyword_header] = ACTIONS(1376),
    [sym_keyword_returns] = ACTIONS(1376),
    [sym_keyword_language] = ACTIONS(1376),
    [sym_keyword_immutable] = ACTIONS(1376),
    [sym_keyword_stable] = ACTIONS(1376),
    [sym_keyword_volatile] = ACTIONS(1376),
    [sym_keyword_leakproof] = ACTIONS(1376),
    [sym_keyword_parallel] = ACTIONS(1376),
    [sym_keyword_called] = ACTIONS(1376),
    [sym_keyword_strict] = ACTIONS(1376),
    [sym_keyword_cost] = ACTIONS(1376),
    [sym_keyword_support] = ACTIONS(1376),
    [sym_keyword_security] = ACTIONS(1376),
    [sym_keyword_external] = ACTIONS(1376),
    [sym_keyword_format] = ACTIONS(1376),
    [sym_keyword_delimiter] = ACTIONS(1376),
    [sym_keyword_null] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [anon_sym_LPAREN] = ACTIONS(1374),
    [anon_sym_RPAREN] = ACTIONS(1374),
    [anon_sym_COMMA] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_COLON_COLON] = ACTIONS(1374),
    [anon_sym_LT] = ACTIONS(1376),
    [anon_sym_GT] = ACTIONS(1376),
    [anon_sym_LT_EQ] = ACTIONS(1374),
    [anon_sym_GT_EQ] = ACTIONS(1374),
    [sym_op_other] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_SLASH] = ACTIONS(1376),
    [anon_sym_PERCENT] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1376),
    [anon_sym_BANG_EQ] = ACTIONS(1374),
    [anon_sym_LT_GT] = ACTIONS(1374),
    [sym__double_quote_string] = ACTIONS(1374),
    [aux_sym__single_quote_string_token2] = ACTIONS(1682),
    [aux_sym_identifier_token1] = ACTIONS(1374),
  },
  [120] = {
    [aux_sym__single_quote_string_repeat1] = STATE(120),
    [ts_builtin_sym_end] = ACTIONS(1367),
    [sym__identifier] = ACTIONS(1369),
    [anon_sym_SEMI] = ACTIONS(1367),
    [sym_keyword_from] = ACTIONS(1369),
    [sym_keyword_on] = ACTIONS(1369),
    [sym_keyword_limit] = ACTIONS(1369),
    [sym_keyword_offset] = ACTIONS(1369),
    [sym_keyword_create] = ACTIONS(1369),
    [sym_keyword_as] = ACTIONS(1369),
    [sym_keyword_when] = ACTIONS(1369),
    [sym_keyword_in] = ACTIONS(1369),
    [sym_keyword_and] = ACTIONS(1369),
    [sym_keyword_or] = ACTIONS(1369),
    [sym_keyword_is] = ACTIONS(1369),
    [sym_keyword_not] = ACTIONS(1369),
    [sym_keyword_default] = ACTIONS(1369),
    [sym_keyword_cascade] = ACTIONS(1369),
    [sym_keyword_with] = ACTIONS(1369),
    [sym_keyword_to] = ACTIONS(1369),
    [sym_keyword_password] = ACTIONS(1369),
    [sym_keyword_encrypted] = ACTIONS(1369),
    [sym_keyword_valid] = ACTIONS(1369),
    [sym_keyword_connection] = ACTIONS(1369),
    [sym_keyword_union] = ACTIONS(1369),
    [sym_keyword_except] = ACTIONS(1369),
    [sym_keyword_intersect] = ACTIONS(1369),
    [sym_keyword_returning] = ACTIONS(1369),
    [sym_keyword_after] = ACTIONS(1369),
    [sym_keyword_before] = ACTIONS(1369),
    [sym_keyword_rows] = ACTIONS(1369),
    [sym_keyword_between] = ACTIONS(1369),
    [aux_sym_keyword_like_token1] = ACTIONS(1369),
    [aux_sym_keyword_like_token2] = ACTIONS(1369),
    [sym_keyword_similar] = ACTIONS(1369),
    [sym_keyword_check] = ACTIONS(1369),
    [sym_keyword_freeze] = ACTIONS(1369),
    [sym_keyword_escape] = ACTIONS(1369),
    [sym_keyword_encoding] = ACTIONS(1369),
    [sym_keyword_force_quote] = ACTIONS(1369),
    [sym_keyword_quote] = ACTIONS(1369),
    [sym_keyword_force_null] = ACTIONS(1369),
    [sym_keyword_force_not_null] = ACTIONS(1369),
    [sym_keyword_header] = ACTIONS(1369),
    [sym_keyword_returns] = ACTIONS(1369),
    [sym_keyword_language] = ACTIONS(1369),
    [sym_keyword_immutable] = ACTIONS(1369),
    [sym_keyword_stable] = ACTIONS(1369),
    [sym_keyword_volatile] = ACTIONS(1369),
    [sym_keyword_leakproof] = ACTIONS(1369),
    [sym_keyword_parallel] = ACTIONS(1369),
    [sym_keyword_called] = ACTIONS(1369),
    [sym_keyword_strict] = ACTIONS(1369),
    [sym_keyword_cost] = ACTIONS(1369),
    [sym_keyword_support] = ACTIONS(1369),
    [sym_keyword_security] = ACTIONS(1369),
    [sym_keyword_external] = ACTIONS(1369),
    [sym_keyword_format] = ACTIONS(1369),
    [sym_keyword_delimiter] = ACTIONS(1369),
    [sym_keyword_null] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_RPAREN] = ACTIONS(1367),
    [anon_sym_COMMA] = ACTIONS(1367),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1367),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1367),
    [anon_sym_LT] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1369),
    [anon_sym_LT_EQ] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1367),
    [sym_op_other] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1369),
    [anon_sym_SLASH] = ACTIONS(1369),
    [anon_sym_PERCENT] = ACTIONS(1367),
    [anon_sym_CARET] = ACTIONS(1369),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_LT_GT] = ACTIONS(1367),
    [sym__double_quote_string] = ACTIONS(1367),
    [aux_sym__single_quote_string_token2] = ACTIONS(1684),
    [aux_sym_identifier_token1] = ACTIONS(1367),
  },
  [121] = {
    [sym__primary_key] = STATE(11895),
    [sym__check_constraint] = STATE(10815),
    [sym_constraint] = STATE(10814),
    [sym__constraint_literal] = STATE(10812),
    [sym__primary_key_constraint] = STATE(10815),
    [sym__key_constraint] = STATE(10810),
    [sym__identifier] = ACTIONS(1687),
    [sym_keyword_primary] = ACTIONS(1689),
    [sym_keyword_key] = ACTIONS(1691),
    [sym_keyword_constraint] = ACTIONS(1693),
    [sym_keyword_index] = ACTIONS(1695),
    [aux_sym_keyword_character_token1] = ACTIONS(1687),
    [sym_keyword_unique] = ACTIONS(1697),
    [sym_keyword_foreign] = ACTIONS(1699),
    [sym_keyword_unsigned] = ACTIONS(1687),
    [sym_keyword_check] = ACTIONS(1701),
    [sym_keyword_boolean] = ACTIONS(1687),
    [sym_keyword_bit] = ACTIONS(1687),
    [sym_keyword_binary] = ACTIONS(1687),
    [sym_keyword_varbinary] = ACTIONS(1687),
    [sym_keyword_image] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_serial_token1] = ACTIONS(1687),
    [aux_sym_keyword_serial_token2] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token1] = ACTIONS(1687),
    [aux_sym_keyword_int_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token3] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1687),
    [sym_keyword_decimal] = ACTIONS(1687),
    [sym_keyword_numeric] = ACTIONS(1687),
    [aux_sym_keyword_real_token1] = ACTIONS(1687),
    [aux_sym_keyword_real_token2] = ACTIONS(1687),
    [sym_keyword_float] = ACTIONS(1687),
    [sym_keyword_double] = ACTIONS(1687),
    [sym_keyword_inet] = ACTIONS(1687),
    [sym_keyword_money] = ACTIONS(1687),
    [sym_keyword_smallmoney] = ACTIONS(1687),
    [aux_sym_keyword_char_token1] = ACTIONS(1687),
    [sym_keyword_nchar] = ACTIONS(1687),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1687),
    [sym_keyword_nvarchar] = ACTIONS(1687),
    [sym_keyword_text] = ACTIONS(1687),
    [sym_keyword_string] = ACTIONS(1687),
    [sym_keyword_uuid] = ACTIONS(1687),
    [sym_keyword_json] = ACTIONS(1687),
    [sym_keyword_jsonb] = ACTIONS(1687),
    [sym_keyword_xml] = ACTIONS(1687),
    [sym_keyword_bytea] = ACTIONS(1687),
    [sym_keyword_enum] = ACTIONS(1687),
    [sym_keyword_date] = ACTIONS(1687),
    [sym_keyword_datetime] = ACTIONS(1687),
    [sym_keyword_datetime2] = ACTIONS(1687),
    [sym_keyword_smalldatetime] = ACTIONS(1687),
    [sym_keyword_datetimeoffset] = ACTIONS(1687),
    [sym_keyword_time] = ACTIONS(1687),
    [sym_keyword_timestamp] = ACTIONS(1687),
    [sym_keyword_timestamptz] = ACTIONS(1687),
    [sym_keyword_interval] = ACTIONS(1687),
    [sym_keyword_geometry] = ACTIONS(1687),
    [sym_keyword_geography] = ACTIONS(1687),
    [sym_keyword_box2d] = ACTIONS(1687),
    [sym_keyword_box3d] = ACTIONS(1687),
    [sym_keyword_oid] = ACTIONS(1687),
    [sym_keyword_name] = ACTIONS(1687),
    [sym_keyword_regclass] = ACTIONS(1687),
    [sym_keyword_regnamespace] = ACTIONS(1687),
    [sym_keyword_regproc] = ACTIONS(1687),
    [sym_keyword_regtype] = ACTIONS(1687),
    [aux_sym_double_token1] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1703),
    [aux_sym_identifier_token1] = ACTIONS(1703),
  },
  [122] = {
    [sym_statement] = STATE(13816),
    [sym__ddl_statement] = STATE(10560),
    [sym__cte] = STATE(6904),
    [sym__dml_write] = STATE(10562),
    [sym__dml_read] = STATE(10563),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_comment_statement] = STATE(10560),
    [sym_select] = STATE(7578),
    [sym__truncate_statement] = STATE(10564),
    [sym__delete_statement] = STATE(10564),
    [sym_delete] = STATE(11938),
    [sym__create_statement] = STATE(10560),
    [sym_create_table] = STATE(10560),
    [sym_reset_statement] = STATE(10560),
    [sym_set_statement] = STATE(10560),
    [sym_create_view] = STATE(10560),
    [sym_create_materialized_view] = STATE(10560),
    [sym_create_function] = STATE(10560),
    [sym_create_index] = STATE(10560),
    [sym_create_schema] = STATE(7094),
    [sym_create_database] = STATE(10560),
    [sym_create_role] = STATE(10560),
    [sym_create_sequence] = STATE(10560),
    [sym_create_extension] = STATE(10560),
    [sym_create_trigger] = STATE(10560),
    [sym_create_type] = STATE(10560),
    [sym__alter_statement] = STATE(10560),
    [sym__rename_statement] = STATE(10567),
    [sym_alter_table] = STATE(10560),
    [sym_alter_view] = STATE(10560),
    [sym_alter_schema] = STATE(10560),
    [sym_alter_database] = STATE(10560),
    [sym_alter_role] = STATE(10560),
    [sym_alter_index] = STATE(10560),
    [sym_alter_sequence] = STATE(10560),
    [sym_alter_type] = STATE(10560),
    [sym__drop_statement] = STATE(10560),
    [sym_drop_table] = STATE(10560),
    [sym_drop_view] = STATE(10560),
    [sym_drop_schema] = STATE(10560),
    [sym_drop_database] = STATE(10560),
    [sym_drop_role] = STATE(10560),
    [sym_drop_type] = STATE(10560),
    [sym_drop_sequence] = STATE(10560),
    [sym_drop_index] = STATE(10560),
    [sym_drop_extension] = STATE(10560),
    [sym__copy_statement] = STATE(10564),
    [sym__insert_statement] = STATE(10564),
    [sym_insert] = STATE(11495),
    [sym__update_statement] = STATE(10564),
    [sym__merge_statement] = STATE(10578),
    [sym__optimize_statement] = STATE(10560),
    [sym__compute_stats] = STATE(10560),
    [sym__optimize_table] = STATE(10560),
    [sym__vacuum_table] = STATE(10560),
    [sym_update] = STATE(11494),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(1705),
    [sym_keyword_replace] = ACTIONS(1705),
    [sym_keyword_update] = ACTIONS(1707),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(1709),
    [sym_keyword_show] = ACTIONS(1711),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(1713),
    [sym_keyword_alter] = ACTIONS(1715),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_explain] = ACTIONS(1717),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(1719),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(1721),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(1723),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [123] = {
    [sym__primary_key] = STATE(12122),
    [sym__check_constraint] = STATE(9729),
    [sym_constraint] = STATE(9728),
    [sym__constraint_literal] = STATE(9727),
    [sym__primary_key_constraint] = STATE(9729),
    [sym__key_constraint] = STATE(9726),
    [sym__identifier] = ACTIONS(1687),
    [sym_keyword_primary] = ACTIONS(1689),
    [sym_keyword_key] = ACTIONS(1725),
    [sym_keyword_constraint] = ACTIONS(1727),
    [sym_keyword_index] = ACTIONS(1729),
    [aux_sym_keyword_character_token1] = ACTIONS(1687),
    [sym_keyword_unique] = ACTIONS(1731),
    [sym_keyword_foreign] = ACTIONS(1733),
    [sym_keyword_unsigned] = ACTIONS(1687),
    [sym_keyword_check] = ACTIONS(1735),
    [sym_keyword_boolean] = ACTIONS(1687),
    [sym_keyword_bit] = ACTIONS(1687),
    [sym_keyword_binary] = ACTIONS(1687),
    [sym_keyword_varbinary] = ACTIONS(1687),
    [sym_keyword_image] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_serial_token1] = ACTIONS(1687),
    [aux_sym_keyword_serial_token2] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token1] = ACTIONS(1687),
    [aux_sym_keyword_int_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token3] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1687),
    [sym_keyword_decimal] = ACTIONS(1687),
    [sym_keyword_numeric] = ACTIONS(1687),
    [aux_sym_keyword_real_token1] = ACTIONS(1687),
    [aux_sym_keyword_real_token2] = ACTIONS(1687),
    [sym_keyword_float] = ACTIONS(1687),
    [sym_keyword_double] = ACTIONS(1687),
    [sym_keyword_inet] = ACTIONS(1687),
    [sym_keyword_money] = ACTIONS(1687),
    [sym_keyword_smallmoney] = ACTIONS(1687),
    [aux_sym_keyword_char_token1] = ACTIONS(1687),
    [sym_keyword_nchar] = ACTIONS(1687),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1687),
    [sym_keyword_nvarchar] = ACTIONS(1687),
    [sym_keyword_text] = ACTIONS(1687),
    [sym_keyword_string] = ACTIONS(1687),
    [sym_keyword_uuid] = ACTIONS(1687),
    [sym_keyword_json] = ACTIONS(1687),
    [sym_keyword_jsonb] = ACTIONS(1687),
    [sym_keyword_xml] = ACTIONS(1687),
    [sym_keyword_bytea] = ACTIONS(1687),
    [sym_keyword_enum] = ACTIONS(1687),
    [sym_keyword_date] = ACTIONS(1687),
    [sym_keyword_datetime] = ACTIONS(1687),
    [sym_keyword_datetime2] = ACTIONS(1687),
    [sym_keyword_smalldatetime] = ACTIONS(1687),
    [sym_keyword_datetimeoffset] = ACTIONS(1687),
    [sym_keyword_time] = ACTIONS(1687),
    [sym_keyword_timestamp] = ACTIONS(1687),
    [sym_keyword_timestamptz] = ACTIONS(1687),
    [sym_keyword_interval] = ACTIONS(1687),
    [sym_keyword_geometry] = ACTIONS(1687),
    [sym_keyword_geography] = ACTIONS(1687),
    [sym_keyword_box2d] = ACTIONS(1687),
    [sym_keyword_box3d] = ACTIONS(1687),
    [sym_keyword_oid] = ACTIONS(1687),
    [sym_keyword_name] = ACTIONS(1687),
    [sym_keyword_regclass] = ACTIONS(1687),
    [sym_keyword_regnamespace] = ACTIONS(1687),
    [sym_keyword_regproc] = ACTIONS(1687),
    [sym_keyword_regtype] = ACTIONS(1687),
    [aux_sym_double_token1] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1703),
    [aux_sym_identifier_token1] = ACTIONS(1703),
  },
  [124] = {
    [sym__ddl_statement] = STATE(10727),
    [sym__cte] = STATE(6866),
    [sym__dml_write] = STATE(10728),
    [sym__dml_read] = STATE(10729),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_comment_statement] = STATE(10727),
    [sym_select] = STATE(7578),
    [sym__truncate_statement] = STATE(10564),
    [sym__delete_statement] = STATE(10564),
    [sym_delete] = STATE(11550),
    [sym__create_statement] = STATE(10727),
    [sym_create_table] = STATE(10727),
    [sym_reset_statement] = STATE(10727),
    [sym_set_statement] = STATE(10727),
    [sym_create_view] = STATE(10727),
    [sym_create_materialized_view] = STATE(10727),
    [sym_create_function] = STATE(10727),
    [sym_create_index] = STATE(10727),
    [sym_create_schema] = STATE(7051),
    [sym_create_database] = STATE(10727),
    [sym_create_role] = STATE(10727),
    [sym_create_sequence] = STATE(10727),
    [sym_create_extension] = STATE(10727),
    [sym_create_trigger] = STATE(10727),
    [sym_create_type] = STATE(10727),
    [sym__alter_statement] = STATE(10727),
    [sym__rename_statement] = STATE(10567),
    [sym_alter_table] = STATE(10727),
    [sym_alter_view] = STATE(10727),
    [sym_alter_schema] = STATE(10727),
    [sym_alter_database] = STATE(10727),
    [sym_alter_role] = STATE(10727),
    [sym_alter_index] = STATE(10727),
    [sym_alter_sequence] = STATE(10727),
    [sym_alter_type] = STATE(10727),
    [sym__drop_statement] = STATE(10727),
    [sym_drop_table] = STATE(10727),
    [sym_drop_view] = STATE(10727),
    [sym_drop_schema] = STATE(10727),
    [sym_drop_database] = STATE(10727),
    [sym_drop_role] = STATE(10727),
    [sym_drop_type] = STATE(10727),
    [sym_drop_sequence] = STATE(10727),
    [sym_drop_index] = STATE(10727),
    [sym_drop_extension] = STATE(10727),
    [sym__copy_statement] = STATE(10564),
    [sym__insert_statement] = STATE(10564),
    [sym_insert] = STATE(10084),
    [sym__update_statement] = STATE(10564),
    [sym__merge_statement] = STATE(10578),
    [sym__optimize_statement] = STATE(10727),
    [sym__compute_stats] = STATE(10727),
    [sym__optimize_table] = STATE(10727),
    [sym__vacuum_table] = STATE(10727),
    [sym_update] = STATE(10025),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_verbose] = ACTIONS(1737),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_table] = ACTIONS(1739),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(1741),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [125] = {
    [sym__ddl_statement] = STATE(12189),
    [sym__cte] = STATE(6889),
    [sym__dml_write] = STATE(12188),
    [sym__dml_read] = STATE(12187),
    [sym__show_statement] = STATE(8395),
    [sym_set_operation] = STATE(8398),
    [sym__select_statement] = STATE(7758),
    [sym_comment_statement] = STATE(12189),
    [sym_select] = STATE(7640),
    [sym__truncate_statement] = STATE(12239),
    [sym__delete_statement] = STATE(12239),
    [sym_delete] = STATE(11752),
    [sym__create_statement] = STATE(12189),
    [sym_create_table] = STATE(12189),
    [sym_reset_statement] = STATE(12189),
    [sym_set_statement] = STATE(12189),
    [sym_create_view] = STATE(12189),
    [sym_create_materialized_view] = STATE(12189),
    [sym_create_function] = STATE(12189),
    [sym_create_index] = STATE(12189),
    [sym_create_schema] = STATE(7041),
    [sym_create_database] = STATE(12189),
    [sym_create_role] = STATE(12189),
    [sym_create_sequence] = STATE(12189),
    [sym_create_extension] = STATE(12189),
    [sym_create_trigger] = STATE(12189),
    [sym_create_type] = STATE(12189),
    [sym__alter_statement] = STATE(12189),
    [sym__rename_statement] = STATE(12237),
    [sym_alter_table] = STATE(12189),
    [sym_alter_view] = STATE(12189),
    [sym_alter_schema] = STATE(12189),
    [sym_alter_database] = STATE(12189),
    [sym_alter_role] = STATE(12189),
    [sym_alter_index] = STATE(12189),
    [sym_alter_sequence] = STATE(12189),
    [sym_alter_type] = STATE(12189),
    [sym__drop_statement] = STATE(12189),
    [sym_drop_table] = STATE(12189),
    [sym_drop_view] = STATE(12189),
    [sym_drop_schema] = STATE(12189),
    [sym_drop_database] = STATE(12189),
    [sym_drop_role] = STATE(12189),
    [sym_drop_type] = STATE(12189),
    [sym_drop_sequence] = STATE(12189),
    [sym_drop_index] = STATE(12189),
    [sym_drop_extension] = STATE(12189),
    [sym__copy_statement] = STATE(12239),
    [sym__insert_statement] = STATE(12239),
    [sym_insert] = STATE(9737),
    [sym__update_statement] = STATE(12239),
    [sym__merge_statement] = STATE(12235),
    [sym__optimize_statement] = STATE(12189),
    [sym__compute_stats] = STATE(12189),
    [sym__optimize_table] = STATE(12189),
    [sym__vacuum_table] = STATE(12189),
    [sym_update] = STATE(9733),
    [sym_keyword_select] = ACTIONS(1404),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(1406),
    [sym_keyword_replace] = ACTIONS(1406),
    [sym_keyword_update] = ACTIONS(1408),
    [sym_keyword_truncate] = ACTIONS(1410),
    [sym_keyword_merge] = ACTIONS(1412),
    [sym_keyword_show] = ACTIONS(1414),
    [sym_keyword_set] = ACTIONS(1416),
    [sym_keyword_create] = ACTIONS(1418),
    [sym_keyword_alter] = ACTIONS(1420),
    [sym_keyword_analyze] = ACTIONS(1422),
    [sym_keyword_verbose] = ACTIONS(1743),
    [sym_keyword_drop] = ACTIONS(1426),
    [sym_keyword_table] = ACTIONS(1745),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(1428),
    [sym_keyword_reset] = ACTIONS(1430),
    [sym_keyword_vacuum] = ACTIONS(1434),
    [sym_keyword_copy] = ACTIONS(1436),
    [sym_keyword_compute] = ACTIONS(1442),
    [sym_keyword_optimize] = ACTIONS(1444),
    [sym_keyword_comment] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1747),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [126] = {
    [sym__ddl_statement] = STATE(10727),
    [sym__cte] = STATE(6904),
    [sym__dml_write] = STATE(10728),
    [sym__dml_read] = STATE(10729),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_comment_statement] = STATE(10727),
    [sym_select] = STATE(7578),
    [sym__truncate_statement] = STATE(10564),
    [sym__delete_statement] = STATE(10564),
    [sym_delete] = STATE(11938),
    [sym__create_statement] = STATE(10727),
    [sym_create_table] = STATE(10727),
    [sym_reset_statement] = STATE(10727),
    [sym_set_statement] = STATE(10727),
    [sym_create_view] = STATE(10727),
    [sym_create_materialized_view] = STATE(10727),
    [sym_create_function] = STATE(10727),
    [sym_create_index] = STATE(10727),
    [sym_create_schema] = STATE(7094),
    [sym_create_database] = STATE(10727),
    [sym_create_role] = STATE(10727),
    [sym_create_sequence] = STATE(10727),
    [sym_create_extension] = STATE(10727),
    [sym_create_trigger] = STATE(10727),
    [sym_create_type] = STATE(10727),
    [sym__alter_statement] = STATE(10727),
    [sym__rename_statement] = STATE(10567),
    [sym_alter_table] = STATE(10727),
    [sym_alter_view] = STATE(10727),
    [sym_alter_schema] = STATE(10727),
    [sym_alter_database] = STATE(10727),
    [sym_alter_role] = STATE(10727),
    [sym_alter_index] = STATE(10727),
    [sym_alter_sequence] = STATE(10727),
    [sym_alter_type] = STATE(10727),
    [sym__drop_statement] = STATE(10727),
    [sym_drop_table] = STATE(10727),
    [sym_drop_view] = STATE(10727),
    [sym_drop_schema] = STATE(10727),
    [sym_drop_database] = STATE(10727),
    [sym_drop_role] = STATE(10727),
    [sym_drop_type] = STATE(10727),
    [sym_drop_sequence] = STATE(10727),
    [sym_drop_index] = STATE(10727),
    [sym_drop_extension] = STATE(10727),
    [sym__copy_statement] = STATE(10564),
    [sym__insert_statement] = STATE(10564),
    [sym_insert] = STATE(11495),
    [sym__update_statement] = STATE(10564),
    [sym__merge_statement] = STATE(10578),
    [sym__optimize_statement] = STATE(10727),
    [sym__compute_stats] = STATE(10727),
    [sym__optimize_table] = STATE(10727),
    [sym__vacuum_table] = STATE(10727),
    [sym_update] = STATE(11494),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(1705),
    [sym_keyword_replace] = ACTIONS(1705),
    [sym_keyword_update] = ACTIONS(1707),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(1709),
    [sym_keyword_show] = ACTIONS(1711),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(1713),
    [sym_keyword_alter] = ACTIONS(1715),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_verbose] = ACTIONS(1749),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_table] = ACTIONS(1739),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(1719),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(1721),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [127] = {
    [sym__ddl_statement] = STATE(12227),
    [sym__cte] = STATE(6889),
    [sym__dml_write] = STATE(12219),
    [sym__dml_read] = STATE(12218),
    [sym__show_statement] = STATE(8395),
    [sym_set_operation] = STATE(8398),
    [sym__select_statement] = STATE(7758),
    [sym_comment_statement] = STATE(12227),
    [sym_select] = STATE(7640),
    [sym__truncate_statement] = STATE(12239),
    [sym__delete_statement] = STATE(12239),
    [sym_delete] = STATE(11752),
    [sym__create_statement] = STATE(12227),
    [sym_create_table] = STATE(12227),
    [sym_reset_statement] = STATE(12227),
    [sym_set_statement] = STATE(12227),
    [sym_create_view] = STATE(12227),
    [sym_create_materialized_view] = STATE(12227),
    [sym_create_function] = STATE(12227),
    [sym_create_index] = STATE(12227),
    [sym_create_schema] = STATE(7041),
    [sym_create_database] = STATE(12227),
    [sym_create_role] = STATE(12227),
    [sym_create_sequence] = STATE(12227),
    [sym_create_extension] = STATE(12227),
    [sym_create_trigger] = STATE(12227),
    [sym_create_type] = STATE(12227),
    [sym__alter_statement] = STATE(12227),
    [sym__rename_statement] = STATE(12237),
    [sym_alter_table] = STATE(12227),
    [sym_alter_view] = STATE(12227),
    [sym_alter_schema] = STATE(12227),
    [sym_alter_database] = STATE(12227),
    [sym_alter_role] = STATE(12227),
    [sym_alter_index] = STATE(12227),
    [sym_alter_sequence] = STATE(12227),
    [sym_alter_type] = STATE(12227),
    [sym__drop_statement] = STATE(12227),
    [sym_drop_table] = STATE(12227),
    [sym_drop_view] = STATE(12227),
    [sym_drop_schema] = STATE(12227),
    [sym_drop_database] = STATE(12227),
    [sym_drop_role] = STATE(12227),
    [sym_drop_type] = STATE(12227),
    [sym_drop_sequence] = STATE(12227),
    [sym_drop_index] = STATE(12227),
    [sym_drop_extension] = STATE(12227),
    [sym__copy_statement] = STATE(12239),
    [sym__insert_statement] = STATE(12239),
    [sym_insert] = STATE(9737),
    [sym__update_statement] = STATE(12239),
    [sym__merge_statement] = STATE(12235),
    [sym__optimize_statement] = STATE(12227),
    [sym__compute_stats] = STATE(12227),
    [sym__optimize_table] = STATE(12227),
    [sym__vacuum_table] = STATE(12227),
    [sym_update] = STATE(9733),
    [sym_keyword_select] = ACTIONS(1404),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(1406),
    [sym_keyword_replace] = ACTIONS(1406),
    [sym_keyword_update] = ACTIONS(1408),
    [sym_keyword_truncate] = ACTIONS(1410),
    [sym_keyword_merge] = ACTIONS(1412),
    [sym_keyword_show] = ACTIONS(1414),
    [sym_keyword_set] = ACTIONS(1416),
    [sym_keyword_create] = ACTIONS(1418),
    [sym_keyword_alter] = ACTIONS(1420),
    [sym_keyword_analyze] = ACTIONS(1753),
    [sym_keyword_verbose] = ACTIONS(1755),
    [sym_keyword_drop] = ACTIONS(1426),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(1428),
    [sym_keyword_reset] = ACTIONS(1430),
    [sym_keyword_vacuum] = ACTIONS(1434),
    [sym_keyword_copy] = ACTIONS(1436),
    [sym_keyword_compute] = ACTIONS(1442),
    [sym_keyword_optimize] = ACTIONS(1444),
    [sym_keyword_comment] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1757),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [128] = {
    [sym__ddl_statement] = STATE(10676),
    [sym__cte] = STATE(6904),
    [sym__dml_write] = STATE(10602),
    [sym__dml_read] = STATE(10603),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_comment_statement] = STATE(10676),
    [sym_select] = STATE(7578),
    [sym__truncate_statement] = STATE(10564),
    [sym__delete_statement] = STATE(10564),
    [sym_delete] = STATE(11938),
    [sym__create_statement] = STATE(10676),
    [sym_create_table] = STATE(10676),
    [sym_reset_statement] = STATE(10676),
    [sym_set_statement] = STATE(10676),
    [sym_create_view] = STATE(10676),
    [sym_create_materialized_view] = STATE(10676),
    [sym_create_function] = STATE(10676),
    [sym_create_index] = STATE(10676),
    [sym_create_schema] = STATE(7094),
    [sym_create_database] = STATE(10676),
    [sym_create_role] = STATE(10676),
    [sym_create_sequence] = STATE(10676),
    [sym_create_extension] = STATE(10676),
    [sym_create_trigger] = STATE(10676),
    [sym_create_type] = STATE(10676),
    [sym__alter_statement] = STATE(10676),
    [sym__rename_statement] = STATE(10567),
    [sym_alter_table] = STATE(10676),
    [sym_alter_view] = STATE(10676),
    [sym_alter_schema] = STATE(10676),
    [sym_alter_database] = STATE(10676),
    [sym_alter_role] = STATE(10676),
    [sym_alter_index] = STATE(10676),
    [sym_alter_sequence] = STATE(10676),
    [sym_alter_type] = STATE(10676),
    [sym__drop_statement] = STATE(10676),
    [sym_drop_table] = STATE(10676),
    [sym_drop_view] = STATE(10676),
    [sym_drop_schema] = STATE(10676),
    [sym_drop_database] = STATE(10676),
    [sym_drop_role] = STATE(10676),
    [sym_drop_type] = STATE(10676),
    [sym_drop_sequence] = STATE(10676),
    [sym_drop_index] = STATE(10676),
    [sym_drop_extension] = STATE(10676),
    [sym__copy_statement] = STATE(10564),
    [sym__insert_statement] = STATE(10564),
    [sym_insert] = STATE(11495),
    [sym__update_statement] = STATE(10564),
    [sym__merge_statement] = STATE(10578),
    [sym__optimize_statement] = STATE(10676),
    [sym__compute_stats] = STATE(10676),
    [sym__optimize_table] = STATE(10676),
    [sym__vacuum_table] = STATE(10676),
    [sym_update] = STATE(11494),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(1705),
    [sym_keyword_replace] = ACTIONS(1705),
    [sym_keyword_update] = ACTIONS(1707),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(1709),
    [sym_keyword_show] = ACTIONS(1711),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(1713),
    [sym_keyword_alter] = ACTIONS(1715),
    [sym_keyword_analyze] = ACTIONS(1759),
    [sym_keyword_verbose] = ACTIONS(1761),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(1719),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(1721),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(1763),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [129] = {
    [sym__ddl_statement] = STATE(10676),
    [sym__cte] = STATE(6866),
    [sym__dml_write] = STATE(10602),
    [sym__dml_read] = STATE(10603),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_comment_statement] = STATE(10676),
    [sym_select] = STATE(7578),
    [sym__truncate_statement] = STATE(10564),
    [sym__delete_statement] = STATE(10564),
    [sym_delete] = STATE(11550),
    [sym__create_statement] = STATE(10676),
    [sym_create_table] = STATE(10676),
    [sym_reset_statement] = STATE(10676),
    [sym_set_statement] = STATE(10676),
    [sym_create_view] = STATE(10676),
    [sym_create_materialized_view] = STATE(10676),
    [sym_create_function] = STATE(10676),
    [sym_create_index] = STATE(10676),
    [sym_create_schema] = STATE(7051),
    [sym_create_database] = STATE(10676),
    [sym_create_role] = STATE(10676),
    [sym_create_sequence] = STATE(10676),
    [sym_create_extension] = STATE(10676),
    [sym_create_trigger] = STATE(10676),
    [sym_create_type] = STATE(10676),
    [sym__alter_statement] = STATE(10676),
    [sym__rename_statement] = STATE(10567),
    [sym_alter_table] = STATE(10676),
    [sym_alter_view] = STATE(10676),
    [sym_alter_schema] = STATE(10676),
    [sym_alter_database] = STATE(10676),
    [sym_alter_role] = STATE(10676),
    [sym_alter_index] = STATE(10676),
    [sym_alter_sequence] = STATE(10676),
    [sym_alter_type] = STATE(10676),
    [sym__drop_statement] = STATE(10676),
    [sym_drop_table] = STATE(10676),
    [sym_drop_view] = STATE(10676),
    [sym_drop_schema] = STATE(10676),
    [sym_drop_database] = STATE(10676),
    [sym_drop_role] = STATE(10676),
    [sym_drop_type] = STATE(10676),
    [sym_drop_sequence] = STATE(10676),
    [sym_drop_index] = STATE(10676),
    [sym_drop_extension] = STATE(10676),
    [sym__copy_statement] = STATE(10564),
    [sym__insert_statement] = STATE(10564),
    [sym_insert] = STATE(10084),
    [sym__update_statement] = STATE(10564),
    [sym__merge_statement] = STATE(10578),
    [sym__optimize_statement] = STATE(10676),
    [sym__compute_stats] = STATE(10676),
    [sym__optimize_table] = STATE(10676),
    [sym__vacuum_table] = STATE(10676),
    [sym_update] = STATE(10025),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(1765),
    [sym_keyword_verbose] = ACTIONS(1767),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(1769),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [130] = {
    [sym__ddl_statement] = STATE(12184),
    [sym__cte] = STATE(6889),
    [sym__dml_write] = STATE(12188),
    [sym__dml_read] = STATE(12183),
    [sym__show_statement] = STATE(8395),
    [sym_set_operation] = STATE(8398),
    [sym__select_statement] = STATE(7758),
    [sym_comment_statement] = STATE(12184),
    [sym_select] = STATE(7640),
    [sym__truncate_statement] = STATE(12239),
    [sym__delete_statement] = STATE(12239),
    [sym_delete] = STATE(11752),
    [sym__create_statement] = STATE(12184),
    [sym_create_table] = STATE(12184),
    [sym_reset_statement] = STATE(12184),
    [sym_set_statement] = STATE(12184),
    [sym_create_view] = STATE(12184),
    [sym_create_materialized_view] = STATE(12184),
    [sym_create_function] = STATE(12184),
    [sym_create_index] = STATE(12184),
    [sym_create_schema] = STATE(7041),
    [sym_create_database] = STATE(12184),
    [sym_create_role] = STATE(12184),
    [sym_create_sequence] = STATE(12184),
    [sym_create_extension] = STATE(12184),
    [sym_create_trigger] = STATE(12184),
    [sym_create_type] = STATE(12184),
    [sym__alter_statement] = STATE(12184),
    [sym__rename_statement] = STATE(12237),
    [sym_alter_table] = STATE(12184),
    [sym_alter_view] = STATE(12184),
    [sym_alter_schema] = STATE(12184),
    [sym_alter_database] = STATE(12184),
    [sym_alter_role] = STATE(12184),
    [sym_alter_index] = STATE(12184),
    [sym_alter_sequence] = STATE(12184),
    [sym_alter_type] = STATE(12184),
    [sym__drop_statement] = STATE(12184),
    [sym_drop_table] = STATE(12184),
    [sym_drop_view] = STATE(12184),
    [sym_drop_schema] = STATE(12184),
    [sym_drop_database] = STATE(12184),
    [sym_drop_role] = STATE(12184),
    [sym_drop_type] = STATE(12184),
    [sym_drop_sequence] = STATE(12184),
    [sym_drop_index] = STATE(12184),
    [sym_drop_extension] = STATE(12184),
    [sym__copy_statement] = STATE(12239),
    [sym__insert_statement] = STATE(12239),
    [sym_insert] = STATE(9737),
    [sym__update_statement] = STATE(12239),
    [sym__merge_statement] = STATE(12235),
    [sym__optimize_statement] = STATE(12184),
    [sym__compute_stats] = STATE(12184),
    [sym__optimize_table] = STATE(12184),
    [sym__vacuum_table] = STATE(12184),
    [sym_update] = STATE(9733),
    [sym_keyword_select] = ACTIONS(1404),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(1406),
    [sym_keyword_replace] = ACTIONS(1406),
    [sym_keyword_update] = ACTIONS(1408),
    [sym_keyword_truncate] = ACTIONS(1410),
    [sym_keyword_merge] = ACTIONS(1412),
    [sym_keyword_show] = ACTIONS(1414),
    [sym_keyword_set] = ACTIONS(1416),
    [sym_keyword_create] = ACTIONS(1418),
    [sym_keyword_alter] = ACTIONS(1420),
    [sym_keyword_analyze] = ACTIONS(1422),
    [sym_keyword_drop] = ACTIONS(1426),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(1428),
    [sym_keyword_reset] = ACTIONS(1430),
    [sym_keyword_vacuum] = ACTIONS(1434),
    [sym_keyword_copy] = ACTIONS(1436),
    [sym_keyword_compute] = ACTIONS(1442),
    [sym_keyword_optimize] = ACTIONS(1444),
    [sym_keyword_comment] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1747),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [131] = {
    [sym__ddl_statement] = STATE(10730),
    [sym__cte] = STATE(6866),
    [sym__dml_write] = STATE(10728),
    [sym__dml_read] = STATE(10732),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_comment_statement] = STATE(10730),
    [sym_select] = STATE(7578),
    [sym__truncate_statement] = STATE(10564),
    [sym__delete_statement] = STATE(10564),
    [sym_delete] = STATE(11550),
    [sym__create_statement] = STATE(10730),
    [sym_create_table] = STATE(10730),
    [sym_reset_statement] = STATE(10730),
    [sym_set_statement] = STATE(10730),
    [sym_create_view] = STATE(10730),
    [sym_create_materialized_view] = STATE(10730),
    [sym_create_function] = STATE(10730),
    [sym_create_index] = STATE(10730),
    [sym_create_schema] = STATE(7051),
    [sym_create_database] = STATE(10730),
    [sym_create_role] = STATE(10730),
    [sym_create_sequence] = STATE(10730),
    [sym_create_extension] = STATE(10730),
    [sym_create_trigger] = STATE(10730),
    [sym_create_type] = STATE(10730),
    [sym__alter_statement] = STATE(10730),
    [sym__rename_statement] = STATE(10567),
    [sym_alter_table] = STATE(10730),
    [sym_alter_view] = STATE(10730),
    [sym_alter_schema] = STATE(10730),
    [sym_alter_database] = STATE(10730),
    [sym_alter_role] = STATE(10730),
    [sym_alter_index] = STATE(10730),
    [sym_alter_sequence] = STATE(10730),
    [sym_alter_type] = STATE(10730),
    [sym__drop_statement] = STATE(10730),
    [sym_drop_table] = STATE(10730),
    [sym_drop_view] = STATE(10730),
    [sym_drop_schema] = STATE(10730),
    [sym_drop_database] = STATE(10730),
    [sym_drop_role] = STATE(10730),
    [sym_drop_type] = STATE(10730),
    [sym_drop_sequence] = STATE(10730),
    [sym_drop_index] = STATE(10730),
    [sym_drop_extension] = STATE(10730),
    [sym__copy_statement] = STATE(10564),
    [sym__insert_statement] = STATE(10564),
    [sym_insert] = STATE(10084),
    [sym__update_statement] = STATE(10564),
    [sym__merge_statement] = STATE(10578),
    [sym__optimize_statement] = STATE(10730),
    [sym__compute_stats] = STATE(10730),
    [sym__optimize_table] = STATE(10730),
    [sym__vacuum_table] = STATE(10730),
    [sym_update] = STATE(10025),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(1741),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [132] = {
    [sym__ddl_statement] = STATE(10891),
    [sym__cte] = STATE(6866),
    [sym__dml_write] = STATE(10894),
    [sym__dml_read] = STATE(10896),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_comment_statement] = STATE(10891),
    [sym_select] = STATE(7578),
    [sym__truncate_statement] = STATE(10564),
    [sym__delete_statement] = STATE(10564),
    [sym_delete] = STATE(11550),
    [sym__create_statement] = STATE(10891),
    [sym_create_table] = STATE(10891),
    [sym_reset_statement] = STATE(10891),
    [sym_set_statement] = STATE(10891),
    [sym_create_view] = STATE(10891),
    [sym_create_materialized_view] = STATE(10891),
    [sym_create_function] = STATE(10891),
    [sym_create_index] = STATE(10891),
    [sym_create_schema] = STATE(7051),
    [sym_create_database] = STATE(10891),
    [sym_create_role] = STATE(10891),
    [sym_create_sequence] = STATE(10891),
    [sym_create_extension] = STATE(10891),
    [sym_create_trigger] = STATE(10891),
    [sym_create_type] = STATE(10891),
    [sym__alter_statement] = STATE(10891),
    [sym__rename_statement] = STATE(10567),
    [sym_alter_table] = STATE(10891),
    [sym_alter_view] = STATE(10891),
    [sym_alter_schema] = STATE(10891),
    [sym_alter_database] = STATE(10891),
    [sym_alter_role] = STATE(10891),
    [sym_alter_index] = STATE(10891),
    [sym_alter_sequence] = STATE(10891),
    [sym_alter_type] = STATE(10891),
    [sym__drop_statement] = STATE(10891),
    [sym_drop_table] = STATE(10891),
    [sym_drop_view] = STATE(10891),
    [sym_drop_schema] = STATE(10891),
    [sym_drop_database] = STATE(10891),
    [sym_drop_role] = STATE(10891),
    [sym_drop_type] = STATE(10891),
    [sym_drop_sequence] = STATE(10891),
    [sym_drop_index] = STATE(10891),
    [sym_drop_extension] = STATE(10891),
    [sym__copy_statement] = STATE(10564),
    [sym__insert_statement] = STATE(10564),
    [sym_insert] = STATE(10084),
    [sym__update_statement] = STATE(10564),
    [sym__merge_statement] = STATE(10578),
    [sym__optimize_statement] = STATE(10891),
    [sym__compute_stats] = STATE(10891),
    [sym__optimize_table] = STATE(10891),
    [sym__vacuum_table] = STATE(10891),
    [sym_update] = STATE(10025),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(11),
    [sym_keyword_replace] = ACTIONS(11),
    [sym_keyword_update] = ACTIONS(13),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(17),
    [sym_keyword_show] = ACTIONS(19),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(23),
    [sym_keyword_alter] = ACTIONS(25),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(43),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(47),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(1771),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [133] = {
    [sym__ddl_statement] = STATE(12007),
    [sym__cte] = STATE(6889),
    [sym__dml_write] = STATE(12052),
    [sym__dml_read] = STATE(12001),
    [sym__show_statement] = STATE(8395),
    [sym_set_operation] = STATE(8398),
    [sym__select_statement] = STATE(7758),
    [sym_comment_statement] = STATE(12007),
    [sym_select] = STATE(7640),
    [sym__truncate_statement] = STATE(12239),
    [sym__delete_statement] = STATE(12239),
    [sym_delete] = STATE(11752),
    [sym__create_statement] = STATE(12007),
    [sym_create_table] = STATE(12007),
    [sym_reset_statement] = STATE(12007),
    [sym_set_statement] = STATE(12007),
    [sym_create_view] = STATE(12007),
    [sym_create_materialized_view] = STATE(12007),
    [sym_create_function] = STATE(12007),
    [sym_create_index] = STATE(12007),
    [sym_create_schema] = STATE(7041),
    [sym_create_database] = STATE(12007),
    [sym_create_role] = STATE(12007),
    [sym_create_sequence] = STATE(12007),
    [sym_create_extension] = STATE(12007),
    [sym_create_trigger] = STATE(12007),
    [sym_create_type] = STATE(12007),
    [sym__alter_statement] = STATE(12007),
    [sym__rename_statement] = STATE(12237),
    [sym_alter_table] = STATE(12007),
    [sym_alter_view] = STATE(12007),
    [sym_alter_schema] = STATE(12007),
    [sym_alter_database] = STATE(12007),
    [sym_alter_role] = STATE(12007),
    [sym_alter_index] = STATE(12007),
    [sym_alter_sequence] = STATE(12007),
    [sym_alter_type] = STATE(12007),
    [sym__drop_statement] = STATE(12007),
    [sym_drop_table] = STATE(12007),
    [sym_drop_view] = STATE(12007),
    [sym_drop_schema] = STATE(12007),
    [sym_drop_database] = STATE(12007),
    [sym_drop_role] = STATE(12007),
    [sym_drop_type] = STATE(12007),
    [sym_drop_sequence] = STATE(12007),
    [sym_drop_index] = STATE(12007),
    [sym_drop_extension] = STATE(12007),
    [sym__copy_statement] = STATE(12239),
    [sym__insert_statement] = STATE(12239),
    [sym_insert] = STATE(9737),
    [sym__update_statement] = STATE(12239),
    [sym__merge_statement] = STATE(12235),
    [sym__optimize_statement] = STATE(12007),
    [sym__compute_stats] = STATE(12007),
    [sym__optimize_table] = STATE(12007),
    [sym__vacuum_table] = STATE(12007),
    [sym_update] = STATE(9733),
    [sym_keyword_select] = ACTIONS(1404),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(1406),
    [sym_keyword_replace] = ACTIONS(1406),
    [sym_keyword_update] = ACTIONS(1408),
    [sym_keyword_truncate] = ACTIONS(1410),
    [sym_keyword_merge] = ACTIONS(1412),
    [sym_keyword_show] = ACTIONS(1414),
    [sym_keyword_set] = ACTIONS(1416),
    [sym_keyword_create] = ACTIONS(1418),
    [sym_keyword_alter] = ACTIONS(1420),
    [sym_keyword_analyze] = ACTIONS(1422),
    [sym_keyword_drop] = ACTIONS(1426),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(1428),
    [sym_keyword_reset] = ACTIONS(1430),
    [sym_keyword_vacuum] = ACTIONS(1434),
    [sym_keyword_copy] = ACTIONS(1436),
    [sym_keyword_compute] = ACTIONS(1442),
    [sym_keyword_optimize] = ACTIONS(1444),
    [sym_keyword_comment] = ACTIONS(1446),
    [anon_sym_LPAREN] = ACTIONS(1773),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [134] = {
    [sym__ddl_statement] = STATE(10730),
    [sym__cte] = STATE(6904),
    [sym__dml_write] = STATE(10728),
    [sym__dml_read] = STATE(10732),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_comment_statement] = STATE(10730),
    [sym_select] = STATE(7578),
    [sym__truncate_statement] = STATE(10564),
    [sym__delete_statement] = STATE(10564),
    [sym_delete] = STATE(11938),
    [sym__create_statement] = STATE(10730),
    [sym_create_table] = STATE(10730),
    [sym_reset_statement] = STATE(10730),
    [sym_set_statement] = STATE(10730),
    [sym_create_view] = STATE(10730),
    [sym_create_materialized_view] = STATE(10730),
    [sym_create_function] = STATE(10730),
    [sym_create_index] = STATE(10730),
    [sym_create_schema] = STATE(7094),
    [sym_create_database] = STATE(10730),
    [sym_create_role] = STATE(10730),
    [sym_create_sequence] = STATE(10730),
    [sym_create_extension] = STATE(10730),
    [sym_create_trigger] = STATE(10730),
    [sym_create_type] = STATE(10730),
    [sym__alter_statement] = STATE(10730),
    [sym__rename_statement] = STATE(10567),
    [sym_alter_table] = STATE(10730),
    [sym_alter_view] = STATE(10730),
    [sym_alter_schema] = STATE(10730),
    [sym_alter_database] = STATE(10730),
    [sym_alter_role] = STATE(10730),
    [sym_alter_index] = STATE(10730),
    [sym_alter_sequence] = STATE(10730),
    [sym_alter_type] = STATE(10730),
    [sym__drop_statement] = STATE(10730),
    [sym_drop_table] = STATE(10730),
    [sym_drop_view] = STATE(10730),
    [sym_drop_schema] = STATE(10730),
    [sym_drop_database] = STATE(10730),
    [sym_drop_role] = STATE(10730),
    [sym_drop_type] = STATE(10730),
    [sym_drop_sequence] = STATE(10730),
    [sym_drop_index] = STATE(10730),
    [sym_drop_extension] = STATE(10730),
    [sym__copy_statement] = STATE(10564),
    [sym__insert_statement] = STATE(10564),
    [sym_insert] = STATE(11495),
    [sym__update_statement] = STATE(10564),
    [sym__merge_statement] = STATE(10578),
    [sym__optimize_statement] = STATE(10730),
    [sym__compute_stats] = STATE(10730),
    [sym__optimize_table] = STATE(10730),
    [sym__vacuum_table] = STATE(10730),
    [sym_update] = STATE(11494),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(1705),
    [sym_keyword_replace] = ACTIONS(1705),
    [sym_keyword_update] = ACTIONS(1707),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(1709),
    [sym_keyword_show] = ACTIONS(1711),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(1713),
    [sym_keyword_alter] = ACTIONS(1715),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(1719),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(1721),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(1751),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [135] = {
    [sym__ddl_statement] = STATE(10891),
    [sym__cte] = STATE(6904),
    [sym__dml_write] = STATE(10894),
    [sym__dml_read] = STATE(10896),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_comment_statement] = STATE(10891),
    [sym_select] = STATE(7578),
    [sym__truncate_statement] = STATE(10564),
    [sym__delete_statement] = STATE(10564),
    [sym_delete] = STATE(11938),
    [sym__create_statement] = STATE(10891),
    [sym_create_table] = STATE(10891),
    [sym_reset_statement] = STATE(10891),
    [sym_set_statement] = STATE(10891),
    [sym_create_view] = STATE(10891),
    [sym_create_materialized_view] = STATE(10891),
    [sym_create_function] = STATE(10891),
    [sym_create_index] = STATE(10891),
    [sym_create_schema] = STATE(7094),
    [sym_create_database] = STATE(10891),
    [sym_create_role] = STATE(10891),
    [sym_create_sequence] = STATE(10891),
    [sym_create_extension] = STATE(10891),
    [sym_create_trigger] = STATE(10891),
    [sym_create_type] = STATE(10891),
    [sym__alter_statement] = STATE(10891),
    [sym__rename_statement] = STATE(10567),
    [sym_alter_table] = STATE(10891),
    [sym_alter_view] = STATE(10891),
    [sym_alter_schema] = STATE(10891),
    [sym_alter_database] = STATE(10891),
    [sym_alter_role] = STATE(10891),
    [sym_alter_index] = STATE(10891),
    [sym_alter_sequence] = STATE(10891),
    [sym_alter_type] = STATE(10891),
    [sym__drop_statement] = STATE(10891),
    [sym_drop_table] = STATE(10891),
    [sym_drop_view] = STATE(10891),
    [sym_drop_schema] = STATE(10891),
    [sym_drop_database] = STATE(10891),
    [sym_drop_role] = STATE(10891),
    [sym_drop_type] = STATE(10891),
    [sym_drop_sequence] = STATE(10891),
    [sym_drop_index] = STATE(10891),
    [sym_drop_extension] = STATE(10891),
    [sym__copy_statement] = STATE(10564),
    [sym__insert_statement] = STATE(10564),
    [sym_insert] = STATE(11495),
    [sym__update_statement] = STATE(10564),
    [sym__merge_statement] = STATE(10578),
    [sym__optimize_statement] = STATE(10891),
    [sym__compute_stats] = STATE(10891),
    [sym__optimize_table] = STATE(10891),
    [sym__vacuum_table] = STATE(10891),
    [sym_update] = STATE(11494),
    [sym_keyword_select] = ACTIONS(7),
    [sym_keyword_delete] = ACTIONS(9),
    [sym_keyword_insert] = ACTIONS(1705),
    [sym_keyword_replace] = ACTIONS(1705),
    [sym_keyword_update] = ACTIONS(1707),
    [sym_keyword_truncate] = ACTIONS(15),
    [sym_keyword_merge] = ACTIONS(1709),
    [sym_keyword_show] = ACTIONS(1711),
    [sym_keyword_set] = ACTIONS(21),
    [sym_keyword_create] = ACTIONS(1713),
    [sym_keyword_alter] = ACTIONS(1715),
    [sym_keyword_analyze] = ACTIONS(27),
    [sym_keyword_drop] = ACTIONS(31),
    [sym_keyword_with] = ACTIONS(33),
    [sym_keyword_rename] = ACTIONS(35),
    [sym_keyword_reset] = ACTIONS(37),
    [sym_keyword_vacuum] = ACTIONS(41),
    [sym_keyword_copy] = ACTIONS(1719),
    [sym_keyword_compute] = ACTIONS(45),
    [sym_keyword_optimize] = ACTIONS(1721),
    [sym_keyword_comment] = ACTIONS(49),
    [anon_sym_LPAREN] = ACTIONS(1775),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
  },
  [136] = {
    [sym__identifier] = ACTIONS(1382),
    [sym_keyword_primary] = ACTIONS(1386),
    [sym_keyword_key] = ACTIONS(1386),
    [sym_keyword_constraint] = ACTIONS(1386),
    [sym_keyword_index] = ACTIONS(1386),
    [aux_sym_keyword_character_token1] = ACTIONS(1382),
    [sym_keyword_unique] = ACTIONS(1386),
    [sym_keyword_foreign] = ACTIONS(1386),
    [sym_keyword_unsigned] = ACTIONS(1382),
    [sym_keyword_check] = ACTIONS(1386),
    [sym_keyword_boolean] = ACTIONS(1382),
    [sym_keyword_bit] = ACTIONS(1382),
    [sym_keyword_binary] = ACTIONS(1382),
    [sym_keyword_varbinary] = ACTIONS(1382),
    [sym_keyword_image] = ACTIONS(1382),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1382),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1382),
    [aux_sym_keyword_serial_token1] = ACTIONS(1382),
    [aux_sym_keyword_serial_token2] = ACTIONS(1382),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1382),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1382),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1382),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1382),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1382),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1382),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1382),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1382),
    [aux_sym_keyword_int_token1] = ACTIONS(1382),
    [aux_sym_keyword_int_token2] = ACTIONS(1382),
    [aux_sym_keyword_int_token3] = ACTIONS(1382),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1382),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1382),
    [sym_keyword_decimal] = ACTIONS(1382),
    [sym_keyword_numeric] = ACTIONS(1382),
    [aux_sym_keyword_real_token1] = ACTIONS(1382),
    [aux_sym_keyword_real_token2] = ACTIONS(1382),
    [sym_keyword_float] = ACTIONS(1382),
    [sym_keyword_double] = ACTIONS(1382),
    [sym_keyword_inet] = ACTIONS(1382),
    [sym_keyword_money] = ACTIONS(1382),
    [sym_keyword_smallmoney] = ACTIONS(1382),
    [aux_sym_keyword_char_token1] = ACTIONS(1382),
    [sym_keyword_nchar] = ACTIONS(1382),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1382),
    [sym_keyword_nvarchar] = ACTIONS(1382),
    [sym_keyword_text] = ACTIONS(1382),
    [sym_keyword_string] = ACTIONS(1382),
    [sym_keyword_uuid] = ACTIONS(1382),
    [sym_keyword_json] = ACTIONS(1382),
    [sym_keyword_jsonb] = ACTIONS(1382),
    [sym_keyword_xml] = ACTIONS(1382),
    [sym_keyword_bytea] = ACTIONS(1382),
    [sym_keyword_enum] = ACTIONS(1382),
    [sym_keyword_date] = ACTIONS(1382),
    [sym_keyword_datetime] = ACTIONS(1382),
    [sym_keyword_datetime2] = ACTIONS(1382),
    [sym_keyword_smalldatetime] = ACTIONS(1382),
    [sym_keyword_datetimeoffset] = ACTIONS(1382),
    [sym_keyword_time] = ACTIONS(1382),
    [sym_keyword_timestamp] = ACTIONS(1382),
    [sym_keyword_timestamptz] = ACTIONS(1382),
    [sym_keyword_interval] = ACTIONS(1382),
    [sym_keyword_geometry] = ACTIONS(1382),
    [sym_keyword_geography] = ACTIONS(1382),
    [sym_keyword_box2d] = ACTIONS(1382),
    [sym_keyword_box3d] = ACTIONS(1382),
    [sym_keyword_oid] = ACTIONS(1382),
    [sym_keyword_name] = ACTIONS(1382),
    [sym_keyword_regclass] = ACTIONS(1382),
    [sym_keyword_regnamespace] = ACTIONS(1382),
    [sym_keyword_regproc] = ACTIONS(1382),
    [sym_keyword_regtype] = ACTIONS(1382),
    [anon_sym_RPAREN] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1384),
    [aux_sym_double_token1] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1384),
    [sym__double_quote_string] = ACTIONS(1380),
    [aux_sym_identifier_token1] = ACTIONS(1380),
  },
  [137] = {
    [ts_builtin_sym_end] = ACTIONS(1380),
    [sym__identifier] = ACTIONS(1382),
    [anon_sym_SEMI] = ACTIONS(1380),
    [sym_keyword_from] = ACTIONS(1382),
    [sym_keyword_on] = ACTIONS(1382),
    [sym_keyword_limit] = ACTIONS(1382),
    [sym_keyword_offset] = ACTIONS(1382),
    [sym_keyword_create] = ACTIONS(1382),
    [sym_keyword_as] = ACTIONS(1382),
    [sym_keyword_when] = ACTIONS(1382),
    [sym_keyword_in] = ACTIONS(1382),
    [sym_keyword_and] = ACTIONS(1382),
    [sym_keyword_or] = ACTIONS(1382),
    [sym_keyword_is] = ACTIONS(1382),
    [sym_keyword_not] = ACTIONS(1382),
    [sym_keyword_default] = ACTIONS(1382),
    [sym_keyword_cascade] = ACTIONS(1382),
    [sym_keyword_with] = ACTIONS(1382),
    [sym_keyword_password] = ACTIONS(1382),
    [sym_keyword_encrypted] = ACTIONS(1382),
    [sym_keyword_valid] = ACTIONS(1382),
    [sym_keyword_connection] = ACTIONS(1382),
    [sym_keyword_union] = ACTIONS(1382),
    [sym_keyword_except] = ACTIONS(1382),
    [sym_keyword_intersect] = ACTIONS(1382),
    [sym_keyword_returning] = ACTIONS(1382),
    [sym_keyword_rows] = ACTIONS(1382),
    [sym_keyword_between] = ACTIONS(1382),
    [aux_sym_keyword_like_token1] = ACTIONS(1382),
    [aux_sym_keyword_like_token2] = ACTIONS(1382),
    [sym_keyword_similar] = ACTIONS(1382),
    [sym_keyword_check] = ACTIONS(1382),
    [sym_keyword_freeze] = ACTIONS(1382),
    [sym_keyword_escape] = ACTIONS(1382),
    [sym_keyword_encoding] = ACTIONS(1382),
    [sym_keyword_force_quote] = ACTIONS(1382),
    [sym_keyword_quote] = ACTIONS(1382),
    [sym_keyword_force_null] = ACTIONS(1382),
    [sym_keyword_force_not_null] = ACTIONS(1382),
    [sym_keyword_header] = ACTIONS(1382),
    [sym_keyword_returns] = ACTIONS(1382),
    [sym_keyword_language] = ACTIONS(1382),
    [sym_keyword_immutable] = ACTIONS(1382),
    [sym_keyword_stable] = ACTIONS(1382),
    [sym_keyword_volatile] = ACTIONS(1382),
    [sym_keyword_leakproof] = ACTIONS(1382),
    [sym_keyword_parallel] = ACTIONS(1382),
    [sym_keyword_called] = ACTIONS(1382),
    [sym_keyword_strict] = ACTIONS(1382),
    [sym_keyword_cost] = ACTIONS(1382),
    [sym_keyword_support] = ACTIONS(1382),
    [sym_keyword_security] = ACTIONS(1382),
    [sym_keyword_external] = ACTIONS(1382),
    [sym_keyword_format] = ACTIONS(1382),
    [sym_keyword_delimiter] = ACTIONS(1382),
    [sym_keyword_null] = ACTIONS(1382),
    [anon_sym_LBRACK] = ACTIONS(1380),
    [anon_sym_LPAREN] = ACTIONS(1380),
    [anon_sym_RPAREN] = ACTIONS(1380),
    [anon_sym_COMMA] = ACTIONS(1380),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1380),
    [anon_sym_STAR] = ACTIONS(1380),
    [anon_sym_COLON_COLON] = ACTIONS(1380),
    [anon_sym_LT] = ACTIONS(1382),
    [anon_sym_GT] = ACTIONS(1382),
    [anon_sym_LT_EQ] = ACTIONS(1380),
    [anon_sym_GT_EQ] = ACTIONS(1380),
    [sym_op_other] = ACTIONS(1380),
    [anon_sym_PLUS] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1382),
    [anon_sym_SLASH] = ACTIONS(1382),
    [anon_sym_PERCENT] = ACTIONS(1380),
    [anon_sym_CARET] = ACTIONS(1382),
    [anon_sym_BANG_EQ] = ACTIONS(1380),
    [anon_sym_LT_GT] = ACTIONS(1380),
    [sym__double_quote_string] = ACTIONS(1380),
    [aux_sym_identifier_token1] = ACTIONS(1380),
  },
  [138] = {
    [sym__identifier] = ACTIONS(1777),
    [sym_keyword_on] = ACTIONS(1777),
    [sym_keyword_desc] = ACTIONS(1777),
    [sym_keyword_asc] = ACTIONS(1777),
    [sym_keyword_collate] = ACTIONS(1777),
    [aux_sym_keyword_character_token1] = ACTIONS(1777),
    [sym_keyword_nulls] = ACTIONS(1777),
    [sym_keyword_unsigned] = ACTIONS(1777),
    [sym_keyword_boolean] = ACTIONS(1777),
    [sym_keyword_bit] = ACTIONS(1777),
    [sym_keyword_binary] = ACTIONS(1777),
    [sym_keyword_varbinary] = ACTIONS(1777),
    [sym_keyword_image] = ACTIONS(1777),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1777),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1777),
    [aux_sym_keyword_serial_token1] = ACTIONS(1777),
    [aux_sym_keyword_serial_token2] = ACTIONS(1777),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1777),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1777),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1777),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1777),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1777),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1777),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1777),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1777),
    [aux_sym_keyword_int_token1] = ACTIONS(1777),
    [aux_sym_keyword_int_token2] = ACTIONS(1777),
    [aux_sym_keyword_int_token3] = ACTIONS(1777),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1777),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1777),
    [sym_keyword_decimal] = ACTIONS(1777),
    [sym_keyword_numeric] = ACTIONS(1777),
    [aux_sym_keyword_real_token1] = ACTIONS(1777),
    [aux_sym_keyword_real_token2] = ACTIONS(1777),
    [sym_keyword_float] = ACTIONS(1777),
    [sym_keyword_double] = ACTIONS(1777),
    [sym_keyword_inet] = ACTIONS(1777),
    [sym_keyword_money] = ACTIONS(1777),
    [sym_keyword_smallmoney] = ACTIONS(1777),
    [aux_sym_keyword_char_token1] = ACTIONS(1777),
    [sym_keyword_nchar] = ACTIONS(1777),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1777),
    [sym_keyword_nvarchar] = ACTIONS(1777),
    [sym_keyword_text] = ACTIONS(1777),
    [sym_keyword_string] = ACTIONS(1777),
    [sym_keyword_uuid] = ACTIONS(1777),
    [sym_keyword_json] = ACTIONS(1777),
    [sym_keyword_jsonb] = ACTIONS(1777),
    [sym_keyword_xml] = ACTIONS(1777),
    [sym_keyword_bytea] = ACTIONS(1777),
    [sym_keyword_enum] = ACTIONS(1777),
    [sym_keyword_date] = ACTIONS(1777),
    [sym_keyword_datetime] = ACTIONS(1777),
    [sym_keyword_datetime2] = ACTIONS(1777),
    [sym_keyword_smalldatetime] = ACTIONS(1777),
    [sym_keyword_datetimeoffset] = ACTIONS(1777),
    [sym_keyword_time] = ACTIONS(1777),
    [sym_keyword_timestamp] = ACTIONS(1777),
    [sym_keyword_timestamptz] = ACTIONS(1777),
    [sym_keyword_interval] = ACTIONS(1777),
    [sym_keyword_geometry] = ACTIONS(1777),
    [sym_keyword_geography] = ACTIONS(1777),
    [sym_keyword_box2d] = ACTIONS(1777),
    [sym_keyword_box3d] = ACTIONS(1777),
    [sym_keyword_oid] = ACTIONS(1777),
    [sym_keyword_name] = ACTIONS(1777),
    [sym_keyword_regclass] = ACTIONS(1777),
    [sym_keyword_regnamespace] = ACTIONS(1777),
    [sym_keyword_regproc] = ACTIONS(1777),
    [sym_keyword_regtype] = ACTIONS(1777),
    [anon_sym_RPAREN] = ACTIONS(1779),
    [anon_sym_COMMA] = ACTIONS(1779),
    [aux_sym_double_token1] = ACTIONS(1777),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1779),
    [aux_sym_identifier_token1] = ACTIONS(1779),
  },
  [139] = {
    [sym__identifier] = ACTIONS(1687),
    [sym_keyword_on] = ACTIONS(1687),
    [sym_keyword_desc] = ACTIONS(1687),
    [sym_keyword_asc] = ACTIONS(1687),
    [aux_sym_keyword_character_token1] = ACTIONS(1687),
    [sym_keyword_unsigned] = ACTIONS(1687),
    [sym_keyword_boolean] = ACTIONS(1687),
    [sym_keyword_bit] = ACTIONS(1687),
    [sym_keyword_binary] = ACTIONS(1687),
    [sym_keyword_varbinary] = ACTIONS(1687),
    [sym_keyword_image] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_serial_token1] = ACTIONS(1687),
    [aux_sym_keyword_serial_token2] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token1] = ACTIONS(1687),
    [aux_sym_keyword_int_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token3] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1687),
    [sym_keyword_decimal] = ACTIONS(1687),
    [sym_keyword_numeric] = ACTIONS(1687),
    [aux_sym_keyword_real_token1] = ACTIONS(1687),
    [aux_sym_keyword_real_token2] = ACTIONS(1687),
    [sym_keyword_float] = ACTIONS(1687),
    [sym_keyword_double] = ACTIONS(1687),
    [sym_keyword_inet] = ACTIONS(1687),
    [sym_keyword_money] = ACTIONS(1687),
    [sym_keyword_smallmoney] = ACTIONS(1687),
    [aux_sym_keyword_char_token1] = ACTIONS(1687),
    [sym_keyword_nchar] = ACTIONS(1687),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1687),
    [sym_keyword_nvarchar] = ACTIONS(1687),
    [sym_keyword_text] = ACTIONS(1687),
    [sym_keyword_string] = ACTIONS(1687),
    [sym_keyword_uuid] = ACTIONS(1687),
    [sym_keyword_json] = ACTIONS(1687),
    [sym_keyword_jsonb] = ACTIONS(1687),
    [sym_keyword_xml] = ACTIONS(1687),
    [sym_keyword_bytea] = ACTIONS(1687),
    [sym_keyword_enum] = ACTIONS(1687),
    [sym_keyword_date] = ACTIONS(1687),
    [sym_keyword_datetime] = ACTIONS(1687),
    [sym_keyword_datetime2] = ACTIONS(1687),
    [sym_keyword_smalldatetime] = ACTIONS(1687),
    [sym_keyword_datetimeoffset] = ACTIONS(1687),
    [sym_keyword_time] = ACTIONS(1687),
    [sym_keyword_timestamp] = ACTIONS(1687),
    [sym_keyword_timestamptz] = ACTIONS(1687),
    [sym_keyword_interval] = ACTIONS(1687),
    [sym_keyword_geometry] = ACTIONS(1687),
    [sym_keyword_geography] = ACTIONS(1687),
    [sym_keyword_box2d] = ACTIONS(1687),
    [sym_keyword_box3d] = ACTIONS(1687),
    [sym_keyword_oid] = ACTIONS(1687),
    [sym_keyword_name] = ACTIONS(1687),
    [sym_keyword_regclass] = ACTIONS(1687),
    [sym_keyword_regnamespace] = ACTIONS(1687),
    [sym_keyword_regproc] = ACTIONS(1687),
    [sym_keyword_regtype] = ACTIONS(1687),
    [anon_sym_RPAREN] = ACTIONS(1703),
    [anon_sym_COMMA] = ACTIONS(1703),
    [aux_sym_double_token1] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1703),
    [aux_sym_identifier_token1] = ACTIONS(1703),
  },
  [140] = {
    [aux_sym_set_statement_repeat1] = STATE(11292),
    [sym__identifier] = ACTIONS(1687),
    [aux_sym_keyword_character_token1] = ACTIONS(1687),
    [sym_keyword_unsigned] = ACTIONS(1687),
    [sym_keyword_boolean] = ACTIONS(1687),
    [sym_keyword_bit] = ACTIONS(1687),
    [sym_keyword_binary] = ACTIONS(1687),
    [sym_keyword_varbinary] = ACTIONS(1687),
    [sym_keyword_image] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_serial_token1] = ACTIONS(1687),
    [aux_sym_keyword_serial_token2] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token1] = ACTIONS(1687),
    [aux_sym_keyword_int_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token3] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1687),
    [sym_keyword_decimal] = ACTIONS(1687),
    [sym_keyword_numeric] = ACTIONS(1687),
    [aux_sym_keyword_real_token1] = ACTIONS(1687),
    [aux_sym_keyword_real_token2] = ACTIONS(1687),
    [sym_keyword_float] = ACTIONS(1687),
    [sym_keyword_double] = ACTIONS(1687),
    [sym_keyword_inet] = ACTIONS(1687),
    [sym_keyword_money] = ACTIONS(1687),
    [sym_keyword_smallmoney] = ACTIONS(1687),
    [aux_sym_keyword_char_token1] = ACTIONS(1687),
    [sym_keyword_nchar] = ACTIONS(1687),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1687),
    [sym_keyword_nvarchar] = ACTIONS(1687),
    [sym_keyword_text] = ACTIONS(1687),
    [sym_keyword_string] = ACTIONS(1687),
    [sym_keyword_uuid] = ACTIONS(1687),
    [sym_keyword_json] = ACTIONS(1687),
    [sym_keyword_jsonb] = ACTIONS(1687),
    [sym_keyword_xml] = ACTIONS(1687),
    [sym_keyword_bytea] = ACTIONS(1687),
    [sym_keyword_enum] = ACTIONS(1687),
    [sym_keyword_date] = ACTIONS(1687),
    [sym_keyword_datetime] = ACTIONS(1687),
    [sym_keyword_datetime2] = ACTIONS(1687),
    [sym_keyword_smalldatetime] = ACTIONS(1687),
    [sym_keyword_datetimeoffset] = ACTIONS(1687),
    [sym_keyword_time] = ACTIONS(1687),
    [sym_keyword_timestamp] = ACTIONS(1687),
    [sym_keyword_timestamptz] = ACTIONS(1687),
    [sym_keyword_interval] = ACTIONS(1687),
    [sym_keyword_geometry] = ACTIONS(1687),
    [sym_keyword_geography] = ACTIONS(1687),
    [sym_keyword_box2d] = ACTIONS(1687),
    [sym_keyword_box3d] = ACTIONS(1687),
    [sym_keyword_oid] = ACTIONS(1687),
    [sym_keyword_name] = ACTIONS(1687),
    [sym_keyword_regclass] = ACTIONS(1687),
    [sym_keyword_regnamespace] = ACTIONS(1687),
    [sym_keyword_regproc] = ACTIONS(1687),
    [sym_keyword_regtype] = ACTIONS(1687),
    [anon_sym_RPAREN] = ACTIONS(1781),
    [anon_sym_COMMA] = ACTIONS(1783),
    [aux_sym_double_token1] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1785),
    [sym__double_quote_string] = ACTIONS(1703),
    [aux_sym_identifier_token1] = ACTIONS(1703),
  },
  [141] = {
    [aux_sym_set_statement_repeat1] = STATE(11364),
    [sym__identifier] = ACTIONS(1687),
    [aux_sym_keyword_character_token1] = ACTIONS(1687),
    [sym_keyword_unsigned] = ACTIONS(1687),
    [sym_keyword_boolean] = ACTIONS(1687),
    [sym_keyword_bit] = ACTIONS(1687),
    [sym_keyword_binary] = ACTIONS(1687),
    [sym_keyword_varbinary] = ACTIONS(1687),
    [sym_keyword_image] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_serial_token1] = ACTIONS(1687),
    [aux_sym_keyword_serial_token2] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token1] = ACTIONS(1687),
    [aux_sym_keyword_int_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token3] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1687),
    [sym_keyword_decimal] = ACTIONS(1687),
    [sym_keyword_numeric] = ACTIONS(1687),
    [aux_sym_keyword_real_token1] = ACTIONS(1687),
    [aux_sym_keyword_real_token2] = ACTIONS(1687),
    [sym_keyword_float] = ACTIONS(1687),
    [sym_keyword_double] = ACTIONS(1687),
    [sym_keyword_inet] = ACTIONS(1687),
    [sym_keyword_money] = ACTIONS(1687),
    [sym_keyword_smallmoney] = ACTIONS(1687),
    [aux_sym_keyword_char_token1] = ACTIONS(1687),
    [sym_keyword_nchar] = ACTIONS(1687),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1687),
    [sym_keyword_nvarchar] = ACTIONS(1687),
    [sym_keyword_text] = ACTIONS(1687),
    [sym_keyword_string] = ACTIONS(1687),
    [sym_keyword_uuid] = ACTIONS(1687),
    [sym_keyword_json] = ACTIONS(1687),
    [sym_keyword_jsonb] = ACTIONS(1687),
    [sym_keyword_xml] = ACTIONS(1687),
    [sym_keyword_bytea] = ACTIONS(1687),
    [sym_keyword_enum] = ACTIONS(1687),
    [sym_keyword_date] = ACTIONS(1687),
    [sym_keyword_datetime] = ACTIONS(1687),
    [sym_keyword_datetime2] = ACTIONS(1687),
    [sym_keyword_smalldatetime] = ACTIONS(1687),
    [sym_keyword_datetimeoffset] = ACTIONS(1687),
    [sym_keyword_time] = ACTIONS(1687),
    [sym_keyword_timestamp] = ACTIONS(1687),
    [sym_keyword_timestamptz] = ACTIONS(1687),
    [sym_keyword_interval] = ACTIONS(1687),
    [sym_keyword_geometry] = ACTIONS(1687),
    [sym_keyword_geography] = ACTIONS(1687),
    [sym_keyword_box2d] = ACTIONS(1687),
    [sym_keyword_box3d] = ACTIONS(1687),
    [sym_keyword_oid] = ACTIONS(1687),
    [sym_keyword_name] = ACTIONS(1687),
    [sym_keyword_regclass] = ACTIONS(1687),
    [sym_keyword_regnamespace] = ACTIONS(1687),
    [sym_keyword_regproc] = ACTIONS(1687),
    [sym_keyword_regtype] = ACTIONS(1687),
    [anon_sym_RPAREN] = ACTIONS(1787),
    [anon_sym_COMMA] = ACTIONS(1783),
    [aux_sym_double_token1] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1785),
    [sym__double_quote_string] = ACTIONS(1703),
    [aux_sym_identifier_token1] = ACTIONS(1703),
  },
  [142] = {
    [aux_sym_set_statement_repeat1] = STATE(10990),
    [sym__identifier] = ACTIONS(1687),
    [aux_sym_keyword_character_token1] = ACTIONS(1687),
    [sym_keyword_unsigned] = ACTIONS(1687),
    [sym_keyword_boolean] = ACTIONS(1687),
    [sym_keyword_bit] = ACTIONS(1687),
    [sym_keyword_binary] = ACTIONS(1687),
    [sym_keyword_varbinary] = ACTIONS(1687),
    [sym_keyword_image] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_serial_token1] = ACTIONS(1687),
    [aux_sym_keyword_serial_token2] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token1] = ACTIONS(1687),
    [aux_sym_keyword_int_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token3] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1687),
    [sym_keyword_decimal] = ACTIONS(1687),
    [sym_keyword_numeric] = ACTIONS(1687),
    [aux_sym_keyword_real_token1] = ACTIONS(1687),
    [aux_sym_keyword_real_token2] = ACTIONS(1687),
    [sym_keyword_float] = ACTIONS(1687),
    [sym_keyword_double] = ACTIONS(1687),
    [sym_keyword_inet] = ACTIONS(1687),
    [sym_keyword_money] = ACTIONS(1687),
    [sym_keyword_smallmoney] = ACTIONS(1687),
    [aux_sym_keyword_char_token1] = ACTIONS(1687),
    [sym_keyword_nchar] = ACTIONS(1687),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1687),
    [sym_keyword_nvarchar] = ACTIONS(1687),
    [sym_keyword_text] = ACTIONS(1687),
    [sym_keyword_string] = ACTIONS(1687),
    [sym_keyword_uuid] = ACTIONS(1687),
    [sym_keyword_json] = ACTIONS(1687),
    [sym_keyword_jsonb] = ACTIONS(1687),
    [sym_keyword_xml] = ACTIONS(1687),
    [sym_keyword_bytea] = ACTIONS(1687),
    [sym_keyword_enum] = ACTIONS(1687),
    [sym_keyword_date] = ACTIONS(1687),
    [sym_keyword_datetime] = ACTIONS(1687),
    [sym_keyword_datetime2] = ACTIONS(1687),
    [sym_keyword_smalldatetime] = ACTIONS(1687),
    [sym_keyword_datetimeoffset] = ACTIONS(1687),
    [sym_keyword_time] = ACTIONS(1687),
    [sym_keyword_timestamp] = ACTIONS(1687),
    [sym_keyword_timestamptz] = ACTIONS(1687),
    [sym_keyword_interval] = ACTIONS(1687),
    [sym_keyword_geometry] = ACTIONS(1687),
    [sym_keyword_geography] = ACTIONS(1687),
    [sym_keyword_box2d] = ACTIONS(1687),
    [sym_keyword_box3d] = ACTIONS(1687),
    [sym_keyword_oid] = ACTIONS(1687),
    [sym_keyword_name] = ACTIONS(1687),
    [sym_keyword_regclass] = ACTIONS(1687),
    [sym_keyword_regnamespace] = ACTIONS(1687),
    [sym_keyword_regproc] = ACTIONS(1687),
    [sym_keyword_regtype] = ACTIONS(1687),
    [anon_sym_RPAREN] = ACTIONS(1789),
    [anon_sym_COMMA] = ACTIONS(1783),
    [aux_sym_double_token1] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1785),
    [sym__double_quote_string] = ACTIONS(1703),
    [aux_sym_identifier_token1] = ACTIONS(1703),
  },
  [143] = {
    [aux_sym_set_statement_repeat1] = STATE(11350),
    [sym__identifier] = ACTIONS(1687),
    [aux_sym_keyword_character_token1] = ACTIONS(1687),
    [sym_keyword_unsigned] = ACTIONS(1687),
    [sym_keyword_boolean] = ACTIONS(1687),
    [sym_keyword_bit] = ACTIONS(1687),
    [sym_keyword_binary] = ACTIONS(1687),
    [sym_keyword_varbinary] = ACTIONS(1687),
    [sym_keyword_image] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_serial_token1] = ACTIONS(1687),
    [aux_sym_keyword_serial_token2] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token1] = ACTIONS(1687),
    [aux_sym_keyword_int_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token3] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1687),
    [sym_keyword_decimal] = ACTIONS(1687),
    [sym_keyword_numeric] = ACTIONS(1687),
    [aux_sym_keyword_real_token1] = ACTIONS(1687),
    [aux_sym_keyword_real_token2] = ACTIONS(1687),
    [sym_keyword_float] = ACTIONS(1687),
    [sym_keyword_double] = ACTIONS(1687),
    [sym_keyword_inet] = ACTIONS(1687),
    [sym_keyword_money] = ACTIONS(1687),
    [sym_keyword_smallmoney] = ACTIONS(1687),
    [aux_sym_keyword_char_token1] = ACTIONS(1687),
    [sym_keyword_nchar] = ACTIONS(1687),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1687),
    [sym_keyword_nvarchar] = ACTIONS(1687),
    [sym_keyword_text] = ACTIONS(1687),
    [sym_keyword_string] = ACTIONS(1687),
    [sym_keyword_uuid] = ACTIONS(1687),
    [sym_keyword_json] = ACTIONS(1687),
    [sym_keyword_jsonb] = ACTIONS(1687),
    [sym_keyword_xml] = ACTIONS(1687),
    [sym_keyword_bytea] = ACTIONS(1687),
    [sym_keyword_enum] = ACTIONS(1687),
    [sym_keyword_date] = ACTIONS(1687),
    [sym_keyword_datetime] = ACTIONS(1687),
    [sym_keyword_datetime2] = ACTIONS(1687),
    [sym_keyword_smalldatetime] = ACTIONS(1687),
    [sym_keyword_datetimeoffset] = ACTIONS(1687),
    [sym_keyword_time] = ACTIONS(1687),
    [sym_keyword_timestamp] = ACTIONS(1687),
    [sym_keyword_timestamptz] = ACTIONS(1687),
    [sym_keyword_interval] = ACTIONS(1687),
    [sym_keyword_geometry] = ACTIONS(1687),
    [sym_keyword_geography] = ACTIONS(1687),
    [sym_keyword_box2d] = ACTIONS(1687),
    [sym_keyword_box3d] = ACTIONS(1687),
    [sym_keyword_oid] = ACTIONS(1687),
    [sym_keyword_name] = ACTIONS(1687),
    [sym_keyword_regclass] = ACTIONS(1687),
    [sym_keyword_regnamespace] = ACTIONS(1687),
    [sym_keyword_regproc] = ACTIONS(1687),
    [sym_keyword_regtype] = ACTIONS(1687),
    [anon_sym_RPAREN] = ACTIONS(1791),
    [anon_sym_COMMA] = ACTIONS(1783),
    [aux_sym_double_token1] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1785),
    [sym__double_quote_string] = ACTIONS(1703),
    [aux_sym_identifier_token1] = ACTIONS(1703),
  },
  [144] = {
    [aux_sym_set_statement_repeat1] = STATE(11043),
    [sym__identifier] = ACTIONS(1687),
    [aux_sym_keyword_character_token1] = ACTIONS(1687),
    [sym_keyword_unsigned] = ACTIONS(1687),
    [sym_keyword_boolean] = ACTIONS(1687),
    [sym_keyword_bit] = ACTIONS(1687),
    [sym_keyword_binary] = ACTIONS(1687),
    [sym_keyword_varbinary] = ACTIONS(1687),
    [sym_keyword_image] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_serial_token1] = ACTIONS(1687),
    [aux_sym_keyword_serial_token2] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token1] = ACTIONS(1687),
    [aux_sym_keyword_int_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token3] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1687),
    [sym_keyword_decimal] = ACTIONS(1687),
    [sym_keyword_numeric] = ACTIONS(1687),
    [aux_sym_keyword_real_token1] = ACTIONS(1687),
    [aux_sym_keyword_real_token2] = ACTIONS(1687),
    [sym_keyword_float] = ACTIONS(1687),
    [sym_keyword_double] = ACTIONS(1687),
    [sym_keyword_inet] = ACTIONS(1687),
    [sym_keyword_money] = ACTIONS(1687),
    [sym_keyword_smallmoney] = ACTIONS(1687),
    [aux_sym_keyword_char_token1] = ACTIONS(1687),
    [sym_keyword_nchar] = ACTIONS(1687),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1687),
    [sym_keyword_nvarchar] = ACTIONS(1687),
    [sym_keyword_text] = ACTIONS(1687),
    [sym_keyword_string] = ACTIONS(1687),
    [sym_keyword_uuid] = ACTIONS(1687),
    [sym_keyword_json] = ACTIONS(1687),
    [sym_keyword_jsonb] = ACTIONS(1687),
    [sym_keyword_xml] = ACTIONS(1687),
    [sym_keyword_bytea] = ACTIONS(1687),
    [sym_keyword_enum] = ACTIONS(1687),
    [sym_keyword_date] = ACTIONS(1687),
    [sym_keyword_datetime] = ACTIONS(1687),
    [sym_keyword_datetime2] = ACTIONS(1687),
    [sym_keyword_smalldatetime] = ACTIONS(1687),
    [sym_keyword_datetimeoffset] = ACTIONS(1687),
    [sym_keyword_time] = ACTIONS(1687),
    [sym_keyword_timestamp] = ACTIONS(1687),
    [sym_keyword_timestamptz] = ACTIONS(1687),
    [sym_keyword_interval] = ACTIONS(1687),
    [sym_keyword_geometry] = ACTIONS(1687),
    [sym_keyword_geography] = ACTIONS(1687),
    [sym_keyword_box2d] = ACTIONS(1687),
    [sym_keyword_box3d] = ACTIONS(1687),
    [sym_keyword_oid] = ACTIONS(1687),
    [sym_keyword_name] = ACTIONS(1687),
    [sym_keyword_regclass] = ACTIONS(1687),
    [sym_keyword_regnamespace] = ACTIONS(1687),
    [sym_keyword_regproc] = ACTIONS(1687),
    [sym_keyword_regtype] = ACTIONS(1687),
    [anon_sym_RPAREN] = ACTIONS(1793),
    [anon_sym_COMMA] = ACTIONS(1783),
    [aux_sym_double_token1] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1785),
    [sym__double_quote_string] = ACTIONS(1703),
    [aux_sym_identifier_token1] = ACTIONS(1703),
  },
  [145] = {
    [aux_sym_set_statement_repeat1] = STATE(11334),
    [sym__identifier] = ACTIONS(1687),
    [aux_sym_keyword_character_token1] = ACTIONS(1687),
    [sym_keyword_unsigned] = ACTIONS(1687),
    [sym_keyword_boolean] = ACTIONS(1687),
    [sym_keyword_bit] = ACTIONS(1687),
    [sym_keyword_binary] = ACTIONS(1687),
    [sym_keyword_varbinary] = ACTIONS(1687),
    [sym_keyword_image] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_serial_token1] = ACTIONS(1687),
    [aux_sym_keyword_serial_token2] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token1] = ACTIONS(1687),
    [aux_sym_keyword_int_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token3] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1687),
    [sym_keyword_decimal] = ACTIONS(1687),
    [sym_keyword_numeric] = ACTIONS(1687),
    [aux_sym_keyword_real_token1] = ACTIONS(1687),
    [aux_sym_keyword_real_token2] = ACTIONS(1687),
    [sym_keyword_float] = ACTIONS(1687),
    [sym_keyword_double] = ACTIONS(1687),
    [sym_keyword_inet] = ACTIONS(1687),
    [sym_keyword_money] = ACTIONS(1687),
    [sym_keyword_smallmoney] = ACTIONS(1687),
    [aux_sym_keyword_char_token1] = ACTIONS(1687),
    [sym_keyword_nchar] = ACTIONS(1687),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1687),
    [sym_keyword_nvarchar] = ACTIONS(1687),
    [sym_keyword_text] = ACTIONS(1687),
    [sym_keyword_string] = ACTIONS(1687),
    [sym_keyword_uuid] = ACTIONS(1687),
    [sym_keyword_json] = ACTIONS(1687),
    [sym_keyword_jsonb] = ACTIONS(1687),
    [sym_keyword_xml] = ACTIONS(1687),
    [sym_keyword_bytea] = ACTIONS(1687),
    [sym_keyword_enum] = ACTIONS(1687),
    [sym_keyword_date] = ACTIONS(1687),
    [sym_keyword_datetime] = ACTIONS(1687),
    [sym_keyword_datetime2] = ACTIONS(1687),
    [sym_keyword_smalldatetime] = ACTIONS(1687),
    [sym_keyword_datetimeoffset] = ACTIONS(1687),
    [sym_keyword_time] = ACTIONS(1687),
    [sym_keyword_timestamp] = ACTIONS(1687),
    [sym_keyword_timestamptz] = ACTIONS(1687),
    [sym_keyword_interval] = ACTIONS(1687),
    [sym_keyword_geometry] = ACTIONS(1687),
    [sym_keyword_geography] = ACTIONS(1687),
    [sym_keyword_box2d] = ACTIONS(1687),
    [sym_keyword_box3d] = ACTIONS(1687),
    [sym_keyword_oid] = ACTIONS(1687),
    [sym_keyword_name] = ACTIONS(1687),
    [sym_keyword_regclass] = ACTIONS(1687),
    [sym_keyword_regnamespace] = ACTIONS(1687),
    [sym_keyword_regproc] = ACTIONS(1687),
    [sym_keyword_regtype] = ACTIONS(1687),
    [anon_sym_RPAREN] = ACTIONS(1795),
    [anon_sym_COMMA] = ACTIONS(1783),
    [aux_sym_double_token1] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1785),
    [sym__double_quote_string] = ACTIONS(1703),
    [aux_sym_identifier_token1] = ACTIONS(1703),
  },
  [146] = {
    [aux_sym_set_statement_repeat1] = STATE(11389),
    [sym__identifier] = ACTIONS(1687),
    [aux_sym_keyword_character_token1] = ACTIONS(1687),
    [sym_keyword_unsigned] = ACTIONS(1687),
    [sym_keyword_boolean] = ACTIONS(1687),
    [sym_keyword_bit] = ACTIONS(1687),
    [sym_keyword_binary] = ACTIONS(1687),
    [sym_keyword_varbinary] = ACTIONS(1687),
    [sym_keyword_image] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_serial_token1] = ACTIONS(1687),
    [aux_sym_keyword_serial_token2] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token1] = ACTIONS(1687),
    [aux_sym_keyword_int_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token3] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1687),
    [sym_keyword_decimal] = ACTIONS(1687),
    [sym_keyword_numeric] = ACTIONS(1687),
    [aux_sym_keyword_real_token1] = ACTIONS(1687),
    [aux_sym_keyword_real_token2] = ACTIONS(1687),
    [sym_keyword_float] = ACTIONS(1687),
    [sym_keyword_double] = ACTIONS(1687),
    [sym_keyword_inet] = ACTIONS(1687),
    [sym_keyword_money] = ACTIONS(1687),
    [sym_keyword_smallmoney] = ACTIONS(1687),
    [aux_sym_keyword_char_token1] = ACTIONS(1687),
    [sym_keyword_nchar] = ACTIONS(1687),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1687),
    [sym_keyword_nvarchar] = ACTIONS(1687),
    [sym_keyword_text] = ACTIONS(1687),
    [sym_keyword_string] = ACTIONS(1687),
    [sym_keyword_uuid] = ACTIONS(1687),
    [sym_keyword_json] = ACTIONS(1687),
    [sym_keyword_jsonb] = ACTIONS(1687),
    [sym_keyword_xml] = ACTIONS(1687),
    [sym_keyword_bytea] = ACTIONS(1687),
    [sym_keyword_enum] = ACTIONS(1687),
    [sym_keyword_date] = ACTIONS(1687),
    [sym_keyword_datetime] = ACTIONS(1687),
    [sym_keyword_datetime2] = ACTIONS(1687),
    [sym_keyword_smalldatetime] = ACTIONS(1687),
    [sym_keyword_datetimeoffset] = ACTIONS(1687),
    [sym_keyword_time] = ACTIONS(1687),
    [sym_keyword_timestamp] = ACTIONS(1687),
    [sym_keyword_timestamptz] = ACTIONS(1687),
    [sym_keyword_interval] = ACTIONS(1687),
    [sym_keyword_geometry] = ACTIONS(1687),
    [sym_keyword_geography] = ACTIONS(1687),
    [sym_keyword_box2d] = ACTIONS(1687),
    [sym_keyword_box3d] = ACTIONS(1687),
    [sym_keyword_oid] = ACTIONS(1687),
    [sym_keyword_name] = ACTIONS(1687),
    [sym_keyword_regclass] = ACTIONS(1687),
    [sym_keyword_regnamespace] = ACTIONS(1687),
    [sym_keyword_regproc] = ACTIONS(1687),
    [sym_keyword_regtype] = ACTIONS(1687),
    [anon_sym_RPAREN] = ACTIONS(1797),
    [anon_sym_COMMA] = ACTIONS(1783),
    [aux_sym_double_token1] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1785),
    [sym__double_quote_string] = ACTIONS(1703),
    [aux_sym_identifier_token1] = ACTIONS(1703),
  },
  [147] = {
    [aux_sym_set_statement_repeat1] = STATE(11144),
    [sym__identifier] = ACTIONS(1687),
    [aux_sym_keyword_character_token1] = ACTIONS(1687),
    [sym_keyword_unsigned] = ACTIONS(1687),
    [sym_keyword_boolean] = ACTIONS(1687),
    [sym_keyword_bit] = ACTIONS(1687),
    [sym_keyword_binary] = ACTIONS(1687),
    [sym_keyword_varbinary] = ACTIONS(1687),
    [sym_keyword_image] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_serial_token1] = ACTIONS(1687),
    [aux_sym_keyword_serial_token2] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token1] = ACTIONS(1687),
    [aux_sym_keyword_int_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token3] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1687),
    [sym_keyword_decimal] = ACTIONS(1687),
    [sym_keyword_numeric] = ACTIONS(1687),
    [aux_sym_keyword_real_token1] = ACTIONS(1687),
    [aux_sym_keyword_real_token2] = ACTIONS(1687),
    [sym_keyword_float] = ACTIONS(1687),
    [sym_keyword_double] = ACTIONS(1687),
    [sym_keyword_inet] = ACTIONS(1687),
    [sym_keyword_money] = ACTIONS(1687),
    [sym_keyword_smallmoney] = ACTIONS(1687),
    [aux_sym_keyword_char_token1] = ACTIONS(1687),
    [sym_keyword_nchar] = ACTIONS(1687),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1687),
    [sym_keyword_nvarchar] = ACTIONS(1687),
    [sym_keyword_text] = ACTIONS(1687),
    [sym_keyword_string] = ACTIONS(1687),
    [sym_keyword_uuid] = ACTIONS(1687),
    [sym_keyword_json] = ACTIONS(1687),
    [sym_keyword_jsonb] = ACTIONS(1687),
    [sym_keyword_xml] = ACTIONS(1687),
    [sym_keyword_bytea] = ACTIONS(1687),
    [sym_keyword_enum] = ACTIONS(1687),
    [sym_keyword_date] = ACTIONS(1687),
    [sym_keyword_datetime] = ACTIONS(1687),
    [sym_keyword_datetime2] = ACTIONS(1687),
    [sym_keyword_smalldatetime] = ACTIONS(1687),
    [sym_keyword_datetimeoffset] = ACTIONS(1687),
    [sym_keyword_time] = ACTIONS(1687),
    [sym_keyword_timestamp] = ACTIONS(1687),
    [sym_keyword_timestamptz] = ACTIONS(1687),
    [sym_keyword_interval] = ACTIONS(1687),
    [sym_keyword_geometry] = ACTIONS(1687),
    [sym_keyword_geography] = ACTIONS(1687),
    [sym_keyword_box2d] = ACTIONS(1687),
    [sym_keyword_box3d] = ACTIONS(1687),
    [sym_keyword_oid] = ACTIONS(1687),
    [sym_keyword_name] = ACTIONS(1687),
    [sym_keyword_regclass] = ACTIONS(1687),
    [sym_keyword_regnamespace] = ACTIONS(1687),
    [sym_keyword_regproc] = ACTIONS(1687),
    [sym_keyword_regtype] = ACTIONS(1687),
    [anon_sym_RPAREN] = ACTIONS(1799),
    [anon_sym_COMMA] = ACTIONS(1783),
    [aux_sym_double_token1] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1785),
    [sym__double_quote_string] = ACTIONS(1703),
    [aux_sym_identifier_token1] = ACTIONS(1703),
  },
  [148] = {
    [aux_sym_set_statement_repeat1] = STATE(11102),
    [sym__identifier] = ACTIONS(1687),
    [aux_sym_keyword_character_token1] = ACTIONS(1687),
    [sym_keyword_unsigned] = ACTIONS(1687),
    [sym_keyword_boolean] = ACTIONS(1687),
    [sym_keyword_bit] = ACTIONS(1687),
    [sym_keyword_binary] = ACTIONS(1687),
    [sym_keyword_varbinary] = ACTIONS(1687),
    [sym_keyword_image] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_serial_token1] = ACTIONS(1687),
    [aux_sym_keyword_serial_token2] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1687),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1687),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1687),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token1] = ACTIONS(1687),
    [aux_sym_keyword_int_token2] = ACTIONS(1687),
    [aux_sym_keyword_int_token3] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1687),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1687),
    [sym_keyword_decimal] = ACTIONS(1687),
    [sym_keyword_numeric] = ACTIONS(1687),
    [aux_sym_keyword_real_token1] = ACTIONS(1687),
    [aux_sym_keyword_real_token2] = ACTIONS(1687),
    [sym_keyword_float] = ACTIONS(1687),
    [sym_keyword_double] = ACTIONS(1687),
    [sym_keyword_inet] = ACTIONS(1687),
    [sym_keyword_money] = ACTIONS(1687),
    [sym_keyword_smallmoney] = ACTIONS(1687),
    [aux_sym_keyword_char_token1] = ACTIONS(1687),
    [sym_keyword_nchar] = ACTIONS(1687),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1687),
    [sym_keyword_nvarchar] = ACTIONS(1687),
    [sym_keyword_text] = ACTIONS(1687),
    [sym_keyword_string] = ACTIONS(1687),
    [sym_keyword_uuid] = ACTIONS(1687),
    [sym_keyword_json] = ACTIONS(1687),
    [sym_keyword_jsonb] = ACTIONS(1687),
    [sym_keyword_xml] = ACTIONS(1687),
    [sym_keyword_bytea] = ACTIONS(1687),
    [sym_keyword_enum] = ACTIONS(1687),
    [sym_keyword_date] = ACTIONS(1687),
    [sym_keyword_datetime] = ACTIONS(1687),
    [sym_keyword_datetime2] = ACTIONS(1687),
    [sym_keyword_smalldatetime] = ACTIONS(1687),
    [sym_keyword_datetimeoffset] = ACTIONS(1687),
    [sym_keyword_time] = ACTIONS(1687),
    [sym_keyword_timestamp] = ACTIONS(1687),
    [sym_keyword_timestamptz] = ACTIONS(1687),
    [sym_keyword_interval] = ACTIONS(1687),
    [sym_keyword_geometry] = ACTIONS(1687),
    [sym_keyword_geography] = ACTIONS(1687),
    [sym_keyword_box2d] = ACTIONS(1687),
    [sym_keyword_box3d] = ACTIONS(1687),
    [sym_keyword_oid] = ACTIONS(1687),
    [sym_keyword_name] = ACTIONS(1687),
    [sym_keyword_regclass] = ACTIONS(1687),
    [sym_keyword_regnamespace] = ACTIONS(1687),
    [sym_keyword_regproc] = ACTIONS(1687),
    [sym_keyword_regtype] = ACTIONS(1687),
    [anon_sym_RPAREN] = ACTIONS(1801),
    [anon_sym_COMMA] = ACTIONS(1783),
    [aux_sym_double_token1] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1785),
    [sym__double_quote_string] = ACTIONS(1703),
    [aux_sym_identifier_token1] = ACTIONS(1703),
  },
  [149] = {
    [ts_builtin_sym_end] = ACTIONS(1803),
    [anon_sym_SEMI] = ACTIONS(1803),
    [sym_keyword_from] = ACTIONS(1803),
    [sym_keyword_on] = ACTIONS(1803),
    [sym_keyword_where] = ACTIONS(1803),
    [sym_keyword_desc] = ACTIONS(1803),
    [sym_keyword_asc] = ACTIONS(1803),
    [sym_keyword_limit] = ACTIONS(1803),
    [sym_keyword_primary] = ACTIONS(1803),
    [sym_keyword_create] = ACTIONS(1803),
    [sym_keyword_as] = ACTIONS(1805),
    [sym_keyword_constraint] = ACTIONS(1803),
    [sym_keyword_separator] = ACTIONS(1803),
    [sym_keyword_when] = ACTIONS(1803),
    [sym_keyword_then] = ACTIONS(1803),
    [sym_keyword_else] = ACTIONS(1803),
    [sym_keyword_end] = ACTIONS(1803),
    [sym_keyword_in] = ACTIONS(1803),
    [sym_keyword_and] = ACTIONS(1803),
    [sym_keyword_or] = ACTIONS(1803),
    [sym_keyword_is] = ACTIONS(1803),
    [sym_keyword_not] = ACTIONS(1803),
    [sym_keyword_using] = ACTIONS(1803),
    [sym_keyword_auto_increment] = ACTIONS(1803),
    [sym_keyword_generated] = ACTIONS(1803),
    [sym_keyword_default] = ACTIONS(1803),
    [sym_keyword_with] = ACTIONS(1803),
    [sym_keyword_returning] = ACTIONS(1803),
    [sym_keyword_first] = ACTIONS(1803),
    [sym_keyword_after] = ACTIONS(1803),
    [sym_keyword_range] = ACTIONS(1803),
    [sym_keyword_rows] = ACTIONS(1803),
    [sym_keyword_groups] = ACTIONS(1803),
    [sym_keyword_between] = ACTIONS(1803),
    [sym_keyword_preceding] = ACTIONS(1803),
    [sym_keyword_following] = ACTIONS(1803),
    [sym_keyword_unique] = ACTIONS(1803),
    [sym_keyword_references] = ACTIONS(1803),
    [aux_sym_keyword_like_token1] = ACTIONS(1803),
    [aux_sym_keyword_like_token2] = ACTIONS(1803),
    [sym_keyword_similar] = ACTIONS(1803),
    [sym_keyword_unsigned] = ACTIONS(1807),
    [sym_keyword_zerofill] = ACTIONS(1809),
    [sym_keyword_check] = ACTIONS(1803),
    [sym_keyword_stored] = ACTIONS(1803),
    [sym_keyword_virtual] = ACTIONS(1803),
    [sym_keyword_comment] = ACTIONS(1803),
    [sym_keyword_null] = ACTIONS(1803),
    [sym_keyword_precision] = ACTIONS(1811),
    [sym_keyword_array] = ACTIONS(1803),
    [anon_sym_LBRACK] = ACTIONS(1803),
    [anon_sym_RBRACK] = ACTIONS(1803),
    [anon_sym_LPAREN] = ACTIONS(1813),
    [anon_sym_RPAREN] = ACTIONS(1803),
    [anon_sym_COMMA] = ACTIONS(1803),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1803),
    [anon_sym_STAR] = ACTIONS(1803),
    [anon_sym_COLON_COLON] = ACTIONS(1803),
    [anon_sym_LT] = ACTIONS(1805),
    [anon_sym_GT] = ACTIONS(1805),
    [anon_sym_LT_EQ] = ACTIONS(1803),
    [anon_sym_GT_EQ] = ACTIONS(1803),
    [anon_sym_COLON] = ACTIONS(1805),
    [sym_op_other] = ACTIONS(1803),
    [anon_sym_PLUS] = ACTIONS(1803),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_SLASH] = ACTIONS(1805),
    [anon_sym_PERCENT] = ACTIONS(1803),
    [anon_sym_CARET] = ACTIONS(1805),
    [anon_sym_BANG_EQ] = ACTIONS(1803),
    [anon_sym_LT_GT] = ACTIONS(1803),
  },
  [150] = {
    [ts_builtin_sym_end] = ACTIONS(1815),
    [anon_sym_SEMI] = ACTIONS(1815),
    [sym_keyword_from] = ACTIONS(1815),
    [sym_keyword_on] = ACTIONS(1815),
    [sym_keyword_where] = ACTIONS(1815),
    [sym_keyword_desc] = ACTIONS(1815),
    [sym_keyword_asc] = ACTIONS(1815),
    [sym_keyword_limit] = ACTIONS(1815),
    [sym_keyword_primary] = ACTIONS(1815),
    [sym_keyword_create] = ACTIONS(1815),
    [sym_keyword_as] = ACTIONS(1817),
    [sym_keyword_constraint] = ACTIONS(1815),
    [sym_keyword_separator] = ACTIONS(1815),
    [sym_keyword_when] = ACTIONS(1815),
    [sym_keyword_then] = ACTIONS(1815),
    [sym_keyword_else] = ACTIONS(1815),
    [sym_keyword_end] = ACTIONS(1815),
    [sym_keyword_in] = ACTIONS(1815),
    [sym_keyword_and] = ACTIONS(1815),
    [sym_keyword_or] = ACTIONS(1815),
    [sym_keyword_is] = ACTIONS(1815),
    [sym_keyword_not] = ACTIONS(1815),
    [sym_keyword_using] = ACTIONS(1815),
    [sym_keyword_auto_increment] = ACTIONS(1815),
    [sym_keyword_generated] = ACTIONS(1815),
    [sym_keyword_default] = ACTIONS(1815),
    [sym_keyword_with] = ACTIONS(1815),
    [sym_keyword_returning] = ACTIONS(1815),
    [sym_keyword_first] = ACTIONS(1815),
    [sym_keyword_after] = ACTIONS(1815),
    [sym_keyword_range] = ACTIONS(1815),
    [sym_keyword_rows] = ACTIONS(1815),
    [sym_keyword_groups] = ACTIONS(1815),
    [sym_keyword_between] = ACTIONS(1815),
    [sym_keyword_preceding] = ACTIONS(1815),
    [sym_keyword_following] = ACTIONS(1815),
    [sym_keyword_unique] = ACTIONS(1815),
    [sym_keyword_references] = ACTIONS(1815),
    [aux_sym_keyword_like_token1] = ACTIONS(1815),
    [aux_sym_keyword_like_token2] = ACTIONS(1815),
    [sym_keyword_similar] = ACTIONS(1815),
    [sym_keyword_unsigned] = ACTIONS(1819),
    [sym_keyword_zerofill] = ACTIONS(1821),
    [sym_keyword_check] = ACTIONS(1815),
    [sym_keyword_stored] = ACTIONS(1815),
    [sym_keyword_virtual] = ACTIONS(1815),
    [sym_keyword_comment] = ACTIONS(1815),
    [sym_keyword_null] = ACTIONS(1815),
    [sym_keyword_array] = ACTIONS(1815),
    [anon_sym_LBRACK] = ACTIONS(1815),
    [anon_sym_RBRACK] = ACTIONS(1815),
    [anon_sym_LPAREN] = ACTIONS(1823),
    [anon_sym_RPAREN] = ACTIONS(1815),
    [anon_sym_COMMA] = ACTIONS(1815),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1815),
    [anon_sym_STAR] = ACTIONS(1815),
    [anon_sym_COLON_COLON] = ACTIONS(1815),
    [anon_sym_LT] = ACTIONS(1817),
    [anon_sym_GT] = ACTIONS(1817),
    [anon_sym_LT_EQ] = ACTIONS(1815),
    [anon_sym_GT_EQ] = ACTIONS(1815),
    [anon_sym_COLON] = ACTIONS(1817),
    [sym_op_other] = ACTIONS(1815),
    [anon_sym_PLUS] = ACTIONS(1815),
    [anon_sym_DASH] = ACTIONS(1817),
    [anon_sym_SLASH] = ACTIONS(1817),
    [anon_sym_PERCENT] = ACTIONS(1815),
    [anon_sym_CARET] = ACTIONS(1817),
    [anon_sym_BANG_EQ] = ACTIONS(1815),
    [anon_sym_LT_GT] = ACTIONS(1815),
  },
  [151] = {
    [ts_builtin_sym_end] = ACTIONS(1825),
    [anon_sym_SEMI] = ACTIONS(1825),
    [sym_keyword_from] = ACTIONS(1825),
    [sym_keyword_on] = ACTIONS(1825),
    [sym_keyword_where] = ACTIONS(1825),
    [sym_keyword_desc] = ACTIONS(1825),
    [sym_keyword_asc] = ACTIONS(1825),
    [sym_keyword_limit] = ACTIONS(1825),
    [sym_keyword_primary] = ACTIONS(1825),
    [sym_keyword_create] = ACTIONS(1825),
    [sym_keyword_as] = ACTIONS(1827),
    [sym_keyword_constraint] = ACTIONS(1825),
    [sym_keyword_separator] = ACTIONS(1825),
    [sym_keyword_when] = ACTIONS(1825),
    [sym_keyword_then] = ACTIONS(1825),
    [sym_keyword_else] = ACTIONS(1825),
    [sym_keyword_end] = ACTIONS(1825),
    [sym_keyword_in] = ACTIONS(1825),
    [sym_keyword_and] = ACTIONS(1825),
    [sym_keyword_or] = ACTIONS(1825),
    [sym_keyword_is] = ACTIONS(1825),
    [sym_keyword_not] = ACTIONS(1825),
    [sym_keyword_using] = ACTIONS(1825),
    [sym_keyword_auto_increment] = ACTIONS(1825),
    [sym_keyword_generated] = ACTIONS(1825),
    [sym_keyword_default] = ACTIONS(1825),
    [sym_keyword_with] = ACTIONS(1825),
    [sym_keyword_returning] = ACTIONS(1825),
    [sym_keyword_first] = ACTIONS(1825),
    [sym_keyword_after] = ACTIONS(1825),
    [sym_keyword_range] = ACTIONS(1825),
    [sym_keyword_rows] = ACTIONS(1825),
    [sym_keyword_groups] = ACTIONS(1825),
    [sym_keyword_between] = ACTIONS(1825),
    [sym_keyword_preceding] = ACTIONS(1825),
    [sym_keyword_following] = ACTIONS(1825),
    [sym_keyword_unique] = ACTIONS(1825),
    [sym_keyword_references] = ACTIONS(1825),
    [aux_sym_keyword_like_token1] = ACTIONS(1825),
    [aux_sym_keyword_like_token2] = ACTIONS(1825),
    [sym_keyword_similar] = ACTIONS(1825),
    [sym_keyword_unsigned] = ACTIONS(1825),
    [sym_keyword_zerofill] = ACTIONS(1825),
    [sym_keyword_check] = ACTIONS(1825),
    [sym_keyword_stored] = ACTIONS(1825),
    [sym_keyword_virtual] = ACTIONS(1825),
    [sym_keyword_comment] = ACTIONS(1825),
    [sym_keyword_null] = ACTIONS(1825),
    [sym_keyword_array] = ACTIONS(1825),
    [anon_sym_LBRACK] = ACTIONS(1825),
    [anon_sym_RBRACK] = ACTIONS(1825),
    [anon_sym_LPAREN] = ACTIONS(1825),
    [anon_sym_RPAREN] = ACTIONS(1825),
    [anon_sym_COMMA] = ACTIONS(1825),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1825),
    [anon_sym_STAR] = ACTIONS(1825),
    [anon_sym_COLON_COLON] = ACTIONS(1825),
    [anon_sym_LT] = ACTIONS(1827),
    [anon_sym_GT] = ACTIONS(1827),
    [anon_sym_LT_EQ] = ACTIONS(1825),
    [anon_sym_GT_EQ] = ACTIONS(1825),
    [anon_sym_COLON] = ACTIONS(1827),
    [sym_op_other] = ACTIONS(1825),
    [anon_sym_PLUS] = ACTIONS(1825),
    [anon_sym_DASH] = ACTIONS(1827),
    [anon_sym_SLASH] = ACTIONS(1827),
    [anon_sym_PERCENT] = ACTIONS(1825),
    [anon_sym_CARET] = ACTIONS(1827),
    [anon_sym_BANG_EQ] = ACTIONS(1825),
    [anon_sym_LT_GT] = ACTIONS(1825),
  },
  [152] = {
    [ts_builtin_sym_end] = ACTIONS(1829),
    [anon_sym_SEMI] = ACTIONS(1829),
    [sym_keyword_from] = ACTIONS(1829),
    [sym_keyword_on] = ACTIONS(1829),
    [sym_keyword_where] = ACTIONS(1829),
    [sym_keyword_desc] = ACTIONS(1829),
    [sym_keyword_asc] = ACTIONS(1829),
    [sym_keyword_limit] = ACTIONS(1829),
    [sym_keyword_primary] = ACTIONS(1829),
    [sym_keyword_create] = ACTIONS(1829),
    [sym_keyword_as] = ACTIONS(1831),
    [sym_keyword_constraint] = ACTIONS(1829),
    [sym_keyword_separator] = ACTIONS(1829),
    [sym_keyword_when] = ACTIONS(1829),
    [sym_keyword_then] = ACTIONS(1829),
    [sym_keyword_else] = ACTIONS(1829),
    [sym_keyword_end] = ACTIONS(1829),
    [sym_keyword_in] = ACTIONS(1829),
    [sym_keyword_and] = ACTIONS(1829),
    [sym_keyword_or] = ACTIONS(1829),
    [sym_keyword_is] = ACTIONS(1829),
    [sym_keyword_not] = ACTIONS(1829),
    [sym_keyword_using] = ACTIONS(1829),
    [sym_keyword_auto_increment] = ACTIONS(1829),
    [sym_keyword_generated] = ACTIONS(1829),
    [sym_keyword_default] = ACTIONS(1829),
    [sym_keyword_with] = ACTIONS(1829),
    [sym_keyword_returning] = ACTIONS(1829),
    [sym_keyword_first] = ACTIONS(1829),
    [sym_keyword_after] = ACTIONS(1829),
    [sym_keyword_range] = ACTIONS(1829),
    [sym_keyword_rows] = ACTIONS(1829),
    [sym_keyword_groups] = ACTIONS(1829),
    [sym_keyword_between] = ACTIONS(1829),
    [sym_keyword_preceding] = ACTIONS(1829),
    [sym_keyword_following] = ACTIONS(1829),
    [sym_keyword_unique] = ACTIONS(1829),
    [sym_keyword_references] = ACTIONS(1829),
    [aux_sym_keyword_like_token1] = ACTIONS(1829),
    [aux_sym_keyword_like_token2] = ACTIONS(1829),
    [sym_keyword_similar] = ACTIONS(1829),
    [sym_keyword_unsigned] = ACTIONS(1833),
    [sym_keyword_zerofill] = ACTIONS(1835),
    [sym_keyword_check] = ACTIONS(1829),
    [sym_keyword_stored] = ACTIONS(1829),
    [sym_keyword_virtual] = ACTIONS(1829),
    [sym_keyword_comment] = ACTIONS(1829),
    [sym_keyword_null] = ACTIONS(1829),
    [sym_keyword_array] = ACTIONS(1829),
    [anon_sym_LBRACK] = ACTIONS(1829),
    [anon_sym_RBRACK] = ACTIONS(1829),
    [anon_sym_LPAREN] = ACTIONS(1837),
    [anon_sym_RPAREN] = ACTIONS(1829),
    [anon_sym_COMMA] = ACTIONS(1829),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1829),
    [anon_sym_STAR] = ACTIONS(1829),
    [anon_sym_COLON_COLON] = ACTIONS(1829),
    [anon_sym_LT] = ACTIONS(1831),
    [anon_sym_GT] = ACTIONS(1831),
    [anon_sym_LT_EQ] = ACTIONS(1829),
    [anon_sym_GT_EQ] = ACTIONS(1829),
    [anon_sym_COLON] = ACTIONS(1831),
    [sym_op_other] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1829),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_SLASH] = ACTIONS(1831),
    [anon_sym_PERCENT] = ACTIONS(1829),
    [anon_sym_CARET] = ACTIONS(1831),
    [anon_sym_BANG_EQ] = ACTIONS(1829),
    [anon_sym_LT_GT] = ACTIONS(1829),
  },
  [153] = {
    [ts_builtin_sym_end] = ACTIONS(1839),
    [anon_sym_SEMI] = ACTIONS(1839),
    [sym_keyword_from] = ACTIONS(1839),
    [sym_keyword_on] = ACTIONS(1839),
    [sym_keyword_where] = ACTIONS(1839),
    [sym_keyword_desc] = ACTIONS(1839),
    [sym_keyword_asc] = ACTIONS(1839),
    [sym_keyword_limit] = ACTIONS(1839),
    [sym_keyword_primary] = ACTIONS(1839),
    [sym_keyword_create] = ACTIONS(1839),
    [sym_keyword_as] = ACTIONS(1841),
    [sym_keyword_constraint] = ACTIONS(1839),
    [sym_keyword_separator] = ACTIONS(1839),
    [sym_keyword_when] = ACTIONS(1839),
    [sym_keyword_then] = ACTIONS(1839),
    [sym_keyword_else] = ACTIONS(1839),
    [sym_keyword_end] = ACTIONS(1839),
    [sym_keyword_in] = ACTIONS(1839),
    [sym_keyword_and] = ACTIONS(1839),
    [sym_keyword_or] = ACTIONS(1839),
    [sym_keyword_is] = ACTIONS(1839),
    [sym_keyword_not] = ACTIONS(1839),
    [sym_keyword_using] = ACTIONS(1839),
    [sym_keyword_auto_increment] = ACTIONS(1839),
    [sym_keyword_generated] = ACTIONS(1839),
    [sym_keyword_default] = ACTIONS(1839),
    [sym_keyword_with] = ACTIONS(1839),
    [sym_keyword_returning] = ACTIONS(1839),
    [sym_keyword_first] = ACTIONS(1839),
    [sym_keyword_after] = ACTIONS(1839),
    [sym_keyword_range] = ACTIONS(1839),
    [sym_keyword_rows] = ACTIONS(1839),
    [sym_keyword_groups] = ACTIONS(1839),
    [sym_keyword_between] = ACTIONS(1839),
    [sym_keyword_preceding] = ACTIONS(1839),
    [sym_keyword_following] = ACTIONS(1839),
    [sym_keyword_unique] = ACTIONS(1839),
    [sym_keyword_references] = ACTIONS(1839),
    [aux_sym_keyword_like_token1] = ACTIONS(1839),
    [aux_sym_keyword_like_token2] = ACTIONS(1839),
    [sym_keyword_similar] = ACTIONS(1839),
    [sym_keyword_unsigned] = ACTIONS(1843),
    [sym_keyword_zerofill] = ACTIONS(1845),
    [sym_keyword_check] = ACTIONS(1839),
    [sym_keyword_stored] = ACTIONS(1839),
    [sym_keyword_virtual] = ACTIONS(1839),
    [sym_keyword_comment] = ACTIONS(1839),
    [sym_keyword_null] = ACTIONS(1839),
    [sym_keyword_array] = ACTIONS(1839),
    [anon_sym_LBRACK] = ACTIONS(1839),
    [anon_sym_RBRACK] = ACTIONS(1839),
    [anon_sym_LPAREN] = ACTIONS(1847),
    [anon_sym_RPAREN] = ACTIONS(1839),
    [anon_sym_COMMA] = ACTIONS(1839),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1839),
    [anon_sym_STAR] = ACTIONS(1839),
    [anon_sym_COLON_COLON] = ACTIONS(1839),
    [anon_sym_LT] = ACTIONS(1841),
    [anon_sym_GT] = ACTIONS(1841),
    [anon_sym_LT_EQ] = ACTIONS(1839),
    [anon_sym_GT_EQ] = ACTIONS(1839),
    [anon_sym_COLON] = ACTIONS(1841),
    [sym_op_other] = ACTIONS(1839),
    [anon_sym_PLUS] = ACTIONS(1839),
    [anon_sym_DASH] = ACTIONS(1841),
    [anon_sym_SLASH] = ACTIONS(1841),
    [anon_sym_PERCENT] = ACTIONS(1839),
    [anon_sym_CARET] = ACTIONS(1841),
    [anon_sym_BANG_EQ] = ACTIONS(1839),
    [anon_sym_LT_GT] = ACTIONS(1839),
  },
  [154] = {
    [ts_builtin_sym_end] = ACTIONS(1849),
    [anon_sym_SEMI] = ACTIONS(1849),
    [sym_keyword_from] = ACTIONS(1849),
    [sym_keyword_on] = ACTIONS(1849),
    [sym_keyword_where] = ACTIONS(1849),
    [sym_keyword_desc] = ACTIONS(1849),
    [sym_keyword_asc] = ACTIONS(1849),
    [sym_keyword_limit] = ACTIONS(1849),
    [sym_keyword_primary] = ACTIONS(1849),
    [sym_keyword_create] = ACTIONS(1849),
    [sym_keyword_as] = ACTIONS(1851),
    [sym_keyword_constraint] = ACTIONS(1849),
    [sym_keyword_separator] = ACTIONS(1849),
    [sym_keyword_when] = ACTIONS(1849),
    [sym_keyword_then] = ACTIONS(1849),
    [sym_keyword_else] = ACTIONS(1849),
    [sym_keyword_end] = ACTIONS(1849),
    [sym_keyword_in] = ACTIONS(1849),
    [sym_keyword_and] = ACTIONS(1849),
    [sym_keyword_or] = ACTIONS(1849),
    [sym_keyword_is] = ACTIONS(1849),
    [sym_keyword_not] = ACTIONS(1849),
    [sym_keyword_using] = ACTIONS(1849),
    [sym_keyword_auto_increment] = ACTIONS(1849),
    [sym_keyword_generated] = ACTIONS(1849),
    [sym_keyword_default] = ACTIONS(1849),
    [sym_keyword_with] = ACTIONS(1849),
    [sym_keyword_returning] = ACTIONS(1849),
    [sym_keyword_first] = ACTIONS(1849),
    [sym_keyword_after] = ACTIONS(1849),
    [sym_keyword_range] = ACTIONS(1849),
    [sym_keyword_rows] = ACTIONS(1849),
    [sym_keyword_groups] = ACTIONS(1849),
    [sym_keyword_between] = ACTIONS(1849),
    [sym_keyword_preceding] = ACTIONS(1849),
    [sym_keyword_following] = ACTIONS(1849),
    [sym_keyword_unique] = ACTIONS(1849),
    [sym_keyword_references] = ACTIONS(1849),
    [aux_sym_keyword_like_token1] = ACTIONS(1849),
    [aux_sym_keyword_like_token2] = ACTIONS(1849),
    [sym_keyword_similar] = ACTIONS(1849),
    [sym_keyword_unsigned] = ACTIONS(1853),
    [sym_keyword_zerofill] = ACTIONS(1855),
    [sym_keyword_check] = ACTIONS(1849),
    [sym_keyword_stored] = ACTIONS(1849),
    [sym_keyword_virtual] = ACTIONS(1849),
    [sym_keyword_comment] = ACTIONS(1849),
    [sym_keyword_null] = ACTIONS(1849),
    [sym_keyword_array] = ACTIONS(1849),
    [anon_sym_LBRACK] = ACTIONS(1849),
    [anon_sym_RBRACK] = ACTIONS(1849),
    [anon_sym_LPAREN] = ACTIONS(1857),
    [anon_sym_RPAREN] = ACTIONS(1849),
    [anon_sym_COMMA] = ACTIONS(1849),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1849),
    [anon_sym_STAR] = ACTIONS(1849),
    [anon_sym_COLON_COLON] = ACTIONS(1849),
    [anon_sym_LT] = ACTIONS(1851),
    [anon_sym_GT] = ACTIONS(1851),
    [anon_sym_LT_EQ] = ACTIONS(1849),
    [anon_sym_GT_EQ] = ACTIONS(1849),
    [anon_sym_COLON] = ACTIONS(1851),
    [sym_op_other] = ACTIONS(1849),
    [anon_sym_PLUS] = ACTIONS(1849),
    [anon_sym_DASH] = ACTIONS(1851),
    [anon_sym_SLASH] = ACTIONS(1851),
    [anon_sym_PERCENT] = ACTIONS(1849),
    [anon_sym_CARET] = ACTIONS(1851),
    [anon_sym_BANG_EQ] = ACTIONS(1849),
    [anon_sym_LT_GT] = ACTIONS(1849),
  },
  [155] = {
    [ts_builtin_sym_end] = ACTIONS(1803),
    [anon_sym_SEMI] = ACTIONS(1803),
    [sym_keyword_from] = ACTIONS(1803),
    [sym_keyword_on] = ACTIONS(1803),
    [sym_keyword_where] = ACTIONS(1803),
    [sym_keyword_desc] = ACTIONS(1803),
    [sym_keyword_asc] = ACTIONS(1803),
    [sym_keyword_limit] = ACTIONS(1803),
    [sym_keyword_primary] = ACTIONS(1803),
    [sym_keyword_create] = ACTIONS(1803),
    [sym_keyword_as] = ACTIONS(1805),
    [sym_keyword_constraint] = ACTIONS(1803),
    [sym_keyword_separator] = ACTIONS(1803),
    [sym_keyword_when] = ACTIONS(1803),
    [sym_keyword_then] = ACTIONS(1803),
    [sym_keyword_else] = ACTIONS(1803),
    [sym_keyword_end] = ACTIONS(1803),
    [sym_keyword_in] = ACTIONS(1803),
    [sym_keyword_and] = ACTIONS(1803),
    [sym_keyword_or] = ACTIONS(1803),
    [sym_keyword_is] = ACTIONS(1803),
    [sym_keyword_not] = ACTIONS(1803),
    [sym_keyword_using] = ACTIONS(1803),
    [sym_keyword_auto_increment] = ACTIONS(1803),
    [sym_keyword_generated] = ACTIONS(1803),
    [sym_keyword_default] = ACTIONS(1803),
    [sym_keyword_with] = ACTIONS(1803),
    [sym_keyword_returning] = ACTIONS(1803),
    [sym_keyword_first] = ACTIONS(1803),
    [sym_keyword_after] = ACTIONS(1803),
    [sym_keyword_range] = ACTIONS(1803),
    [sym_keyword_rows] = ACTIONS(1803),
    [sym_keyword_groups] = ACTIONS(1803),
    [sym_keyword_between] = ACTIONS(1803),
    [sym_keyword_preceding] = ACTIONS(1803),
    [sym_keyword_following] = ACTIONS(1803),
    [sym_keyword_unique] = ACTIONS(1803),
    [sym_keyword_references] = ACTIONS(1803),
    [aux_sym_keyword_like_token1] = ACTIONS(1803),
    [aux_sym_keyword_like_token2] = ACTIONS(1803),
    [sym_keyword_similar] = ACTIONS(1803),
    [sym_keyword_unsigned] = ACTIONS(1807),
    [sym_keyword_zerofill] = ACTIONS(1809),
    [sym_keyword_check] = ACTIONS(1803),
    [sym_keyword_stored] = ACTIONS(1803),
    [sym_keyword_virtual] = ACTIONS(1803),
    [sym_keyword_comment] = ACTIONS(1803),
    [sym_keyword_null] = ACTIONS(1803),
    [sym_keyword_array] = ACTIONS(1803),
    [anon_sym_LBRACK] = ACTIONS(1803),
    [anon_sym_RBRACK] = ACTIONS(1803),
    [anon_sym_LPAREN] = ACTIONS(1813),
    [anon_sym_RPAREN] = ACTIONS(1803),
    [anon_sym_COMMA] = ACTIONS(1803),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1803),
    [anon_sym_STAR] = ACTIONS(1803),
    [anon_sym_COLON_COLON] = ACTIONS(1803),
    [anon_sym_LT] = ACTIONS(1805),
    [anon_sym_GT] = ACTIONS(1805),
    [anon_sym_LT_EQ] = ACTIONS(1803),
    [anon_sym_GT_EQ] = ACTIONS(1803),
    [anon_sym_COLON] = ACTIONS(1805),
    [sym_op_other] = ACTIONS(1803),
    [anon_sym_PLUS] = ACTIONS(1803),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_SLASH] = ACTIONS(1805),
    [anon_sym_PERCENT] = ACTIONS(1803),
    [anon_sym_CARET] = ACTIONS(1805),
    [anon_sym_BANG_EQ] = ACTIONS(1803),
    [anon_sym_LT_GT] = ACTIONS(1803),
  },
  [156] = {
    [sym__include_time_zone] = STATE(282),
    [ts_builtin_sym_end] = ACTIONS(1859),
    [anon_sym_SEMI] = ACTIONS(1859),
    [sym_keyword_from] = ACTIONS(1859),
    [sym_keyword_on] = ACTIONS(1859),
    [sym_keyword_where] = ACTIONS(1859),
    [sym_keyword_desc] = ACTIONS(1859),
    [sym_keyword_asc] = ACTIONS(1859),
    [sym_keyword_limit] = ACTIONS(1859),
    [sym_keyword_primary] = ACTIONS(1859),
    [sym_keyword_create] = ACTIONS(1859),
    [sym_keyword_as] = ACTIONS(1861),
    [sym_keyword_constraint] = ACTIONS(1859),
    [sym_keyword_separator] = ACTIONS(1859),
    [sym_keyword_when] = ACTIONS(1859),
    [sym_keyword_then] = ACTIONS(1859),
    [sym_keyword_else] = ACTIONS(1859),
    [sym_keyword_end] = ACTIONS(1859),
    [sym_keyword_in] = ACTIONS(1859),
    [sym_keyword_and] = ACTIONS(1859),
    [sym_keyword_or] = ACTIONS(1859),
    [sym_keyword_is] = ACTIONS(1859),
    [sym_keyword_not] = ACTIONS(1859),
    [sym_keyword_using] = ACTIONS(1859),
    [sym_keyword_auto_increment] = ACTIONS(1859),
    [sym_keyword_generated] = ACTIONS(1859),
    [sym_keyword_default] = ACTIONS(1859),
    [sym_keyword_with] = ACTIONS(1863),
    [sym_keyword_without] = ACTIONS(1865),
    [sym_keyword_returning] = ACTIONS(1859),
    [sym_keyword_first] = ACTIONS(1859),
    [sym_keyword_after] = ACTIONS(1859),
    [sym_keyword_range] = ACTIONS(1859),
    [sym_keyword_rows] = ACTIONS(1859),
    [sym_keyword_groups] = ACTIONS(1859),
    [sym_keyword_between] = ACTIONS(1859),
    [sym_keyword_preceding] = ACTIONS(1859),
    [sym_keyword_following] = ACTIONS(1859),
    [sym_keyword_unique] = ACTIONS(1859),
    [sym_keyword_references] = ACTIONS(1859),
    [aux_sym_keyword_like_token1] = ACTIONS(1859),
    [aux_sym_keyword_like_token2] = ACTIONS(1859),
    [sym_keyword_similar] = ACTIONS(1859),
    [sym_keyword_check] = ACTIONS(1859),
    [sym_keyword_stored] = ACTIONS(1859),
    [sym_keyword_virtual] = ACTIONS(1859),
    [sym_keyword_comment] = ACTIONS(1859),
    [sym_keyword_null] = ACTIONS(1859),
    [sym_keyword_array] = ACTIONS(1859),
    [anon_sym_LBRACK] = ACTIONS(1859),
    [anon_sym_RBRACK] = ACTIONS(1859),
    [anon_sym_LPAREN] = ACTIONS(1867),
    [anon_sym_RPAREN] = ACTIONS(1859),
    [anon_sym_COMMA] = ACTIONS(1859),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1859),
    [anon_sym_STAR] = ACTIONS(1859),
    [anon_sym_COLON_COLON] = ACTIONS(1859),
    [anon_sym_LT] = ACTIONS(1861),
    [anon_sym_GT] = ACTIONS(1861),
    [anon_sym_LT_EQ] = ACTIONS(1859),
    [anon_sym_GT_EQ] = ACTIONS(1859),
    [anon_sym_COLON] = ACTIONS(1861),
    [sym_op_other] = ACTIONS(1859),
    [anon_sym_PLUS] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1861),
    [anon_sym_SLASH] = ACTIONS(1861),
    [anon_sym_PERCENT] = ACTIONS(1859),
    [anon_sym_CARET] = ACTIONS(1861),
    [anon_sym_BANG_EQ] = ACTIONS(1859),
    [anon_sym_LT_GT] = ACTIONS(1859),
  },
  [157] = {
    [ts_builtin_sym_end] = ACTIONS(1869),
    [anon_sym_SEMI] = ACTIONS(1869),
    [sym_keyword_from] = ACTIONS(1869),
    [sym_keyword_on] = ACTIONS(1869),
    [sym_keyword_where] = ACTIONS(1869),
    [sym_keyword_desc] = ACTIONS(1869),
    [sym_keyword_asc] = ACTIONS(1869),
    [sym_keyword_limit] = ACTIONS(1869),
    [sym_keyword_primary] = ACTIONS(1869),
    [sym_keyword_create] = ACTIONS(1869),
    [sym_keyword_as] = ACTIONS(1871),
    [sym_keyword_constraint] = ACTIONS(1869),
    [sym_keyword_separator] = ACTIONS(1869),
    [sym_keyword_when] = ACTIONS(1869),
    [sym_keyword_then] = ACTIONS(1869),
    [sym_keyword_else] = ACTIONS(1869),
    [sym_keyword_end] = ACTIONS(1869),
    [sym_keyword_in] = ACTIONS(1869),
    [sym_keyword_and] = ACTIONS(1869),
    [sym_keyword_or] = ACTIONS(1869),
    [sym_keyword_is] = ACTIONS(1869),
    [sym_keyword_not] = ACTIONS(1869),
    [sym_keyword_using] = ACTIONS(1869),
    [sym_keyword_auto_increment] = ACTIONS(1869),
    [sym_keyword_generated] = ACTIONS(1869),
    [sym_keyword_default] = ACTIONS(1869),
    [sym_keyword_with] = ACTIONS(1869),
    [sym_keyword_returning] = ACTIONS(1869),
    [sym_keyword_first] = ACTIONS(1869),
    [sym_keyword_after] = ACTIONS(1869),
    [sym_keyword_range] = ACTIONS(1869),
    [sym_keyword_rows] = ACTIONS(1869),
    [sym_keyword_groups] = ACTIONS(1869),
    [sym_keyword_between] = ACTIONS(1869),
    [sym_keyword_preceding] = ACTIONS(1869),
    [sym_keyword_following] = ACTIONS(1869),
    [sym_keyword_unique] = ACTIONS(1869),
    [sym_keyword_references] = ACTIONS(1869),
    [aux_sym_keyword_like_token1] = ACTIONS(1869),
    [aux_sym_keyword_like_token2] = ACTIONS(1869),
    [sym_keyword_similar] = ACTIONS(1869),
    [sym_keyword_unsigned] = ACTIONS(1873),
    [sym_keyword_zerofill] = ACTIONS(1875),
    [sym_keyword_check] = ACTIONS(1869),
    [sym_keyword_stored] = ACTIONS(1869),
    [sym_keyword_virtual] = ACTIONS(1869),
    [sym_keyword_comment] = ACTIONS(1869),
    [sym_keyword_null] = ACTIONS(1869),
    [sym_keyword_array] = ACTIONS(1869),
    [anon_sym_LBRACK] = ACTIONS(1869),
    [anon_sym_RBRACK] = ACTIONS(1869),
    [anon_sym_LPAREN] = ACTIONS(1877),
    [anon_sym_RPAREN] = ACTIONS(1869),
    [anon_sym_COMMA] = ACTIONS(1869),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1869),
    [anon_sym_STAR] = ACTIONS(1869),
    [anon_sym_COLON_COLON] = ACTIONS(1869),
    [anon_sym_LT] = ACTIONS(1871),
    [anon_sym_GT] = ACTIONS(1871),
    [anon_sym_LT_EQ] = ACTIONS(1869),
    [anon_sym_GT_EQ] = ACTIONS(1869),
    [anon_sym_COLON] = ACTIONS(1871),
    [sym_op_other] = ACTIONS(1869),
    [anon_sym_PLUS] = ACTIONS(1869),
    [anon_sym_DASH] = ACTIONS(1871),
    [anon_sym_SLASH] = ACTIONS(1871),
    [anon_sym_PERCENT] = ACTIONS(1869),
    [anon_sym_CARET] = ACTIONS(1871),
    [anon_sym_BANG_EQ] = ACTIONS(1869),
    [anon_sym_LT_GT] = ACTIONS(1869),
  },
  [158] = {
    [ts_builtin_sym_end] = ACTIONS(1879),
    [anon_sym_SEMI] = ACTIONS(1879),
    [sym_keyword_from] = ACTIONS(1879),
    [sym_keyword_on] = ACTIONS(1879),
    [sym_keyword_where] = ACTIONS(1879),
    [sym_keyword_desc] = ACTIONS(1879),
    [sym_keyword_asc] = ACTIONS(1879),
    [sym_keyword_limit] = ACTIONS(1879),
    [sym_keyword_primary] = ACTIONS(1879),
    [sym_keyword_create] = ACTIONS(1879),
    [sym_keyword_as] = ACTIONS(1881),
    [sym_keyword_constraint] = ACTIONS(1879),
    [sym_keyword_separator] = ACTIONS(1879),
    [sym_keyword_when] = ACTIONS(1879),
    [sym_keyword_then] = ACTIONS(1879),
    [sym_keyword_else] = ACTIONS(1879),
    [sym_keyword_end] = ACTIONS(1879),
    [sym_keyword_in] = ACTIONS(1879),
    [sym_keyword_and] = ACTIONS(1879),
    [sym_keyword_or] = ACTIONS(1879),
    [sym_keyword_is] = ACTIONS(1879),
    [sym_keyword_not] = ACTIONS(1879),
    [sym_keyword_using] = ACTIONS(1879),
    [sym_keyword_auto_increment] = ACTIONS(1879),
    [sym_keyword_generated] = ACTIONS(1879),
    [sym_keyword_default] = ACTIONS(1879),
    [sym_keyword_with] = ACTIONS(1879),
    [sym_keyword_returning] = ACTIONS(1879),
    [sym_keyword_first] = ACTIONS(1879),
    [sym_keyword_after] = ACTIONS(1879),
    [sym_keyword_range] = ACTIONS(1879),
    [sym_keyword_rows] = ACTIONS(1879),
    [sym_keyword_groups] = ACTIONS(1879),
    [sym_keyword_between] = ACTIONS(1879),
    [sym_keyword_preceding] = ACTIONS(1879),
    [sym_keyword_following] = ACTIONS(1879),
    [sym_keyword_unique] = ACTIONS(1879),
    [sym_keyword_references] = ACTIONS(1879),
    [aux_sym_keyword_like_token1] = ACTIONS(1879),
    [aux_sym_keyword_like_token2] = ACTIONS(1879),
    [sym_keyword_similar] = ACTIONS(1879),
    [sym_keyword_unsigned] = ACTIONS(1883),
    [sym_keyword_zerofill] = ACTIONS(1885),
    [sym_keyword_check] = ACTIONS(1879),
    [sym_keyword_stored] = ACTIONS(1879),
    [sym_keyword_virtual] = ACTIONS(1879),
    [sym_keyword_comment] = ACTIONS(1879),
    [sym_keyword_null] = ACTIONS(1879),
    [sym_keyword_array] = ACTIONS(1879),
    [anon_sym_LBRACK] = ACTIONS(1879),
    [anon_sym_RBRACK] = ACTIONS(1879),
    [anon_sym_LPAREN] = ACTIONS(1887),
    [anon_sym_RPAREN] = ACTIONS(1879),
    [anon_sym_COMMA] = ACTIONS(1879),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1879),
    [anon_sym_STAR] = ACTIONS(1879),
    [anon_sym_COLON_COLON] = ACTIONS(1879),
    [anon_sym_LT] = ACTIONS(1881),
    [anon_sym_GT] = ACTIONS(1881),
    [anon_sym_LT_EQ] = ACTIONS(1879),
    [anon_sym_GT_EQ] = ACTIONS(1879),
    [anon_sym_COLON] = ACTIONS(1881),
    [sym_op_other] = ACTIONS(1879),
    [anon_sym_PLUS] = ACTIONS(1879),
    [anon_sym_DASH] = ACTIONS(1881),
    [anon_sym_SLASH] = ACTIONS(1881),
    [anon_sym_PERCENT] = ACTIONS(1879),
    [anon_sym_CARET] = ACTIONS(1881),
    [anon_sym_BANG_EQ] = ACTIONS(1879),
    [anon_sym_LT_GT] = ACTIONS(1879),
  },
  [159] = {
    [sym__include_time_zone] = STATE(281),
    [ts_builtin_sym_end] = ACTIONS(1889),
    [anon_sym_SEMI] = ACTIONS(1889),
    [sym_keyword_from] = ACTIONS(1889),
    [sym_keyword_on] = ACTIONS(1889),
    [sym_keyword_where] = ACTIONS(1889),
    [sym_keyword_desc] = ACTIONS(1889),
    [sym_keyword_asc] = ACTIONS(1889),
    [sym_keyword_limit] = ACTIONS(1889),
    [sym_keyword_primary] = ACTIONS(1889),
    [sym_keyword_create] = ACTIONS(1889),
    [sym_keyword_as] = ACTIONS(1891),
    [sym_keyword_constraint] = ACTIONS(1889),
    [sym_keyword_separator] = ACTIONS(1889),
    [sym_keyword_when] = ACTIONS(1889),
    [sym_keyword_then] = ACTIONS(1889),
    [sym_keyword_else] = ACTIONS(1889),
    [sym_keyword_end] = ACTIONS(1889),
    [sym_keyword_in] = ACTIONS(1889),
    [sym_keyword_and] = ACTIONS(1889),
    [sym_keyword_or] = ACTIONS(1889),
    [sym_keyword_is] = ACTIONS(1889),
    [sym_keyword_not] = ACTIONS(1889),
    [sym_keyword_using] = ACTIONS(1889),
    [sym_keyword_auto_increment] = ACTIONS(1889),
    [sym_keyword_generated] = ACTIONS(1889),
    [sym_keyword_default] = ACTIONS(1889),
    [sym_keyword_with] = ACTIONS(1863),
    [sym_keyword_without] = ACTIONS(1865),
    [sym_keyword_returning] = ACTIONS(1889),
    [sym_keyword_first] = ACTIONS(1889),
    [sym_keyword_after] = ACTIONS(1889),
    [sym_keyword_range] = ACTIONS(1889),
    [sym_keyword_rows] = ACTIONS(1889),
    [sym_keyword_groups] = ACTIONS(1889),
    [sym_keyword_between] = ACTIONS(1889),
    [sym_keyword_preceding] = ACTIONS(1889),
    [sym_keyword_following] = ACTIONS(1889),
    [sym_keyword_unique] = ACTIONS(1889),
    [sym_keyword_references] = ACTIONS(1889),
    [aux_sym_keyword_like_token1] = ACTIONS(1889),
    [aux_sym_keyword_like_token2] = ACTIONS(1889),
    [sym_keyword_similar] = ACTIONS(1889),
    [sym_keyword_check] = ACTIONS(1889),
    [sym_keyword_stored] = ACTIONS(1889),
    [sym_keyword_virtual] = ACTIONS(1889),
    [sym_keyword_comment] = ACTIONS(1889),
    [sym_keyword_null] = ACTIONS(1889),
    [sym_keyword_array] = ACTIONS(1889),
    [anon_sym_LBRACK] = ACTIONS(1889),
    [anon_sym_RBRACK] = ACTIONS(1889),
    [anon_sym_LPAREN] = ACTIONS(1893),
    [anon_sym_RPAREN] = ACTIONS(1889),
    [anon_sym_COMMA] = ACTIONS(1889),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1889),
    [anon_sym_STAR] = ACTIONS(1889),
    [anon_sym_COLON_COLON] = ACTIONS(1889),
    [anon_sym_LT] = ACTIONS(1891),
    [anon_sym_GT] = ACTIONS(1891),
    [anon_sym_LT_EQ] = ACTIONS(1889),
    [anon_sym_GT_EQ] = ACTIONS(1889),
    [anon_sym_COLON] = ACTIONS(1891),
    [sym_op_other] = ACTIONS(1889),
    [anon_sym_PLUS] = ACTIONS(1889),
    [anon_sym_DASH] = ACTIONS(1891),
    [anon_sym_SLASH] = ACTIONS(1891),
    [anon_sym_PERCENT] = ACTIONS(1889),
    [anon_sym_CARET] = ACTIONS(1891),
    [anon_sym_BANG_EQ] = ACTIONS(1889),
    [anon_sym_LT_GT] = ACTIONS(1889),
  },
  [160] = {
    [ts_builtin_sym_end] = ACTIONS(1895),
    [anon_sym_SEMI] = ACTIONS(1895),
    [sym_keyword_from] = ACTIONS(1895),
    [sym_keyword_on] = ACTIONS(1895),
    [sym_keyword_where] = ACTIONS(1895),
    [sym_keyword_desc] = ACTIONS(1895),
    [sym_keyword_asc] = ACTIONS(1895),
    [sym_keyword_limit] = ACTIONS(1895),
    [sym_keyword_primary] = ACTIONS(1895),
    [sym_keyword_create] = ACTIONS(1895),
    [sym_keyword_as] = ACTIONS(1897),
    [sym_keyword_constraint] = ACTIONS(1895),
    [sym_keyword_separator] = ACTIONS(1895),
    [sym_keyword_when] = ACTIONS(1895),
    [sym_keyword_then] = ACTIONS(1895),
    [sym_keyword_else] = ACTIONS(1895),
    [sym_keyword_end] = ACTIONS(1895),
    [sym_keyword_in] = ACTIONS(1895),
    [sym_keyword_and] = ACTIONS(1895),
    [sym_keyword_or] = ACTIONS(1895),
    [sym_keyword_is] = ACTIONS(1895),
    [sym_keyword_not] = ACTIONS(1895),
    [sym_keyword_using] = ACTIONS(1895),
    [sym_keyword_auto_increment] = ACTIONS(1895),
    [sym_keyword_generated] = ACTIONS(1895),
    [sym_keyword_default] = ACTIONS(1895),
    [sym_keyword_with] = ACTIONS(1895),
    [sym_keyword_returning] = ACTIONS(1895),
    [sym_keyword_first] = ACTIONS(1895),
    [sym_keyword_after] = ACTIONS(1895),
    [sym_keyword_range] = ACTIONS(1895),
    [sym_keyword_rows] = ACTIONS(1895),
    [sym_keyword_groups] = ACTIONS(1895),
    [sym_keyword_between] = ACTIONS(1895),
    [sym_keyword_preceding] = ACTIONS(1895),
    [sym_keyword_following] = ACTIONS(1895),
    [sym_keyword_unique] = ACTIONS(1895),
    [sym_keyword_references] = ACTIONS(1895),
    [aux_sym_keyword_like_token1] = ACTIONS(1895),
    [aux_sym_keyword_like_token2] = ACTIONS(1895),
    [sym_keyword_similar] = ACTIONS(1895),
    [sym_keyword_unsigned] = ACTIONS(1899),
    [sym_keyword_zerofill] = ACTIONS(1901),
    [sym_keyword_check] = ACTIONS(1895),
    [sym_keyword_stored] = ACTIONS(1895),
    [sym_keyword_virtual] = ACTIONS(1895),
    [sym_keyword_comment] = ACTIONS(1895),
    [sym_keyword_null] = ACTIONS(1895),
    [sym_keyword_array] = ACTIONS(1895),
    [anon_sym_LBRACK] = ACTIONS(1895),
    [anon_sym_RBRACK] = ACTIONS(1895),
    [anon_sym_LPAREN] = ACTIONS(1903),
    [anon_sym_RPAREN] = ACTIONS(1895),
    [anon_sym_COMMA] = ACTIONS(1895),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1895),
    [anon_sym_STAR] = ACTIONS(1895),
    [anon_sym_COLON_COLON] = ACTIONS(1895),
    [anon_sym_LT] = ACTIONS(1897),
    [anon_sym_GT] = ACTIONS(1897),
    [anon_sym_LT_EQ] = ACTIONS(1895),
    [anon_sym_GT_EQ] = ACTIONS(1895),
    [anon_sym_COLON] = ACTIONS(1897),
    [sym_op_other] = ACTIONS(1895),
    [anon_sym_PLUS] = ACTIONS(1895),
    [anon_sym_DASH] = ACTIONS(1897),
    [anon_sym_SLASH] = ACTIONS(1897),
    [anon_sym_PERCENT] = ACTIONS(1895),
    [anon_sym_CARET] = ACTIONS(1897),
    [anon_sym_BANG_EQ] = ACTIONS(1895),
    [anon_sym_LT_GT] = ACTIONS(1895),
  },
  [161] = {
    [ts_builtin_sym_end] = ACTIONS(1905),
    [anon_sym_SEMI] = ACTIONS(1905),
    [sym_keyword_from] = ACTIONS(1905),
    [sym_keyword_on] = ACTIONS(1905),
    [sym_keyword_where] = ACTIONS(1905),
    [sym_keyword_desc] = ACTIONS(1905),
    [sym_keyword_asc] = ACTIONS(1905),
    [sym_keyword_limit] = ACTIONS(1905),
    [sym_keyword_primary] = ACTIONS(1905),
    [sym_keyword_create] = ACTIONS(1905),
    [sym_keyword_as] = ACTIONS(1907),
    [sym_keyword_constraint] = ACTIONS(1905),
    [sym_keyword_separator] = ACTIONS(1905),
    [sym_keyword_when] = ACTIONS(1905),
    [sym_keyword_then] = ACTIONS(1905),
    [sym_keyword_else] = ACTIONS(1905),
    [sym_keyword_end] = ACTIONS(1905),
    [sym_keyword_in] = ACTIONS(1905),
    [sym_keyword_and] = ACTIONS(1905),
    [sym_keyword_or] = ACTIONS(1905),
    [sym_keyword_is] = ACTIONS(1905),
    [sym_keyword_not] = ACTIONS(1905),
    [sym_keyword_using] = ACTIONS(1905),
    [sym_keyword_auto_increment] = ACTIONS(1905),
    [sym_keyword_generated] = ACTIONS(1905),
    [sym_keyword_default] = ACTIONS(1905),
    [sym_keyword_with] = ACTIONS(1905),
    [sym_keyword_returning] = ACTIONS(1905),
    [sym_keyword_first] = ACTIONS(1905),
    [sym_keyword_after] = ACTIONS(1905),
    [sym_keyword_range] = ACTIONS(1905),
    [sym_keyword_rows] = ACTIONS(1905),
    [sym_keyword_groups] = ACTIONS(1905),
    [sym_keyword_between] = ACTIONS(1905),
    [sym_keyword_preceding] = ACTIONS(1905),
    [sym_keyword_following] = ACTIONS(1905),
    [sym_keyword_unique] = ACTIONS(1905),
    [sym_keyword_references] = ACTIONS(1905),
    [aux_sym_keyword_like_token1] = ACTIONS(1905),
    [aux_sym_keyword_like_token2] = ACTIONS(1905),
    [sym_keyword_similar] = ACTIONS(1905),
    [sym_keyword_unsigned] = ACTIONS(1905),
    [sym_keyword_zerofill] = ACTIONS(1905),
    [sym_keyword_check] = ACTIONS(1905),
    [sym_keyword_stored] = ACTIONS(1905),
    [sym_keyword_virtual] = ACTIONS(1905),
    [sym_keyword_comment] = ACTIONS(1905),
    [sym_keyword_null] = ACTIONS(1905),
    [sym_keyword_array] = ACTIONS(1905),
    [anon_sym_LBRACK] = ACTIONS(1905),
    [anon_sym_RBRACK] = ACTIONS(1905),
    [anon_sym_LPAREN] = ACTIONS(1905),
    [anon_sym_RPAREN] = ACTIONS(1905),
    [anon_sym_COMMA] = ACTIONS(1905),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1905),
    [anon_sym_STAR] = ACTIONS(1905),
    [anon_sym_COLON_COLON] = ACTIONS(1905),
    [anon_sym_LT] = ACTIONS(1907),
    [anon_sym_GT] = ACTIONS(1907),
    [anon_sym_LT_EQ] = ACTIONS(1905),
    [anon_sym_GT_EQ] = ACTIONS(1905),
    [anon_sym_COLON] = ACTIONS(1907),
    [sym_op_other] = ACTIONS(1905),
    [anon_sym_PLUS] = ACTIONS(1905),
    [anon_sym_DASH] = ACTIONS(1907),
    [anon_sym_SLASH] = ACTIONS(1907),
    [anon_sym_PERCENT] = ACTIONS(1905),
    [anon_sym_CARET] = ACTIONS(1907),
    [anon_sym_BANG_EQ] = ACTIONS(1905),
    [anon_sym_LT_GT] = ACTIONS(1905),
  },
  [162] = {
    [ts_builtin_sym_end] = ACTIONS(1909),
    [anon_sym_SEMI] = ACTIONS(1909),
    [sym_keyword_from] = ACTIONS(1909),
    [sym_keyword_on] = ACTIONS(1909),
    [sym_keyword_where] = ACTIONS(1909),
    [sym_keyword_desc] = ACTIONS(1909),
    [sym_keyword_asc] = ACTIONS(1909),
    [sym_keyword_limit] = ACTIONS(1909),
    [sym_keyword_primary] = ACTIONS(1909),
    [sym_keyword_create] = ACTIONS(1909),
    [sym_keyword_as] = ACTIONS(1911),
    [sym_keyword_constraint] = ACTIONS(1909),
    [sym_keyword_separator] = ACTIONS(1909),
    [sym_keyword_when] = ACTIONS(1909),
    [sym_keyword_then] = ACTIONS(1909),
    [sym_keyword_else] = ACTIONS(1909),
    [sym_keyword_end] = ACTIONS(1909),
    [sym_keyword_in] = ACTIONS(1909),
    [sym_keyword_and] = ACTIONS(1909),
    [sym_keyword_or] = ACTIONS(1909),
    [sym_keyword_is] = ACTIONS(1909),
    [sym_keyword_not] = ACTIONS(1909),
    [sym_keyword_using] = ACTIONS(1909),
    [sym_keyword_auto_increment] = ACTIONS(1909),
    [sym_keyword_generated] = ACTIONS(1909),
    [sym_keyword_default] = ACTIONS(1909),
    [sym_keyword_with] = ACTIONS(1909),
    [sym_keyword_returning] = ACTIONS(1909),
    [sym_keyword_first] = ACTIONS(1909),
    [sym_keyword_after] = ACTIONS(1909),
    [sym_keyword_range] = ACTIONS(1909),
    [sym_keyword_rows] = ACTIONS(1909),
    [sym_keyword_groups] = ACTIONS(1909),
    [sym_keyword_between] = ACTIONS(1909),
    [sym_keyword_preceding] = ACTIONS(1909),
    [sym_keyword_following] = ACTIONS(1909),
    [sym_keyword_unique] = ACTIONS(1909),
    [sym_keyword_references] = ACTIONS(1909),
    [aux_sym_keyword_like_token1] = ACTIONS(1909),
    [aux_sym_keyword_like_token2] = ACTIONS(1909),
    [sym_keyword_similar] = ACTIONS(1909),
    [sym_keyword_unsigned] = ACTIONS(1909),
    [sym_keyword_zerofill] = ACTIONS(1909),
    [sym_keyword_check] = ACTIONS(1909),
    [sym_keyword_stored] = ACTIONS(1909),
    [sym_keyword_virtual] = ACTIONS(1909),
    [sym_keyword_comment] = ACTIONS(1909),
    [sym_keyword_null] = ACTIONS(1909),
    [sym_keyword_array] = ACTIONS(1909),
    [anon_sym_LBRACK] = ACTIONS(1909),
    [anon_sym_RBRACK] = ACTIONS(1909),
    [anon_sym_LPAREN] = ACTIONS(1909),
    [anon_sym_RPAREN] = ACTIONS(1909),
    [anon_sym_COMMA] = ACTIONS(1909),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1909),
    [anon_sym_STAR] = ACTIONS(1909),
    [anon_sym_COLON_COLON] = ACTIONS(1909),
    [anon_sym_LT] = ACTIONS(1911),
    [anon_sym_GT] = ACTIONS(1911),
    [anon_sym_LT_EQ] = ACTIONS(1909),
    [anon_sym_GT_EQ] = ACTIONS(1909),
    [anon_sym_COLON] = ACTIONS(1911),
    [sym_op_other] = ACTIONS(1909),
    [anon_sym_PLUS] = ACTIONS(1909),
    [anon_sym_DASH] = ACTIONS(1911),
    [anon_sym_SLASH] = ACTIONS(1911),
    [anon_sym_PERCENT] = ACTIONS(1909),
    [anon_sym_CARET] = ACTIONS(1911),
    [anon_sym_BANG_EQ] = ACTIONS(1909),
    [anon_sym_LT_GT] = ACTIONS(1909),
  },
  [163] = {
    [ts_builtin_sym_end] = ACTIONS(1913),
    [anon_sym_SEMI] = ACTIONS(1913),
    [sym_keyword_from] = ACTIONS(1913),
    [sym_keyword_on] = ACTIONS(1913),
    [sym_keyword_where] = ACTIONS(1913),
    [sym_keyword_desc] = ACTIONS(1913),
    [sym_keyword_asc] = ACTIONS(1913),
    [sym_keyword_limit] = ACTIONS(1913),
    [sym_keyword_primary] = ACTIONS(1913),
    [sym_keyword_create] = ACTIONS(1913),
    [sym_keyword_as] = ACTIONS(1915),
    [sym_keyword_constraint] = ACTIONS(1913),
    [sym_keyword_separator] = ACTIONS(1913),
    [sym_keyword_when] = ACTIONS(1913),
    [sym_keyword_then] = ACTIONS(1913),
    [sym_keyword_else] = ACTIONS(1913),
    [sym_keyword_end] = ACTIONS(1913),
    [sym_keyword_in] = ACTIONS(1913),
    [sym_keyword_and] = ACTIONS(1913),
    [sym_keyword_or] = ACTIONS(1913),
    [sym_keyword_is] = ACTIONS(1913),
    [sym_keyword_not] = ACTIONS(1913),
    [sym_keyword_using] = ACTIONS(1913),
    [sym_keyword_auto_increment] = ACTIONS(1913),
    [sym_keyword_generated] = ACTIONS(1913),
    [sym_keyword_default] = ACTIONS(1913),
    [sym_keyword_with] = ACTIONS(1913),
    [sym_keyword_returning] = ACTIONS(1913),
    [sym_keyword_first] = ACTIONS(1913),
    [sym_keyword_after] = ACTIONS(1913),
    [sym_keyword_range] = ACTIONS(1913),
    [sym_keyword_rows] = ACTIONS(1913),
    [sym_keyword_groups] = ACTIONS(1913),
    [sym_keyword_between] = ACTIONS(1913),
    [sym_keyword_preceding] = ACTIONS(1913),
    [sym_keyword_following] = ACTIONS(1913),
    [sym_keyword_unique] = ACTIONS(1913),
    [sym_keyword_references] = ACTIONS(1913),
    [aux_sym_keyword_like_token1] = ACTIONS(1913),
    [aux_sym_keyword_like_token2] = ACTIONS(1913),
    [sym_keyword_similar] = ACTIONS(1913),
    [sym_keyword_unsigned] = ACTIONS(1913),
    [sym_keyword_zerofill] = ACTIONS(1913),
    [sym_keyword_check] = ACTIONS(1913),
    [sym_keyword_stored] = ACTIONS(1913),
    [sym_keyword_virtual] = ACTIONS(1913),
    [sym_keyword_comment] = ACTIONS(1913),
    [sym_keyword_null] = ACTIONS(1913),
    [sym_keyword_array] = ACTIONS(1913),
    [anon_sym_LBRACK] = ACTIONS(1913),
    [anon_sym_RBRACK] = ACTIONS(1913),
    [anon_sym_LPAREN] = ACTIONS(1913),
    [anon_sym_RPAREN] = ACTIONS(1913),
    [anon_sym_COMMA] = ACTIONS(1913),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1913),
    [anon_sym_STAR] = ACTIONS(1913),
    [anon_sym_COLON_COLON] = ACTIONS(1913),
    [anon_sym_LT] = ACTIONS(1915),
    [anon_sym_GT] = ACTIONS(1915),
    [anon_sym_LT_EQ] = ACTIONS(1913),
    [anon_sym_GT_EQ] = ACTIONS(1913),
    [anon_sym_COLON] = ACTIONS(1915),
    [sym_op_other] = ACTIONS(1913),
    [anon_sym_PLUS] = ACTIONS(1913),
    [anon_sym_DASH] = ACTIONS(1915),
    [anon_sym_SLASH] = ACTIONS(1915),
    [anon_sym_PERCENT] = ACTIONS(1913),
    [anon_sym_CARET] = ACTIONS(1915),
    [anon_sym_BANG_EQ] = ACTIONS(1913),
    [anon_sym_LT_GT] = ACTIONS(1913),
  },
  [164] = {
    [ts_builtin_sym_end] = ACTIONS(1917),
    [anon_sym_SEMI] = ACTIONS(1917),
    [sym_keyword_from] = ACTIONS(1917),
    [sym_keyword_on] = ACTIONS(1917),
    [sym_keyword_where] = ACTIONS(1917),
    [sym_keyword_desc] = ACTIONS(1917),
    [sym_keyword_asc] = ACTIONS(1917),
    [sym_keyword_limit] = ACTIONS(1917),
    [sym_keyword_primary] = ACTIONS(1917),
    [sym_keyword_create] = ACTIONS(1917),
    [sym_keyword_as] = ACTIONS(1919),
    [sym_keyword_constraint] = ACTIONS(1917),
    [sym_keyword_separator] = ACTIONS(1917),
    [sym_keyword_when] = ACTIONS(1917),
    [sym_keyword_then] = ACTIONS(1917),
    [sym_keyword_else] = ACTIONS(1917),
    [sym_keyword_end] = ACTIONS(1917),
    [sym_keyword_in] = ACTIONS(1917),
    [sym_keyword_and] = ACTIONS(1917),
    [sym_keyword_or] = ACTIONS(1917),
    [sym_keyword_is] = ACTIONS(1917),
    [sym_keyword_not] = ACTIONS(1917),
    [sym_keyword_using] = ACTIONS(1917),
    [sym_keyword_auto_increment] = ACTIONS(1917),
    [sym_keyword_generated] = ACTIONS(1917),
    [sym_keyword_default] = ACTIONS(1917),
    [sym_keyword_with] = ACTIONS(1917),
    [sym_keyword_returning] = ACTIONS(1917),
    [sym_keyword_first] = ACTIONS(1917),
    [sym_keyword_after] = ACTIONS(1917),
    [sym_keyword_range] = ACTIONS(1917),
    [sym_keyword_rows] = ACTIONS(1917),
    [sym_keyword_groups] = ACTIONS(1917),
    [sym_keyword_between] = ACTIONS(1917),
    [sym_keyword_preceding] = ACTIONS(1917),
    [sym_keyword_following] = ACTIONS(1917),
    [sym_keyword_unique] = ACTIONS(1917),
    [sym_keyword_references] = ACTIONS(1917),
    [aux_sym_keyword_like_token1] = ACTIONS(1917),
    [aux_sym_keyword_like_token2] = ACTIONS(1917),
    [sym_keyword_similar] = ACTIONS(1917),
    [sym_keyword_unsigned] = ACTIONS(1917),
    [sym_keyword_zerofill] = ACTIONS(1917),
    [sym_keyword_check] = ACTIONS(1917),
    [sym_keyword_stored] = ACTIONS(1917),
    [sym_keyword_virtual] = ACTIONS(1917),
    [sym_keyword_comment] = ACTIONS(1917),
    [sym_keyword_null] = ACTIONS(1917),
    [sym_keyword_array] = ACTIONS(1917),
    [anon_sym_LBRACK] = ACTIONS(1917),
    [anon_sym_RBRACK] = ACTIONS(1917),
    [anon_sym_LPAREN] = ACTIONS(1917),
    [anon_sym_RPAREN] = ACTIONS(1917),
    [anon_sym_COMMA] = ACTIONS(1917),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1917),
    [anon_sym_STAR] = ACTIONS(1917),
    [anon_sym_COLON_COLON] = ACTIONS(1917),
    [anon_sym_LT] = ACTIONS(1919),
    [anon_sym_GT] = ACTIONS(1919),
    [anon_sym_LT_EQ] = ACTIONS(1917),
    [anon_sym_GT_EQ] = ACTIONS(1917),
    [anon_sym_COLON] = ACTIONS(1919),
    [sym_op_other] = ACTIONS(1917),
    [anon_sym_PLUS] = ACTIONS(1917),
    [anon_sym_DASH] = ACTIONS(1919),
    [anon_sym_SLASH] = ACTIONS(1919),
    [anon_sym_PERCENT] = ACTIONS(1917),
    [anon_sym_CARET] = ACTIONS(1919),
    [anon_sym_BANG_EQ] = ACTIONS(1917),
    [anon_sym_LT_GT] = ACTIONS(1917),
  },
  [165] = {
    [ts_builtin_sym_end] = ACTIONS(1921),
    [anon_sym_SEMI] = ACTIONS(1921),
    [sym_keyword_from] = ACTIONS(1921),
    [sym_keyword_on] = ACTIONS(1921),
    [sym_keyword_where] = ACTIONS(1921),
    [sym_keyword_desc] = ACTIONS(1921),
    [sym_keyword_asc] = ACTIONS(1921),
    [sym_keyword_limit] = ACTIONS(1921),
    [sym_keyword_primary] = ACTIONS(1921),
    [sym_keyword_create] = ACTIONS(1921),
    [sym_keyword_as] = ACTIONS(1923),
    [sym_keyword_constraint] = ACTIONS(1921),
    [sym_keyword_separator] = ACTIONS(1921),
    [sym_keyword_when] = ACTIONS(1921),
    [sym_keyword_then] = ACTIONS(1921),
    [sym_keyword_else] = ACTIONS(1921),
    [sym_keyword_end] = ACTIONS(1921),
    [sym_keyword_in] = ACTIONS(1921),
    [sym_keyword_and] = ACTIONS(1921),
    [sym_keyword_or] = ACTIONS(1921),
    [sym_keyword_is] = ACTIONS(1921),
    [sym_keyword_not] = ACTIONS(1921),
    [sym_keyword_using] = ACTIONS(1921),
    [sym_keyword_auto_increment] = ACTIONS(1921),
    [sym_keyword_generated] = ACTIONS(1921),
    [sym_keyword_default] = ACTIONS(1921),
    [sym_keyword_with] = ACTIONS(1921),
    [sym_keyword_returning] = ACTIONS(1921),
    [sym_keyword_first] = ACTIONS(1921),
    [sym_keyword_after] = ACTIONS(1921),
    [sym_keyword_range] = ACTIONS(1921),
    [sym_keyword_rows] = ACTIONS(1921),
    [sym_keyword_groups] = ACTIONS(1921),
    [sym_keyword_between] = ACTIONS(1921),
    [sym_keyword_preceding] = ACTIONS(1921),
    [sym_keyword_following] = ACTIONS(1921),
    [sym_keyword_unique] = ACTIONS(1921),
    [sym_keyword_references] = ACTIONS(1921),
    [aux_sym_keyword_like_token1] = ACTIONS(1921),
    [aux_sym_keyword_like_token2] = ACTIONS(1921),
    [sym_keyword_similar] = ACTIONS(1921),
    [sym_keyword_unsigned] = ACTIONS(1921),
    [sym_keyword_zerofill] = ACTIONS(1921),
    [sym_keyword_check] = ACTIONS(1921),
    [sym_keyword_stored] = ACTIONS(1921),
    [sym_keyword_virtual] = ACTIONS(1921),
    [sym_keyword_comment] = ACTIONS(1921),
    [sym_keyword_null] = ACTIONS(1921),
    [sym_keyword_array] = ACTIONS(1921),
    [anon_sym_LBRACK] = ACTIONS(1921),
    [anon_sym_RBRACK] = ACTIONS(1921),
    [anon_sym_LPAREN] = ACTIONS(1921),
    [anon_sym_RPAREN] = ACTIONS(1921),
    [anon_sym_COMMA] = ACTIONS(1921),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1921),
    [anon_sym_STAR] = ACTIONS(1921),
    [anon_sym_COLON_COLON] = ACTIONS(1921),
    [anon_sym_LT] = ACTIONS(1923),
    [anon_sym_GT] = ACTIONS(1923),
    [anon_sym_LT_EQ] = ACTIONS(1921),
    [anon_sym_GT_EQ] = ACTIONS(1921),
    [anon_sym_COLON] = ACTIONS(1923),
    [sym_op_other] = ACTIONS(1921),
    [anon_sym_PLUS] = ACTIONS(1921),
    [anon_sym_DASH] = ACTIONS(1923),
    [anon_sym_SLASH] = ACTIONS(1923),
    [anon_sym_PERCENT] = ACTIONS(1921),
    [anon_sym_CARET] = ACTIONS(1923),
    [anon_sym_BANG_EQ] = ACTIONS(1921),
    [anon_sym_LT_GT] = ACTIONS(1921),
  },
  [166] = {
    [ts_builtin_sym_end] = ACTIONS(1925),
    [anon_sym_SEMI] = ACTIONS(1925),
    [sym_keyword_from] = ACTIONS(1925),
    [sym_keyword_on] = ACTIONS(1925),
    [sym_keyword_where] = ACTIONS(1925),
    [sym_keyword_desc] = ACTIONS(1925),
    [sym_keyword_asc] = ACTIONS(1925),
    [sym_keyword_limit] = ACTIONS(1925),
    [sym_keyword_primary] = ACTIONS(1925),
    [sym_keyword_create] = ACTIONS(1925),
    [sym_keyword_as] = ACTIONS(1927),
    [sym_keyword_constraint] = ACTIONS(1925),
    [sym_keyword_separator] = ACTIONS(1925),
    [sym_keyword_when] = ACTIONS(1925),
    [sym_keyword_then] = ACTIONS(1925),
    [sym_keyword_else] = ACTIONS(1925),
    [sym_keyword_end] = ACTIONS(1925),
    [sym_keyword_in] = ACTIONS(1925),
    [sym_keyword_and] = ACTIONS(1925),
    [sym_keyword_or] = ACTIONS(1925),
    [sym_keyword_is] = ACTIONS(1925),
    [sym_keyword_not] = ACTIONS(1925),
    [sym_keyword_using] = ACTIONS(1925),
    [sym_keyword_auto_increment] = ACTIONS(1925),
    [sym_keyword_generated] = ACTIONS(1925),
    [sym_keyword_default] = ACTIONS(1925),
    [sym_keyword_with] = ACTIONS(1925),
    [sym_keyword_returning] = ACTIONS(1925),
    [sym_keyword_first] = ACTIONS(1925),
    [sym_keyword_after] = ACTIONS(1925),
    [sym_keyword_range] = ACTIONS(1925),
    [sym_keyword_rows] = ACTIONS(1925),
    [sym_keyword_groups] = ACTIONS(1925),
    [sym_keyword_between] = ACTIONS(1925),
    [sym_keyword_preceding] = ACTIONS(1925),
    [sym_keyword_following] = ACTIONS(1925),
    [sym_keyword_unique] = ACTIONS(1925),
    [sym_keyword_references] = ACTIONS(1925),
    [aux_sym_keyword_like_token1] = ACTIONS(1925),
    [aux_sym_keyword_like_token2] = ACTIONS(1925),
    [sym_keyword_similar] = ACTIONS(1925),
    [sym_keyword_unsigned] = ACTIONS(1929),
    [sym_keyword_zerofill] = ACTIONS(1931),
    [sym_keyword_check] = ACTIONS(1925),
    [sym_keyword_stored] = ACTIONS(1925),
    [sym_keyword_virtual] = ACTIONS(1925),
    [sym_keyword_comment] = ACTIONS(1925),
    [sym_keyword_null] = ACTIONS(1925),
    [sym_keyword_array] = ACTIONS(1925),
    [anon_sym_LBRACK] = ACTIONS(1925),
    [anon_sym_RBRACK] = ACTIONS(1925),
    [anon_sym_RPAREN] = ACTIONS(1925),
    [anon_sym_COMMA] = ACTIONS(1925),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1925),
    [anon_sym_STAR] = ACTIONS(1925),
    [anon_sym_COLON_COLON] = ACTIONS(1925),
    [anon_sym_LT] = ACTIONS(1927),
    [anon_sym_GT] = ACTIONS(1927),
    [anon_sym_LT_EQ] = ACTIONS(1925),
    [anon_sym_GT_EQ] = ACTIONS(1925),
    [anon_sym_COLON] = ACTIONS(1927),
    [sym_op_other] = ACTIONS(1925),
    [anon_sym_PLUS] = ACTIONS(1925),
    [anon_sym_DASH] = ACTIONS(1927),
    [anon_sym_SLASH] = ACTIONS(1927),
    [anon_sym_PERCENT] = ACTIONS(1925),
    [anon_sym_CARET] = ACTIONS(1927),
    [anon_sym_BANG_EQ] = ACTIONS(1925),
    [anon_sym_LT_GT] = ACTIONS(1925),
  },
  [167] = {
    [sym__identifier] = ACTIONS(1933),
    [aux_sym_keyword_character_token1] = ACTIONS(1933),
    [sym_keyword_unsigned] = ACTIONS(1933),
    [sym_keyword_out] = ACTIONS(1935),
    [sym_keyword_boolean] = ACTIONS(1933),
    [sym_keyword_bit] = ACTIONS(1933),
    [sym_keyword_binary] = ACTIONS(1933),
    [sym_keyword_varbinary] = ACTIONS(1933),
    [sym_keyword_image] = ACTIONS(1933),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(1933),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(1933),
    [aux_sym_keyword_serial_token1] = ACTIONS(1933),
    [aux_sym_keyword_serial_token2] = ACTIONS(1933),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(1933),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(1933),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(1933),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(1933),
    [aux_sym_keyword_smallint_token1] = ACTIONS(1933),
    [aux_sym_keyword_smallint_token2] = ACTIONS(1933),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(1933),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(1933),
    [aux_sym_keyword_int_token1] = ACTIONS(1933),
    [aux_sym_keyword_int_token2] = ACTIONS(1933),
    [aux_sym_keyword_int_token3] = ACTIONS(1933),
    [aux_sym_keyword_bigint_token1] = ACTIONS(1933),
    [aux_sym_keyword_bigint_token2] = ACTIONS(1933),
    [sym_keyword_decimal] = ACTIONS(1933),
    [sym_keyword_numeric] = ACTIONS(1933),
    [aux_sym_keyword_real_token1] = ACTIONS(1933),
    [aux_sym_keyword_real_token2] = ACTIONS(1933),
    [sym_keyword_float] = ACTIONS(1933),
    [sym_keyword_double] = ACTIONS(1933),
    [sym_keyword_inet] = ACTIONS(1933),
    [sym_keyword_money] = ACTIONS(1933),
    [sym_keyword_smallmoney] = ACTIONS(1933),
    [aux_sym_keyword_char_token1] = ACTIONS(1933),
    [sym_keyword_nchar] = ACTIONS(1933),
    [aux_sym_keyword_varchar_token1] = ACTIONS(1933),
    [sym_keyword_nvarchar] = ACTIONS(1933),
    [sym_keyword_text] = ACTIONS(1933),
    [sym_keyword_string] = ACTIONS(1933),
    [sym_keyword_uuid] = ACTIONS(1933),
    [sym_keyword_json] = ACTIONS(1933),
    [sym_keyword_jsonb] = ACTIONS(1933),
    [sym_keyword_xml] = ACTIONS(1933),
    [sym_keyword_bytea] = ACTIONS(1933),
    [sym_keyword_enum] = ACTIONS(1933),
    [sym_keyword_date] = ACTIONS(1933),
    [sym_keyword_datetime] = ACTIONS(1933),
    [sym_keyword_datetime2] = ACTIONS(1933),
    [sym_keyword_smalldatetime] = ACTIONS(1933),
    [sym_keyword_datetimeoffset] = ACTIONS(1933),
    [sym_keyword_time] = ACTIONS(1933),
    [sym_keyword_timestamp] = ACTIONS(1933),
    [sym_keyword_timestamptz] = ACTIONS(1933),
    [sym_keyword_interval] = ACTIONS(1933),
    [sym_keyword_geometry] = ACTIONS(1933),
    [sym_keyword_geography] = ACTIONS(1933),
    [sym_keyword_box2d] = ACTIONS(1933),
    [sym_keyword_box3d] = ACTIONS(1933),
    [sym_keyword_oid] = ACTIONS(1933),
    [sym_keyword_name] = ACTIONS(1933),
    [sym_keyword_regclass] = ACTIONS(1933),
    [sym_keyword_regnamespace] = ACTIONS(1933),
    [sym_keyword_regproc] = ACTIONS(1933),
    [sym_keyword_regtype] = ACTIONS(1933),
    [aux_sym_double_token1] = ACTIONS(1933),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(1937),
    [aux_sym_identifier_token1] = ACTIONS(1937),
  },
  [168] = {
    [ts_builtin_sym_end] = ACTIONS(1939),
    [anon_sym_SEMI] = ACTIONS(1939),
    [sym_keyword_from] = ACTIONS(1939),
    [sym_keyword_on] = ACTIONS(1939),
    [sym_keyword_where] = ACTIONS(1939),
    [sym_keyword_desc] = ACTIONS(1939),
    [sym_keyword_asc] = ACTIONS(1939),
    [sym_keyword_limit] = ACTIONS(1939),
    [sym_keyword_primary] = ACTIONS(1939),
    [sym_keyword_create] = ACTIONS(1939),
    [sym_keyword_as] = ACTIONS(1941),
    [sym_keyword_constraint] = ACTIONS(1939),
    [sym_keyword_separator] = ACTIONS(1939),
    [sym_keyword_when] = ACTIONS(1939),
    [sym_keyword_then] = ACTIONS(1939),
    [sym_keyword_else] = ACTIONS(1939),
    [sym_keyword_end] = ACTIONS(1939),
    [sym_keyword_in] = ACTIONS(1939),
    [sym_keyword_and] = ACTIONS(1939),
    [sym_keyword_or] = ACTIONS(1939),
    [sym_keyword_is] = ACTIONS(1939),
    [sym_keyword_not] = ACTIONS(1939),
    [sym_keyword_using] = ACTIONS(1939),
    [sym_keyword_auto_increment] = ACTIONS(1939),
    [sym_keyword_generated] = ACTIONS(1939),
    [sym_keyword_default] = ACTIONS(1939),
    [sym_keyword_with] = ACTIONS(1939),
    [sym_keyword_returning] = ACTIONS(1939),
    [sym_keyword_first] = ACTIONS(1939),
    [sym_keyword_after] = ACTIONS(1939),
    [sym_keyword_range] = ACTIONS(1939),
    [sym_keyword_rows] = ACTIONS(1939),
    [sym_keyword_groups] = ACTIONS(1939),
    [sym_keyword_between] = ACTIONS(1939),
    [sym_keyword_preceding] = ACTIONS(1939),
    [sym_keyword_following] = ACTIONS(1939),
    [sym_keyword_unique] = ACTIONS(1939),
    [sym_keyword_references] = ACTIONS(1939),
    [aux_sym_keyword_like_token1] = ACTIONS(1939),
    [aux_sym_keyword_like_token2] = ACTIONS(1939),
    [sym_keyword_similar] = ACTIONS(1939),
    [sym_keyword_check] = ACTIONS(1939),
    [sym_keyword_stored] = ACTIONS(1939),
    [sym_keyword_virtual] = ACTIONS(1939),
    [sym_keyword_comment] = ACTIONS(1939),
    [sym_keyword_null] = ACTIONS(1939),
    [sym_keyword_varying] = ACTIONS(1943),
    [sym_keyword_array] = ACTIONS(1939),
    [anon_sym_LBRACK] = ACTIONS(1939),
    [anon_sym_RBRACK] = ACTIONS(1939),
    [anon_sym_LPAREN] = ACTIONS(1939),
    [anon_sym_RPAREN] = ACTIONS(1939),
    [anon_sym_COMMA] = ACTIONS(1939),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1939),
    [anon_sym_STAR] = ACTIONS(1939),
    [anon_sym_COLON_COLON] = ACTIONS(1939),
    [anon_sym_LT] = ACTIONS(1941),
    [anon_sym_GT] = ACTIONS(1941),
    [anon_sym_LT_EQ] = ACTIONS(1939),
    [anon_sym_GT_EQ] = ACTIONS(1939),
    [anon_sym_COLON] = ACTIONS(1941),
    [sym_op_other] = ACTIONS(1939),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_DASH] = ACTIONS(1941),
    [anon_sym_SLASH] = ACTIONS(1941),
    [anon_sym_PERCENT] = ACTIONS(1939),
    [anon_sym_CARET] = ACTIONS(1941),
    [anon_sym_BANG_EQ] = ACTIONS(1939),
    [anon_sym_LT_GT] = ACTIONS(1939),
  },
  [169] = {
    [ts_builtin_sym_end] = ACTIONS(1945),
    [anon_sym_SEMI] = ACTIONS(1945),
    [sym_keyword_from] = ACTIONS(1945),
    [sym_keyword_on] = ACTIONS(1945),
    [sym_keyword_where] = ACTIONS(1945),
    [sym_keyword_desc] = ACTIONS(1945),
    [sym_keyword_asc] = ACTIONS(1945),
    [sym_keyword_limit] = ACTIONS(1945),
    [sym_keyword_primary] = ACTIONS(1945),
    [sym_keyword_create] = ACTIONS(1945),
    [sym_keyword_as] = ACTIONS(1947),
    [sym_keyword_constraint] = ACTIONS(1945),
    [sym_keyword_separator] = ACTIONS(1945),
    [sym_keyword_when] = ACTIONS(1945),
    [sym_keyword_then] = ACTIONS(1945),
    [sym_keyword_else] = ACTIONS(1945),
    [sym_keyword_end] = ACTIONS(1945),
    [sym_keyword_in] = ACTIONS(1945),
    [sym_keyword_and] = ACTIONS(1945),
    [sym_keyword_or] = ACTIONS(1945),
    [sym_keyword_is] = ACTIONS(1945),
    [sym_keyword_not] = ACTIONS(1945),
    [sym_keyword_using] = ACTIONS(1945),
    [sym_keyword_auto_increment] = ACTIONS(1945),
    [sym_keyword_generated] = ACTIONS(1945),
    [sym_keyword_default] = ACTIONS(1945),
    [sym_keyword_with] = ACTIONS(1945),
    [sym_keyword_returning] = ACTIONS(1945),
    [sym_keyword_first] = ACTIONS(1945),
    [sym_keyword_after] = ACTIONS(1945),
    [sym_keyword_range] = ACTIONS(1945),
    [sym_keyword_rows] = ACTIONS(1945),
    [sym_keyword_groups] = ACTIONS(1945),
    [sym_keyword_between] = ACTIONS(1945),
    [sym_keyword_preceding] = ACTIONS(1945),
    [sym_keyword_following] = ACTIONS(1945),
    [sym_keyword_unique] = ACTIONS(1945),
    [sym_keyword_references] = ACTIONS(1945),
    [aux_sym_keyword_like_token1] = ACTIONS(1945),
    [aux_sym_keyword_like_token2] = ACTIONS(1945),
    [sym_keyword_similar] = ACTIONS(1945),
    [sym_keyword_unsigned] = ACTIONS(1949),
    [sym_keyword_zerofill] = ACTIONS(1951),
    [sym_keyword_check] = ACTIONS(1945),
    [sym_keyword_stored] = ACTIONS(1945),
    [sym_keyword_virtual] = ACTIONS(1945),
    [sym_keyword_comment] = ACTIONS(1945),
    [sym_keyword_null] = ACTIONS(1945),
    [sym_keyword_array] = ACTIONS(1945),
    [anon_sym_LBRACK] = ACTIONS(1945),
    [anon_sym_RBRACK] = ACTIONS(1945),
    [anon_sym_RPAREN] = ACTIONS(1945),
    [anon_sym_COMMA] = ACTIONS(1945),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1945),
    [anon_sym_STAR] = ACTIONS(1945),
    [anon_sym_COLON_COLON] = ACTIONS(1945),
    [anon_sym_LT] = ACTIONS(1947),
    [anon_sym_GT] = ACTIONS(1947),
    [anon_sym_LT_EQ] = ACTIONS(1945),
    [anon_sym_GT_EQ] = ACTIONS(1945),
    [anon_sym_COLON] = ACTIONS(1947),
    [sym_op_other] = ACTIONS(1945),
    [anon_sym_PLUS] = ACTIONS(1945),
    [anon_sym_DASH] = ACTIONS(1947),
    [anon_sym_SLASH] = ACTIONS(1947),
    [anon_sym_PERCENT] = ACTIONS(1945),
    [anon_sym_CARET] = ACTIONS(1947),
    [anon_sym_BANG_EQ] = ACTIONS(1945),
    [anon_sym_LT_GT] = ACTIONS(1945),
  },
  [170] = {
    [ts_builtin_sym_end] = ACTIONS(1953),
    [anon_sym_SEMI] = ACTIONS(1953),
    [sym_keyword_from] = ACTIONS(1953),
    [sym_keyword_on] = ACTIONS(1953),
    [sym_keyword_where] = ACTIONS(1953),
    [sym_keyword_desc] = ACTIONS(1953),
    [sym_keyword_asc] = ACTIONS(1953),
    [sym_keyword_limit] = ACTIONS(1953),
    [sym_keyword_primary] = ACTIONS(1953),
    [sym_keyword_create] = ACTIONS(1953),
    [sym_keyword_as] = ACTIONS(1955),
    [sym_keyword_constraint] = ACTIONS(1953),
    [sym_keyword_separator] = ACTIONS(1953),
    [sym_keyword_when] = ACTIONS(1953),
    [sym_keyword_then] = ACTIONS(1953),
    [sym_keyword_else] = ACTIONS(1953),
    [sym_keyword_end] = ACTIONS(1953),
    [sym_keyword_in] = ACTIONS(1953),
    [sym_keyword_and] = ACTIONS(1953),
    [sym_keyword_or] = ACTIONS(1953),
    [sym_keyword_is] = ACTIONS(1953),
    [sym_keyword_not] = ACTIONS(1953),
    [sym_keyword_using] = ACTIONS(1953),
    [sym_keyword_auto_increment] = ACTIONS(1953),
    [sym_keyword_generated] = ACTIONS(1953),
    [sym_keyword_default] = ACTIONS(1953),
    [sym_keyword_with] = ACTIONS(1953),
    [sym_keyword_returning] = ACTIONS(1953),
    [sym_keyword_first] = ACTIONS(1953),
    [sym_keyword_after] = ACTIONS(1953),
    [sym_keyword_range] = ACTIONS(1953),
    [sym_keyword_rows] = ACTIONS(1953),
    [sym_keyword_groups] = ACTIONS(1953),
    [sym_keyword_between] = ACTIONS(1953),
    [sym_keyword_preceding] = ACTIONS(1953),
    [sym_keyword_following] = ACTIONS(1953),
    [sym_keyword_unique] = ACTIONS(1953),
    [sym_keyword_references] = ACTIONS(1953),
    [aux_sym_keyword_like_token1] = ACTIONS(1953),
    [aux_sym_keyword_like_token2] = ACTIONS(1953),
    [sym_keyword_similar] = ACTIONS(1953),
    [sym_keyword_unsigned] = ACTIONS(1957),
    [sym_keyword_zerofill] = ACTIONS(1959),
    [sym_keyword_check] = ACTIONS(1953),
    [sym_keyword_stored] = ACTIONS(1953),
    [sym_keyword_virtual] = ACTIONS(1953),
    [sym_keyword_comment] = ACTIONS(1953),
    [sym_keyword_null] = ACTIONS(1953),
    [sym_keyword_array] = ACTIONS(1953),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_RBRACK] = ACTIONS(1953),
    [anon_sym_RPAREN] = ACTIONS(1953),
    [anon_sym_COMMA] = ACTIONS(1953),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1953),
    [anon_sym_STAR] = ACTIONS(1953),
    [anon_sym_COLON_COLON] = ACTIONS(1953),
    [anon_sym_LT] = ACTIONS(1955),
    [anon_sym_GT] = ACTIONS(1955),
    [anon_sym_LT_EQ] = ACTIONS(1953),
    [anon_sym_GT_EQ] = ACTIONS(1953),
    [anon_sym_COLON] = ACTIONS(1955),
    [sym_op_other] = ACTIONS(1953),
    [anon_sym_PLUS] = ACTIONS(1953),
    [anon_sym_DASH] = ACTIONS(1955),
    [anon_sym_SLASH] = ACTIONS(1955),
    [anon_sym_PERCENT] = ACTIONS(1953),
    [anon_sym_CARET] = ACTIONS(1955),
    [anon_sym_BANG_EQ] = ACTIONS(1953),
    [anon_sym_LT_GT] = ACTIONS(1953),
  },
  [171] = {
    [sym__include_time_zone] = STATE(237),
    [ts_builtin_sym_end] = ACTIONS(1961),
    [anon_sym_SEMI] = ACTIONS(1961),
    [sym_keyword_from] = ACTIONS(1961),
    [sym_keyword_on] = ACTIONS(1961),
    [sym_keyword_where] = ACTIONS(1961),
    [sym_keyword_desc] = ACTIONS(1961),
    [sym_keyword_asc] = ACTIONS(1961),
    [sym_keyword_limit] = ACTIONS(1961),
    [sym_keyword_primary] = ACTIONS(1961),
    [sym_keyword_create] = ACTIONS(1961),
    [sym_keyword_as] = ACTIONS(1963),
    [sym_keyword_constraint] = ACTIONS(1961),
    [sym_keyword_separator] = ACTIONS(1961),
    [sym_keyword_when] = ACTIONS(1961),
    [sym_keyword_then] = ACTIONS(1961),
    [sym_keyword_else] = ACTIONS(1961),
    [sym_keyword_end] = ACTIONS(1961),
    [sym_keyword_in] = ACTIONS(1961),
    [sym_keyword_and] = ACTIONS(1961),
    [sym_keyword_or] = ACTIONS(1961),
    [sym_keyword_is] = ACTIONS(1961),
    [sym_keyword_not] = ACTIONS(1961),
    [sym_keyword_using] = ACTIONS(1961),
    [sym_keyword_auto_increment] = ACTIONS(1961),
    [sym_keyword_generated] = ACTIONS(1961),
    [sym_keyword_default] = ACTIONS(1961),
    [sym_keyword_with] = ACTIONS(1863),
    [sym_keyword_without] = ACTIONS(1865),
    [sym_keyword_returning] = ACTIONS(1961),
    [sym_keyword_first] = ACTIONS(1961),
    [sym_keyword_after] = ACTIONS(1961),
    [sym_keyword_range] = ACTIONS(1961),
    [sym_keyword_rows] = ACTIONS(1961),
    [sym_keyword_groups] = ACTIONS(1961),
    [sym_keyword_between] = ACTIONS(1961),
    [sym_keyword_preceding] = ACTIONS(1961),
    [sym_keyword_following] = ACTIONS(1961),
    [sym_keyword_unique] = ACTIONS(1961),
    [sym_keyword_references] = ACTIONS(1961),
    [aux_sym_keyword_like_token1] = ACTIONS(1961),
    [aux_sym_keyword_like_token2] = ACTIONS(1961),
    [sym_keyword_similar] = ACTIONS(1961),
    [sym_keyword_check] = ACTIONS(1961),
    [sym_keyword_stored] = ACTIONS(1961),
    [sym_keyword_virtual] = ACTIONS(1961),
    [sym_keyword_comment] = ACTIONS(1961),
    [sym_keyword_null] = ACTIONS(1961),
    [sym_keyword_array] = ACTIONS(1961),
    [anon_sym_LBRACK] = ACTIONS(1961),
    [anon_sym_RBRACK] = ACTIONS(1961),
    [anon_sym_RPAREN] = ACTIONS(1961),
    [anon_sym_COMMA] = ACTIONS(1961),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1961),
    [anon_sym_STAR] = ACTIONS(1961),
    [anon_sym_COLON_COLON] = ACTIONS(1961),
    [anon_sym_LT] = ACTIONS(1963),
    [anon_sym_GT] = ACTIONS(1963),
    [anon_sym_LT_EQ] = ACTIONS(1961),
    [anon_sym_GT_EQ] = ACTIONS(1961),
    [anon_sym_COLON] = ACTIONS(1963),
    [sym_op_other] = ACTIONS(1961),
    [anon_sym_PLUS] = ACTIONS(1961),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_SLASH] = ACTIONS(1963),
    [anon_sym_PERCENT] = ACTIONS(1961),
    [anon_sym_CARET] = ACTIONS(1963),
    [anon_sym_BANG_EQ] = ACTIONS(1961),
    [anon_sym_LT_GT] = ACTIONS(1961),
  },
  [172] = {
    [ts_builtin_sym_end] = ACTIONS(1829),
    [anon_sym_SEMI] = ACTIONS(1829),
    [sym_keyword_from] = ACTIONS(1829),
    [sym_keyword_on] = ACTIONS(1829),
    [sym_keyword_where] = ACTIONS(1829),
    [sym_keyword_desc] = ACTIONS(1829),
    [sym_keyword_asc] = ACTIONS(1829),
    [sym_keyword_limit] = ACTIONS(1829),
    [sym_keyword_primary] = ACTIONS(1829),
    [sym_keyword_create] = ACTIONS(1829),
    [sym_keyword_as] = ACTIONS(1831),
    [sym_keyword_constraint] = ACTIONS(1829),
    [sym_keyword_separator] = ACTIONS(1829),
    [sym_keyword_when] = ACTIONS(1829),
    [sym_keyword_then] = ACTIONS(1829),
    [sym_keyword_else] = ACTIONS(1829),
    [sym_keyword_end] = ACTIONS(1829),
    [sym_keyword_in] = ACTIONS(1829),
    [sym_keyword_and] = ACTIONS(1829),
    [sym_keyword_or] = ACTIONS(1829),
    [sym_keyword_is] = ACTIONS(1829),
    [sym_keyword_not] = ACTIONS(1829),
    [sym_keyword_using] = ACTIONS(1829),
    [sym_keyword_auto_increment] = ACTIONS(1829),
    [sym_keyword_generated] = ACTIONS(1829),
    [sym_keyword_default] = ACTIONS(1829),
    [sym_keyword_with] = ACTIONS(1829),
    [sym_keyword_returning] = ACTIONS(1829),
    [sym_keyword_first] = ACTIONS(1829),
    [sym_keyword_after] = ACTIONS(1829),
    [sym_keyword_range] = ACTIONS(1829),
    [sym_keyword_rows] = ACTIONS(1829),
    [sym_keyword_groups] = ACTIONS(1829),
    [sym_keyword_between] = ACTIONS(1829),
    [sym_keyword_preceding] = ACTIONS(1829),
    [sym_keyword_following] = ACTIONS(1829),
    [sym_keyword_unique] = ACTIONS(1829),
    [sym_keyword_references] = ACTIONS(1829),
    [aux_sym_keyword_like_token1] = ACTIONS(1829),
    [aux_sym_keyword_like_token2] = ACTIONS(1829),
    [sym_keyword_similar] = ACTIONS(1829),
    [sym_keyword_check] = ACTIONS(1829),
    [sym_keyword_stored] = ACTIONS(1829),
    [sym_keyword_virtual] = ACTIONS(1829),
    [sym_keyword_comment] = ACTIONS(1829),
    [sym_keyword_null] = ACTIONS(1829),
    [sym_keyword_precision] = ACTIONS(1965),
    [sym_keyword_array] = ACTIONS(1829),
    [anon_sym_LBRACK] = ACTIONS(1829),
    [anon_sym_RBRACK] = ACTIONS(1829),
    [anon_sym_LPAREN] = ACTIONS(1967),
    [anon_sym_RPAREN] = ACTIONS(1829),
    [anon_sym_COMMA] = ACTIONS(1829),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1829),
    [anon_sym_STAR] = ACTIONS(1829),
    [anon_sym_COLON_COLON] = ACTIONS(1829),
    [anon_sym_LT] = ACTIONS(1831),
    [anon_sym_GT] = ACTIONS(1831),
    [anon_sym_LT_EQ] = ACTIONS(1829),
    [anon_sym_GT_EQ] = ACTIONS(1829),
    [anon_sym_COLON] = ACTIONS(1831),
    [sym_op_other] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1829),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_SLASH] = ACTIONS(1831),
    [anon_sym_PERCENT] = ACTIONS(1829),
    [anon_sym_CARET] = ACTIONS(1831),
    [anon_sym_BANG_EQ] = ACTIONS(1829),
    [anon_sym_LT_GT] = ACTIONS(1829),
  },
  [173] = {
    [ts_builtin_sym_end] = ACTIONS(1969),
    [anon_sym_SEMI] = ACTIONS(1969),
    [sym_keyword_from] = ACTIONS(1969),
    [sym_keyword_on] = ACTIONS(1969),
    [sym_keyword_where] = ACTIONS(1969),
    [sym_keyword_desc] = ACTIONS(1969),
    [sym_keyword_asc] = ACTIONS(1969),
    [sym_keyword_limit] = ACTIONS(1969),
    [sym_keyword_primary] = ACTIONS(1969),
    [sym_keyword_create] = ACTIONS(1969),
    [sym_keyword_as] = ACTIONS(1971),
    [sym_keyword_constraint] = ACTIONS(1969),
    [sym_keyword_separator] = ACTIONS(1969),
    [sym_keyword_when] = ACTIONS(1969),
    [sym_keyword_then] = ACTIONS(1969),
    [sym_keyword_else] = ACTIONS(1969),
    [sym_keyword_end] = ACTIONS(1969),
    [sym_keyword_in] = ACTIONS(1969),
    [sym_keyword_and] = ACTIONS(1969),
    [sym_keyword_or] = ACTIONS(1969),
    [sym_keyword_is] = ACTIONS(1969),
    [sym_keyword_not] = ACTIONS(1969),
    [sym_keyword_using] = ACTIONS(1969),
    [sym_keyword_auto_increment] = ACTIONS(1969),
    [sym_keyword_generated] = ACTIONS(1969),
    [sym_keyword_default] = ACTIONS(1969),
    [sym_keyword_with] = ACTIONS(1969),
    [sym_keyword_returning] = ACTIONS(1969),
    [sym_keyword_first] = ACTIONS(1969),
    [sym_keyword_after] = ACTIONS(1969),
    [sym_keyword_range] = ACTIONS(1969),
    [sym_keyword_rows] = ACTIONS(1969),
    [sym_keyword_groups] = ACTIONS(1969),
    [sym_keyword_between] = ACTIONS(1969),
    [sym_keyword_preceding] = ACTIONS(1969),
    [sym_keyword_following] = ACTIONS(1969),
    [sym_keyword_unique] = ACTIONS(1969),
    [sym_keyword_references] = ACTIONS(1969),
    [aux_sym_keyword_like_token1] = ACTIONS(1969),
    [aux_sym_keyword_like_token2] = ACTIONS(1969),
    [sym_keyword_similar] = ACTIONS(1969),
    [sym_keyword_unsigned] = ACTIONS(1973),
    [sym_keyword_zerofill] = ACTIONS(1975),
    [sym_keyword_check] = ACTIONS(1969),
    [sym_keyword_stored] = ACTIONS(1969),
    [sym_keyword_virtual] = ACTIONS(1969),
    [sym_keyword_comment] = ACTIONS(1969),
    [sym_keyword_null] = ACTIONS(1969),
    [sym_keyword_array] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(1969),
    [anon_sym_RBRACK] = ACTIONS(1969),
    [anon_sym_RPAREN] = ACTIONS(1969),
    [anon_sym_COMMA] = ACTIONS(1969),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1969),
    [anon_sym_STAR] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1969),
    [anon_sym_LT] = ACTIONS(1971),
    [anon_sym_GT] = ACTIONS(1971),
    [anon_sym_LT_EQ] = ACTIONS(1969),
    [anon_sym_GT_EQ] = ACTIONS(1969),
    [anon_sym_COLON] = ACTIONS(1971),
    [sym_op_other] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1969),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(1969),
    [anon_sym_CARET] = ACTIONS(1971),
    [anon_sym_BANG_EQ] = ACTIONS(1969),
    [anon_sym_LT_GT] = ACTIONS(1969),
  },
  [174] = {
    [sym__include_time_zone] = STATE(229),
    [ts_builtin_sym_end] = ACTIONS(1977),
    [anon_sym_SEMI] = ACTIONS(1977),
    [sym_keyword_from] = ACTIONS(1977),
    [sym_keyword_on] = ACTIONS(1977),
    [sym_keyword_where] = ACTIONS(1977),
    [sym_keyword_desc] = ACTIONS(1977),
    [sym_keyword_asc] = ACTIONS(1977),
    [sym_keyword_limit] = ACTIONS(1977),
    [sym_keyword_primary] = ACTIONS(1977),
    [sym_keyword_create] = ACTIONS(1977),
    [sym_keyword_as] = ACTIONS(1979),
    [sym_keyword_constraint] = ACTIONS(1977),
    [sym_keyword_separator] = ACTIONS(1977),
    [sym_keyword_when] = ACTIONS(1977),
    [sym_keyword_then] = ACTIONS(1977),
    [sym_keyword_else] = ACTIONS(1977),
    [sym_keyword_end] = ACTIONS(1977),
    [sym_keyword_in] = ACTIONS(1977),
    [sym_keyword_and] = ACTIONS(1977),
    [sym_keyword_or] = ACTIONS(1977),
    [sym_keyword_is] = ACTIONS(1977),
    [sym_keyword_not] = ACTIONS(1977),
    [sym_keyword_using] = ACTIONS(1977),
    [sym_keyword_auto_increment] = ACTIONS(1977),
    [sym_keyword_generated] = ACTIONS(1977),
    [sym_keyword_default] = ACTIONS(1977),
    [sym_keyword_with] = ACTIONS(1863),
    [sym_keyword_without] = ACTIONS(1865),
    [sym_keyword_returning] = ACTIONS(1977),
    [sym_keyword_first] = ACTIONS(1977),
    [sym_keyword_after] = ACTIONS(1977),
    [sym_keyword_range] = ACTIONS(1977),
    [sym_keyword_rows] = ACTIONS(1977),
    [sym_keyword_groups] = ACTIONS(1977),
    [sym_keyword_between] = ACTIONS(1977),
    [sym_keyword_preceding] = ACTIONS(1977),
    [sym_keyword_following] = ACTIONS(1977),
    [sym_keyword_unique] = ACTIONS(1977),
    [sym_keyword_references] = ACTIONS(1977),
    [aux_sym_keyword_like_token1] = ACTIONS(1977),
    [aux_sym_keyword_like_token2] = ACTIONS(1977),
    [sym_keyword_similar] = ACTIONS(1977),
    [sym_keyword_check] = ACTIONS(1977),
    [sym_keyword_stored] = ACTIONS(1977),
    [sym_keyword_virtual] = ACTIONS(1977),
    [sym_keyword_comment] = ACTIONS(1977),
    [sym_keyword_null] = ACTIONS(1977),
    [sym_keyword_array] = ACTIONS(1977),
    [anon_sym_LBRACK] = ACTIONS(1977),
    [anon_sym_RBRACK] = ACTIONS(1977),
    [anon_sym_RPAREN] = ACTIONS(1977),
    [anon_sym_COMMA] = ACTIONS(1977),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1977),
    [anon_sym_STAR] = ACTIONS(1977),
    [anon_sym_COLON_COLON] = ACTIONS(1977),
    [anon_sym_LT] = ACTIONS(1979),
    [anon_sym_GT] = ACTIONS(1979),
    [anon_sym_LT_EQ] = ACTIONS(1977),
    [anon_sym_GT_EQ] = ACTIONS(1977),
    [anon_sym_COLON] = ACTIONS(1979),
    [sym_op_other] = ACTIONS(1977),
    [anon_sym_PLUS] = ACTIONS(1977),
    [anon_sym_DASH] = ACTIONS(1979),
    [anon_sym_SLASH] = ACTIONS(1979),
    [anon_sym_PERCENT] = ACTIONS(1977),
    [anon_sym_CARET] = ACTIONS(1979),
    [anon_sym_BANG_EQ] = ACTIONS(1977),
    [anon_sym_LT_GT] = ACTIONS(1977),
  },
  [175] = {
    [ts_builtin_sym_end] = ACTIONS(1981),
    [anon_sym_SEMI] = ACTIONS(1981),
    [sym_keyword_from] = ACTIONS(1981),
    [sym_keyword_on] = ACTIONS(1981),
    [sym_keyword_where] = ACTIONS(1981),
    [sym_keyword_desc] = ACTIONS(1981),
    [sym_keyword_asc] = ACTIONS(1981),
    [sym_keyword_limit] = ACTIONS(1981),
    [sym_keyword_primary] = ACTIONS(1981),
    [sym_keyword_create] = ACTIONS(1981),
    [sym_keyword_as] = ACTIONS(1983),
    [sym_keyword_constraint] = ACTIONS(1981),
    [sym_keyword_separator] = ACTIONS(1981),
    [sym_keyword_when] = ACTIONS(1981),
    [sym_keyword_then] = ACTIONS(1981),
    [sym_keyword_else] = ACTIONS(1981),
    [sym_keyword_end] = ACTIONS(1981),
    [sym_keyword_in] = ACTIONS(1981),
    [sym_keyword_and] = ACTIONS(1981),
    [sym_keyword_or] = ACTIONS(1981),
    [sym_keyword_is] = ACTIONS(1981),
    [sym_keyword_not] = ACTIONS(1981),
    [sym_keyword_using] = ACTIONS(1981),
    [sym_keyword_auto_increment] = ACTIONS(1981),
    [sym_keyword_generated] = ACTIONS(1981),
    [sym_keyword_default] = ACTIONS(1981),
    [sym_keyword_with] = ACTIONS(1981),
    [sym_keyword_returning] = ACTIONS(1981),
    [sym_keyword_first] = ACTIONS(1981),
    [sym_keyword_after] = ACTIONS(1981),
    [sym_keyword_range] = ACTIONS(1981),
    [sym_keyword_rows] = ACTIONS(1981),
    [sym_keyword_groups] = ACTIONS(1981),
    [sym_keyword_between] = ACTIONS(1981),
    [sym_keyword_preceding] = ACTIONS(1981),
    [sym_keyword_following] = ACTIONS(1981),
    [sym_keyword_unique] = ACTIONS(1981),
    [sym_keyword_references] = ACTIONS(1981),
    [aux_sym_keyword_like_token1] = ACTIONS(1981),
    [aux_sym_keyword_like_token2] = ACTIONS(1981),
    [sym_keyword_similar] = ACTIONS(1981),
    [sym_keyword_check] = ACTIONS(1981),
    [sym_keyword_stored] = ACTIONS(1981),
    [sym_keyword_virtual] = ACTIONS(1981),
    [sym_keyword_comment] = ACTIONS(1981),
    [sym_keyword_null] = ACTIONS(1981),
    [sym_keyword_varying] = ACTIONS(1985),
    [sym_keyword_array] = ACTIONS(1981),
    [anon_sym_LBRACK] = ACTIONS(1981),
    [anon_sym_RBRACK] = ACTIONS(1981),
    [anon_sym_LPAREN] = ACTIONS(1987),
    [anon_sym_RPAREN] = ACTIONS(1981),
    [anon_sym_COMMA] = ACTIONS(1981),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1981),
    [anon_sym_STAR] = ACTIONS(1981),
    [anon_sym_COLON_COLON] = ACTIONS(1981),
    [anon_sym_LT] = ACTIONS(1983),
    [anon_sym_GT] = ACTIONS(1983),
    [anon_sym_LT_EQ] = ACTIONS(1981),
    [anon_sym_GT_EQ] = ACTIONS(1981),
    [anon_sym_COLON] = ACTIONS(1983),
    [sym_op_other] = ACTIONS(1981),
    [anon_sym_PLUS] = ACTIONS(1981),
    [anon_sym_DASH] = ACTIONS(1983),
    [anon_sym_SLASH] = ACTIONS(1983),
    [anon_sym_PERCENT] = ACTIONS(1981),
    [anon_sym_CARET] = ACTIONS(1983),
    [anon_sym_BANG_EQ] = ACTIONS(1981),
    [anon_sym_LT_GT] = ACTIONS(1981),
  },
  [176] = {
    [ts_builtin_sym_end] = ACTIONS(1989),
    [anon_sym_SEMI] = ACTIONS(1989),
    [sym_keyword_from] = ACTIONS(1989),
    [sym_keyword_on] = ACTIONS(1989),
    [sym_keyword_where] = ACTIONS(1989),
    [sym_keyword_desc] = ACTIONS(1989),
    [sym_keyword_asc] = ACTIONS(1989),
    [sym_keyword_limit] = ACTIONS(1989),
    [sym_keyword_primary] = ACTIONS(1989),
    [sym_keyword_create] = ACTIONS(1989),
    [sym_keyword_as] = ACTIONS(1991),
    [sym_keyword_constraint] = ACTIONS(1989),
    [sym_keyword_separator] = ACTIONS(1989),
    [sym_keyword_when] = ACTIONS(1989),
    [sym_keyword_then] = ACTIONS(1989),
    [sym_keyword_else] = ACTIONS(1989),
    [sym_keyword_end] = ACTIONS(1989),
    [sym_keyword_in] = ACTIONS(1989),
    [sym_keyword_and] = ACTIONS(1989),
    [sym_keyword_or] = ACTIONS(1989),
    [sym_keyword_is] = ACTIONS(1989),
    [sym_keyword_not] = ACTIONS(1989),
    [sym_keyword_using] = ACTIONS(1989),
    [sym_keyword_auto_increment] = ACTIONS(1989),
    [sym_keyword_generated] = ACTIONS(1989),
    [sym_keyword_default] = ACTIONS(1989),
    [sym_keyword_with] = ACTIONS(1989),
    [sym_keyword_returning] = ACTIONS(1989),
    [sym_keyword_first] = ACTIONS(1989),
    [sym_keyword_after] = ACTIONS(1989),
    [sym_keyword_range] = ACTIONS(1989),
    [sym_keyword_rows] = ACTIONS(1989),
    [sym_keyword_groups] = ACTIONS(1989),
    [sym_keyword_between] = ACTIONS(1989),
    [sym_keyword_preceding] = ACTIONS(1989),
    [sym_keyword_following] = ACTIONS(1989),
    [sym_keyword_unique] = ACTIONS(1989),
    [sym_keyword_references] = ACTIONS(1989),
    [aux_sym_keyword_like_token1] = ACTIONS(1989),
    [aux_sym_keyword_like_token2] = ACTIONS(1989),
    [sym_keyword_similar] = ACTIONS(1989),
    [sym_keyword_unsigned] = ACTIONS(1993),
    [sym_keyword_zerofill] = ACTIONS(1995),
    [sym_keyword_check] = ACTIONS(1989),
    [sym_keyword_stored] = ACTIONS(1989),
    [sym_keyword_virtual] = ACTIONS(1989),
    [sym_keyword_comment] = ACTIONS(1989),
    [sym_keyword_null] = ACTIONS(1989),
    [sym_keyword_array] = ACTIONS(1989),
    [anon_sym_LBRACK] = ACTIONS(1989),
    [anon_sym_RBRACK] = ACTIONS(1989),
    [anon_sym_RPAREN] = ACTIONS(1989),
    [anon_sym_COMMA] = ACTIONS(1989),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1989),
    [anon_sym_STAR] = ACTIONS(1989),
    [anon_sym_COLON_COLON] = ACTIONS(1989),
    [anon_sym_LT] = ACTIONS(1991),
    [anon_sym_GT] = ACTIONS(1991),
    [anon_sym_LT_EQ] = ACTIONS(1989),
    [anon_sym_GT_EQ] = ACTIONS(1989),
    [anon_sym_COLON] = ACTIONS(1991),
    [sym_op_other] = ACTIONS(1989),
    [anon_sym_PLUS] = ACTIONS(1989),
    [anon_sym_DASH] = ACTIONS(1991),
    [anon_sym_SLASH] = ACTIONS(1991),
    [anon_sym_PERCENT] = ACTIONS(1989),
    [anon_sym_CARET] = ACTIONS(1991),
    [anon_sym_BANG_EQ] = ACTIONS(1989),
    [anon_sym_LT_GT] = ACTIONS(1989),
  },
  [177] = {
    [ts_builtin_sym_end] = ACTIONS(1997),
    [anon_sym_SEMI] = ACTIONS(1997),
    [sym_keyword_from] = ACTIONS(1997),
    [sym_keyword_on] = ACTIONS(1997),
    [sym_keyword_where] = ACTIONS(1997),
    [sym_keyword_desc] = ACTIONS(1997),
    [sym_keyword_asc] = ACTIONS(1997),
    [sym_keyword_limit] = ACTIONS(1997),
    [sym_keyword_primary] = ACTIONS(1997),
    [sym_keyword_create] = ACTIONS(1997),
    [sym_keyword_as] = ACTIONS(1999),
    [sym_keyword_constraint] = ACTIONS(1997),
    [sym_keyword_separator] = ACTIONS(1997),
    [sym_keyword_when] = ACTIONS(1997),
    [sym_keyword_then] = ACTIONS(1997),
    [sym_keyword_else] = ACTIONS(1997),
    [sym_keyword_end] = ACTIONS(1997),
    [sym_keyword_in] = ACTIONS(1997),
    [sym_keyword_and] = ACTIONS(1997),
    [sym_keyword_or] = ACTIONS(1997),
    [sym_keyword_is] = ACTIONS(1997),
    [sym_keyword_not] = ACTIONS(1997),
    [sym_keyword_using] = ACTIONS(1997),
    [sym_keyword_auto_increment] = ACTIONS(1997),
    [sym_keyword_generated] = ACTIONS(1997),
    [sym_keyword_default] = ACTIONS(1997),
    [sym_keyword_with] = ACTIONS(1997),
    [sym_keyword_returning] = ACTIONS(1997),
    [sym_keyword_first] = ACTIONS(1997),
    [sym_keyword_after] = ACTIONS(1997),
    [sym_keyword_range] = ACTIONS(1997),
    [sym_keyword_rows] = ACTIONS(1997),
    [sym_keyword_groups] = ACTIONS(1997),
    [sym_keyword_between] = ACTIONS(1997),
    [sym_keyword_preceding] = ACTIONS(1997),
    [sym_keyword_following] = ACTIONS(1997),
    [sym_keyword_unique] = ACTIONS(1997),
    [sym_keyword_references] = ACTIONS(1997),
    [aux_sym_keyword_like_token1] = ACTIONS(1997),
    [aux_sym_keyword_like_token2] = ACTIONS(1997),
    [sym_keyword_similar] = ACTIONS(1997),
    [sym_keyword_unsigned] = ACTIONS(2001),
    [sym_keyword_zerofill] = ACTIONS(2003),
    [sym_keyword_check] = ACTIONS(1997),
    [sym_keyword_stored] = ACTIONS(1997),
    [sym_keyword_virtual] = ACTIONS(1997),
    [sym_keyword_comment] = ACTIONS(1997),
    [sym_keyword_null] = ACTIONS(1997),
    [sym_keyword_array] = ACTIONS(1997),
    [anon_sym_LBRACK] = ACTIONS(1997),
    [anon_sym_RBRACK] = ACTIONS(1997),
    [anon_sym_RPAREN] = ACTIONS(1997),
    [anon_sym_COMMA] = ACTIONS(1997),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1997),
    [anon_sym_STAR] = ACTIONS(1997),
    [anon_sym_COLON_COLON] = ACTIONS(1997),
    [anon_sym_LT] = ACTIONS(1999),
    [anon_sym_GT] = ACTIONS(1999),
    [anon_sym_LT_EQ] = ACTIONS(1997),
    [anon_sym_GT_EQ] = ACTIONS(1997),
    [anon_sym_COLON] = ACTIONS(1999),
    [sym_op_other] = ACTIONS(1997),
    [anon_sym_PLUS] = ACTIONS(1997),
    [anon_sym_DASH] = ACTIONS(1999),
    [anon_sym_SLASH] = ACTIONS(1999),
    [anon_sym_PERCENT] = ACTIONS(1997),
    [anon_sym_CARET] = ACTIONS(1999),
    [anon_sym_BANG_EQ] = ACTIONS(1997),
    [anon_sym_LT_GT] = ACTIONS(1997),
  },
  [178] = {
    [sym__identifier] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1384),
    [sym_keyword_set] = ACTIONS(1386),
    [sym_keyword_where] = ACTIONS(1386),
    [sym_keyword_order] = ACTIONS(1386),
    [sym_keyword_group] = ACTIONS(1386),
    [sym_keyword_having] = ACTIONS(1386),
    [sym_keyword_desc] = ACTIONS(1386),
    [sym_keyword_asc] = ACTIONS(1386),
    [sym_keyword_limit] = ACTIONS(1386),
    [sym_keyword_primary] = ACTIONS(1386),
    [sym_keyword_create] = ACTIONS(1386),
    [sym_keyword_as] = ACTIONS(1386),
    [sym_keyword_constraint] = ACTIONS(1386),
    [sym_keyword_in] = ACTIONS(1386),
    [sym_keyword_and] = ACTIONS(1386),
    [sym_keyword_or] = ACTIONS(1386),
    [sym_keyword_is] = ACTIONS(1386),
    [sym_keyword_not] = ACTIONS(1386),
    [sym_keyword_auto_increment] = ACTIONS(1386),
    [sym_keyword_generated] = ACTIONS(1386),
    [sym_keyword_default] = ACTIONS(1386),
    [sym_keyword_with] = ACTIONS(1386),
    [sym_keyword_rename] = ACTIONS(1386),
    [sym_keyword_user] = ACTIONS(1386),
    [sym_keyword_admin] = ACTIONS(1386),
    [sym_keyword_password] = ACTIONS(1386),
    [sym_keyword_encrypted] = ACTIONS(1386),
    [sym_keyword_valid] = ACTIONS(1386),
    [sym_keyword_connection] = ACTIONS(1386),
    [sym_keyword_role] = ACTIONS(1386),
    [sym_keyword_reset] = ACTIONS(1386),
    [sym_keyword_returning] = ACTIONS(1386),
    [sym_keyword_first] = ACTIONS(1386),
    [sym_keyword_after] = ACTIONS(1386),
    [sym_keyword_window] = ACTIONS(1386),
    [sym_keyword_between] = ACTIONS(1386),
    [sym_keyword_unique] = ACTIONS(1386),
    [sym_keyword_references] = ACTIONS(1386),
    [aux_sym_keyword_like_token1] = ACTIONS(1386),
    [aux_sym_keyword_like_token2] = ACTIONS(1386),
    [sym_keyword_similar] = ACTIONS(1386),
    [sym_keyword_check] = ACTIONS(1386),
    [sym_keyword_stored] = ACTIONS(1386),
    [sym_keyword_virtual] = ACTIONS(1386),
    [sym_keyword_comment] = ACTIONS(1386),
    [sym_keyword_null] = ACTIONS(1386),
    [sym_keyword_array] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1384),
    [anon_sym_DOT] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_COLON_COLON] = ACTIONS(1384),
    [anon_sym_LT] = ACTIONS(1386),
    [anon_sym_GT] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1384),
    [anon_sym_GT_EQ] = ACTIONS(1384),
    [sym_op_other] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1386),
    [anon_sym_PERCENT] = ACTIONS(1384),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1384),
    [anon_sym_LT_GT] = ACTIONS(1384),
    [sym__double_quote_string] = ACTIONS(1384),
    [aux_sym_identifier_token1] = ACTIONS(1384),
    [sym__dollar_quoted_string_end_tag] = ACTIONS(1384),
  },
  [179] = {
    [ts_builtin_sym_end] = ACTIONS(2005),
    [anon_sym_SEMI] = ACTIONS(2005),
    [sym_keyword_from] = ACTIONS(2005),
    [sym_keyword_on] = ACTIONS(2005),
    [sym_keyword_where] = ACTIONS(2005),
    [sym_keyword_desc] = ACTIONS(2005),
    [sym_keyword_asc] = ACTIONS(2005),
    [sym_keyword_limit] = ACTIONS(2005),
    [sym_keyword_primary] = ACTIONS(2005),
    [sym_keyword_create] = ACTIONS(2005),
    [sym_keyword_as] = ACTIONS(2007),
    [sym_keyword_constraint] = ACTIONS(2005),
    [sym_keyword_separator] = ACTIONS(2005),
    [sym_keyword_when] = ACTIONS(2005),
    [sym_keyword_then] = ACTIONS(2005),
    [sym_keyword_else] = ACTIONS(2005),
    [sym_keyword_end] = ACTIONS(2005),
    [sym_keyword_in] = ACTIONS(2005),
    [sym_keyword_and] = ACTIONS(2005),
    [sym_keyword_or] = ACTIONS(2005),
    [sym_keyword_is] = ACTIONS(2005),
    [sym_keyword_not] = ACTIONS(2005),
    [sym_keyword_using] = ACTIONS(2005),
    [sym_keyword_auto_increment] = ACTIONS(2005),
    [sym_keyword_generated] = ACTIONS(2005),
    [sym_keyword_default] = ACTIONS(2005),
    [sym_keyword_with] = ACTIONS(2005),
    [sym_keyword_returning] = ACTIONS(2005),
    [sym_keyword_first] = ACTIONS(2005),
    [sym_keyword_after] = ACTIONS(2005),
    [sym_keyword_range] = ACTIONS(2005),
    [sym_keyword_rows] = ACTIONS(2005),
    [sym_keyword_groups] = ACTIONS(2005),
    [sym_keyword_between] = ACTIONS(2005),
    [sym_keyword_preceding] = ACTIONS(2005),
    [sym_keyword_following] = ACTIONS(2005),
    [sym_keyword_unique] = ACTIONS(2005),
    [sym_keyword_references] = ACTIONS(2005),
    [aux_sym_keyword_like_token1] = ACTIONS(2005),
    [aux_sym_keyword_like_token2] = ACTIONS(2005),
    [sym_keyword_similar] = ACTIONS(2005),
    [sym_keyword_unsigned] = ACTIONS(2009),
    [sym_keyword_zerofill] = ACTIONS(2011),
    [sym_keyword_check] = ACTIONS(2005),
    [sym_keyword_stored] = ACTIONS(2005),
    [sym_keyword_virtual] = ACTIONS(2005),
    [sym_keyword_comment] = ACTIONS(2005),
    [sym_keyword_null] = ACTIONS(2005),
    [sym_keyword_array] = ACTIONS(2005),
    [anon_sym_LBRACK] = ACTIONS(2005),
    [anon_sym_RBRACK] = ACTIONS(2005),
    [anon_sym_RPAREN] = ACTIONS(2005),
    [anon_sym_COMMA] = ACTIONS(2005),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2005),
    [anon_sym_STAR] = ACTIONS(2005),
    [anon_sym_COLON_COLON] = ACTIONS(2005),
    [anon_sym_LT] = ACTIONS(2007),
    [anon_sym_GT] = ACTIONS(2007),
    [anon_sym_LT_EQ] = ACTIONS(2005),
    [anon_sym_GT_EQ] = ACTIONS(2005),
    [anon_sym_COLON] = ACTIONS(2007),
    [sym_op_other] = ACTIONS(2005),
    [anon_sym_PLUS] = ACTIONS(2005),
    [anon_sym_DASH] = ACTIONS(2007),
    [anon_sym_SLASH] = ACTIONS(2007),
    [anon_sym_PERCENT] = ACTIONS(2005),
    [anon_sym_CARET] = ACTIONS(2007),
    [anon_sym_BANG_EQ] = ACTIONS(2005),
    [anon_sym_LT_GT] = ACTIONS(2005),
  },
  [180] = {
    [ts_builtin_sym_end] = ACTIONS(2013),
    [anon_sym_SEMI] = ACTIONS(2013),
    [sym_keyword_from] = ACTIONS(2013),
    [sym_keyword_on] = ACTIONS(2013),
    [sym_keyword_where] = ACTIONS(2013),
    [sym_keyword_desc] = ACTIONS(2013),
    [sym_keyword_asc] = ACTIONS(2013),
    [sym_keyword_limit] = ACTIONS(2013),
    [sym_keyword_primary] = ACTIONS(2013),
    [sym_keyword_create] = ACTIONS(2013),
    [sym_keyword_as] = ACTIONS(2015),
    [sym_keyword_constraint] = ACTIONS(2013),
    [sym_keyword_separator] = ACTIONS(2013),
    [sym_keyword_when] = ACTIONS(2013),
    [sym_keyword_then] = ACTIONS(2013),
    [sym_keyword_else] = ACTIONS(2013),
    [sym_keyword_end] = ACTIONS(2013),
    [sym_keyword_in] = ACTIONS(2013),
    [sym_keyword_and] = ACTIONS(2013),
    [sym_keyword_or] = ACTIONS(2013),
    [sym_keyword_is] = ACTIONS(2013),
    [sym_keyword_not] = ACTIONS(2013),
    [sym_keyword_using] = ACTIONS(2013),
    [sym_keyword_auto_increment] = ACTIONS(2013),
    [sym_keyword_generated] = ACTIONS(2013),
    [sym_keyword_default] = ACTIONS(2013),
    [sym_keyword_with] = ACTIONS(2013),
    [sym_keyword_returning] = ACTIONS(2013),
    [sym_keyword_first] = ACTIONS(2013),
    [sym_keyword_after] = ACTIONS(2013),
    [sym_keyword_range] = ACTIONS(2013),
    [sym_keyword_rows] = ACTIONS(2013),
    [sym_keyword_groups] = ACTIONS(2013),
    [sym_keyword_between] = ACTIONS(2013),
    [sym_keyword_preceding] = ACTIONS(2013),
    [sym_keyword_following] = ACTIONS(2013),
    [sym_keyword_unique] = ACTIONS(2013),
    [sym_keyword_references] = ACTIONS(2013),
    [aux_sym_keyword_like_token1] = ACTIONS(2013),
    [aux_sym_keyword_like_token2] = ACTIONS(2013),
    [sym_keyword_similar] = ACTIONS(2013),
    [sym_keyword_unsigned] = ACTIONS(2017),
    [sym_keyword_zerofill] = ACTIONS(2019),
    [sym_keyword_check] = ACTIONS(2013),
    [sym_keyword_stored] = ACTIONS(2013),
    [sym_keyword_virtual] = ACTIONS(2013),
    [sym_keyword_comment] = ACTIONS(2013),
    [sym_keyword_null] = ACTIONS(2013),
    [sym_keyword_array] = ACTIONS(2013),
    [anon_sym_LBRACK] = ACTIONS(2013),
    [anon_sym_RBRACK] = ACTIONS(2013),
    [anon_sym_RPAREN] = ACTIONS(2013),
    [anon_sym_COMMA] = ACTIONS(2013),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2013),
    [anon_sym_STAR] = ACTIONS(2013),
    [anon_sym_COLON_COLON] = ACTIONS(2013),
    [anon_sym_LT] = ACTIONS(2015),
    [anon_sym_GT] = ACTIONS(2015),
    [anon_sym_LT_EQ] = ACTIONS(2013),
    [anon_sym_GT_EQ] = ACTIONS(2013),
    [anon_sym_COLON] = ACTIONS(2015),
    [sym_op_other] = ACTIONS(2013),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2015),
    [anon_sym_SLASH] = ACTIONS(2015),
    [anon_sym_PERCENT] = ACTIONS(2013),
    [anon_sym_CARET] = ACTIONS(2015),
    [anon_sym_BANG_EQ] = ACTIONS(2013),
    [anon_sym_LT_GT] = ACTIONS(2013),
  },
  [181] = {
    [sym__array_size_definition] = STATE(289),
    [aux_sym_array_size_definition_repeat1] = STATE(181),
    [ts_builtin_sym_end] = ACTIONS(2021),
    [anon_sym_SEMI] = ACTIONS(2021),
    [sym_keyword_from] = ACTIONS(2021),
    [sym_keyword_on] = ACTIONS(2021),
    [sym_keyword_where] = ACTIONS(2021),
    [sym_keyword_desc] = ACTIONS(2021),
    [sym_keyword_asc] = ACTIONS(2021),
    [sym_keyword_limit] = ACTIONS(2021),
    [sym_keyword_primary] = ACTIONS(2021),
    [sym_keyword_create] = ACTIONS(2021),
    [sym_keyword_as] = ACTIONS(2023),
    [sym_keyword_constraint] = ACTIONS(2021),
    [sym_keyword_separator] = ACTIONS(2021),
    [sym_keyword_when] = ACTIONS(2021),
    [sym_keyword_then] = ACTIONS(2021),
    [sym_keyword_else] = ACTIONS(2021),
    [sym_keyword_end] = ACTIONS(2021),
    [sym_keyword_in] = ACTIONS(2021),
    [sym_keyword_and] = ACTIONS(2021),
    [sym_keyword_or] = ACTIONS(2021),
    [sym_keyword_is] = ACTIONS(2021),
    [sym_keyword_not] = ACTIONS(2021),
    [sym_keyword_using] = ACTIONS(2021),
    [sym_keyword_auto_increment] = ACTIONS(2021),
    [sym_keyword_generated] = ACTIONS(2021),
    [sym_keyword_default] = ACTIONS(2021),
    [sym_keyword_with] = ACTIONS(2021),
    [sym_keyword_returning] = ACTIONS(2021),
    [sym_keyword_first] = ACTIONS(2021),
    [sym_keyword_after] = ACTIONS(2021),
    [sym_keyword_range] = ACTIONS(2021),
    [sym_keyword_rows] = ACTIONS(2021),
    [sym_keyword_groups] = ACTIONS(2021),
    [sym_keyword_between] = ACTIONS(2021),
    [sym_keyword_preceding] = ACTIONS(2021),
    [sym_keyword_following] = ACTIONS(2021),
    [sym_keyword_unique] = ACTIONS(2021),
    [sym_keyword_references] = ACTIONS(2021),
    [aux_sym_keyword_like_token1] = ACTIONS(2021),
    [aux_sym_keyword_like_token2] = ACTIONS(2021),
    [sym_keyword_similar] = ACTIONS(2021),
    [sym_keyword_check] = ACTIONS(2021),
    [sym_keyword_stored] = ACTIONS(2021),
    [sym_keyword_virtual] = ACTIONS(2021),
    [sym_keyword_comment] = ACTIONS(2021),
    [sym_keyword_null] = ACTIONS(2021),
    [anon_sym_LBRACK] = ACTIONS(2025),
    [anon_sym_RBRACK] = ACTIONS(2021),
    [anon_sym_RPAREN] = ACTIONS(2021),
    [anon_sym_COMMA] = ACTIONS(2021),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2021),
    [anon_sym_STAR] = ACTIONS(2021),
    [anon_sym_COLON_COLON] = ACTIONS(2021),
    [anon_sym_LT] = ACTIONS(2023),
    [anon_sym_GT] = ACTIONS(2023),
    [anon_sym_LT_EQ] = ACTIONS(2021),
    [anon_sym_GT_EQ] = ACTIONS(2021),
    [anon_sym_COLON] = ACTIONS(2023),
    [sym_op_other] = ACTIONS(2021),
    [anon_sym_PLUS] = ACTIONS(2021),
    [anon_sym_DASH] = ACTIONS(2023),
    [anon_sym_SLASH] = ACTIONS(2023),
    [anon_sym_PERCENT] = ACTIONS(2021),
    [anon_sym_CARET] = ACTIONS(2023),
    [anon_sym_BANG_EQ] = ACTIONS(2021),
    [anon_sym_LT_GT] = ACTIONS(2021),
  },
  [182] = {
    [ts_builtin_sym_end] = ACTIONS(2028),
    [anon_sym_SEMI] = ACTIONS(2028),
    [sym_keyword_from] = ACTIONS(2028),
    [sym_keyword_on] = ACTIONS(2028),
    [sym_keyword_where] = ACTIONS(2028),
    [sym_keyword_desc] = ACTIONS(2028),
    [sym_keyword_asc] = ACTIONS(2028),
    [sym_keyword_limit] = ACTIONS(2028),
    [sym_keyword_primary] = ACTIONS(2028),
    [sym_keyword_create] = ACTIONS(2028),
    [sym_keyword_as] = ACTIONS(2030),
    [sym_keyword_constraint] = ACTIONS(2028),
    [sym_keyword_separator] = ACTIONS(2028),
    [sym_keyword_when] = ACTIONS(2028),
    [sym_keyword_then] = ACTIONS(2028),
    [sym_keyword_else] = ACTIONS(2028),
    [sym_keyword_end] = ACTIONS(2028),
    [sym_keyword_in] = ACTIONS(2028),
    [sym_keyword_and] = ACTIONS(2028),
    [sym_keyword_or] = ACTIONS(2028),
    [sym_keyword_is] = ACTIONS(2028),
    [sym_keyword_not] = ACTIONS(2028),
    [sym_keyword_using] = ACTIONS(2028),
    [sym_keyword_auto_increment] = ACTIONS(2028),
    [sym_keyword_generated] = ACTIONS(2028),
    [sym_keyword_default] = ACTIONS(2028),
    [sym_keyword_with] = ACTIONS(2028),
    [sym_keyword_returning] = ACTIONS(2028),
    [sym_keyword_first] = ACTIONS(2028),
    [sym_keyword_after] = ACTIONS(2028),
    [sym_keyword_range] = ACTIONS(2028),
    [sym_keyword_rows] = ACTIONS(2028),
    [sym_keyword_groups] = ACTIONS(2028),
    [sym_keyword_between] = ACTIONS(2028),
    [sym_keyword_preceding] = ACTIONS(2028),
    [sym_keyword_following] = ACTIONS(2028),
    [sym_keyword_unique] = ACTIONS(2028),
    [sym_keyword_references] = ACTIONS(2028),
    [aux_sym_keyword_like_token1] = ACTIONS(2028),
    [aux_sym_keyword_like_token2] = ACTIONS(2028),
    [sym_keyword_similar] = ACTIONS(2028),
    [sym_keyword_check] = ACTIONS(2028),
    [sym_keyword_stored] = ACTIONS(2028),
    [sym_keyword_virtual] = ACTIONS(2028),
    [sym_keyword_comment] = ACTIONS(2028),
    [sym_keyword_null] = ACTIONS(2028),
    [sym_keyword_array] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2028),
    [anon_sym_RBRACK] = ACTIONS(2028),
    [anon_sym_LPAREN] = ACTIONS(2032),
    [anon_sym_RPAREN] = ACTIONS(2028),
    [anon_sym_COMMA] = ACTIONS(2028),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2028),
    [anon_sym_STAR] = ACTIONS(2028),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LT] = ACTIONS(2030),
    [anon_sym_GT] = ACTIONS(2030),
    [anon_sym_LT_EQ] = ACTIONS(2028),
    [anon_sym_GT_EQ] = ACTIONS(2028),
    [anon_sym_COLON] = ACTIONS(2030),
    [sym_op_other] = ACTIONS(2028),
    [anon_sym_PLUS] = ACTIONS(2028),
    [anon_sym_DASH] = ACTIONS(2030),
    [anon_sym_SLASH] = ACTIONS(2030),
    [anon_sym_PERCENT] = ACTIONS(2028),
    [anon_sym_CARET] = ACTIONS(2030),
    [anon_sym_BANG_EQ] = ACTIONS(2028),
    [anon_sym_LT_GT] = ACTIONS(2028),
  },
  [183] = {
    [ts_builtin_sym_end] = ACTIONS(2034),
    [anon_sym_SEMI] = ACTIONS(2034),
    [sym_keyword_from] = ACTIONS(2034),
    [sym_keyword_on] = ACTIONS(2034),
    [sym_keyword_where] = ACTIONS(2034),
    [sym_keyword_desc] = ACTIONS(2034),
    [sym_keyword_asc] = ACTIONS(2034),
    [sym_keyword_limit] = ACTIONS(2034),
    [sym_keyword_primary] = ACTIONS(2034),
    [sym_keyword_create] = ACTIONS(2034),
    [sym_keyword_as] = ACTIONS(2036),
    [sym_keyword_constraint] = ACTIONS(2034),
    [sym_keyword_separator] = ACTIONS(2034),
    [sym_keyword_when] = ACTIONS(2034),
    [sym_keyword_then] = ACTIONS(2034),
    [sym_keyword_else] = ACTIONS(2034),
    [sym_keyword_end] = ACTIONS(2034),
    [sym_keyword_in] = ACTIONS(2034),
    [sym_keyword_and] = ACTIONS(2034),
    [sym_keyword_or] = ACTIONS(2034),
    [sym_keyword_is] = ACTIONS(2034),
    [sym_keyword_not] = ACTIONS(2034),
    [sym_keyword_using] = ACTIONS(2034),
    [sym_keyword_auto_increment] = ACTIONS(2034),
    [sym_keyword_generated] = ACTIONS(2034),
    [sym_keyword_default] = ACTIONS(2034),
    [sym_keyword_with] = ACTIONS(2034),
    [sym_keyword_returning] = ACTIONS(2034),
    [sym_keyword_first] = ACTIONS(2034),
    [sym_keyword_after] = ACTIONS(2034),
    [sym_keyword_range] = ACTIONS(2034),
    [sym_keyword_rows] = ACTIONS(2034),
    [sym_keyword_groups] = ACTIONS(2034),
    [sym_keyword_between] = ACTIONS(2034),
    [sym_keyword_preceding] = ACTIONS(2034),
    [sym_keyword_following] = ACTIONS(2034),
    [sym_keyword_unique] = ACTIONS(2034),
    [sym_keyword_references] = ACTIONS(2034),
    [aux_sym_keyword_like_token1] = ACTIONS(2034),
    [aux_sym_keyword_like_token2] = ACTIONS(2034),
    [sym_keyword_similar] = ACTIONS(2034),
    [sym_keyword_zerofill] = ACTIONS(2038),
    [sym_keyword_check] = ACTIONS(2034),
    [sym_keyword_stored] = ACTIONS(2034),
    [sym_keyword_virtual] = ACTIONS(2034),
    [sym_keyword_comment] = ACTIONS(2034),
    [sym_keyword_null] = ACTIONS(2034),
    [sym_keyword_array] = ACTIONS(2034),
    [anon_sym_LBRACK] = ACTIONS(2034),
    [anon_sym_RBRACK] = ACTIONS(2034),
    [anon_sym_RPAREN] = ACTIONS(2034),
    [anon_sym_COMMA] = ACTIONS(2034),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2034),
    [anon_sym_STAR] = ACTIONS(2034),
    [anon_sym_COLON_COLON] = ACTIONS(2034),
    [anon_sym_LT] = ACTIONS(2036),
    [anon_sym_GT] = ACTIONS(2036),
    [anon_sym_LT_EQ] = ACTIONS(2034),
    [anon_sym_GT_EQ] = ACTIONS(2034),
    [anon_sym_COLON] = ACTIONS(2036),
    [sym_op_other] = ACTIONS(2034),
    [anon_sym_PLUS] = ACTIONS(2034),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_SLASH] = ACTIONS(2036),
    [anon_sym_PERCENT] = ACTIONS(2034),
    [anon_sym_CARET] = ACTIONS(2036),
    [anon_sym_BANG_EQ] = ACTIONS(2034),
    [anon_sym_LT_GT] = ACTIONS(2034),
  },
  [184] = {
    [ts_builtin_sym_end] = ACTIONS(2040),
    [anon_sym_SEMI] = ACTIONS(2040),
    [sym_keyword_from] = ACTIONS(2040),
    [sym_keyword_on] = ACTIONS(2040),
    [sym_keyword_where] = ACTIONS(2040),
    [sym_keyword_desc] = ACTIONS(2040),
    [sym_keyword_asc] = ACTIONS(2040),
    [sym_keyword_limit] = ACTIONS(2040),
    [sym_keyword_primary] = ACTIONS(2040),
    [sym_keyword_create] = ACTIONS(2040),
    [sym_keyword_as] = ACTIONS(2042),
    [sym_keyword_constraint] = ACTIONS(2040),
    [sym_keyword_separator] = ACTIONS(2040),
    [sym_keyword_when] = ACTIONS(2040),
    [sym_keyword_then] = ACTIONS(2040),
    [sym_keyword_else] = ACTIONS(2040),
    [sym_keyword_end] = ACTIONS(2040),
    [sym_keyword_in] = ACTIONS(2040),
    [sym_keyword_and] = ACTIONS(2040),
    [sym_keyword_or] = ACTIONS(2040),
    [sym_keyword_is] = ACTIONS(2040),
    [sym_keyword_not] = ACTIONS(2040),
    [sym_keyword_using] = ACTIONS(2040),
    [sym_keyword_auto_increment] = ACTIONS(2040),
    [sym_keyword_generated] = ACTIONS(2040),
    [sym_keyword_default] = ACTIONS(2040),
    [sym_keyword_with] = ACTIONS(2040),
    [sym_keyword_returning] = ACTIONS(2040),
    [sym_keyword_first] = ACTIONS(2040),
    [sym_keyword_after] = ACTIONS(2040),
    [sym_keyword_range] = ACTIONS(2040),
    [sym_keyword_rows] = ACTIONS(2040),
    [sym_keyword_groups] = ACTIONS(2040),
    [sym_keyword_between] = ACTIONS(2040),
    [sym_keyword_preceding] = ACTIONS(2040),
    [sym_keyword_following] = ACTIONS(2040),
    [sym_keyword_unique] = ACTIONS(2040),
    [sym_keyword_references] = ACTIONS(2040),
    [aux_sym_keyword_like_token1] = ACTIONS(2040),
    [aux_sym_keyword_like_token2] = ACTIONS(2040),
    [sym_keyword_similar] = ACTIONS(2040),
    [sym_keyword_zerofill] = ACTIONS(2044),
    [sym_keyword_check] = ACTIONS(2040),
    [sym_keyword_stored] = ACTIONS(2040),
    [sym_keyword_virtual] = ACTIONS(2040),
    [sym_keyword_comment] = ACTIONS(2040),
    [sym_keyword_null] = ACTIONS(2040),
    [sym_keyword_array] = ACTIONS(2040),
    [anon_sym_LBRACK] = ACTIONS(2040),
    [anon_sym_RBRACK] = ACTIONS(2040),
    [anon_sym_RPAREN] = ACTIONS(2040),
    [anon_sym_COMMA] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2040),
    [anon_sym_STAR] = ACTIONS(2040),
    [anon_sym_COLON_COLON] = ACTIONS(2040),
    [anon_sym_LT] = ACTIONS(2042),
    [anon_sym_GT] = ACTIONS(2042),
    [anon_sym_LT_EQ] = ACTIONS(2040),
    [anon_sym_GT_EQ] = ACTIONS(2040),
    [anon_sym_COLON] = ACTIONS(2042),
    [sym_op_other] = ACTIONS(2040),
    [anon_sym_PLUS] = ACTIONS(2040),
    [anon_sym_DASH] = ACTIONS(2042),
    [anon_sym_SLASH] = ACTIONS(2042),
    [anon_sym_PERCENT] = ACTIONS(2040),
    [anon_sym_CARET] = ACTIONS(2042),
    [anon_sym_BANG_EQ] = ACTIONS(2040),
    [anon_sym_LT_GT] = ACTIONS(2040),
  },
  [185] = {
    [ts_builtin_sym_end] = ACTIONS(1829),
    [anon_sym_SEMI] = ACTIONS(1829),
    [sym_keyword_from] = ACTIONS(1829),
    [sym_keyword_on] = ACTIONS(1829),
    [sym_keyword_where] = ACTIONS(1829),
    [sym_keyword_desc] = ACTIONS(1829),
    [sym_keyword_asc] = ACTIONS(1829),
    [sym_keyword_limit] = ACTIONS(1829),
    [sym_keyword_primary] = ACTIONS(1829),
    [sym_keyword_create] = ACTIONS(1829),
    [sym_keyword_as] = ACTIONS(1831),
    [sym_keyword_constraint] = ACTIONS(1829),
    [sym_keyword_separator] = ACTIONS(1829),
    [sym_keyword_when] = ACTIONS(1829),
    [sym_keyword_then] = ACTIONS(1829),
    [sym_keyword_else] = ACTIONS(1829),
    [sym_keyword_end] = ACTIONS(1829),
    [sym_keyword_in] = ACTIONS(1829),
    [sym_keyword_and] = ACTIONS(1829),
    [sym_keyword_or] = ACTIONS(1829),
    [sym_keyword_is] = ACTIONS(1829),
    [sym_keyword_not] = ACTIONS(1829),
    [sym_keyword_using] = ACTIONS(1829),
    [sym_keyword_auto_increment] = ACTIONS(1829),
    [sym_keyword_generated] = ACTIONS(1829),
    [sym_keyword_default] = ACTIONS(1829),
    [sym_keyword_with] = ACTIONS(1829),
    [sym_keyword_returning] = ACTIONS(1829),
    [sym_keyword_first] = ACTIONS(1829),
    [sym_keyword_after] = ACTIONS(1829),
    [sym_keyword_range] = ACTIONS(1829),
    [sym_keyword_rows] = ACTIONS(1829),
    [sym_keyword_groups] = ACTIONS(1829),
    [sym_keyword_between] = ACTIONS(1829),
    [sym_keyword_preceding] = ACTIONS(1829),
    [sym_keyword_following] = ACTIONS(1829),
    [sym_keyword_unique] = ACTIONS(1829),
    [sym_keyword_references] = ACTIONS(1829),
    [aux_sym_keyword_like_token1] = ACTIONS(1829),
    [aux_sym_keyword_like_token2] = ACTIONS(1829),
    [sym_keyword_similar] = ACTIONS(1829),
    [sym_keyword_zerofill] = ACTIONS(1835),
    [sym_keyword_check] = ACTIONS(1829),
    [sym_keyword_stored] = ACTIONS(1829),
    [sym_keyword_virtual] = ACTIONS(1829),
    [sym_keyword_comment] = ACTIONS(1829),
    [sym_keyword_null] = ACTIONS(1829),
    [sym_keyword_array] = ACTIONS(1829),
    [anon_sym_LBRACK] = ACTIONS(1829),
    [anon_sym_RBRACK] = ACTIONS(1829),
    [anon_sym_RPAREN] = ACTIONS(1829),
    [anon_sym_COMMA] = ACTIONS(1829),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1829),
    [anon_sym_STAR] = ACTIONS(1829),
    [anon_sym_COLON_COLON] = ACTIONS(1829),
    [anon_sym_LT] = ACTIONS(1831),
    [anon_sym_GT] = ACTIONS(1831),
    [anon_sym_LT_EQ] = ACTIONS(1829),
    [anon_sym_GT_EQ] = ACTIONS(1829),
    [anon_sym_COLON] = ACTIONS(1831),
    [sym_op_other] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1829),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_SLASH] = ACTIONS(1831),
    [anon_sym_PERCENT] = ACTIONS(1829),
    [anon_sym_CARET] = ACTIONS(1831),
    [anon_sym_BANG_EQ] = ACTIONS(1829),
    [anon_sym_LT_GT] = ACTIONS(1829),
  },
  [186] = {
    [ts_builtin_sym_end] = ACTIONS(2046),
    [anon_sym_SEMI] = ACTIONS(2046),
    [sym_keyword_from] = ACTIONS(2046),
    [sym_keyword_on] = ACTIONS(2046),
    [sym_keyword_where] = ACTIONS(2046),
    [sym_keyword_desc] = ACTIONS(2046),
    [sym_keyword_asc] = ACTIONS(2046),
    [sym_keyword_limit] = ACTIONS(2046),
    [sym_keyword_primary] = ACTIONS(2046),
    [sym_keyword_create] = ACTIONS(2046),
    [sym_keyword_as] = ACTIONS(2048),
    [sym_keyword_constraint] = ACTIONS(2046),
    [sym_keyword_separator] = ACTIONS(2046),
    [sym_keyword_when] = ACTIONS(2046),
    [sym_keyword_then] = ACTIONS(2046),
    [sym_keyword_else] = ACTIONS(2046),
    [sym_keyword_end] = ACTIONS(2046),
    [sym_keyword_in] = ACTIONS(2046),
    [sym_keyword_and] = ACTIONS(2046),
    [sym_keyword_or] = ACTIONS(2046),
    [sym_keyword_is] = ACTIONS(2046),
    [sym_keyword_not] = ACTIONS(2046),
    [sym_keyword_using] = ACTIONS(2046),
    [sym_keyword_auto_increment] = ACTIONS(2046),
    [sym_keyword_generated] = ACTIONS(2046),
    [sym_keyword_default] = ACTIONS(2046),
    [sym_keyword_with] = ACTIONS(2046),
    [sym_keyword_returning] = ACTIONS(2046),
    [sym_keyword_first] = ACTIONS(2046),
    [sym_keyword_after] = ACTIONS(2046),
    [sym_keyword_range] = ACTIONS(2046),
    [sym_keyword_rows] = ACTIONS(2046),
    [sym_keyword_groups] = ACTIONS(2046),
    [sym_keyword_between] = ACTIONS(2046),
    [sym_keyword_preceding] = ACTIONS(2046),
    [sym_keyword_following] = ACTIONS(2046),
    [sym_keyword_unique] = ACTIONS(2046),
    [sym_keyword_references] = ACTIONS(2046),
    [aux_sym_keyword_like_token1] = ACTIONS(2046),
    [aux_sym_keyword_like_token2] = ACTIONS(2046),
    [sym_keyword_similar] = ACTIONS(2046),
    [sym_keyword_check] = ACTIONS(2046),
    [sym_keyword_stored] = ACTIONS(2046),
    [sym_keyword_virtual] = ACTIONS(2046),
    [sym_keyword_comment] = ACTIONS(2046),
    [sym_keyword_null] = ACTIONS(2046),
    [sym_keyword_array] = ACTIONS(2046),
    [anon_sym_LBRACK] = ACTIONS(2046),
    [anon_sym_RBRACK] = ACTIONS(2046),
    [anon_sym_LPAREN] = ACTIONS(2046),
    [anon_sym_RPAREN] = ACTIONS(2046),
    [anon_sym_COMMA] = ACTIONS(2046),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2046),
    [anon_sym_STAR] = ACTIONS(2046),
    [anon_sym_COLON_COLON] = ACTIONS(2046),
    [anon_sym_LT] = ACTIONS(2048),
    [anon_sym_GT] = ACTIONS(2048),
    [anon_sym_LT_EQ] = ACTIONS(2046),
    [anon_sym_GT_EQ] = ACTIONS(2046),
    [anon_sym_COLON] = ACTIONS(2048),
    [sym_op_other] = ACTIONS(2046),
    [anon_sym_PLUS] = ACTIONS(2046),
    [anon_sym_DASH] = ACTIONS(2048),
    [anon_sym_SLASH] = ACTIONS(2048),
    [anon_sym_PERCENT] = ACTIONS(2046),
    [anon_sym_CARET] = ACTIONS(2048),
    [anon_sym_BANG_EQ] = ACTIONS(2046),
    [anon_sym_LT_GT] = ACTIONS(2046),
  },
  [187] = {
    [ts_builtin_sym_end] = ACTIONS(2034),
    [anon_sym_SEMI] = ACTIONS(2034),
    [sym_keyword_from] = ACTIONS(2034),
    [sym_keyword_on] = ACTIONS(2034),
    [sym_keyword_where] = ACTIONS(2034),
    [sym_keyword_desc] = ACTIONS(2034),
    [sym_keyword_asc] = ACTIONS(2034),
    [sym_keyword_limit] = ACTIONS(2034),
    [sym_keyword_primary] = ACTIONS(2034),
    [sym_keyword_create] = ACTIONS(2034),
    [sym_keyword_as] = ACTIONS(2036),
    [sym_keyword_constraint] = ACTIONS(2034),
    [sym_keyword_separator] = ACTIONS(2034),
    [sym_keyword_when] = ACTIONS(2034),
    [sym_keyword_then] = ACTIONS(2034),
    [sym_keyword_else] = ACTIONS(2034),
    [sym_keyword_end] = ACTIONS(2034),
    [sym_keyword_in] = ACTIONS(2034),
    [sym_keyword_and] = ACTIONS(2034),
    [sym_keyword_or] = ACTIONS(2034),
    [sym_keyword_is] = ACTIONS(2034),
    [sym_keyword_not] = ACTIONS(2034),
    [sym_keyword_using] = ACTIONS(2034),
    [sym_keyword_auto_increment] = ACTIONS(2034),
    [sym_keyword_generated] = ACTIONS(2034),
    [sym_keyword_default] = ACTIONS(2034),
    [sym_keyword_with] = ACTIONS(2034),
    [sym_keyword_returning] = ACTIONS(2034),
    [sym_keyword_first] = ACTIONS(2034),
    [sym_keyword_after] = ACTIONS(2034),
    [sym_keyword_range] = ACTIONS(2034),
    [sym_keyword_rows] = ACTIONS(2034),
    [sym_keyword_groups] = ACTIONS(2034),
    [sym_keyword_between] = ACTIONS(2034),
    [sym_keyword_preceding] = ACTIONS(2034),
    [sym_keyword_following] = ACTIONS(2034),
    [sym_keyword_unique] = ACTIONS(2034),
    [sym_keyword_references] = ACTIONS(2034),
    [aux_sym_keyword_like_token1] = ACTIONS(2034),
    [aux_sym_keyword_like_token2] = ACTIONS(2034),
    [sym_keyword_similar] = ACTIONS(2034),
    [sym_keyword_check] = ACTIONS(2034),
    [sym_keyword_stored] = ACTIONS(2034),
    [sym_keyword_virtual] = ACTIONS(2034),
    [sym_keyword_comment] = ACTIONS(2034),
    [sym_keyword_null] = ACTIONS(2034),
    [sym_keyword_array] = ACTIONS(2034),
    [anon_sym_LBRACK] = ACTIONS(2034),
    [anon_sym_RBRACK] = ACTIONS(2034),
    [anon_sym_LPAREN] = ACTIONS(2050),
    [anon_sym_RPAREN] = ACTIONS(2034),
    [anon_sym_COMMA] = ACTIONS(2034),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2034),
    [anon_sym_STAR] = ACTIONS(2034),
    [anon_sym_COLON_COLON] = ACTIONS(2034),
    [anon_sym_LT] = ACTIONS(2036),
    [anon_sym_GT] = ACTIONS(2036),
    [anon_sym_LT_EQ] = ACTIONS(2034),
    [anon_sym_GT_EQ] = ACTIONS(2034),
    [anon_sym_COLON] = ACTIONS(2036),
    [sym_op_other] = ACTIONS(2034),
    [anon_sym_PLUS] = ACTIONS(2034),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_SLASH] = ACTIONS(2036),
    [anon_sym_PERCENT] = ACTIONS(2034),
    [anon_sym_CARET] = ACTIONS(2036),
    [anon_sym_BANG_EQ] = ACTIONS(2034),
    [anon_sym_LT_GT] = ACTIONS(2034),
  },
  [188] = {
    [ts_builtin_sym_end] = ACTIONS(2052),
    [sym__identifier] = ACTIONS(2054),
    [anon_sym_SEMI] = ACTIONS(2052),
    [sym_keyword_select] = ACTIONS(2054),
    [sym_keyword_show] = ACTIONS(2054),
    [sym_keyword_values] = ACTIONS(2054),
    [sym_keyword_set] = ACTIONS(2054),
    [sym_keyword_left] = ACTIONS(2054),
    [sym_keyword_right] = ACTIONS(2054),
    [sym_keyword_inner] = ACTIONS(2054),
    [sym_keyword_full] = ACTIONS(2054),
    [sym_keyword_cross] = ACTIONS(2054),
    [sym_keyword_join] = ACTIONS(2054),
    [sym_keyword_natural] = ACTIONS(2054),
    [sym_keyword_on] = ACTIONS(2054),
    [sym_keyword_where] = ACTIONS(2054),
    [sym_keyword_order] = ACTIONS(2054),
    [sym_keyword_group] = ACTIONS(2054),
    [sym_keyword_partition] = ACTIONS(2054),
    [sym_keyword_limit] = ACTIONS(2054),
    [sym_keyword_create] = ACTIONS(2054),
    [sym_keyword_increment] = ACTIONS(2054),
    [sym_keyword_minvalue] = ACTIONS(2054),
    [sym_keyword_maxvalue] = ACTIONS(2054),
    [sym_keyword_owned] = ACTIONS(2054),
    [sym_keyword_start] = ACTIONS(2054),
    [sym_keyword_restart] = ACTIONS(2054),
    [sym_keyword_as] = ACTIONS(2054),
    [sym_keyword_when] = ACTIONS(2054),
    [sym_keyword_is] = ACTIONS(2054),
    [sym_keyword_force] = ACTIONS(2054),
    [sym_keyword_ignore] = ACTIONS(2054),
    [sym_keyword_using] = ACTIONS(2054),
    [sym_keyword_use] = ACTIONS(2054),
    [sym_keyword_collate] = ACTIONS(2054),
    [sym_keyword_default] = ACTIONS(2054),
    [sym_keyword_cascade] = ACTIONS(2054),
    [sym_keyword_restrict] = ACTIONS(2054),
    [sym_keyword_with] = ACTIONS(2054),
    [sym_keyword_no] = ACTIONS(2054),
    [sym_keyword_rename] = ACTIONS(2054),
    [sym_keyword_to] = ACTIONS(2054),
    [sym_keyword_owner] = ACTIONS(2054),
    [sym_keyword_cycle] = ACTIONS(2054),
    [sym_keyword_union] = ACTIONS(2054),
    [sym_keyword_except] = ACTIONS(2054),
    [sym_keyword_intersect] = ACTIONS(2054),
    [sym_keyword_returning] = ACTIONS(2054),
    [sym_keyword_after] = ACTIONS(2054),
    [sym_keyword_before] = ACTIONS(2054),
    [sym_keyword_window] = ACTIONS(2054),
    [sym_keyword_wait] = ACTIONS(2054),
    [sym_keyword_nowait] = ACTIONS(2054),
    [sym_keyword_instead] = ACTIONS(2054),
    [sym_keyword_compute] = ACTIONS(2054),
    [sym_keyword_rewrite] = ACTIONS(2054),
    [sym_keyword_partitioned] = ACTIONS(2054),
    [sym_keyword_cache] = ACTIONS(2054),
    [sym_keyword_array] = ACTIONS(2054),
    [anon_sym_LBRACK] = ACTIONS(2052),
    [anon_sym_LPAREN] = ACTIONS(2052),
    [anon_sym_RPAREN] = ACTIONS(2052),
    [anon_sym_COMMA] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_COLON_EQ] = ACTIONS(2052),
    [anon_sym_DOT] = ACTIONS(2052),
    [sym__double_quote_string] = ACTIONS(2052),
    [aux_sym_identifier_token1] = ACTIONS(2052),
  },
  [189] = {
    [ts_builtin_sym_end] = ACTIONS(2056),
    [anon_sym_SEMI] = ACTIONS(2056),
    [sym_keyword_from] = ACTIONS(2056),
    [sym_keyword_on] = ACTIONS(2056),
    [sym_keyword_where] = ACTIONS(2056),
    [sym_keyword_desc] = ACTIONS(2056),
    [sym_keyword_asc] = ACTIONS(2056),
    [sym_keyword_limit] = ACTIONS(2056),
    [sym_keyword_primary] = ACTIONS(2056),
    [sym_keyword_create] = ACTIONS(2056),
    [sym_keyword_as] = ACTIONS(2058),
    [sym_keyword_constraint] = ACTIONS(2056),
    [sym_keyword_separator] = ACTIONS(2056),
    [sym_keyword_when] = ACTIONS(2056),
    [sym_keyword_then] = ACTIONS(2056),
    [sym_keyword_else] = ACTIONS(2056),
    [sym_keyword_end] = ACTIONS(2056),
    [sym_keyword_in] = ACTIONS(2056),
    [sym_keyword_and] = ACTIONS(2056),
    [sym_keyword_or] = ACTIONS(2056),
    [sym_keyword_is] = ACTIONS(2056),
    [sym_keyword_not] = ACTIONS(2056),
    [sym_keyword_using] = ACTIONS(2056),
    [sym_keyword_auto_increment] = ACTIONS(2056),
    [sym_keyword_generated] = ACTIONS(2056),
    [sym_keyword_default] = ACTIONS(2056),
    [sym_keyword_with] = ACTIONS(2056),
    [sym_keyword_returning] = ACTIONS(2056),
    [sym_keyword_first] = ACTIONS(2056),
    [sym_keyword_after] = ACTIONS(2056),
    [sym_keyword_range] = ACTIONS(2056),
    [sym_keyword_rows] = ACTIONS(2056),
    [sym_keyword_groups] = ACTIONS(2056),
    [sym_keyword_between] = ACTIONS(2056),
    [sym_keyword_preceding] = ACTIONS(2056),
    [sym_keyword_following] = ACTIONS(2056),
    [sym_keyword_unique] = ACTIONS(2056),
    [sym_keyword_references] = ACTIONS(2056),
    [aux_sym_keyword_like_token1] = ACTIONS(2056),
    [aux_sym_keyword_like_token2] = ACTIONS(2056),
    [sym_keyword_similar] = ACTIONS(2056),
    [sym_keyword_check] = ACTIONS(2056),
    [sym_keyword_stored] = ACTIONS(2056),
    [sym_keyword_virtual] = ACTIONS(2056),
    [sym_keyword_comment] = ACTIONS(2056),
    [sym_keyword_null] = ACTIONS(2056),
    [sym_keyword_array] = ACTIONS(2056),
    [anon_sym_LBRACK] = ACTIONS(2056),
    [anon_sym_RBRACK] = ACTIONS(2056),
    [anon_sym_LPAREN] = ACTIONS(2060),
    [anon_sym_RPAREN] = ACTIONS(2056),
    [anon_sym_COMMA] = ACTIONS(2056),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2056),
    [anon_sym_STAR] = ACTIONS(2056),
    [anon_sym_COLON_COLON] = ACTIONS(2056),
    [anon_sym_LT] = ACTIONS(2058),
    [anon_sym_GT] = ACTIONS(2058),
    [anon_sym_LT_EQ] = ACTIONS(2056),
    [anon_sym_GT_EQ] = ACTIONS(2056),
    [anon_sym_COLON] = ACTIONS(2058),
    [sym_op_other] = ACTIONS(2056),
    [anon_sym_PLUS] = ACTIONS(2056),
    [anon_sym_DASH] = ACTIONS(2058),
    [anon_sym_SLASH] = ACTIONS(2058),
    [anon_sym_PERCENT] = ACTIONS(2056),
    [anon_sym_CARET] = ACTIONS(2058),
    [anon_sym_BANG_EQ] = ACTIONS(2056),
    [anon_sym_LT_GT] = ACTIONS(2056),
  },
  [190] = {
    [ts_builtin_sym_end] = ACTIONS(2056),
    [anon_sym_SEMI] = ACTIONS(2056),
    [sym_keyword_from] = ACTIONS(2056),
    [sym_keyword_on] = ACTIONS(2056),
    [sym_keyword_where] = ACTIONS(2056),
    [sym_keyword_desc] = ACTIONS(2056),
    [sym_keyword_asc] = ACTIONS(2056),
    [sym_keyword_limit] = ACTIONS(2056),
    [sym_keyword_primary] = ACTIONS(2056),
    [sym_keyword_create] = ACTIONS(2056),
    [sym_keyword_as] = ACTIONS(2058),
    [sym_keyword_constraint] = ACTIONS(2056),
    [sym_keyword_separator] = ACTIONS(2056),
    [sym_keyword_when] = ACTIONS(2056),
    [sym_keyword_then] = ACTIONS(2056),
    [sym_keyword_else] = ACTIONS(2056),
    [sym_keyword_end] = ACTIONS(2056),
    [sym_keyword_in] = ACTIONS(2056),
    [sym_keyword_and] = ACTIONS(2056),
    [sym_keyword_or] = ACTIONS(2056),
    [sym_keyword_is] = ACTIONS(2056),
    [sym_keyword_not] = ACTIONS(2056),
    [sym_keyword_using] = ACTIONS(2056),
    [sym_keyword_auto_increment] = ACTIONS(2056),
    [sym_keyword_generated] = ACTIONS(2056),
    [sym_keyword_default] = ACTIONS(2056),
    [sym_keyword_with] = ACTIONS(2056),
    [sym_keyword_returning] = ACTIONS(2056),
    [sym_keyword_first] = ACTIONS(2056),
    [sym_keyword_after] = ACTIONS(2056),
    [sym_keyword_range] = ACTIONS(2056),
    [sym_keyword_rows] = ACTIONS(2056),
    [sym_keyword_groups] = ACTIONS(2056),
    [sym_keyword_between] = ACTIONS(2056),
    [sym_keyword_preceding] = ACTIONS(2056),
    [sym_keyword_following] = ACTIONS(2056),
    [sym_keyword_unique] = ACTIONS(2056),
    [sym_keyword_references] = ACTIONS(2056),
    [aux_sym_keyword_like_token1] = ACTIONS(2056),
    [aux_sym_keyword_like_token2] = ACTIONS(2056),
    [sym_keyword_similar] = ACTIONS(2056),
    [sym_keyword_zerofill] = ACTIONS(2062),
    [sym_keyword_check] = ACTIONS(2056),
    [sym_keyword_stored] = ACTIONS(2056),
    [sym_keyword_virtual] = ACTIONS(2056),
    [sym_keyword_comment] = ACTIONS(2056),
    [sym_keyword_null] = ACTIONS(2056),
    [sym_keyword_array] = ACTIONS(2056),
    [anon_sym_LBRACK] = ACTIONS(2056),
    [anon_sym_RBRACK] = ACTIONS(2056),
    [anon_sym_RPAREN] = ACTIONS(2056),
    [anon_sym_COMMA] = ACTIONS(2056),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2056),
    [anon_sym_STAR] = ACTIONS(2056),
    [anon_sym_COLON_COLON] = ACTIONS(2056),
    [anon_sym_LT] = ACTIONS(2058),
    [anon_sym_GT] = ACTIONS(2058),
    [anon_sym_LT_EQ] = ACTIONS(2056),
    [anon_sym_GT_EQ] = ACTIONS(2056),
    [anon_sym_COLON] = ACTIONS(2058),
    [sym_op_other] = ACTIONS(2056),
    [anon_sym_PLUS] = ACTIONS(2056),
    [anon_sym_DASH] = ACTIONS(2058),
    [anon_sym_SLASH] = ACTIONS(2058),
    [anon_sym_PERCENT] = ACTIONS(2056),
    [anon_sym_CARET] = ACTIONS(2058),
    [anon_sym_BANG_EQ] = ACTIONS(2056),
    [anon_sym_LT_GT] = ACTIONS(2056),
  },
  [191] = {
    [ts_builtin_sym_end] = ACTIONS(2064),
    [anon_sym_SEMI] = ACTIONS(2064),
    [sym_keyword_from] = ACTIONS(2064),
    [sym_keyword_on] = ACTIONS(2064),
    [sym_keyword_where] = ACTIONS(2064),
    [sym_keyword_desc] = ACTIONS(2064),
    [sym_keyword_asc] = ACTIONS(2064),
    [sym_keyword_limit] = ACTIONS(2064),
    [sym_keyword_primary] = ACTIONS(2064),
    [sym_keyword_create] = ACTIONS(2064),
    [sym_keyword_as] = ACTIONS(2066),
    [sym_keyword_constraint] = ACTIONS(2064),
    [sym_keyword_separator] = ACTIONS(2064),
    [sym_keyword_when] = ACTIONS(2064),
    [sym_keyword_then] = ACTIONS(2064),
    [sym_keyword_else] = ACTIONS(2064),
    [sym_keyword_end] = ACTIONS(2064),
    [sym_keyword_in] = ACTIONS(2064),
    [sym_keyword_and] = ACTIONS(2064),
    [sym_keyword_or] = ACTIONS(2064),
    [sym_keyword_is] = ACTIONS(2064),
    [sym_keyword_not] = ACTIONS(2064),
    [sym_keyword_using] = ACTIONS(2064),
    [sym_keyword_auto_increment] = ACTIONS(2064),
    [sym_keyword_generated] = ACTIONS(2064),
    [sym_keyword_default] = ACTIONS(2064),
    [sym_keyword_with] = ACTIONS(2064),
    [sym_keyword_returning] = ACTIONS(2064),
    [sym_keyword_first] = ACTIONS(2064),
    [sym_keyword_after] = ACTIONS(2064),
    [sym_keyword_range] = ACTIONS(2064),
    [sym_keyword_rows] = ACTIONS(2064),
    [sym_keyword_groups] = ACTIONS(2064),
    [sym_keyword_between] = ACTIONS(2064),
    [sym_keyword_preceding] = ACTIONS(2064),
    [sym_keyword_following] = ACTIONS(2064),
    [sym_keyword_unique] = ACTIONS(2064),
    [sym_keyword_references] = ACTIONS(2064),
    [aux_sym_keyword_like_token1] = ACTIONS(2064),
    [aux_sym_keyword_like_token2] = ACTIONS(2064),
    [sym_keyword_similar] = ACTIONS(2064),
    [sym_keyword_check] = ACTIONS(2064),
    [sym_keyword_stored] = ACTIONS(2064),
    [sym_keyword_virtual] = ACTIONS(2064),
    [sym_keyword_comment] = ACTIONS(2064),
    [sym_keyword_null] = ACTIONS(2064),
    [sym_keyword_array] = ACTIONS(2064),
    [anon_sym_LBRACK] = ACTIONS(2064),
    [anon_sym_RBRACK] = ACTIONS(2064),
    [anon_sym_LPAREN] = ACTIONS(2068),
    [anon_sym_RPAREN] = ACTIONS(2064),
    [anon_sym_COMMA] = ACTIONS(2064),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(2064),
    [anon_sym_COLON_COLON] = ACTIONS(2064),
    [anon_sym_LT] = ACTIONS(2066),
    [anon_sym_GT] = ACTIONS(2066),
    [anon_sym_LT_EQ] = ACTIONS(2064),
    [anon_sym_GT_EQ] = ACTIONS(2064),
    [anon_sym_COLON] = ACTIONS(2066),
    [sym_op_other] = ACTIONS(2064),
    [anon_sym_PLUS] = ACTIONS(2064),
    [anon_sym_DASH] = ACTIONS(2066),
    [anon_sym_SLASH] = ACTIONS(2066),
    [anon_sym_PERCENT] = ACTIONS(2064),
    [anon_sym_CARET] = ACTIONS(2066),
    [anon_sym_BANG_EQ] = ACTIONS(2064),
    [anon_sym_LT_GT] = ACTIONS(2064),
  },
  [192] = {
    [ts_builtin_sym_end] = ACTIONS(2070),
    [anon_sym_SEMI] = ACTIONS(2070),
    [sym_keyword_from] = ACTIONS(2070),
    [sym_keyword_on] = ACTIONS(2070),
    [sym_keyword_where] = ACTIONS(2070),
    [sym_keyword_desc] = ACTIONS(2070),
    [sym_keyword_asc] = ACTIONS(2070),
    [sym_keyword_limit] = ACTIONS(2070),
    [sym_keyword_primary] = ACTIONS(2070),
    [sym_keyword_create] = ACTIONS(2070),
    [sym_keyword_as] = ACTIONS(2072),
    [sym_keyword_constraint] = ACTIONS(2070),
    [sym_keyword_separator] = ACTIONS(2070),
    [sym_keyword_when] = ACTIONS(2070),
    [sym_keyword_then] = ACTIONS(2070),
    [sym_keyword_else] = ACTIONS(2070),
    [sym_keyword_end] = ACTIONS(2070),
    [sym_keyword_in] = ACTIONS(2070),
    [sym_keyword_and] = ACTIONS(2070),
    [sym_keyword_or] = ACTIONS(2070),
    [sym_keyword_is] = ACTIONS(2070),
    [sym_keyword_not] = ACTIONS(2070),
    [sym_keyword_using] = ACTIONS(2070),
    [sym_keyword_auto_increment] = ACTIONS(2070),
    [sym_keyword_generated] = ACTIONS(2070),
    [sym_keyword_default] = ACTIONS(2070),
    [sym_keyword_with] = ACTIONS(2070),
    [sym_keyword_returning] = ACTIONS(2070),
    [sym_keyword_first] = ACTIONS(2070),
    [sym_keyword_after] = ACTIONS(2070),
    [sym_keyword_range] = ACTIONS(2070),
    [sym_keyword_rows] = ACTIONS(2070),
    [sym_keyword_groups] = ACTIONS(2070),
    [sym_keyword_between] = ACTIONS(2070),
    [sym_keyword_preceding] = ACTIONS(2070),
    [sym_keyword_following] = ACTIONS(2070),
    [sym_keyword_unique] = ACTIONS(2070),
    [sym_keyword_references] = ACTIONS(2070),
    [aux_sym_keyword_like_token1] = ACTIONS(2070),
    [aux_sym_keyword_like_token2] = ACTIONS(2070),
    [sym_keyword_similar] = ACTIONS(2070),
    [sym_keyword_check] = ACTIONS(2070),
    [sym_keyword_stored] = ACTIONS(2070),
    [sym_keyword_virtual] = ACTIONS(2070),
    [sym_keyword_comment] = ACTIONS(2070),
    [sym_keyword_null] = ACTIONS(2070),
    [sym_keyword_array] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2070),
    [anon_sym_RBRACK] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(2074),
    [anon_sym_RPAREN] = ACTIONS(2070),
    [anon_sym_COMMA] = ACTIONS(2070),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2070),
    [anon_sym_STAR] = ACTIONS(2070),
    [anon_sym_COLON_COLON] = ACTIONS(2070),
    [anon_sym_LT] = ACTIONS(2072),
    [anon_sym_GT] = ACTIONS(2072),
    [anon_sym_LT_EQ] = ACTIONS(2070),
    [anon_sym_GT_EQ] = ACTIONS(2070),
    [anon_sym_COLON] = ACTIONS(2072),
    [sym_op_other] = ACTIONS(2070),
    [anon_sym_PLUS] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_SLASH] = ACTIONS(2072),
    [anon_sym_PERCENT] = ACTIONS(2070),
    [anon_sym_CARET] = ACTIONS(2072),
    [anon_sym_BANG_EQ] = ACTIONS(2070),
    [anon_sym_LT_GT] = ACTIONS(2070),
  },
  [193] = {
    [ts_builtin_sym_end] = ACTIONS(2076),
    [anon_sym_SEMI] = ACTIONS(2076),
    [sym_keyword_from] = ACTIONS(2076),
    [sym_keyword_on] = ACTIONS(2076),
    [sym_keyword_where] = ACTIONS(2076),
    [sym_keyword_desc] = ACTIONS(2076),
    [sym_keyword_asc] = ACTIONS(2076),
    [sym_keyword_limit] = ACTIONS(2076),
    [sym_keyword_primary] = ACTIONS(2076),
    [sym_keyword_create] = ACTIONS(2076),
    [sym_keyword_as] = ACTIONS(2078),
    [sym_keyword_constraint] = ACTIONS(2076),
    [sym_keyword_separator] = ACTIONS(2076),
    [sym_keyword_when] = ACTIONS(2076),
    [sym_keyword_then] = ACTIONS(2076),
    [sym_keyword_else] = ACTIONS(2076),
    [sym_keyword_end] = ACTIONS(2076),
    [sym_keyword_in] = ACTIONS(2076),
    [sym_keyword_and] = ACTIONS(2076),
    [sym_keyword_or] = ACTIONS(2076),
    [sym_keyword_is] = ACTIONS(2076),
    [sym_keyword_not] = ACTIONS(2076),
    [sym_keyword_using] = ACTIONS(2076),
    [sym_keyword_auto_increment] = ACTIONS(2076),
    [sym_keyword_generated] = ACTIONS(2076),
    [sym_keyword_default] = ACTIONS(2076),
    [sym_keyword_with] = ACTIONS(2076),
    [sym_keyword_returning] = ACTIONS(2076),
    [sym_keyword_first] = ACTIONS(2076),
    [sym_keyword_after] = ACTIONS(2076),
    [sym_keyword_range] = ACTIONS(2076),
    [sym_keyword_rows] = ACTIONS(2076),
    [sym_keyword_groups] = ACTIONS(2076),
    [sym_keyword_between] = ACTIONS(2076),
    [sym_keyword_preceding] = ACTIONS(2076),
    [sym_keyword_following] = ACTIONS(2076),
    [sym_keyword_unique] = ACTIONS(2076),
    [sym_keyword_references] = ACTIONS(2076),
    [aux_sym_keyword_like_token1] = ACTIONS(2076),
    [aux_sym_keyword_like_token2] = ACTIONS(2076),
    [sym_keyword_similar] = ACTIONS(2076),
    [sym_keyword_zerofill] = ACTIONS(2080),
    [sym_keyword_check] = ACTIONS(2076),
    [sym_keyword_stored] = ACTIONS(2076),
    [sym_keyword_virtual] = ACTIONS(2076),
    [sym_keyword_comment] = ACTIONS(2076),
    [sym_keyword_null] = ACTIONS(2076),
    [sym_keyword_array] = ACTIONS(2076),
    [anon_sym_LBRACK] = ACTIONS(2076),
    [anon_sym_RBRACK] = ACTIONS(2076),
    [anon_sym_RPAREN] = ACTIONS(2076),
    [anon_sym_COMMA] = ACTIONS(2076),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2076),
    [anon_sym_STAR] = ACTIONS(2076),
    [anon_sym_COLON_COLON] = ACTIONS(2076),
    [anon_sym_LT] = ACTIONS(2078),
    [anon_sym_GT] = ACTIONS(2078),
    [anon_sym_LT_EQ] = ACTIONS(2076),
    [anon_sym_GT_EQ] = ACTIONS(2076),
    [anon_sym_COLON] = ACTIONS(2078),
    [sym_op_other] = ACTIONS(2076),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_DASH] = ACTIONS(2078),
    [anon_sym_SLASH] = ACTIONS(2078),
    [anon_sym_PERCENT] = ACTIONS(2076),
    [anon_sym_CARET] = ACTIONS(2078),
    [anon_sym_BANG_EQ] = ACTIONS(2076),
    [anon_sym_LT_GT] = ACTIONS(2076),
  },
  [194] = {
    [ts_builtin_sym_end] = ACTIONS(2064),
    [anon_sym_SEMI] = ACTIONS(2064),
    [sym_keyword_from] = ACTIONS(2064),
    [sym_keyword_on] = ACTIONS(2064),
    [sym_keyword_where] = ACTIONS(2064),
    [sym_keyword_desc] = ACTIONS(2064),
    [sym_keyword_asc] = ACTIONS(2064),
    [sym_keyword_limit] = ACTIONS(2064),
    [sym_keyword_primary] = ACTIONS(2064),
    [sym_keyword_create] = ACTIONS(2064),
    [sym_keyword_as] = ACTIONS(2066),
    [sym_keyword_constraint] = ACTIONS(2064),
    [sym_keyword_separator] = ACTIONS(2064),
    [sym_keyword_when] = ACTIONS(2064),
    [sym_keyword_then] = ACTIONS(2064),
    [sym_keyword_else] = ACTIONS(2064),
    [sym_keyword_end] = ACTIONS(2064),
    [sym_keyword_in] = ACTIONS(2064),
    [sym_keyword_and] = ACTIONS(2064),
    [sym_keyword_or] = ACTIONS(2064),
    [sym_keyword_is] = ACTIONS(2064),
    [sym_keyword_not] = ACTIONS(2064),
    [sym_keyword_using] = ACTIONS(2064),
    [sym_keyword_auto_increment] = ACTIONS(2064),
    [sym_keyword_generated] = ACTIONS(2064),
    [sym_keyword_default] = ACTIONS(2064),
    [sym_keyword_with] = ACTIONS(2064),
    [sym_keyword_returning] = ACTIONS(2064),
    [sym_keyword_first] = ACTIONS(2064),
    [sym_keyword_after] = ACTIONS(2064),
    [sym_keyword_range] = ACTIONS(2064),
    [sym_keyword_rows] = ACTIONS(2064),
    [sym_keyword_groups] = ACTIONS(2064),
    [sym_keyword_between] = ACTIONS(2064),
    [sym_keyword_preceding] = ACTIONS(2064),
    [sym_keyword_following] = ACTIONS(2064),
    [sym_keyword_unique] = ACTIONS(2064),
    [sym_keyword_references] = ACTIONS(2064),
    [aux_sym_keyword_like_token1] = ACTIONS(2064),
    [aux_sym_keyword_like_token2] = ACTIONS(2064),
    [sym_keyword_similar] = ACTIONS(2064),
    [sym_keyword_zerofill] = ACTIONS(2082),
    [sym_keyword_check] = ACTIONS(2064),
    [sym_keyword_stored] = ACTIONS(2064),
    [sym_keyword_virtual] = ACTIONS(2064),
    [sym_keyword_comment] = ACTIONS(2064),
    [sym_keyword_null] = ACTIONS(2064),
    [sym_keyword_array] = ACTIONS(2064),
    [anon_sym_LBRACK] = ACTIONS(2064),
    [anon_sym_RBRACK] = ACTIONS(2064),
    [anon_sym_RPAREN] = ACTIONS(2064),
    [anon_sym_COMMA] = ACTIONS(2064),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(2064),
    [anon_sym_COLON_COLON] = ACTIONS(2064),
    [anon_sym_LT] = ACTIONS(2066),
    [anon_sym_GT] = ACTIONS(2066),
    [anon_sym_LT_EQ] = ACTIONS(2064),
    [anon_sym_GT_EQ] = ACTIONS(2064),
    [anon_sym_COLON] = ACTIONS(2066),
    [sym_op_other] = ACTIONS(2064),
    [anon_sym_PLUS] = ACTIONS(2064),
    [anon_sym_DASH] = ACTIONS(2066),
    [anon_sym_SLASH] = ACTIONS(2066),
    [anon_sym_PERCENT] = ACTIONS(2064),
    [anon_sym_CARET] = ACTIONS(2066),
    [anon_sym_BANG_EQ] = ACTIONS(2064),
    [anon_sym_LT_GT] = ACTIONS(2064),
  },
  [195] = {
    [ts_builtin_sym_end] = ACTIONS(2084),
    [anon_sym_SEMI] = ACTIONS(2084),
    [sym_keyword_from] = ACTIONS(2084),
    [sym_keyword_on] = ACTIONS(2084),
    [sym_keyword_where] = ACTIONS(2084),
    [sym_keyword_desc] = ACTIONS(2084),
    [sym_keyword_asc] = ACTIONS(2084),
    [sym_keyword_limit] = ACTIONS(2084),
    [sym_keyword_primary] = ACTIONS(2084),
    [sym_keyword_create] = ACTIONS(2084),
    [sym_keyword_as] = ACTIONS(2086),
    [sym_keyword_constraint] = ACTIONS(2084),
    [sym_keyword_separator] = ACTIONS(2084),
    [sym_keyword_when] = ACTIONS(2084),
    [sym_keyword_then] = ACTIONS(2084),
    [sym_keyword_else] = ACTIONS(2084),
    [sym_keyword_end] = ACTIONS(2084),
    [sym_keyword_in] = ACTIONS(2084),
    [sym_keyword_and] = ACTIONS(2084),
    [sym_keyword_or] = ACTIONS(2084),
    [sym_keyword_is] = ACTIONS(2084),
    [sym_keyword_not] = ACTIONS(2084),
    [sym_keyword_using] = ACTIONS(2084),
    [sym_keyword_auto_increment] = ACTIONS(2084),
    [sym_keyword_generated] = ACTIONS(2084),
    [sym_keyword_default] = ACTIONS(2084),
    [sym_keyword_with] = ACTIONS(2084),
    [sym_keyword_returning] = ACTIONS(2084),
    [sym_keyword_first] = ACTIONS(2084),
    [sym_keyword_after] = ACTIONS(2084),
    [sym_keyword_range] = ACTIONS(2084),
    [sym_keyword_rows] = ACTIONS(2084),
    [sym_keyword_groups] = ACTIONS(2084),
    [sym_keyword_between] = ACTIONS(2084),
    [sym_keyword_preceding] = ACTIONS(2084),
    [sym_keyword_following] = ACTIONS(2084),
    [sym_keyword_unique] = ACTIONS(2084),
    [sym_keyword_references] = ACTIONS(2084),
    [aux_sym_keyword_like_token1] = ACTIONS(2084),
    [aux_sym_keyword_like_token2] = ACTIONS(2084),
    [sym_keyword_similar] = ACTIONS(2084),
    [sym_keyword_zerofill] = ACTIONS(2088),
    [sym_keyword_check] = ACTIONS(2084),
    [sym_keyword_stored] = ACTIONS(2084),
    [sym_keyword_virtual] = ACTIONS(2084),
    [sym_keyword_comment] = ACTIONS(2084),
    [sym_keyword_null] = ACTIONS(2084),
    [sym_keyword_array] = ACTIONS(2084),
    [anon_sym_LBRACK] = ACTIONS(2084),
    [anon_sym_RBRACK] = ACTIONS(2084),
    [anon_sym_RPAREN] = ACTIONS(2084),
    [anon_sym_COMMA] = ACTIONS(2084),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2084),
    [anon_sym_STAR] = ACTIONS(2084),
    [anon_sym_COLON_COLON] = ACTIONS(2084),
    [anon_sym_LT] = ACTIONS(2086),
    [anon_sym_GT] = ACTIONS(2086),
    [anon_sym_LT_EQ] = ACTIONS(2084),
    [anon_sym_GT_EQ] = ACTIONS(2084),
    [anon_sym_COLON] = ACTIONS(2086),
    [sym_op_other] = ACTIONS(2084),
    [anon_sym_PLUS] = ACTIONS(2084),
    [anon_sym_DASH] = ACTIONS(2086),
    [anon_sym_SLASH] = ACTIONS(2086),
    [anon_sym_PERCENT] = ACTIONS(2084),
    [anon_sym_CARET] = ACTIONS(2086),
    [anon_sym_BANG_EQ] = ACTIONS(2084),
    [anon_sym_LT_GT] = ACTIONS(2084),
  },
  [196] = {
    [ts_builtin_sym_end] = ACTIONS(2090),
    [anon_sym_SEMI] = ACTIONS(2090),
    [sym_keyword_from] = ACTIONS(2090),
    [sym_keyword_on] = ACTIONS(2090),
    [sym_keyword_where] = ACTIONS(2090),
    [sym_keyword_desc] = ACTIONS(2090),
    [sym_keyword_asc] = ACTIONS(2090),
    [sym_keyword_limit] = ACTIONS(2090),
    [sym_keyword_primary] = ACTIONS(2090),
    [sym_keyword_create] = ACTIONS(2090),
    [sym_keyword_as] = ACTIONS(2092),
    [sym_keyword_constraint] = ACTIONS(2090),
    [sym_keyword_separator] = ACTIONS(2090),
    [sym_keyword_when] = ACTIONS(2090),
    [sym_keyword_then] = ACTIONS(2090),
    [sym_keyword_else] = ACTIONS(2090),
    [sym_keyword_end] = ACTIONS(2090),
    [sym_keyword_in] = ACTIONS(2090),
    [sym_keyword_and] = ACTIONS(2090),
    [sym_keyword_or] = ACTIONS(2090),
    [sym_keyword_is] = ACTIONS(2090),
    [sym_keyword_not] = ACTIONS(2090),
    [sym_keyword_using] = ACTIONS(2090),
    [sym_keyword_auto_increment] = ACTIONS(2090),
    [sym_keyword_generated] = ACTIONS(2090),
    [sym_keyword_default] = ACTIONS(2090),
    [sym_keyword_with] = ACTIONS(2090),
    [sym_keyword_returning] = ACTIONS(2090),
    [sym_keyword_first] = ACTIONS(2090),
    [sym_keyword_after] = ACTIONS(2090),
    [sym_keyword_range] = ACTIONS(2090),
    [sym_keyword_rows] = ACTIONS(2090),
    [sym_keyword_groups] = ACTIONS(2090),
    [sym_keyword_between] = ACTIONS(2090),
    [sym_keyword_preceding] = ACTIONS(2090),
    [sym_keyword_following] = ACTIONS(2090),
    [sym_keyword_unique] = ACTIONS(2090),
    [sym_keyword_references] = ACTIONS(2090),
    [aux_sym_keyword_like_token1] = ACTIONS(2090),
    [aux_sym_keyword_like_token2] = ACTIONS(2090),
    [sym_keyword_similar] = ACTIONS(2090),
    [sym_keyword_zerofill] = ACTIONS(2094),
    [sym_keyword_check] = ACTIONS(2090),
    [sym_keyword_stored] = ACTIONS(2090),
    [sym_keyword_virtual] = ACTIONS(2090),
    [sym_keyword_comment] = ACTIONS(2090),
    [sym_keyword_null] = ACTIONS(2090),
    [sym_keyword_array] = ACTIONS(2090),
    [anon_sym_LBRACK] = ACTIONS(2090),
    [anon_sym_RBRACK] = ACTIONS(2090),
    [anon_sym_RPAREN] = ACTIONS(2090),
    [anon_sym_COMMA] = ACTIONS(2090),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(2090),
    [anon_sym_COLON_COLON] = ACTIONS(2090),
    [anon_sym_LT] = ACTIONS(2092),
    [anon_sym_GT] = ACTIONS(2092),
    [anon_sym_LT_EQ] = ACTIONS(2090),
    [anon_sym_GT_EQ] = ACTIONS(2090),
    [anon_sym_COLON] = ACTIONS(2092),
    [sym_op_other] = ACTIONS(2090),
    [anon_sym_PLUS] = ACTIONS(2090),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_SLASH] = ACTIONS(2092),
    [anon_sym_PERCENT] = ACTIONS(2090),
    [anon_sym_CARET] = ACTIONS(2092),
    [anon_sym_BANG_EQ] = ACTIONS(2090),
    [anon_sym_LT_GT] = ACTIONS(2090),
  },
  [197] = {
    [ts_builtin_sym_end] = ACTIONS(2096),
    [anon_sym_SEMI] = ACTIONS(2096),
    [sym_keyword_from] = ACTIONS(2096),
    [sym_keyword_on] = ACTIONS(2096),
    [sym_keyword_where] = ACTIONS(2096),
    [sym_keyword_desc] = ACTIONS(2096),
    [sym_keyword_asc] = ACTIONS(2096),
    [sym_keyword_limit] = ACTIONS(2096),
    [sym_keyword_primary] = ACTIONS(2096),
    [sym_keyword_create] = ACTIONS(2096),
    [sym_keyword_as] = ACTIONS(2098),
    [sym_keyword_constraint] = ACTIONS(2096),
    [sym_keyword_separator] = ACTIONS(2096),
    [sym_keyword_when] = ACTIONS(2096),
    [sym_keyword_then] = ACTIONS(2096),
    [sym_keyword_else] = ACTIONS(2096),
    [sym_keyword_end] = ACTIONS(2096),
    [sym_keyword_in] = ACTIONS(2096),
    [sym_keyword_and] = ACTIONS(2096),
    [sym_keyword_or] = ACTIONS(2096),
    [sym_keyword_is] = ACTIONS(2096),
    [sym_keyword_not] = ACTIONS(2096),
    [sym_keyword_using] = ACTIONS(2096),
    [sym_keyword_auto_increment] = ACTIONS(2096),
    [sym_keyword_generated] = ACTIONS(2096),
    [sym_keyword_default] = ACTIONS(2096),
    [sym_keyword_with] = ACTIONS(2096),
    [sym_keyword_returning] = ACTIONS(2096),
    [sym_keyword_first] = ACTIONS(2096),
    [sym_keyword_after] = ACTIONS(2096),
    [sym_keyword_range] = ACTIONS(2096),
    [sym_keyword_rows] = ACTIONS(2096),
    [sym_keyword_groups] = ACTIONS(2096),
    [sym_keyword_between] = ACTIONS(2096),
    [sym_keyword_preceding] = ACTIONS(2096),
    [sym_keyword_following] = ACTIONS(2096),
    [sym_keyword_unique] = ACTIONS(2096),
    [sym_keyword_references] = ACTIONS(2096),
    [aux_sym_keyword_like_token1] = ACTIONS(2096),
    [aux_sym_keyword_like_token2] = ACTIONS(2096),
    [sym_keyword_similar] = ACTIONS(2096),
    [sym_keyword_zerofill] = ACTIONS(2100),
    [sym_keyword_check] = ACTIONS(2096),
    [sym_keyword_stored] = ACTIONS(2096),
    [sym_keyword_virtual] = ACTIONS(2096),
    [sym_keyword_comment] = ACTIONS(2096),
    [sym_keyword_null] = ACTIONS(2096),
    [sym_keyword_array] = ACTIONS(2096),
    [anon_sym_LBRACK] = ACTIONS(2096),
    [anon_sym_RBRACK] = ACTIONS(2096),
    [anon_sym_RPAREN] = ACTIONS(2096),
    [anon_sym_COMMA] = ACTIONS(2096),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2096),
    [anon_sym_STAR] = ACTIONS(2096),
    [anon_sym_COLON_COLON] = ACTIONS(2096),
    [anon_sym_LT] = ACTIONS(2098),
    [anon_sym_GT] = ACTIONS(2098),
    [anon_sym_LT_EQ] = ACTIONS(2096),
    [anon_sym_GT_EQ] = ACTIONS(2096),
    [anon_sym_COLON] = ACTIONS(2098),
    [sym_op_other] = ACTIONS(2096),
    [anon_sym_PLUS] = ACTIONS(2096),
    [anon_sym_DASH] = ACTIONS(2098),
    [anon_sym_SLASH] = ACTIONS(2098),
    [anon_sym_PERCENT] = ACTIONS(2096),
    [anon_sym_CARET] = ACTIONS(2098),
    [anon_sym_BANG_EQ] = ACTIONS(2096),
    [anon_sym_LT_GT] = ACTIONS(2096),
  },
  [198] = {
    [ts_builtin_sym_end] = ACTIONS(2102),
    [anon_sym_SEMI] = ACTIONS(2102),
    [sym_keyword_from] = ACTIONS(2102),
    [sym_keyword_on] = ACTIONS(2102),
    [sym_keyword_where] = ACTIONS(2102),
    [sym_keyword_desc] = ACTIONS(2102),
    [sym_keyword_asc] = ACTIONS(2102),
    [sym_keyword_limit] = ACTIONS(2102),
    [sym_keyword_primary] = ACTIONS(2102),
    [sym_keyword_create] = ACTIONS(2102),
    [sym_keyword_as] = ACTIONS(2104),
    [sym_keyword_constraint] = ACTIONS(2102),
    [sym_keyword_separator] = ACTIONS(2102),
    [sym_keyword_when] = ACTIONS(2102),
    [sym_keyword_then] = ACTIONS(2102),
    [sym_keyword_else] = ACTIONS(2102),
    [sym_keyword_end] = ACTIONS(2102),
    [sym_keyword_in] = ACTIONS(2102),
    [sym_keyword_and] = ACTIONS(2102),
    [sym_keyword_or] = ACTIONS(2102),
    [sym_keyword_is] = ACTIONS(2102),
    [sym_keyword_not] = ACTIONS(2102),
    [sym_keyword_using] = ACTIONS(2102),
    [sym_keyword_auto_increment] = ACTIONS(2102),
    [sym_keyword_generated] = ACTIONS(2102),
    [sym_keyword_default] = ACTIONS(2102),
    [sym_keyword_with] = ACTIONS(2102),
    [sym_keyword_returning] = ACTIONS(2102),
    [sym_keyword_first] = ACTIONS(2102),
    [sym_keyword_after] = ACTIONS(2102),
    [sym_keyword_range] = ACTIONS(2102),
    [sym_keyword_rows] = ACTIONS(2102),
    [sym_keyword_groups] = ACTIONS(2102),
    [sym_keyword_between] = ACTIONS(2102),
    [sym_keyword_preceding] = ACTIONS(2102),
    [sym_keyword_following] = ACTIONS(2102),
    [sym_keyword_unique] = ACTIONS(2102),
    [sym_keyword_references] = ACTIONS(2102),
    [aux_sym_keyword_like_token1] = ACTIONS(2102),
    [aux_sym_keyword_like_token2] = ACTIONS(2102),
    [sym_keyword_similar] = ACTIONS(2102),
    [sym_keyword_zerofill] = ACTIONS(2106),
    [sym_keyword_check] = ACTIONS(2102),
    [sym_keyword_stored] = ACTIONS(2102),
    [sym_keyword_virtual] = ACTIONS(2102),
    [sym_keyword_comment] = ACTIONS(2102),
    [sym_keyword_null] = ACTIONS(2102),
    [sym_keyword_array] = ACTIONS(2102),
    [anon_sym_LBRACK] = ACTIONS(2102),
    [anon_sym_RBRACK] = ACTIONS(2102),
    [anon_sym_RPAREN] = ACTIONS(2102),
    [anon_sym_COMMA] = ACTIONS(2102),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2102),
    [anon_sym_STAR] = ACTIONS(2102),
    [anon_sym_COLON_COLON] = ACTIONS(2102),
    [anon_sym_LT] = ACTIONS(2104),
    [anon_sym_GT] = ACTIONS(2104),
    [anon_sym_LT_EQ] = ACTIONS(2102),
    [anon_sym_GT_EQ] = ACTIONS(2102),
    [anon_sym_COLON] = ACTIONS(2104),
    [sym_op_other] = ACTIONS(2102),
    [anon_sym_PLUS] = ACTIONS(2102),
    [anon_sym_DASH] = ACTIONS(2104),
    [anon_sym_SLASH] = ACTIONS(2104),
    [anon_sym_PERCENT] = ACTIONS(2102),
    [anon_sym_CARET] = ACTIONS(2104),
    [anon_sym_BANG_EQ] = ACTIONS(2102),
    [anon_sym_LT_GT] = ACTIONS(2102),
  },
  [199] = {
    [ts_builtin_sym_end] = ACTIONS(2108),
    [anon_sym_SEMI] = ACTIONS(2108),
    [sym_keyword_from] = ACTIONS(2108),
    [sym_keyword_on] = ACTIONS(2108),
    [sym_keyword_where] = ACTIONS(2108),
    [sym_keyword_desc] = ACTIONS(2108),
    [sym_keyword_asc] = ACTIONS(2108),
    [sym_keyword_limit] = ACTIONS(2108),
    [sym_keyword_primary] = ACTIONS(2108),
    [sym_keyword_create] = ACTIONS(2108),
    [sym_keyword_as] = ACTIONS(2110),
    [sym_keyword_constraint] = ACTIONS(2108),
    [sym_keyword_separator] = ACTIONS(2108),
    [sym_keyword_when] = ACTIONS(2108),
    [sym_keyword_then] = ACTIONS(2108),
    [sym_keyword_else] = ACTIONS(2108),
    [sym_keyword_end] = ACTIONS(2108),
    [sym_keyword_in] = ACTIONS(2108),
    [sym_keyword_and] = ACTIONS(2108),
    [sym_keyword_or] = ACTIONS(2108),
    [sym_keyword_is] = ACTIONS(2108),
    [sym_keyword_not] = ACTIONS(2108),
    [sym_keyword_using] = ACTIONS(2108),
    [sym_keyword_auto_increment] = ACTIONS(2108),
    [sym_keyword_generated] = ACTIONS(2108),
    [sym_keyword_default] = ACTIONS(2108),
    [sym_keyword_with] = ACTIONS(2108),
    [sym_keyword_returning] = ACTIONS(2108),
    [sym_keyword_first] = ACTIONS(2108),
    [sym_keyword_after] = ACTIONS(2108),
    [sym_keyword_range] = ACTIONS(2108),
    [sym_keyword_rows] = ACTIONS(2108),
    [sym_keyword_groups] = ACTIONS(2108),
    [sym_keyword_between] = ACTIONS(2108),
    [sym_keyword_preceding] = ACTIONS(2108),
    [sym_keyword_following] = ACTIONS(2108),
    [sym_keyword_unique] = ACTIONS(2108),
    [sym_keyword_references] = ACTIONS(2108),
    [aux_sym_keyword_like_token1] = ACTIONS(2108),
    [aux_sym_keyword_like_token2] = ACTIONS(2108),
    [sym_keyword_similar] = ACTIONS(2108),
    [sym_keyword_check] = ACTIONS(2108),
    [sym_keyword_stored] = ACTIONS(2108),
    [sym_keyword_virtual] = ACTIONS(2108),
    [sym_keyword_comment] = ACTIONS(2108),
    [sym_keyword_null] = ACTIONS(2108),
    [sym_keyword_array] = ACTIONS(2108),
    [anon_sym_LBRACK] = ACTIONS(2108),
    [anon_sym_RBRACK] = ACTIONS(2108),
    [anon_sym_LPAREN] = ACTIONS(2112),
    [anon_sym_RPAREN] = ACTIONS(2108),
    [anon_sym_COMMA] = ACTIONS(2108),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2108),
    [anon_sym_STAR] = ACTIONS(2108),
    [anon_sym_COLON_COLON] = ACTIONS(2108),
    [anon_sym_LT] = ACTIONS(2110),
    [anon_sym_GT] = ACTIONS(2110),
    [anon_sym_LT_EQ] = ACTIONS(2108),
    [anon_sym_GT_EQ] = ACTIONS(2108),
    [anon_sym_COLON] = ACTIONS(2110),
    [sym_op_other] = ACTIONS(2108),
    [anon_sym_PLUS] = ACTIONS(2108),
    [anon_sym_DASH] = ACTIONS(2110),
    [anon_sym_SLASH] = ACTIONS(2110),
    [anon_sym_PERCENT] = ACTIONS(2108),
    [anon_sym_CARET] = ACTIONS(2110),
    [anon_sym_BANG_EQ] = ACTIONS(2108),
    [anon_sym_LT_GT] = ACTIONS(2108),
  },
  [200] = {
    [ts_builtin_sym_end] = ACTIONS(2114),
    [anon_sym_SEMI] = ACTIONS(2114),
    [sym_keyword_from] = ACTIONS(2114),
    [sym_keyword_on] = ACTIONS(2114),
    [sym_keyword_where] = ACTIONS(2114),
    [sym_keyword_desc] = ACTIONS(2114),
    [sym_keyword_asc] = ACTIONS(2114),
    [sym_keyword_limit] = ACTIONS(2114),
    [sym_keyword_primary] = ACTIONS(2114),
    [sym_keyword_create] = ACTIONS(2114),
    [sym_keyword_as] = ACTIONS(2116),
    [sym_keyword_constraint] = ACTIONS(2114),
    [sym_keyword_separator] = ACTIONS(2114),
    [sym_keyword_when] = ACTIONS(2114),
    [sym_keyword_then] = ACTIONS(2114),
    [sym_keyword_else] = ACTIONS(2114),
    [sym_keyword_end] = ACTIONS(2114),
    [sym_keyword_in] = ACTIONS(2114),
    [sym_keyword_and] = ACTIONS(2114),
    [sym_keyword_or] = ACTIONS(2114),
    [sym_keyword_is] = ACTIONS(2114),
    [sym_keyword_not] = ACTIONS(2114),
    [sym_keyword_using] = ACTIONS(2114),
    [sym_keyword_auto_increment] = ACTIONS(2114),
    [sym_keyword_generated] = ACTIONS(2114),
    [sym_keyword_default] = ACTIONS(2114),
    [sym_keyword_with] = ACTIONS(2114),
    [sym_keyword_returning] = ACTIONS(2114),
    [sym_keyword_first] = ACTIONS(2114),
    [sym_keyword_after] = ACTIONS(2114),
    [sym_keyword_range] = ACTIONS(2114),
    [sym_keyword_rows] = ACTIONS(2114),
    [sym_keyword_groups] = ACTIONS(2114),
    [sym_keyword_between] = ACTIONS(2114),
    [sym_keyword_preceding] = ACTIONS(2114),
    [sym_keyword_following] = ACTIONS(2114),
    [sym_keyword_unique] = ACTIONS(2114),
    [sym_keyword_references] = ACTIONS(2114),
    [aux_sym_keyword_like_token1] = ACTIONS(2114),
    [aux_sym_keyword_like_token2] = ACTIONS(2114),
    [sym_keyword_similar] = ACTIONS(2114),
    [sym_keyword_zerofill] = ACTIONS(2118),
    [sym_keyword_check] = ACTIONS(2114),
    [sym_keyword_stored] = ACTIONS(2114),
    [sym_keyword_virtual] = ACTIONS(2114),
    [sym_keyword_comment] = ACTIONS(2114),
    [sym_keyword_null] = ACTIONS(2114),
    [sym_keyword_array] = ACTIONS(2114),
    [anon_sym_LBRACK] = ACTIONS(2114),
    [anon_sym_RBRACK] = ACTIONS(2114),
    [anon_sym_RPAREN] = ACTIONS(2114),
    [anon_sym_COMMA] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2114),
    [anon_sym_COLON_COLON] = ACTIONS(2114),
    [anon_sym_LT] = ACTIONS(2116),
    [anon_sym_GT] = ACTIONS(2116),
    [anon_sym_LT_EQ] = ACTIONS(2114),
    [anon_sym_GT_EQ] = ACTIONS(2114),
    [anon_sym_COLON] = ACTIONS(2116),
    [sym_op_other] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_DASH] = ACTIONS(2116),
    [anon_sym_SLASH] = ACTIONS(2116),
    [anon_sym_PERCENT] = ACTIONS(2114),
    [anon_sym_CARET] = ACTIONS(2116),
    [anon_sym_BANG_EQ] = ACTIONS(2114),
    [anon_sym_LT_GT] = ACTIONS(2114),
  },
  [201] = {
    [ts_builtin_sym_end] = ACTIONS(2090),
    [anon_sym_SEMI] = ACTIONS(2090),
    [sym_keyword_from] = ACTIONS(2090),
    [sym_keyword_on] = ACTIONS(2090),
    [sym_keyword_where] = ACTIONS(2090),
    [sym_keyword_desc] = ACTIONS(2090),
    [sym_keyword_asc] = ACTIONS(2090),
    [sym_keyword_limit] = ACTIONS(2090),
    [sym_keyword_primary] = ACTIONS(2090),
    [sym_keyword_create] = ACTIONS(2090),
    [sym_keyword_as] = ACTIONS(2092),
    [sym_keyword_constraint] = ACTIONS(2090),
    [sym_keyword_separator] = ACTIONS(2090),
    [sym_keyword_when] = ACTIONS(2090),
    [sym_keyword_then] = ACTIONS(2090),
    [sym_keyword_else] = ACTIONS(2090),
    [sym_keyword_end] = ACTIONS(2090),
    [sym_keyword_in] = ACTIONS(2090),
    [sym_keyword_and] = ACTIONS(2090),
    [sym_keyword_or] = ACTIONS(2090),
    [sym_keyword_is] = ACTIONS(2090),
    [sym_keyword_not] = ACTIONS(2090),
    [sym_keyword_using] = ACTIONS(2090),
    [sym_keyword_auto_increment] = ACTIONS(2090),
    [sym_keyword_generated] = ACTIONS(2090),
    [sym_keyword_default] = ACTIONS(2090),
    [sym_keyword_with] = ACTIONS(2090),
    [sym_keyword_returning] = ACTIONS(2090),
    [sym_keyword_first] = ACTIONS(2090),
    [sym_keyword_after] = ACTIONS(2090),
    [sym_keyword_range] = ACTIONS(2090),
    [sym_keyword_rows] = ACTIONS(2090),
    [sym_keyword_groups] = ACTIONS(2090),
    [sym_keyword_between] = ACTIONS(2090),
    [sym_keyword_preceding] = ACTIONS(2090),
    [sym_keyword_following] = ACTIONS(2090),
    [sym_keyword_unique] = ACTIONS(2090),
    [sym_keyword_references] = ACTIONS(2090),
    [aux_sym_keyword_like_token1] = ACTIONS(2090),
    [aux_sym_keyword_like_token2] = ACTIONS(2090),
    [sym_keyword_similar] = ACTIONS(2090),
    [sym_keyword_check] = ACTIONS(2090),
    [sym_keyword_stored] = ACTIONS(2090),
    [sym_keyword_virtual] = ACTIONS(2090),
    [sym_keyword_comment] = ACTIONS(2090),
    [sym_keyword_null] = ACTIONS(2090),
    [sym_keyword_array] = ACTIONS(2090),
    [anon_sym_LBRACK] = ACTIONS(2090),
    [anon_sym_RBRACK] = ACTIONS(2090),
    [anon_sym_LPAREN] = ACTIONS(2120),
    [anon_sym_RPAREN] = ACTIONS(2090),
    [anon_sym_COMMA] = ACTIONS(2090),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(2090),
    [anon_sym_COLON_COLON] = ACTIONS(2090),
    [anon_sym_LT] = ACTIONS(2092),
    [anon_sym_GT] = ACTIONS(2092),
    [anon_sym_LT_EQ] = ACTIONS(2090),
    [anon_sym_GT_EQ] = ACTIONS(2090),
    [anon_sym_COLON] = ACTIONS(2092),
    [sym_op_other] = ACTIONS(2090),
    [anon_sym_PLUS] = ACTIONS(2090),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_SLASH] = ACTIONS(2092),
    [anon_sym_PERCENT] = ACTIONS(2090),
    [anon_sym_CARET] = ACTIONS(2092),
    [anon_sym_BANG_EQ] = ACTIONS(2090),
    [anon_sym_LT_GT] = ACTIONS(2090),
  },
  [202] = {
    [ts_builtin_sym_end] = ACTIONS(2102),
    [anon_sym_SEMI] = ACTIONS(2102),
    [sym_keyword_from] = ACTIONS(2102),
    [sym_keyword_on] = ACTIONS(2102),
    [sym_keyword_where] = ACTIONS(2102),
    [sym_keyword_desc] = ACTIONS(2102),
    [sym_keyword_asc] = ACTIONS(2102),
    [sym_keyword_limit] = ACTIONS(2102),
    [sym_keyword_primary] = ACTIONS(2102),
    [sym_keyword_create] = ACTIONS(2102),
    [sym_keyword_as] = ACTIONS(2104),
    [sym_keyword_constraint] = ACTIONS(2102),
    [sym_keyword_separator] = ACTIONS(2102),
    [sym_keyword_when] = ACTIONS(2102),
    [sym_keyword_then] = ACTIONS(2102),
    [sym_keyword_else] = ACTIONS(2102),
    [sym_keyword_end] = ACTIONS(2102),
    [sym_keyword_in] = ACTIONS(2102),
    [sym_keyword_and] = ACTIONS(2102),
    [sym_keyword_or] = ACTIONS(2102),
    [sym_keyword_is] = ACTIONS(2102),
    [sym_keyword_not] = ACTIONS(2102),
    [sym_keyword_using] = ACTIONS(2102),
    [sym_keyword_auto_increment] = ACTIONS(2102),
    [sym_keyword_generated] = ACTIONS(2102),
    [sym_keyword_default] = ACTIONS(2102),
    [sym_keyword_with] = ACTIONS(2102),
    [sym_keyword_returning] = ACTIONS(2102),
    [sym_keyword_first] = ACTIONS(2102),
    [sym_keyword_after] = ACTIONS(2102),
    [sym_keyword_range] = ACTIONS(2102),
    [sym_keyword_rows] = ACTIONS(2102),
    [sym_keyword_groups] = ACTIONS(2102),
    [sym_keyword_between] = ACTIONS(2102),
    [sym_keyword_preceding] = ACTIONS(2102),
    [sym_keyword_following] = ACTIONS(2102),
    [sym_keyword_unique] = ACTIONS(2102),
    [sym_keyword_references] = ACTIONS(2102),
    [aux_sym_keyword_like_token1] = ACTIONS(2102),
    [aux_sym_keyword_like_token2] = ACTIONS(2102),
    [sym_keyword_similar] = ACTIONS(2102),
    [sym_keyword_check] = ACTIONS(2102),
    [sym_keyword_stored] = ACTIONS(2102),
    [sym_keyword_virtual] = ACTIONS(2102),
    [sym_keyword_comment] = ACTIONS(2102),
    [sym_keyword_null] = ACTIONS(2102),
    [sym_keyword_array] = ACTIONS(2102),
    [anon_sym_LBRACK] = ACTIONS(2102),
    [anon_sym_RBRACK] = ACTIONS(2102),
    [anon_sym_LPAREN] = ACTIONS(2122),
    [anon_sym_RPAREN] = ACTIONS(2102),
    [anon_sym_COMMA] = ACTIONS(2102),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2102),
    [anon_sym_STAR] = ACTIONS(2102),
    [anon_sym_COLON_COLON] = ACTIONS(2102),
    [anon_sym_LT] = ACTIONS(2104),
    [anon_sym_GT] = ACTIONS(2104),
    [anon_sym_LT_EQ] = ACTIONS(2102),
    [anon_sym_GT_EQ] = ACTIONS(2102),
    [anon_sym_COLON] = ACTIONS(2104),
    [sym_op_other] = ACTIONS(2102),
    [anon_sym_PLUS] = ACTIONS(2102),
    [anon_sym_DASH] = ACTIONS(2104),
    [anon_sym_SLASH] = ACTIONS(2104),
    [anon_sym_PERCENT] = ACTIONS(2102),
    [anon_sym_CARET] = ACTIONS(2104),
    [anon_sym_BANG_EQ] = ACTIONS(2102),
    [anon_sym_LT_GT] = ACTIONS(2102),
  },
  [203] = {
    [ts_builtin_sym_end] = ACTIONS(2114),
    [anon_sym_SEMI] = ACTIONS(2114),
    [sym_keyword_from] = ACTIONS(2114),
    [sym_keyword_on] = ACTIONS(2114),
    [sym_keyword_where] = ACTIONS(2114),
    [sym_keyword_desc] = ACTIONS(2114),
    [sym_keyword_asc] = ACTIONS(2114),
    [sym_keyword_limit] = ACTIONS(2114),
    [sym_keyword_primary] = ACTIONS(2114),
    [sym_keyword_create] = ACTIONS(2114),
    [sym_keyword_as] = ACTIONS(2116),
    [sym_keyword_constraint] = ACTIONS(2114),
    [sym_keyword_separator] = ACTIONS(2114),
    [sym_keyword_when] = ACTIONS(2114),
    [sym_keyword_then] = ACTIONS(2114),
    [sym_keyword_else] = ACTIONS(2114),
    [sym_keyword_end] = ACTIONS(2114),
    [sym_keyword_in] = ACTIONS(2114),
    [sym_keyword_and] = ACTIONS(2114),
    [sym_keyword_or] = ACTIONS(2114),
    [sym_keyword_is] = ACTIONS(2114),
    [sym_keyword_not] = ACTIONS(2114),
    [sym_keyword_using] = ACTIONS(2114),
    [sym_keyword_auto_increment] = ACTIONS(2114),
    [sym_keyword_generated] = ACTIONS(2114),
    [sym_keyword_default] = ACTIONS(2114),
    [sym_keyword_with] = ACTIONS(2114),
    [sym_keyword_returning] = ACTIONS(2114),
    [sym_keyword_first] = ACTIONS(2114),
    [sym_keyword_after] = ACTIONS(2114),
    [sym_keyword_range] = ACTIONS(2114),
    [sym_keyword_rows] = ACTIONS(2114),
    [sym_keyword_groups] = ACTIONS(2114),
    [sym_keyword_between] = ACTIONS(2114),
    [sym_keyword_preceding] = ACTIONS(2114),
    [sym_keyword_following] = ACTIONS(2114),
    [sym_keyword_unique] = ACTIONS(2114),
    [sym_keyword_references] = ACTIONS(2114),
    [aux_sym_keyword_like_token1] = ACTIONS(2114),
    [aux_sym_keyword_like_token2] = ACTIONS(2114),
    [sym_keyword_similar] = ACTIONS(2114),
    [sym_keyword_check] = ACTIONS(2114),
    [sym_keyword_stored] = ACTIONS(2114),
    [sym_keyword_virtual] = ACTIONS(2114),
    [sym_keyword_comment] = ACTIONS(2114),
    [sym_keyword_null] = ACTIONS(2114),
    [sym_keyword_array] = ACTIONS(2114),
    [anon_sym_LBRACK] = ACTIONS(2114),
    [anon_sym_RBRACK] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(2124),
    [anon_sym_RPAREN] = ACTIONS(2114),
    [anon_sym_COMMA] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2114),
    [anon_sym_COLON_COLON] = ACTIONS(2114),
    [anon_sym_LT] = ACTIONS(2116),
    [anon_sym_GT] = ACTIONS(2116),
    [anon_sym_LT_EQ] = ACTIONS(2114),
    [anon_sym_GT_EQ] = ACTIONS(2114),
    [anon_sym_COLON] = ACTIONS(2116),
    [sym_op_other] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_DASH] = ACTIONS(2116),
    [anon_sym_SLASH] = ACTIONS(2116),
    [anon_sym_PERCENT] = ACTIONS(2114),
    [anon_sym_CARET] = ACTIONS(2116),
    [anon_sym_BANG_EQ] = ACTIONS(2114),
    [anon_sym_LT_GT] = ACTIONS(2114),
  },
  [204] = {
    [ts_builtin_sym_end] = ACTIONS(2126),
    [anon_sym_SEMI] = ACTIONS(2126),
    [sym_keyword_from] = ACTIONS(2126),
    [sym_keyword_on] = ACTIONS(2126),
    [sym_keyword_where] = ACTIONS(2126),
    [sym_keyword_desc] = ACTIONS(2126),
    [sym_keyword_asc] = ACTIONS(2126),
    [sym_keyword_limit] = ACTIONS(2126),
    [sym_keyword_primary] = ACTIONS(2126),
    [sym_keyword_create] = ACTIONS(2126),
    [sym_keyword_as] = ACTIONS(2128),
    [sym_keyword_constraint] = ACTIONS(2126),
    [sym_keyword_separator] = ACTIONS(2126),
    [sym_keyword_when] = ACTIONS(2126),
    [sym_keyword_then] = ACTIONS(2126),
    [sym_keyword_else] = ACTIONS(2126),
    [sym_keyword_end] = ACTIONS(2126),
    [sym_keyword_in] = ACTIONS(2126),
    [sym_keyword_and] = ACTIONS(2126),
    [sym_keyword_or] = ACTIONS(2126),
    [sym_keyword_is] = ACTIONS(2126),
    [sym_keyword_not] = ACTIONS(2126),
    [sym_keyword_using] = ACTIONS(2126),
    [sym_keyword_auto_increment] = ACTIONS(2126),
    [sym_keyword_generated] = ACTIONS(2126),
    [sym_keyword_default] = ACTIONS(2126),
    [sym_keyword_with] = ACTIONS(2126),
    [sym_keyword_returning] = ACTIONS(2126),
    [sym_keyword_first] = ACTIONS(2126),
    [sym_keyword_after] = ACTIONS(2126),
    [sym_keyword_range] = ACTIONS(2126),
    [sym_keyword_rows] = ACTIONS(2126),
    [sym_keyword_groups] = ACTIONS(2126),
    [sym_keyword_between] = ACTIONS(2126),
    [sym_keyword_preceding] = ACTIONS(2126),
    [sym_keyword_following] = ACTIONS(2126),
    [sym_keyword_unique] = ACTIONS(2126),
    [sym_keyword_references] = ACTIONS(2126),
    [aux_sym_keyword_like_token1] = ACTIONS(2126),
    [aux_sym_keyword_like_token2] = ACTIONS(2126),
    [sym_keyword_similar] = ACTIONS(2126),
    [sym_keyword_check] = ACTIONS(2126),
    [sym_keyword_stored] = ACTIONS(2126),
    [sym_keyword_virtual] = ACTIONS(2126),
    [sym_keyword_comment] = ACTIONS(2126),
    [sym_keyword_null] = ACTIONS(2126),
    [sym_keyword_array] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2126),
    [anon_sym_RBRACK] = ACTIONS(2126),
    [anon_sym_LPAREN] = ACTIONS(2130),
    [anon_sym_RPAREN] = ACTIONS(2126),
    [anon_sym_COMMA] = ACTIONS(2126),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2126),
    [anon_sym_STAR] = ACTIONS(2126),
    [anon_sym_COLON_COLON] = ACTIONS(2126),
    [anon_sym_LT] = ACTIONS(2128),
    [anon_sym_GT] = ACTIONS(2128),
    [anon_sym_LT_EQ] = ACTIONS(2126),
    [anon_sym_GT_EQ] = ACTIONS(2126),
    [anon_sym_COLON] = ACTIONS(2128),
    [sym_op_other] = ACTIONS(2126),
    [anon_sym_PLUS] = ACTIONS(2126),
    [anon_sym_DASH] = ACTIONS(2128),
    [anon_sym_SLASH] = ACTIONS(2128),
    [anon_sym_PERCENT] = ACTIONS(2126),
    [anon_sym_CARET] = ACTIONS(2128),
    [anon_sym_BANG_EQ] = ACTIONS(2126),
    [anon_sym_LT_GT] = ACTIONS(2126),
  },
  [205] = {
    [ts_builtin_sym_end] = ACTIONS(2132),
    [anon_sym_SEMI] = ACTIONS(2132),
    [sym_keyword_from] = ACTIONS(2132),
    [sym_keyword_on] = ACTIONS(2132),
    [sym_keyword_where] = ACTIONS(2132),
    [sym_keyword_desc] = ACTIONS(2132),
    [sym_keyword_asc] = ACTIONS(2132),
    [sym_keyword_limit] = ACTIONS(2132),
    [sym_keyword_primary] = ACTIONS(2132),
    [sym_keyword_create] = ACTIONS(2132),
    [sym_keyword_as] = ACTIONS(2134),
    [sym_keyword_constraint] = ACTIONS(2132),
    [sym_keyword_separator] = ACTIONS(2132),
    [sym_keyword_when] = ACTIONS(2132),
    [sym_keyword_then] = ACTIONS(2132),
    [sym_keyword_else] = ACTIONS(2132),
    [sym_keyword_end] = ACTIONS(2132),
    [sym_keyword_in] = ACTIONS(2132),
    [sym_keyword_and] = ACTIONS(2132),
    [sym_keyword_or] = ACTIONS(2132),
    [sym_keyword_is] = ACTIONS(2132),
    [sym_keyword_not] = ACTIONS(2132),
    [sym_keyword_using] = ACTIONS(2132),
    [sym_keyword_auto_increment] = ACTIONS(2132),
    [sym_keyword_generated] = ACTIONS(2132),
    [sym_keyword_default] = ACTIONS(2132),
    [sym_keyword_with] = ACTIONS(2132),
    [sym_keyword_returning] = ACTIONS(2132),
    [sym_keyword_first] = ACTIONS(2132),
    [sym_keyword_after] = ACTIONS(2132),
    [sym_keyword_range] = ACTIONS(2132),
    [sym_keyword_rows] = ACTIONS(2132),
    [sym_keyword_groups] = ACTIONS(2132),
    [sym_keyword_between] = ACTIONS(2132),
    [sym_keyword_preceding] = ACTIONS(2132),
    [sym_keyword_following] = ACTIONS(2132),
    [sym_keyword_unique] = ACTIONS(2132),
    [sym_keyword_references] = ACTIONS(2132),
    [aux_sym_keyword_like_token1] = ACTIONS(2132),
    [aux_sym_keyword_like_token2] = ACTIONS(2132),
    [sym_keyword_similar] = ACTIONS(2132),
    [sym_keyword_check] = ACTIONS(2132),
    [sym_keyword_stored] = ACTIONS(2132),
    [sym_keyword_virtual] = ACTIONS(2132),
    [sym_keyword_comment] = ACTIONS(2132),
    [sym_keyword_null] = ACTIONS(2132),
    [sym_keyword_array] = ACTIONS(2132),
    [anon_sym_LBRACK] = ACTIONS(2132),
    [anon_sym_RBRACK] = ACTIONS(2132),
    [anon_sym_LPAREN] = ACTIONS(2136),
    [anon_sym_RPAREN] = ACTIONS(2132),
    [anon_sym_COMMA] = ACTIONS(2132),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2132),
    [anon_sym_STAR] = ACTIONS(2132),
    [anon_sym_COLON_COLON] = ACTIONS(2132),
    [anon_sym_LT] = ACTIONS(2134),
    [anon_sym_GT] = ACTIONS(2134),
    [anon_sym_LT_EQ] = ACTIONS(2132),
    [anon_sym_GT_EQ] = ACTIONS(2132),
    [anon_sym_COLON] = ACTIONS(2134),
    [sym_op_other] = ACTIONS(2132),
    [anon_sym_PLUS] = ACTIONS(2132),
    [anon_sym_DASH] = ACTIONS(2134),
    [anon_sym_SLASH] = ACTIONS(2134),
    [anon_sym_PERCENT] = ACTIONS(2132),
    [anon_sym_CARET] = ACTIONS(2134),
    [anon_sym_BANG_EQ] = ACTIONS(2132),
    [anon_sym_LT_GT] = ACTIONS(2132),
  },
  [206] = {
    [ts_builtin_sym_end] = ACTIONS(1829),
    [anon_sym_SEMI] = ACTIONS(1829),
    [sym_keyword_from] = ACTIONS(1829),
    [sym_keyword_on] = ACTIONS(1829),
    [sym_keyword_where] = ACTIONS(1829),
    [sym_keyword_desc] = ACTIONS(1829),
    [sym_keyword_asc] = ACTIONS(1829),
    [sym_keyword_limit] = ACTIONS(1829),
    [sym_keyword_primary] = ACTIONS(1829),
    [sym_keyword_create] = ACTIONS(1829),
    [sym_keyword_as] = ACTIONS(1831),
    [sym_keyword_constraint] = ACTIONS(1829),
    [sym_keyword_separator] = ACTIONS(1829),
    [sym_keyword_when] = ACTIONS(1829),
    [sym_keyword_then] = ACTIONS(1829),
    [sym_keyword_else] = ACTIONS(1829),
    [sym_keyword_end] = ACTIONS(1829),
    [sym_keyword_in] = ACTIONS(1829),
    [sym_keyword_and] = ACTIONS(1829),
    [sym_keyword_or] = ACTIONS(1829),
    [sym_keyword_is] = ACTIONS(1829),
    [sym_keyword_not] = ACTIONS(1829),
    [sym_keyword_using] = ACTIONS(1829),
    [sym_keyword_auto_increment] = ACTIONS(1829),
    [sym_keyword_generated] = ACTIONS(1829),
    [sym_keyword_default] = ACTIONS(1829),
    [sym_keyword_with] = ACTIONS(1829),
    [sym_keyword_returning] = ACTIONS(1829),
    [sym_keyword_first] = ACTIONS(1829),
    [sym_keyword_after] = ACTIONS(1829),
    [sym_keyword_range] = ACTIONS(1829),
    [sym_keyword_rows] = ACTIONS(1829),
    [sym_keyword_groups] = ACTIONS(1829),
    [sym_keyword_between] = ACTIONS(1829),
    [sym_keyword_preceding] = ACTIONS(1829),
    [sym_keyword_following] = ACTIONS(1829),
    [sym_keyword_unique] = ACTIONS(1829),
    [sym_keyword_references] = ACTIONS(1829),
    [aux_sym_keyword_like_token1] = ACTIONS(1829),
    [aux_sym_keyword_like_token2] = ACTIONS(1829),
    [sym_keyword_similar] = ACTIONS(1829),
    [sym_keyword_check] = ACTIONS(1829),
    [sym_keyword_stored] = ACTIONS(1829),
    [sym_keyword_virtual] = ACTIONS(1829),
    [sym_keyword_comment] = ACTIONS(1829),
    [sym_keyword_null] = ACTIONS(1829),
    [sym_keyword_array] = ACTIONS(1829),
    [anon_sym_LBRACK] = ACTIONS(1829),
    [anon_sym_RBRACK] = ACTIONS(1829),
    [anon_sym_LPAREN] = ACTIONS(1967),
    [anon_sym_RPAREN] = ACTIONS(1829),
    [anon_sym_COMMA] = ACTIONS(1829),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1829),
    [anon_sym_STAR] = ACTIONS(1829),
    [anon_sym_COLON_COLON] = ACTIONS(1829),
    [anon_sym_LT] = ACTIONS(1831),
    [anon_sym_GT] = ACTIONS(1831),
    [anon_sym_LT_EQ] = ACTIONS(1829),
    [anon_sym_GT_EQ] = ACTIONS(1829),
    [anon_sym_COLON] = ACTIONS(1831),
    [sym_op_other] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1829),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_SLASH] = ACTIONS(1831),
    [anon_sym_PERCENT] = ACTIONS(1829),
    [anon_sym_CARET] = ACTIONS(1831),
    [anon_sym_BANG_EQ] = ACTIONS(1829),
    [anon_sym_LT_GT] = ACTIONS(1829),
  },
  [207] = {
    [ts_builtin_sym_end] = ACTIONS(1939),
    [anon_sym_SEMI] = ACTIONS(1939),
    [sym_keyword_from] = ACTIONS(1939),
    [sym_keyword_on] = ACTIONS(1939),
    [sym_keyword_where] = ACTIONS(1939),
    [sym_keyword_desc] = ACTIONS(1939),
    [sym_keyword_asc] = ACTIONS(1939),
    [sym_keyword_limit] = ACTIONS(1939),
    [sym_keyword_primary] = ACTIONS(1939),
    [sym_keyword_create] = ACTIONS(1939),
    [sym_keyword_as] = ACTIONS(1941),
    [sym_keyword_constraint] = ACTIONS(1939),
    [sym_keyword_separator] = ACTIONS(1939),
    [sym_keyword_when] = ACTIONS(1939),
    [sym_keyword_then] = ACTIONS(1939),
    [sym_keyword_else] = ACTIONS(1939),
    [sym_keyword_end] = ACTIONS(1939),
    [sym_keyword_in] = ACTIONS(1939),
    [sym_keyword_and] = ACTIONS(1939),
    [sym_keyword_or] = ACTIONS(1939),
    [sym_keyword_is] = ACTIONS(1939),
    [sym_keyword_not] = ACTIONS(1939),
    [sym_keyword_using] = ACTIONS(1939),
    [sym_keyword_auto_increment] = ACTIONS(1939),
    [sym_keyword_generated] = ACTIONS(1939),
    [sym_keyword_default] = ACTIONS(1939),
    [sym_keyword_with] = ACTIONS(1939),
    [sym_keyword_returning] = ACTIONS(1939),
    [sym_keyword_first] = ACTIONS(1939),
    [sym_keyword_after] = ACTIONS(1939),
    [sym_keyword_range] = ACTIONS(1939),
    [sym_keyword_rows] = ACTIONS(1939),
    [sym_keyword_groups] = ACTIONS(1939),
    [sym_keyword_between] = ACTIONS(1939),
    [sym_keyword_preceding] = ACTIONS(1939),
    [sym_keyword_following] = ACTIONS(1939),
    [sym_keyword_unique] = ACTIONS(1939),
    [sym_keyword_references] = ACTIONS(1939),
    [aux_sym_keyword_like_token1] = ACTIONS(1939),
    [aux_sym_keyword_like_token2] = ACTIONS(1939),
    [sym_keyword_similar] = ACTIONS(1939),
    [sym_keyword_check] = ACTIONS(1939),
    [sym_keyword_stored] = ACTIONS(1939),
    [sym_keyword_virtual] = ACTIONS(1939),
    [sym_keyword_comment] = ACTIONS(1939),
    [sym_keyword_null] = ACTIONS(1939),
    [sym_keyword_array] = ACTIONS(1939),
    [anon_sym_LBRACK] = ACTIONS(1939),
    [anon_sym_RBRACK] = ACTIONS(1939),
    [anon_sym_LPAREN] = ACTIONS(1939),
    [anon_sym_RPAREN] = ACTIONS(1939),
    [anon_sym_COMMA] = ACTIONS(1939),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1939),
    [anon_sym_STAR] = ACTIONS(1939),
    [anon_sym_COLON_COLON] = ACTIONS(1939),
    [anon_sym_LT] = ACTIONS(1941),
    [anon_sym_GT] = ACTIONS(1941),
    [anon_sym_LT_EQ] = ACTIONS(1939),
    [anon_sym_GT_EQ] = ACTIONS(1939),
    [anon_sym_COLON] = ACTIONS(1941),
    [sym_op_other] = ACTIONS(1939),
    [anon_sym_PLUS] = ACTIONS(1939),
    [anon_sym_DASH] = ACTIONS(1941),
    [anon_sym_SLASH] = ACTIONS(1941),
    [anon_sym_PERCENT] = ACTIONS(1939),
    [anon_sym_CARET] = ACTIONS(1941),
    [anon_sym_BANG_EQ] = ACTIONS(1939),
    [anon_sym_LT_GT] = ACTIONS(1939),
  },
  [208] = {
    [ts_builtin_sym_end] = ACTIONS(2138),
    [anon_sym_SEMI] = ACTIONS(2138),
    [sym_keyword_from] = ACTIONS(2138),
    [sym_keyword_on] = ACTIONS(2138),
    [sym_keyword_where] = ACTIONS(2138),
    [sym_keyword_desc] = ACTIONS(2138),
    [sym_keyword_asc] = ACTIONS(2138),
    [sym_keyword_limit] = ACTIONS(2138),
    [sym_keyword_primary] = ACTIONS(2138),
    [sym_keyword_create] = ACTIONS(2138),
    [sym_keyword_as] = ACTIONS(2140),
    [sym_keyword_constraint] = ACTIONS(2138),
    [sym_keyword_separator] = ACTIONS(2138),
    [sym_keyword_when] = ACTIONS(2138),
    [sym_keyword_then] = ACTIONS(2138),
    [sym_keyword_else] = ACTIONS(2138),
    [sym_keyword_end] = ACTIONS(2138),
    [sym_keyword_in] = ACTIONS(2138),
    [sym_keyword_and] = ACTIONS(2138),
    [sym_keyword_or] = ACTIONS(2138),
    [sym_keyword_is] = ACTIONS(2138),
    [sym_keyword_not] = ACTIONS(2138),
    [sym_keyword_using] = ACTIONS(2138),
    [sym_keyword_auto_increment] = ACTIONS(2138),
    [sym_keyword_generated] = ACTIONS(2138),
    [sym_keyword_default] = ACTIONS(2138),
    [sym_keyword_with] = ACTIONS(2138),
    [sym_keyword_returning] = ACTIONS(2138),
    [sym_keyword_first] = ACTIONS(2138),
    [sym_keyword_after] = ACTIONS(2138),
    [sym_keyword_range] = ACTIONS(2138),
    [sym_keyword_rows] = ACTIONS(2138),
    [sym_keyword_groups] = ACTIONS(2138),
    [sym_keyword_between] = ACTIONS(2138),
    [sym_keyword_preceding] = ACTIONS(2138),
    [sym_keyword_following] = ACTIONS(2138),
    [sym_keyword_unique] = ACTIONS(2138),
    [sym_keyword_references] = ACTIONS(2138),
    [aux_sym_keyword_like_token1] = ACTIONS(2138),
    [aux_sym_keyword_like_token2] = ACTIONS(2138),
    [sym_keyword_similar] = ACTIONS(2138),
    [sym_keyword_zerofill] = ACTIONS(2142),
    [sym_keyword_check] = ACTIONS(2138),
    [sym_keyword_stored] = ACTIONS(2138),
    [sym_keyword_virtual] = ACTIONS(2138),
    [sym_keyword_comment] = ACTIONS(2138),
    [sym_keyword_null] = ACTIONS(2138),
    [sym_keyword_array] = ACTIONS(2138),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [anon_sym_RBRACK] = ACTIONS(2138),
    [anon_sym_RPAREN] = ACTIONS(2138),
    [anon_sym_COMMA] = ACTIONS(2138),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(2138),
    [anon_sym_COLON_COLON] = ACTIONS(2138),
    [anon_sym_LT] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2140),
    [anon_sym_LT_EQ] = ACTIONS(2138),
    [anon_sym_GT_EQ] = ACTIONS(2138),
    [anon_sym_COLON] = ACTIONS(2140),
    [sym_op_other] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_SLASH] = ACTIONS(2140),
    [anon_sym_PERCENT] = ACTIONS(2138),
    [anon_sym_CARET] = ACTIONS(2140),
    [anon_sym_BANG_EQ] = ACTIONS(2138),
    [anon_sym_LT_GT] = ACTIONS(2138),
  },
  [209] = {
    [ts_builtin_sym_end] = ACTIONS(2144),
    [anon_sym_SEMI] = ACTIONS(2144),
    [sym_keyword_from] = ACTIONS(2144),
    [sym_keyword_on] = ACTIONS(2144),
    [sym_keyword_where] = ACTIONS(2144),
    [sym_keyword_desc] = ACTIONS(2144),
    [sym_keyword_asc] = ACTIONS(2144),
    [sym_keyword_limit] = ACTIONS(2144),
    [sym_keyword_primary] = ACTIONS(2144),
    [sym_keyword_create] = ACTIONS(2144),
    [sym_keyword_as] = ACTIONS(2146),
    [sym_keyword_constraint] = ACTIONS(2144),
    [sym_keyword_separator] = ACTIONS(2144),
    [sym_keyword_when] = ACTIONS(2144),
    [sym_keyword_then] = ACTIONS(2144),
    [sym_keyword_else] = ACTIONS(2144),
    [sym_keyword_end] = ACTIONS(2144),
    [sym_keyword_in] = ACTIONS(2144),
    [sym_keyword_and] = ACTIONS(2144),
    [sym_keyword_or] = ACTIONS(2144),
    [sym_keyword_is] = ACTIONS(2144),
    [sym_keyword_not] = ACTIONS(2144),
    [sym_keyword_using] = ACTIONS(2144),
    [sym_keyword_auto_increment] = ACTIONS(2144),
    [sym_keyword_generated] = ACTIONS(2144),
    [sym_keyword_default] = ACTIONS(2144),
    [sym_keyword_with] = ACTIONS(2144),
    [sym_keyword_returning] = ACTIONS(2144),
    [sym_keyword_first] = ACTIONS(2144),
    [sym_keyword_after] = ACTIONS(2144),
    [sym_keyword_range] = ACTIONS(2144),
    [sym_keyword_rows] = ACTIONS(2144),
    [sym_keyword_groups] = ACTIONS(2144),
    [sym_keyword_between] = ACTIONS(2144),
    [sym_keyword_preceding] = ACTIONS(2144),
    [sym_keyword_following] = ACTIONS(2144),
    [sym_keyword_unique] = ACTIONS(2144),
    [sym_keyword_references] = ACTIONS(2144),
    [aux_sym_keyword_like_token1] = ACTIONS(2144),
    [aux_sym_keyword_like_token2] = ACTIONS(2144),
    [sym_keyword_similar] = ACTIONS(2144),
    [sym_keyword_zerofill] = ACTIONS(2148),
    [sym_keyword_check] = ACTIONS(2144),
    [sym_keyword_stored] = ACTIONS(2144),
    [sym_keyword_virtual] = ACTIONS(2144),
    [sym_keyword_comment] = ACTIONS(2144),
    [sym_keyword_null] = ACTIONS(2144),
    [sym_keyword_array] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2144),
    [anon_sym_RBRACK] = ACTIONS(2144),
    [anon_sym_RPAREN] = ACTIONS(2144),
    [anon_sym_COMMA] = ACTIONS(2144),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2144),
    [anon_sym_STAR] = ACTIONS(2144),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LT] = ACTIONS(2146),
    [anon_sym_GT] = ACTIONS(2146),
    [anon_sym_LT_EQ] = ACTIONS(2144),
    [anon_sym_GT_EQ] = ACTIONS(2144),
    [anon_sym_COLON] = ACTIONS(2146),
    [sym_op_other] = ACTIONS(2144),
    [anon_sym_PLUS] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2146),
    [anon_sym_SLASH] = ACTIONS(2146),
    [anon_sym_PERCENT] = ACTIONS(2144),
    [anon_sym_CARET] = ACTIONS(2146),
    [anon_sym_BANG_EQ] = ACTIONS(2144),
    [anon_sym_LT_GT] = ACTIONS(2144),
  },
  [210] = {
    [ts_builtin_sym_end] = ACTIONS(2150),
    [anon_sym_SEMI] = ACTIONS(2150),
    [sym_keyword_from] = ACTIONS(2150),
    [sym_keyword_on] = ACTIONS(2150),
    [sym_keyword_where] = ACTIONS(2150),
    [sym_keyword_desc] = ACTIONS(2150),
    [sym_keyword_asc] = ACTIONS(2150),
    [sym_keyword_limit] = ACTIONS(2150),
    [sym_keyword_primary] = ACTIONS(2150),
    [sym_keyword_create] = ACTIONS(2150),
    [sym_keyword_as] = ACTIONS(2152),
    [sym_keyword_constraint] = ACTIONS(2150),
    [sym_keyword_separator] = ACTIONS(2150),
    [sym_keyword_when] = ACTIONS(2150),
    [sym_keyword_then] = ACTIONS(2150),
    [sym_keyword_else] = ACTIONS(2150),
    [sym_keyword_end] = ACTIONS(2150),
    [sym_keyword_in] = ACTIONS(2150),
    [sym_keyword_and] = ACTIONS(2150),
    [sym_keyword_or] = ACTIONS(2150),
    [sym_keyword_is] = ACTIONS(2150),
    [sym_keyword_not] = ACTIONS(2150),
    [sym_keyword_using] = ACTIONS(2150),
    [sym_keyword_auto_increment] = ACTIONS(2150),
    [sym_keyword_generated] = ACTIONS(2150),
    [sym_keyword_default] = ACTIONS(2150),
    [sym_keyword_with] = ACTIONS(2150),
    [sym_keyword_returning] = ACTIONS(2150),
    [sym_keyword_first] = ACTIONS(2150),
    [sym_keyword_after] = ACTIONS(2150),
    [sym_keyword_range] = ACTIONS(2150),
    [sym_keyword_rows] = ACTIONS(2150),
    [sym_keyword_groups] = ACTIONS(2150),
    [sym_keyword_between] = ACTIONS(2150),
    [sym_keyword_preceding] = ACTIONS(2150),
    [sym_keyword_following] = ACTIONS(2150),
    [sym_keyword_unique] = ACTIONS(2150),
    [sym_keyword_references] = ACTIONS(2150),
    [aux_sym_keyword_like_token1] = ACTIONS(2150),
    [aux_sym_keyword_like_token2] = ACTIONS(2150),
    [sym_keyword_similar] = ACTIONS(2150),
    [sym_keyword_zerofill] = ACTIONS(2154),
    [sym_keyword_check] = ACTIONS(2150),
    [sym_keyword_stored] = ACTIONS(2150),
    [sym_keyword_virtual] = ACTIONS(2150),
    [sym_keyword_comment] = ACTIONS(2150),
    [sym_keyword_null] = ACTIONS(2150),
    [sym_keyword_array] = ACTIONS(2150),
    [anon_sym_LBRACK] = ACTIONS(2150),
    [anon_sym_RBRACK] = ACTIONS(2150),
    [anon_sym_RPAREN] = ACTIONS(2150),
    [anon_sym_COMMA] = ACTIONS(2150),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2150),
    [anon_sym_STAR] = ACTIONS(2150),
    [anon_sym_COLON_COLON] = ACTIONS(2150),
    [anon_sym_LT] = ACTIONS(2152),
    [anon_sym_GT] = ACTIONS(2152),
    [anon_sym_LT_EQ] = ACTIONS(2150),
    [anon_sym_GT_EQ] = ACTIONS(2150),
    [anon_sym_COLON] = ACTIONS(2152),
    [sym_op_other] = ACTIONS(2150),
    [anon_sym_PLUS] = ACTIONS(2150),
    [anon_sym_DASH] = ACTIONS(2152),
    [anon_sym_SLASH] = ACTIONS(2152),
    [anon_sym_PERCENT] = ACTIONS(2150),
    [anon_sym_CARET] = ACTIONS(2152),
    [anon_sym_BANG_EQ] = ACTIONS(2150),
    [anon_sym_LT_GT] = ACTIONS(2150),
  },
  [211] = {
    [ts_builtin_sym_end] = ACTIONS(2156),
    [anon_sym_SEMI] = ACTIONS(2156),
    [sym_keyword_from] = ACTIONS(2156),
    [sym_keyword_on] = ACTIONS(2156),
    [sym_keyword_where] = ACTIONS(2156),
    [sym_keyword_desc] = ACTIONS(2156),
    [sym_keyword_asc] = ACTIONS(2156),
    [sym_keyword_limit] = ACTIONS(2156),
    [sym_keyword_primary] = ACTIONS(2156),
    [sym_keyword_create] = ACTIONS(2156),
    [sym_keyword_as] = ACTIONS(2158),
    [sym_keyword_constraint] = ACTIONS(2156),
    [sym_keyword_separator] = ACTIONS(2156),
    [sym_keyword_when] = ACTIONS(2156),
    [sym_keyword_then] = ACTIONS(2156),
    [sym_keyword_else] = ACTIONS(2156),
    [sym_keyword_end] = ACTIONS(2156),
    [sym_keyword_in] = ACTIONS(2156),
    [sym_keyword_and] = ACTIONS(2156),
    [sym_keyword_or] = ACTIONS(2156),
    [sym_keyword_is] = ACTIONS(2156),
    [sym_keyword_not] = ACTIONS(2156),
    [sym_keyword_using] = ACTIONS(2156),
    [sym_keyword_auto_increment] = ACTIONS(2156),
    [sym_keyword_generated] = ACTIONS(2156),
    [sym_keyword_default] = ACTIONS(2156),
    [sym_keyword_with] = ACTIONS(2156),
    [sym_keyword_returning] = ACTIONS(2156),
    [sym_keyword_first] = ACTIONS(2156),
    [sym_keyword_after] = ACTIONS(2156),
    [sym_keyword_range] = ACTIONS(2156),
    [sym_keyword_rows] = ACTIONS(2156),
    [sym_keyword_groups] = ACTIONS(2156),
    [sym_keyword_between] = ACTIONS(2156),
    [sym_keyword_preceding] = ACTIONS(2156),
    [sym_keyword_following] = ACTIONS(2156),
    [sym_keyword_unique] = ACTIONS(2156),
    [sym_keyword_references] = ACTIONS(2156),
    [aux_sym_keyword_like_token1] = ACTIONS(2156),
    [aux_sym_keyword_like_token2] = ACTIONS(2156),
    [sym_keyword_similar] = ACTIONS(2156),
    [sym_keyword_zerofill] = ACTIONS(2160),
    [sym_keyword_check] = ACTIONS(2156),
    [sym_keyword_stored] = ACTIONS(2156),
    [sym_keyword_virtual] = ACTIONS(2156),
    [sym_keyword_comment] = ACTIONS(2156),
    [sym_keyword_null] = ACTIONS(2156),
    [sym_keyword_array] = ACTIONS(2156),
    [anon_sym_LBRACK] = ACTIONS(2156),
    [anon_sym_RBRACK] = ACTIONS(2156),
    [anon_sym_RPAREN] = ACTIONS(2156),
    [anon_sym_COMMA] = ACTIONS(2156),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2156),
    [anon_sym_STAR] = ACTIONS(2156),
    [anon_sym_COLON_COLON] = ACTIONS(2156),
    [anon_sym_LT] = ACTIONS(2158),
    [anon_sym_GT] = ACTIONS(2158),
    [anon_sym_LT_EQ] = ACTIONS(2156),
    [anon_sym_GT_EQ] = ACTIONS(2156),
    [anon_sym_COLON] = ACTIONS(2158),
    [sym_op_other] = ACTIONS(2156),
    [anon_sym_PLUS] = ACTIONS(2156),
    [anon_sym_DASH] = ACTIONS(2158),
    [anon_sym_SLASH] = ACTIONS(2158),
    [anon_sym_PERCENT] = ACTIONS(2156),
    [anon_sym_CARET] = ACTIONS(2158),
    [anon_sym_BANG_EQ] = ACTIONS(2156),
    [anon_sym_LT_GT] = ACTIONS(2156),
  },
  [212] = {
    [ts_builtin_sym_end] = ACTIONS(2162),
    [anon_sym_SEMI] = ACTIONS(2162),
    [sym_keyword_from] = ACTIONS(2162),
    [sym_keyword_on] = ACTIONS(2162),
    [sym_keyword_where] = ACTIONS(2162),
    [sym_keyword_desc] = ACTIONS(2162),
    [sym_keyword_asc] = ACTIONS(2162),
    [sym_keyword_limit] = ACTIONS(2162),
    [sym_keyword_primary] = ACTIONS(2162),
    [sym_keyword_create] = ACTIONS(2162),
    [sym_keyword_as] = ACTIONS(2164),
    [sym_keyword_constraint] = ACTIONS(2162),
    [sym_keyword_separator] = ACTIONS(2162),
    [sym_keyword_when] = ACTIONS(2162),
    [sym_keyword_then] = ACTIONS(2162),
    [sym_keyword_else] = ACTIONS(2162),
    [sym_keyword_end] = ACTIONS(2162),
    [sym_keyword_in] = ACTIONS(2162),
    [sym_keyword_and] = ACTIONS(2162),
    [sym_keyword_or] = ACTIONS(2162),
    [sym_keyword_is] = ACTIONS(2162),
    [sym_keyword_not] = ACTIONS(2162),
    [sym_keyword_using] = ACTIONS(2162),
    [sym_keyword_auto_increment] = ACTIONS(2162),
    [sym_keyword_generated] = ACTIONS(2162),
    [sym_keyword_default] = ACTIONS(2162),
    [sym_keyword_with] = ACTIONS(2162),
    [sym_keyword_returning] = ACTIONS(2162),
    [sym_keyword_first] = ACTIONS(2162),
    [sym_keyword_after] = ACTIONS(2162),
    [sym_keyword_range] = ACTIONS(2162),
    [sym_keyword_rows] = ACTIONS(2162),
    [sym_keyword_groups] = ACTIONS(2162),
    [sym_keyword_between] = ACTIONS(2162),
    [sym_keyword_preceding] = ACTIONS(2162),
    [sym_keyword_following] = ACTIONS(2162),
    [sym_keyword_unique] = ACTIONS(2162),
    [sym_keyword_references] = ACTIONS(2162),
    [aux_sym_keyword_like_token1] = ACTIONS(2162),
    [aux_sym_keyword_like_token2] = ACTIONS(2162),
    [sym_keyword_similar] = ACTIONS(2162),
    [sym_keyword_check] = ACTIONS(2162),
    [sym_keyword_stored] = ACTIONS(2162),
    [sym_keyword_virtual] = ACTIONS(2162),
    [sym_keyword_comment] = ACTIONS(2162),
    [sym_keyword_null] = ACTIONS(2162),
    [sym_keyword_array] = ACTIONS(2162),
    [anon_sym_LBRACK] = ACTIONS(2162),
    [anon_sym_RBRACK] = ACTIONS(2162),
    [anon_sym_LPAREN] = ACTIONS(2166),
    [anon_sym_RPAREN] = ACTIONS(2162),
    [anon_sym_COMMA] = ACTIONS(2162),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2162),
    [anon_sym_STAR] = ACTIONS(2162),
    [anon_sym_COLON_COLON] = ACTIONS(2162),
    [anon_sym_LT] = ACTIONS(2164),
    [anon_sym_GT] = ACTIONS(2164),
    [anon_sym_LT_EQ] = ACTIONS(2162),
    [anon_sym_GT_EQ] = ACTIONS(2162),
    [anon_sym_COLON] = ACTIONS(2164),
    [sym_op_other] = ACTIONS(2162),
    [anon_sym_PLUS] = ACTIONS(2162),
    [anon_sym_DASH] = ACTIONS(2164),
    [anon_sym_SLASH] = ACTIONS(2164),
    [anon_sym_PERCENT] = ACTIONS(2162),
    [anon_sym_CARET] = ACTIONS(2164),
    [anon_sym_BANG_EQ] = ACTIONS(2162),
    [anon_sym_LT_GT] = ACTIONS(2162),
  },
  [213] = {
    [ts_builtin_sym_end] = ACTIONS(2138),
    [anon_sym_SEMI] = ACTIONS(2138),
    [sym_keyword_from] = ACTIONS(2138),
    [sym_keyword_on] = ACTIONS(2138),
    [sym_keyword_where] = ACTIONS(2138),
    [sym_keyword_desc] = ACTIONS(2138),
    [sym_keyword_asc] = ACTIONS(2138),
    [sym_keyword_limit] = ACTIONS(2138),
    [sym_keyword_primary] = ACTIONS(2138),
    [sym_keyword_create] = ACTIONS(2138),
    [sym_keyword_as] = ACTIONS(2140),
    [sym_keyword_constraint] = ACTIONS(2138),
    [sym_keyword_separator] = ACTIONS(2138),
    [sym_keyword_when] = ACTIONS(2138),
    [sym_keyword_then] = ACTIONS(2138),
    [sym_keyword_else] = ACTIONS(2138),
    [sym_keyword_end] = ACTIONS(2138),
    [sym_keyword_in] = ACTIONS(2138),
    [sym_keyword_and] = ACTIONS(2138),
    [sym_keyword_or] = ACTIONS(2138),
    [sym_keyword_is] = ACTIONS(2138),
    [sym_keyword_not] = ACTIONS(2138),
    [sym_keyword_using] = ACTIONS(2138),
    [sym_keyword_auto_increment] = ACTIONS(2138),
    [sym_keyword_generated] = ACTIONS(2138),
    [sym_keyword_default] = ACTIONS(2138),
    [sym_keyword_with] = ACTIONS(2138),
    [sym_keyword_returning] = ACTIONS(2138),
    [sym_keyword_first] = ACTIONS(2138),
    [sym_keyword_after] = ACTIONS(2138),
    [sym_keyword_range] = ACTIONS(2138),
    [sym_keyword_rows] = ACTIONS(2138),
    [sym_keyword_groups] = ACTIONS(2138),
    [sym_keyword_between] = ACTIONS(2138),
    [sym_keyword_preceding] = ACTIONS(2138),
    [sym_keyword_following] = ACTIONS(2138),
    [sym_keyword_unique] = ACTIONS(2138),
    [sym_keyword_references] = ACTIONS(2138),
    [aux_sym_keyword_like_token1] = ACTIONS(2138),
    [aux_sym_keyword_like_token2] = ACTIONS(2138),
    [sym_keyword_similar] = ACTIONS(2138),
    [sym_keyword_check] = ACTIONS(2138),
    [sym_keyword_stored] = ACTIONS(2138),
    [sym_keyword_virtual] = ACTIONS(2138),
    [sym_keyword_comment] = ACTIONS(2138),
    [sym_keyword_null] = ACTIONS(2138),
    [sym_keyword_array] = ACTIONS(2138),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [anon_sym_RBRACK] = ACTIONS(2138),
    [anon_sym_LPAREN] = ACTIONS(2168),
    [anon_sym_RPAREN] = ACTIONS(2138),
    [anon_sym_COMMA] = ACTIONS(2138),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(2138),
    [anon_sym_COLON_COLON] = ACTIONS(2138),
    [anon_sym_LT] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2140),
    [anon_sym_LT_EQ] = ACTIONS(2138),
    [anon_sym_GT_EQ] = ACTIONS(2138),
    [anon_sym_COLON] = ACTIONS(2140),
    [sym_op_other] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_SLASH] = ACTIONS(2140),
    [anon_sym_PERCENT] = ACTIONS(2138),
    [anon_sym_CARET] = ACTIONS(2140),
    [anon_sym_BANG_EQ] = ACTIONS(2138),
    [anon_sym_LT_GT] = ACTIONS(2138),
  },
  [214] = {
    [ts_builtin_sym_end] = ACTIONS(2170),
    [anon_sym_SEMI] = ACTIONS(2170),
    [sym_keyword_from] = ACTIONS(2170),
    [sym_keyword_on] = ACTIONS(2170),
    [sym_keyword_where] = ACTIONS(2170),
    [sym_keyword_desc] = ACTIONS(2170),
    [sym_keyword_asc] = ACTIONS(2170),
    [sym_keyword_limit] = ACTIONS(2170),
    [sym_keyword_primary] = ACTIONS(2170),
    [sym_keyword_create] = ACTIONS(2170),
    [sym_keyword_as] = ACTIONS(2172),
    [sym_keyword_constraint] = ACTIONS(2170),
    [sym_keyword_separator] = ACTIONS(2170),
    [sym_keyword_when] = ACTIONS(2170),
    [sym_keyword_then] = ACTIONS(2170),
    [sym_keyword_else] = ACTIONS(2170),
    [sym_keyword_end] = ACTIONS(2170),
    [sym_keyword_in] = ACTIONS(2170),
    [sym_keyword_and] = ACTIONS(2170),
    [sym_keyword_or] = ACTIONS(2170),
    [sym_keyword_is] = ACTIONS(2170),
    [sym_keyword_not] = ACTIONS(2170),
    [sym_keyword_using] = ACTIONS(2170),
    [sym_keyword_auto_increment] = ACTIONS(2170),
    [sym_keyword_generated] = ACTIONS(2170),
    [sym_keyword_default] = ACTIONS(2170),
    [sym_keyword_with] = ACTIONS(2170),
    [sym_keyword_returning] = ACTIONS(2170),
    [sym_keyword_first] = ACTIONS(2170),
    [sym_keyword_after] = ACTIONS(2170),
    [sym_keyword_range] = ACTIONS(2170),
    [sym_keyword_rows] = ACTIONS(2170),
    [sym_keyword_groups] = ACTIONS(2170),
    [sym_keyword_between] = ACTIONS(2170),
    [sym_keyword_preceding] = ACTIONS(2170),
    [sym_keyword_following] = ACTIONS(2170),
    [sym_keyword_unique] = ACTIONS(2170),
    [sym_keyword_references] = ACTIONS(2170),
    [aux_sym_keyword_like_token1] = ACTIONS(2170),
    [aux_sym_keyword_like_token2] = ACTIONS(2170),
    [sym_keyword_similar] = ACTIONS(2170),
    [sym_keyword_check] = ACTIONS(2170),
    [sym_keyword_stored] = ACTIONS(2170),
    [sym_keyword_virtual] = ACTIONS(2170),
    [sym_keyword_comment] = ACTIONS(2170),
    [sym_keyword_null] = ACTIONS(2170),
    [sym_keyword_array] = ACTIONS(2170),
    [anon_sym_LBRACK] = ACTIONS(2170),
    [anon_sym_RBRACK] = ACTIONS(2170),
    [anon_sym_LPAREN] = ACTIONS(2174),
    [anon_sym_RPAREN] = ACTIONS(2170),
    [anon_sym_COMMA] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2170),
    [anon_sym_STAR] = ACTIONS(2170),
    [anon_sym_COLON_COLON] = ACTIONS(2170),
    [anon_sym_LT] = ACTIONS(2172),
    [anon_sym_GT] = ACTIONS(2172),
    [anon_sym_LT_EQ] = ACTIONS(2170),
    [anon_sym_GT_EQ] = ACTIONS(2170),
    [anon_sym_COLON] = ACTIONS(2172),
    [sym_op_other] = ACTIONS(2170),
    [anon_sym_PLUS] = ACTIONS(2170),
    [anon_sym_DASH] = ACTIONS(2172),
    [anon_sym_SLASH] = ACTIONS(2172),
    [anon_sym_PERCENT] = ACTIONS(2170),
    [anon_sym_CARET] = ACTIONS(2172),
    [anon_sym_BANG_EQ] = ACTIONS(2170),
    [anon_sym_LT_GT] = ACTIONS(2170),
  },
  [215] = {
    [sym__identifier] = ACTIONS(2176),
    [aux_sym_keyword_character_token1] = ACTIONS(2176),
    [sym_keyword_unsigned] = ACTIONS(2176),
    [sym_keyword_boolean] = ACTIONS(2176),
    [sym_keyword_bit] = ACTIONS(2176),
    [sym_keyword_binary] = ACTIONS(2176),
    [sym_keyword_varbinary] = ACTIONS(2176),
    [sym_keyword_image] = ACTIONS(2176),
    [aux_sym_keyword_smallserial_token1] = ACTIONS(2176),
    [aux_sym_keyword_smallserial_token2] = ACTIONS(2176),
    [aux_sym_keyword_serial_token1] = ACTIONS(2176),
    [aux_sym_keyword_serial_token2] = ACTIONS(2176),
    [aux_sym_keyword_bigserial_token1] = ACTIONS(2176),
    [aux_sym_keyword_bigserial_token2] = ACTIONS(2176),
    [aux_sym_keyword_tinyint_token1] = ACTIONS(2176),
    [aux_sym_keyword_tinyint_token2] = ACTIONS(2176),
    [aux_sym_keyword_smallint_token1] = ACTIONS(2176),
    [aux_sym_keyword_smallint_token2] = ACTIONS(2176),
    [aux_sym_keyword_mediumint_token1] = ACTIONS(2176),
    [aux_sym_keyword_mediumint_token2] = ACTIONS(2176),
    [aux_sym_keyword_int_token1] = ACTIONS(2176),
    [aux_sym_keyword_int_token2] = ACTIONS(2176),
    [aux_sym_keyword_int_token3] = ACTIONS(2176),
    [aux_sym_keyword_bigint_token1] = ACTIONS(2176),
    [aux_sym_keyword_bigint_token2] = ACTIONS(2176),
    [sym_keyword_decimal] = ACTIONS(2176),
    [sym_keyword_numeric] = ACTIONS(2176),
    [aux_sym_keyword_real_token1] = ACTIONS(2176),
    [aux_sym_keyword_real_token2] = ACTIONS(2176),
    [sym_keyword_float] = ACTIONS(2176),
    [sym_keyword_double] = ACTIONS(2176),
    [sym_keyword_inet] = ACTIONS(2176),
    [sym_keyword_money] = ACTIONS(2176),
    [sym_keyword_smallmoney] = ACTIONS(2176),
    [aux_sym_keyword_char_token1] = ACTIONS(2176),
    [sym_keyword_nchar] = ACTIONS(2176),
    [aux_sym_keyword_varchar_token1] = ACTIONS(2176),
    [sym_keyword_nvarchar] = ACTIONS(2176),
    [sym_keyword_text] = ACTIONS(2176),
    [sym_keyword_string] = ACTIONS(2176),
    [sym_keyword_uuid] = ACTIONS(2176),
    [sym_keyword_json] = ACTIONS(2176),
    [sym_keyword_jsonb] = ACTIONS(2176),
    [sym_keyword_xml] = ACTIONS(2176),
    [sym_keyword_bytea] = ACTIONS(2176),
    [sym_keyword_enum] = ACTIONS(2176),
    [sym_keyword_date] = ACTIONS(2176),
    [sym_keyword_datetime] = ACTIONS(2176),
    [sym_keyword_datetime2] = ACTIONS(2176),
    [sym_keyword_smalldatetime] = ACTIONS(2176),
    [sym_keyword_datetimeoffset] = ACTIONS(2176),
    [sym_keyword_time] = ACTIONS(2176),
    [sym_keyword_timestamp] = ACTIONS(2176),
    [sym_keyword_timestamptz] = ACTIONS(2176),
    [sym_keyword_interval] = ACTIONS(2176),
    [sym_keyword_geometry] = ACTIONS(2176),
    [sym_keyword_geography] = ACTIONS(2176),
    [sym_keyword_box2d] = ACTIONS(2176),
    [sym_keyword_box3d] = ACTIONS(2176),
    [sym_keyword_oid] = ACTIONS(2176),
    [sym_keyword_name] = ACTIONS(2176),
    [sym_keyword_regclass] = ACTIONS(2176),
    [sym_keyword_regnamespace] = ACTIONS(2176),
    [sym_keyword_regproc] = ACTIONS(2176),
    [sym_keyword_regtype] = ACTIONS(2176),
    [aux_sym_double_token1] = ACTIONS(2176),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym__double_quote_string] = ACTIONS(2178),
    [aux_sym_identifier_token1] = ACTIONS(2178),
  },
  [216] = {
    [ts_builtin_sym_end] = ACTIONS(2180),
    [anon_sym_SEMI] = ACTIONS(2180),
    [sym_keyword_from] = ACTIONS(2180),
    [sym_keyword_on] = ACTIONS(2180),
    [sym_keyword_where] = ACTIONS(2180),
    [sym_keyword_desc] = ACTIONS(2180),
    [sym_keyword_asc] = ACTIONS(2180),
    [sym_keyword_limit] = ACTIONS(2180),
    [sym_keyword_primary] = ACTIONS(2180),
    [sym_keyword_create] = ACTIONS(2180),
    [sym_keyword_as] = ACTIONS(2182),
    [sym_keyword_constraint] = ACTIONS(2180),
    [sym_keyword_separator] = ACTIONS(2180),
    [sym_keyword_when] = ACTIONS(2180),
    [sym_keyword_then] = ACTIONS(2180),
    [sym_keyword_else] = ACTIONS(2180),
    [sym_keyword_end] = ACTIONS(2180),
    [sym_keyword_in] = ACTIONS(2180),
    [sym_keyword_and] = ACTIONS(2180),
    [sym_keyword_or] = ACTIONS(2180),
    [sym_keyword_is] = ACTIONS(2180),
    [sym_keyword_not] = ACTIONS(2180),
    [sym_keyword_using] = ACTIONS(2180),
    [sym_keyword_auto_increment] = ACTIONS(2180),
    [sym_keyword_generated] = ACTIONS(2180),
    [sym_keyword_default] = ACTIONS(2180),
    [sym_keyword_with] = ACTIONS(2180),
    [sym_keyword_returning] = ACTIONS(2180),
    [sym_keyword_first] = ACTIONS(2180),
    [sym_keyword_after] = ACTIONS(2180),
    [sym_keyword_range] = ACTIONS(2180),
    [sym_keyword_rows] = ACTIONS(2180),
    [sym_keyword_groups] = ACTIONS(2180),
    [sym_keyword_between] = ACTIONS(2180),
    [sym_keyword_preceding] = ACTIONS(2180),
    [sym_keyword_following] = ACTIONS(2180),
    [sym_keyword_unique] = ACTIONS(2180),
    [sym_keyword_references] = ACTIONS(2180),
    [aux_sym_keyword_like_token1] = ACTIONS(2180),
    [aux_sym_keyword_like_token2] = ACTIONS(2180),
    [sym_keyword_similar] = ACTIONS(2180),
    [sym_keyword_check] = ACTIONS(2180),
    [sym_keyword_stored] = ACTIONS(2180),
    [sym_keyword_virtual] = ACTIONS(2180),
    [sym_keyword_comment] = ACTIONS(2180),
    [sym_keyword_null] = ACTIONS(2180),
    [sym_keyword_array] = ACTIONS(2180),
    [anon_sym_LBRACK] = ACTIONS(2180),
    [anon_sym_RBRACK] = ACTIONS(2180),
    [anon_sym_LPAREN] = ACTIONS(2184),
    [anon_sym_RPAREN] = ACTIONS(2180),
    [anon_sym_COMMA] = ACTIONS(2180),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2180),
    [anon_sym_STAR] = ACTIONS(2180),
    [anon_sym_COLON_COLON] = ACTIONS(2180),
    [anon_sym_LT] = ACTIONS(2182),
    [anon_sym_GT] = ACTIONS(2182),
    [anon_sym_LT_EQ] = ACTIONS(2180),
    [anon_sym_GT_EQ] = ACTIONS(2180),
    [anon_sym_COLON] = ACTIONS(2182),
    [sym_op_other] = ACTIONS(2180),
    [anon_sym_PLUS] = ACTIONS(2180),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_SLASH] = ACTIONS(2182),
    [anon_sym_PERCENT] = ACTIONS(2180),
    [anon_sym_CARET] = ACTIONS(2182),
    [anon_sym_BANG_EQ] = ACTIONS(2180),
    [anon_sym_LT_GT] = ACTIONS(2180),
  },
  [217] = {
    [ts_builtin_sym_end] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2186),
    [sym_keyword_from] = ACTIONS(2186),
    [sym_keyword_on] = ACTIONS(2186),
    [sym_keyword_where] = ACTIONS(2186),
    [sym_keyword_desc] = ACTIONS(2186),
    [sym_keyword_asc] = ACTIONS(2186),
    [sym_keyword_limit] = ACTIONS(2186),
    [sym_keyword_primary] = ACTIONS(2186),
    [sym_keyword_create] = ACTIONS(2186),
    [sym_keyword_as] = ACTIONS(2188),
    [sym_keyword_constraint] = ACTIONS(2186),
    [sym_keyword_separator] = ACTIONS(2186),
    [sym_keyword_when] = ACTIONS(2186),
    [sym_keyword_then] = ACTIONS(2186),
    [sym_keyword_else] = ACTIONS(2186),
    [sym_keyword_end] = ACTIONS(2186),
    [sym_keyword_in] = ACTIONS(2186),
    [sym_keyword_and] = ACTIONS(2186),
    [sym_keyword_or] = ACTIONS(2186),
    [sym_keyword_is] = ACTIONS(2186),
    [sym_keyword_not] = ACTIONS(2186),
    [sym_keyword_using] = ACTIONS(2186),
    [sym_keyword_auto_increment] = ACTIONS(2186),
    [sym_keyword_generated] = ACTIONS(2186),
    [sym_keyword_default] = ACTIONS(2186),
    [sym_keyword_with] = ACTIONS(2186),
    [sym_keyword_returning] = ACTIONS(2186),
    [sym_keyword_first] = ACTIONS(2186),
    [sym_keyword_after] = ACTIONS(2186),
    [sym_keyword_range] = ACTIONS(2186),
    [sym_keyword_rows] = ACTIONS(2186),
    [sym_keyword_groups] = ACTIONS(2186),
    [sym_keyword_between] = ACTIONS(2186),
    [sym_keyword_preceding] = ACTIONS(2186),
    [sym_keyword_following] = ACTIONS(2186),
    [sym_keyword_unique] = ACTIONS(2186),
    [sym_keyword_references] = ACTIONS(2186),
    [aux_sym_keyword_like_token1] = ACTIONS(2186),
    [aux_sym_keyword_like_token2] = ACTIONS(2186),
    [sym_keyword_similar] = ACTIONS(2186),
    [sym_keyword_check] = ACTIONS(2186),
    [sym_keyword_stored] = ACTIONS(2186),
    [sym_keyword_virtual] = ACTIONS(2186),
    [sym_keyword_comment] = ACTIONS(2186),
    [sym_keyword_null] = ACTIONS(2186),
    [sym_keyword_array] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_RBRACK] = ACTIONS(2186),
    [anon_sym_LPAREN] = ACTIONS(2190),
    [anon_sym_RPAREN] = ACTIONS(2186),
    [anon_sym_COMMA] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2186),
    [anon_sym_LT] = ACTIONS(2188),
    [anon_sym_GT] = ACTIONS(2188),
    [anon_sym_LT_EQ] = ACTIONS(2186),
    [anon_sym_GT_EQ] = ACTIONS(2186),
    [anon_sym_COLON] = ACTIONS(2188),
    [sym_op_other] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2188),
    [anon_sym_SLASH] = ACTIONS(2188),
    [anon_sym_PERCENT] = ACTIONS(2186),
    [anon_sym_CARET] = ACTIONS(2188),
    [anon_sym_BANG_EQ] = ACTIONS(2186),
    [anon_sym_LT_GT] = ACTIONS(2186),
  },
  [218] = {
    [ts_builtin_sym_end] = ACTIONS(2192),
    [anon_sym_SEMI] = ACTIONS(2192),
    [sym_keyword_from] = ACTIONS(2192),
    [sym_keyword_on] = ACTIONS(2192),
    [sym_keyword_where] = ACTIONS(2192),
    [sym_keyword_desc] = ACTIONS(2192),
    [sym_keyword_asc] = ACTIONS(2192),
    [sym_keyword_limit] = ACTIONS(2192),
    [sym_keyword_primary] = ACTIONS(2192),
    [sym_keyword_create] = ACTIONS(2192),
    [sym_keyword_as] = ACTIONS(2194),
    [sym_keyword_constraint] = ACTIONS(2192),
    [sym_keyword_separator] = ACTIONS(2192),
    [sym_keyword_when] = ACTIONS(2192),
    [sym_keyword_then] = ACTIONS(2192),
    [sym_keyword_else] = ACTIONS(2192),
    [sym_keyword_end] = ACTIONS(2192),
    [sym_keyword_in] = ACTIONS(2192),
    [sym_keyword_and] = ACTIONS(2192),
    [sym_keyword_or] = ACTIONS(2192),
    [sym_keyword_is] = ACTIONS(2192),
    [sym_keyword_not] = ACTIONS(2192),
    [sym_keyword_using] = ACTIONS(2192),
    [sym_keyword_auto_increment] = ACTIONS(2192),
    [sym_keyword_generated] = ACTIONS(2192),
    [sym_keyword_default] = ACTIONS(2192),
    [sym_keyword_with] = ACTIONS(2192),
    [sym_keyword_returning] = ACTIONS(2192),
    [sym_keyword_first] = ACTIONS(2192),
    [sym_keyword_after] = ACTIONS(2192),
    [sym_keyword_range] = ACTIONS(2192),
    [sym_keyword_rows] = ACTIONS(2192),
    [sym_keyword_groups] = ACTIONS(2192),
    [sym_keyword_between] = ACTIONS(2192),
    [sym_keyword_preceding] = ACTIONS(2192),
    [sym_keyword_following] = ACTIONS(2192),
    [sym_keyword_unique] = ACTIONS(2192),
    [sym_keyword_references] = ACTIONS(2192),
    [aux_sym_keyword_like_token1] = ACTIONS(2192),
    [aux_sym_keyword_like_token2] = ACTIONS(2192),
    [sym_keyword_similar] = ACTIONS(2192),
    [sym_keyword_check] = ACTIONS(2192),
    [sym_keyword_stored] = ACTIONS(2192),
    [sym_keyword_virtual] = ACTIONS(2192),
    [sym_keyword_comment] = ACTIONS(2192),
    [sym_keyword_null] = ACTIONS(2192),
    [sym_keyword_array] = ACTIONS(2192),
    [anon_sym_LBRACK] = ACTIONS(2192),
    [anon_sym_RBRACK] = ACTIONS(2192),
    [anon_sym_LPAREN] = ACTIONS(2192),
    [anon_sym_RPAREN] = ACTIONS(2192),
    [anon_sym_COMMA] = ACTIONS(2192),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2192),
    [anon_sym_STAR] = ACTIONS(2192),
    [anon_sym_COLON_COLON] = ACTIONS(2192),
    [anon_sym_LT] = ACTIONS(2194),
    [anon_sym_GT] = ACTIONS(2194),
    [anon_sym_LT_EQ] = ACTIONS(2192),
    [anon_sym_GT_EQ] = ACTIONS(2192),
    [anon_sym_COLON] = ACTIONS(2194),
    [sym_op_other] = ACTIONS(2192),
    [anon_sym_PLUS] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2194),
    [anon_sym_SLASH] = ACTIONS(2194),
    [anon_sym_PERCENT] = ACTIONS(2192),
    [anon_sym_CARET] = ACTIONS(2194),
    [anon_sym_BANG_EQ] = ACTIONS(2192),
    [anon_sym_LT_GT] = ACTIONS(2192),
  },
  [219] = {
    [ts_builtin_sym_end] = ACTIONS(2196),
    [anon_sym_SEMI] = ACTIONS(2196),
    [sym_keyword_from] = ACTIONS(2196),
    [sym_keyword_on] = ACTIONS(2196),
    [sym_keyword_where] = ACTIONS(2196),
    [sym_keyword_desc] = ACTIONS(2196),
    [sym_keyword_asc] = ACTIONS(2196),
    [sym_keyword_limit] = ACTIONS(2196),
    [sym_keyword_primary] = ACTIONS(2196),
    [sym_keyword_create] = ACTIONS(2196),
    [sym_keyword_as] = ACTIONS(2198),
    [sym_keyword_constraint] = ACTIONS(2196),
    [sym_keyword_separator] = ACTIONS(2196),
    [sym_keyword_when] = ACTIONS(2196),
    [sym_keyword_then] = ACTIONS(2196),
    [sym_keyword_else] = ACTIONS(2196),
    [sym_keyword_end] = ACTIONS(2196),
    [sym_keyword_in] = ACTIONS(2196),
    [sym_keyword_and] = ACTIONS(2196),
    [sym_keyword_or] = ACTIONS(2196),
    [sym_keyword_is] = ACTIONS(2196),
    [sym_keyword_not] = ACTIONS(2196),
    [sym_keyword_using] = ACTIONS(2196),
    [sym_keyword_auto_increment] = ACTIONS(2196),
    [sym_keyword_generated] = ACTIONS(2196),
    [sym_keyword_default] = ACTIONS(2196),
    [sym_keyword_with] = ACTIONS(2196),
    [sym_keyword_returning] = ACTIONS(2196),
    [sym_keyword_first] = ACTIONS(2196),
    [sym_keyword_after] = ACTIONS(2196),
    [sym_keyword_range] = ACTIONS(2196),
    [sym_keyword_rows] = ACTIONS(2196),
    [sym_keyword_groups] = ACTIONS(2196),
    [sym_keyword_between] = ACTIONS(2196),
    [sym_keyword_preceding] = ACTIONS(2196),
    [sym_keyword_following] = ACTIONS(2196),
    [sym_keyword_unique] = ACTIONS(2196),
    [sym_keyword_references] = ACTIONS(2196),
    [aux_sym_keyword_like_token1] = ACTIONS(2196),
    [aux_sym_keyword_like_token2] = ACTIONS(2196),
    [sym_keyword_similar] = ACTIONS(2196),
    [sym_keyword_check] = ACTIONS(2196),
    [sym_keyword_stored] = ACTIONS(2196),
    [sym_keyword_virtual] = ACTIONS(2196),
    [sym_keyword_comment] = ACTIONS(2196),
    [sym_keyword_null] = ACTIONS(2196),
    [sym_keyword_array] = ACTIONS(2196),
    [anon_sym_LBRACK] = ACTIONS(2196),
    [anon_sym_RBRACK] = ACTIONS(2196),
    [anon_sym_LPAREN] = ACTIONS(2200),
    [anon_sym_RPAREN] = ACTIONS(2196),
    [anon_sym_COMMA] = ACTIONS(2196),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2196),
    [anon_sym_STAR] = ACTIONS(2196),
    [anon_sym_COLON_COLON] = ACTIONS(2196),
    [anon_sym_LT] = ACTIONS(2198),
    [anon_sym_GT] = ACTIONS(2198),
    [anon_sym_LT_EQ] = ACTIONS(2196),
    [anon_sym_GT_EQ] = ACTIONS(2196),
    [anon_sym_COLON] = ACTIONS(2198),
    [sym_op_other] = ACTIONS(2196),
    [anon_sym_PLUS] = ACTIONS(2196),
    [anon_sym_DASH] = ACTIONS(2198),
    [anon_sym_SLASH] = ACTIONS(2198),
    [anon_sym_PERCENT] = ACTIONS(2196),
    [anon_sym_CARET] = ACTIONS(2198),
    [anon_sym_BANG_EQ] = ACTIONS(2196),
    [anon_sym_LT_GT] = ACTIONS(2196),
  },
  [220] = {
    [ts_builtin_sym_end] = ACTIONS(2202),
    [anon_sym_SEMI] = ACTIONS(2202),
    [sym_keyword_from] = ACTIONS(2202),
    [sym_keyword_on] = ACTIONS(2202),
    [sym_keyword_where] = ACTIONS(2202),
    [sym_keyword_desc] = ACTIONS(2202),
    [sym_keyword_asc] = ACTIONS(2202),
    [sym_keyword_limit] = ACTIONS(2202),
    [sym_keyword_primary] = ACTIONS(2202),
    [sym_keyword_create] = ACTIONS(2202),
    [sym_keyword_as] = ACTIONS(2204),
    [sym_keyword_constraint] = ACTIONS(2202),
    [sym_keyword_separator] = ACTIONS(2202),
    [sym_keyword_when] = ACTIONS(2202),
    [sym_keyword_then] = ACTIONS(2202),
    [sym_keyword_else] = ACTIONS(2202),
    [sym_keyword_end] = ACTIONS(2202),
    [sym_keyword_in] = ACTIONS(2202),
    [sym_keyword_and] = ACTIONS(2202),
    [sym_keyword_or] = ACTIONS(2202),
    [sym_keyword_is] = ACTIONS(2202),
    [sym_keyword_not] = ACTIONS(2202),
    [sym_keyword_using] = ACTIONS(2202),
    [sym_keyword_auto_increment] = ACTIONS(2202),
    [sym_keyword_generated] = ACTIONS(2202),
    [sym_keyword_default] = ACTIONS(2202),
    [sym_keyword_with] = ACTIONS(2202),
    [sym_keyword_returning] = ACTIONS(2202),
    [sym_keyword_first] = ACTIONS(2202),
    [sym_keyword_after] = ACTIONS(2202),
    [sym_keyword_range] = ACTIONS(2202),
    [sym_keyword_rows] = ACTIONS(2202),
    [sym_keyword_groups] = ACTIONS(2202),
    [sym_keyword_between] = ACTIONS(2202),
    [sym_keyword_preceding] = ACTIONS(2202),
    [sym_keyword_following] = ACTIONS(2202),
    [sym_keyword_unique] = ACTIONS(2202),
    [sym_keyword_references] = ACTIONS(2202),
    [aux_sym_keyword_like_token1] = ACTIONS(2202),
    [aux_sym_keyword_like_token2] = ACTIONS(2202),
    [sym_keyword_similar] = ACTIONS(2202),
    [sym_keyword_zerofill] = ACTIONS(2206),
    [sym_keyword_check] = ACTIONS(2202),
    [sym_keyword_stored] = ACTIONS(2202),
    [sym_keyword_virtual] = ACTIONS(2202),
    [sym_keyword_comment] = ACTIONS(2202),
    [sym_keyword_null] = ACTIONS(2202),
    [sym_keyword_array] = ACTIONS(2202),
    [anon_sym_LBRACK] = ACTIONS(2202),
    [anon_sym_RBRACK] = ACTIONS(2202),
    [anon_sym_RPAREN] = ACTIONS(2202),
    [anon_sym_COMMA] = ACTIONS(2202),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2202),
    [anon_sym_STAR] = ACTIONS(2202),
    [anon_sym_COLON_COLON] = ACTIONS(2202),
    [anon_sym_LT] = ACTIONS(2204),
    [anon_sym_GT] = ACTIONS(2204),
    [anon_sym_LT_EQ] = ACTIONS(2202),
    [anon_sym_GT_EQ] = ACTIONS(2202),
    [anon_sym_COLON] = ACTIONS(2204),
    [sym_op_other] = ACTIONS(2202),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_DASH] = ACTIONS(2204),
    [anon_sym_SLASH] = ACTIONS(2204),
    [anon_sym_PERCENT] = ACTIONS(2202),
    [anon_sym_CARET] = ACTIONS(2204),
    [anon_sym_BANG_EQ] = ACTIONS(2202),
    [anon_sym_LT_GT] = ACTIONS(2202),
  },
  [221] = {
    [ts_builtin_sym_end] = ACTIONS(2208),
    [anon_sym_SEMI] = ACTIONS(2208),
    [sym_keyword_from] = ACTIONS(2208),
    [sym_keyword_on] = ACTIONS(2208),
    [sym_keyword_where] = ACTIONS(2208),
    [sym_keyword_desc] = ACTIONS(2208),
    [sym_keyword_asc] = ACTIONS(2208),
    [sym_keyword_limit] = ACTIONS(2208),
    [sym_keyword_primary] = ACTIONS(2208),
    [sym_keyword_create] = ACTIONS(2208),
    [sym_keyword_as] = ACTIONS(2210),
    [sym_keyword_constraint] = ACTIONS(2208),
    [sym_keyword_separator] = ACTIONS(2208),
    [sym_keyword_when] = ACTIONS(2208),
    [sym_keyword_then] = ACTIONS(2208),
    [sym_keyword_else] = ACTIONS(2208),
    [sym_keyword_end] = ACTIONS(2208),
    [sym_keyword_in] = ACTIONS(2208),
    [sym_keyword_and] = ACTIONS(2208),
    [sym_keyword_or] = ACTIONS(2208),
    [sym_keyword_is] = ACTIONS(2208),
    [sym_keyword_not] = ACTIONS(2208),
    [sym_keyword_using] = ACTIONS(2208),
    [sym_keyword_auto_increment] = ACTIONS(2208),
    [sym_keyword_generated] = ACTIONS(2208),
    [sym_keyword_default] = ACTIONS(2208),
    [sym_keyword_with] = ACTIONS(2208),
    [sym_keyword_returning] = ACTIONS(2208),
    [sym_keyword_first] = ACTIONS(2208),
    [sym_keyword_after] = ACTIONS(2208),
    [sym_keyword_range] = ACTIONS(2208),
    [sym_keyword_rows] = ACTIONS(2208),
    [sym_keyword_groups] = ACTIONS(2208),
    [sym_keyword_between] = ACTIONS(2208),
    [sym_keyword_preceding] = ACTIONS(2208),
    [sym_keyword_following] = ACTIONS(2208),
    [sym_keyword_unique] = ACTIONS(2208),
    [sym_keyword_references] = ACTIONS(2208),
    [aux_sym_keyword_like_token1] = ACTIONS(2208),
    [aux_sym_keyword_like_token2] = ACTIONS(2208),
    [sym_keyword_similar] = ACTIONS(2208),
    [sym_keyword_check] = ACTIONS(2208),
    [sym_keyword_stored] = ACTIONS(2208),
    [sym_keyword_virtual] = ACTIONS(2208),
    [sym_keyword_comment] = ACTIONS(2208),
    [sym_keyword_null] = ACTIONS(2208),
    [sym_keyword_array] = ACTIONS(2208),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_RBRACK] = ACTIONS(2208),
    [anon_sym_RPAREN] = ACTIONS(2208),
    [anon_sym_COMMA] = ACTIONS(2208),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2208),
    [anon_sym_STAR] = ACTIONS(2208),
    [anon_sym_COLON_COLON] = ACTIONS(2208),
    [anon_sym_LT] = ACTIONS(2210),
    [anon_sym_GT] = ACTIONS(2210),
    [anon_sym_LT_EQ] = ACTIONS(2208),
    [anon_sym_GT_EQ] = ACTIONS(2208),
    [anon_sym_COLON] = ACTIONS(2210),
    [sym_op_other] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2208),
    [anon_sym_DASH] = ACTIONS(2210),
    [anon_sym_SLASH] = ACTIONS(2210),
    [anon_sym_PERCENT] = ACTIONS(2208),
    [anon_sym_CARET] = ACTIONS(2210),
    [anon_sym_BANG_EQ] = ACTIONS(2208),
    [anon_sym_LT_GT] = ACTIONS(2208),
  },
  [222] = {
    [ts_builtin_sym_end] = ACTIONS(2084),
    [anon_sym_SEMI] = ACTIONS(2084),
    [sym_keyword_from] = ACTIONS(2084),
    [sym_keyword_on] = ACTIONS(2084),
    [sym_keyword_where] = ACTIONS(2084),
    [sym_keyword_desc] = ACTIONS(2084),
    [sym_keyword_asc] = ACTIONS(2084),
    [sym_keyword_limit] = ACTIONS(2084),
    [sym_keyword_primary] = ACTIONS(2084),
    [sym_keyword_create] = ACTIONS(2084),
    [sym_keyword_as] = ACTIONS(2086),
    [sym_keyword_constraint] = ACTIONS(2084),
    [sym_keyword_separator] = ACTIONS(2084),
    [sym_keyword_when] = ACTIONS(2084),
    [sym_keyword_then] = ACTIONS(2084),
    [sym_keyword_else] = ACTIONS(2084),
    [sym_keyword_end] = ACTIONS(2084),
    [sym_keyword_in] = ACTIONS(2084),
    [sym_keyword_and] = ACTIONS(2084),
    [sym_keyword_or] = ACTIONS(2084),
    [sym_keyword_is] = ACTIONS(2084),
    [sym_keyword_not] = ACTIONS(2084),
    [sym_keyword_using] = ACTIONS(2084),
    [sym_keyword_auto_increment] = ACTIONS(2084),
    [sym_keyword_generated] = ACTIONS(2084),
    [sym_keyword_default] = ACTIONS(2084),
    [sym_keyword_with] = ACTIONS(2084),
    [sym_keyword_returning] = ACTIONS(2084),
    [sym_keyword_first] = ACTIONS(2084),
    [sym_keyword_after] = ACTIONS(2084),
    [sym_keyword_range] = ACTIONS(2084),
    [sym_keyword_rows] = ACTIONS(2084),
    [sym_keyword_groups] = ACTIONS(2084),
    [sym_keyword_between] = ACTIONS(2084),
    [sym_keyword_preceding] = ACTIONS(2084),
    [sym_keyword_following] = ACTIONS(2084),
    [sym_keyword_unique] = ACTIONS(2084),
    [sym_keyword_references] = ACTIONS(2084),
    [aux_sym_keyword_like_token1] = ACTIONS(2084),
    [aux_sym_keyword_like_token2] = ACTIONS(2084),
    [sym_keyword_similar] = ACTIONS(2084),
    [sym_keyword_check] = ACTIONS(2084),
    [sym_keyword_stored] = ACTIONS(2084),
    [sym_keyword_virtual] = ACTIONS(2084),
    [sym_keyword_comment] = ACTIONS(2084),
    [sym_keyword_null] = ACTIONS(2084),
    [sym_keyword_array] = ACTIONS(2084),
    [anon_sym_LBRACK] = ACTIONS(2084),
    [anon_sym_RBRACK] = ACTIONS(2084),
    [anon_sym_RPAREN] = ACTIONS(2084),
    [anon_sym_COMMA] = ACTIONS(2084),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2084),
    [anon_sym_STAR] = ACTIONS(2084),
    [anon_sym_COLON_COLON] = ACTIONS(2084),
    [anon_sym_LT] = ACTIONS(2086),
    [anon_sym_GT] = ACTIONS(2086),
    [anon_sym_LT_EQ] = ACTIONS(2084),
    [anon_sym_GT_EQ] = ACTIONS(2084),
    [anon_sym_COLON] = ACTIONS(2086),
    [sym_op_other] = ACTIONS(2084),
    [anon_sym_PLUS] = ACTIONS(2084),
    [anon_sym_DASH] = ACTIONS(2086),
    [anon_sym_SLASH] = ACTIONS(2086),
    [anon_sym_PERCENT] = ACTIONS(2084),
    [anon_sym_CARET] = ACTIONS(2086),
    [anon_sym_BANG_EQ] = ACTIONS(2084),
    [anon_sym_LT_GT] = ACTIONS(2084),
  },
  [223] = {
    [ts_builtin_sym_end] = ACTIONS(2144),
    [anon_sym_SEMI] = ACTIONS(2144),
    [sym_keyword_from] = ACTIONS(2144),
    [sym_keyword_on] = ACTIONS(2144),
    [sym_keyword_where] = ACTIONS(2144),
    [sym_keyword_desc] = ACTIONS(2144),
    [sym_keyword_asc] = ACTIONS(2144),
    [sym_keyword_limit] = ACTIONS(2144),
    [sym_keyword_primary] = ACTIONS(2144),
    [sym_keyword_create] = ACTIONS(2144),
    [sym_keyword_as] = ACTIONS(2146),
    [sym_keyword_constraint] = ACTIONS(2144),
    [sym_keyword_separator] = ACTIONS(2144),
    [sym_keyword_when] = ACTIONS(2144),
    [sym_keyword_then] = ACTIONS(2144),
    [sym_keyword_else] = ACTIONS(2144),
    [sym_keyword_end] = ACTIONS(2144),
    [sym_keyword_in] = ACTIONS(2144),
    [sym_keyword_and] = ACTIONS(2144),
    [sym_keyword_or] = ACTIONS(2144),
    [sym_keyword_is] = ACTIONS(2144),
    [sym_keyword_not] = ACTIONS(2144),
    [sym_keyword_using] = ACTIONS(2144),
    [sym_keyword_auto_increment] = ACTIONS(2144),
    [sym_keyword_generated] = ACTIONS(2144),
    [sym_keyword_default] = ACTIONS(2144),
    [sym_keyword_with] = ACTIONS(2144),
    [sym_keyword_returning] = ACTIONS(2144),
    [sym_keyword_first] = ACTIONS(2144),
    [sym_keyword_after] = ACTIONS(2144),
    [sym_keyword_range] = ACTIONS(2144),
    [sym_keyword_rows] = ACTIONS(2144),
    [sym_keyword_groups] = ACTIONS(2144),
    [sym_keyword_between] = ACTIONS(2144),
    [sym_keyword_preceding] = ACTIONS(2144),
    [sym_keyword_following] = ACTIONS(2144),
    [sym_keyword_unique] = ACTIONS(2144),
    [sym_keyword_references] = ACTIONS(2144),
    [aux_sym_keyword_like_token1] = ACTIONS(2144),
    [aux_sym_keyword_like_token2] = ACTIONS(2144),
    [sym_keyword_similar] = ACTIONS(2144),
    [sym_keyword_check] = ACTIONS(2144),
    [sym_keyword_stored] = ACTIONS(2144),
    [sym_keyword_virtual] = ACTIONS(2144),
    [sym_keyword_comment] = ACTIONS(2144),
    [sym_keyword_null] = ACTIONS(2144),
    [sym_keyword_array] = ACTIONS(2144),
    [anon_sym_LBRACK] = ACTIONS(2144),
    [anon_sym_RBRACK] = ACTIONS(2144),
    [anon_sym_RPAREN] = ACTIONS(2144),
    [anon_sym_COMMA] = ACTIONS(2144),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2144),
    [anon_sym_STAR] = ACTIONS(2144),
    [anon_sym_COLON_COLON] = ACTIONS(2144),
    [anon_sym_LT] = ACTIONS(2146),
    [anon_sym_GT] = ACTIONS(2146),
    [anon_sym_LT_EQ] = ACTIONS(2144),
    [anon_sym_GT_EQ] = ACTIONS(2144),
    [anon_sym_COLON] = ACTIONS(2146),
    [sym_op_other] = ACTIONS(2144),
    [anon_sym_PLUS] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2146),
    [anon_sym_SLASH] = ACTIONS(2146),
    [anon_sym_PERCENT] = ACTIONS(2144),
    [anon_sym_CARET] = ACTIONS(2146),
    [anon_sym_BANG_EQ] = ACTIONS(2144),
    [anon_sym_LT_GT] = ACTIONS(2144),
  },
  [224] = {
    [ts_builtin_sym_end] = ACTIONS(2212),
    [anon_sym_SEMI] = ACTIONS(2212),
    [sym_keyword_from] = ACTIONS(2212),
    [sym_keyword_on] = ACTIONS(2212),
    [sym_keyword_where] = ACTIONS(2212),
    [sym_keyword_desc] = ACTIONS(2212),
    [sym_keyword_asc] = ACTIONS(2212),
    [sym_keyword_limit] = ACTIONS(2212),
    [sym_keyword_primary] = ACTIONS(2212),
    [sym_keyword_create] = ACTIONS(2212),
    [sym_keyword_as] = ACTIONS(2214),
    [sym_keyword_constraint] = ACTIONS(2212),
    [sym_keyword_separator] = ACTIONS(2212),
    [sym_keyword_when] = ACTIONS(2212),
    [sym_keyword_then] = ACTIONS(2212),
    [sym_keyword_else] = ACTIONS(2212),
    [sym_keyword_end] = ACTIONS(2212),
    [sym_keyword_in] = ACTIONS(2212),
    [sym_keyword_and] = ACTIONS(2212),
    [sym_keyword_or] = ACTIONS(2212),
    [sym_keyword_is] = ACTIONS(2212),
    [sym_keyword_not] = ACTIONS(2212),
    [sym_keyword_using] = ACTIONS(2212),
    [sym_keyword_auto_increment] = ACTIONS(2212),
    [sym_keyword_generated] = ACTIONS(2212),
    [sym_keyword_default] = ACTIONS(2212),
    [sym_keyword_with] = ACTIONS(2212),
    [sym_keyword_returning] = ACTIONS(2212),
    [sym_keyword_first] = ACTIONS(2212),
    [sym_keyword_after] = ACTIONS(2212),
    [sym_keyword_range] = ACTIONS(2212),
    [sym_keyword_rows] = ACTIONS(2212),
    [sym_keyword_groups] = ACTIONS(2212),
    [sym_keyword_between] = ACTIONS(2212),
    [sym_keyword_preceding] = ACTIONS(2212),
    [sym_keyword_following] = ACTIONS(2212),
    [sym_keyword_unique] = ACTIONS(2212),
    [sym_keyword_references] = ACTIONS(2212),
    [aux_sym_keyword_like_token1] = ACTIONS(2212),
    [aux_sym_keyword_like_token2] = ACTIONS(2212),
    [sym_keyword_similar] = ACTIONS(2212),
    [sym_keyword_check] = ACTIONS(2212),
    [sym_keyword_stored] = ACTIONS(2212),
    [sym_keyword_virtual] = ACTIONS(2212),
    [sym_keyword_comment] = ACTIONS(2212),
    [sym_keyword_null] = ACTIONS(2212),
    [sym_keyword_array] = ACTIONS(2212),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_RBRACK] = ACTIONS(2212),
    [anon_sym_RPAREN] = ACTIONS(2212),
    [anon_sym_COMMA] = ACTIONS(2212),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(2212),
    [anon_sym_COLON_COLON] = ACTIONS(2212),
    [anon_sym_LT] = ACTIONS(2214),
    [anon_sym_GT] = ACTIONS(2214),
    [anon_sym_LT_EQ] = ACTIONS(2212),
    [anon_sym_GT_EQ] = ACTIONS(2212),
    [anon_sym_COLON] = ACTIONS(2214),
    [sym_op_other] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_SLASH] = ACTIONS(2214),
    [anon_sym_PERCENT] = ACTIONS(2212),
    [anon_sym_CARET] = ACTIONS(2214),
    [anon_sym_BANG_EQ] = ACTIONS(2212),
    [anon_sym_LT_GT] = ACTIONS(2212),
  },
  [225] = {
    [ts_builtin_sym_end] = ACTIONS(2216),
    [anon_sym_SEMI] = ACTIONS(2216),
    [sym_keyword_from] = ACTIONS(2216),
    [sym_keyword_on] = ACTIONS(2216),
    [sym_keyword_where] = ACTIONS(2216),
    [sym_keyword_desc] = ACTIONS(2216),
    [sym_keyword_asc] = ACTIONS(2216),
    [sym_keyword_limit] = ACTIONS(2216),
    [sym_keyword_primary] = ACTIONS(2216),
    [sym_keyword_create] = ACTIONS(2216),
    [sym_keyword_as] = ACTIONS(2218),
    [sym_keyword_constraint] = ACTIONS(2216),
    [sym_keyword_separator] = ACTIONS(2216),
    [sym_keyword_when] = ACTIONS(2216),
    [sym_keyword_then] = ACTIONS(2216),
    [sym_keyword_else] = ACTIONS(2216),
    [sym_keyword_end] = ACTIONS(2216),
    [sym_keyword_in] = ACTIONS(2216),
    [sym_keyword_and] = ACTIONS(2216),
    [sym_keyword_or] = ACTIONS(2216),
    [sym_keyword_is] = ACTIONS(2216),
    [sym_keyword_not] = ACTIONS(2216),
    [sym_keyword_using] = ACTIONS(2216),
    [sym_keyword_auto_increment] = ACTIONS(2216),
    [sym_keyword_generated] = ACTIONS(2216),
    [sym_keyword_default] = ACTIONS(2216),
    [sym_keyword_with] = ACTIONS(2216),
    [sym_keyword_returning] = ACTIONS(2216),
    [sym_keyword_first] = ACTIONS(2216),
    [sym_keyword_after] = ACTIONS(2216),
    [sym_keyword_range] = ACTIONS(2216),
    [sym_keyword_rows] = ACTIONS(2216),
    [sym_keyword_groups] = ACTIONS(2216),
    [sym_keyword_between] = ACTIONS(2216),
    [sym_keyword_preceding] = ACTIONS(2216),
    [sym_keyword_following] = ACTIONS(2216),
    [sym_keyword_unique] = ACTIONS(2216),
    [sym_keyword_references] = ACTIONS(2216),
    [aux_sym_keyword_like_token1] = ACTIONS(2216),
    [aux_sym_keyword_like_token2] = ACTIONS(2216),
    [sym_keyword_similar] = ACTIONS(2216),
    [sym_keyword_check] = ACTIONS(2216),
    [sym_keyword_stored] = ACTIONS(2216),
    [sym_keyword_virtual] = ACTIONS(2216),
    [sym_keyword_comment] = ACTIONS(2216),
    [sym_keyword_null] = ACTIONS(2216),
    [sym_keyword_array] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [anon_sym_RBRACK] = ACTIONS(2216),
    [anon_sym_RPAREN] = ACTIONS(2216),
    [anon_sym_COMMA] = ACTIONS(2216),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2216),
    [anon_sym_STAR] = ACTIONS(2216),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LT] = ACTIONS(2218),
    [anon_sym_GT] = ACTIONS(2218),
    [anon_sym_LT_EQ] = ACTIONS(2216),
    [anon_sym_GT_EQ] = ACTIONS(2216),
    [anon_sym_COLON] = ACTIONS(2218),
    [sym_op_other] = ACTIONS(2216),
    [anon_sym_PLUS] = ACTIONS(2216),
    [anon_sym_DASH] = ACTIONS(2218),
    [anon_sym_SLASH] = ACTIONS(2218),
    [anon_sym_PERCENT] = ACTIONS(2216),
    [anon_sym_CARET] = ACTIONS(2218),
    [anon_sym_BANG_EQ] = ACTIONS(2216),
    [anon_sym_LT_GT] = ACTIONS(2216),
  },
  [226] = {
    [ts_builtin_sym_end] = ACTIONS(2202),
    [anon_sym_SEMI] = ACTIONS(2202),
    [sym_keyword_from] = ACTIONS(2202),
    [sym_keyword_on] = ACTIONS(2202),
    [sym_keyword_where] = ACTIONS(2202),
    [sym_keyword_desc] = ACTIONS(2202),
    [sym_keyword_asc] = ACTIONS(2202),
    [sym_keyword_limit] = ACTIONS(2202),
    [sym_keyword_primary] = ACTIONS(2202),
    [sym_keyword_create] = ACTIONS(2202),
    [sym_keyword_as] = ACTIONS(2204),
    [sym_keyword_constraint] = ACTIONS(2202),
    [sym_keyword_separator] = ACTIONS(2202),
    [sym_keyword_when] = ACTIONS(2202),
    [sym_keyword_then] = ACTIONS(2202),
    [sym_keyword_else] = ACTIONS(2202),
    [sym_keyword_end] = ACTIONS(2202),
    [sym_keyword_in] = ACTIONS(2202),
    [sym_keyword_and] = ACTIONS(2202),
    [sym_keyword_or] = ACTIONS(2202),
    [sym_keyword_is] = ACTIONS(2202),
    [sym_keyword_not] = ACTIONS(2202),
    [sym_keyword_using] = ACTIONS(2202),
    [sym_keyword_auto_increment] = ACTIONS(2202),
    [sym_keyword_generated] = ACTIONS(2202),
    [sym_keyword_default] = ACTIONS(2202),
    [sym_keyword_with] = ACTIONS(2202),
    [sym_keyword_returning] = ACTIONS(2202),
    [sym_keyword_first] = ACTIONS(2202),
    [sym_keyword_after] = ACTIONS(2202),
    [sym_keyword_range] = ACTIONS(2202),
    [sym_keyword_rows] = ACTIONS(2202),
    [sym_keyword_groups] = ACTIONS(2202),
    [sym_keyword_between] = ACTIONS(2202),
    [sym_keyword_preceding] = ACTIONS(2202),
    [sym_keyword_following] = ACTIONS(2202),
    [sym_keyword_unique] = ACTIONS(2202),
    [sym_keyword_references] = ACTIONS(2202),
    [aux_sym_keyword_like_token1] = ACTIONS(2202),
    [aux_sym_keyword_like_token2] = ACTIONS(2202),
    [sym_keyword_similar] = ACTIONS(2202),
    [sym_keyword_check] = ACTIONS(2202),
    [sym_keyword_stored] = ACTIONS(2202),
    [sym_keyword_virtual] = ACTIONS(2202),
    [sym_keyword_comment] = ACTIONS(2202),
    [sym_keyword_null] = ACTIONS(2202),
    [sym_keyword_array] = ACTIONS(2202),
    [anon_sym_LBRACK] = ACTIONS(2202),
    [anon_sym_RBRACK] = ACTIONS(2202),
    [anon_sym_RPAREN] = ACTIONS(2202),
    [anon_sym_COMMA] = ACTIONS(2202),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2202),
    [anon_sym_STAR] = ACTIONS(2202),
    [anon_sym_COLON_COLON] = ACTIONS(2202),
    [anon_sym_LT] = ACTIONS(2204),
    [anon_sym_GT] = ACTIONS(2204),
    [anon_sym_LT_EQ] = ACTIONS(2202),
    [anon_sym_GT_EQ] = ACTIONS(2202),
    [anon_sym_COLON] = ACTIONS(2204),
    [sym_op_other] = ACTIONS(2202),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_DASH] = ACTIONS(2204),
    [anon_sym_SLASH] = ACTIONS(2204),
    [anon_sym_PERCENT] = ACTIONS(2202),
    [anon_sym_CARET] = ACTIONS(2204),
    [anon_sym_BANG_EQ] = ACTIONS(2202),
    [anon_sym_LT_GT] = ACTIONS(2202),
  },
  [227] = {
    [ts_builtin_sym_end] = ACTIONS(2040),
    [anon_sym_SEMI] = ACTIONS(2040),
    [sym_keyword_from] = ACTIONS(2040),
    [sym_keyword_on] = ACTIONS(2040),
    [sym_keyword_where] = ACTIONS(2040),
    [sym_keyword_desc] = ACTIONS(2040),
    [sym_keyword_asc] = ACTIONS(2040),
    [sym_keyword_limit] = ACTIONS(2040),
    [sym_keyword_primary] = ACTIONS(2040),
    [sym_keyword_create] = ACTIONS(2040),
    [sym_keyword_as] = ACTIONS(2042),
    [sym_keyword_constraint] = ACTIONS(2040),
    [sym_keyword_separator] = ACTIONS(2040),
    [sym_keyword_when] = ACTIONS(2040),
    [sym_keyword_then] = ACTIONS(2040),
    [sym_keyword_else] = ACTIONS(2040),
    [sym_keyword_end] = ACTIONS(2040),
    [sym_keyword_in] = ACTIONS(2040),
    [sym_keyword_and] = ACTIONS(2040),
    [sym_keyword_or] = ACTIONS(2040),
    [sym_keyword_is] = ACTIONS(2040),
    [sym_keyword_not] = ACTIONS(2040),
    [sym_keyword_using] = ACTIONS(2040),
    [sym_keyword_auto_increment] = ACTIONS(2040),
    [sym_keyword_generated] = ACTIONS(2040),
    [sym_keyword_default] = ACTIONS(2040),
    [sym_keyword_with] = ACTIONS(2040),
    [sym_keyword_returning] = ACTIONS(2040),
    [sym_keyword_first] = ACTIONS(2040),
    [sym_keyword_after] = ACTIONS(2040),
    [sym_keyword_range] = ACTIONS(2040),
    [sym_keyword_rows] = ACTIONS(2040),
    [sym_keyword_groups] = ACTIONS(2040),
    [sym_keyword_between] = ACTIONS(2040),
    [sym_keyword_preceding] = ACTIONS(2040),
    [sym_keyword_following] = ACTIONS(2040),
    [sym_keyword_unique] = ACTIONS(2040),
    [sym_keyword_references] = ACTIONS(2040),
    [aux_sym_keyword_like_token1] = ACTIONS(2040),
    [aux_sym_keyword_like_token2] = ACTIONS(2040),
    [sym_keyword_similar] = ACTIONS(2040),
    [sym_keyword_check] = ACTIONS(2040),
    [sym_keyword_stored] = ACTIONS(2040),
    [sym_keyword_virtual] = ACTIONS(2040),
    [sym_keyword_comment] = ACTIONS(2040),
    [sym_keyword_null] = ACTIONS(2040),
    [sym_keyword_array] = ACTIONS(2040),
    [anon_sym_LBRACK] = ACTIONS(2040),
    [anon_sym_RBRACK] = ACTIONS(2040),
    [anon_sym_RPAREN] = ACTIONS(2040),
    [anon_sym_COMMA] = ACTIONS(2040),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2040),
    [anon_sym_STAR] = ACTIONS(2040),
    [anon_sym_COLON_COLON] = ACTIONS(2040),
    [anon_sym_LT] = ACTIONS(2042),
    [anon_sym_GT] = ACTIONS(2042),
    [anon_sym_LT_EQ] = ACTIONS(2040),
    [anon_sym_GT_EQ] = ACTIONS(2040),
    [anon_sym_COLON] = ACTIONS(2042),
    [sym_op_other] = ACTIONS(2040),
    [anon_sym_PLUS] = ACTIONS(2040),
    [anon_sym_DASH] = ACTIONS(2042),
    [anon_sym_SLASH] = ACTIONS(2042),
    [anon_sym_PERCENT] = ACTIONS(2040),
    [anon_sym_CARET] = ACTIONS(2042),
    [anon_sym_BANG_EQ] = ACTIONS(2040),
    [anon_sym_LT_GT] = ACTIONS(2040),
  },
  [228] = {
    [ts_builtin_sym_end] = ACTIONS(1829),
    [anon_sym_SEMI] = ACTIONS(1829),
    [sym_keyword_from] = ACTIONS(1829),
    [sym_keyword_on] = ACTIONS(1829),
    [sym_keyword_where] = ACTIONS(1829),
    [sym_keyword_desc] = ACTIONS(1829),
    [sym_keyword_asc] = ACTIONS(1829),
    [sym_keyword_limit] = ACTIONS(1829),
    [sym_keyword_primary] = ACTIONS(1829),
    [sym_keyword_create] = ACTIONS(1829),
    [sym_keyword_as] = ACTIONS(1831),
    [sym_keyword_constraint] = ACTIONS(1829),
    [sym_keyword_separator] = ACTIONS(1829),
    [sym_keyword_when] = ACTIONS(1829),
    [sym_keyword_then] = ACTIONS(1829),
    [sym_keyword_else] = ACTIONS(1829),
    [sym_keyword_end] = ACTIONS(1829),
    [sym_keyword_in] = ACTIONS(1829),
    [sym_keyword_and] = ACTIONS(1829),
    [sym_keyword_or] = ACTIONS(1829),
    [sym_keyword_is] = ACTIONS(1829),
    [sym_keyword_not] = ACTIONS(1829),
    [sym_keyword_using] = ACTIONS(1829),
    [sym_keyword_auto_increment] = ACTIONS(1829),
    [sym_keyword_generated] = ACTIONS(1829),
    [sym_keyword_default] = ACTIONS(1829),
    [sym_keyword_with] = ACTIONS(1829),
    [sym_keyword_returning] = ACTIONS(1829),
    [sym_keyword_first] = ACTIONS(1829),
    [sym_keyword_after] = ACTIONS(1829),
    [sym_keyword_range] = ACTIONS(1829),
    [sym_keyword_rows] = ACTIONS(1829),
    [sym_keyword_groups] = ACTIONS(1829),
    [sym_keyword_between] = ACTIONS(1829),
    [sym_keyword_preceding] = ACTIONS(1829),
    [sym_keyword_following] = ACTIONS(1829),
    [sym_keyword_unique] = ACTIONS(1829),
    [sym_keyword_references] = ACTIONS(1829),
    [aux_sym_keyword_like_token1] = ACTIONS(1829),
    [aux_sym_keyword_like_token2] = ACTIONS(1829),
    [sym_keyword_similar] = ACTIONS(1829),
    [sym_keyword_check] = ACTIONS(1829),
    [sym_keyword_stored] = ACTIONS(1829),
    [sym_keyword_virtual] = ACTIONS(1829),
    [sym_keyword_comment] = ACTIONS(1829),
    [sym_keyword_null] = ACTIONS(1829),
    [sym_keyword_array] = ACTIONS(1829),
    [anon_sym_LBRACK] = ACTIONS(1829),
    [anon_sym_RBRACK] = ACTIONS(1829),
    [anon_sym_RPAREN] = ACTIONS(1829),
    [anon_sym_COMMA] = ACTIONS(1829),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1829),
    [anon_sym_STAR] = ACTIONS(1829),
    [anon_sym_COLON_COLON] = ACTIONS(1829),
    [anon_sym_LT] = ACTIONS(1831),
    [anon_sym_GT] = ACTIONS(1831),
    [anon_sym_LT_EQ] = ACTIONS(1829),
    [anon_sym_GT_EQ] = ACTIONS(1829),
    [anon_sym_COLON] = ACTIONS(1831),
    [sym_op_other] = ACTIONS(1829),
    [anon_sym_PLUS] = ACTIONS(1829),
    [anon_sym_DASH] = ACTIONS(1831),
    [anon_sym_SLASH] = ACTIONS(1831),
    [anon_sym_PERCENT] = ACTIONS(1829),
    [anon_sym_CARET] = ACTIONS(1831),
    [anon_sym_BANG_EQ] = ACTIONS(1829),
    [anon_sym_LT_GT] = ACTIONS(1829),
  },
  [229] = {
    [ts_builtin_sym_end] = ACTIONS(2220),
    [anon_sym_SEMI] = ACTIONS(2220),
    [sym_keyword_from] = ACTIONS(2220),
    [sym_keyword_on] = ACTIONS(2220),
    [sym_keyword_where] = ACTIONS(2220),
    [sym_keyword_desc] = ACTIONS(2220),
    [sym_keyword_asc] = ACTIONS(2220),
    [sym_keyword_limit] = ACTIONS(2220),
    [sym_keyword_primary] = ACTIONS(2220),
    [sym_keyword_create] = ACTIONS(2220),
    [sym_keyword_as] = ACTIONS(2222),
    [sym_keyword_constraint] = ACTIONS(2220),
    [sym_keyword_separator] = ACTIONS(2220),
    [sym_keyword_when] = ACTIONS(2220),
    [sym_keyword_then] = ACTIONS(2220),
    [sym_keyword_else] = ACTIONS(2220),
    [sym_keyword_end] = ACTIONS(2220),
    [sym_keyword_in] = ACTIONS(2220),
    [sym_keyword_and] = ACTIONS(2220),
    [sym_keyword_or] = ACTIONS(2220),
    [sym_keyword_is] = ACTIONS(2220),
    [sym_keyword_not] = ACTIONS(2220),
    [sym_keyword_using] = ACTIONS(2220),
    [sym_keyword_auto_increment] = ACTIONS(2220),
    [sym_keyword_generated] = ACTIONS(2220),
    [sym_keyword_default] = ACTIONS(2220),
    [sym_keyword_with] = ACTIONS(2220),
    [sym_keyword_returning] = ACTIONS(2220),
    [sym_keyword_first] = ACTIONS(2220),
    [sym_keyword_after] = ACTIONS(2220),
    [sym_keyword_range] = ACTIONS(2220),
    [sym_keyword_rows] = ACTIONS(2220),
    [sym_keyword_groups] = ACTIONS(2220),
    [sym_keyword_between] = ACTIONS(2220),
    [sym_keyword_preceding] = ACTIONS(2220),
    [sym_keyword_following] = ACTIONS(2220),
    [sym_keyword_unique] = ACTIONS(2220),
    [sym_keyword_references] = ACTIONS(2220),
    [aux_sym_keyword_like_token1] = ACTIONS(2220),
    [aux_sym_keyword_like_token2] = ACTIONS(2220),
    [sym_keyword_similar] = ACTIONS(2220),
    [sym_keyword_check] = ACTIONS(2220),
    [sym_keyword_stored] = ACTIONS(2220),
    [sym_keyword_virtual] = ACTIONS(2220),
    [sym_keyword_comment] = ACTIONS(2220),
    [sym_keyword_null] = ACTIONS(2220),
    [sym_keyword_array] = ACTIONS(2220),
    [anon_sym_LBRACK] = ACTIONS(2220),
    [anon_sym_RBRACK] = ACTIONS(2220),
    [anon_sym_RPAREN] = ACTIONS(2220),
    [anon_sym_COMMA] = ACTIONS(2220),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2220),
    [anon_sym_STAR] = ACTIONS(2220),
    [anon_sym_COLON_COLON] = ACTIONS(2220),
    [anon_sym_LT] = ACTIONS(2222),
    [anon_sym_GT] = ACTIONS(2222),
    [anon_sym_LT_EQ] = ACTIONS(2220),
    [anon_sym_GT_EQ] = ACTIONS(2220),
    [anon_sym_COLON] = ACTIONS(2222),
    [sym_op_other] = ACTIONS(2220),
    [anon_sym_PLUS] = ACTIONS(2220),
    [anon_sym_DASH] = ACTIONS(2222),
    [anon_sym_SLASH] = ACTIONS(2222),
    [anon_sym_PERCENT] = ACTIONS(2220),
    [anon_sym_CARET] = ACTIONS(2222),
    [anon_sym_BANG_EQ] = ACTIONS(2220),
    [anon_sym_LT_GT] = ACTIONS(2220),
  },
  [230] = {
    [ts_builtin_sym_end] = ACTIONS(2150),
    [anon_sym_SEMI] = ACTIONS(2150),
    [sym_keyword_from] = ACTIONS(2150),
    [sym_keyword_on] = ACTIONS(2150),
    [sym_keyword_where] = ACTIONS(2150),
    [sym_keyword_desc] = ACTIONS(2150),
    [sym_keyword_asc] = ACTIONS(2150),
    [sym_keyword_limit] = ACTIONS(2150),
    [sym_keyword_primary] = ACTIONS(2150),
    [sym_keyword_create] = ACTIONS(2150),
    [sym_keyword_as] = ACTIONS(2152),
    [sym_keyword_constraint] = ACTIONS(2150),
    [sym_keyword_separator] = ACTIONS(2150),
    [sym_keyword_when] = ACTIONS(2150),
    [sym_keyword_then] = ACTIONS(2150),
    [sym_keyword_else] = ACTIONS(2150),
    [sym_keyword_end] = ACTIONS(2150),
    [sym_keyword_in] = ACTIONS(2150),
    [sym_keyword_and] = ACTIONS(2150),
    [sym_keyword_or] = ACTIONS(2150),
    [sym_keyword_is] = ACTIONS(2150),
    [sym_keyword_not] = ACTIONS(2150),
    [sym_keyword_using] = ACTIONS(2150),
    [sym_keyword_auto_increment] = ACTIONS(2150),
    [sym_keyword_generated] = ACTIONS(2150),
    [sym_keyword_default] = ACTIONS(2150),
    [sym_keyword_with] = ACTIONS(2150),
    [sym_keyword_returning] = ACTIONS(2150),
    [sym_keyword_first] = ACTIONS(2150),
    [sym_keyword_after] = ACTIONS(2150),
    [sym_keyword_range] = ACTIONS(2150),
    [sym_keyword_rows] = ACTIONS(2150),
    [sym_keyword_groups] = ACTIONS(2150),
    [sym_keyword_between] = ACTIONS(2150),
    [sym_keyword_preceding] = ACTIONS(2150),
    [sym_keyword_following] = ACTIONS(2150),
    [sym_keyword_unique] = ACTIONS(2150),
    [sym_keyword_references] = ACTIONS(2150),
    [aux_sym_keyword_like_token1] = ACTIONS(2150),
    [aux_sym_keyword_like_token2] = ACTIONS(2150),
    [sym_keyword_similar] = ACTIONS(2150),
    [sym_keyword_check] = ACTIONS(2150),
    [sym_keyword_stored] = ACTIONS(2150),
    [sym_keyword_virtual] = ACTIONS(2150),
    [sym_keyword_comment] = ACTIONS(2150),
    [sym_keyword_null] = ACTIONS(2150),
    [sym_keyword_array] = ACTIONS(2150),
    [anon_sym_LBRACK] = ACTIONS(2150),
    [anon_sym_RBRACK] = ACTIONS(2150),
    [anon_sym_RPAREN] = ACTIONS(2150),
    [anon_sym_COMMA] = ACTIONS(2150),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2150),
    [anon_sym_STAR] = ACTIONS(2150),
    [anon_sym_COLON_COLON] = ACTIONS(2150),
    [anon_sym_LT] = ACTIONS(2152),
    [anon_sym_GT] = ACTIONS(2152),
    [anon_sym_LT_EQ] = ACTIONS(2150),
    [anon_sym_GT_EQ] = ACTIONS(2150),
    [anon_sym_COLON] = ACTIONS(2152),
    [sym_op_other] = ACTIONS(2150),
    [anon_sym_PLUS] = ACTIONS(2150),
    [anon_sym_DASH] = ACTIONS(2152),
    [anon_sym_SLASH] = ACTIONS(2152),
    [anon_sym_PERCENT] = ACTIONS(2150),
    [anon_sym_CARET] = ACTIONS(2152),
    [anon_sym_BANG_EQ] = ACTIONS(2150),
    [anon_sym_LT_GT] = ACTIONS(2150),
  },
  [231] = {
    [ts_builtin_sym_end] = ACTIONS(2224),
    [anon_sym_SEMI] = ACTIONS(2224),
    [sym_keyword_from] = ACTIONS(2224),
    [sym_keyword_on] = ACTIONS(2224),
    [sym_keyword_where] = ACTIONS(2224),
    [sym_keyword_desc] = ACTIONS(2224),
    [sym_keyword_asc] = ACTIONS(2224),
    [sym_keyword_limit] = ACTIONS(2224),
    [sym_keyword_primary] = ACTIONS(2224),
    [sym_keyword_create] = ACTIONS(2224),
    [sym_keyword_as] = ACTIONS(2226),
    [sym_keyword_constraint] = ACTIONS(2224),
    [sym_keyword_separator] = ACTIONS(2224),
    [sym_keyword_when] = ACTIONS(2224),
    [sym_keyword_then] = ACTIONS(2224),
    [sym_keyword_else] = ACTIONS(2224),
    [sym_keyword_end] = ACTIONS(2224),
    [sym_keyword_in] = ACTIONS(2224),
    [sym_keyword_and] = ACTIONS(2224),
    [sym_keyword_or] = ACTIONS(2224),
    [sym_keyword_is] = ACTIONS(2224),
    [sym_keyword_not] = ACTIONS(2224),
    [sym_keyword_using] = ACTIONS(2224),
    [sym_keyword_auto_increment] = ACTIONS(2224),
    [sym_keyword_generated] = ACTIONS(2224),
    [sym_keyword_default] = ACTIONS(2224),
    [sym_keyword_with] = ACTIONS(2224),
    [sym_keyword_returning] = ACTIONS(2224),
    [sym_keyword_first] = ACTIONS(2224),
    [sym_keyword_after] = ACTIONS(2224),
    [sym_keyword_range] = ACTIONS(2224),
    [sym_keyword_rows] = ACTIONS(2224),
    [sym_keyword_groups] = ACTIONS(2224),
    [sym_keyword_between] = ACTIONS(2224),
    [sym_keyword_preceding] = ACTIONS(2224),
    [sym_keyword_following] = ACTIONS(2224),
    [sym_keyword_unique] = ACTIONS(2224),
    [sym_keyword_references] = ACTIONS(2224),
    [aux_sym_keyword_like_token1] = ACTIONS(2224),
    [aux_sym_keyword_like_token2] = ACTIONS(2224),
    [sym_keyword_similar] = ACTIONS(2224),
    [sym_keyword_check] = ACTIONS(2224),
    [sym_keyword_stored] = ACTIONS(2224),
    [sym_keyword_virtual] = ACTIONS(2224),
    [sym_keyword_comment] = ACTIONS(2224),
    [sym_keyword_null] = ACTIONS(2224),
    [sym_keyword_array] = ACTIONS(2224),
    [anon_sym_LBRACK] = ACTIONS(2224),
    [anon_sym_RBRACK] = ACTIONS(2224),
    [anon_sym_RPAREN] = ACTIONS(2224),
    [anon_sym_COMMA] = ACTIONS(2224),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2224),
    [anon_sym_STAR] = ACTIONS(2224),
    [anon_sym_COLON_COLON] = ACTIONS(2224),
    [anon_sym_LT] = ACTIONS(2226),
    [anon_sym_GT] = ACTIONS(2226),
    [anon_sym_LT_EQ] = ACTIONS(2224),
    [anon_sym_GT_EQ] = ACTIONS(2224),
    [anon_sym_COLON] = ACTIONS(2226),
    [sym_op_other] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2224),
    [anon_sym_DASH] = ACTIONS(2226),
    [anon_sym_SLASH] = ACTIONS(2226),
    [anon_sym_PERCENT] = ACTIONS(2224),
    [anon_sym_CARET] = ACTIONS(2226),
    [anon_sym_BANG_EQ] = ACTIONS(2224),
    [anon_sym_LT_GT] = ACTIONS(2224),
  },
  [232] = {
    [ts_builtin_sym_end] = ACTIONS(1969),
    [anon_sym_SEMI] = ACTIONS(1969),
    [sym_keyword_from] = ACTIONS(1969),
    [sym_keyword_on] = ACTIONS(1969),
    [sym_keyword_where] = ACTIONS(1969),
    [sym_keyword_desc] = ACTIONS(1969),
    [sym_keyword_asc] = ACTIONS(1969),
    [sym_keyword_limit] = ACTIONS(1969),
    [sym_keyword_primary] = ACTIONS(1969),
    [sym_keyword_create] = ACTIONS(1969),
    [sym_keyword_as] = ACTIONS(1971),
    [sym_keyword_constraint] = ACTIONS(1969),
    [sym_keyword_separator] = ACTIONS(1969),
    [sym_keyword_when] = ACTIONS(1969),
    [sym_keyword_then] = ACTIONS(1969),
    [sym_keyword_else] = ACTIONS(1969),
    [sym_keyword_end] = ACTIONS(1969),
    [sym_keyword_in] = ACTIONS(1969),
    [sym_keyword_and] = ACTIONS(1969),
    [sym_keyword_or] = ACTIONS(1969),
    [sym_keyword_is] = ACTIONS(1969),
    [sym_keyword_not] = ACTIONS(1969),
    [sym_keyword_using] = ACTIONS(1969),
    [sym_keyword_auto_increment] = ACTIONS(1969),
    [sym_keyword_generated] = ACTIONS(1969),
    [sym_keyword_default] = ACTIONS(1969),
    [sym_keyword_with] = ACTIONS(1969),
    [sym_keyword_returning] = ACTIONS(1969),
    [sym_keyword_first] = ACTIONS(1969),
    [sym_keyword_after] = ACTIONS(1969),
    [sym_keyword_range] = ACTIONS(1969),
    [sym_keyword_rows] = ACTIONS(1969),
    [sym_keyword_groups] = ACTIONS(1969),
    [sym_keyword_between] = ACTIONS(1969),
    [sym_keyword_preceding] = ACTIONS(1969),
    [sym_keyword_following] = ACTIONS(1969),
    [sym_keyword_unique] = ACTIONS(1969),
    [sym_keyword_references] = ACTIONS(1969),
    [aux_sym_keyword_like_token1] = ACTIONS(1969),
    [aux_sym_keyword_like_token2] = ACTIONS(1969),
    [sym_keyword_similar] = ACTIONS(1969),
    [sym_keyword_check] = ACTIONS(1969),
    [sym_keyword_stored] = ACTIONS(1969),
    [sym_keyword_virtual] = ACTIONS(1969),
    [sym_keyword_comment] = ACTIONS(1969),
    [sym_keyword_null] = ACTIONS(1969),
    [sym_keyword_array] = ACTIONS(1969),
    [anon_sym_LBRACK] = ACTIONS(1969),
    [anon_sym_RBRACK] = ACTIONS(1969),
    [anon_sym_RPAREN] = ACTIONS(1969),
    [anon_sym_COMMA] = ACTIONS(1969),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1969),
    [anon_sym_STAR] = ACTIONS(1969),
    [anon_sym_COLON_COLON] = ACTIONS(1969),
    [anon_sym_LT] = ACTIONS(1971),
    [anon_sym_GT] = ACTIONS(1971),
    [anon_sym_LT_EQ] = ACTIONS(1969),
    [anon_sym_GT_EQ] = ACTIONS(1969),
    [anon_sym_COLON] = ACTIONS(1971),
    [sym_op_other] = ACTIONS(1969),
    [anon_sym_PLUS] = ACTIONS(1969),
    [anon_sym_DASH] = ACTIONS(1971),
    [anon_sym_SLASH] = ACTIONS(1971),
    [anon_sym_PERCENT] = ACTIONS(1969),
    [anon_sym_CARET] = ACTIONS(1971),
    [anon_sym_BANG_EQ] = ACTIONS(1969),
    [anon_sym_LT_GT] = ACTIONS(1969),
  },
  [233] = {
    [ts_builtin_sym_end] = ACTIONS(2138),
    [anon_sym_SEMI] = ACTIONS(2138),
    [sym_keyword_from] = ACTIONS(2138),
    [sym_keyword_on] = ACTIONS(2138),
    [sym_keyword_where] = ACTIONS(2138),
    [sym_keyword_desc] = ACTIONS(2138),
    [sym_keyword_asc] = ACTIONS(2138),
    [sym_keyword_limit] = ACTIONS(2138),
    [sym_keyword_primary] = ACTIONS(2138),
    [sym_keyword_create] = ACTIONS(2138),
    [sym_keyword_as] = ACTIONS(2140),
    [sym_keyword_constraint] = ACTIONS(2138),
    [sym_keyword_separator] = ACTIONS(2138),
    [sym_keyword_when] = ACTIONS(2138),
    [sym_keyword_then] = ACTIONS(2138),
    [sym_keyword_else] = ACTIONS(2138),
    [sym_keyword_end] = ACTIONS(2138),
    [sym_keyword_in] = ACTIONS(2138),
    [sym_keyword_and] = ACTIONS(2138),
    [sym_keyword_or] = ACTIONS(2138),
    [sym_keyword_is] = ACTIONS(2138),
    [sym_keyword_not] = ACTIONS(2138),
    [sym_keyword_using] = ACTIONS(2138),
    [sym_keyword_auto_increment] = ACTIONS(2138),
    [sym_keyword_generated] = ACTIONS(2138),
    [sym_keyword_default] = ACTIONS(2138),
    [sym_keyword_with] = ACTIONS(2138),
    [sym_keyword_returning] = ACTIONS(2138),
    [sym_keyword_first] = ACTIONS(2138),
    [sym_keyword_after] = ACTIONS(2138),
    [sym_keyword_range] = ACTIONS(2138),
    [sym_keyword_rows] = ACTIONS(2138),
    [sym_keyword_groups] = ACTIONS(2138),
    [sym_keyword_between] = ACTIONS(2138),
    [sym_keyword_preceding] = ACTIONS(2138),
    [sym_keyword_following] = ACTIONS(2138),
    [sym_keyword_unique] = ACTIONS(2138),
    [sym_keyword_references] = ACTIONS(2138),
    [aux_sym_keyword_like_token1] = ACTIONS(2138),
    [aux_sym_keyword_like_token2] = ACTIONS(2138),
    [sym_keyword_similar] = ACTIONS(2138),
    [sym_keyword_check] = ACTIONS(2138),
    [sym_keyword_stored] = ACTIONS(2138),
    [sym_keyword_virtual] = ACTIONS(2138),
    [sym_keyword_comment] = ACTIONS(2138),
    [sym_keyword_null] = ACTIONS(2138),
    [sym_keyword_array] = ACTIONS(2138),
    [anon_sym_LBRACK] = ACTIONS(2138),
    [anon_sym_RBRACK] = ACTIONS(2138),
    [anon_sym_RPAREN] = ACTIONS(2138),
    [anon_sym_COMMA] = ACTIONS(2138),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(2138),
    [anon_sym_COLON_COLON] = ACTIONS(2138),
    [anon_sym_LT] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2140),
    [anon_sym_LT_EQ] = ACTIONS(2138),
    [anon_sym_GT_EQ] = ACTIONS(2138),
    [anon_sym_COLON] = ACTIONS(2140),
    [sym_op_other] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_DASH] = ACTIONS(2140),
    [anon_sym_SLASH] = ACTIONS(2140),
    [anon_sym_PERCENT] = ACTIONS(2138),
    [anon_sym_CARET] = ACTIONS(2140),
    [anon_sym_BANG_EQ] = ACTIONS(2138),
    [anon_sym_LT_GT] = ACTIONS(2138),
  },
  [234] = {
    [ts_builtin_sym_end] = ACTIONS(2228),
    [anon_sym_SEMI] = ACTIONS(2228),
    [sym_keyword_from] = ACTIONS(2228),
    [sym_keyword_on] = ACTIONS(2228),
    [sym_keyword_where] = ACTIONS(2228),
    [sym_keyword_desc] = ACTIONS(2228),
    [sym_keyword_asc] = ACTIONS(2228),
    [sym_keyword_limit] = ACTIONS(2228),
    [sym_keyword_primary] = ACTIONS(2228),
    [sym_keyword_create] = ACTIONS(2228),
    [sym_keyword_as] = ACTIONS(2230),
    [sym_keyword_constraint] = ACTIONS(2228),
    [sym_keyword_separator] = ACTIONS(2228),
    [sym_keyword_when] = ACTIONS(2228),
    [sym_keyword_then] = ACTIONS(2228),
    [sym_keyword_else] = ACTIONS(2228),
    [sym_keyword_end] = ACTIONS(2228),
    [sym_keyword_in] = ACTIONS(2228),
    [sym_keyword_and] = ACTIONS(2228),
    [sym_keyword_or] = ACTIONS(2228),
    [sym_keyword_is] = ACTIONS(2228),
    [sym_keyword_not] = ACTIONS(2228),
    [sym_keyword_using] = ACTIONS(2228),
    [sym_keyword_auto_increment] = ACTIONS(2228),
    [sym_keyword_generated] = ACTIONS(2228),
    [sym_keyword_default] = ACTIONS(2228),
    [sym_keyword_with] = ACTIONS(2228),
    [sym_keyword_returning] = ACTIONS(2228),
    [sym_keyword_first] = ACTIONS(2228),
    [sym_keyword_after] = ACTIONS(2228),
    [sym_keyword_range] = ACTIONS(2228),
    [sym_keyword_rows] = ACTIONS(2228),
    [sym_keyword_groups] = ACTIONS(2228),
    [sym_keyword_between] = ACTIONS(2228),
    [sym_keyword_preceding] = ACTIONS(2228),
    [sym_keyword_following] = ACTIONS(2228),
    [sym_keyword_unique] = ACTIONS(2228),
    [sym_keyword_references] = ACTIONS(2228),
    [aux_sym_keyword_like_token1] = ACTIONS(2228),
    [aux_sym_keyword_like_token2] = ACTIONS(2228),
    [sym_keyword_similar] = ACTIONS(2228),
    [sym_keyword_check] = ACTIONS(2228),
    [sym_keyword_stored] = ACTIONS(2228),
    [sym_keyword_virtual] = ACTIONS(2228),
    [sym_keyword_comment] = ACTIONS(2228),
    [sym_keyword_null] = ACTIONS(2228),
    [sym_keyword_array] = ACTIONS(2228),
    [anon_sym_LBRACK] = ACTIONS(2228),
    [anon_sym_RBRACK] = ACTIONS(2228),
    [anon_sym_RPAREN] = ACTIONS(2228),
    [anon_sym_COMMA] = ACTIONS(2228),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2228),
    [anon_sym_STAR] = ACTIONS(2228),
    [anon_sym_COLON_COLON] = ACTIONS(2228),
    [anon_sym_LT] = ACTIONS(2230),
    [anon_sym_GT] = ACTIONS(2230),
    [anon_sym_LT_EQ] = ACTIONS(2228),
    [anon_sym_GT_EQ] = ACTIONS(2228),
    [anon_sym_COLON] = ACTIONS(2230),
    [sym_op_other] = ACTIONS(2228),
    [anon_sym_PLUS] = ACTIONS(2228),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_SLASH] = ACTIONS(2230),
    [anon_sym_PERCENT] = ACTIONS(2228),
    [anon_sym_CARET] = ACTIONS(2230),
    [anon_sym_BANG_EQ] = ACTIONS(2228),
    [anon_sym_LT_GT] = ACTIONS(2228),
  },
  [235] = {
    [ts_builtin_sym_end] = ACTIONS(2232),
    [anon_sym_SEMI] = ACTIONS(2232),
    [sym_keyword_from] = ACTIONS(2232),
    [sym_keyword_on] = ACTIONS(2232),
    [sym_keyword_where] = ACTIONS(2232),
    [sym_keyword_desc] = ACTIONS(2232),
    [sym_keyword_asc] = ACTIONS(2232),
    [sym_keyword_limit] = ACTIONS(2232),
    [sym_keyword_primary] = ACTIONS(2232),
    [sym_keyword_create] = ACTIONS(2232),
    [sym_keyword_as] = ACTIONS(2234),
    [sym_keyword_constraint] = ACTIONS(2232),
    [sym_keyword_separator] = ACTIONS(2232),
    [sym_keyword_when] = ACTIONS(2232),
    [sym_keyword_then] = ACTIONS(2232),
    [sym_keyword_else] = ACTIONS(2232),
    [sym_keyword_end] = ACTIONS(2232),
    [sym_keyword_in] = ACTIONS(2232),
    [sym_keyword_and] = ACTIONS(2232),
    [sym_keyword_or] = ACTIONS(2232),
    [sym_keyword_is] = ACTIONS(2232),
    [sym_keyword_not] = ACTIONS(2232),
    [sym_keyword_using] = ACTIONS(2232),
    [sym_keyword_auto_increment] = ACTIONS(2232),
    [sym_keyword_generated] = ACTIONS(2232),
    [sym_keyword_default] = ACTIONS(2232),
    [sym_keyword_with] = ACTIONS(2232),
    [sym_keyword_returning] = ACTIONS(2232),
    [sym_keyword_first] = ACTIONS(2232),
    [sym_keyword_after] = ACTIONS(2232),
    [sym_keyword_range] = ACTIONS(2232),
    [sym_keyword_rows] = ACTIONS(2232),
    [sym_keyword_groups] = ACTIONS(2232),
    [sym_keyword_between] = ACTIONS(2232),
    [sym_keyword_preceding] = ACTIONS(2232),
    [sym_keyword_following] = ACTIONS(2232),
    [sym_keyword_unique] = ACTIONS(2232),
    [sym_keyword_references] = ACTIONS(2232),
    [aux_sym_keyword_like_token1] = ACTIONS(2232),
    [aux_sym_keyword_like_token2] = ACTIONS(2232),
    [sym_keyword_similar] = ACTIONS(2232),
    [sym_keyword_check] = ACTIONS(2232),
    [sym_keyword_stored] = ACTIONS(2232),
    [sym_keyword_virtual] = ACTIONS(2232),
    [sym_keyword_comment] = ACTIONS(2232),
    [sym_keyword_null] = ACTIONS(2232),
    [sym_keyword_array] = ACTIONS(2232),
    [anon_sym_LBRACK] = ACTIONS(2232),
    [anon_sym_RBRACK] = ACTIONS(2232),
    [anon_sym_RPAREN] = ACTIONS(2232),
    [anon_sym_COMMA] = ACTIONS(2232),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2232),
    [anon_sym_STAR] = ACTIONS(2232),
    [anon_sym_COLON_COLON] = ACTIONS(2232),
    [anon_sym_LT] = ACTIONS(2234),
    [anon_sym_GT] = ACTIONS(2234),
    [anon_sym_LT_EQ] = ACTIONS(2232),
    [anon_sym_GT_EQ] = ACTIONS(2232),
    [anon_sym_COLON] = ACTIONS(2234),
    [sym_op_other] = ACTIONS(2232),
    [anon_sym_PLUS] = ACTIONS(2232),
    [anon_sym_DASH] = ACTIONS(2234),
    [anon_sym_SLASH] = ACTIONS(2234),
    [anon_sym_PERCENT] = ACTIONS(2232),
    [anon_sym_CARET] = ACTIONS(2234),
    [anon_sym_BANG_EQ] = ACTIONS(2232),
    [anon_sym_LT_GT] = ACTIONS(2232),
  },
  [236] = {
    [ts_builtin_sym_end] = ACTIONS(2236),
    [anon_sym_SEMI] = ACTIONS(2236),
    [sym_keyword_from] = ACTIONS(2236),
    [sym_keyword_on] = ACTIONS(2236),
    [sym_keyword_where] = ACTIONS(2236),
    [sym_keyword_desc] = ACTIONS(2236),
    [sym_keyword_asc] = ACTIONS(2236),
    [sym_keyword_limit] = ACTIONS(2236),
    [sym_keyword_primary] = ACTIONS(2236),
    [sym_keyword_create] = ACTIONS(2236),
    [sym_keyword_as] = ACTIONS(2238),
    [sym_keyword_constraint] = ACTIONS(2236),
    [sym_keyword_separator] = ACTIONS(2236),
    [sym_keyword_when] = ACTIONS(2236),
    [sym_keyword_then] = ACTIONS(2236),
    [sym_keyword_else] = ACTIONS(2236),
    [sym_keyword_end] = ACTIONS(2236),
    [sym_keyword_in] = ACTIONS(2236),
    [sym_keyword_and] = ACTIONS(2236),
    [sym_keyword_or] = ACTIONS(2236),
    [sym_keyword_is] = ACTIONS(2236),
    [sym_keyword_not] = ACTIONS(2236),
    [sym_keyword_using] = ACTIONS(2236),
    [sym_keyword_auto_increment] = ACTIONS(2236),
    [sym_keyword_generated] = ACTIONS(2236),
    [sym_keyword_default] = ACTIONS(2236),
    [sym_keyword_with] = ACTIONS(2236),
    [sym_keyword_returning] = ACTIONS(2236),
    [sym_keyword_first] = ACTIONS(2236),
    [sym_keyword_after] = ACTIONS(2236),
    [sym_keyword_range] = ACTIONS(2236),
    [sym_keyword_rows] = ACTIONS(2236),
    [sym_keyword_groups] = ACTIONS(2236),
    [sym_keyword_between] = ACTIONS(2236),
    [sym_keyword_preceding] = ACTIONS(2236),
    [sym_keyword_following] = ACTIONS(2236),
    [sym_keyword_unique] = ACTIONS(2236),
    [sym_keyword_references] = ACTIONS(2236),
    [aux_sym_keyword_like_token1] = ACTIONS(2236),
    [aux_sym_keyword_like_token2] = ACTIONS(2236),
    [sym_keyword_similar] = ACTIONS(2236),
    [sym_keyword_check] = ACTIONS(2236),
    [sym_keyword_stored] = ACTIONS(2236),
    [sym_keyword_virtual] = ACTIONS(2236),
    [sym_keyword_comment] = ACTIONS(2236),
    [sym_keyword_null] = ACTIONS(2236),
    [sym_keyword_array] = ACTIONS(2236),
    [anon_sym_LBRACK] = ACTIONS(2236),
    [anon_sym_RBRACK] = ACTIONS(2236),
    [anon_sym_RPAREN] = ACTIONS(2236),
    [anon_sym_COMMA] = ACTIONS(2236),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2236),
    [anon_sym_STAR] = ACTIONS(2236),
    [anon_sym_COLON_COLON] = ACTIONS(2236),
    [anon_sym_LT] = ACTIONS(2238),
    [anon_sym_GT] = ACTIONS(2238),
    [anon_sym_LT_EQ] = ACTIONS(2236),
    [anon_sym_GT_EQ] = ACTIONS(2236),
    [anon_sym_COLON] = ACTIONS(2238),
    [sym_op_other] = ACTIONS(2236),
    [anon_sym_PLUS] = ACTIONS(2236),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_SLASH] = ACTIONS(2238),
    [anon_sym_PERCENT] = ACTIONS(2236),
    [anon_sym_CARET] = ACTIONS(2238),
    [anon_sym_BANG_EQ] = ACTIONS(2236),
    [anon_sym_LT_GT] = ACTIONS(2236),
  },
  [237] = {
    [ts_builtin_sym_end] = ACTIONS(2240),
    [anon_sym_SEMI] = ACTIONS(2240),
    [sym_keyword_from] = ACTIONS(2240),
    [sym_keyword_on] = ACTIONS(2240),
    [sym_keyword_where] = ACTIONS(2240),
    [sym_keyword_desc] = ACTIONS(2240),
    [sym_keyword_asc] = ACTIONS(2240),
    [sym_keyword_limit] = ACTIONS(2240),
    [sym_keyword_primary] = ACTIONS(2240),
    [sym_keyword_create] = ACTIONS(2240),
    [sym_keyword_as] = ACTIONS(2242),
    [sym_keyword_constraint] = ACTIONS(2240),
    [sym_keyword_separator] = ACTIONS(2240),
    [sym_keyword_when] = ACTIONS(2240),
    [sym_keyword_then] = ACTIONS(2240),
    [sym_keyword_else] = ACTIONS(2240),
    [sym_keyword_end] = ACTIONS(2240),
    [sym_keyword_in] = ACTIONS(2240),
    [sym_keyword_and] = ACTIONS(2240),
    [sym_keyword_or] = ACTIONS(2240),
    [sym_keyword_is] = ACTIONS(2240),
    [sym_keyword_not] = ACTIONS(2240),
    [sym_keyword_using] = ACTIONS(2240),
    [sym_keyword_auto_increment] = ACTIONS(2240),
    [sym_keyword_generated] = ACTIONS(2240),
    [sym_keyword_default] = ACTIONS(2240),
    [sym_keyword_with] = ACTIONS(2240),
    [sym_keyword_returning] = ACTIONS(2240),
    [sym_keyword_first] = ACTIONS(2240),
    [sym_keyword_after] = ACTIONS(2240),
    [sym_keyword_range] = ACTIONS(2240),
    [sym_keyword_rows] = ACTIONS(2240),
    [sym_keyword_groups] = ACTIONS(2240),
    [sym_keyword_between] = ACTIONS(2240),
    [sym_keyword_preceding] = ACTIONS(2240),
    [sym_keyword_following] = ACTIONS(2240),
    [sym_keyword_unique] = ACTIONS(2240),
    [sym_keyword_references] = ACTIONS(2240),
    [aux_sym_keyword_like_token1] = ACTIONS(2240),
    [aux_sym_keyword_like_token2] = ACTIONS(2240),
    [sym_keyword_similar] = ACTIONS(2240),
    [sym_keyword_check] = ACTIONS(2240),
    [sym_keyword_stored] = ACTIONS(2240),
    [sym_keyword_virtual] = ACTIONS(2240),
    [sym_keyword_comment] = ACTIONS(2240),
    [sym_keyword_null] = ACTIONS(2240),
    [sym_keyword_array] = ACTIONS(2240),
    [anon_sym_LBRACK] = ACTIONS(2240),
    [anon_sym_RBRACK] = ACTIONS(2240),
    [anon_sym_RPAREN] = ACTIONS(2240),
    [anon_sym_COMMA] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2240),
    [anon_sym_STAR] = ACTIONS(2240),
    [anon_sym_COLON_COLON] = ACTIONS(2240),
    [anon_sym_LT] = ACTIONS(2242),
    [anon_sym_GT] = ACTIONS(2242),
    [anon_sym_LT_EQ] = ACTIONS(2240),
    [anon_sym_GT_EQ] = ACTIONS(2240),
    [anon_sym_COLON] = ACTIONS(2242),
    [sym_op_other] = ACTIONS(2240),
    [anon_sym_PLUS] = ACTIONS(2240),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_SLASH] = ACTIONS(2242),
    [anon_sym_PERCENT] = ACTIONS(2240),
    [anon_sym_CARET] = ACTIONS(2242),
    [anon_sym_BANG_EQ] = ACTIONS(2240),
    [anon_sym_LT_GT] = ACTIONS(2240),
  },
  [238] = {
    [ts_builtin_sym_end] = ACTIONS(2244),
    [anon_sym_SEMI] = ACTIONS(2244),
    [sym_keyword_from] = ACTIONS(2244),
    [sym_keyword_on] = ACTIONS(2244),
    [sym_keyword_where] = ACTIONS(2244),
    [sym_keyword_desc] = ACTIONS(2244),
    [sym_keyword_asc] = ACTIONS(2244),
    [sym_keyword_limit] = ACTIONS(2244),
    [sym_keyword_primary] = ACTIONS(2244),
    [sym_keyword_create] = ACTIONS(2244),
    [sym_keyword_as] = ACTIONS(2246),
    [sym_keyword_constraint] = ACTIONS(2244),
    [sym_keyword_separator] = ACTIONS(2244),
    [sym_keyword_when] = ACTIONS(2244),
    [sym_keyword_then] = ACTIONS(2244),
    [sym_keyword_else] = ACTIONS(2244),
    [sym_keyword_end] = ACTIONS(2244),
    [sym_keyword_in] = ACTIONS(2244),
    [sym_keyword_and] = ACTIONS(2244),
    [sym_keyword_or] = ACTIONS(2244),
    [sym_keyword_is] = ACTIONS(2244),
    [sym_keyword_not] = ACTIONS(2244),
    [sym_keyword_using] = ACTIONS(2244),
    [sym_keyword_auto_increment] = ACTIONS(2244),
    [sym_keyword_generated] = ACTIONS(2244),
    [sym_keyword_default] = ACTIONS(2244),
    [sym_keyword_with] = ACTIONS(2244),
    [sym_keyword_returning] = ACTIONS(2244),
    [sym_keyword_first] = ACTIONS(2244),
    [sym_keyword_after] = ACTIONS(2244),
    [sym_keyword_range] = ACTIONS(2244),
    [sym_keyword_rows] = ACTIONS(2244),
    [sym_keyword_groups] = ACTIONS(2244),
    [sym_keyword_between] = ACTIONS(2244),
    [sym_keyword_preceding] = ACTIONS(2244),
    [sym_keyword_following] = ACTIONS(2244),
    [sym_keyword_unique] = ACTIONS(2244),
    [sym_keyword_references] = ACTIONS(2244),
    [aux_sym_keyword_like_token1] = ACTIONS(2244),
    [aux_sym_keyword_like_token2] = ACTIONS(2244),
    [sym_keyword_similar] = ACTIONS(2244),
    [sym_keyword_check] = ACTIONS(2244),
    [sym_keyword_stored] = ACTIONS(2244),
    [sym_keyword_virtual] = ACTIONS(2244),
    [sym_keyword_comment] = ACTIONS(2244),
    [sym_keyword_null] = ACTIONS(2244),
    [sym_keyword_array] = ACTIONS(2244),
    [anon_sym_LBRACK] = ACTIONS(2244),
    [anon_sym_RBRACK] = ACTIONS(2244),
    [anon_sym_RPAREN] = ACTIONS(2244),
    [anon_sym_COMMA] = ACTIONS(2244),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2244),
    [anon_sym_STAR] = ACTIONS(2244),
    [anon_sym_COLON_COLON] = ACTIONS(2244),
    [anon_sym_LT] = ACTIONS(2246),
    [anon_sym_GT] = ACTIONS(2246),
    [anon_sym_LT_EQ] = ACTIONS(2244),
    [anon_sym_GT_EQ] = ACTIONS(2244),
    [anon_sym_COLON] = ACTIONS(2246),
    [sym_op_other] = ACTIONS(2244),
    [anon_sym_PLUS] = ACTIONS(2244),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_SLASH] = ACTIONS(2246),
    [anon_sym_PERCENT] = ACTIONS(2244),
    [anon_sym_CARET] = ACTIONS(2246),
    [anon_sym_BANG_EQ] = ACTIONS(2244),
    [anon_sym_LT_GT] = ACTIONS(2244),
  },
  [239] = {
    [ts_builtin_sym_end] = ACTIONS(2248),
    [anon_sym_SEMI] = ACTIONS(2248),
    [sym_keyword_from] = ACTIONS(2248),
    [sym_keyword_on] = ACTIONS(2248),
    [sym_keyword_where] = ACTIONS(2248),
    [sym_keyword_desc] = ACTIONS(2248),
    [sym_keyword_asc] = ACTIONS(2248),
    [sym_keyword_limit] = ACTIONS(2248),
    [sym_keyword_primary] = ACTIONS(2248),
    [sym_keyword_create] = ACTIONS(2248),
    [sym_keyword_as] = ACTIONS(2250),
    [sym_keyword_constraint] = ACTIONS(2248),
    [sym_keyword_separator] = ACTIONS(2248),
    [sym_keyword_when] = ACTIONS(2248),
    [sym_keyword_then] = ACTIONS(2248),
    [sym_keyword_else] = ACTIONS(2248),
    [sym_keyword_end] = ACTIONS(2248),
    [sym_keyword_in] = ACTIONS(2248),
    [sym_keyword_and] = ACTIONS(2248),
    [sym_keyword_or] = ACTIONS(2248),
    [sym_keyword_is] = ACTIONS(2248),
    [sym_keyword_not] = ACTIONS(2248),
    [sym_keyword_using] = ACTIONS(2248),
    [sym_keyword_auto_increment] = ACTIONS(2248),
    [sym_keyword_generated] = ACTIONS(2248),
    [sym_keyword_default] = ACTIONS(2248),
    [sym_keyword_with] = ACTIONS(2248),
    [sym_keyword_returning] = ACTIONS(2248),
    [sym_keyword_first] = ACTIONS(2248),
    [sym_keyword_after] = ACTIONS(2248),
    [sym_keyword_range] = ACTIONS(2248),
    [sym_keyword_rows] = ACTIONS(2248),
    [sym_keyword_groups] = ACTIONS(2248),
    [sym_keyword_between] = ACTIONS(2248),
    [sym_keyword_preceding] = ACTIONS(2248),
    [sym_keyword_following] = ACTIONS(2248),
    [sym_keyword_unique] = ACTIONS(2248),
    [sym_keyword_references] = ACTIONS(2248),
    [aux_sym_keyword_like_token1] = ACTIONS(2248),
    [aux_sym_keyword_like_token2] = ACTIONS(2248),
    [sym_keyword_similar] = ACTIONS(2248),
    [sym_keyword_check] = ACTIONS(2248),
    [sym_keyword_stored] = ACTIONS(2248),
    [sym_keyword_virtual] = ACTIONS(2248),
    [sym_keyword_comment] = ACTIONS(2248),
    [sym_keyword_null] = ACTIONS(2248),
    [sym_keyword_array] = ACTIONS(2248),
    [anon_sym_LBRACK] = ACTIONS(2248),
    [anon_sym_RBRACK] = ACTIONS(2248),
    [anon_sym_RPAREN] = ACTIONS(2248),
    [anon_sym_COMMA] = ACTIONS(2248),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2248),
    [anon_sym_STAR] = ACTIONS(2248),
    [anon_sym_COLON_COLON] = ACTIONS(2248),
    [anon_sym_LT] = ACTIONS(2250),
    [anon_sym_GT] = ACTIONS(2250),
    [anon_sym_LT_EQ] = ACTIONS(2248),
    [anon_sym_GT_EQ] = ACTIONS(2248),
    [anon_sym_COLON] = ACTIONS(2250),
    [sym_op_other] = ACTIONS(2248),
    [anon_sym_PLUS] = ACTIONS(2248),
    [anon_sym_DASH] = ACTIONS(2250),
    [anon_sym_SLASH] = ACTIONS(2250),
    [anon_sym_PERCENT] = ACTIONS(2248),
    [anon_sym_CARET] = ACTIONS(2250),
    [anon_sym_BANG_EQ] = ACTIONS(2248),
    [anon_sym_LT_GT] = ACTIONS(2248),
  },
  [240] = {
    [ts_builtin_sym_end] = ACTIONS(2252),
    [anon_sym_SEMI] = ACTIONS(2252),
    [sym_keyword_from] = ACTIONS(2252),
    [sym_keyword_on] = ACTIONS(2252),
    [sym_keyword_where] = ACTIONS(2252),
    [sym_keyword_desc] = ACTIONS(2252),
    [sym_keyword_asc] = ACTIONS(2252),
    [sym_keyword_limit] = ACTIONS(2252),
    [sym_keyword_primary] = ACTIONS(2252),
    [sym_keyword_create] = ACTIONS(2252),
    [sym_keyword_as] = ACTIONS(2254),
    [sym_keyword_constraint] = ACTIONS(2252),
    [sym_keyword_separator] = ACTIONS(2252),
    [sym_keyword_when] = ACTIONS(2252),
    [sym_keyword_then] = ACTIONS(2252),
    [sym_keyword_else] = ACTIONS(2252),
    [sym_keyword_end] = ACTIONS(2252),
    [sym_keyword_in] = ACTIONS(2252),
    [sym_keyword_and] = ACTIONS(2252),
    [sym_keyword_or] = ACTIONS(2252),
    [sym_keyword_is] = ACTIONS(2252),
    [sym_keyword_not] = ACTIONS(2252),
    [sym_keyword_using] = ACTIONS(2252),
    [sym_keyword_auto_increment] = ACTIONS(2252),
    [sym_keyword_generated] = ACTIONS(2252),
    [sym_keyword_default] = ACTIONS(2252),
    [sym_keyword_with] = ACTIONS(2252),
    [sym_keyword_returning] = ACTIONS(2252),
    [sym_keyword_first] = ACTIONS(2252),
    [sym_keyword_after] = ACTIONS(2252),
    [sym_keyword_range] = ACTIONS(2252),
    [sym_keyword_rows] = ACTIONS(2252),
    [sym_keyword_groups] = ACTIONS(2252),
    [sym_keyword_between] = ACTIONS(2252),
    [sym_keyword_preceding] = ACTIONS(2252),
    [sym_keyword_following] = ACTIONS(2252),
    [sym_keyword_unique] = ACTIONS(2252),
    [sym_keyword_references] = ACTIONS(2252),
    [aux_sym_keyword_like_token1] = ACTIONS(2252),
    [aux_sym_keyword_like_token2] = ACTIONS(2252),
    [sym_keyword_similar] = ACTIONS(2252),
    [sym_keyword_check] = ACTIONS(2252),
    [sym_keyword_stored] = ACTIONS(2252),
    [sym_keyword_virtual] = ACTIONS(2252),
    [sym_keyword_comment] = ACTIONS(2252),
    [sym_keyword_null] = ACTIONS(2252),
    [sym_keyword_array] = ACTIONS(2252),
    [anon_sym_LBRACK] = ACTIONS(2252),
    [anon_sym_RBRACK] = ACTIONS(2252),
    [anon_sym_RPAREN] = ACTIONS(2252),
    [anon_sym_COMMA] = ACTIONS(2252),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2252),
    [anon_sym_STAR] = ACTIONS(2252),
    [anon_sym_COLON_COLON] = ACTIONS(2252),
    [anon_sym_LT] = ACTIONS(2254),
    [anon_sym_GT] = ACTIONS(2254),
    [anon_sym_LT_EQ] = ACTIONS(2252),
    [anon_sym_GT_EQ] = ACTIONS(2252),
    [anon_sym_COLON] = ACTIONS(2254),
    [sym_op_other] = ACTIONS(2252),
    [anon_sym_PLUS] = ACTIONS(2252),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_SLASH] = ACTIONS(2254),
    [anon_sym_PERCENT] = ACTIONS(2252),
    [anon_sym_CARET] = ACTIONS(2254),
    [anon_sym_BANG_EQ] = ACTIONS(2252),
    [anon_sym_LT_GT] = ACTIONS(2252),
  },
  [241] = {
    [ts_builtin_sym_end] = ACTIONS(2256),
    [anon_sym_SEMI] = ACTIONS(2256),
    [sym_keyword_from] = ACTIONS(2256),
    [sym_keyword_on] = ACTIONS(2256),
    [sym_keyword_where] = ACTIONS(2256),
    [sym_keyword_desc] = ACTIONS(2256),
    [sym_keyword_asc] = ACTIONS(2256),
    [sym_keyword_limit] = ACTIONS(2256),
    [sym_keyword_primary] = ACTIONS(2256),
    [sym_keyword_create] = ACTIONS(2256),
    [sym_keyword_as] = ACTIONS(2258),
    [sym_keyword_constraint] = ACTIONS(2256),
    [sym_keyword_separator] = ACTIONS(2256),
    [sym_keyword_when] = ACTIONS(2256),
    [sym_keyword_then] = ACTIONS(2256),
    [sym_keyword_else] = ACTIONS(2256),
    [sym_keyword_end] = ACTIONS(2256),
    [sym_keyword_in] = ACTIONS(2256),
    [sym_keyword_and] = ACTIONS(2256),
    [sym_keyword_or] = ACTIONS(2256),
    [sym_keyword_is] = ACTIONS(2256),
    [sym_keyword_not] = ACTIONS(2256),
    [sym_keyword_using] = ACTIONS(2256),
    [sym_keyword_auto_increment] = ACTIONS(2256),
    [sym_keyword_generated] = ACTIONS(2256),
    [sym_keyword_default] = ACTIONS(2256),
    [sym_keyword_with] = ACTIONS(2256),
    [sym_keyword_returning] = ACTIONS(2256),
    [sym_keyword_first] = ACTIONS(2256),
    [sym_keyword_after] = ACTIONS(2256),
    [sym_keyword_range] = ACTIONS(2256),
    [sym_keyword_rows] = ACTIONS(2256),
    [sym_keyword_groups] = ACTIONS(2256),
    [sym_keyword_between] = ACTIONS(2256),
    [sym_keyword_preceding] = ACTIONS(2256),
    [sym_keyword_following] = ACTIONS(2256),
    [sym_keyword_unique] = ACTIONS(2256),
    [sym_keyword_references] = ACTIONS(2256),
    [aux_sym_keyword_like_token1] = ACTIONS(2256),
    [aux_sym_keyword_like_token2] = ACTIONS(2256),
    [sym_keyword_similar] = ACTIONS(2256),
    [sym_keyword_check] = ACTIONS(2256),
    [sym_keyword_stored] = ACTIONS(2256),
    [sym_keyword_virtual] = ACTIONS(2256),
    [sym_keyword_comment] = ACTIONS(2256),
    [sym_keyword_null] = ACTIONS(2256),
    [sym_keyword_array] = ACTIONS(2256),
    [anon_sym_LBRACK] = ACTIONS(2256),
    [anon_sym_RBRACK] = ACTIONS(2256),
    [anon_sym_RPAREN] = ACTIONS(2256),
    [anon_sym_COMMA] = ACTIONS(2256),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2256),
    [anon_sym_STAR] = ACTIONS(2256),
    [anon_sym_COLON_COLON] = ACTIONS(2256),
    [anon_sym_LT] = ACTIONS(2258),
    [anon_sym_GT] = ACTIONS(2258),
    [anon_sym_LT_EQ] = ACTIONS(2256),
    [anon_sym_GT_EQ] = ACTIONS(2256),
    [anon_sym_COLON] = ACTIONS(2258),
    [sym_op_other] = ACTIONS(2256),
    [anon_sym_PLUS] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_SLASH] = ACTIONS(2258),
    [anon_sym_PERCENT] = ACTIONS(2256),
    [anon_sym_CARET] = ACTIONS(2258),
    [anon_sym_BANG_EQ] = ACTIONS(2256),
    [anon_sym_LT_GT] = ACTIONS(2256),
  },
  [242] = {
    [ts_builtin_sym_end] = ACTIONS(2260),
    [anon_sym_SEMI] = ACTIONS(2260),
    [sym_keyword_from] = ACTIONS(2260),
    [sym_keyword_on] = ACTIONS(2260),
    [sym_keyword_where] = ACTIONS(2260),
    [sym_keyword_desc] = ACTIONS(2260),
    [sym_keyword_asc] = ACTIONS(2260),
    [sym_keyword_limit] = ACTIONS(2260),
    [sym_keyword_primary] = ACTIONS(2260),
    [sym_keyword_create] = ACTIONS(2260),
    [sym_keyword_as] = ACTIONS(2262),
    [sym_keyword_constraint] = ACTIONS(2260),
    [sym_keyword_separator] = ACTIONS(2260),
    [sym_keyword_when] = ACTIONS(2260),
    [sym_keyword_then] = ACTIONS(2260),
    [sym_keyword_else] = ACTIONS(2260),
    [sym_keyword_end] = ACTIONS(2260),
    [sym_keyword_in] = ACTIONS(2260),
    [sym_keyword_and] = ACTIONS(2260),
    [sym_keyword_or] = ACTIONS(2260),
    [sym_keyword_is] = ACTIONS(2260),
    [sym_keyword_not] = ACTIONS(2260),
    [sym_keyword_using] = ACTIONS(2260),
    [sym_keyword_auto_increment] = ACTIONS(2260),
    [sym_keyword_generated] = ACTIONS(2260),
    [sym_keyword_default] = ACTIONS(2260),
    [sym_keyword_with] = ACTIONS(2260),
    [sym_keyword_returning] = ACTIONS(2260),
    [sym_keyword_first] = ACTIONS(2260),
    [sym_keyword_after] = ACTIONS(2260),
    [sym_keyword_range] = ACTIONS(2260),
    [sym_keyword_rows] = ACTIONS(2260),
    [sym_keyword_groups] = ACTIONS(2260),
    [sym_keyword_between] = ACTIONS(2260),
    [sym_keyword_preceding] = ACTIONS(2260),
    [sym_keyword_following] = ACTIONS(2260),
    [sym_keyword_unique] = ACTIONS(2260),
    [sym_keyword_references] = ACTIONS(2260),
    [aux_sym_keyword_like_token1] = ACTIONS(2260),
    [aux_sym_keyword_like_token2] = ACTIONS(2260),
    [sym_keyword_similar] = ACTIONS(2260),
    [sym_keyword_check] = ACTIONS(2260),
    [sym_keyword_stored] = ACTIONS(2260),
    [sym_keyword_virtual] = ACTIONS(2260),
    [sym_keyword_comment] = ACTIONS(2260),
    [sym_keyword_null] = ACTIONS(2260),
    [sym_keyword_array] = ACTIONS(2260),
    [anon_sym_LBRACK] = ACTIONS(2260),
    [anon_sym_RBRACK] = ACTIONS(2260),
    [anon_sym_RPAREN] = ACTIONS(2260),
    [anon_sym_COMMA] = ACTIONS(2260),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2260),
    [anon_sym_STAR] = ACTIONS(2260),
    [anon_sym_COLON_COLON] = ACTIONS(2260),
    [anon_sym_LT] = ACTIONS(2262),
    [anon_sym_GT] = ACTIONS(2262),
    [anon_sym_LT_EQ] = ACTIONS(2260),
    [anon_sym_GT_EQ] = ACTIONS(2260),
    [anon_sym_COLON] = ACTIONS(2262),
    [sym_op_other] = ACTIONS(2260),
    [anon_sym_PLUS] = ACTIONS(2260),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_SLASH] = ACTIONS(2262),
    [anon_sym_PERCENT] = ACTIONS(2260),
    [anon_sym_CARET] = ACTIONS(2262),
    [anon_sym_BANG_EQ] = ACTIONS(2260),
    [anon_sym_LT_GT] = ACTIONS(2260),
  },
  [243] = {
    [ts_builtin_sym_end] = ACTIONS(2264),
    [anon_sym_SEMI] = ACTIONS(2264),
    [sym_keyword_from] = ACTIONS(2264),
    [sym_keyword_on] = ACTIONS(2264),
    [sym_keyword_where] = ACTIONS(2264),
    [sym_keyword_desc] = ACTIONS(2264),
    [sym_keyword_asc] = ACTIONS(2264),
    [sym_keyword_limit] = ACTIONS(2264),
    [sym_keyword_primary] = ACTIONS(2264),
    [sym_keyword_create] = ACTIONS(2264),
    [sym_keyword_as] = ACTIONS(2266),
    [sym_keyword_constraint] = ACTIONS(2264),
    [sym_keyword_separator] = ACTIONS(2264),
    [sym_keyword_when] = ACTIONS(2264),
    [sym_keyword_then] = ACTIONS(2264),
    [sym_keyword_else] = ACTIONS(2264),
    [sym_keyword_end] = ACTIONS(2264),
    [sym_keyword_in] = ACTIONS(2264),
    [sym_keyword_and] = ACTIONS(2264),
    [sym_keyword_or] = ACTIONS(2264),
    [sym_keyword_is] = ACTIONS(2264),
    [sym_keyword_not] = ACTIONS(2264),
    [sym_keyword_using] = ACTIONS(2264),
    [sym_keyword_auto_increment] = ACTIONS(2264),
    [sym_keyword_generated] = ACTIONS(2264),
    [sym_keyword_default] = ACTIONS(2264),
    [sym_keyword_with] = ACTIONS(2264),
    [sym_keyword_returning] = ACTIONS(2264),
    [sym_keyword_first] = ACTIONS(2264),
    [sym_keyword_after] = ACTIONS(2264),
    [sym_keyword_range] = ACTIONS(2264),
    [sym_keyword_rows] = ACTIONS(2264),
    [sym_keyword_groups] = ACTIONS(2264),
    [sym_keyword_between] = ACTIONS(2264),
    [sym_keyword_preceding] = ACTIONS(2264),
    [sym_keyword_following] = ACTIONS(2264),
    [sym_keyword_unique] = ACTIONS(2264),
    [sym_keyword_references] = ACTIONS(2264),
    [aux_sym_keyword_like_token1] = ACTIONS(2264),
    [aux_sym_keyword_like_token2] = ACTIONS(2264),
    [sym_keyword_similar] = ACTIONS(2264),
    [sym_keyword_check] = ACTIONS(2264),
    [sym_keyword_stored] = ACTIONS(2264),
    [sym_keyword_virtual] = ACTIONS(2264),
    [sym_keyword_comment] = ACTIONS(2264),
    [sym_keyword_null] = ACTIONS(2264),
    [sym_keyword_array] = ACTIONS(2264),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_RBRACK] = ACTIONS(2264),
    [anon_sym_RPAREN] = ACTIONS(2264),
    [anon_sym_COMMA] = ACTIONS(2264),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2264),
    [anon_sym_STAR] = ACTIONS(2264),
    [anon_sym_COLON_COLON] = ACTIONS(2264),
    [anon_sym_LT] = ACTIONS(2266),
    [anon_sym_GT] = ACTIONS(2266),
    [anon_sym_LT_EQ] = ACTIONS(2264),
    [anon_sym_GT_EQ] = ACTIONS(2264),
    [anon_sym_COLON] = ACTIONS(2266),
    [sym_op_other] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2264),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_SLASH] = ACTIONS(2266),
    [anon_sym_PERCENT] = ACTIONS(2264),
    [anon_sym_CARET] = ACTIONS(2266),
    [anon_sym_BANG_EQ] = ACTIONS(2264),
    [anon_sym_LT_GT] = ACTIONS(2264),
  },
  [244] = {
    [ts_builtin_sym_end] = ACTIONS(2268),
    [anon_sym_SEMI] = ACTIONS(2268),
    [sym_keyword_from] = ACTIONS(2268),
    [sym_keyword_on] = ACTIONS(2268),
    [sym_keyword_where] = ACTIONS(2268),
    [sym_keyword_desc] = ACTIONS(2268),
    [sym_keyword_asc] = ACTIONS(2268),
    [sym_keyword_limit] = ACTIONS(2268),
    [sym_keyword_primary] = ACTIONS(2268),
    [sym_keyword_create] = ACTIONS(2268),
    [sym_keyword_as] = ACTIONS(2270),
    [sym_keyword_constraint] = ACTIONS(2268),
    [sym_keyword_separator] = ACTIONS(2268),
    [sym_keyword_when] = ACTIONS(2268),
    [sym_keyword_then] = ACTIONS(2268),
    [sym_keyword_else] = ACTIONS(2268),
    [sym_keyword_end] = ACTIONS(2268),
    [sym_keyword_in] = ACTIONS(2268),
    [sym_keyword_and] = ACTIONS(2268),
    [sym_keyword_or] = ACTIONS(2268),
    [sym_keyword_is] = ACTIONS(2268),
    [sym_keyword_not] = ACTIONS(2268),
    [sym_keyword_using] = ACTIONS(2268),
    [sym_keyword_auto_increment] = ACTIONS(2268),
    [sym_keyword_generated] = ACTIONS(2268),
    [sym_keyword_default] = ACTIONS(2268),
    [sym_keyword_with] = ACTIONS(2268),
    [sym_keyword_returning] = ACTIONS(2268),
    [sym_keyword_first] = ACTIONS(2268),
    [sym_keyword_after] = ACTIONS(2268),
    [sym_keyword_range] = ACTIONS(2268),
    [sym_keyword_rows] = ACTIONS(2268),
    [sym_keyword_groups] = ACTIONS(2268),
    [sym_keyword_between] = ACTIONS(2268),
    [sym_keyword_preceding] = ACTIONS(2268),
    [sym_keyword_following] = ACTIONS(2268),
    [sym_keyword_unique] = ACTIONS(2268),
    [sym_keyword_references] = ACTIONS(2268),
    [aux_sym_keyword_like_token1] = ACTIONS(2268),
    [aux_sym_keyword_like_token2] = ACTIONS(2268),
    [sym_keyword_similar] = ACTIONS(2268),
    [sym_keyword_check] = ACTIONS(2268),
    [sym_keyword_stored] = ACTIONS(2268),
    [sym_keyword_virtual] = ACTIONS(2268),
    [sym_keyword_comment] = ACTIONS(2268),
    [sym_keyword_null] = ACTIONS(2268),
    [sym_keyword_array] = ACTIONS(2268),
    [anon_sym_LBRACK] = ACTIONS(2268),
    [anon_sym_RBRACK] = ACTIONS(2268),
    [anon_sym_RPAREN] = ACTIONS(2268),
    [anon_sym_COMMA] = ACTIONS(2268),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2268),
    [anon_sym_STAR] = ACTIONS(2268),
    [anon_sym_COLON_COLON] = ACTIONS(2268),
    [anon_sym_LT] = ACTIONS(2270),
    [anon_sym_GT] = ACTIONS(2270),
    [anon_sym_LT_EQ] = ACTIONS(2268),
    [anon_sym_GT_EQ] = ACTIONS(2268),
    [anon_sym_COLON] = ACTIONS(2270),
    [sym_op_other] = ACTIONS(2268),
    [anon_sym_PLUS] = ACTIONS(2268),
    [anon_sym_DASH] = ACTIONS(2270),
    [anon_sym_SLASH] = ACTIONS(2270),
    [anon_sym_PERCENT] = ACTIONS(2268),
    [anon_sym_CARET] = ACTIONS(2270),
    [anon_sym_BANG_EQ] = ACTIONS(2268),
    [anon_sym_LT_GT] = ACTIONS(2268),
  },
  [245] = {
    [ts_builtin_sym_end] = ACTIONS(2272),
    [anon_sym_SEMI] = ACTIONS(2272),
    [sym_keyword_from] = ACTIONS(2272),
    [sym_keyword_on] = ACTIONS(2272),
    [sym_keyword_where] = ACTIONS(2272),
    [sym_keyword_desc] = ACTIONS(2272),
    [sym_keyword_asc] = ACTIONS(2272),
    [sym_keyword_limit] = ACTIONS(2272),
    [sym_keyword_primary] = ACTIONS(2272),
    [sym_keyword_create] = ACTIONS(2272),
    [sym_keyword_as] = ACTIONS(2274),
    [sym_keyword_constraint] = ACTIONS(2272),
    [sym_keyword_separator] = ACTIONS(2272),
    [sym_keyword_when] = ACTIONS(2272),
    [sym_keyword_then] = ACTIONS(2272),
    [sym_keyword_else] = ACTIONS(2272),
    [sym_keyword_end] = ACTIONS(2272),
    [sym_keyword_in] = ACTIONS(2272),
    [sym_keyword_and] = ACTIONS(2272),
    [sym_keyword_or] = ACTIONS(2272),
    [sym_keyword_is] = ACTIONS(2272),
    [sym_keyword_not] = ACTIONS(2272),
    [sym_keyword_using] = ACTIONS(2272),
    [sym_keyword_auto_increment] = ACTIONS(2272),
    [sym_keyword_generated] = ACTIONS(2272),
    [sym_keyword_default] = ACTIONS(2272),
    [sym_keyword_with] = ACTIONS(2272),
    [sym_keyword_returning] = ACTIONS(2272),
    [sym_keyword_first] = ACTIONS(2272),
    [sym_keyword_after] = ACTIONS(2272),
    [sym_keyword_range] = ACTIONS(2272),
    [sym_keyword_rows] = ACTIONS(2272),
    [sym_keyword_groups] = ACTIONS(2272),
    [sym_keyword_between] = ACTIONS(2272),
    [sym_keyword_preceding] = ACTIONS(2272),
    [sym_keyword_following] = ACTIONS(2272),
    [sym_keyword_unique] = ACTIONS(2272),
    [sym_keyword_references] = ACTIONS(2272),
    [aux_sym_keyword_like_token1] = ACTIONS(2272),
    [aux_sym_keyword_like_token2] = ACTIONS(2272),
    [sym_keyword_similar] = ACTIONS(2272),
    [sym_keyword_check] = ACTIONS(2272),
    [sym_keyword_stored] = ACTIONS(2272),
    [sym_keyword_virtual] = ACTIONS(2272),
    [sym_keyword_comment] = ACTIONS(2272),
    [sym_keyword_null] = ACTIONS(2272),
    [sym_keyword_array] = ACTIONS(2272),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_RBRACK] = ACTIONS(2272),
    [anon_sym_RPAREN] = ACTIONS(2272),
    [anon_sym_COMMA] = ACTIONS(2272),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2272),
    [anon_sym_STAR] = ACTIONS(2272),
    [anon_sym_COLON_COLON] = ACTIONS(2272),
    [anon_sym_LT] = ACTIONS(2274),
    [anon_sym_GT] = ACTIONS(2274),
    [anon_sym_LT_EQ] = ACTIONS(2272),
    [anon_sym_GT_EQ] = ACTIONS(2272),
    [anon_sym_COLON] = ACTIONS(2274),
    [sym_op_other] = ACTIONS(2272),
    [anon_sym_PLUS] = ACTIONS(2272),
    [anon_sym_DASH] = ACTIONS(2274),
    [anon_sym_SLASH] = ACTIONS(2274),
    [anon_sym_PERCENT] = ACTIONS(2272),
    [anon_sym_CARET] = ACTIONS(2274),
    [anon_sym_BANG_EQ] = ACTIONS(2272),
    [anon_sym_LT_GT] = ACTIONS(2272),
  },
  [246] = {
    [ts_builtin_sym_end] = ACTIONS(2276),
    [anon_sym_SEMI] = ACTIONS(2276),
    [sym_keyword_from] = ACTIONS(2276),
    [sym_keyword_on] = ACTIONS(2276),
    [sym_keyword_where] = ACTIONS(2276),
    [sym_keyword_desc] = ACTIONS(2276),
    [sym_keyword_asc] = ACTIONS(2276),
    [sym_keyword_limit] = ACTIONS(2276),
    [sym_keyword_primary] = ACTIONS(2276),
    [sym_keyword_create] = ACTIONS(2276),
    [sym_keyword_as] = ACTIONS(2278),
    [sym_keyword_constraint] = ACTIONS(2276),
    [sym_keyword_separator] = ACTIONS(2276),
    [sym_keyword_when] = ACTIONS(2276),
    [sym_keyword_then] = ACTIONS(2276),
    [sym_keyword_else] = ACTIONS(2276),
    [sym_keyword_end] = ACTIONS(2276),
    [sym_keyword_in] = ACTIONS(2276),
    [sym_keyword_and] = ACTIONS(2276),
    [sym_keyword_or] = ACTIONS(2276),
    [sym_keyword_is] = ACTIONS(2276),
    [sym_keyword_not] = ACTIONS(2276),
    [sym_keyword_using] = ACTIONS(2276),
    [sym_keyword_auto_increment] = ACTIONS(2276),
    [sym_keyword_generated] = ACTIONS(2276),
    [sym_keyword_default] = ACTIONS(2276),
    [sym_keyword_with] = ACTIONS(2276),
    [sym_keyword_returning] = ACTIONS(2276),
    [sym_keyword_first] = ACTIONS(2276),
    [sym_keyword_after] = ACTIONS(2276),
    [sym_keyword_range] = ACTIONS(2276),
    [sym_keyword_rows] = ACTIONS(2276),
    [sym_keyword_groups] = ACTIONS(2276),
    [sym_keyword_between] = ACTIONS(2276),
    [sym_keyword_preceding] = ACTIONS(2276),
    [sym_keyword_following] = ACTIONS(2276),
    [sym_keyword_unique] = ACTIONS(2276),
    [sym_keyword_references] = ACTIONS(2276),
    [aux_sym_keyword_like_token1] = ACTIONS(2276),
    [aux_sym_keyword_like_token2] = ACTIONS(2276),
    [sym_keyword_similar] = ACTIONS(2276),
    [sym_keyword_check] = ACTIONS(2276),
    [sym_keyword_stored] = ACTIONS(2276),
    [sym_keyword_virtual] = ACTIONS(2276),
    [sym_keyword_comment] = ACTIONS(2276),
    [sym_keyword_null] = ACTIONS(2276),
    [sym_keyword_array] = ACTIONS(2276),
    [anon_sym_LBRACK] = ACTIONS(2276),
    [anon_sym_RBRACK] = ACTIONS(2276),
    [anon_sym_RPAREN] = ACTIONS(2276),
    [anon_sym_COMMA] = ACTIONS(2276),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2276),
    [anon_sym_STAR] = ACTIONS(2276),
    [anon_sym_COLON_COLON] = ACTIONS(2276),
    [anon_sym_LT] = ACTIONS(2278),
    [anon_sym_GT] = ACTIONS(2278),
    [anon_sym_LT_EQ] = ACTIONS(2276),
    [anon_sym_GT_EQ] = ACTIONS(2276),
    [anon_sym_COLON] = ACTIONS(2278),
    [sym_op_other] = ACTIONS(2276),
    [anon_sym_PLUS] = ACTIONS(2276),
    [anon_sym_DASH] = ACTIONS(2278),
    [anon_sym_SLASH] = ACTIONS(2278),
    [anon_sym_PERCENT] = ACTIONS(2276),
    [anon_sym_CARET] = ACTIONS(2278),
    [anon_sym_BANG_EQ] = ACTIONS(2276),
    [anon_sym_LT_GT] = ACTIONS(2276),
  },
  [247] = {
    [ts_builtin_sym_end] = ACTIONS(2034),
    [anon_sym_SEMI] = ACTIONS(2034),
    [sym_keyword_from] = ACTIONS(2034),
    [sym_keyword_on] = ACTIONS(2034),
    [sym_keyword_where] = ACTIONS(2034),
    [sym_keyword_desc] = ACTIONS(2034),
    [sym_keyword_asc] = ACTIONS(2034),
    [sym_keyword_limit] = ACTIONS(2034),
    [sym_keyword_primary] = ACTIONS(2034),
    [sym_keyword_create] = ACTIONS(2034),
    [sym_keyword_as] = ACTIONS(2036),
    [sym_keyword_constraint] = ACTIONS(2034),
    [sym_keyword_separator] = ACTIONS(2034),
    [sym_keyword_when] = ACTIONS(2034),
    [sym_keyword_then] = ACTIONS(2034),
    [sym_keyword_else] = ACTIONS(2034),
    [sym_keyword_end] = ACTIONS(2034),
    [sym_keyword_in] = ACTIONS(2034),
    [sym_keyword_and] = ACTIONS(2034),
    [sym_keyword_or] = ACTIONS(2034),
    [sym_keyword_is] = ACTIONS(2034),
    [sym_keyword_not] = ACTIONS(2034),
    [sym_keyword_using] = ACTIONS(2034),
    [sym_keyword_auto_increment] = ACTIONS(2034),
    [sym_keyword_generated] = ACTIONS(2034),
    [sym_keyword_default] = ACTIONS(2034),
    [sym_keyword_with] = ACTIONS(2034),
    [sym_keyword_returning] = ACTIONS(2034),
    [sym_keyword_first] = ACTIONS(2034),
    [sym_keyword_after] = ACTIONS(2034),
    [sym_keyword_range] = ACTIONS(2034),
    [sym_keyword_rows] = ACTIONS(2034),
    [sym_keyword_groups] = ACTIONS(2034),
    [sym_keyword_between] = ACTIONS(2034),
    [sym_keyword_preceding] = ACTIONS(2034),
    [sym_keyword_following] = ACTIONS(2034),
    [sym_keyword_unique] = ACTIONS(2034),
    [sym_keyword_references] = ACTIONS(2034),
    [aux_sym_keyword_like_token1] = ACTIONS(2034),
    [aux_sym_keyword_like_token2] = ACTIONS(2034),
    [sym_keyword_similar] = ACTIONS(2034),
    [sym_keyword_check] = ACTIONS(2034),
    [sym_keyword_stored] = ACTIONS(2034),
    [sym_keyword_virtual] = ACTIONS(2034),
    [sym_keyword_comment] = ACTIONS(2034),
    [sym_keyword_null] = ACTIONS(2034),
    [sym_keyword_array] = ACTIONS(2034),
    [anon_sym_LBRACK] = ACTIONS(2034),
    [anon_sym_RBRACK] = ACTIONS(2034),
    [anon_sym_RPAREN] = ACTIONS(2034),
    [anon_sym_COMMA] = ACTIONS(2034),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2034),
    [anon_sym_STAR] = ACTIONS(2034),
    [anon_sym_COLON_COLON] = ACTIONS(2034),
    [anon_sym_LT] = ACTIONS(2036),
    [anon_sym_GT] = ACTIONS(2036),
    [anon_sym_LT_EQ] = ACTIONS(2034),
    [anon_sym_GT_EQ] = ACTIONS(2034),
    [anon_sym_COLON] = ACTIONS(2036),
    [sym_op_other] = ACTIONS(2034),
    [anon_sym_PLUS] = ACTIONS(2034),
    [anon_sym_DASH] = ACTIONS(2036),
    [anon_sym_SLASH] = ACTIONS(2036),
    [anon_sym_PERCENT] = ACTIONS(2034),
    [anon_sym_CARET] = ACTIONS(2036),
    [anon_sym_BANG_EQ] = ACTIONS(2034),
    [anon_sym_LT_GT] = ACTIONS(2034),
  },
  [248] = {
    [ts_builtin_sym_end] = ACTIONS(2280),
    [anon_sym_SEMI] = ACTIONS(2280),
    [sym_keyword_from] = ACTIONS(2280),
    [sym_keyword_on] = ACTIONS(2280),
    [sym_keyword_where] = ACTIONS(2280),
    [sym_keyword_desc] = ACTIONS(2280),
    [sym_keyword_asc] = ACTIONS(2280),
    [sym_keyword_limit] = ACTIONS(2280),
    [sym_keyword_primary] = ACTIONS(2280),
    [sym_keyword_create] = ACTIONS(2280),
    [sym_keyword_as] = ACTIONS(2282),
    [sym_keyword_constraint] = ACTIONS(2280),
    [sym_keyword_separator] = ACTIONS(2280),
    [sym_keyword_when] = ACTIONS(2280),
    [sym_keyword_then] = ACTIONS(2280),
    [sym_keyword_else] = ACTIONS(2280),
    [sym_keyword_end] = ACTIONS(2280),
    [sym_keyword_in] = ACTIONS(2280),
    [sym_keyword_and] = ACTIONS(2280),
    [sym_keyword_or] = ACTIONS(2280),
    [sym_keyword_is] = ACTIONS(2280),
    [sym_keyword_not] = ACTIONS(2280),
    [sym_keyword_using] = ACTIONS(2280),
    [sym_keyword_auto_increment] = ACTIONS(2280),
    [sym_keyword_generated] = ACTIONS(2280),
    [sym_keyword_default] = ACTIONS(2280),
    [sym_keyword_with] = ACTIONS(2280),
    [sym_keyword_returning] = ACTIONS(2280),
    [sym_keyword_first] = ACTIONS(2280),
    [sym_keyword_after] = ACTIONS(2280),
    [sym_keyword_range] = ACTIONS(2280),
    [sym_keyword_rows] = ACTIONS(2280),
    [sym_keyword_groups] = ACTIONS(2280),
    [sym_keyword_between] = ACTIONS(2280),
    [sym_keyword_preceding] = ACTIONS(2280),
    [sym_keyword_following] = ACTIONS(2280),
    [sym_keyword_unique] = ACTIONS(2280),
    [sym_keyword_references] = ACTIONS(2280),
    [aux_sym_keyword_like_token1] = ACTIONS(2280),
    [aux_sym_keyword_like_token2] = ACTIONS(2280),
    [sym_keyword_similar] = ACTIONS(2280),
    [sym_keyword_check] = ACTIONS(2280),
    [sym_keyword_stored] = ACTIONS(2280),
    [sym_keyword_virtual] = ACTIONS(2280),
    [sym_keyword_comment] = ACTIONS(2280),
    [sym_keyword_null] = ACTIONS(2280),
    [sym_keyword_array] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_RBRACK] = ACTIONS(2280),
    [anon_sym_RPAREN] = ACTIONS(2280),
    [anon_sym_COMMA] = ACTIONS(2280),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2280),
    [anon_sym_STAR] = ACTIONS(2280),
    [anon_sym_COLON_COLON] = ACTIONS(2280),
    [anon_sym_LT] = ACTIONS(2282),
    [anon_sym_GT] = ACTIONS(2282),
    [anon_sym_LT_EQ] = ACTIONS(2280),
    [anon_sym_GT_EQ] = ACTIONS(2280),
    [anon_sym_COLON] = ACTIONS(2282),
    [sym_op_other] = ACTIONS(2280),
    [anon_sym_PLUS] = ACTIONS(2280),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_SLASH] = ACTIONS(2282),
    [anon_sym_PERCENT] = ACTIONS(2280),
    [anon_sym_CARET] = ACTIONS(2282),
    [anon_sym_BANG_EQ] = ACTIONS(2280),
    [anon_sym_LT_GT] = ACTIONS(2280),
  },
  [249] = {
    [ts_builtin_sym_end] = ACTIONS(2284),
    [anon_sym_SEMI] = ACTIONS(2284),
    [sym_keyword_from] = ACTIONS(2284),
    [sym_keyword_on] = ACTIONS(2284),
    [sym_keyword_where] = ACTIONS(2284),
    [sym_keyword_desc] = ACTIONS(2284),
    [sym_keyword_asc] = ACTIONS(2284),
    [sym_keyword_limit] = ACTIONS(2284),
    [sym_keyword_primary] = ACTIONS(2284),
    [sym_keyword_create] = ACTIONS(2284),
    [sym_keyword_as] = ACTIONS(2286),
    [sym_keyword_constraint] = ACTIONS(2284),
    [sym_keyword_separator] = ACTIONS(2284),
    [sym_keyword_when] = ACTIONS(2284),
    [sym_keyword_then] = ACTIONS(2284),
    [sym_keyword_else] = ACTIONS(2284),
    [sym_keyword_end] = ACTIONS(2284),
    [sym_keyword_in] = ACTIONS(2284),
    [sym_keyword_and] = ACTIONS(2284),
    [sym_keyword_or] = ACTIONS(2284),
    [sym_keyword_is] = ACTIONS(2284),
    [sym_keyword_not] = ACTIONS(2284),
    [sym_keyword_using] = ACTIONS(2284),
    [sym_keyword_auto_increment] = ACTIONS(2284),
    [sym_keyword_generated] = ACTIONS(2284),
    [sym_keyword_default] = ACTIONS(2284),
    [sym_keyword_with] = ACTIONS(2284),
    [sym_keyword_returning] = ACTIONS(2284),
    [sym_keyword_first] = ACTIONS(2284),
    [sym_keyword_after] = ACTIONS(2284),
    [sym_keyword_range] = ACTIONS(2284),
    [sym_keyword_rows] = ACTIONS(2284),
    [sym_keyword_groups] = ACTIONS(2284),
    [sym_keyword_between] = ACTIONS(2284),
    [sym_keyword_preceding] = ACTIONS(2284),
    [sym_keyword_following] = ACTIONS(2284),
    [sym_keyword_unique] = ACTIONS(2284),
    [sym_keyword_references] = ACTIONS(2284),
    [aux_sym_keyword_like_token1] = ACTIONS(2284),
    [aux_sym_keyword_like_token2] = ACTIONS(2284),
    [sym_keyword_similar] = ACTIONS(2284),
    [sym_keyword_check] = ACTIONS(2284),
    [sym_keyword_stored] = ACTIONS(2284),
    [sym_keyword_virtual] = ACTIONS(2284),
    [sym_keyword_comment] = ACTIONS(2284),
    [sym_keyword_null] = ACTIONS(2284),
    [sym_keyword_array] = ACTIONS(2284),
    [anon_sym_LBRACK] = ACTIONS(2284),
    [anon_sym_RBRACK] = ACTIONS(2284),
    [anon_sym_RPAREN] = ACTIONS(2284),
    [anon_sym_COMMA] = ACTIONS(2284),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2284),
    [anon_sym_STAR] = ACTIONS(2284),
    [anon_sym_COLON_COLON] = ACTIONS(2284),
    [anon_sym_LT] = ACTIONS(2286),
    [anon_sym_GT] = ACTIONS(2286),
    [anon_sym_LT_EQ] = ACTIONS(2284),
    [anon_sym_GT_EQ] = ACTIONS(2284),
    [anon_sym_COLON] = ACTIONS(2286),
    [sym_op_other] = ACTIONS(2284),
    [anon_sym_PLUS] = ACTIONS(2284),
    [anon_sym_DASH] = ACTIONS(2286),
    [anon_sym_SLASH] = ACTIONS(2286),
    [anon_sym_PERCENT] = ACTIONS(2284),
    [anon_sym_CARET] = ACTIONS(2286),
    [anon_sym_BANG_EQ] = ACTIONS(2284),
    [anon_sym_LT_GT] = ACTIONS(2284),
  },
  [250] = {
    [ts_builtin_sym_end] = ACTIONS(2288),
    [anon_sym_SEMI] = ACTIONS(2288),
    [sym_keyword_from] = ACTIONS(2288),
    [sym_keyword_on] = ACTIONS(2288),
    [sym_keyword_where] = ACTIONS(2288),
    [sym_keyword_desc] = ACTIONS(2288),
    [sym_keyword_asc] = ACTIONS(2288),
    [sym_keyword_limit] = ACTIONS(2288),
    [sym_keyword_primary] = ACTIONS(2288),
    [sym_keyword_create] = ACTIONS(2288),
    [sym_keyword_as] = ACTIONS(2290),
    [sym_keyword_constraint] = ACTIONS(2288),
    [sym_keyword_separator] = ACTIONS(2288),
    [sym_keyword_when] = ACTIONS(2288),
    [sym_keyword_then] = ACTIONS(2288),
    [sym_keyword_else] = ACTIONS(2288),
    [sym_keyword_end] = ACTIONS(2288),
    [sym_keyword_in] = ACTIONS(2288),
    [sym_keyword_and] = ACTIONS(2288),
    [sym_keyword_or] = ACTIONS(2288),
    [sym_keyword_is] = ACTIONS(2288),
    [sym_keyword_not] = ACTIONS(2288),
    [sym_keyword_using] = ACTIONS(2288),
    [sym_keyword_auto_increment] = ACTIONS(2288),
    [sym_keyword_generated] = ACTIONS(2288),
    [sym_keyword_default] = ACTIONS(2288),
    [sym_keyword_with] = ACTIONS(2288),
    [sym_keyword_returning] = ACTIONS(2288),
    [sym_keyword_first] = ACTIONS(2288),
    [sym_keyword_after] = ACTIONS(2288),
    [sym_keyword_range] = ACTIONS(2288),
    [sym_keyword_rows] = ACTIONS(2288),
    [sym_keyword_groups] = ACTIONS(2288),
    [sym_keyword_between] = ACTIONS(2288),
    [sym_keyword_preceding] = ACTIONS(2288),
    [sym_keyword_following] = ACTIONS(2288),
    [sym_keyword_unique] = ACTIONS(2288),
    [sym_keyword_references] = ACTIONS(2288),
    [aux_sym_keyword_like_token1] = ACTIONS(2288),
    [aux_sym_keyword_like_token2] = ACTIONS(2288),
    [sym_keyword_similar] = ACTIONS(2288),
    [sym_keyword_check] = ACTIONS(2288),
    [sym_keyword_stored] = ACTIONS(2288),
    [sym_keyword_virtual] = ACTIONS(2288),
    [sym_keyword_comment] = ACTIONS(2288),
    [sym_keyword_null] = ACTIONS(2288),
    [sym_keyword_array] = ACTIONS(2288),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_RBRACK] = ACTIONS(2288),
    [anon_sym_RPAREN] = ACTIONS(2288),
    [anon_sym_COMMA] = ACTIONS(2288),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2288),
    [anon_sym_STAR] = ACTIONS(2288),
    [anon_sym_COLON_COLON] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2290),
    [anon_sym_GT] = ACTIONS(2290),
    [anon_sym_LT_EQ] = ACTIONS(2288),
    [anon_sym_GT_EQ] = ACTIONS(2288),
    [anon_sym_COLON] = ACTIONS(2290),
    [sym_op_other] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2288),
    [anon_sym_DASH] = ACTIONS(2290),
    [anon_sym_SLASH] = ACTIONS(2290),
    [anon_sym_PERCENT] = ACTIONS(2288),
    [anon_sym_CARET] = ACTIONS(2290),
    [anon_sym_BANG_EQ] = ACTIONS(2288),
    [anon_sym_LT_GT] = ACTIONS(2288),
  },
  [251] = {
    [ts_builtin_sym_end] = ACTIONS(2292),
    [anon_sym_SEMI] = ACTIONS(2292),
    [sym_keyword_from] = ACTIONS(2292),
    [sym_keyword_on] = ACTIONS(2292),
    [sym_keyword_where] = ACTIONS(2292),
    [sym_keyword_desc] = ACTIONS(2292),
    [sym_keyword_asc] = ACTIONS(2292),
    [sym_keyword_limit] = ACTIONS(2292),
    [sym_keyword_primary] = ACTIONS(2292),
    [sym_keyword_create] = ACTIONS(2292),
    [sym_keyword_as] = ACTIONS(2294),
    [sym_keyword_constraint] = ACTIONS(2292),
    [sym_keyword_separator] = ACTIONS(2292),
    [sym_keyword_when] = ACTIONS(2292),
    [sym_keyword_then] = ACTIONS(2292),
    [sym_keyword_else] = ACTIONS(2292),
    [sym_keyword_end] = ACTIONS(2292),
    [sym_keyword_in] = ACTIONS(2292),
    [sym_keyword_and] = ACTIONS(2292),
    [sym_keyword_or] = ACTIONS(2292),
    [sym_keyword_is] = ACTIONS(2292),
    [sym_keyword_not] = ACTIONS(2292),
    [sym_keyword_using] = ACTIONS(2292),
    [sym_keyword_auto_increment] = ACTIONS(2292),
    [sym_keyword_generated] = ACTIONS(2292),
    [sym_keyword_default] = ACTIONS(2292),
    [sym_keyword_with] = ACTIONS(2292),
    [sym_keyword_returning] = ACTIONS(2292),
    [sym_keyword_first] = ACTIONS(2292),
    [sym_keyword_after] = ACTIONS(2292),
    [sym_keyword_range] = ACTIONS(2292),
    [sym_keyword_rows] = ACTIONS(2292),
    [sym_keyword_groups] = ACTIONS(2292),
    [sym_keyword_between] = ACTIONS(2292),
    [sym_keyword_preceding] = ACTIONS(2292),
    [sym_keyword_following] = ACTIONS(2292),
    [sym_keyword_unique] = ACTIONS(2292),
    [sym_keyword_references] = ACTIONS(2292),
    [aux_sym_keyword_like_token1] = ACTIONS(2292),
    [aux_sym_keyword_like_token2] = ACTIONS(2292),
    [sym_keyword_similar] = ACTIONS(2292),
    [sym_keyword_check] = ACTIONS(2292),
    [sym_keyword_stored] = ACTIONS(2292),
    [sym_keyword_virtual] = ACTIONS(2292),
    [sym_keyword_comment] = ACTIONS(2292),
    [sym_keyword_null] = ACTIONS(2292),
    [sym_keyword_array] = ACTIONS(2292),
    [anon_sym_LBRACK] = ACTIONS(2292),
    [anon_sym_RBRACK] = ACTIONS(2292),
    [anon_sym_RPAREN] = ACTIONS(2292),
    [anon_sym_COMMA] = ACTIONS(2292),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2292),
    [anon_sym_STAR] = ACTIONS(2292),
    [anon_sym_COLON_COLON] = ACTIONS(2292),
    [anon_sym_LT] = ACTIONS(2294),
    [anon_sym_GT] = ACTIONS(2294),
    [anon_sym_LT_EQ] = ACTIONS(2292),
    [anon_sym_GT_EQ] = ACTIONS(2292),
    [anon_sym_COLON] = ACTIONS(2294),
    [sym_op_other] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2292),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_SLASH] = ACTIONS(2294),
    [anon_sym_PERCENT] = ACTIONS(2292),
    [anon_sym_CARET] = ACTIONS(2294),
    [anon_sym_BANG_EQ] = ACTIONS(2292),
    [anon_sym_LT_GT] = ACTIONS(2292),
  },
  [252] = {
    [ts_builtin_sym_end] = ACTIONS(2296),
    [anon_sym_SEMI] = ACTIONS(2296),
    [sym_keyword_from] = ACTIONS(2296),
    [sym_keyword_on] = ACTIONS(2296),
    [sym_keyword_where] = ACTIONS(2296),
    [sym_keyword_desc] = ACTIONS(2296),
    [sym_keyword_asc] = ACTIONS(2296),
    [sym_keyword_limit] = ACTIONS(2296),
    [sym_keyword_primary] = ACTIONS(2296),
    [sym_keyword_create] = ACTIONS(2296),
    [sym_keyword_as] = ACTIONS(2298),
    [sym_keyword_constraint] = ACTIONS(2296),
    [sym_keyword_separator] = ACTIONS(2296),
    [sym_keyword_when] = ACTIONS(2296),
    [sym_keyword_then] = ACTIONS(2296),
    [sym_keyword_else] = ACTIONS(2296),
    [sym_keyword_end] = ACTIONS(2296),
    [sym_keyword_in] = ACTIONS(2296),
    [sym_keyword_and] = ACTIONS(2296),
    [sym_keyword_or] = ACTIONS(2296),
    [sym_keyword_is] = ACTIONS(2296),
    [sym_keyword_not] = ACTIONS(2296),
    [sym_keyword_using] = ACTIONS(2296),
    [sym_keyword_auto_increment] = ACTIONS(2296),
    [sym_keyword_generated] = ACTIONS(2296),
    [sym_keyword_default] = ACTIONS(2296),
    [sym_keyword_with] = ACTIONS(2296),
    [sym_keyword_returning] = ACTIONS(2296),
    [sym_keyword_first] = ACTIONS(2296),
    [sym_keyword_after] = ACTIONS(2296),
    [sym_keyword_range] = ACTIONS(2296),
    [sym_keyword_rows] = ACTIONS(2296),
    [sym_keyword_groups] = ACTIONS(2296),
    [sym_keyword_between] = ACTIONS(2296),
    [sym_keyword_preceding] = ACTIONS(2296),
    [sym_keyword_following] = ACTIONS(2296),
    [sym_keyword_unique] = ACTIONS(2296),
    [sym_keyword_references] = ACTIONS(2296),
    [aux_sym_keyword_like_token1] = ACTIONS(2296),
    [aux_sym_keyword_like_token2] = ACTIONS(2296),
    [sym_keyword_similar] = ACTIONS(2296),
    [sym_keyword_check] = ACTIONS(2296),
    [sym_keyword_stored] = ACTIONS(2296),
    [sym_keyword_virtual] = ACTIONS(2296),
    [sym_keyword_comment] = ACTIONS(2296),
    [sym_keyword_null] = ACTIONS(2296),
    [sym_keyword_array] = ACTIONS(2296),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_RBRACK] = ACTIONS(2296),
    [anon_sym_RPAREN] = ACTIONS(2296),
    [anon_sym_COMMA] = ACTIONS(2296),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2296),
    [anon_sym_STAR] = ACTIONS(2296),
    [anon_sym_COLON_COLON] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2298),
    [anon_sym_GT] = ACTIONS(2298),
    [anon_sym_LT_EQ] = ACTIONS(2296),
    [anon_sym_GT_EQ] = ACTIONS(2296),
    [anon_sym_COLON] = ACTIONS(2298),
    [sym_op_other] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2296),
    [anon_sym_DASH] = ACTIONS(2298),
    [anon_sym_SLASH] = ACTIONS(2298),
    [anon_sym_PERCENT] = ACTIONS(2296),
    [anon_sym_CARET] = ACTIONS(2298),
    [anon_sym_BANG_EQ] = ACTIONS(2296),
    [anon_sym_LT_GT] = ACTIONS(2296),
  },
  [253] = {
    [ts_builtin_sym_end] = ACTIONS(2300),
    [anon_sym_SEMI] = ACTIONS(2300),
    [sym_keyword_from] = ACTIONS(2300),
    [sym_keyword_on] = ACTIONS(2300),
    [sym_keyword_where] = ACTIONS(2300),
    [sym_keyword_desc] = ACTIONS(2300),
    [sym_keyword_asc] = ACTIONS(2300),
    [sym_keyword_limit] = ACTIONS(2300),
    [sym_keyword_primary] = ACTIONS(2300),
    [sym_keyword_create] = ACTIONS(2300),
    [sym_keyword_as] = ACTIONS(2302),
    [sym_keyword_constraint] = ACTIONS(2300),
    [sym_keyword_separator] = ACTIONS(2300),
    [sym_keyword_when] = ACTIONS(2300),
    [sym_keyword_then] = ACTIONS(2300),
    [sym_keyword_else] = ACTIONS(2300),
    [sym_keyword_end] = ACTIONS(2300),
    [sym_keyword_in] = ACTIONS(2300),
    [sym_keyword_and] = ACTIONS(2300),
    [sym_keyword_or] = ACTIONS(2300),
    [sym_keyword_is] = ACTIONS(2300),
    [sym_keyword_not] = ACTIONS(2300),
    [sym_keyword_using] = ACTIONS(2300),
    [sym_keyword_auto_increment] = ACTIONS(2300),
    [sym_keyword_generated] = ACTIONS(2300),
    [sym_keyword_default] = ACTIONS(2300),
    [sym_keyword_with] = ACTIONS(2300),
    [sym_keyword_returning] = ACTIONS(2300),
    [sym_keyword_first] = ACTIONS(2300),
    [sym_keyword_after] = ACTIONS(2300),
    [sym_keyword_range] = ACTIONS(2300),
    [sym_keyword_rows] = ACTIONS(2300),
    [sym_keyword_groups] = ACTIONS(2300),
    [sym_keyword_between] = ACTIONS(2300),
    [sym_keyword_preceding] = ACTIONS(2300),
    [sym_keyword_following] = ACTIONS(2300),
    [sym_keyword_unique] = ACTIONS(2300),
    [sym_keyword_references] = ACTIONS(2300),
    [aux_sym_keyword_like_token1] = ACTIONS(2300),
    [aux_sym_keyword_like_token2] = ACTIONS(2300),
    [sym_keyword_similar] = ACTIONS(2300),
    [sym_keyword_check] = ACTIONS(2300),
    [sym_keyword_stored] = ACTIONS(2300),
    [sym_keyword_virtual] = ACTIONS(2300),
    [sym_keyword_comment] = ACTIONS(2300),
    [sym_keyword_null] = ACTIONS(2300),
    [sym_keyword_array] = ACTIONS(2300),
    [anon_sym_LBRACK] = ACTIONS(2300),
    [anon_sym_RBRACK] = ACTIONS(2300),
    [anon_sym_RPAREN] = ACTIONS(2300),
    [anon_sym_COMMA] = ACTIONS(2300),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2300),
    [anon_sym_STAR] = ACTIONS(2300),
    [anon_sym_COLON_COLON] = ACTIONS(2300),
    [anon_sym_LT] = ACTIONS(2302),
    [anon_sym_GT] = ACTIONS(2302),
    [anon_sym_LT_EQ] = ACTIONS(2300),
    [anon_sym_GT_EQ] = ACTIONS(2300),
    [anon_sym_COLON] = ACTIONS(2302),
    [sym_op_other] = ACTIONS(2300),
    [anon_sym_PLUS] = ACTIONS(2300),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_SLASH] = ACTIONS(2302),
    [anon_sym_PERCENT] = ACTIONS(2300),
    [anon_sym_CARET] = ACTIONS(2302),
    [anon_sym_BANG_EQ] = ACTIONS(2300),
    [anon_sym_LT_GT] = ACTIONS(2300),
  },
  [254] = {
    [ts_builtin_sym_end] = ACTIONS(2304),
    [anon_sym_SEMI] = ACTIONS(2304),
    [sym_keyword_from] = ACTIONS(2304),
    [sym_keyword_on] = ACTIONS(2304),
    [sym_keyword_where] = ACTIONS(2304),
    [sym_keyword_desc] = ACTIONS(2304),
    [sym_keyword_asc] = ACTIONS(2304),
    [sym_keyword_limit] = ACTIONS(2304),
    [sym_keyword_primary] = ACTIONS(2304),
    [sym_keyword_create] = ACTIONS(2304),
    [sym_keyword_as] = ACTIONS(2306),
    [sym_keyword_constraint] = ACTIONS(2304),
    [sym_keyword_separator] = ACTIONS(2304),
    [sym_keyword_when] = ACTIONS(2304),
    [sym_keyword_then] = ACTIONS(2304),
    [sym_keyword_else] = ACTIONS(2304),
    [sym_keyword_end] = ACTIONS(2304),
    [sym_keyword_in] = ACTIONS(2304),
    [sym_keyword_and] = ACTIONS(2304),
    [sym_keyword_or] = ACTIONS(2304),
    [sym_keyword_is] = ACTIONS(2304),
    [sym_keyword_not] = ACTIONS(2304),
    [sym_keyword_using] = ACTIONS(2304),
    [sym_keyword_auto_increment] = ACTIONS(2304),
    [sym_keyword_generated] = ACTIONS(2304),
    [sym_keyword_default] = ACTIONS(2304),
    [sym_keyword_with] = ACTIONS(2304),
    [sym_keyword_returning] = ACTIONS(2304),
    [sym_keyword_first] = ACTIONS(2304),
    [sym_keyword_after] = ACTIONS(2304),
    [sym_keyword_range] = ACTIONS(2304),
    [sym_keyword_rows] = ACTIONS(2304),
    [sym_keyword_groups] = ACTIONS(2304),
    [sym_keyword_between] = ACTIONS(2304),
    [sym_keyword_preceding] = ACTIONS(2304),
    [sym_keyword_following] = ACTIONS(2304),
    [sym_keyword_unique] = ACTIONS(2304),
    [sym_keyword_references] = ACTIONS(2304),
    [aux_sym_keyword_like_token1] = ACTIONS(2304),
    [aux_sym_keyword_like_token2] = ACTIONS(2304),
    [sym_keyword_similar] = ACTIONS(2304),
    [sym_keyword_check] = ACTIONS(2304),
    [sym_keyword_stored] = ACTIONS(2304),
    [sym_keyword_virtual] = ACTIONS(2304),
    [sym_keyword_comment] = ACTIONS(2304),
    [sym_keyword_null] = ACTIONS(2304),
    [sym_keyword_array] = ACTIONS(2304),
    [anon_sym_LBRACK] = ACTIONS(2304),
    [anon_sym_RBRACK] = ACTIONS(2304),
    [anon_sym_RPAREN] = ACTIONS(2304),
    [anon_sym_COMMA] = ACTIONS(2304),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2304),
    [anon_sym_STAR] = ACTIONS(2304),
    [anon_sym_COLON_COLON] = ACTIONS(2304),
    [anon_sym_LT] = ACTIONS(2306),
    [anon_sym_GT] = ACTIONS(2306),
    [anon_sym_LT_EQ] = ACTIONS(2304),
    [anon_sym_GT_EQ] = ACTIONS(2304),
    [anon_sym_COLON] = ACTIONS(2306),
    [sym_op_other] = ACTIONS(2304),
    [anon_sym_PLUS] = ACTIONS(2304),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_SLASH] = ACTIONS(2306),
    [anon_sym_PERCENT] = ACTIONS(2304),
    [anon_sym_CARET] = ACTIONS(2306),
    [anon_sym_BANG_EQ] = ACTIONS(2304),
    [anon_sym_LT_GT] = ACTIONS(2304),
  },
  [255] = {
    [ts_builtin_sym_end] = ACTIONS(2308),
    [anon_sym_SEMI] = ACTIONS(2308),
    [sym_keyword_from] = ACTIONS(2308),
    [sym_keyword_on] = ACTIONS(2308),
    [sym_keyword_where] = ACTIONS(2308),
    [sym_keyword_desc] = ACTIONS(2308),
    [sym_keyword_asc] = ACTIONS(2308),
    [sym_keyword_limit] = ACTIONS(2308),
    [sym_keyword_primary] = ACTIONS(2308),
    [sym_keyword_create] = ACTIONS(2308),
    [sym_keyword_as] = ACTIONS(2310),
    [sym_keyword_constraint] = ACTIONS(2308),
    [sym_keyword_separator] = ACTIONS(2308),
    [sym_keyword_when] = ACTIONS(2308),
    [sym_keyword_then] = ACTIONS(2308),
    [sym_keyword_else] = ACTIONS(2308),
    [sym_keyword_end] = ACTIONS(2308),
    [sym_keyword_in] = ACTIONS(2308),
    [sym_keyword_and] = ACTIONS(2308),
    [sym_keyword_or] = ACTIONS(2308),
    [sym_keyword_is] = ACTIONS(2308),
    [sym_keyword_not] = ACTIONS(2308),
    [sym_keyword_using] = ACTIONS(2308),
    [sym_keyword_auto_increment] = ACTIONS(2308),
    [sym_keyword_generated] = ACTIONS(2308),
    [sym_keyword_default] = ACTIONS(2308),
    [sym_keyword_with] = ACTIONS(2308),
    [sym_keyword_returning] = ACTIONS(2308),
    [sym_keyword_first] = ACTIONS(2308),
    [sym_keyword_after] = ACTIONS(2308),
    [sym_keyword_range] = ACTIONS(2308),
    [sym_keyword_rows] = ACTIONS(2308),
    [sym_keyword_groups] = ACTIONS(2308),
    [sym_keyword_between] = ACTIONS(2308),
    [sym_keyword_preceding] = ACTIONS(2308),
    [sym_keyword_following] = ACTIONS(2308),
    [sym_keyword_unique] = ACTIONS(2308),
    [sym_keyword_references] = ACTIONS(2308),
    [aux_sym_keyword_like_token1] = ACTIONS(2308),
    [aux_sym_keyword_like_token2] = ACTIONS(2308),
    [sym_keyword_similar] = ACTIONS(2308),
    [sym_keyword_check] = ACTIONS(2308),
    [sym_keyword_stored] = ACTIONS(2308),
    [sym_keyword_virtual] = ACTIONS(2308),
    [sym_keyword_comment] = ACTIONS(2308),
    [sym_keyword_null] = ACTIONS(2308),
    [sym_keyword_array] = ACTIONS(2308),
    [anon_sym_LBRACK] = ACTIONS(2308),
    [anon_sym_RBRACK] = ACTIONS(2308),
    [anon_sym_RPAREN] = ACTIONS(2308),
    [anon_sym_COMMA] = ACTIONS(2308),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2308),
    [anon_sym_STAR] = ACTIONS(2308),
    [anon_sym_COLON_COLON] = ACTIONS(2308),
    [anon_sym_LT] = ACTIONS(2310),
    [anon_sym_GT] = ACTIONS(2310),
    [anon_sym_LT_EQ] = ACTIONS(2308),
    [anon_sym_GT_EQ] = ACTIONS(2308),
    [anon_sym_COLON] = ACTIONS(2310),
    [sym_op_other] = ACTIONS(2308),
    [anon_sym_PLUS] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_SLASH] = ACTIONS(2310),
    [anon_sym_PERCENT] = ACTIONS(2308),
    [anon_sym_CARET] = ACTIONS(2310),
    [anon_sym_BANG_EQ] = ACTIONS(2308),
    [anon_sym_LT_GT] = ACTIONS(2308),
  },
  [256] = {
    [ts_builtin_sym_end] = ACTIONS(2114),
    [anon_sym_SEMI] = ACTIONS(2114),
    [sym_keyword_from] = ACTIONS(2114),
    [sym_keyword_on] = ACTIONS(2114),
    [sym_keyword_where] = ACTIONS(2114),
    [sym_keyword_desc] = ACTIONS(2114),
    [sym_keyword_asc] = ACTIONS(2114),
    [sym_keyword_limit] = ACTIONS(2114),
    [sym_keyword_primary] = ACTIONS(2114),
    [sym_keyword_create] = ACTIONS(2114),
    [sym_keyword_as] = ACTIONS(2116),
    [sym_keyword_constraint] = ACTIONS(2114),
    [sym_keyword_separator] = ACTIONS(2114),
    [sym_keyword_when] = ACTIONS(2114),
    [sym_keyword_then] = ACTIONS(2114),
    [sym_keyword_else] = ACTIONS(2114),
    [sym_keyword_end] = ACTIONS(2114),
    [sym_keyword_in] = ACTIONS(2114),
    [sym_keyword_and] = ACTIONS(2114),
    [sym_keyword_or] = ACTIONS(2114),
    [sym_keyword_is] = ACTIONS(2114),
    [sym_keyword_not] = ACTIONS(2114),
    [sym_keyword_using] = ACTIONS(2114),
    [sym_keyword_auto_increment] = ACTIONS(2114),
    [sym_keyword_generated] = ACTIONS(2114),
    [sym_keyword_default] = ACTIONS(2114),
    [sym_keyword_with] = ACTIONS(2114),
    [sym_keyword_returning] = ACTIONS(2114),
    [sym_keyword_first] = ACTIONS(2114),
    [sym_keyword_after] = ACTIONS(2114),
    [sym_keyword_range] = ACTIONS(2114),
    [sym_keyword_rows] = ACTIONS(2114),
    [sym_keyword_groups] = ACTIONS(2114),
    [sym_keyword_between] = ACTIONS(2114),
    [sym_keyword_preceding] = ACTIONS(2114),
    [sym_keyword_following] = ACTIONS(2114),
    [sym_keyword_unique] = ACTIONS(2114),
    [sym_keyword_references] = ACTIONS(2114),
    [aux_sym_keyword_like_token1] = ACTIONS(2114),
    [aux_sym_keyword_like_token2] = ACTIONS(2114),
    [sym_keyword_similar] = ACTIONS(2114),
    [sym_keyword_check] = ACTIONS(2114),
    [sym_keyword_stored] = ACTIONS(2114),
    [sym_keyword_virtual] = ACTIONS(2114),
    [sym_keyword_comment] = ACTIONS(2114),
    [sym_keyword_null] = ACTIONS(2114),
    [sym_keyword_array] = ACTIONS(2114),
    [anon_sym_LBRACK] = ACTIONS(2114),
    [anon_sym_RBRACK] = ACTIONS(2114),
    [anon_sym_RPAREN] = ACTIONS(2114),
    [anon_sym_COMMA] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2114),
    [anon_sym_STAR] = ACTIONS(2114),
    [anon_sym_COLON_COLON] = ACTIONS(2114),
    [anon_sym_LT] = ACTIONS(2116),
    [anon_sym_GT] = ACTIONS(2116),
    [anon_sym_LT_EQ] = ACTIONS(2114),
    [anon_sym_GT_EQ] = ACTIONS(2114),
    [anon_sym_COLON] = ACTIONS(2116),
    [sym_op_other] = ACTIONS(2114),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_DASH] = ACTIONS(2116),
    [anon_sym_SLASH] = ACTIONS(2116),
    [anon_sym_PERCENT] = ACTIONS(2114),
    [anon_sym_CARET] = ACTIONS(2116),
    [anon_sym_BANG_EQ] = ACTIONS(2114),
    [anon_sym_LT_GT] = ACTIONS(2114),
  },
  [257] = {
    [ts_builtin_sym_end] = ACTIONS(2312),
    [anon_sym_SEMI] = ACTIONS(2312),
    [sym_keyword_from] = ACTIONS(2312),
    [sym_keyword_on] = ACTIONS(2312),
    [sym_keyword_where] = ACTIONS(2312),
    [sym_keyword_desc] = ACTIONS(2312),
    [sym_keyword_asc] = ACTIONS(2312),
    [sym_keyword_limit] = ACTIONS(2312),
    [sym_keyword_primary] = ACTIONS(2312),
    [sym_keyword_create] = ACTIONS(2312),
    [sym_keyword_as] = ACTIONS(2314),
    [sym_keyword_constraint] = ACTIONS(2312),
    [sym_keyword_separator] = ACTIONS(2312),
    [sym_keyword_when] = ACTIONS(2312),
    [sym_keyword_then] = ACTIONS(2312),
    [sym_keyword_else] = ACTIONS(2312),
    [sym_keyword_end] = ACTIONS(2312),
    [sym_keyword_in] = ACTIONS(2312),
    [sym_keyword_and] = ACTIONS(2312),
    [sym_keyword_or] = ACTIONS(2312),
    [sym_keyword_is] = ACTIONS(2312),
    [sym_keyword_not] = ACTIONS(2312),
    [sym_keyword_using] = ACTIONS(2312),
    [sym_keyword_auto_increment] = ACTIONS(2312),
    [sym_keyword_generated] = ACTIONS(2312),
    [sym_keyword_default] = ACTIONS(2312),
    [sym_keyword_with] = ACTIONS(2312),
    [sym_keyword_returning] = ACTIONS(2312),
    [sym_keyword_first] = ACTIONS(2312),
    [sym_keyword_after] = ACTIONS(2312),
    [sym_keyword_range] = ACTIONS(2312),
    [sym_keyword_rows] = ACTIONS(2312),
    [sym_keyword_groups] = ACTIONS(2312),
    [sym_keyword_between] = ACTIONS(2312),
    [sym_keyword_preceding] = ACTIONS(2312),
    [sym_keyword_following] = ACTIONS(2312),
    [sym_keyword_unique] = ACTIONS(2312),
    [sym_keyword_references] = ACTIONS(2312),
    [aux_sym_keyword_like_token1] = ACTIONS(2312),
    [aux_sym_keyword_like_token2] = ACTIONS(2312),
    [sym_keyword_similar] = ACTIONS(2312),
    [sym_keyword_check] = ACTIONS(2312),
    [sym_keyword_stored] = ACTIONS(2312),
    [sym_keyword_virtual] = ACTIONS(2312),
    [sym_keyword_comment] = ACTIONS(2312),
    [sym_keyword_null] = ACTIONS(2312),
    [sym_keyword_array] = ACTIONS(2312),
    [anon_sym_LBRACK] = ACTIONS(2312),
    [anon_sym_RBRACK] = ACTIONS(2312),
    [anon_sym_RPAREN] = ACTIONS(2312),
    [anon_sym_COMMA] = ACTIONS(2312),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2312),
    [anon_sym_STAR] = ACTIONS(2312),
    [anon_sym_COLON_COLON] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2314),
    [anon_sym_GT] = ACTIONS(2314),
    [anon_sym_LT_EQ] = ACTIONS(2312),
    [anon_sym_GT_EQ] = ACTIONS(2312),
    [anon_sym_COLON] = ACTIONS(2314),
    [sym_op_other] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2312),
    [anon_sym_DASH] = ACTIONS(2314),
    [anon_sym_SLASH] = ACTIONS(2314),
    [anon_sym_PERCENT] = ACTIONS(2312),
    [anon_sym_CARET] = ACTIONS(2314),
    [anon_sym_BANG_EQ] = ACTIONS(2312),
    [anon_sym_LT_GT] = ACTIONS(2312),
  },
  [258] = {
    [ts_builtin_sym_end] = ACTIONS(2096),
    [anon_sym_SEMI] = ACTIONS(2096),
    [sym_keyword_from] = ACTIONS(2096),
    [sym_keyword_on] = ACTIONS(2096),
    [sym_keyword_where] = ACTIONS(2096),
    [sym_keyword_desc] = ACTIONS(2096),
    [sym_keyword_asc] = ACTIONS(2096),
    [sym_keyword_limit] = ACTIONS(2096),
    [sym_keyword_primary] = ACTIONS(2096),
    [sym_keyword_create] = ACTIONS(2096),
    [sym_keyword_as] = ACTIONS(2098),
    [sym_keyword_constraint] = ACTIONS(2096),
    [sym_keyword_separator] = ACTIONS(2096),
    [sym_keyword_when] = ACTIONS(2096),
    [sym_keyword_then] = ACTIONS(2096),
    [sym_keyword_else] = ACTIONS(2096),
    [sym_keyword_end] = ACTIONS(2096),
    [sym_keyword_in] = ACTIONS(2096),
    [sym_keyword_and] = ACTIONS(2096),
    [sym_keyword_or] = ACTIONS(2096),
    [sym_keyword_is] = ACTIONS(2096),
    [sym_keyword_not] = ACTIONS(2096),
    [sym_keyword_using] = ACTIONS(2096),
    [sym_keyword_auto_increment] = ACTIONS(2096),
    [sym_keyword_generated] = ACTIONS(2096),
    [sym_keyword_default] = ACTIONS(2096),
    [sym_keyword_with] = ACTIONS(2096),
    [sym_keyword_returning] = ACTIONS(2096),
    [sym_keyword_first] = ACTIONS(2096),
    [sym_keyword_after] = ACTIONS(2096),
    [sym_keyword_range] = ACTIONS(2096),
    [sym_keyword_rows] = ACTIONS(2096),
    [sym_keyword_groups] = ACTIONS(2096),
    [sym_keyword_between] = ACTIONS(2096),
    [sym_keyword_preceding] = ACTIONS(2096),
    [sym_keyword_following] = ACTIONS(2096),
    [sym_keyword_unique] = ACTIONS(2096),
    [sym_keyword_references] = ACTIONS(2096),
    [aux_sym_keyword_like_token1] = ACTIONS(2096),
    [aux_sym_keyword_like_token2] = ACTIONS(2096),
    [sym_keyword_similar] = ACTIONS(2096),
    [sym_keyword_check] = ACTIONS(2096),
    [sym_keyword_stored] = ACTIONS(2096),
    [sym_keyword_virtual] = ACTIONS(2096),
    [sym_keyword_comment] = ACTIONS(2096),
    [sym_keyword_null] = ACTIONS(2096),
    [sym_keyword_array] = ACTIONS(2096),
    [anon_sym_LBRACK] = ACTIONS(2096),
    [anon_sym_RBRACK] = ACTIONS(2096),
    [anon_sym_RPAREN] = ACTIONS(2096),
    [anon_sym_COMMA] = ACTIONS(2096),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2096),
    [anon_sym_STAR] = ACTIONS(2096),
    [anon_sym_COLON_COLON] = ACTIONS(2096),
    [anon_sym_LT] = ACTIONS(2098),
    [anon_sym_GT] = ACTIONS(2098),
    [anon_sym_LT_EQ] = ACTIONS(2096),
    [anon_sym_GT_EQ] = ACTIONS(2096),
    [anon_sym_COLON] = ACTIONS(2098),
    [sym_op_other] = ACTIONS(2096),
    [anon_sym_PLUS] = ACTIONS(2096),
    [anon_sym_DASH] = ACTIONS(2098),
    [anon_sym_SLASH] = ACTIONS(2098),
    [anon_sym_PERCENT] = ACTIONS(2096),
    [anon_sym_CARET] = ACTIONS(2098),
    [anon_sym_BANG_EQ] = ACTIONS(2096),
    [anon_sym_LT_GT] = ACTIONS(2096),
  },
  [259] = {
    [ts_builtin_sym_end] = ACTIONS(2102),
    [anon_sym_SEMI] = ACTIONS(2102),
    [sym_keyword_from] = ACTIONS(2102),
    [sym_keyword_on] = ACTIONS(2102),
    [sym_keyword_where] = ACTIONS(2102),
    [sym_keyword_desc] = ACTIONS(2102),
    [sym_keyword_asc] = ACTIONS(2102),
    [sym_keyword_limit] = ACTIONS(2102),
    [sym_keyword_primary] = ACTIONS(2102),
    [sym_keyword_create] = ACTIONS(2102),
    [sym_keyword_as] = ACTIONS(2104),
    [sym_keyword_constraint] = ACTIONS(2102),
    [sym_keyword_separator] = ACTIONS(2102),
    [sym_keyword_when] = ACTIONS(2102),
    [sym_keyword_then] = ACTIONS(2102),
    [sym_keyword_else] = ACTIONS(2102),
    [sym_keyword_end] = ACTIONS(2102),
    [sym_keyword_in] = ACTIONS(2102),
    [sym_keyword_and] = ACTIONS(2102),
    [sym_keyword_or] = ACTIONS(2102),
    [sym_keyword_is] = ACTIONS(2102),
    [sym_keyword_not] = ACTIONS(2102),
    [sym_keyword_using] = ACTIONS(2102),
    [sym_keyword_auto_increment] = ACTIONS(2102),
    [sym_keyword_generated] = ACTIONS(2102),
    [sym_keyword_default] = ACTIONS(2102),
    [sym_keyword_with] = ACTIONS(2102),
    [sym_keyword_returning] = ACTIONS(2102),
    [sym_keyword_first] = ACTIONS(2102),
    [sym_keyword_after] = ACTIONS(2102),
    [sym_keyword_range] = ACTIONS(2102),
    [sym_keyword_rows] = ACTIONS(2102),
    [sym_keyword_groups] = ACTIONS(2102),
    [sym_keyword_between] = ACTIONS(2102),
    [sym_keyword_preceding] = ACTIONS(2102),
    [sym_keyword_following] = ACTIONS(2102),
    [sym_keyword_unique] = ACTIONS(2102),
    [sym_keyword_references] = ACTIONS(2102),
    [aux_sym_keyword_like_token1] = ACTIONS(2102),
    [aux_sym_keyword_like_token2] = ACTIONS(2102),
    [sym_keyword_similar] = ACTIONS(2102),
    [sym_keyword_check] = ACTIONS(2102),
    [sym_keyword_stored] = ACTIONS(2102),
    [sym_keyword_virtual] = ACTIONS(2102),
    [sym_keyword_comment] = ACTIONS(2102),
    [sym_keyword_null] = ACTIONS(2102),
    [sym_keyword_array] = ACTIONS(2102),
    [anon_sym_LBRACK] = ACTIONS(2102),
    [anon_sym_RBRACK] = ACTIONS(2102),
    [anon_sym_RPAREN] = ACTIONS(2102),
    [anon_sym_COMMA] = ACTIONS(2102),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2102),
    [anon_sym_STAR] = ACTIONS(2102),
    [anon_sym_COLON_COLON] = ACTIONS(2102),
    [anon_sym_LT] = ACTIONS(2104),
    [anon_sym_GT] = ACTIONS(2104),
    [anon_sym_LT_EQ] = ACTIONS(2102),
    [anon_sym_GT_EQ] = ACTIONS(2102),
    [anon_sym_COLON] = ACTIONS(2104),
    [sym_op_other] = ACTIONS(2102),
    [anon_sym_PLUS] = ACTIONS(2102),
    [anon_sym_DASH] = ACTIONS(2104),
    [anon_sym_SLASH] = ACTIONS(2104),
    [anon_sym_PERCENT] = ACTIONS(2102),
    [anon_sym_CARET] = ACTIONS(2104),
    [anon_sym_BANG_EQ] = ACTIONS(2102),
    [anon_sym_LT_GT] = ACTIONS(2102),
  },
  [260] = {
    [ts_builtin_sym_end] = ACTIONS(1803),
    [anon_sym_SEMI] = ACTIONS(1803),
    [sym_keyword_from] = ACTIONS(1803),
    [sym_keyword_on] = ACTIONS(1803),
    [sym_keyword_where] = ACTIONS(1803),
    [sym_keyword_desc] = ACTIONS(1803),
    [sym_keyword_asc] = ACTIONS(1803),
    [sym_keyword_limit] = ACTIONS(1803),
    [sym_keyword_primary] = ACTIONS(1803),
    [sym_keyword_create] = ACTIONS(1803),
    [sym_keyword_as] = ACTIONS(1805),
    [sym_keyword_constraint] = ACTIONS(1803),
    [sym_keyword_separator] = ACTIONS(1803),
    [sym_keyword_when] = ACTIONS(1803),
    [sym_keyword_then] = ACTIONS(1803),
    [sym_keyword_else] = ACTIONS(1803),
    [sym_keyword_end] = ACTIONS(1803),
    [sym_keyword_in] = ACTIONS(1803),
    [sym_keyword_and] = ACTIONS(1803),
    [sym_keyword_or] = ACTIONS(1803),
    [sym_keyword_is] = ACTIONS(1803),
    [sym_keyword_not] = ACTIONS(1803),
    [sym_keyword_using] = ACTIONS(1803),
    [sym_keyword_auto_increment] = ACTIONS(1803),
    [sym_keyword_generated] = ACTIONS(1803),
    [sym_keyword_default] = ACTIONS(1803),
    [sym_keyword_with] = ACTIONS(1803),
    [sym_keyword_returning] = ACTIONS(1803),
    [sym_keyword_first] = ACTIONS(1803),
    [sym_keyword_after] = ACTIONS(1803),
    [sym_keyword_range] = ACTIONS(1803),
    [sym_keyword_rows] = ACTIONS(1803),
    [sym_keyword_groups] = ACTIONS(1803),
    [sym_keyword_between] = ACTIONS(1803),
    [sym_keyword_preceding] = ACTIONS(1803),
    [sym_keyword_following] = ACTIONS(1803),
    [sym_keyword_unique] = ACTIONS(1803),
    [sym_keyword_references] = ACTIONS(1803),
    [aux_sym_keyword_like_token1] = ACTIONS(1803),
    [aux_sym_keyword_like_token2] = ACTIONS(1803),
    [sym_keyword_similar] = ACTIONS(1803),
    [sym_keyword_check] = ACTIONS(1803),
    [sym_keyword_stored] = ACTIONS(1803),
    [sym_keyword_virtual] = ACTIONS(1803),
    [sym_keyword_comment] = ACTIONS(1803),
    [sym_keyword_null] = ACTIONS(1803),
    [sym_keyword_array] = ACTIONS(1803),
    [anon_sym_LBRACK] = ACTIONS(1803),
    [anon_sym_RBRACK] = ACTIONS(1803),
    [anon_sym_RPAREN] = ACTIONS(1803),
    [anon_sym_COMMA] = ACTIONS(1803),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1803),
    [anon_sym_STAR] = ACTIONS(1803),
    [anon_sym_COLON_COLON] = ACTIONS(1803),
    [anon_sym_LT] = ACTIONS(1805),
    [anon_sym_GT] = ACTIONS(1805),
    [anon_sym_LT_EQ] = ACTIONS(1803),
    [anon_sym_GT_EQ] = ACTIONS(1803),
    [anon_sym_COLON] = ACTIONS(1805),
    [sym_op_other] = ACTIONS(1803),
    [anon_sym_PLUS] = ACTIONS(1803),
    [anon_sym_DASH] = ACTIONS(1805),
    [anon_sym_SLASH] = ACTIONS(1805),
    [anon_sym_PERCENT] = ACTIONS(1803),
    [anon_sym_CARET] = ACTIONS(1805),
    [anon_sym_BANG_EQ] = ACTIONS(1803),
    [anon_sym_LT_GT] = ACTIONS(1803),
  },
  [261] = {
    [ts_builtin_sym_end] = ACTIONS(2090),
    [anon_sym_SEMI] = ACTIONS(2090),
    [sym_keyword_from] = ACTIONS(2090),
    [sym_keyword_on] = ACTIONS(2090),
    [sym_keyword_where] = ACTIONS(2090),
    [sym_keyword_desc] = ACTIONS(2090),
    [sym_keyword_asc] = ACTIONS(2090),
    [sym_keyword_limit] = ACTIONS(2090),
    [sym_keyword_primary] = ACTIONS(2090),
    [sym_keyword_create] = ACTIONS(2090),
    [sym_keyword_as] = ACTIONS(2092),
    [sym_keyword_constraint] = ACTIONS(2090),
    [sym_keyword_separator] = ACTIONS(2090),
    [sym_keyword_when] = ACTIONS(2090),
    [sym_keyword_then] = ACTIONS(2090),
    [sym_keyword_else] = ACTIONS(2090),
    [sym_keyword_end] = ACTIONS(2090),
    [sym_keyword_in] = ACTIONS(2090),
    [sym_keyword_and] = ACTIONS(2090),
    [sym_keyword_or] = ACTIONS(2090),
    [sym_keyword_is] = ACTIONS(2090),
    [sym_keyword_not] = ACTIONS(2090),
    [sym_keyword_using] = ACTIONS(2090),
    [sym_keyword_auto_increment] = ACTIONS(2090),
    [sym_keyword_generated] = ACTIONS(2090),
    [sym_keyword_default] = ACTIONS(2090),
    [sym_keyword_with] = ACTIONS(2090),
    [sym_keyword_returning] = ACTIONS(2090),
    [sym_keyword_first] = ACTIONS(2090),
    [sym_keyword_after] = ACTIONS(2090),
    [sym_keyword_range] = ACTIONS(2090),
    [sym_keyword_rows] = ACTIONS(2090),
    [sym_keyword_groups] = ACTIONS(2090),
    [sym_keyword_between] = ACTIONS(2090),
    [sym_keyword_preceding] = ACTIONS(2090),
    [sym_keyword_following] = ACTIONS(2090),
    [sym_keyword_unique] = ACTIONS(2090),
    [sym_keyword_references] = ACTIONS(2090),
    [aux_sym_keyword_like_token1] = ACTIONS(2090),
    [aux_sym_keyword_like_token2] = ACTIONS(2090),
    [sym_keyword_similar] = ACTIONS(2090),
    [sym_keyword_check] = ACTIONS(2090),
    [sym_keyword_stored] = ACTIONS(2090),
    [sym_keyword_virtual] = ACTIONS(2090),
    [sym_keyword_comment] = ACTIONS(2090),
    [sym_keyword_null] = ACTIONS(2090),
    [sym_keyword_array] = ACTIONS(2090),
    [anon_sym_LBRACK] = ACTIONS(2090),
    [anon_sym_RBRACK] = ACTIONS(2090),
    [anon_sym_RPAREN] = ACTIONS(2090),
    [anon_sym_COMMA] = ACTIONS(2090),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2090),
    [anon_sym_STAR] = ACTIONS(2090),
    [anon_sym_COLON_COLON] = ACTIONS(2090),
    [anon_sym_LT] = ACTIONS(2092),
    [anon_sym_GT] = ACTIONS(2092),
    [anon_sym_LT_EQ] = ACTIONS(2090),
    [anon_sym_GT_EQ] = ACTIONS(2090),
    [anon_sym_COLON] = ACTIONS(2092),
    [sym_op_other] = ACTIONS(2090),
    [anon_sym_PLUS] = ACTIONS(2090),
    [anon_sym_DASH] = ACTIONS(2092),
    [anon_sym_SLASH] = ACTIONS(2092),
    [anon_sym_PERCENT] = ACTIONS(2090),
    [anon_sym_CARET] = ACTIONS(2092),
    [anon_sym_BANG_EQ] = ACTIONS(2090),
    [anon_sym_LT_GT] = ACTIONS(2090),
  },
  [262] = {
    [ts_builtin_sym_end] = ACTIONS(2076),
    [anon_sym_SEMI] = ACTIONS(2076),
    [sym_keyword_from] = ACTIONS(2076),
    [sym_keyword_on] = ACTIONS(2076),
    [sym_keyword_where] = ACTIONS(2076),
    [sym_keyword_desc] = ACTIONS(2076),
    [sym_keyword_asc] = ACTIONS(2076),
    [sym_keyword_limit] = ACTIONS(2076),
    [sym_keyword_primary] = ACTIONS(2076),
    [sym_keyword_create] = ACTIONS(2076),
    [sym_keyword_as] = ACTIONS(2078),
    [sym_keyword_constraint] = ACTIONS(2076),
    [sym_keyword_separator] = ACTIONS(2076),
    [sym_keyword_when] = ACTIONS(2076),
    [sym_keyword_then] = ACTIONS(2076),
    [sym_keyword_else] = ACTIONS(2076),
    [sym_keyword_end] = ACTIONS(2076),
    [sym_keyword_in] = ACTIONS(2076),
    [sym_keyword_and] = ACTIONS(2076),
    [sym_keyword_or] = ACTIONS(2076),
    [sym_keyword_is] = ACTIONS(2076),
    [sym_keyword_not] = ACTIONS(2076),
    [sym_keyword_using] = ACTIONS(2076),
    [sym_keyword_auto_increment] = ACTIONS(2076),
    [sym_keyword_generated] = ACTIONS(2076),
    [sym_keyword_default] = ACTIONS(2076),
    [sym_keyword_with] = ACTIONS(2076),
    [sym_keyword_returning] = ACTIONS(2076),
    [sym_keyword_first] = ACTIONS(2076),
    [sym_keyword_after] = ACTIONS(2076),
    [sym_keyword_range] = ACTIONS(2076),
    [sym_keyword_rows] = ACTIONS(2076),
    [sym_keyword_groups] = ACTIONS(2076),
    [sym_keyword_between] = ACTIONS(2076),
    [sym_keyword_preceding] = ACTIONS(2076),
    [sym_keyword_following] = ACTIONS(2076),
    [sym_keyword_unique] = ACTIONS(2076),
    [sym_keyword_references] = ACTIONS(2076),
    [aux_sym_keyword_like_token1] = ACTIONS(2076),
    [aux_sym_keyword_like_token2] = ACTIONS(2076),
    [sym_keyword_similar] = ACTIONS(2076),
    [sym_keyword_check] = ACTIONS(2076),
    [sym_keyword_stored] = ACTIONS(2076),
    [sym_keyword_virtual] = ACTIONS(2076),
    [sym_keyword_comment] = ACTIONS(2076),
    [sym_keyword_null] = ACTIONS(2076),
    [sym_keyword_array] = ACTIONS(2076),
    [anon_sym_LBRACK] = ACTIONS(2076),
    [anon_sym_RBRACK] = ACTIONS(2076),
    [anon_sym_RPAREN] = ACTIONS(2076),
    [anon_sym_COMMA] = ACTIONS(2076),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2076),
    [anon_sym_STAR] = ACTIONS(2076),
    [anon_sym_COLON_COLON] = ACTIONS(2076),
    [anon_sym_LT] = ACTIONS(2078),
    [anon_sym_GT] = ACTIONS(2078),
    [anon_sym_LT_EQ] = ACTIONS(2076),
    [anon_sym_GT_EQ] = ACTIONS(2076),
    [anon_sym_COLON] = ACTIONS(2078),
    [sym_op_other] = ACTIONS(2076),
    [anon_sym_PLUS] = ACTIONS(2076),
    [anon_sym_DASH] = ACTIONS(2078),
    [anon_sym_SLASH] = ACTIONS(2078),
    [anon_sym_PERCENT] = ACTIONS(2076),
    [anon_sym_CARET] = ACTIONS(2078),
    [anon_sym_BANG_EQ] = ACTIONS(2076),
    [anon_sym_LT_GT] = ACTIONS(2076),
  },
  [263] = {
    [ts_builtin_sym_end] = ACTIONS(2064),
    [anon_sym_SEMI] = ACTIONS(2064),
    [sym_keyword_from] = ACTIONS(2064),
    [sym_keyword_on] = ACTIONS(2064),
    [sym_keyword_where] = ACTIONS(2064),
    [sym_keyword_desc] = ACTIONS(2064),
    [sym_keyword_asc] = ACTIONS(2064),
    [sym_keyword_limit] = ACTIONS(2064),
    [sym_keyword_primary] = ACTIONS(2064),
    [sym_keyword_create] = ACTIONS(2064),
    [sym_keyword_as] = ACTIONS(2066),
    [sym_keyword_constraint] = ACTIONS(2064),
    [sym_keyword_separator] = ACTIONS(2064),
    [sym_keyword_when] = ACTIONS(2064),
    [sym_keyword_then] = ACTIONS(2064),
    [sym_keyword_else] = ACTIONS(2064),
    [sym_keyword_end] = ACTIONS(2064),
    [sym_keyword_in] = ACTIONS(2064),
    [sym_keyword_and] = ACTIONS(2064),
    [sym_keyword_or] = ACTIONS(2064),
    [sym_keyword_is] = ACTIONS(2064),
    [sym_keyword_not] = ACTIONS(2064),
    [sym_keyword_using] = ACTIONS(2064),
    [sym_keyword_auto_increment] = ACTIONS(2064),
    [sym_keyword_generated] = ACTIONS(2064),
    [sym_keyword_default] = ACTIONS(2064),
    [sym_keyword_with] = ACTIONS(2064),
    [sym_keyword_returning] = ACTIONS(2064),
    [sym_keyword_first] = ACTIONS(2064),
    [sym_keyword_after] = ACTIONS(2064),
    [sym_keyword_range] = ACTIONS(2064),
    [sym_keyword_rows] = ACTIONS(2064),
    [sym_keyword_groups] = ACTIONS(2064),
    [sym_keyword_between] = ACTIONS(2064),
    [sym_keyword_preceding] = ACTIONS(2064),
    [sym_keyword_following] = ACTIONS(2064),
    [sym_keyword_unique] = ACTIONS(2064),
    [sym_keyword_references] = ACTIONS(2064),
    [aux_sym_keyword_like_token1] = ACTIONS(2064),
    [aux_sym_keyword_like_token2] = ACTIONS(2064),
    [sym_keyword_similar] = ACTIONS(2064),
    [sym_keyword_check] = ACTIONS(2064),
    [sym_keyword_stored] = ACTIONS(2064),
    [sym_keyword_virtual] = ACTIONS(2064),
    [sym_keyword_comment] = ACTIONS(2064),
    [sym_keyword_null] = ACTIONS(2064),
    [sym_keyword_array] = ACTIONS(2064),
    [anon_sym_LBRACK] = ACTIONS(2064),
    [anon_sym_RBRACK] = ACTIONS(2064),
    [anon_sym_RPAREN] = ACTIONS(2064),
    [anon_sym_COMMA] = ACTIONS(2064),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2064),
    [anon_sym_STAR] = ACTIONS(2064),
    [anon_sym_COLON_COLON] = ACTIONS(2064),
    [anon_sym_LT] = ACTIONS(2066),
    [anon_sym_GT] = ACTIONS(2066),
    [anon_sym_LT_EQ] = ACTIONS(2064),
    [anon_sym_GT_EQ] = ACTIONS(2064),
    [anon_sym_COLON] = ACTIONS(2066),
    [sym_op_other] = ACTIONS(2064),
    [anon_sym_PLUS] = ACTIONS(2064),
    [anon_sym_DASH] = ACTIONS(2066),
    [anon_sym_SLASH] = ACTIONS(2066),
    [anon_sym_PERCENT] = ACTIONS(2064),
    [anon_sym_CARET] = ACTIONS(2066),
    [anon_sym_BANG_EQ] = ACTIONS(2064),
    [anon_sym_LT_GT] = ACTIONS(2064),
  },
  [264] = {
    [ts_builtin_sym_end] = ACTIONS(2156),
    [anon_sym_SEMI] = ACTIONS(2156),
    [sym_keyword_from] = ACTIONS(2156),
    [sym_keyword_on] = ACTIONS(2156),
    [sym_keyword_where] = ACTIONS(2156),
    [sym_keyword_desc] = ACTIONS(2156),
    [sym_keyword_asc] = ACTIONS(2156),
    [sym_keyword_limit] = ACTIONS(2156),
    [sym_keyword_primary] = ACTIONS(2156),
    [sym_keyword_create] = ACTIONS(2156),
    [sym_keyword_as] = ACTIONS(2158),
    [sym_keyword_constraint] = ACTIONS(2156),
    [sym_keyword_separator] = ACTIONS(2156),
    [sym_keyword_when] = ACTIONS(2156),
    [sym_keyword_then] = ACTIONS(2156),
    [sym_keyword_else] = ACTIONS(2156),
    [sym_keyword_end] = ACTIONS(2156),
    [sym_keyword_in] = ACTIONS(2156),
    [sym_keyword_and] = ACTIONS(2156),
    [sym_keyword_or] = ACTIONS(2156),
    [sym_keyword_is] = ACTIONS(2156),
    [sym_keyword_not] = ACTIONS(2156),
    [sym_keyword_using] = ACTIONS(2156),
    [sym_keyword_auto_increment] = ACTIONS(2156),
    [sym_keyword_generated] = ACTIONS(2156),
    [sym_keyword_default] = ACTIONS(2156),
    [sym_keyword_with] = ACTIONS(2156),
    [sym_keyword_returning] = ACTIONS(2156),
    [sym_keyword_first] = ACTIONS(2156),
    [sym_keyword_after] = ACTIONS(2156),
    [sym_keyword_range] = ACTIONS(2156),
    [sym_keyword_rows] = ACTIONS(2156),
    [sym_keyword_groups] = ACTIONS(2156),
    [sym_keyword_between] = ACTIONS(2156),
    [sym_keyword_preceding] = ACTIONS(2156),
    [sym_keyword_following] = ACTIONS(2156),
    [sym_keyword_unique] = ACTIONS(2156),
    [sym_keyword_references] = ACTIONS(2156),
    [aux_sym_keyword_like_token1] = ACTIONS(2156),
    [aux_sym_keyword_like_token2] = ACTIONS(2156),
    [sym_keyword_similar] = ACTIONS(2156),
    [sym_keyword_check] = ACTIONS(2156),
    [sym_keyword_stored] = ACTIONS(2156),
    [sym_keyword_virtual] = ACTIONS(2156),
    [sym_keyword_comment] = ACTIONS(2156),
    [sym_keyword_null] = ACTIONS(2156),
    [sym_keyword_array] = ACTIONS(2156),
    [anon_sym_LBRACK] = ACTIONS(2156),
    [anon_sym_RBRACK] = ACTIONS(2156),
    [anon_sym_RPAREN] = ACTIONS(2156),
    [anon_sym_COMMA] = ACTIONS(2156),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2156),
    [anon_sym_STAR] = ACTIONS(2156),
    [anon_sym_COLON_COLON] = ACTIONS(2156),
    [anon_sym_LT] = ACTIONS(2158),
    [anon_sym_GT] = ACTIONS(2158),
    [anon_sym_LT_EQ] = ACTIONS(2156),
    [anon_sym_GT_EQ] = ACTIONS(2156),
    [anon_sym_COLON] = ACTIONS(2158),
    [sym_op_other] = ACTIONS(2156),
    [anon_sym_PLUS] = ACTIONS(2156),
    [anon_sym_DASH] = ACTIONS(2158),
    [anon_sym_SLASH] = ACTIONS(2158),
    [anon_sym_PERCENT] = ACTIONS(2156),
    [anon_sym_CARET] = ACTIONS(2158),
    [anon_sym_BANG_EQ] = ACTIONS(2156),
    [anon_sym_LT_GT] = ACTIONS(2156),
  },
  [265] = {
    [ts_builtin_sym_end] = ACTIONS(2316),
    [anon_sym_SEMI] = ACTIONS(2316),
    [sym_keyword_from] = ACTIONS(2316),
    [sym_keyword_on] = ACTIONS(2316),
    [sym_keyword_where] = ACTIONS(2316),
    [sym_keyword_desc] = ACTIONS(2316),
    [sym_keyword_asc] = ACTIONS(2316),
    [sym_keyword_limit] = ACTIONS(2316),
    [sym_keyword_primary] = ACTIONS(2316),
    [sym_keyword_create] = ACTIONS(2316),
    [sym_keyword_as] = ACTIONS(2318),
    [sym_keyword_constraint] = ACTIONS(2316),
    [sym_keyword_separator] = ACTIONS(2316),
    [sym_keyword_when] = ACTIONS(2316),
    [sym_keyword_then] = ACTIONS(2316),
    [sym_keyword_else] = ACTIONS(2316),
    [sym_keyword_end] = ACTIONS(2316),
    [sym_keyword_in] = ACTIONS(2316),
    [sym_keyword_and] = ACTIONS(2316),
    [sym_keyword_or] = ACTIONS(2316),
    [sym_keyword_is] = ACTIONS(2316),
    [sym_keyword_not] = ACTIONS(2316),
    [sym_keyword_using] = ACTIONS(2316),
    [sym_keyword_auto_increment] = ACTIONS(2316),
    [sym_keyword_generated] = ACTIONS(2316),
    [sym_keyword_default] = ACTIONS(2316),
    [sym_keyword_with] = ACTIONS(2316),
    [sym_keyword_returning] = ACTIONS(2316),
    [sym_keyword_first] = ACTIONS(2316),
    [sym_keyword_after] = ACTIONS(2316),
    [sym_keyword_range] = ACTIONS(2316),
    [sym_keyword_rows] = ACTIONS(2316),
    [sym_keyword_groups] = ACTIONS(2316),
    [sym_keyword_between] = ACTIONS(2316),
    [sym_keyword_preceding] = ACTIONS(2316),
    [sym_keyword_following] = ACTIONS(2316),
    [sym_keyword_unique] = ACTIONS(2316),
    [sym_keyword_references] = ACTIONS(2316),
    [aux_sym_keyword_like_token1] = ACTIONS(2316),
    [aux_sym_keyword_like_token2] = ACTIONS(2316),
    [sym_keyword_similar] = ACTIONS(2316),
    [sym_keyword_check] = ACTIONS(2316),
    [sym_keyword_stored] = ACTIONS(2316),
    [sym_keyword_virtual] = ACTIONS(2316),
    [sym_keyword_comment] = ACTIONS(2316),
    [sym_keyword_null] = ACTIONS(2316),
    [sym_keyword_array] = ACTIONS(2316),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_RBRACK] = ACTIONS(2316),
    [anon_sym_RPAREN] = ACTIONS(2316),
    [anon_sym_COMMA] = ACTIONS(2316),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2316),
    [anon_sym_STAR] = ACTIONS(2316),
    [anon_sym_COLON_COLON] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2318),
    [anon_sym_GT] = ACTIONS(2318),
    [anon_sym_LT_EQ] = ACTIONS(2316),
    [anon_sym_GT_EQ] = ACTIONS(2316),
    [anon_sym_COLON] = ACTIONS(2318),
    [sym_op_other] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2316),
    [anon_sym_DASH] = ACTIONS(2318),
    [anon_sym_SLASH] = ACTIONS(2318),
    [anon_sym_PERCENT] = ACTIONS(2316),
    [anon_sym_CARET] = ACTIONS(2318),
    [anon_sym_BANG_EQ] = ACTIONS(2316),
    [anon_sym_LT_GT] = ACTIONS(2316),
  },
  [266] = {
    [ts_builtin_sym_end] = ACTIONS(2320),
    [anon_sym_SEMI] = ACTIONS(2320),
    [sym_keyword_from] = ACTIONS(2320),
    [sym_keyword_on] = ACTIONS(2320),
    [sym_keyword_where] = ACTIONS(2320),
    [sym_keyword_desc] = ACTIONS(2320),
    [sym_keyword_asc] = ACTIONS(2320),
    [sym_keyword_limit] = ACTIONS(2320),
    [sym_keyword_primary] = ACTIONS(2320),
    [sym_keyword_create] = ACTIONS(2320),
    [sym_keyword_as] = ACTIONS(2322),
    [sym_keyword_constraint] = ACTIONS(2320),
    [sym_keyword_separator] = ACTIONS(2320),
    [sym_keyword_when] = ACTIONS(2320),
    [sym_keyword_then] = ACTIONS(2320),
    [sym_keyword_else] = ACTIONS(2320),
    [sym_keyword_end] = ACTIONS(2320),
    [sym_keyword_in] = ACTIONS(2320),
    [sym_keyword_and] = ACTIONS(2320),
    [sym_keyword_or] = ACTIONS(2320),
    [sym_keyword_is] = ACTIONS(2320),
    [sym_keyword_not] = ACTIONS(2320),
    [sym_keyword_using] = ACTIONS(2320),
    [sym_keyword_auto_increment] = ACTIONS(2320),
    [sym_keyword_generated] = ACTIONS(2320),
    [sym_keyword_default] = ACTIONS(2320),
    [sym_keyword_with] = ACTIONS(2320),
    [sym_keyword_returning] = ACTIONS(2320),
    [sym_keyword_first] = ACTIONS(2320),
    [sym_keyword_after] = ACTIONS(2320),
    [sym_keyword_range] = ACTIONS(2320),
    [sym_keyword_rows] = ACTIONS(2320),
    [sym_keyword_groups] = ACTIONS(2320),
    [sym_keyword_between] = ACTIONS(2320),
    [sym_keyword_preceding] = ACTIONS(2320),
    [sym_keyword_following] = ACTIONS(2320),
    [sym_keyword_unique] = ACTIONS(2320),
    [sym_keyword_references] = ACTIONS(2320),
    [aux_sym_keyword_like_token1] = ACTIONS(2320),
    [aux_sym_keyword_like_token2] = ACTIONS(2320),
    [sym_keyword_similar] = ACTIONS(2320),
    [sym_keyword_check] = ACTIONS(2320),
    [sym_keyword_stored] = ACTIONS(2320),
    [sym_keyword_virtual] = ACTIONS(2320),
    [sym_keyword_comment] = ACTIONS(2320),
    [sym_keyword_null] = ACTIONS(2320),
    [sym_keyword_array] = ACTIONS(2320),
    [anon_sym_LBRACK] = ACTIONS(2320),
    [anon_sym_RBRACK] = ACTIONS(2320),
    [anon_sym_RPAREN] = ACTIONS(2320),
    [anon_sym_COMMA] = ACTIONS(2320),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2320),
    [anon_sym_STAR] = ACTIONS(2320),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LT] = ACTIONS(2322),
    [anon_sym_GT] = ACTIONS(2322),
    [anon_sym_LT_EQ] = ACTIONS(2320),
    [anon_sym_GT_EQ] = ACTIONS(2320),
    [anon_sym_COLON] = ACTIONS(2322),
    [sym_op_other] = ACTIONS(2320),
    [anon_sym_PLUS] = ACTIONS(2320),
    [anon_sym_DASH] = ACTIONS(2322),
    [anon_sym_SLASH] = ACTIONS(2322),
    [anon_sym_PERCENT] = ACTIONS(2320),
    [anon_sym_CARET] = ACTIONS(2322),
    [anon_sym_BANG_EQ] = ACTIONS(2320),
    [anon_sym_LT_GT] = ACTIONS(2320),
  },
  [267] = {
    [ts_builtin_sym_end] = ACTIONS(2324),
    [anon_sym_SEMI] = ACTIONS(2324),
    [sym_keyword_from] = ACTIONS(2324),
    [sym_keyword_on] = ACTIONS(2324),
    [sym_keyword_where] = ACTIONS(2324),
    [sym_keyword_desc] = ACTIONS(2324),
    [sym_keyword_asc] = ACTIONS(2324),
    [sym_keyword_limit] = ACTIONS(2324),
    [sym_keyword_primary] = ACTIONS(2324),
    [sym_keyword_create] = ACTIONS(2324),
    [sym_keyword_as] = ACTIONS(2326),
    [sym_keyword_constraint] = ACTIONS(2324),
    [sym_keyword_separator] = ACTIONS(2324),
    [sym_keyword_when] = ACTIONS(2324),
    [sym_keyword_then] = ACTIONS(2324),
    [sym_keyword_else] = ACTIONS(2324),
    [sym_keyword_end] = ACTIONS(2324),
    [sym_keyword_in] = ACTIONS(2324),
    [sym_keyword_and] = ACTIONS(2324),
    [sym_keyword_or] = ACTIONS(2324),
    [sym_keyword_is] = ACTIONS(2324),
    [sym_keyword_not] = ACTIONS(2324),
    [sym_keyword_using] = ACTIONS(2324),
    [sym_keyword_auto_increment] = ACTIONS(2324),
    [sym_keyword_generated] = ACTIONS(2324),
    [sym_keyword_default] = ACTIONS(2324),
    [sym_keyword_with] = ACTIONS(2324),
    [sym_keyword_returning] = ACTIONS(2324),
    [sym_keyword_first] = ACTIONS(2324),
    [sym_keyword_after] = ACTIONS(2324),
    [sym_keyword_range] = ACTIONS(2324),
    [sym_keyword_rows] = ACTIONS(2324),
    [sym_keyword_groups] = ACTIONS(2324),
    [sym_keyword_between] = ACTIONS(2324),
    [sym_keyword_preceding] = ACTIONS(2324),
    [sym_keyword_following] = ACTIONS(2324),
    [sym_keyword_unique] = ACTIONS(2324),
    [sym_keyword_references] = ACTIONS(2324),
    [aux_sym_keyword_like_token1] = ACTIONS(2324),
    [aux_sym_keyword_like_token2] = ACTIONS(2324),
    [sym_keyword_similar] = ACTIONS(2324),
    [sym_keyword_check] = ACTIONS(2324),
    [sym_keyword_stored] = ACTIONS(2324),
    [sym_keyword_virtual] = ACTIONS(2324),
    [sym_keyword_comment] = ACTIONS(2324),
    [sym_keyword_null] = ACTIONS(2324),
    [sym_keyword_array] = ACTIONS(2324),
    [anon_sym_LBRACK] = ACTIONS(2324),
    [anon_sym_RBRACK] = ACTIONS(2324),
    [anon_sym_RPAREN] = ACTIONS(2324),
    [anon_sym_COMMA] = ACTIONS(2324),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2324),
    [anon_sym_STAR] = ACTIONS(2324),
    [anon_sym_COLON_COLON] = ACTIONS(2324),
    [anon_sym_LT] = ACTIONS(2326),
    [anon_sym_GT] = ACTIONS(2326),
    [anon_sym_LT_EQ] = ACTIONS(2324),
    [anon_sym_GT_EQ] = ACTIONS(2324),
    [anon_sym_COLON] = ACTIONS(2326),
    [sym_op_other] = ACTIONS(2324),
    [anon_sym_PLUS] = ACTIONS(2324),
    [anon_sym_DASH] = ACTIONS(2326),
    [anon_sym_SLASH] = ACTIONS(2326),
    [anon_sym_PERCENT] = ACTIONS(2324),
    [anon_sym_CARET] = ACTIONS(2326),
    [anon_sym_BANG_EQ] = ACTIONS(2324),
    [anon_sym_LT_GT] = ACTIONS(2324),
  },
  [268] = {
    [ts_builtin_sym_end] = ACTIONS(2328),
    [anon_sym_SEMI] = ACTIONS(2328),
    [sym_keyword_from] = ACTIONS(2328),
    [sym_keyword_on] = ACTIONS(2328),
    [sym_keyword_where] = ACTIONS(2328),
    [sym_keyword_desc] = ACTIONS(2328),
    [sym_keyword_asc] = ACTIONS(2328),
    [sym_keyword_limit] = ACTIONS(2328),
    [sym_keyword_primary] = ACTIONS(2328),
    [sym_keyword_create] = ACTIONS(2328),
    [sym_keyword_as] = ACTIONS(2330),
    [sym_keyword_constraint] = ACTIONS(2328),
    [sym_keyword_separator] = ACTIONS(2328),
    [sym_keyword_when] = ACTIONS(2328),
    [sym_keyword_then] = ACTIONS(2328),
    [sym_keyword_else] = ACTIONS(2328),
    [sym_keyword_end] = ACTIONS(2328),
    [sym_keyword_in] = ACTIONS(2328),
    [sym_keyword_and] = ACTIONS(2328),
    [sym_keyword_or] = ACTIONS(2328),
    [sym_keyword_is] = ACTIONS(2328),
    [sym_keyword_not] = ACTIONS(2328),
    [sym_keyword_using] = ACTIONS(2328),
    [sym_keyword_auto_increment] = ACTIONS(2328),
    [sym_keyword_generated] = ACTIONS(2328),
    [sym_keyword_default] = ACTIONS(2328),
    [sym_keyword_with] = ACTIONS(2328),
    [sym_keyword_returning] = ACTIONS(2328),
    [sym_keyword_first] = ACTIONS(2328),
    [sym_keyword_after] = ACTIONS(2328),
    [sym_keyword_range] = ACTIONS(2328),
    [sym_keyword_rows] = ACTIONS(2328),
    [sym_keyword_groups] = ACTIONS(2328),
    [sym_keyword_between] = ACTIONS(2328),
    [sym_keyword_preceding] = ACTIONS(2328),
    [sym_keyword_following] = ACTIONS(2328),
    [sym_keyword_unique] = ACTIONS(2328),
    [sym_keyword_references] = ACTIONS(2328),
    [aux_sym_keyword_like_token1] = ACTIONS(2328),
    [aux_sym_keyword_like_token2] = ACTIONS(2328),
    [sym_keyword_similar] = ACTIONS(2328),
    [sym_keyword_check] = ACTIONS(2328),
    [sym_keyword_stored] = ACTIONS(2328),
    [sym_keyword_virtual] = ACTIONS(2328),
    [sym_keyword_comment] = ACTIONS(2328),
    [sym_keyword_null] = ACTIONS(2328),
    [sym_keyword_array] = ACTIONS(2328),
    [anon_sym_LBRACK] = ACTIONS(2328),
    [anon_sym_RBRACK] = ACTIONS(2328),
    [anon_sym_RPAREN] = ACTIONS(2328),
    [anon_sym_COMMA] = ACTIONS(2328),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2328),
    [anon_sym_STAR] = ACTIONS(2328),
    [anon_sym_COLON_COLON] = ACTIONS(2328),
    [anon_sym_LT] = ACTIONS(2330),
    [anon_sym_GT] = ACTIONS(2330),
    [anon_sym_LT_EQ] = ACTIONS(2328),
    [anon_sym_GT_EQ] = ACTIONS(2328),
    [anon_sym_COLON] = ACTIONS(2330),
    [sym_op_other] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2328),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_SLASH] = ACTIONS(2330),
    [anon_sym_PERCENT] = ACTIONS(2328),
    [anon_sym_CARET] = ACTIONS(2330),
    [anon_sym_BANG_EQ] = ACTIONS(2328),
    [anon_sym_LT_GT] = ACTIONS(2328),
  },
  [269] = {
    [ts_builtin_sym_end] = ACTIONS(2332),
    [anon_sym_SEMI] = ACTIONS(2332),
    [sym_keyword_from] = ACTIONS(2332),
    [sym_keyword_on] = ACTIONS(2332),
    [sym_keyword_where] = ACTIONS(2332),
    [sym_keyword_desc] = ACTIONS(2332),
    [sym_keyword_asc] = ACTIONS(2332),
    [sym_keyword_limit] = ACTIONS(2332),
    [sym_keyword_primary] = ACTIONS(2332),
    [sym_keyword_create] = ACTIONS(2332),
    [sym_keyword_as] = ACTIONS(2334),
    [sym_keyword_constraint] = ACTIONS(2332),
    [sym_keyword_separator] = ACTIONS(2332),
    [sym_keyword_when] = ACTIONS(2332),
    [sym_keyword_then] = ACTIONS(2332),
    [sym_keyword_else] = ACTIONS(2332),
    [sym_keyword_end] = ACTIONS(2332),
    [sym_keyword_in] = ACTIONS(2332),
    [sym_keyword_and] = ACTIONS(2332),
    [sym_keyword_or] = ACTIONS(2332),
    [sym_keyword_is] = ACTIONS(2332),
    [sym_keyword_not] = ACTIONS(2332),
    [sym_keyword_using] = ACTIONS(2332),
    [sym_keyword_auto_increment] = ACTIONS(2332),
    [sym_keyword_generated] = ACTIONS(2332),
    [sym_keyword_default] = ACTIONS(2332),
    [sym_keyword_with] = ACTIONS(2332),
    [sym_keyword_returning] = ACTIONS(2332),
    [sym_keyword_first] = ACTIONS(2332),
    [sym_keyword_after] = ACTIONS(2332),
    [sym_keyword_range] = ACTIONS(2332),
    [sym_keyword_rows] = ACTIONS(2332),
    [sym_keyword_groups] = ACTIONS(2332),
    [sym_keyword_between] = ACTIONS(2332),
    [sym_keyword_preceding] = ACTIONS(2332),
    [sym_keyword_following] = ACTIONS(2332),
    [sym_keyword_unique] = ACTIONS(2332),
    [sym_keyword_references] = ACTIONS(2332),
    [aux_sym_keyword_like_token1] = ACTIONS(2332),
    [aux_sym_keyword_like_token2] = ACTIONS(2332),
    [sym_keyword_similar] = ACTIONS(2332),
    [sym_keyword_check] = ACTIONS(2332),
    [sym_keyword_stored] = ACTIONS(2332),
    [sym_keyword_virtual] = ACTIONS(2332),
    [sym_keyword_comment] = ACTIONS(2332),
    [sym_keyword_null] = ACTIONS(2332),
    [sym_keyword_array] = ACTIONS(2332),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_RBRACK] = ACTIONS(2332),
    [anon_sym_RPAREN] = ACTIONS(2332),
    [anon_sym_COMMA] = ACTIONS(2332),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2332),
    [anon_sym_STAR] = ACTIONS(2332),
    [anon_sym_COLON_COLON] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2334),
    [anon_sym_GT] = ACTIONS(2334),
    [anon_sym_LT_EQ] = ACTIONS(2332),
    [anon_sym_GT_EQ] = ACTIONS(2332),
    [anon_sym_COLON] = ACTIONS(2334),
    [sym_op_other] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2332),
    [anon_sym_DASH] = ACTIONS(2334),
    [anon_sym_SLASH] = ACTIONS(2334),
    [anon_sym_PERCENT] = ACTIONS(2332),
    [anon_sym_CARET] = ACTIONS(2334),
    [anon_sym_BANG_EQ] = ACTIONS(2332),
    [anon_sym_LT_GT] = ACTIONS(2332),
  },
  [270] = {
    [ts_builtin_sym_end] = ACTIONS(2336),
    [anon_sym_SEMI] = ACTIONS(2336),
    [sym_keyword_from] = ACTIONS(2336),
    [sym_keyword_on] = ACTIONS(2336),
    [sym_keyword_where] = ACTIONS(2336),
    [sym_keyword_desc] = ACTIONS(2336),
    [sym_keyword_asc] = ACTIONS(2336),
    [sym_keyword_limit] = ACTIONS(2336),
    [sym_keyword_primary] = ACTIONS(2336),
    [sym_keyword_create] = ACTIONS(2336),
    [sym_keyword_as] = ACTIONS(2338),
    [sym_keyword_constraint] = ACTIONS(2336),
    [sym_keyword_separator] = ACTIONS(2336),
    [sym_keyword_when] = ACTIONS(2336),
    [sym_keyword_then] = ACTIONS(2336),
    [sym_keyword_else] = ACTIONS(2336),
    [sym_keyword_end] = ACTIONS(2336),
    [sym_keyword_in] = ACTIONS(2336),
    [sym_keyword_and] = ACTIONS(2336),
    [sym_keyword_or] = ACTIONS(2336),
    [sym_keyword_is] = ACTIONS(2336),
    [sym_keyword_not] = ACTIONS(2336),
    [sym_keyword_using] = ACTIONS(2336),
    [sym_keyword_auto_increment] = ACTIONS(2336),
    [sym_keyword_generated] = ACTIONS(2336),
    [sym_keyword_default] = ACTIONS(2336),
    [sym_keyword_with] = ACTIONS(2336),
    [sym_keyword_returning] = ACTIONS(2336),
    [sym_keyword_first] = ACTIONS(2336),
    [sym_keyword_after] = ACTIONS(2336),
    [sym_keyword_range] = ACTIONS(2336),
    [sym_keyword_rows] = ACTIONS(2336),
    [sym_keyword_groups] = ACTIONS(2336),
    [sym_keyword_between] = ACTIONS(2336),
    [sym_keyword_preceding] = ACTIONS(2336),
    [sym_keyword_following] = ACTIONS(2336),
    [sym_keyword_unique] = ACTIONS(2336),
    [sym_keyword_references] = ACTIONS(2336),
    [aux_sym_keyword_like_token1] = ACTIONS(2336),
    [aux_sym_keyword_like_token2] = ACTIONS(2336),
    [sym_keyword_similar] = ACTIONS(2336),
    [sym_keyword_check] = ACTIONS(2336),
    [sym_keyword_stored] = ACTIONS(2336),
    [sym_keyword_virtual] = ACTIONS(2336),
    [sym_keyword_comment] = ACTIONS(2336),
    [sym_keyword_null] = ACTIONS(2336),
    [sym_keyword_array] = ACTIONS(2336),
    [anon_sym_LBRACK] = ACTIONS(2336),
    [anon_sym_RBRACK] = ACTIONS(2336),
    [anon_sym_RPAREN] = ACTIONS(2336),
    [anon_sym_COMMA] = ACTIONS(2336),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2336),
    [anon_sym_STAR] = ACTIONS(2336),
    [anon_sym_COLON_COLON] = ACTIONS(2336),
    [anon_sym_LT] = ACTIONS(2338),
    [anon_sym_GT] = ACTIONS(2338),
    [anon_sym_LT_EQ] = ACTIONS(2336),
    [anon_sym_GT_EQ] = ACTIONS(2336),
    [anon_sym_COLON] = ACTIONS(2338),
    [sym_op_other] = ACTIONS(2336),
    [anon_sym_PLUS] = ACTIONS(2336),
    [anon_sym_DASH] = ACTIONS(2338),
    [anon_sym_SLASH] = ACTIONS(2338),
    [anon_sym_PERCENT] = ACTIONS(2336),
    [anon_sym_CARET] = ACTIONS(2338),
    [anon_sym_BANG_EQ] = ACTIONS(2336),
    [anon_sym_LT_GT] = ACTIONS(2336),
  },
  [271] = {
    [ts_builtin_sym_end] = ACTIONS(2340),
    [anon_sym_SEMI] = ACTIONS(2340),
    [sym_keyword_from] = ACTIONS(2340),
    [sym_keyword_on] = ACTIONS(2340),
    [sym_keyword_where] = ACTIONS(2340),
    [sym_keyword_desc] = ACTIONS(2340),
    [sym_keyword_asc] = ACTIONS(2340),
    [sym_keyword_limit] = ACTIONS(2340),
    [sym_keyword_primary] = ACTIONS(2340),
    [sym_keyword_create] = ACTIONS(2340),
    [sym_keyword_as] = ACTIONS(2342),
    [sym_keyword_constraint] = ACTIONS(2340),
    [sym_keyword_separator] = ACTIONS(2340),
    [sym_keyword_when] = ACTIONS(2340),
    [sym_keyword_then] = ACTIONS(2340),
    [sym_keyword_else] = ACTIONS(2340),
    [sym_keyword_end] = ACTIONS(2340),
    [sym_keyword_in] = ACTIONS(2340),
    [sym_keyword_and] = ACTIONS(2340),
    [sym_keyword_or] = ACTIONS(2340),
    [sym_keyword_is] = ACTIONS(2340),
    [sym_keyword_not] = ACTIONS(2340),
    [sym_keyword_using] = ACTIONS(2340),
    [sym_keyword_auto_increment] = ACTIONS(2340),
    [sym_keyword_generated] = ACTIONS(2340),
    [sym_keyword_default] = ACTIONS(2340),
    [sym_keyword_with] = ACTIONS(2340),
    [sym_keyword_returning] = ACTIONS(2340),
    [sym_keyword_first] = ACTIONS(2340),
    [sym_keyword_after] = ACTIONS(2340),
    [sym_keyword_range] = ACTIONS(2340),
    [sym_keyword_rows] = ACTIONS(2340),
    [sym_keyword_groups] = ACTIONS(2340),
    [sym_keyword_between] = ACTIONS(2340),
    [sym_keyword_preceding] = ACTIONS(2340),
    [sym_keyword_following] = ACTIONS(2340),
    [sym_keyword_unique] = ACTIONS(2340),
    [sym_keyword_references] = ACTIONS(2340),
    [aux_sym_keyword_like_token1] = ACTIONS(2340),
    [aux_sym_keyword_like_token2] = ACTIONS(2340),
    [sym_keyword_similar] = ACTIONS(2340),
    [sym_keyword_check] = ACTIONS(2340),
    [sym_keyword_stored] = ACTIONS(2340),
    [sym_keyword_virtual] = ACTIONS(2340),
    [sym_keyword_comment] = ACTIONS(2340),
    [sym_keyword_null] = ACTIONS(2340),
    [sym_keyword_array] = ACTIONS(2340),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_RBRACK] = ACTIONS(2340),
    [anon_sym_RPAREN] = ACTIONS(2340),
    [anon_sym_COMMA] = ACTIONS(2340),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2340),
    [anon_sym_STAR] = ACTIONS(2340),
    [anon_sym_COLON_COLON] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2342),
    [anon_sym_GT] = ACTIONS(2342),
    [anon_sym_LT_EQ] = ACTIONS(2340),
    [anon_sym_GT_EQ] = ACTIONS(2340),
    [anon_sym_COLON] = ACTIONS(2342),
    [sym_op_other] = ACTIONS(2340),
    [anon_sym_PLUS] = ACTIONS(2340),
    [anon_sym_DASH] = ACTIONS(2342),
    [anon_sym_SLASH] = ACTIONS(2342),
    [anon_sym_PERCENT] = ACTIONS(2340),
    [anon_sym_CARET] = ACTIONS(2342),
    [anon_sym_BANG_EQ] = ACTIONS(2340),
    [anon_sym_LT_GT] = ACTIONS(2340),
  },
  [272] = {
    [ts_builtin_sym_end] = ACTIONS(2056),
    [anon_sym_SEMI] = ACTIONS(2056),
    [sym_keyword_from] = ACTIONS(2056),
    [sym_keyword_on] = ACTIONS(2056),
    [sym_keyword_where] = ACTIONS(2056),
    [sym_keyword_desc] = ACTIONS(2056),
    [sym_keyword_asc] = ACTIONS(2056),
    [sym_keyword_limit] = ACTIONS(2056),
    [sym_keyword_primary] = ACTIONS(2056),
    [sym_keyword_create] = ACTIONS(2056),
    [sym_keyword_as] = ACTIONS(2058),
    [sym_keyword_constraint] = ACTIONS(2056),
    [sym_keyword_separator] = ACTIONS(2056),
    [sym_keyword_when] = ACTIONS(2056),
    [sym_keyword_then] = ACTIONS(2056),
    [sym_keyword_else] = ACTIONS(2056),
    [sym_keyword_end] = ACTIONS(2056),
    [sym_keyword_in] = ACTIONS(2056),
    [sym_keyword_and] = ACTIONS(2056),
    [sym_keyword_or] = ACTIONS(2056),
    [sym_keyword_is] = ACTIONS(2056),
    [sym_keyword_not] = ACTIONS(2056),
    [sym_keyword_using] = ACTIONS(2056),
    [sym_keyword_auto_increment] = ACTIONS(2056),
    [sym_keyword_generated] = ACTIONS(2056),
    [sym_keyword_default] = ACTIONS(2056),
    [sym_keyword_with] = ACTIONS(2056),
    [sym_keyword_returning] = ACTIONS(2056),
    [sym_keyword_first] = ACTIONS(2056),
    [sym_keyword_after] = ACTIONS(2056),
    [sym_keyword_range] = ACTIONS(2056),
    [sym_keyword_rows] = ACTIONS(2056),
    [sym_keyword_groups] = ACTIONS(2056),
    [sym_keyword_between] = ACTIONS(2056),
    [sym_keyword_preceding] = ACTIONS(2056),
    [sym_keyword_following] = ACTIONS(2056),
    [sym_keyword_unique] = ACTIONS(2056),
    [sym_keyword_references] = ACTIONS(2056),
    [aux_sym_keyword_like_token1] = ACTIONS(2056),
    [aux_sym_keyword_like_token2] = ACTIONS(2056),
    [sym_keyword_similar] = ACTIONS(2056),
    [sym_keyword_check] = ACTIONS(2056),
    [sym_keyword_stored] = ACTIONS(2056),
    [sym_keyword_virtual] = ACTIONS(2056),
    [sym_keyword_comment] = ACTIONS(2056),
    [sym_keyword_null] = ACTIONS(2056),
    [sym_keyword_array] = ACTIONS(2056),
    [anon_sym_LBRACK] = ACTIONS(2056),
    [anon_sym_RBRACK] = ACTIONS(2056),
    [anon_sym_RPAREN] = ACTIONS(2056),
    [anon_sym_COMMA] = ACTIONS(2056),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2056),
    [anon_sym_STAR] = ACTIONS(2056),
    [anon_sym_COLON_COLON] = ACTIONS(2056),
    [anon_sym_LT] = ACTIONS(2058),
    [anon_sym_GT] = ACTIONS(2058),
    [anon_sym_LT_EQ] = ACTIONS(2056),
    [anon_sym_GT_EQ] = ACTIONS(2056),
    [anon_sym_COLON] = ACTIONS(2058),
    [sym_op_other] = ACTIONS(2056),
    [anon_sym_PLUS] = ACTIONS(2056),
    [anon_sym_DASH] = ACTIONS(2058),
    [anon_sym_SLASH] = ACTIONS(2058),
    [anon_sym_PERCENT] = ACTIONS(2056),
    [anon_sym_CARET] = ACTIONS(2058),
    [anon_sym_BANG_EQ] = ACTIONS(2056),
    [anon_sym_LT_GT] = ACTIONS(2056),
  },
  [273] = {
    [ts_builtin_sym_end] = ACTIONS(2344),
    [anon_sym_SEMI] = ACTIONS(2344),
    [sym_keyword_from] = ACTIONS(2344),
    [sym_keyword_on] = ACTIONS(2344),
    [sym_keyword_where] = ACTIONS(2344),
    [sym_keyword_desc] = ACTIONS(2344),
    [sym_keyword_asc] = ACTIONS(2344),
    [sym_keyword_limit] = ACTIONS(2344),
    [sym_keyword_primary] = ACTIONS(2344),
    [sym_keyword_create] = ACTIONS(2344),
    [sym_keyword_as] = ACTIONS(2346),
    [sym_keyword_constraint] = ACTIONS(2344),
    [sym_keyword_separator] = ACTIONS(2344),
    [sym_keyword_when] = ACTIONS(2344),
    [sym_keyword_then] = ACTIONS(2344),
    [sym_keyword_else] = ACTIONS(2344),
    [sym_keyword_end] = ACTIONS(2344),
    [sym_keyword_in] = ACTIONS(2344),
    [sym_keyword_and] = ACTIONS(2344),
    [sym_keyword_or] = ACTIONS(2344),
    [sym_keyword_is] = ACTIONS(2344),
    [sym_keyword_not] = ACTIONS(2344),
    [sym_keyword_using] = ACTIONS(2344),
    [sym_keyword_auto_increment] = ACTIONS(2344),
    [sym_keyword_generated] = ACTIONS(2344),
    [sym_keyword_default] = ACTIONS(2344),
    [sym_keyword_with] = ACTIONS(2344),
    [sym_keyword_returning] = ACTIONS(2344),
    [sym_keyword_first] = ACTIONS(2344),
    [sym_keyword_after] = ACTIONS(2344),
    [sym_keyword_range] = ACTIONS(2344),
    [sym_keyword_rows] = ACTIONS(2344),
    [sym_keyword_groups] = ACTIONS(2344),
    [sym_keyword_between] = ACTIONS(2344),
    [sym_keyword_preceding] = ACTIONS(2344),
    [sym_keyword_following] = ACTIONS(2344),
    [sym_keyword_unique] = ACTIONS(2344),
    [sym_keyword_references] = ACTIONS(2344),
    [aux_sym_keyword_like_token1] = ACTIONS(2344),
    [aux_sym_keyword_like_token2] = ACTIONS(2344),
    [sym_keyword_similar] = ACTIONS(2344),
    [sym_keyword_check] = ACTIONS(2344),
    [sym_keyword_stored] = ACTIONS(2344),
    [sym_keyword_virtual] = ACTIONS(2344),
    [sym_keyword_comment] = ACTIONS(2344),
    [sym_keyword_null] = ACTIONS(2344),
    [sym_keyword_array] = ACTIONS(2344),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [anon_sym_RBRACK] = ACTIONS(2344),
    [anon_sym_RPAREN] = ACTIONS(2344),
    [anon_sym_COMMA] = ACTIONS(2344),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2344),
    [anon_sym_STAR] = ACTIONS(2344),
    [anon_sym_COLON_COLON] = ACTIONS(2344),
    [anon_sym_LT] = ACTIONS(2346),
    [anon_sym_GT] = ACTIONS(2346),
    [anon_sym_LT_EQ] = ACTIONS(2344),
    [anon_sym_GT_EQ] = ACTIONS(2344),
    [anon_sym_COLON] = ACTIONS(2346),
    [sym_op_other] = ACTIONS(2344),
    [anon_sym_PLUS] = ACTIONS(2344),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_SLASH] = ACTIONS(2346),
    [anon_sym_PERCENT] = ACTIONS(2344),
    [anon_sym_CARET] = ACTIONS(2346),
    [anon_sym_BANG_EQ] = ACTIONS(2344),
    [anon_sym_LT_GT] = ACTIONS(2344),
  },
  [274] = {
    [ts_builtin_sym_end] = ACTIONS(2348),
    [anon_sym_SEMI] = ACTIONS(2348),
    [sym_keyword_from] = ACTIONS(2348),
    [sym_keyword_on] = ACTIONS(2348),
    [sym_keyword_where] = ACTIONS(2348),
    [sym_keyword_desc] = ACTIONS(2348),
    [sym_keyword_asc] = ACTIONS(2348),
    [sym_keyword_limit] = ACTIONS(2348),
    [sym_keyword_primary] = ACTIONS(2348),
    [sym_keyword_create] = ACTIONS(2348),
    [sym_keyword_as] = ACTIONS(2350),
    [sym_keyword_constraint] = ACTIONS(2348),
    [sym_keyword_separator] = ACTIONS(2348),
    [sym_keyword_when] = ACTIONS(2348),
    [sym_keyword_then] = ACTIONS(2348),
    [sym_keyword_else] = ACTIONS(2348),
    [sym_keyword_end] = ACTIONS(2348),
    [sym_keyword_in] = ACTIONS(2348),
    [sym_keyword_and] = ACTIONS(2348),
    [sym_keyword_or] = ACTIONS(2348),
    [sym_keyword_is] = ACTIONS(2348),
    [sym_keyword_not] = ACTIONS(2348),
    [sym_keyword_using] = ACTIONS(2348),
    [sym_keyword_auto_increment] = ACTIONS(2348),
    [sym_keyword_generated] = ACTIONS(2348),
    [sym_keyword_default] = ACTIONS(2348),
    [sym_keyword_with] = ACTIONS(2348),
    [sym_keyword_returning] = ACTIONS(2348),
    [sym_keyword_first] = ACTIONS(2348),
    [sym_keyword_after] = ACTIONS(2348),
    [sym_keyword_range] = ACTIONS(2348),
    [sym_keyword_rows] = ACTIONS(2348),
    [sym_keyword_groups] = ACTIONS(2348),
    [sym_keyword_between] = ACTIONS(2348),
    [sym_keyword_preceding] = ACTIONS(2348),
    [sym_keyword_following] = ACTIONS(2348),
    [sym_keyword_unique] = ACTIONS(2348),
    [sym_keyword_references] = ACTIONS(2348),
    [aux_sym_keyword_like_token1] = ACTIONS(2348),
    [aux_sym_keyword_like_token2] = ACTIONS(2348),
    [sym_keyword_similar] = ACTIONS(2348),
    [sym_keyword_check] = ACTIONS(2348),
    [sym_keyword_stored] = ACTIONS(2348),
    [sym_keyword_virtual] = ACTIONS(2348),
    [sym_keyword_comment] = ACTIONS(2348),
    [sym_keyword_null] = ACTIONS(2348),
    [sym_keyword_array] = ACTIONS(2348),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym_RBRACK] = ACTIONS(2348),
    [anon_sym_RPAREN] = ACTIONS(2348),
    [anon_sym_COMMA] = ACTIONS(2348),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2348),
    [anon_sym_STAR] = ACTIONS(2348),
    [anon_sym_COLON_COLON] = ACTIONS(2348),
    [anon_sym_LT] = ACTIONS(2350),
    [anon_sym_GT] = ACTIONS(2350),
    [anon_sym_LT_EQ] = ACTIONS(2348),
    [anon_sym_GT_EQ] = ACTIONS(2348),
    [anon_sym_COLON] = ACTIONS(2350),
    [sym_op_other] = ACTIONS(2348),
    [anon_sym_PLUS] = ACTIONS(2348),
    [anon_sym_DASH] = ACTIONS(2350),
    [anon_sym_SLASH] = ACTIONS(2350),
    [anon_sym_PERCENT] = ACTIONS(2348),
    [anon_sym_CARET] = ACTIONS(2350),
    [anon_sym_BANG_EQ] = ACTIONS(2348),
    [anon_sym_LT_GT] = ACTIONS(2348),
  },
  [275] = {
    [ts_builtin_sym_end] = ACTIONS(2352),
    [anon_sym_SEMI] = ACTIONS(2352),
    [sym_keyword_from] = ACTIONS(2352),
    [sym_keyword_on] = ACTIONS(2352),
    [sym_keyword_where] = ACTIONS(2352),
    [sym_keyword_desc] = ACTIONS(2352),
    [sym_keyword_asc] = ACTIONS(2352),
    [sym_keyword_limit] = ACTIONS(2352),
    [sym_keyword_primary] = ACTIONS(2352),
    [sym_keyword_create] = ACTIONS(2352),
    [sym_keyword_as] = ACTIONS(2354),
    [sym_keyword_constraint] = ACTIONS(2352),
    [sym_keyword_separator] = ACTIONS(2352),
    [sym_keyword_when] = ACTIONS(2352),
    [sym_keyword_then] = ACTIONS(2352),
    [sym_keyword_else] = ACTIONS(2352),
    [sym_keyword_end] = ACTIONS(2352),
    [sym_keyword_in] = ACTIONS(2352),
    [sym_keyword_and] = ACTIONS(2352),
    [sym_keyword_or] = ACTIONS(2352),
    [sym_keyword_is] = ACTIONS(2352),
    [sym_keyword_not] = ACTIONS(2352),
    [sym_keyword_using] = ACTIONS(2352),
    [sym_keyword_auto_increment] = ACTIONS(2352),
    [sym_keyword_generated] = ACTIONS(2352),
    [sym_keyword_default] = ACTIONS(2352),
    [sym_keyword_with] = ACTIONS(2352),
    [sym_keyword_returning] = ACTIONS(2352),
    [sym_keyword_first] = ACTIONS(2352),
    [sym_keyword_after] = ACTIONS(2352),
    [sym_keyword_range] = ACTIONS(2352),
    [sym_keyword_rows] = ACTIONS(2352),
    [sym_keyword_groups] = ACTIONS(2352),
    [sym_keyword_between] = ACTIONS(2352),
    [sym_keyword_preceding] = ACTIONS(2352),
    [sym_keyword_following] = ACTIONS(2352),
    [sym_keyword_unique] = ACTIONS(2352),
    [sym_keyword_references] = ACTIONS(2352),
    [aux_sym_keyword_like_token1] = ACTIONS(2352),
    [aux_sym_keyword_like_token2] = ACTIONS(2352),
    [sym_keyword_similar] = ACTIONS(2352),
    [sym_keyword_check] = ACTIONS(2352),
    [sym_keyword_stored] = ACTIONS(2352),
    [sym_keyword_virtual] = ACTIONS(2352),
    [sym_keyword_comment] = ACTIONS(2352),
    [sym_keyword_null] = ACTIONS(2352),
    [sym_keyword_array] = ACTIONS(2352),
    [anon_sym_LBRACK] = ACTIONS(2352),
    [anon_sym_RBRACK] = ACTIONS(2352),
    [anon_sym_RPAREN] = ACTIONS(2352),
    [anon_sym_COMMA] = ACTIONS(2352),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2352),
    [anon_sym_STAR] = ACTIONS(2352),
    [anon_sym_COLON_COLON] = ACTIONS(2352),
    [anon_sym_LT] = ACTIONS(2354),
    [anon_sym_GT] = ACTIONS(2354),
    [anon_sym_LT_EQ] = ACTIONS(2352),
    [anon_sym_GT_EQ] = ACTIONS(2352),
    [anon_sym_COLON] = ACTIONS(2354),
    [sym_op_other] = ACTIONS(2352),
    [anon_sym_PLUS] = ACTIONS(2352),
    [anon_sym_DASH] = ACTIONS(2354),
    [anon_sym_SLASH] = ACTIONS(2354),
    [anon_sym_PERCENT] = ACTIONS(2352),
    [anon_sym_CARET] = ACTIONS(2354),
    [anon_sym_BANG_EQ] = ACTIONS(2352),
    [anon_sym_LT_GT] = ACTIONS(2352),
  },
  [276] = {
    [ts_builtin_sym_end] = ACTIONS(2356),
    [anon_sym_SEMI] = ACTIONS(2356),
    [sym_keyword_from] = ACTIONS(2356),
    [sym_keyword_on] = ACTIONS(2356),
    [sym_keyword_where] = ACTIONS(2356),
    [sym_keyword_desc] = ACTIONS(2356),
    [sym_keyword_asc] = ACTIONS(2356),
    [sym_keyword_limit] = ACTIONS(2356),
    [sym_keyword_primary] = ACTIONS(2356),
    [sym_keyword_create] = ACTIONS(2356),
    [sym_keyword_as] = ACTIONS(2358),
    [sym_keyword_constraint] = ACTIONS(2356),
    [sym_keyword_separator] = ACTIONS(2356),
    [sym_keyword_when] = ACTIONS(2356),
    [sym_keyword_then] = ACTIONS(2356),
    [sym_keyword_else] = ACTIONS(2356),
    [sym_keyword_end] = ACTIONS(2356),
    [sym_keyword_in] = ACTIONS(2356),
    [sym_keyword_and] = ACTIONS(2356),
    [sym_keyword_or] = ACTIONS(2356),
    [sym_keyword_is] = ACTIONS(2356),
    [sym_keyword_not] = ACTIONS(2356),
    [sym_keyword_using] = ACTIONS(2356),
    [sym_keyword_auto_increment] = ACTIONS(2356),
    [sym_keyword_generated] = ACTIONS(2356),
    [sym_keyword_default] = ACTIONS(2356),
    [sym_keyword_with] = ACTIONS(2356),
    [sym_keyword_returning] = ACTIONS(2356),
    [sym_keyword_first] = ACTIONS(2356),
    [sym_keyword_after] = ACTIONS(2356),
    [sym_keyword_range] = ACTIONS(2356),
    [sym_keyword_rows] = ACTIONS(2356),
    [sym_keyword_groups] = ACTIONS(2356),
    [sym_keyword_between] = ACTIONS(2356),
    [sym_keyword_preceding] = ACTIONS(2356),
    [sym_keyword_following] = ACTIONS(2356),
    [sym_keyword_unique] = ACTIONS(2356),
    [sym_keyword_references] = ACTIONS(2356),
    [aux_sym_keyword_like_token1] = ACTIONS(2356),
    [aux_sym_keyword_like_token2] = ACTIONS(2356),
    [sym_keyword_similar] = ACTIONS(2356),
    [sym_keyword_check] = ACTIONS(2356),
    [sym_keyword_stored] = ACTIONS(2356),
    [sym_keyword_virtual] = ACTIONS(2356),
    [sym_keyword_comment] = ACTIONS(2356),
    [sym_keyword_null] = ACTIONS(2356),
    [sym_keyword_array] = ACTIONS(2356),
    [anon_sym_LBRACK] = ACTIONS(2356),
    [anon_sym_RBRACK] = ACTIONS(2356),
    [anon_sym_RPAREN] = ACTIONS(2356),
    [anon_sym_COMMA] = ACTIONS(2356),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2356),
    [anon_sym_STAR] = ACTIONS(2356),
    [anon_sym_COLON_COLON] = ACTIONS(2356),
    [anon_sym_LT] = ACTIONS(2358),
    [anon_sym_GT] = ACTIONS(2358),
    [anon_sym_LT_EQ] = ACTIONS(2356),
    [anon_sym_GT_EQ] = ACTIONS(2356),
    [anon_sym_COLON] = ACTIONS(2358),
    [sym_op_other] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2356),
    [anon_sym_DASH] = ACTIONS(2358),
    [anon_sym_SLASH] = ACTIONS(2358),
    [anon_sym_PERCENT] = ACTIONS(2356),
    [anon_sym_CARET] = ACTIONS(2358),
    [anon_sym_BANG_EQ] = ACTIONS(2356),
    [anon_sym_LT_GT] = ACTIONS(2356),
  },
  [277] = {
    [ts_builtin_sym_end] = ACTIONS(2360),
    [anon_sym_SEMI] = ACTIONS(2360),
    [sym_keyword_from] = ACTIONS(2360),
    [sym_keyword_on] = ACTIONS(2360),
    [sym_keyword_where] = ACTIONS(2360),
    [sym_keyword_desc] = ACTIONS(2360),
    [sym_keyword_asc] = ACTIONS(2360),
    [sym_keyword_limit] = ACTIONS(2360),
    [sym_keyword_primary] = ACTIONS(2360),
    [sym_keyword_create] = ACTIONS(2360),
    [sym_keyword_as] = ACTIONS(2362),
    [sym_keyword_constraint] = ACTIONS(2360),
    [sym_keyword_separator] = ACTIONS(2360),
    [sym_keyword_when] = ACTIONS(2360),
    [sym_keyword_then] = ACTIONS(2360),
    [sym_keyword_else] = ACTIONS(2360),
    [sym_keyword_end] = ACTIONS(2360),
    [sym_keyword_in] = ACTIONS(2360),
    [sym_keyword_and] = ACTIONS(2360),
    [sym_keyword_or] = ACTIONS(2360),
    [sym_keyword_is] = ACTIONS(2360),
    [sym_keyword_not] = ACTIONS(2360),
    [sym_keyword_using] = ACTIONS(2360),
    [sym_keyword_auto_increment] = ACTIONS(2360),
    [sym_keyword_generated] = ACTIONS(2360),
    [sym_keyword_default] = ACTIONS(2360),
    [sym_keyword_with] = ACTIONS(2360),
    [sym_keyword_returning] = ACTIONS(2360),
    [sym_keyword_first] = ACTIONS(2360),
    [sym_keyword_after] = ACTIONS(2360),
    [sym_keyword_range] = ACTIONS(2360),
    [sym_keyword_rows] = ACTIONS(2360),
    [sym_keyword_groups] = ACTIONS(2360),
    [sym_keyword_between] = ACTIONS(2360),
    [sym_keyword_preceding] = ACTIONS(2360),
    [sym_keyword_following] = ACTIONS(2360),
    [sym_keyword_unique] = ACTIONS(2360),
    [sym_keyword_references] = ACTIONS(2360),
    [aux_sym_keyword_like_token1] = ACTIONS(2360),
    [aux_sym_keyword_like_token2] = ACTIONS(2360),
    [sym_keyword_similar] = ACTIONS(2360),
    [sym_keyword_check] = ACTIONS(2360),
    [sym_keyword_stored] = ACTIONS(2360),
    [sym_keyword_virtual] = ACTIONS(2360),
    [sym_keyword_comment] = ACTIONS(2360),
    [sym_keyword_null] = ACTIONS(2360),
    [sym_keyword_array] = ACTIONS(2360),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [anon_sym_RBRACK] = ACTIONS(2360),
    [anon_sym_RPAREN] = ACTIONS(2360),
    [anon_sym_COMMA] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2360),
    [anon_sym_STAR] = ACTIONS(2360),
    [anon_sym_COLON_COLON] = ACTIONS(2360),
    [anon_sym_LT] = ACTIONS(2362),
    [anon_sym_GT] = ACTIONS(2362),
    [anon_sym_LT_EQ] = ACTIONS(2360),
    [anon_sym_GT_EQ] = ACTIONS(2360),
    [anon_sym_COLON] = ACTIONS(2362),
    [sym_op_other] = ACTIONS(2360),
    [anon_sym_PLUS] = ACTIONS(2360),
    [anon_sym_DASH] = ACTIONS(2362),
    [anon_sym_SLASH] = ACTIONS(2362),
    [anon_sym_PERCENT] = ACTIONS(2360),
    [anon_sym_CARET] = ACTIONS(2362),
    [anon_sym_BANG_EQ] = ACTIONS(2360),
    [anon_sym_LT_GT] = ACTIONS(2360),
  },
  [278] = {
    [ts_builtin_sym_end] = ACTIONS(2364),
    [anon_sym_SEMI] = ACTIONS(2364),
    [sym_keyword_from] = ACTIONS(2364),
    [sym_keyword_on] = ACTIONS(2364),
    [sym_keyword_where] = ACTIONS(2364),
    [sym_keyword_desc] = ACTIONS(2364),
    [sym_keyword_asc] = ACTIONS(2364),
    [sym_keyword_limit] = ACTIONS(2364),
    [sym_keyword_primary] = ACTIONS(2364),
    [sym_keyword_create] = ACTIONS(2364),
    [sym_keyword_as] = ACTIONS(2366),
    [sym_keyword_constraint] = ACTIONS(2364),
    [sym_keyword_separator] = ACTIONS(2364),
    [sym_keyword_when] = ACTIONS(2364),
    [sym_keyword_then] = ACTIONS(2364),
    [sym_keyword_else] = ACTIONS(2364),
    [sym_keyword_end] = ACTIONS(2364),
    [sym_keyword_in] = ACTIONS(2364),
    [sym_keyword_and] = ACTIONS(2364),
    [sym_keyword_or] = ACTIONS(2364),
    [sym_keyword_is] = ACTIONS(2364),
    [sym_keyword_not] = ACTIONS(2364),
    [sym_keyword_using] = ACTIONS(2364),
    [sym_keyword_auto_increment] = ACTIONS(2364),
    [sym_keyword_generated] = ACTIONS(2364),
    [sym_keyword_default] = ACTIONS(2364),
    [sym_keyword_with] = ACTIONS(2364),
    [sym_keyword_returning] = ACTIONS(2364),
    [sym_keyword_first] = ACTIONS(2364),
    [sym_keyword_after] = ACTIONS(2364),
    [sym_keyword_range] = ACTIONS(2364),
    [sym_keyword_rows] = ACTIONS(2364),
    [sym_keyword_groups] = ACTIONS(2364),
    [sym_keyword_between] = ACTIONS(2364),
    [sym_keyword_preceding] = ACTIONS(2364),
    [sym_keyword_following] = ACTIONS(2364),
    [sym_keyword_unique] = ACTIONS(2364),
    [sym_keyword_references] = ACTIONS(2364),
    [aux_sym_keyword_like_token1] = ACTIONS(2364),
    [aux_sym_keyword_like_token2] = ACTIONS(2364),
    [sym_keyword_similar] = ACTIONS(2364),
    [sym_keyword_check] = ACTIONS(2364),
    [sym_keyword_stored] = ACTIONS(2364),
    [sym_keyword_virtual] = ACTIONS(2364),
    [sym_keyword_comment] = ACTIONS(2364),
    [sym_keyword_null] = ACTIONS(2364),
    [sym_keyword_array] = ACTIONS(2364),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_RBRACK] = ACTIONS(2364),
    [anon_sym_RPAREN] = ACTIONS(2364),
    [anon_sym_COMMA] = ACTIONS(2364),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2364),
    [anon_sym_STAR] = ACTIONS(2364),
    [anon_sym_COLON_COLON] = ACTIONS(2364),
    [anon_sym_LT] = ACTIONS(2366),
    [anon_sym_GT] = ACTIONS(2366),
    [anon_sym_LT_EQ] = ACTIONS(2364),
    [anon_sym_GT_EQ] = ACTIONS(2364),
    [anon_sym_COLON] = ACTIONS(2366),
    [sym_op_other] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2364),
    [anon_sym_DASH] = ACTIONS(2366),
    [anon_sym_SLASH] = ACTIONS(2366),
    [anon_sym_PERCENT] = ACTIONS(2364),
    [anon_sym_CARET] = ACTIONS(2366),
    [anon_sym_BANG_EQ] = ACTIONS(2364),
    [anon_sym_LT_GT] = ACTIONS(2364),
  },
  [279] = {
    [ts_builtin_sym_end] = ACTIONS(2368),
    [anon_sym_SEMI] = ACTIONS(2368),
    [sym_keyword_from] = ACTIONS(2368),
    [sym_keyword_on] = ACTIONS(2368),
    [sym_keyword_where] = ACTIONS(2368),
    [sym_keyword_desc] = ACTIONS(2368),
    [sym_keyword_asc] = ACTIONS(2368),
    [sym_keyword_limit] = ACTIONS(2368),
    [sym_keyword_primary] = ACTIONS(2368),
    [sym_keyword_create] = ACTIONS(2368),
    [sym_keyword_as] = ACTIONS(2370),
    [sym_keyword_constraint] = ACTIONS(2368),
    [sym_keyword_separator] = ACTIONS(2368),
    [sym_keyword_when] = ACTIONS(2368),
    [sym_keyword_then] = ACTIONS(2368),
    [sym_keyword_else] = ACTIONS(2368),
    [sym_keyword_end] = ACTIONS(2368),
    [sym_keyword_in] = ACTIONS(2368),
    [sym_keyword_and] = ACTIONS(2368),
    [sym_keyword_or] = ACTIONS(2368),
    [sym_keyword_is] = ACTIONS(2368),
    [sym_keyword_not] = ACTIONS(2368),
    [sym_keyword_using] = ACTIONS(2368),
    [sym_keyword_auto_increment] = ACTIONS(2368),
    [sym_keyword_generated] = ACTIONS(2368),
    [sym_keyword_default] = ACTIONS(2368),
    [sym_keyword_with] = ACTIONS(2368),
    [sym_keyword_returning] = ACTIONS(2368),
    [sym_keyword_first] = ACTIONS(2368),
    [sym_keyword_after] = ACTIONS(2368),
    [sym_keyword_range] = ACTIONS(2368),
    [sym_keyword_rows] = ACTIONS(2368),
    [sym_keyword_groups] = ACTIONS(2368),
    [sym_keyword_between] = ACTIONS(2368),
    [sym_keyword_preceding] = ACTIONS(2368),
    [sym_keyword_following] = ACTIONS(2368),
    [sym_keyword_unique] = ACTIONS(2368),
    [sym_keyword_references] = ACTIONS(2368),
    [aux_sym_keyword_like_token1] = ACTIONS(2368),
    [aux_sym_keyword_like_token2] = ACTIONS(2368),
    [sym_keyword_similar] = ACTIONS(2368),
    [sym_keyword_check] = ACTIONS(2368),
    [sym_keyword_stored] = ACTIONS(2368),
    [sym_keyword_virtual] = ACTIONS(2368),
    [sym_keyword_comment] = ACTIONS(2368),
    [sym_keyword_null] = ACTIONS(2368),
    [sym_keyword_array] = ACTIONS(2368),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_RBRACK] = ACTIONS(2368),
    [anon_sym_RPAREN] = ACTIONS(2368),
    [anon_sym_COMMA] = ACTIONS(2368),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2368),
    [anon_sym_STAR] = ACTIONS(2368),
    [anon_sym_COLON_COLON] = ACTIONS(2368),
    [anon_sym_LT] = ACTIONS(2370),
    [anon_sym_GT] = ACTIONS(2370),
    [anon_sym_LT_EQ] = ACTIONS(2368),
    [anon_sym_GT_EQ] = ACTIONS(2368),
    [anon_sym_COLON] = ACTIONS(2370),
    [sym_op_other] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2368),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_SLASH] = ACTIONS(2370),
    [anon_sym_PERCENT] = ACTIONS(2368),
    [anon_sym_CARET] = ACTIONS(2370),
    [anon_sym_BANG_EQ] = ACTIONS(2368),
    [anon_sym_LT_GT] = ACTIONS(2368),
  },
  [280] = {
    [ts_builtin_sym_end] = ACTIONS(2372),
    [anon_sym_SEMI] = ACTIONS(2372),
    [sym_keyword_from] = ACTIONS(2372),
    [sym_keyword_on] = ACTIONS(2372),
    [sym_keyword_where] = ACTIONS(2372),
    [sym_keyword_desc] = ACTIONS(2372),
    [sym_keyword_asc] = ACTIONS(2372),
    [sym_keyword_limit] = ACTIONS(2372),
    [sym_keyword_primary] = ACTIONS(2372),
    [sym_keyword_create] = ACTIONS(2372),
    [sym_keyword_as] = ACTIONS(2374),
    [sym_keyword_constraint] = ACTIONS(2372),
    [sym_keyword_separator] = ACTIONS(2372),
    [sym_keyword_when] = ACTIONS(2372),
    [sym_keyword_then] = ACTIONS(2372),
    [sym_keyword_else] = ACTIONS(2372),
    [sym_keyword_end] = ACTIONS(2372),
    [sym_keyword_in] = ACTIONS(2372),
    [sym_keyword_and] = ACTIONS(2372),
    [sym_keyword_or] = ACTIONS(2372),
    [sym_keyword_is] = ACTIONS(2372),
    [sym_keyword_not] = ACTIONS(2372),
    [sym_keyword_using] = ACTIONS(2372),
    [sym_keyword_auto_increment] = ACTIONS(2372),
    [sym_keyword_generated] = ACTIONS(2372),
    [sym_keyword_default] = ACTIONS(2372),
    [sym_keyword_with] = ACTIONS(2372),
    [sym_keyword_returning] = ACTIONS(2372),
    [sym_keyword_first] = ACTIONS(2372),
    [sym_keyword_after] = ACTIONS(2372),
    [sym_keyword_range] = ACTIONS(2372),
    [sym_keyword_rows] = ACTIONS(2372),
    [sym_keyword_groups] = ACTIONS(2372),
    [sym_keyword_between] = ACTIONS(2372),
    [sym_keyword_preceding] = ACTIONS(2372),
    [sym_keyword_following] = ACTIONS(2372),
    [sym_keyword_unique] = ACTIONS(2372),
    [sym_keyword_references] = ACTIONS(2372),
    [aux_sym_keyword_like_token1] = ACTIONS(2372),
    [aux_sym_keyword_like_token2] = ACTIONS(2372),
    [sym_keyword_similar] = ACTIONS(2372),
    [sym_keyword_check] = ACTIONS(2372),
    [sym_keyword_stored] = ACTIONS(2372),
    [sym_keyword_virtual] = ACTIONS(2372),
    [sym_keyword_comment] = ACTIONS(2372),
    [sym_keyword_null] = ACTIONS(2372),
    [sym_keyword_array] = ACTIONS(2372),
    [anon_sym_LBRACK] = ACTIONS(2372),
    [anon_sym_RBRACK] = ACTIONS(2372),
    [anon_sym_RPAREN] = ACTIONS(2372),
    [anon_sym_COMMA] = ACTIONS(2372),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2372),
    [anon_sym_STAR] = ACTIONS(2372),
    [anon_sym_COLON_COLON] = ACTIONS(2372),
    [anon_sym_LT] = ACTIONS(2374),
    [anon_sym_GT] = ACTIONS(2374),
    [anon_sym_LT_EQ] = ACTIONS(2372),
    [anon_sym_GT_EQ] = ACTIONS(2372),
    [anon_sym_COLON] = ACTIONS(2374),
    [sym_op_other] = ACTIONS(2372),
    [anon_sym_PLUS] = ACTIONS(2372),
    [anon_sym_DASH] = ACTIONS(2374),
    [anon_sym_SLASH] = ACTIONS(2374),
    [anon_sym_PERCENT] = ACTIONS(2372),
    [anon_sym_CARET] = ACTIONS(2374),
    [anon_sym_BANG_EQ] = ACTIONS(2372),
    [anon_sym_LT_GT] = ACTIONS(2372),
  },
  [281] = {
    [ts_builtin_sym_end] = ACTIONS(2376),
    [anon_sym_SEMI] = ACTIONS(2376),
    [sym_keyword_from] = ACTIONS(2376),
    [sym_keyword_on] = ACTIONS(2376),
    [sym_keyword_where] = ACTIONS(2376),
    [sym_keyword_desc] = ACTIONS(2376),
    [sym_keyword_asc] = ACTIONS(2376),
    [sym_keyword_limit] = ACTIONS(2376),
    [sym_keyword_primary] = ACTIONS(2376),
    [sym_keyword_create] = ACTIONS(2376),
    [sym_keyword_as] = ACTIONS(2378),
    [sym_keyword_constraint] = ACTIONS(2376),
    [sym_keyword_separator] = ACTIONS(2376),
    [sym_keyword_when] = ACTIONS(2376),
    [sym_keyword_then] = ACTIONS(2376),
    [sym_keyword_else] = ACTIONS(2376),
    [sym_keyword_end] = ACTIONS(2376),
    [sym_keyword_in] = ACTIONS(2376),
    [sym_keyword_and] = ACTIONS(2376),
    [sym_keyword_or] = ACTIONS(2376),
    [sym_keyword_is] = ACTIONS(2376),
    [sym_keyword_not] = ACTIONS(2376),
    [sym_keyword_using] = ACTIONS(2376),
    [sym_keyword_auto_increment] = ACTIONS(2376),
    [sym_keyword_generated] = ACTIONS(2376),
    [sym_keyword_default] = ACTIONS(2376),
    [sym_keyword_with] = ACTIONS(2376),
    [sym_keyword_returning] = ACTIONS(2376),
    [sym_keyword_first] = ACTIONS(2376),
    [sym_keyword_after] = ACTIONS(2376),
    [sym_keyword_range] = ACTIONS(2376),
    [sym_keyword_rows] = ACTIONS(2376),
    [sym_keyword_groups] = ACTIONS(2376),
    [sym_keyword_between] = ACTIONS(2376),
    [sym_keyword_preceding] = ACTIONS(2376),
    [sym_keyword_following] = ACTIONS(2376),
    [sym_keyword_unique] = ACTIONS(2376),
    [sym_keyword_references] = ACTIONS(2376),
    [aux_sym_keyword_like_token1] = ACTIONS(2376),
    [aux_sym_keyword_like_token2] = ACTIONS(2376),
    [sym_keyword_similar] = ACTIONS(2376),
    [sym_keyword_check] = ACTIONS(2376),
    [sym_keyword_stored] = ACTIONS(2376),
    [sym_keyword_virtual] = ACTIONS(2376),
    [sym_keyword_comment] = ACTIONS(2376),
    [sym_keyword_null] = ACTIONS(2376),
    [sym_keyword_array] = ACTIONS(2376),
    [anon_sym_LBRACK] = ACTIONS(2376),
    [anon_sym_RBRACK] = ACTIONS(2376),
    [anon_sym_RPAREN] = ACTIONS(2376),
    [anon_sym_COMMA] = ACTIONS(2376),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2376),
    [anon_sym_STAR] = ACTIONS(2376),
    [anon_sym_COLON_COLON] = ACTIONS(2376),
    [anon_sym_LT] = ACTIONS(2378),
    [anon_sym_GT] = ACTIONS(2378),
    [anon_sym_LT_EQ] = ACTIONS(2376),
    [anon_sym_GT_EQ] = ACTIONS(2376),
    [anon_sym_COLON] = ACTIONS(2378),
    [sym_op_other] = ACTIONS(2376),
    [anon_sym_PLUS] = ACTIONS(2376),
    [anon_sym_DASH] = ACTIONS(2378),
    [anon_sym_SLASH] = ACTIONS(2378),
    [anon_sym_PERCENT] = ACTIONS(2376),
    [anon_sym_CARET] = ACTIONS(2378),
    [anon_sym_BANG_EQ] = ACTIONS(2376),
    [anon_sym_LT_GT] = ACTIONS(2376),
  },
  [282] = {
    [ts_builtin_sym_end] = ACTIONS(2380),
    [anon_sym_SEMI] = ACTIONS(2380),
    [sym_keyword_from] = ACTIONS(2380),
    [sym_keyword_on] = ACTIONS(2380),
    [sym_keyword_where] = ACTIONS(2380),
    [sym_keyword_desc] = ACTIONS(2380),
    [sym_keyword_asc] = ACTIONS(2380),
    [sym_keyword_limit] = ACTIONS(2380),
    [sym_keyword_primary] = ACTIONS(2380),
    [sym_keyword_create] = ACTIONS(2380),
    [sym_keyword_as] = ACTIONS(2382),
    [sym_keyword_constraint] = ACTIONS(2380),
    [sym_keyword_separator] = ACTIONS(2380),
    [sym_keyword_when] = ACTIONS(2380),
    [sym_keyword_then] = ACTIONS(2380),
    [sym_keyword_else] = ACTIONS(2380),
    [sym_keyword_end] = ACTIONS(2380),
    [sym_keyword_in] = ACTIONS(2380),
    [sym_keyword_and] = ACTIONS(2380),
    [sym_keyword_or] = ACTIONS(2380),
    [sym_keyword_is] = ACTIONS(2380),
    [sym_keyword_not] = ACTIONS(2380),
    [sym_keyword_using] = ACTIONS(2380),
    [sym_keyword_auto_increment] = ACTIONS(2380),
    [sym_keyword_generated] = ACTIONS(2380),
    [sym_keyword_default] = ACTIONS(2380),
    [sym_keyword_with] = ACTIONS(2380),
    [sym_keyword_returning] = ACTIONS(2380),
    [sym_keyword_first] = ACTIONS(2380),
    [sym_keyword_after] = ACTIONS(2380),
    [sym_keyword_range] = ACTIONS(2380),
    [sym_keyword_rows] = ACTIONS(2380),
    [sym_keyword_groups] = ACTIONS(2380),
    [sym_keyword_between] = ACTIONS(2380),
    [sym_keyword_preceding] = ACTIONS(2380),
    [sym_keyword_following] = ACTIONS(2380),
    [sym_keyword_unique] = ACTIONS(2380),
    [sym_keyword_references] = ACTIONS(2380),
    [aux_sym_keyword_like_token1] = ACTIONS(2380),
    [aux_sym_keyword_like_token2] = ACTIONS(2380),
    [sym_keyword_similar] = ACTIONS(2380),
    [sym_keyword_check] = ACTIONS(2380),
    [sym_keyword_stored] = ACTIONS(2380),
    [sym_keyword_virtual] = ACTIONS(2380),
    [sym_keyword_comment] = ACTIONS(2380),
    [sym_keyword_null] = ACTIONS(2380),
    [sym_keyword_array] = ACTIONS(2380),
    [anon_sym_LBRACK] = ACTIONS(2380),
    [anon_sym_RBRACK] = ACTIONS(2380),
    [anon_sym_RPAREN] = ACTIONS(2380),
    [anon_sym_COMMA] = ACTIONS(2380),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2380),
    [anon_sym_STAR] = ACTIONS(2380),
    [anon_sym_COLON_COLON] = ACTIONS(2380),
    [anon_sym_LT] = ACTIONS(2382),
    [anon_sym_GT] = ACTIONS(2382),
    [anon_sym_LT_EQ] = ACTIONS(2380),
    [anon_sym_GT_EQ] = ACTIONS(2380),
    [anon_sym_COLON] = ACTIONS(2382),
    [sym_op_other] = ACTIONS(2380),
    [anon_sym_PLUS] = ACTIONS(2380),
    [anon_sym_DASH] = ACTIONS(2382),
    [anon_sym_SLASH] = ACTIONS(2382),
    [anon_sym_PERCENT] = ACTIONS(2380),
    [anon_sym_CARET] = ACTIONS(2382),
    [anon_sym_BANG_EQ] = ACTIONS(2380),
    [anon_sym_LT_GT] = ACTIONS(2380),
  },
  [283] = {
    [sym__identifier] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1384),
    [sym_keyword_from] = ACTIONS(1386),
    [sym_keyword_on] = ACTIONS(1386),
    [sym_keyword_partition] = ACTIONS(1386),
    [sym_keyword_create] = ACTIONS(1386),
    [sym_keyword_as] = ACTIONS(1386),
    [sym_keyword_when] = ACTIONS(1386),
    [sym_keyword_in] = ACTIONS(1386),
    [sym_keyword_and] = ACTIONS(1386),
    [sym_keyword_or] = ACTIONS(1386),
    [sym_keyword_is] = ACTIONS(1386),
    [sym_keyword_not] = ACTIONS(1386),
    [sym_keyword_force] = ACTIONS(1386),
    [sym_keyword_collate] = ACTIONS(1386),
    [sym_keyword_cascade] = ACTIONS(1386),
    [sym_keyword_restrict] = ACTIONS(1386),
    [sym_keyword_with] = ACTIONS(1386),
    [sym_keyword_schema] = ACTIONS(1386),
    [sym_keyword_union] = ACTIONS(1386),
    [sym_keyword_except] = ACTIONS(1386),
    [sym_keyword_intersect] = ACTIONS(1386),
    [sym_keyword_returning] = ACTIONS(1386),
    [sym_keyword_rows] = ACTIONS(1386),
    [sym_keyword_between] = ACTIONS(1386),
    [aux_sym_keyword_like_token1] = ACTIONS(1386),
    [aux_sym_keyword_like_token2] = ACTIONS(1386),
    [sym_keyword_similar] = ACTIONS(1386),
    [sym_keyword_authorization] = ACTIONS(1386),
    [sym_keyword_returns] = ACTIONS(1386),
    [sym_keyword_language] = ACTIONS(1386),
    [sym_keyword_immutable] = ACTIONS(1386),
    [sym_keyword_stable] = ACTIONS(1386),
    [sym_keyword_volatile] = ACTIONS(1386),
    [sym_keyword_leakproof] = ACTIONS(1386),
    [sym_keyword_parallel] = ACTIONS(1386),
    [sym_keyword_called] = ACTIONS(1386),
    [sym_keyword_strict] = ACTIONS(1386),
    [sym_keyword_cost] = ACTIONS(1386),
    [sym_keyword_support] = ACTIONS(1386),
    [sym_keyword_security] = ACTIONS(1386),
    [sym_keyword_version] = ACTIONS(1386),
    [sym_keyword_external] = ACTIONS(1386),
    [sym_keyword_array] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_LPAREN] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1384),
    [anon_sym_DOT] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_COLON_COLON] = ACTIONS(1384),
    [anon_sym_LT] = ACTIONS(1386),
    [anon_sym_GT] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1384),
    [anon_sym_GT_EQ] = ACTIONS(1384),
    [sym_op_other] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1386),
    [anon_sym_PERCENT] = ACTIONS(1384),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1384),
    [anon_sym_LT_GT] = ACTIONS(1384),
    [sym__double_quote_string] = ACTIONS(1384),
    [aux_sym__single_quote_string_token1] = ACTIONS(1384),
    [aux_sym_identifier_token1] = ACTIONS(1384),
    [sym__dollar_quoted_string_end_tag] = ACTIONS(1384),
  },
  [284] = {
    [ts_builtin_sym_end] = ACTIONS(2384),
    [anon_sym_SEMI] = ACTIONS(2384),
    [sym_keyword_from] = ACTIONS(2384),
    [sym_keyword_on] = ACTIONS(2384),
    [sym_keyword_where] = ACTIONS(2384),
    [sym_keyword_desc] = ACTIONS(2384),
    [sym_keyword_asc] = ACTIONS(2384),
    [sym_keyword_limit] = ACTIONS(2384),
    [sym_keyword_primary] = ACTIONS(2384),
    [sym_keyword_create] = ACTIONS(2384),
    [sym_keyword_as] = ACTIONS(2386),
    [sym_keyword_constraint] = ACTIONS(2384),
    [sym_keyword_separator] = ACTIONS(2384),
    [sym_keyword_when] = ACTIONS(2384),
    [sym_keyword_then] = ACTIONS(2384),
    [sym_keyword_else] = ACTIONS(2384),
    [sym_keyword_end] = ACTIONS(2384),
    [sym_keyword_in] = ACTIONS(2384),
    [sym_keyword_and] = ACTIONS(2384),
    [sym_keyword_or] = ACTIONS(2384),
    [sym_keyword_is] = ACTIONS(2384),
    [sym_keyword_not] = ACTIONS(2384),
    [sym_keyword_using] = ACTIONS(2384),
    [sym_keyword_auto_increment] = ACTIONS(2384),
    [sym_keyword_generated] = ACTIONS(2384),
    [sym_keyword_default] = ACTIONS(2384),
    [sym_keyword_with] = ACTIONS(2384),
    [sym_keyword_returning] = ACTIONS(2384),
    [sym_keyword_first] = ACTIONS(2384),
    [sym_keyword_after] = ACTIONS(2384),
    [sym_keyword_range] = ACTIONS(2384),
    [sym_keyword_rows] = ACTIONS(2384),
    [sym_keyword_groups] = ACTIONS(2384),
    [sym_keyword_between] = ACTIONS(2384),
    [sym_keyword_preceding] = ACTIONS(2384),
    [sym_keyword_following] = ACTIONS(2384),
    [sym_keyword_unique] = ACTIONS(2384),
    [sym_keyword_references] = ACTIONS(2384),
    [aux_sym_keyword_like_token1] = ACTIONS(2384),
    [aux_sym_keyword_like_token2] = ACTIONS(2384),
    [sym_keyword_similar] = ACTIONS(2384),
    [sym_keyword_check] = ACTIONS(2384),
    [sym_keyword_stored] = ACTIONS(2384),
    [sym_keyword_virtual] = ACTIONS(2384),
    [sym_keyword_comment] = ACTIONS(2384),
    [sym_keyword_null] = ACTIONS(2384),
    [sym_keyword_array] = ACTIONS(2384),
    [anon_sym_LBRACK] = ACTIONS(2384),
    [anon_sym_RBRACK] = ACTIONS(2384),
    [anon_sym_RPAREN] = ACTIONS(2384),
    [anon_sym_COMMA] = ACTIONS(2384),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2384),
    [anon_sym_STAR] = ACTIONS(2384),
    [anon_sym_COLON_COLON] = ACTIONS(2384),
    [anon_sym_LT] = ACTIONS(2386),
    [anon_sym_GT] = ACTIONS(2386),
    [anon_sym_LT_EQ] = ACTIONS(2384),
    [anon_sym_GT_EQ] = ACTIONS(2384),
    [anon_sym_COLON] = ACTIONS(2386),
    [sym_op_other] = ACTIONS(2384),
    [anon_sym_PLUS] = ACTIONS(2384),
    [anon_sym_DASH] = ACTIONS(2386),
    [anon_sym_SLASH] = ACTIONS(2386),
    [anon_sym_PERCENT] = ACTIONS(2384),
    [anon_sym_CARET] = ACTIONS(2386),
    [anon_sym_BANG_EQ] = ACTIONS(2384),
    [anon_sym_LT_GT] = ACTIONS(2384),
  },
  [285] = {
    [ts_builtin_sym_end] = ACTIONS(2388),
    [anon_sym_SEMI] = ACTIONS(2388),
    [sym_keyword_from] = ACTIONS(2388),
    [sym_keyword_on] = ACTIONS(2388),
    [sym_keyword_where] = ACTIONS(2388),
    [sym_keyword_desc] = ACTIONS(2388),
    [sym_keyword_asc] = ACTIONS(2388),
    [sym_keyword_limit] = ACTIONS(2388),
    [sym_keyword_primary] = ACTIONS(2388),
    [sym_keyword_create] = ACTIONS(2388),
    [sym_keyword_as] = ACTIONS(2390),
    [sym_keyword_constraint] = ACTIONS(2388),
    [sym_keyword_separator] = ACTIONS(2388),
    [sym_keyword_when] = ACTIONS(2388),
    [sym_keyword_then] = ACTIONS(2388),
    [sym_keyword_else] = ACTIONS(2388),
    [sym_keyword_end] = ACTIONS(2388),
    [sym_keyword_in] = ACTIONS(2388),
    [sym_keyword_and] = ACTIONS(2388),
    [sym_keyword_or] = ACTIONS(2388),
    [sym_keyword_is] = ACTIONS(2388),
    [sym_keyword_not] = ACTIONS(2388),
    [sym_keyword_using] = ACTIONS(2388),
    [sym_keyword_auto_increment] = ACTIONS(2388),
    [sym_keyword_generated] = ACTIONS(2388),
    [sym_keyword_default] = ACTIONS(2388),
    [sym_keyword_with] = ACTIONS(2388),
    [sym_keyword_returning] = ACTIONS(2388),
    [sym_keyword_first] = ACTIONS(2388),
    [sym_keyword_after] = ACTIONS(2388),
    [sym_keyword_range] = ACTIONS(2388),
    [sym_keyword_rows] = ACTIONS(2388),
    [sym_keyword_groups] = ACTIONS(2388),
    [sym_keyword_between] = ACTIONS(2388),
    [sym_keyword_preceding] = ACTIONS(2388),
    [sym_keyword_following] = ACTIONS(2388),
    [sym_keyword_unique] = ACTIONS(2388),
    [sym_keyword_references] = ACTIONS(2388),
    [aux_sym_keyword_like_token1] = ACTIONS(2388),
    [aux_sym_keyword_like_token2] = ACTIONS(2388),
    [sym_keyword_similar] = ACTIONS(2388),
    [sym_keyword_check] = ACTIONS(2388),
    [sym_keyword_stored] = ACTIONS(2388),
    [sym_keyword_virtual] = ACTIONS(2388),
    [sym_keyword_comment] = ACTIONS(2388),
    [sym_keyword_null] = ACTIONS(2388),
    [sym_keyword_array] = ACTIONS(2388),
    [anon_sym_LBRACK] = ACTIONS(2388),
    [anon_sym_RBRACK] = ACTIONS(2388),
    [anon_sym_RPAREN] = ACTIONS(2388),
    [anon_sym_COMMA] = ACTIONS(2388),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2388),
    [anon_sym_STAR] = ACTIONS(2388),
    [anon_sym_COLON_COLON] = ACTIONS(2388),
    [anon_sym_LT] = ACTIONS(2390),
    [anon_sym_GT] = ACTIONS(2390),
    [anon_sym_LT_EQ] = ACTIONS(2388),
    [anon_sym_GT_EQ] = ACTIONS(2388),
    [anon_sym_COLON] = ACTIONS(2390),
    [sym_op_other] = ACTIONS(2388),
    [anon_sym_PLUS] = ACTIONS(2388),
    [anon_sym_DASH] = ACTIONS(2390),
    [anon_sym_SLASH] = ACTIONS(2390),
    [anon_sym_PERCENT] = ACTIONS(2388),
    [anon_sym_CARET] = ACTIONS(2390),
    [anon_sym_BANG_EQ] = ACTIONS(2388),
    [anon_sym_LT_GT] = ACTIONS(2388),
  },
  [286] = {
    [ts_builtin_sym_end] = ACTIONS(2392),
    [anon_sym_SEMI] = ACTIONS(2392),
    [sym_keyword_from] = ACTIONS(2392),
    [sym_keyword_on] = ACTIONS(2392),
    [sym_keyword_where] = ACTIONS(2392),
    [sym_keyword_desc] = ACTIONS(2392),
    [sym_keyword_asc] = ACTIONS(2392),
    [sym_keyword_limit] = ACTIONS(2392),
    [sym_keyword_primary] = ACTIONS(2392),
    [sym_keyword_create] = ACTIONS(2392),
    [sym_keyword_as] = ACTIONS(2394),
    [sym_keyword_constraint] = ACTIONS(2392),
    [sym_keyword_separator] = ACTIONS(2392),
    [sym_keyword_when] = ACTIONS(2392),
    [sym_keyword_then] = ACTIONS(2392),
    [sym_keyword_else] = ACTIONS(2392),
    [sym_keyword_end] = ACTIONS(2392),
    [sym_keyword_in] = ACTIONS(2392),
    [sym_keyword_and] = ACTIONS(2392),
    [sym_keyword_or] = ACTIONS(2392),
    [sym_keyword_is] = ACTIONS(2392),
    [sym_keyword_not] = ACTIONS(2392),
    [sym_keyword_using] = ACTIONS(2392),
    [sym_keyword_auto_increment] = ACTIONS(2392),
    [sym_keyword_generated] = ACTIONS(2392),
    [sym_keyword_default] = ACTIONS(2392),
    [sym_keyword_with] = ACTIONS(2392),
    [sym_keyword_returning] = ACTIONS(2392),
    [sym_keyword_first] = ACTIONS(2392),
    [sym_keyword_after] = ACTIONS(2392),
    [sym_keyword_range] = ACTIONS(2392),
    [sym_keyword_rows] = ACTIONS(2392),
    [sym_keyword_groups] = ACTIONS(2392),
    [sym_keyword_between] = ACTIONS(2392),
    [sym_keyword_preceding] = ACTIONS(2392),
    [sym_keyword_following] = ACTIONS(2392),
    [sym_keyword_unique] = ACTIONS(2392),
    [sym_keyword_references] = ACTIONS(2392),
    [aux_sym_keyword_like_token1] = ACTIONS(2392),
    [aux_sym_keyword_like_token2] = ACTIONS(2392),
    [sym_keyword_similar] = ACTIONS(2392),
    [sym_keyword_check] = ACTIONS(2392),
    [sym_keyword_stored] = ACTIONS(2392),
    [sym_keyword_virtual] = ACTIONS(2392),
    [sym_keyword_comment] = ACTIONS(2392),
    [sym_keyword_null] = ACTIONS(2392),
    [anon_sym_LBRACK] = ACTIONS(2392),
    [anon_sym_RBRACK] = ACTIONS(2392),
    [anon_sym_RPAREN] = ACTIONS(2392),
    [anon_sym_COMMA] = ACTIONS(2392),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2392),
    [anon_sym_STAR] = ACTIONS(2392),
    [anon_sym_COLON_COLON] = ACTIONS(2392),
    [anon_sym_LT] = ACTIONS(2394),
    [anon_sym_GT] = ACTIONS(2394),
    [anon_sym_LT_EQ] = ACTIONS(2392),
    [anon_sym_GT_EQ] = ACTIONS(2392),
    [anon_sym_COLON] = ACTIONS(2394),
    [sym_op_other] = ACTIONS(2392),
    [anon_sym_PLUS] = ACTIONS(2392),
    [anon_sym_DASH] = ACTIONS(2394),
    [anon_sym_SLASH] = ACTIONS(2394),
    [anon_sym_PERCENT] = ACTIONS(2392),
    [anon_sym_CARET] = ACTIONS(2394),
    [anon_sym_BANG_EQ] = ACTIONS(2392),
    [anon_sym_LT_GT] = ACTIONS(2392),
  },
  [287] = {
    [ts_builtin_sym_end] = ACTIONS(2396),
    [anon_sym_SEMI] = ACTIONS(2396),
    [sym_keyword_from] = ACTIONS(2396),
    [sym_keyword_on] = ACTIONS(2396),
    [sym_keyword_where] = ACTIONS(2396),
    [sym_keyword_desc] = ACTIONS(2396),
    [sym_keyword_asc] = ACTIONS(2396),
    [sym_keyword_limit] = ACTIONS(2396),
    [sym_keyword_primary] = ACTIONS(2396),
    [sym_keyword_create] = ACTIONS(2396),
    [sym_keyword_as] = ACTIONS(2398),
    [sym_keyword_constraint] = ACTIONS(2396),
    [sym_keyword_separator] = ACTIONS(2396),
    [sym_keyword_when] = ACTIONS(2396),
    [sym_keyword_then] = ACTIONS(2396),
    [sym_keyword_else] = ACTIONS(2396),
    [sym_keyword_end] = ACTIONS(2396),
    [sym_keyword_in] = ACTIONS(2396),
    [sym_keyword_and] = ACTIONS(2396),
    [sym_keyword_or] = ACTIONS(2396),
    [sym_keyword_is] = ACTIONS(2396),
    [sym_keyword_not] = ACTIONS(2396),
    [sym_keyword_using] = ACTIONS(2396),
    [sym_keyword_auto_increment] = ACTIONS(2396),
    [sym_keyword_generated] = ACTIONS(2396),
    [sym_keyword_default] = ACTIONS(2396),
    [sym_keyword_with] = ACTIONS(2396),
    [sym_keyword_returning] = ACTIONS(2396),
    [sym_keyword_first] = ACTIONS(2396),
    [sym_keyword_after] = ACTIONS(2396),
    [sym_keyword_range] = ACTIONS(2396),
    [sym_keyword_rows] = ACTIONS(2396),
    [sym_keyword_groups] = ACTIONS(2396),
    [sym_keyword_between] = ACTIONS(2396),
    [sym_keyword_preceding] = ACTIONS(2396),
    [sym_keyword_following] = ACTIONS(2396),
    [sym_keyword_unique] = ACTIONS(2396),
    [sym_keyword_references] = ACTIONS(2396),
    [aux_sym_keyword_like_token1] = ACTIONS(2396),
    [aux_sym_keyword_like_token2] = ACTIONS(2396),
    [sym_keyword_similar] = ACTIONS(2396),
    [sym_keyword_check] = ACTIONS(2396),
    [sym_keyword_stored] = ACTIONS(2396),
    [sym_keyword_virtual] = ACTIONS(2396),
    [sym_keyword_comment] = ACTIONS(2396),
    [sym_keyword_null] = ACTIONS(2396),
    [anon_sym_LBRACK] = ACTIONS(2396),
    [anon_sym_RBRACK] = ACTIONS(2396),
    [anon_sym_RPAREN] = ACTIONS(2396),
    [anon_sym_COMMA] = ACTIONS(2396),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2396),
    [anon_sym_STAR] = ACTIONS(2396),
    [anon_sym_COLON_COLON] = ACTIONS(2396),
    [anon_sym_LT] = ACTIONS(2398),
    [anon_sym_GT] = ACTIONS(2398),
    [anon_sym_LT_EQ] = ACTIONS(2396),
    [anon_sym_GT_EQ] = ACTIONS(2396),
    [anon_sym_COLON] = ACTIONS(2398),
    [sym_op_other] = ACTIONS(2396),
    [anon_sym_PLUS] = ACTIONS(2396),
    [anon_sym_DASH] = ACTIONS(2398),
    [anon_sym_SLASH] = ACTIONS(2398),
    [anon_sym_PERCENT] = ACTIONS(2396),
    [anon_sym_CARET] = ACTIONS(2398),
    [anon_sym_BANG_EQ] = ACTIONS(2396),
    [anon_sym_LT_GT] = ACTIONS(2396),
  },
  [288] = {
    [ts_builtin_sym_end] = ACTIONS(2400),
    [anon_sym_SEMI] = ACTIONS(2400),
    [sym_keyword_from] = ACTIONS(2400),
    [sym_keyword_on] = ACTIONS(2400),
    [sym_keyword_where] = ACTIONS(2400),
    [sym_keyword_desc] = ACTIONS(2400),
    [sym_keyword_asc] = ACTIONS(2400),
    [sym_keyword_limit] = ACTIONS(2400),
    [sym_keyword_primary] = ACTIONS(2400),
    [sym_keyword_create] = ACTIONS(2400),
    [sym_keyword_as] = ACTIONS(2402),
    [sym_keyword_constraint] = ACTIONS(2400),
    [sym_keyword_separator] = ACTIONS(2400),
    [sym_keyword_when] = ACTIONS(2400),
    [sym_keyword_then] = ACTIONS(2400),
    [sym_keyword_else] = ACTIONS(2400),
    [sym_keyword_end] = ACTIONS(2400),
    [sym_keyword_in] = ACTIONS(2400),
    [sym_keyword_and] = ACTIONS(2400),
    [sym_keyword_or] = ACTIONS(2400),
    [sym_keyword_is] = ACTIONS(2400),
    [sym_keyword_not] = ACTIONS(2400),
    [sym_keyword_using] = ACTIONS(2400),
    [sym_keyword_auto_increment] = ACTIONS(2400),
    [sym_keyword_generated] = ACTIONS(2400),
    [sym_keyword_default] = ACTIONS(2400),
    [sym_keyword_with] = ACTIONS(2400),
    [sym_keyword_returning] = ACTIONS(2400),
    [sym_keyword_first] = ACTIONS(2400),
    [sym_keyword_after] = ACTIONS(2400),
    [sym_keyword_range] = ACTIONS(2400),
    [sym_keyword_rows] = ACTIONS(2400),
    [sym_keyword_groups] = ACTIONS(2400),
    [sym_keyword_between] = ACTIONS(2400),
    [sym_keyword_preceding] = ACTIONS(2400),
    [sym_keyword_following] = ACTIONS(2400),
    [sym_keyword_unique] = ACTIONS(2400),
    [sym_keyword_references] = ACTIONS(2400),
    [aux_sym_keyword_like_token1] = ACTIONS(2400),
    [aux_sym_keyword_like_token2] = ACTIONS(2400),
    [sym_keyword_similar] = ACTIONS(2400),
    [sym_keyword_check] = ACTIONS(2400),
    [sym_keyword_stored] = ACTIONS(2400),
    [sym_keyword_virtual] = ACTIONS(2400),
    [sym_keyword_comment] = ACTIONS(2400),
    [sym_keyword_null] = ACTIONS(2400),
    [anon_sym_LBRACK] = ACTIONS(2400),
    [anon_sym_RBRACK] = ACTIONS(2400),
    [anon_sym_RPAREN] = ACTIONS(2400),
    [anon_sym_COMMA] = ACTIONS(2400),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2400),
    [anon_sym_STAR] = ACTIONS(2400),
    [anon_sym_COLON_COLON] = ACTIONS(2400),
    [anon_sym_LT] = ACTIONS(2402),
    [anon_sym_GT] = ACTIONS(2402),
    [anon_sym_LT_EQ] = ACTIONS(2400),
    [anon_sym_GT_EQ] = ACTIONS(2400),
    [anon_sym_COLON] = ACTIONS(2402),
    [sym_op_other] = ACTIONS(2400),
    [anon_sym_PLUS] = ACTIONS(2400),
    [anon_sym_DASH] = ACTIONS(2402),
    [anon_sym_SLASH] = ACTIONS(2402),
    [anon_sym_PERCENT] = ACTIONS(2400),
    [anon_sym_CARET] = ACTIONS(2402),
    [anon_sym_BANG_EQ] = ACTIONS(2400),
    [anon_sym_LT_GT] = ACTIONS(2400),
  },
  [289] = {
    [ts_builtin_sym_end] = ACTIONS(2404),
    [anon_sym_SEMI] = ACTIONS(2404),
    [sym_keyword_from] = ACTIONS(2404),
    [sym_keyword_on] = ACTIONS(2404),
    [sym_keyword_where] = ACTIONS(2404),
    [sym_keyword_desc] = ACTIONS(2404),
    [sym_keyword_asc] = ACTIONS(2404),
    [sym_keyword_limit] = ACTIONS(2404),
    [sym_keyword_primary] = ACTIONS(2404),
    [sym_keyword_create] = ACTIONS(2404),
    [sym_keyword_as] = ACTIONS(2406),
    [sym_keyword_constraint] = ACTIONS(2404),
    [sym_keyword_separator] = ACTIONS(2404),
    [sym_keyword_when] = ACTIONS(2404),
    [sym_keyword_then] = ACTIONS(2404),
    [sym_keyword_else] = ACTIONS(2404),
    [sym_keyword_end] = ACTIONS(2404),
    [sym_keyword_in] = ACTIONS(2404),
    [sym_keyword_and] = ACTIONS(2404),
    [sym_keyword_or] = ACTIONS(2404),
    [sym_keyword_is] = ACTIONS(2404),
    [sym_keyword_not] = ACTIONS(2404),
    [sym_keyword_using] = ACTIONS(2404),
    [sym_keyword_auto_increment] = ACTIONS(2404),
    [sym_keyword_generated] = ACTIONS(2404),
    [sym_keyword_default] = ACTIONS(2404),
    [sym_keyword_with] = ACTIONS(2404),
    [sym_keyword_returning] = ACTIONS(2404),
    [sym_keyword_first] = ACTIONS(2404),
    [sym_keyword_after] = ACTIONS(2404),
    [sym_keyword_range] = ACTIONS(2404),
    [sym_keyword_rows] = ACTIONS(2404),
    [sym_keyword_groups] = ACTIONS(2404),
    [sym_keyword_between] = ACTIONS(2404),
    [sym_keyword_preceding] = ACTIONS(2404),
    [sym_keyword_following] = ACTIONS(2404),
    [sym_keyword_unique] = ACTIONS(2404),
    [sym_keyword_references] = ACTIONS(2404),
    [aux_sym_keyword_like_token1] = ACTIONS(2404),
    [aux_sym_keyword_like_token2] = ACTIONS(2404),
    [sym_keyword_similar] = ACTIONS(2404),
    [sym_keyword_check] = ACTIONS(2404),
    [sym_keyword_stored] = ACTIONS(2404),
    [sym_keyword_virtual] = ACTIONS(2404),
    [sym_keyword_comment] = ACTIONS(2404),
    [sym_keyword_null] = ACTIONS(2404),
    [anon_sym_LBRACK] = ACTIONS(2404),
    [anon_sym_RBRACK] = ACTIONS(2404),
    [anon_sym_RPAREN] = ACTIONS(2404),
    [anon_sym_COMMA] = ACTIONS(2404),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2404),
    [anon_sym_STAR] = ACTIONS(2404),
    [anon_sym_COLON_COLON] = ACTIONS(2404),
    [anon_sym_LT] = ACTIONS(2406),
    [anon_sym_GT] = ACTIONS(2406),
    [anon_sym_LT_EQ] = ACTIONS(2404),
    [anon_sym_GT_EQ] = ACTIONS(2404),
    [anon_sym_COLON] = ACTIONS(2406),
    [sym_op_other] = ACTIONS(2404),
    [anon_sym_PLUS] = ACTIONS(2404),
    [anon_sym_DASH] = ACTIONS(2406),
    [anon_sym_SLASH] = ACTIONS(2406),
    [anon_sym_PERCENT] = ACTIONS(2404),
    [anon_sym_CARET] = ACTIONS(2406),
    [anon_sym_BANG_EQ] = ACTIONS(2404),
    [anon_sym_LT_GT] = ACTIONS(2404),
  },
  [290] = {
    [ts_builtin_sym_end] = ACTIONS(2408),
    [anon_sym_SEMI] = ACTIONS(2408),
    [sym_keyword_from] = ACTIONS(2408),
    [sym_keyword_on] = ACTIONS(2408),
    [sym_keyword_where] = ACTIONS(2408),
    [sym_keyword_desc] = ACTIONS(2408),
    [sym_keyword_asc] = ACTIONS(2408),
    [sym_keyword_limit] = ACTIONS(2408),
    [sym_keyword_primary] = ACTIONS(2408),
    [sym_keyword_create] = ACTIONS(2408),
    [sym_keyword_as] = ACTIONS(2410),
    [sym_keyword_constraint] = ACTIONS(2408),
    [sym_keyword_separator] = ACTIONS(2408),
    [sym_keyword_when] = ACTIONS(2408),
    [sym_keyword_then] = ACTIONS(2408),
    [sym_keyword_else] = ACTIONS(2408),
    [sym_keyword_end] = ACTIONS(2408),
    [sym_keyword_in] = ACTIONS(2408),
    [sym_keyword_and] = ACTIONS(2408),
    [sym_keyword_or] = ACTIONS(2408),
    [sym_keyword_is] = ACTIONS(2408),
    [sym_keyword_not] = ACTIONS(2408),
    [sym_keyword_using] = ACTIONS(2408),
    [sym_keyword_auto_increment] = ACTIONS(2408),
    [sym_keyword_generated] = ACTIONS(2408),
    [sym_keyword_default] = ACTIONS(2408),
    [sym_keyword_with] = ACTIONS(2408),
    [sym_keyword_returning] = ACTIONS(2408),
    [sym_keyword_first] = ACTIONS(2408),
    [sym_keyword_after] = ACTIONS(2408),
    [sym_keyword_range] = ACTIONS(2408),
    [sym_keyword_rows] = ACTIONS(2408),
    [sym_keyword_groups] = ACTIONS(2408),
    [sym_keyword_between] = ACTIONS(2408),
    [sym_keyword_preceding] = ACTIONS(2408),
    [sym_keyword_following] = ACTIONS(2408),
    [sym_keyword_unique] = ACTIONS(2408),
    [sym_keyword_references] = ACTIONS(2408),
    [aux_sym_keyword_like_token1] = ACTIONS(2408),
    [aux_sym_keyword_like_token2] = ACTIONS(2408),
    [sym_keyword_similar] = ACTIONS(2408),
    [sym_keyword_check] = ACTIONS(2408),
    [sym_keyword_stored] = ACTIONS(2408),
    [sym_keyword_virtual] = ACTIONS(2408),
    [sym_keyword_comment] = ACTIONS(2408),
    [sym_keyword_null] = ACTIONS(2408),
    [anon_sym_LBRACK] = ACTIONS(2408),
    [anon_sym_RBRACK] = ACTIONS(2408),
    [anon_sym_RPAREN] = ACTIONS(2408),
    [anon_sym_COMMA] = ACTIONS(2408),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2408),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_COLON_COLON] = ACTIONS(2408),
    [anon_sym_LT] = ACTIONS(2410),
    [anon_sym_GT] = ACTIONS(2410),
    [anon_sym_LT_EQ] = ACTIONS(2408),
    [anon_sym_GT_EQ] = ACTIONS(2408),
    [anon_sym_COLON] = ACTIONS(2410),
    [sym_op_other] = ACTIONS(2408),
    [anon_sym_PLUS] = ACTIONS(2408),
    [anon_sym_DASH] = ACTIONS(2410),
    [anon_sym_SLASH] = ACTIONS(2410),
    [anon_sym_PERCENT] = ACTIONS(2408),
    [anon_sym_CARET] = ACTIONS(2410),
    [anon_sym_BANG_EQ] = ACTIONS(2408),
    [anon_sym_LT_GT] = ACTIONS(2408),
  },
  [291] = {
    [ts_builtin_sym_end] = ACTIONS(2412),
    [anon_sym_SEMI] = ACTIONS(2412),
    [sym_keyword_from] = ACTIONS(2412),
    [sym_keyword_on] = ACTIONS(2412),
    [sym_keyword_where] = ACTIONS(2412),
    [sym_keyword_desc] = ACTIONS(2412),
    [sym_keyword_asc] = ACTIONS(2412),
    [sym_keyword_limit] = ACTIONS(2412),
    [sym_keyword_primary] = ACTIONS(2412),
    [sym_keyword_create] = ACTIONS(2412),
    [sym_keyword_as] = ACTIONS(2414),
    [sym_keyword_constraint] = ACTIONS(2412),
    [sym_keyword_separator] = ACTIONS(2412),
    [sym_keyword_when] = ACTIONS(2412),
    [sym_keyword_then] = ACTIONS(2412),
    [sym_keyword_else] = ACTIONS(2412),
    [sym_keyword_end] = ACTIONS(2412),
    [sym_keyword_in] = ACTIONS(2412),
    [sym_keyword_and] = ACTIONS(2412),
    [sym_keyword_or] = ACTIONS(2412),
    [sym_keyword_is] = ACTIONS(2412),
    [sym_keyword_not] = ACTIONS(2412),
    [sym_keyword_using] = ACTIONS(2412),
    [sym_keyword_auto_increment] = ACTIONS(2412),
    [sym_keyword_generated] = ACTIONS(2412),
    [sym_keyword_default] = ACTIONS(2412),
    [sym_keyword_with] = ACTIONS(2412),
    [sym_keyword_returning] = ACTIONS(2412),
    [sym_keyword_first] = ACTIONS(2412),
    [sym_keyword_after] = ACTIONS(2412),
    [sym_keyword_range] = ACTIONS(2412),
    [sym_keyword_rows] = ACTIONS(2412),
    [sym_keyword_groups] = ACTIONS(2412),
    [sym_keyword_between] = ACTIONS(2412),
    [sym_keyword_preceding] = ACTIONS(2412),
    [sym_keyword_following] = ACTIONS(2412),
    [sym_keyword_unique] = ACTIONS(2412),
    [sym_keyword_references] = ACTIONS(2412),
    [aux_sym_keyword_like_token1] = ACTIONS(2412),
    [aux_sym_keyword_like_token2] = ACTIONS(2412),
    [sym_keyword_similar] = ACTIONS(2412),
    [sym_keyword_check] = ACTIONS(2412),
    [sym_keyword_stored] = ACTIONS(2412),
    [sym_keyword_virtual] = ACTIONS(2412),
    [sym_keyword_comment] = ACTIONS(2412),
    [sym_keyword_null] = ACTIONS(2412),
    [anon_sym_LBRACK] = ACTIONS(2412),
    [anon_sym_RBRACK] = ACTIONS(2412),
    [anon_sym_RPAREN] = ACTIONS(2412),
    [anon_sym_COMMA] = ACTIONS(2412),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(2412),
    [anon_sym_STAR] = ACTIONS(2412),
    [anon_sym_COLON_COLON] = ACTIONS(2412),
    [anon_sym_LT] = ACTIONS(2414),
    [anon_sym_GT] = ACTIONS(2414),
    [anon_sym_LT_EQ] = ACTIONS(2412),
    [anon_sym_GT_EQ] = ACTIONS(2412),
    [anon_sym_COLON] = ACTIONS(2414),
    [sym_op_other] = ACTIONS(2412),
    [anon_sym_PLUS] = ACTIONS(2412),
    [anon_sym_DASH] = ACTIONS(2414),
    [anon_sym_SLASH] = ACTIONS(2414),
    [anon_sym_PERCENT] = ACTIONS(2412),
    [anon_sym_CARET] = ACTIONS(2414),
    [anon_sym_BANG_EQ] = ACTIONS(2412),
    [anon_sym_LT_GT] = ACTIONS(2412),
  },
  [292] = {
    [aux_sym__single_quote_string_repeat1] = STATE(293),
    [sym__identifier] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1374),
    [sym_keyword_from] = ACTIONS(1376),
    [sym_keyword_on] = ACTIONS(1376),
    [sym_keyword_offset] = ACTIONS(1376),
    [sym_keyword_create] = ACTIONS(1376),
    [sym_keyword_as] = ACTIONS(1376),
    [sym_keyword_when] = ACTIONS(1376),
    [sym_keyword_in] = ACTIONS(1376),
    [sym_keyword_and] = ACTIONS(1376),
    [sym_keyword_or] = ACTIONS(1376),
    [sym_keyword_is] = ACTIONS(1376),
    [sym_keyword_not] = ACTIONS(1376),
    [sym_keyword_cascade] = ACTIONS(1376),
    [sym_keyword_with] = ACTIONS(1376),
    [sym_keyword_password] = ACTIONS(1376),
    [sym_keyword_encrypted] = ACTIONS(1376),
    [sym_keyword_valid] = ACTIONS(1376),
    [sym_keyword_connection] = ACTIONS(1376),
    [sym_keyword_union] = ACTIONS(1376),
    [sym_keyword_except] = ACTIONS(1376),
    [sym_keyword_intersect] = ACTIONS(1376),
    [sym_keyword_returning] = ACTIONS(1376),
    [sym_keyword_after] = ACTIONS(1376),
    [sym_keyword_before] = ACTIONS(1376),
    [sym_keyword_rows] = ACTIONS(1376),
    [sym_keyword_between] = ACTIONS(1376),
    [aux_sym_keyword_like_token1] = ACTIONS(1376),
    [aux_sym_keyword_like_token2] = ACTIONS(1376),
    [sym_keyword_similar] = ACTIONS(1376),
    [sym_keyword_returns] = ACTIONS(1376),
    [sym_keyword_language] = ACTIONS(1376),
    [sym_keyword_immutable] = ACTIONS(1376),
    [sym_keyword_stable] = ACTIONS(1376),
    [sym_keyword_volatile] = ACTIONS(1376),
    [sym_keyword_leakproof] = ACTIONS(1376),
    [sym_keyword_parallel] = ACTIONS(1376),
    [sym_keyword_called] = ACTIONS(1376),
    [sym_keyword_strict] = ACTIONS(1376),
    [sym_keyword_cost] = ACTIONS(1376),
    [sym_keyword_support] = ACTIONS(1376),
    [sym_keyword_security] = ACTIONS(1376),
    [sym_keyword_external] = ACTIONS(1376),
    [anon_sym_LBRACK] = ACTIONS(1374),
    [anon_sym_COMMA] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1374),
    [anon_sym_COLON_COLON] = ACTIONS(1374),
    [anon_sym_LT] = ACTIONS(1376),
    [anon_sym_GT] = ACTIONS(1376),
    [anon_sym_LT_EQ] = ACTIONS(1374),
    [anon_sym_GT_EQ] = ACTIONS(1374),
    [sym_op_other] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_DASH] = ACTIONS(1376),
    [anon_sym_SLASH] = ACTIONS(1376),
    [anon_sym_PERCENT] = ACTIONS(1374),
    [anon_sym_CARET] = ACTIONS(1376),
    [anon_sym_BANG_EQ] = ACTIONS(1374),
    [anon_sym_LT_GT] = ACTIONS(1374),
    [sym__double_quote_string] = ACTIONS(1374),
    [aux_sym__single_quote_string_token2] = ACTIONS(2416),
    [aux_sym_identifier_token1] = ACTIONS(1374),
    [sym__dollar_quoted_string_end_tag] = ACTIONS(1374),
  },
  [293] = {
    [aux_sym__single_quote_string_repeat1] = STATE(293),
    [sym__identifier] = ACTIONS(1369),
    [anon_sym_SEMI] = ACTIONS(1367),
    [sym_keyword_from] = ACTIONS(1369),
    [sym_keyword_on] = ACTIONS(1369),
    [sym_keyword_offset] = ACTIONS(1369),
    [sym_keyword_create] = ACTIONS(1369),
    [sym_keyword_as] = ACTIONS(1369),
    [sym_keyword_when] = ACTIONS(1369),
    [sym_keyword_in] = ACTIONS(1369),
    [sym_keyword_and] = ACTIONS(1369),
    [sym_keyword_or] = ACTIONS(1369),
    [sym_keyword_is] = ACTIONS(1369),
    [sym_keyword_not] = ACTIONS(1369),
    [sym_keyword_cascade] = ACTIONS(1369),
    [sym_keyword_with] = ACTIONS(1369),
    [sym_keyword_password] = ACTIONS(1369),
    [sym_keyword_encrypted] = ACTIONS(1369),
    [sym_keyword_valid] = ACTIONS(1369),
    [sym_keyword_connection] = ACTIONS(1369),
    [sym_keyword_union] = ACTIONS(1369),
    [sym_keyword_except] = ACTIONS(1369),
    [sym_keyword_intersect] = ACTIONS(1369),
    [sym_keyword_returning] = ACTIONS(1369),
    [sym_keyword_after] = ACTIONS(1369),
    [sym_keyword_before] = ACTIONS(1369),
    [sym_keyword_rows] = ACTIONS(1369),
    [sym_keyword_between] = ACTIONS(1369),
    [aux_sym_keyword_like_token1] = ACTIONS(1369),
    [aux_sym_keyword_like_token2] = ACTIONS(1369),
    [sym_keyword_similar] = ACTIONS(1369),
    [sym_keyword_returns] = ACTIONS(1369),
    [sym_keyword_language] = ACTIONS(1369),
    [sym_keyword_immutable] = ACTIONS(1369),
    [sym_keyword_stable] = ACTIONS(1369),
    [sym_keyword_volatile] = ACTIONS(1369),
    [sym_keyword_leakproof] = ACTIONS(1369),
    [sym_keyword_parallel] = ACTIONS(1369),
    [sym_keyword_called] = ACTIONS(1369),
    [sym_keyword_strict] = ACTIONS(1369),
    [sym_keyword_cost] = ACTIONS(1369),
    [sym_keyword_support] = ACTIONS(1369),
    [sym_keyword_security] = ACTIONS(1369),
    [sym_keyword_external] = ACTIONS(1369),
    [anon_sym_LBRACK] = ACTIONS(1367),
    [anon_sym_COMMA] = ACTIONS(1367),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1367),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1367),
    [anon_sym_LT] = ACTIONS(1369),
    [anon_sym_GT] = ACTIONS(1369),
    [anon_sym_LT_EQ] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1367),
    [sym_op_other] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1369),
    [anon_sym_SLASH] = ACTIONS(1369),
    [anon_sym_PERCENT] = ACTIONS(1367),
    [anon_sym_CARET] = ACTIONS(1369),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_LT_GT] = ACTIONS(1367),
    [sym__double_quote_string] = ACTIONS(1367),
    [aux_sym__single_quote_string_token2] = ACTIONS(2418),
    [aux_sym_identifier_token1] = ACTIONS(1367),
    [sym__dollar_quoted_string_end_tag] = ACTIONS(1367),
  },
  [294] = {
    [aux_sym__single_quote_string_repeat1] = STATE(292),
    [sym__identifier] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [sym_keyword_from] = ACTIONS(1363),
    [sym_keyword_on] = ACTIONS(1363),
    [sym_keyword_offset] = ACTIONS(1363),
    [sym_keyword_create] = ACTIONS(1363),
    [sym_keyword_as] = ACTIONS(1363),
    [sym_keyword_when] = ACTIONS(1363),
    [sym_keyword_in] = ACTIONS(1363),
    [sym_keyword_and] = ACTIONS(1363),
    [sym_keyword_or] = ACTIONS(1363),
    [sym_keyword_is] = ACTIONS(1363),
    [sym_keyword_not] = ACTIONS(1363),
    [sym_keyword_cascade] = ACTIONS(1363),
    [sym_keyword_with] = ACTIONS(1363),
    [sym_keyword_password] = ACTIONS(1363),
    [sym_keyword_encrypted] = ACTIONS(1363),
    [sym_keyword_valid] = ACTIONS(1363),
    [sym_keyword_connection] = ACTIONS(1363),
    [sym_keyword_union] = ACTIONS(1363),
    [sym_keyword_except] = ACTIONS(1363),
    [sym_keyword_intersect] = ACTIONS(1363),
    [sym_keyword_returning] = ACTIONS(1363),
    [sym_keyword_after] = ACTIONS(1363),
    [sym_keyword_before] = ACTIONS(1363),
    [sym_keyword_rows] = ACTIONS(1363),
    [sym_keyword_between] = ACTIONS(1363),
    [aux_sym_keyword_like_token1] = ACTIONS(1363),
    [aux_sym_keyword_like_token2] = ACTIONS(1363),
    [sym_keyword_similar] = ACTIONS(1363),
    [sym_keyword_returns] = ACTIONS(1363),
    [sym_keyword_language] = ACTIONS(1363),
    [sym_keyword_immutable] = ACTIONS(1363),
    [sym_keyword_stable] = ACTIONS(1363),
    [sym_keyword_volatile] = ACTIONS(1363),
    [sym_keyword_leakproof] = ACTIONS(1363),
    [sym_keyword_parallel] = ACTIONS(1363),
    [sym_keyword_called] = ACTIONS(1363),
    [sym_keyword_strict] = ACTIONS(1363),
    [sym_keyword_cost] = ACTIONS(1363),
    [sym_keyword_support] = ACTIONS(1363),
    [sym_keyword_security] = ACTIONS(1363),
    [sym_keyword_external] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1361),
    [anon_sym_STAR] = ACTIONS(1361),
    [anon_sym_COLON_COLON] = ACTIONS(1361),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [sym_op_other] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1361),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PERCENT] = ACTIONS(1361),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_LT_GT] = ACTIONS(1361),
    [sym__double_quote_string] = ACTIONS(1361),
    [aux_sym__single_quote_string_token2] = ACTIONS(2421),
    [aux_sym_identifier_token1] = ACTIONS(1361),
    [sym__dollar_quoted_string_end_tag] = ACTIONS(1361),
  },
  [295] = {
    [ts_builtin_sym_end] = ACTIONS(1384),
    [sym__identifier] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1384),
    [sym_keyword_set] = ACTIONS(1386),
    [sym_keyword_from] = ACTIONS(1386),
    [sym_keyword_create] = ACTIONS(1386),
    [sym_keyword_as] = ACTIONS(1386),
    [sym_keyword_in] = ACTIONS(1386),
    [sym_keyword_and] = ACTIONS(1386),
    [sym_keyword_or] = ACTIONS(1386),
    [sym_keyword_is] = ACTIONS(1386),
    [sym_keyword_not] = ACTIONS(1386),
    [sym_keyword_with] = ACTIONS(1386),
    [sym_keyword_rename] = ACTIONS(1386),
    [sym_keyword_user] = ACTIONS(1386),
    [sym_keyword_admin] = ACTIONS(1386),
    [sym_keyword_password] = ACTIONS(1386),
    [sym_keyword_encrypted] = ACTIONS(1386),
    [sym_keyword_valid] = ACTIONS(1386),
    [sym_keyword_connection] = ACTIONS(1386),
    [sym_keyword_role] = ACTIONS(1386),
    [sym_keyword_reset] = ACTIONS(1386),
    [sym_keyword_begin] = ACTIONS(1386),
    [sym_keyword_rows] = ACTIONS(1386),
    [sym_keyword_between] = ACTIONS(1386),
    [aux_sym_keyword_like_token1] = ACTIONS(1386),
    [aux_sym_keyword_like_token2] = ACTIONS(1386),
    [sym_keyword_similar] = ACTIONS(1386),
    [sym_keyword_returns] = ACTIONS(1386),
    [sym_keyword_return] = ACTIONS(1386),
    [sym_keyword_language] = ACTIONS(1386),
    [sym_keyword_immutable] = ACTIONS(1386),
    [sym_keyword_stable] = ACTIONS(1386),
    [sym_keyword_volatile] = ACTIONS(1386),
    [sym_keyword_leakproof] = ACTIONS(1386),
    [sym_keyword_parallel] = ACTIONS(1386),
    [sym_keyword_called] = ACTIONS(1386),
    [sym_keyword_strict] = ACTIONS(1386),
    [sym_keyword_cost] = ACTIONS(1386),
    [sym_keyword_support] = ACTIONS(1386),
    [sym_keyword_security] = ACTIONS(1386),
    [sym_keyword_external] = ACTIONS(1386),
    [sym_keyword_array] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_RPAREN] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1384),
    [anon_sym_DOT] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_COLON_COLON] = ACTIONS(1384),
    [anon_sym_LT] = ACTIONS(1386),
    [anon_sym_GT] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1384),
    [anon_sym_GT_EQ] = ACTIONS(1384),
    [sym_op_other] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1386),
    [anon_sym_PERCENT] = ACTIONS(1384),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1384),
    [anon_sym_LT_GT] = ACTIONS(1384),
    [sym__double_quote_string] = ACTIONS(1384),
    [aux_sym_identifier_token1] = ACTIONS(1384),
  },
  [296] = {
    [sym_array] = STATE(5469),
    [sym__cte] = STATE(8413),
    [sym__dml_read] = STATE(12357),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_select] = STATE(7578),
    [sym_object_reference] = STATE(11074),
    [sym__inner_default_expression] = STATE(14176),
    [sym_case] = STATE(5469),
    [sym__qualified_field] = STATE(2599),
    [sym_implicit_cast] = STATE(5469),
    [sym_interval] = STATE(5469),
    [sym_cast] = STATE(5469),
    [sym_invocation] = STATE(6590),
    [sym_exists] = STATE(5469),
    [sym_window_function] = STATE(5469),
    [sym__expression] = STATE(5469),
    [sym_parenthesized_expression] = STATE(5469),
    [sym_subscript] = STATE(5469),
    [sym_binary_expression] = STATE(5469),
    [sym_unary_expression] = STATE(5469),
    [sym_between_expression] = STATE(5469),
    [sym_subquery] = STATE(5469),
    [sym_list] = STATE(5469),
    [sym_literal] = STATE(5469),
    [sym__single_quote_string] = STATE(821),
    [sym__literal_string] = STATE(2607),
    [sym__integer] = STATE(2607),
    [sym__decimal_number] = STATE(2607),
    [sym__bit_string] = STATE(2607),
    [sym__string_casting] = STATE(2607),
    [sym_identifier] = STATE(1677),
    [sym__identifier] = ACTIONS(213),
    [sym_keyword_select] = ACTIONS(2423),
    [sym_keyword_show] = ACTIONS(2425),
    [sym_keyword_cast] = ACTIONS(2427),
    [sym_keyword_case] = ACTIONS(2429),
    [sym_keyword_not] = ACTIONS(2431),
    [sym_keyword_exists] = ACTIONS(2433),
    [sym_keyword_with] = ACTIONS(2435),
    [sym_keyword_all] = ACTIONS(2431),
    [sym_keyword_any] = ACTIONS(2431),
    [sym_keyword_some] = ACTIONS(2431),
    [sym_keyword_current_timestamp] = ACTIONS(2437),
    [sym_keyword_null] = ACTIONS(2439),
    [sym_keyword_true] = ACTIONS(2439),
    [sym_keyword_false] = ACTIONS(2439),
    [sym_keyword_interval] = ACTIONS(2441),
    [sym_keyword_array] = ACTIONS(2443),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_RPAREN] = ACTIONS(2447),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym_parameter] = ACTIONS(2449),
    [anon_sym_PLUS] = ACTIONS(2451),
    [anon_sym_DASH] = ACTIONS(2453),
    [sym_op_unary_other] = ACTIONS(2455),
    [sym__double_quote_string] = ACTIONS(2457),
    [aux_sym__single_quote_string_token1] = ACTIONS(2459),
    [aux_sym__integer_token1] = ACTIONS(2461),
    [aux_sym__decimal_number_token1] = ACTIONS(2463),
    [aux_sym__bit_string_token1] = ACTIONS(2465),
    [sym_bang] = ACTIONS(2431),
    [aux_sym_identifier_token1] = ACTIONS(271),
    [sym__dollar_quoted_string] = ACTIONS(2467),
  },
  [297] = {
    [sym_array] = STATE(5286),
    [sym__cte] = STATE(8413),
    [sym__dml_read] = STATE(12357),
    [sym__show_statement] = STATE(8128),
    [sym_set_operation] = STATE(8151),
    [sym__select_statement] = STATE(7634),
    [sym_select] = STATE(7578),
    [sym_object_reference] = STATE(11074),
    [sym__inner_default_expression] = STATE(13055),
    [sym_case] = STATE(5286),
    [sym__qualified_field] = STATE(2599),
    [sym_implicit_cast] = STATE(5286),
    [sym_interval] = STATE(5286),
    [sym_cast] = STATE(5286),
    [sym_invocation] = STATE(6590),
    [sym_exists] = STATE(5286),
    [sym_window_function] = STATE(5286),
    [sym__expression] = STATE(5286),
    [sym_parenthesized_expression] = STATE(5286),
    [sym_subscript] = STATE(5286),
    [sym_binary_expression] = STATE(5286),
    [sym_unary_expression] = STATE(5286),
    [sym_between_expression] = STATE(5286),
    [sym_subquery] = STATE(5286),
    [sym_list] = STATE(5286),
    [sym_literal] = STATE(5286),
    [sym__single_quote_string] = STATE(821),
    [sym__literal_string] = STATE(2607),
    [sym__integer] = STATE(2607),
    [sym__decimal_number] = STATE(2607),
    [sym__bit_string] = STATE(2607),
    [sym__string_casting] = STATE(2607),
    [sym_identifier] = STATE(1677),
    [sym__identifier] = ACTIONS(213),
    [sym_keyword_select] = ACTIONS(2423),
    [sym_keyword_show] = ACTIONS(2425),
    [sym_keyword_cast] = ACTIONS(2427),
    [sym_keyword_case] = ACTIONS(2429),
    [sym_keyword_not] = ACTIONS(2431),
    [sym_keyword_exists] = ACTIONS(2433),
    [sym_keyword_with] = ACTIONS(2435),
    [sym_keyword_all] = ACTIONS(2431),
    [sym_keyword_any] = ACTIONS(2431),
    [sym_keyword_some] = ACTIONS(2431),
    [sym_keyword_current_timestamp] = ACTIONS(2469),
    [sym_keyword_null] = ACTIONS(2439),
    [sym_keyword_true] = ACTIONS(2439),
    [sym_keyword_false] = ACTIONS(2439),
    [sym_keyword_interval] = ACTIONS(2441),
    [sym_keyword_array] = ACTIONS(2443),
    [anon_sym_LPAREN] = ACTIONS(2445),
    [anon_sym_RPAREN] = ACTIONS(2471),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [sym_parameter] = ACTIONS(2473),
    [anon_sym_PLUS] = ACTIONS(2451),
    [anon_sym_DASH] = ACTIONS(2453),
    [sym_op_unary_other] = ACTIONS(2455),
    [sym__double_quote_string] = ACTIONS(2457),
    [aux_sym__single_quote_string_token1] = ACTIONS(2459),
    [aux_sym__integer_token1] = ACTIONS(2461),
    [aux_sym__decimal_number_token1] = ACTIONS(2463),
    [aux_sym__bit_string_token1] = ACTIONS(2465),
    [sym_bang] = ACTIONS(2431),
    [aux_sym_identifier_token1] = ACTIONS(271),
    [sym__dollar_quoted_string] = ACTIONS(2467),
  },
  [298] = {
    [ts_builtin_sym_end] = ACTIONS(1384),
    [sym__identifier] = ACTIONS(1386),
    [anon_sym_SEMI] = ACTIONS(1384),
    [sym_keyword_set] = ACTIONS(1386),
    [sym_keyword_left] = ACTIONS(1386),
    [sym_keyword_right] = ACTIONS(1386),
    [sym_keyword_inner] = ACTIONS(1386),
    [sym_keyword_full] = ACTIONS(1386),
    [sym_keyword_cross] = ACTIONS(1386),
    [sym_keyword_join] = ACTIONS(1386),
    [sym_keyword_natural] = ACTIONS(1386),
    [sym_keyword_on] = ACTIONS(1386),
    [sym_keyword_where] = ACTIONS(1386),
    [sym_keyword_order] = ACTIONS(1386),
    [sym_keyword_group] = ACTIONS(1386),
    [sym_keyword_limit] = ACTIONS(1386),
    [sym_keyword_primary] = ACTIONS(1386),
    [sym_keyword_create] = ACTIONS(1386),
    [sym_keyword_increment] = ACTIONS(1386),
    [sym_keyword_minvalue] = ACTIONS(1386),
    [sym_keyword_maxvalue] = ACTIONS(1386),
    [sym_keyword_owned] = ACTIONS(1386),
    [sym_keyword_start] = ACTIONS(1386),
    [sym_keyword_restart] = ACTIONS(1386),
    [sym_keyword_key] = ACTIONS(1386),
    [sym_keyword_as] = ACTIONS(1386),
    [sym_keyword_constraint] = ACTIONS(1386),
    [sym_keyword_separator] = ACTIONS(1386),
    [sym_keyword_when] = ACTIONS(1386),
    [sym_keyword_force] = ACTIONS(1386),
    [sym_keyword_ignore] = ACTIONS(1386),
    [sym_keyword_using] = ACTIONS(1386),
    [sym_keyword_use] = ACTIONS(1386),
    [sym_keyword_index] = ACTIONS(1386),
    [sym_keyword_with] = ACTIONS(1386),
    [sym_keyword_no] = ACTIONS(1386),
    [sym_keyword_rename] = ACTIONS(1386),
    [sym_keyword_owner] = ACTIONS(1386),
    [sym_keyword_password] = ACTIONS(1386),
    [sym_keyword_encrypted] = ACTIONS(1386),
    [sym_keyword_valid] = ACTIONS(1386),
    [sym_keyword_connection] = ACTIONS(1386),
    [sym_keyword_cycle] = ACTIONS(1386),
    [sym_keyword_union] = ACTIONS(1386),
    [sym_keyword_except] = ACTIONS(1386),
    [sym_keyword_intersect] = ACTIONS(1386),
    [sym_keyword_returning] = ACTIONS(1386),
    [sym_keyword_after] = ACTIONS(1386),
    [sym_keyword_before] = ACTIONS(1386),
    [sym_keyword_window] = ACTIONS(1386),
    [sym_keyword_unique] = ACTIONS(1386),
    [sym_keyword_foreign] = ACTIONS(1386),
    [sym_keyword_check] = ACTIONS(1386),
    [sym_keyword_instead] = ACTIONS(1386),
    [sym_keyword_cache] = ACTIONS(1386),
    [sym_keyword_array] = ACTIONS(1386),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_LPAREN] = ACTIONS(1384),
    [anon_sym_RPAREN] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_DOT] = ACTIONS(1384),
    [sym__double_quote_string] = ACTIONS(1384),
    [aux_sym_identifier_token1] = ACTIONS(1384),
  },
  [299] = {
    [ts_builtin_sym_end] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1384),
    [sym_keyword_on] = ACTIONS(1384),
    [sym_keyword_order] = ACTIONS(1384),
    [sym_keyword_group] = ACTIONS(1384),
    [sym_keyword_having] = ACTIONS(1384),
    [sym_keyword_desc] = ACTIONS(1384),
    [sym_keyword_asc] = ACTIONS(1384),
    [sym_keyword_limit] = ACTIONS(1384),
    [sym_keyword_primary] = ACTIONS(1384),
    [sym_keyword_create] = ACTIONS(1384),
    [sym_keyword_as] = ACTIONS(1386),
    [sym_keyword_constraint] = ACTIONS(1384),
    [sym_keyword_when] = ACTIONS(1384),
    [sym_keyword_in] = ACTIONS(1386),
    [sym_keyword_and] = ACTIONS(1384),
    [sym_keyword_or] = ACTIONS(1386),
    [sym_keyword_is] = ACTIONS(1384),
    [sym_keyword_not] = ACTIONS(1384),
    [sym_keyword_auto_increment] = ACTIONS(1384),
    [sym_keyword_generated] = ACTIONS(1384),
    [sym_keyword_default] = ACTIONS(1384),
    [sym_keyword_with] = ACTIONS(1384),
    [sym_keyword_union] = ACTIONS(1384),
    [sym_keyword_except] = ACTIONS(1384),
    [sym_keyword_intersect] = ACTIONS(1384),
    [sym_keyword_returning] = ACTIONS(1384),
    [sym_keyword_first] = ACTIONS(1384),
    [sym_keyword_after] = ACTIONS(1384),
    [sym_keyword_window] = ACTIONS(1384),
    [sym_keyword_between] = ACTIONS(1384),
    [sym_keyword_unique] = ACTIONS(1384),
    [sym_keyword_references] = ACTIONS(1384),
    [aux_sym_keyword_like_token1] = ACTIONS(1384),
    [aux_sym_keyword_like_token2] = ACTIONS(1384),
    [sym_keyword_similar] = ACTIONS(1384),
    [sym_keyword_check] = ACTIONS(1384),
    [sym_keyword_stored] = ACTIONS(1384),
    [sym_keyword_virtual] = ACTIONS(1384),
    [sym_keyword_comment] = ACTIONS(1384),
    [sym_keyword_null] = ACTIONS(1384),
    [sym_keyword_array] = ACTIONS(1384),
    [anon_sym_LBRACK] = ACTIONS(1384),
    [anon_sym_LPAREN] = ACTIONS(1384),
    [anon_sym_RPAREN] = ACTIONS(1384),
    [anon_sym_COMMA] = ACTIONS(1384),
    [sym_comment] = ACTIONS(3),
    [sym_marginalia] = ACTIONS(3),
    [anon_sym_EQ] = ACTIONS(1384),
    [anon_sym_DOT] = ACTIONS(1384),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_COLON_COLON] = ACTIONS(1384),
    [anon_sym_LT] = ACTIONS(1386),
    [anon_sym_GT] = ACTIONS(1386),
    [anon_sym_LT_EQ] = ACTIONS(1384),
    [anon_sym_GT_EQ] = ACTIONS(1384),
    [sym_op_other] = ACTIONS(1384),
    [anon_sym_PLUS] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_SLASH] = ACTIONS(1386),
    [anon_sym_PERCENT] = ACTIONS(1384),
    [anon_sym_CARET] = ACTIONS(1386),
    [anon_sym_BANG_EQ] = ACTIONS(1384),
    [anon_sym_LT_GT] = ACTIONS(1384),
    [aux_sym__single_quote_string_token1] = ACTIONS(1384),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 20,
    ACTIONS(2477), 1,
      sym_keyword_as,
    ACTIONS(2479), 1,
      sym_keyword_in,
    ACTIONS(2481), 1,
      sym_keyword_is,
    ACTIONS(2483), 1,
      sym_keyword_not,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2489), 1,
      anon_sym_LBRACK,
    ACTIONS(2497), 1,
      sym_op_other,
    ACTIONS(2499), 1,
      anon_sym_PLUS,
    ACTIONS(2501), 1,
      anon_sym_DASH,
    ACTIONS(2503), 1,
      anon_sym_SLASH,
    ACTIONS(2505), 1,
      anon_sym_CARET,
    STATE(11122), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2495), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1409), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1411), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2491), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2475), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [105] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2507), 1,
      anon_sym_RPAREN,
    ACTIONS(2509), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(10832), 1,
      sym_object_reference,
    STATE(12906), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5147), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [246] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2471), 1,
      anon_sym_RPAREN,
    ACTIONS(2511), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11608), 1,
      sym_object_reference,
    STATE(12573), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5146), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [387] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2513), 1,
      anon_sym_RPAREN,
    ACTIONS(2515), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(10849), 1,
      sym_object_reference,
    STATE(14635), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5354), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [528] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2517), 1,
      anon_sym_RPAREN,
    ACTIONS(2519), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(10893), 1,
      sym_object_reference,
    STATE(13843), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5406), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [669] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2521), 1,
      anon_sym_RPAREN,
    ACTIONS(2523), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11074), 1,
      sym_object_reference,
    STATE(12357), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5199), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [810] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2525), 1,
      anon_sym_RPAREN,
    ACTIONS(2527), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11608), 1,
      sym_object_reference,
    STATE(12931), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5504), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [951] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2529), 1,
      anon_sym_RPAREN,
    ACTIONS(2531), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(10673), 1,
      sym_object_reference,
    STATE(14572), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5431), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [1092] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2533), 1,
      anon_sym_RPAREN,
    ACTIONS(2535), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11608), 1,
      sym_object_reference,
    STATE(13763), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5278), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [1233] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2537), 1,
      anon_sym_RPAREN,
    ACTIONS(2539), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(10846), 1,
      sym_object_reference,
    STATE(14351), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5187), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [1374] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2541), 1,
      anon_sym_RPAREN,
    ACTIONS(2543), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11608), 1,
      sym_object_reference,
    STATE(13518), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5161), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [1515] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2521), 1,
      anon_sym_RPAREN,
    ACTIONS(2545), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11074), 1,
      sym_object_reference,
    STATE(12357), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5197), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [1656] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2447), 1,
      anon_sym_RPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2547), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(10870), 1,
      sym_object_reference,
    STATE(14618), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5502), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [1797] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2521), 1,
      anon_sym_RPAREN,
    ACTIONS(2549), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11608), 1,
      sym_object_reference,
    STATE(12357), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5377), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [1938] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2551), 1,
      anon_sym_RPAREN,
    ACTIONS(2553), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11608), 1,
      sym_object_reference,
    STATE(14793), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5465), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [2079] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2525), 1,
      anon_sym_RPAREN,
    ACTIONS(2555), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(10872), 1,
      sym_object_reference,
    STATE(12931), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5476), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [2220] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2521), 1,
      anon_sym_RPAREN,
    ACTIONS(2557), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11074), 1,
      sym_object_reference,
    STATE(12357), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5475), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [2361] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2521), 1,
      anon_sym_RPAREN,
    ACTIONS(2559), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11074), 1,
      sym_object_reference,
    STATE(12357), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5487), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [2502] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2447), 1,
      anon_sym_RPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2561), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11608), 1,
      sym_object_reference,
    STATE(14618), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5472), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [2643] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2521), 1,
      anon_sym_RPAREN,
    ACTIONS(2563), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11074), 1,
      sym_object_reference,
    STATE(12357), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5432), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [2784] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2565), 1,
      anon_sym_RPAREN,
    ACTIONS(2567), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(10817), 1,
      sym_object_reference,
    STATE(13598), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5410), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [2925] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2521), 1,
      anon_sym_RPAREN,
    ACTIONS(2569), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11074), 1,
      sym_object_reference,
    STATE(12357), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5451), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [3066] = 21,
    ACTIONS(2479), 1,
      sym_keyword_in,
    ACTIONS(2481), 1,
      sym_keyword_is,
    ACTIONS(2483), 1,
      sym_keyword_not,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2489), 1,
      anon_sym_LBRACK,
    ACTIONS(2497), 1,
      sym_op_other,
    ACTIONS(2499), 1,
      anon_sym_PLUS,
    ACTIONS(2501), 1,
      anon_sym_DASH,
    ACTIONS(2503), 1,
      anon_sym_SLASH,
    ACTIONS(2505), 1,
      anon_sym_CARET,
    ACTIONS(2573), 1,
      sym_keyword_as,
    ACTIONS(2575), 1,
      sym_keyword_between,
    STATE(11122), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2495), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1409), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1411), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2491), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [3173] = 22,
    ACTIONS(2479), 1,
      sym_keyword_in,
    ACTIONS(2481), 1,
      sym_keyword_is,
    ACTIONS(2483), 1,
      sym_keyword_not,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2489), 1,
      anon_sym_LBRACK,
    ACTIONS(2497), 1,
      sym_op_other,
    ACTIONS(2499), 1,
      anon_sym_PLUS,
    ACTIONS(2501), 1,
      anon_sym_DASH,
    ACTIONS(2503), 1,
      anon_sym_SLASH,
    ACTIONS(2505), 1,
      anon_sym_CARET,
    ACTIONS(2573), 1,
      sym_keyword_as,
    ACTIONS(2575), 1,
      sym_keyword_between,
    ACTIONS(2577), 1,
      sym_keyword_and,
    STATE(11122), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2495), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1409), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1411), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2491), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [3282] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2579), 1,
      anon_sym_RPAREN,
    ACTIONS(2581), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11608), 1,
      sym_object_reference,
    STATE(14053), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5173), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [3423] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2517), 1,
      anon_sym_RPAREN,
    ACTIONS(2583), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11608), 1,
      sym_object_reference,
    STATE(13843), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5447), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [3564] = 16,
    ACTIONS(2479), 1,
      sym_keyword_in,
    ACTIONS(2481), 1,
      sym_keyword_is,
    ACTIONS(2489), 1,
      anon_sym_LBRACK,
    ACTIONS(2497), 1,
      sym_op_other,
    ACTIONS(2499), 1,
      anon_sym_PLUS,
    ACTIONS(2501), 1,
      anon_sym_DASH,
    ACTIONS(2503), 1,
      anon_sym_SLASH,
    ACTIONS(2505), 1,
      anon_sym_CARET,
    ACTIONS(2585), 1,
      sym_keyword_not,
    STATE(11122), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2573), 3,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1409), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1411), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 40,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [3661] = 9,
    ACTIONS(2481), 1,
      sym_keyword_is,
    ACTIONS(2489), 1,
      anon_sym_LBRACK,
    ACTIONS(2505), 1,
      anon_sym_CARET,
    STATE(11122), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1409), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1411), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 5,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2571), 46,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [3744] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2588), 1,
      anon_sym_RPAREN,
    ACTIONS(2590), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(10906), 1,
      sym_object_reference,
    STATE(12933), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5343), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [3885] = 13,
    ACTIONS(2481), 1,
      sym_keyword_is,
    ACTIONS(2489), 1,
      anon_sym_LBRACK,
    ACTIONS(2499), 1,
      anon_sym_PLUS,
    ACTIONS(2501), 1,
      anon_sym_DASH,
    ACTIONS(2503), 1,
      anon_sym_SLASH,
    ACTIONS(2505), 1,
      anon_sym_CARET,
    STATE(11122), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2573), 3,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1409), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1411), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 43,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [3976] = 11,
    ACTIONS(2481), 1,
      sym_keyword_is,
    ACTIONS(2489), 1,
      anon_sym_LBRACK,
    ACTIONS(2503), 1,
      anon_sym_SLASH,
    ACTIONS(2505), 1,
      anon_sym_CARET,
    STATE(11122), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1409), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2573), 4,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1411), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 44,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [4063] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2507), 1,
      anon_sym_RPAREN,
    ACTIONS(2592), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11608), 1,
      sym_object_reference,
    STATE(12906), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5149), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [4204] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2594), 1,
      anon_sym_RPAREN,
    ACTIONS(2596), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(10864), 1,
      sym_object_reference,
    STATE(14785), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5461), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [4345] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2594), 1,
      anon_sym_RPAREN,
    ACTIONS(2598), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11608), 1,
      sym_object_reference,
    STATE(14785), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5455), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [4486] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2565), 1,
      anon_sym_RPAREN,
    ACTIONS(2600), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11608), 1,
      sym_object_reference,
    STATE(13598), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5306), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [4627] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2579), 1,
      anon_sym_RPAREN,
    ACTIONS(2602), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(10844), 1,
      sym_object_reference,
    STATE(14053), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5168), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [4768] = 8,
    ACTIONS(2481), 1,
      sym_keyword_is,
    ACTIONS(2489), 1,
      anon_sym_LBRACK,
    STATE(11122), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1409), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1411), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 46,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [4849] = 18,
    ACTIONS(2479), 1,
      sym_keyword_in,
    ACTIONS(2481), 1,
      sym_keyword_is,
    ACTIONS(2489), 1,
      anon_sym_LBRACK,
    ACTIONS(2497), 1,
      sym_op_other,
    ACTIONS(2499), 1,
      anon_sym_PLUS,
    ACTIONS(2501), 1,
      anon_sym_DASH,
    ACTIONS(2503), 1,
      anon_sym_SLASH,
    ACTIONS(2505), 1,
      anon_sym_CARET,
    ACTIONS(2573), 1,
      sym_keyword_as,
    ACTIONS(2585), 1,
      sym_keyword_not,
    STATE(11122), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2495), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1409), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1411), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2491), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [4950] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2541), 1,
      anon_sym_RPAREN,
    ACTIONS(2604), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(10837), 1,
      sym_object_reference,
    STATE(13518), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5152), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [5091] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2533), 1,
      anon_sym_RPAREN,
    ACTIONS(2606), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(10820), 1,
      sym_object_reference,
    STATE(13763), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5365), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [5232] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2513), 1,
      anon_sym_RPAREN,
    ACTIONS(2608), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11608), 1,
      sym_object_reference,
    STATE(14635), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5371), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [5373] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2471), 1,
      anon_sym_RPAREN,
    ACTIONS(2610), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(10822), 1,
      sym_object_reference,
    STATE(12573), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5243), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [5514] = 20,
    ACTIONS(2479), 1,
      sym_keyword_in,
    ACTIONS(2481), 1,
      sym_keyword_is,
    ACTIONS(2483), 1,
      sym_keyword_not,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2489), 1,
      anon_sym_LBRACK,
    ACTIONS(2497), 1,
      sym_op_other,
    ACTIONS(2499), 1,
      anon_sym_PLUS,
    ACTIONS(2501), 1,
      anon_sym_DASH,
    ACTIONS(2503), 1,
      anon_sym_SLASH,
    ACTIONS(2505), 1,
      anon_sym_CARET,
    ACTIONS(2614), 1,
      sym_keyword_as,
    STATE(11122), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2495), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1409), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1411), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2491), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2612), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [5619] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2521), 1,
      anon_sym_RPAREN,
    ACTIONS(2616), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11074), 1,
      sym_object_reference,
    STATE(12357), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5326), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [5760] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2521), 1,
      anon_sym_RPAREN,
    ACTIONS(2618), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11074), 1,
      sym_object_reference,
    STATE(12357), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5340), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [5901] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2521), 1,
      anon_sym_RPAREN,
    ACTIONS(2620), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11074), 1,
      sym_object_reference,
    STATE(12357), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5454), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [6042] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2579), 1,
      anon_sym_RPAREN,
    ACTIONS(2602), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(10840), 1,
      sym_object_reference,
    STATE(14053), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5168), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [6183] = 8,
    ACTIONS(2481), 1,
      sym_keyword_is,
    ACTIONS(2489), 1,
      anon_sym_LBRACK,
    STATE(11122), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1409), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1411), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2624), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2622), 46,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [6264] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2588), 1,
      anon_sym_RPAREN,
    ACTIONS(2590), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(10886), 1,
      sym_object_reference,
    STATE(12933), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5343), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [6405] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2521), 1,
      anon_sym_RPAREN,
    ACTIONS(2620), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(10927), 1,
      sym_object_reference,
    STATE(12357), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5454), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [6546] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2521), 1,
      anon_sym_RPAREN,
    ACTIONS(2626), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11074), 1,
      sym_object_reference,
    STATE(12357), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5344), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [6687] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2521), 1,
      anon_sym_RPAREN,
    ACTIONS(2628), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11074), 1,
      sym_object_reference,
    STATE(12357), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5346), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [6828] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2521), 1,
      anon_sym_RPAREN,
    ACTIONS(2630), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11074), 1,
      sym_object_reference,
    STATE(12357), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5347), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [6969] = 13,
    ACTIONS(2481), 1,
      sym_keyword_is,
    ACTIONS(2489), 1,
      anon_sym_LBRACK,
    ACTIONS(2499), 1,
      anon_sym_PLUS,
    ACTIONS(2501), 1,
      anon_sym_DASH,
    ACTIONS(2503), 1,
      anon_sym_SLASH,
    ACTIONS(2505), 1,
      anon_sym_CARET,
    STATE(11122), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2624), 3,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1409), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1411), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2622), 43,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [7060] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2588), 1,
      anon_sym_RPAREN,
    ACTIONS(2632), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11608), 1,
      sym_object_reference,
    STATE(12933), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5355), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [7201] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2529), 1,
      anon_sym_RPAREN,
    ACTIONS(2634), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11608), 1,
      sym_object_reference,
    STATE(14572), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5234), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [7342] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2521), 1,
      anon_sym_RPAREN,
    ACTIONS(2620), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(8265), 1,
      sym__cte,
    STATE(8673), 1,
      sym_select,
    STATE(9605), 1,
      sym__select_statement,
    STATE(11074), 1,
      sym_object_reference,
    STATE(12357), 1,
      sym__dml_read,
    STATE(14611), 1,
      sym_set_operation,
    STATE(14616), 1,
      sym__show_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5454), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [7483] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2521), 1,
      anon_sym_RPAREN,
    ACTIONS(2636), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11074), 1,
      sym_object_reference,
    STATE(12357), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5512), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [7624] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2551), 1,
      anon_sym_RPAREN,
    ACTIONS(2638), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(10878), 1,
      sym_object_reference,
    STATE(14793), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5458), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [7765] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2640), 1,
      anon_sym_RPAREN,
    ACTIONS(2642), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(10858), 1,
      sym_object_reference,
    STATE(13954), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5384), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [7906] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2521), 1,
      anon_sym_RPAREN,
    ACTIONS(2644), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11074), 1,
      sym_object_reference,
    STATE(12357), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5282), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [8047] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2521), 1,
      anon_sym_RPAREN,
    ACTIONS(2646), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11074), 1,
      sym_object_reference,
    STATE(12357), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5284), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [8188] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2521), 1,
      anon_sym_RPAREN,
    ACTIONS(2648), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11074), 1,
      sym_object_reference,
    STATE(12357), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5285), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [8329] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2537), 1,
      anon_sym_RPAREN,
    ACTIONS(2650), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11608), 1,
      sym_object_reference,
    STATE(14351), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5350), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [8470] = 6,
    STATE(11122), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1409), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1411), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [8547] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2640), 1,
      anon_sym_RPAREN,
    ACTIONS(2652), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11608), 1,
      sym_object_reference,
    STATE(13954), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5397), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [8688] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2521), 1,
      anon_sym_RPAREN,
    ACTIONS(2654), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11074), 1,
      sym_object_reference,
    STATE(12357), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5433), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [8829] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2521), 1,
      anon_sym_RPAREN,
    ACTIONS(2656), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11074), 1,
      sym_object_reference,
    STATE(12357), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5434), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [8970] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2658), 1,
      anon_sym_RPAREN,
    ACTIONS(2660), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11608), 1,
      sym_object_reference,
    STATE(12522), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5143), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [9111] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2521), 1,
      anon_sym_RPAREN,
    ACTIONS(2662), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11074), 1,
      sym_object_reference,
    STATE(12357), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5445), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [9252] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2658), 1,
      anon_sym_RPAREN,
    ACTIONS(2664), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(10826), 1,
      sym_object_reference,
    STATE(12522), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5142), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [9393] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2521), 1,
      anon_sym_RPAREN,
    ACTIONS(2666), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11074), 1,
      sym_object_reference,
    STATE(12357), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [9534] = 38,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2445), 1,
      anon_sym_LPAREN,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2521), 1,
      anon_sym_RPAREN,
    ACTIONS(2668), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(11074), 1,
      sym_object_reference,
    STATE(12357), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5437), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [9675] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(406), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2670), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2672), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [9749] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(413), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2676), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2678), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [9823] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(408), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2680), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2682), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [9897] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(399), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2684), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2686), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [9971] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(400), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2688), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2690), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [10045] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(401), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2692), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2694), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [10119] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(411), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2696), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2698), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [10193] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(398), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2700), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2702), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [10267] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(403), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2704), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2706), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [10341] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(404), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2708), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2710), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [10415] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(402), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2712), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2714), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [10489] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1380), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1382), 45,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_cascade,
      sym_keyword_with,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_rows,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [10559] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(397), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2716), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2718), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [10633] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(409), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2720), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2722), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [10707] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(405), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2724), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2726), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [10781] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(396), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2728), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2730), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [10855] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(410), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2734), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [10929] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(414), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2736), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2738), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [11003] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(412), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2740), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2742), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [11077] = 5,
    ACTIONS(2674), 1,
      sym_keyword_filter,
    STATE(416), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2746), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [11151] = 5,
    ACTIONS(2748), 1,
      aux_sym__single_quote_string_token2,
    STATE(394), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1363), 8,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1361), 50,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [11224] = 5,
    ACTIONS(2750), 1,
      aux_sym__single_quote_string_token2,
    STATE(395), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1376), 8,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1374), 50,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [11297] = 5,
    ACTIONS(2752), 1,
      aux_sym__single_quote_string_token2,
    STATE(395), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1369), 8,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1367), 50,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [11370] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2755), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2757), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [11438] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2759), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2761), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [11506] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2734), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [11574] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2763), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2765), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [11642] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2728), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2730), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [11710] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2767), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2769), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [11778] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2724), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2726), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [11846] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2746), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [11914] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2771), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2773), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [11982] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2708), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2710), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [12050] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2676), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2678), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [12118] = 7,
    ACTIONS(2775), 1,
      sym_keyword_unsigned,
    ACTIONS(2777), 1,
      sym_keyword_zerofill,
    ACTIONS(2779), 1,
      sym_keyword_precision,
    ACTIONS(2781), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [12194] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2700), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2702), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [12262] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2783), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2785), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [12330] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2787), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2789), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [12398] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2791), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2793), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [12466] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2795), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2797), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [12534] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2799), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2801), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [12602] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2684), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2686), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [12670] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2803), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2805), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [12738] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2807), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2809), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [12806] = 7,
    ACTIONS(2815), 1,
      sym_keyword_array,
    STATE(288), 1,
      sym_array_size_definition,
    STATE(289), 1,
      sym__array_size_definition,
    STATE(625), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2813), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2811), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [12881] = 6,
    ACTIONS(2817), 1,
      sym_keyword_unsigned,
    ACTIONS(2819), 1,
      sym_keyword_zerofill,
    ACTIONS(2821), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1881), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1879), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [12954] = 7,
    ACTIONS(2823), 1,
      sym_keyword_with,
    ACTIONS(2825), 1,
      sym_keyword_without,
    ACTIONS(2827), 1,
      anon_sym_LPAREN,
    STATE(761), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1861), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1859), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [13029] = 7,
    ACTIONS(2823), 1,
      sym_keyword_with,
    ACTIONS(2825), 1,
      sym_keyword_without,
    ACTIONS(2829), 1,
      anon_sym_LPAREN,
    STATE(760), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [13104] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1382), 8,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 50,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_window,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [13171] = 6,
    ACTIONS(2831), 1,
      sym_keyword_unsigned,
    ACTIONS(2833), 1,
      sym_keyword_zerofill,
    ACTIONS(2835), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [13244] = 6,
    ACTIONS(2775), 1,
      sym_keyword_unsigned,
    ACTIONS(2777), 1,
      sym_keyword_zerofill,
    ACTIONS(2781), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [13317] = 6,
    ACTIONS(2837), 1,
      sym_keyword_unsigned,
    ACTIONS(2839), 1,
      sym_keyword_zerofill,
    ACTIONS(2841), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1851), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1849), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [13390] = 6,
    ACTIONS(2843), 1,
      sym_keyword_unsigned,
    ACTIONS(2845), 1,
      sym_keyword_zerofill,
    ACTIONS(2847), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1841), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1839), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [13463] = 7,
    ACTIONS(123), 1,
      anon_sym_LPAREN,
    ACTIONS(2853), 1,
      anon_sym_DOT,
    ACTIONS(2856), 1,
      aux_sym__single_quote_string_token1,
    STATE(879), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2851), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2849), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [13538] = 6,
    ACTIONS(2858), 1,
      sym_keyword_unsigned,
    ACTIONS(2860), 1,
      sym_keyword_zerofill,
    ACTIONS(2862), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1871), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1869), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [13611] = 6,
    ACTIONS(2864), 1,
      sym_keyword_unsigned,
    ACTIONS(2866), 1,
      sym_keyword_zerofill,
    ACTIONS(2868), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1817), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1815), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [13684] = 6,
    ACTIONS(2870), 1,
      sym_keyword_unsigned,
    ACTIONS(2872), 1,
      sym_keyword_zerofill,
    ACTIONS(2874), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1897), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1895), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [13757] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1905), 52,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [13824] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1911), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1909), 52,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [13891] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1915), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1913), 52,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [13958] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1923), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1921), 52,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [14025] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 52,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [14092] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1919), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1917), 52,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [14159] = 5,
    ACTIONS(2876), 1,
      sym_keyword_filter,
    STATE(536), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2676), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2678), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [14230] = 7,
    ACTIONS(2815), 1,
      sym_keyword_array,
    STATE(287), 1,
      sym_array_size_definition,
    STATE(289), 1,
      sym__array_size_definition,
    STATE(625), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2880), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2878), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [14305] = 5,
    ACTIONS(2876), 1,
      sym_keyword_filter,
    STATE(538), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2728), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2730), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [14376] = 5,
    ACTIONS(2876), 1,
      sym_keyword_filter,
    STATE(539), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2670), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2672), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [14447] = 5,
    ACTIONS(2876), 1,
      sym_keyword_filter,
    STATE(542), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2746), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [14518] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1386), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1384), 52,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [14585] = 5,
    ACTIONS(2876), 1,
      sym_keyword_filter,
    STATE(544), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2688), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2690), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [14656] = 5,
    ACTIONS(2876), 1,
      sym_keyword_filter,
    STATE(545), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2684), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2686), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [14727] = 5,
    ACTIONS(2876), 1,
      sym_keyword_filter,
    STATE(546), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2716), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2718), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [14798] = 5,
    ACTIONS(2876), 1,
      sym_keyword_filter,
    STATE(547), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2708), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2710), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [14869] = 5,
    ACTIONS(2876), 1,
      sym_keyword_filter,
    STATE(548), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2704), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2706), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [14940] = 5,
    ACTIONS(2876), 1,
      sym_keyword_filter,
    STATE(553), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2720), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2722), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [15011] = 5,
    ACTIONS(2876), 1,
      sym_keyword_filter,
    STATE(554), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2734), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [15082] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2882), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2884), 41,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [15149] = 5,
    ACTIONS(2876), 1,
      sym_keyword_filter,
    STATE(573), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2696), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2698), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [15220] = 5,
    ACTIONS(2876), 1,
      sym_keyword_filter,
    STATE(555), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2736), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2738), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [15291] = 5,
    ACTIONS(2876), 1,
      sym_keyword_filter,
    STATE(564), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2740), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2742), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [15362] = 5,
    ACTIONS(2876), 1,
      sym_keyword_filter,
    STATE(566), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2724), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2726), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [15433] = 5,
    ACTIONS(2876), 1,
      sym_keyword_filter,
    STATE(568), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2692), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2694), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [15504] = 5,
    ACTIONS(2876), 1,
      sym_keyword_filter,
    STATE(569), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2700), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2702), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [15575] = 5,
    ACTIONS(2876), 1,
      sym_keyword_filter,
    STATE(570), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2712), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2714), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [15646] = 5,
    ACTIONS(2876), 1,
      sym_keyword_filter,
    STATE(572), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2680), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2682), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [15717] = 5,
    ACTIONS(2886), 1,
      sym_keyword_filter,
    STATE(763), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2706), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2704), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [15787] = 5,
    ACTIONS(2886), 1,
      sym_keyword_filter,
    STATE(793), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2698), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2696), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [15857] = 5,
    ACTIONS(2886), 1,
      sym_keyword_filter,
    STATE(762), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2710), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2708), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [15927] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2888), 1,
      sym_keyword_distinct,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2906), 1,
      anon_sym_RPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8123), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [16053] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(2930), 1,
      sym_keyword_distinct,
    ACTIONS(2932), 1,
      anon_sym_RPAREN,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8196), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [16179] = 5,
    ACTIONS(2886), 1,
      sym_keyword_filter,
    STATE(861), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2714), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2712), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [16249] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(2934), 1,
      sym_keyword_distinct,
    ACTIONS(2936), 1,
      anon_sym_RPAREN,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8145), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [16375] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(2938), 1,
      sym_keyword_distinct,
    ACTIONS(2940), 1,
      anon_sym_RPAREN,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8158), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [16501] = 5,
    ACTIONS(2942), 1,
      aux_sym__single_quote_string_token2,
    STATE(466), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1369), 37,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [16571] = 13,
    ACTIONS(2945), 1,
      sym_keyword_is,
    ACTIONS(2947), 1,
      anon_sym_LBRACK,
    ACTIONS(2951), 1,
      anon_sym_PLUS,
    ACTIONS(2953), 1,
      anon_sym_DASH,
    ACTIONS(2955), 1,
      anon_sym_SLASH,
    ACTIONS(2957), 1,
      anon_sym_CARET,
    STATE(11247), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2949), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2573), 3,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1331), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1324), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [16657] = 33,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2959), 1,
      sym_keyword_distinct,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2975), 1,
      anon_sym_LPAREN,
    ACTIONS(2977), 1,
      anon_sym_STAR,
    ACTIONS(2979), 1,
      sym_parameter,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2985), 1,
      sym_op_unary_other,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5708), 1,
      sym_invocation,
    STATE(6974), 1,
      sym_all_fields,
    STATE(7619), 1,
      sym_select_expression,
    STATE(8647), 1,
      sym_term,
    STATE(12192), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3234), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [16783] = 13,
    ACTIONS(2945), 1,
      sym_keyword_is,
    ACTIONS(2947), 1,
      anon_sym_LBRACK,
    ACTIONS(2951), 1,
      anon_sym_PLUS,
    ACTIONS(2953), 1,
      anon_sym_DASH,
    ACTIONS(2955), 1,
      anon_sym_SLASH,
    ACTIONS(2957), 1,
      anon_sym_CARET,
    STATE(11247), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2949), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2624), 3,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1331), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1324), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2622), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [16869] = 5,
    ACTIONS(2886), 1,
      sym_keyword_filter,
    STATE(860), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2702), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2700), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [16939] = 5,
    ACTIONS(2886), 1,
      sym_keyword_filter,
    STATE(749), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2718), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2716), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [17009] = 5,
    ACTIONS(2886), 1,
      sym_keyword_filter,
    STATE(838), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2694), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2692), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [17079] = 8,
    ACTIONS(2945), 1,
      sym_keyword_is,
    ACTIONS(2947), 1,
      anon_sym_LBRACK,
    STATE(11247), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1331), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1324), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2624), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2622), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [17155] = 33,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2999), 1,
      sym_keyword_distinct,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3017), 1,
      sym_parameter,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3023), 1,
      sym_op_unary_other,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2840), 1,
      sym_identifier,
    STATE(3449), 1,
      sym_invocation,
    STATE(4290), 1,
      sym__qualified_field,
    STATE(6964), 1,
      sym_all_fields,
    STATE(7600), 1,
      sym_select_expression,
    STATE(7722), 1,
      sym_term,
    STATE(11557), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2258), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [17281] = 9,
    ACTIONS(2945), 1,
      sym_keyword_is,
    ACTIONS(2947), 1,
      anon_sym_LBRACK,
    ACTIONS(2957), 1,
      anon_sym_CARET,
    STATE(11247), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1331), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1324), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 5,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2571), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [17359] = 5,
    ACTIONS(2886), 1,
      sym_keyword_filter,
    STATE(748), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [17429] = 5,
    ACTIONS(2886), 1,
      sym_keyword_filter,
    STATE(746), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2690), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2688), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [17499] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3037), 1,
      sym_keyword_distinct,
    ACTIONS(3039), 1,
      anon_sym_RPAREN,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8226), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [17625] = 33,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3041), 1,
      sym_keyword_distinct,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3047), 1,
      sym_parameter,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(6964), 1,
      sym_all_fields,
    STATE(7600), 1,
      sym_select_expression,
    STATE(9603), 1,
      sym_term,
    STATE(11674), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3500), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [17751] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3051), 1,
      sym_keyword_distinct,
    ACTIONS(3053), 1,
      anon_sym_RPAREN,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8168), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [17877] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3055), 1,
      sym_keyword_distinct,
    ACTIONS(3057), 1,
      anon_sym_RPAREN,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8249), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [18003] = 11,
    ACTIONS(2945), 1,
      sym_keyword_is,
    ACTIONS(2947), 1,
      anon_sym_LBRACK,
    ACTIONS(2955), 1,
      anon_sym_SLASH,
    ACTIONS(2957), 1,
      anon_sym_CARET,
    STATE(11247), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2949), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1331), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2573), 4,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1324), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 39,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [18085] = 8,
    ACTIONS(2945), 1,
      sym_keyword_is,
    ACTIONS(2947), 1,
      anon_sym_LBRACK,
    STATE(11247), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1331), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1324), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [18161] = 18,
    ACTIONS(2573), 1,
      sym_keyword_as,
    ACTIONS(2945), 1,
      sym_keyword_is,
    ACTIONS(2947), 1,
      anon_sym_LBRACK,
    ACTIONS(2951), 1,
      anon_sym_PLUS,
    ACTIONS(2953), 1,
      anon_sym_DASH,
    ACTIONS(2955), 1,
      anon_sym_SLASH,
    ACTIONS(2957), 1,
      anon_sym_CARET,
    ACTIONS(3059), 1,
      sym_keyword_in,
    ACTIONS(3061), 1,
      sym_keyword_not,
    ACTIONS(3068), 1,
      sym_op_other,
    STATE(11247), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2949), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3066), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1331), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1324), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3064), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [18257] = 20,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2614), 1,
      sym_keyword_as,
    ACTIONS(2945), 1,
      sym_keyword_is,
    ACTIONS(2947), 1,
      anon_sym_LBRACK,
    ACTIONS(2951), 1,
      anon_sym_PLUS,
    ACTIONS(2953), 1,
      anon_sym_DASH,
    ACTIONS(2955), 1,
      anon_sym_SLASH,
    ACTIONS(2957), 1,
      anon_sym_CARET,
    ACTIONS(3059), 1,
      sym_keyword_in,
    ACTIONS(3068), 1,
      sym_op_other,
    ACTIONS(3070), 1,
      sym_keyword_not,
    STATE(11247), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2949), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3066), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1331), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1324), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3064), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2612), 27,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [18357] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3072), 1,
      sym_keyword_distinct,
    ACTIONS(3074), 1,
      anon_sym_RPAREN,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8157), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [18483] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3076), 1,
      sym_keyword_distinct,
    ACTIONS(3078), 1,
      anon_sym_RPAREN,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8264), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [18609] = 16,
    ACTIONS(2945), 1,
      sym_keyword_is,
    ACTIONS(2947), 1,
      anon_sym_LBRACK,
    ACTIONS(2951), 1,
      anon_sym_PLUS,
    ACTIONS(2953), 1,
      anon_sym_DASH,
    ACTIONS(2955), 1,
      anon_sym_SLASH,
    ACTIONS(2957), 1,
      anon_sym_CARET,
    ACTIONS(3059), 1,
      sym_keyword_in,
    ACTIONS(3061), 1,
      sym_keyword_not,
    ACTIONS(3068), 1,
      sym_op_other,
    STATE(11247), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2949), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2573), 3,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1331), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1324), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [18701] = 5,
    ACTIONS(2886), 1,
      sym_keyword_filter,
    STATE(744), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2728), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [18771] = 5,
    ACTIONS(2886), 1,
      sym_keyword_filter,
    STATE(790), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2738), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2736), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [18841] = 35,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3082), 1,
      sym_keyword_between,
    ACTIONS(3084), 1,
      sym_keyword_unbounded,
    ACTIONS(3086), 1,
      sym_keyword_current,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3090), 1,
      sym_parameter,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(6476), 1,
      sym_identifier,
    STATE(6638), 1,
      sym_binary_expression,
    STATE(8722), 1,
      sym_frame_definition,
    STATE(11108), 1,
      sym__current_row,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6634), 2,
      sym__literal_string,
      sym__integer,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2607), 3,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6326), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [18971] = 4,
    ACTIONS(3094), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 50,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [19039] = 5,
    ACTIONS(3096), 1,
      sym_keyword_varying,
    ACTIONS(3098), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1983), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1981), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [19109] = 5,
    ACTIONS(3100), 1,
      aux_sym__single_quote_string_token2,
    STATE(466), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1376), 37,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [19179] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3102), 1,
      sym_keyword_distinct,
    ACTIONS(3104), 1,
      anon_sym_RPAREN,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8111), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [19305] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3106), 1,
      sym_keyword_distinct,
    ACTIONS(3108), 1,
      anon_sym_RPAREN,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8117), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [19431] = 5,
    ACTIONS(2886), 1,
      sym_keyword_filter,
    STATE(745), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [19501] = 5,
    ACTIONS(2886), 1,
      sym_keyword_filter,
    STATE(787), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [19571] = 33,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3110), 1,
      sym_keyword_distinct,
    ACTIONS(3114), 1,
      sym_parameter,
    ACTIONS(3116), 1,
      sym_op_unary_other,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(5353), 1,
      sym_invocation,
    STATE(6964), 1,
      sym_all_fields,
    STATE(7600), 1,
      sym_select_expression,
    STATE(8881), 1,
      sym_term,
    STATE(11674), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3112), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3148), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [19697] = 5,
    ACTIONS(2886), 1,
      sym_keyword_filter,
    STATE(841), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2682), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2680), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [19767] = 5,
    ACTIONS(2886), 1,
      sym_keyword_filter,
    STATE(830), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2672), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2670), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [19837] = 21,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2573), 1,
      sym_keyword_as,
    ACTIONS(2945), 1,
      sym_keyword_is,
    ACTIONS(2947), 1,
      anon_sym_LBRACK,
    ACTIONS(2951), 1,
      anon_sym_PLUS,
    ACTIONS(2953), 1,
      anon_sym_DASH,
    ACTIONS(2955), 1,
      anon_sym_SLASH,
    ACTIONS(2957), 1,
      anon_sym_CARET,
    ACTIONS(3059), 1,
      sym_keyword_in,
    ACTIONS(3068), 1,
      sym_op_other,
    ACTIONS(3070), 1,
      sym_keyword_not,
    ACTIONS(3118), 1,
      sym_keyword_between,
    STATE(11247), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2949), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3066), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1331), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1324), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3064), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 26,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [19939] = 33,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(1291), 1,
      aux_sym_identifier_token1,
    ACTIONS(2977), 1,
      anon_sym_STAR,
    ACTIONS(3120), 1,
      sym_keyword_distinct,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3138), 1,
      sym_parameter,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(2964), 1,
      sym_identifier,
    STATE(4197), 1,
      sym_invocation,
    STATE(4481), 1,
      sym__qualified_field,
    STATE(6974), 1,
      sym_all_fields,
    STATE(7619), 1,
      sym_select_expression,
    STATE(7894), 1,
      sym_term,
    STATE(12221), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4309), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2537), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [20065] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2054), 7,
      sym_keyword_as,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2052), 50,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [20131] = 33,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3023), 1,
      sym_op_unary_other,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(3158), 1,
      sym_keyword_distinct,
    ACTIONS(3160), 1,
      sym_parameter,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2840), 1,
      sym_identifier,
    STATE(3449), 1,
      sym_invocation,
    STATE(4290), 1,
      sym__qualified_field,
    STATE(6964), 1,
      sym_all_fields,
    STATE(7480), 1,
      sym_term,
    STATE(7600), 1,
      sym_select_expression,
    STATE(11557), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1850), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [20257] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3162), 1,
      sym_keyword_distinct,
    ACTIONS(3164), 1,
      anon_sym_RPAREN,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8185), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [20383] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3166), 1,
      sym_keyword_distinct,
    ACTIONS(3168), 1,
      anon_sym_RPAREN,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8184), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [20509] = 20,
    ACTIONS(2477), 1,
      sym_keyword_as,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2945), 1,
      sym_keyword_is,
    ACTIONS(2947), 1,
      anon_sym_LBRACK,
    ACTIONS(2951), 1,
      anon_sym_PLUS,
    ACTIONS(2953), 1,
      anon_sym_DASH,
    ACTIONS(2955), 1,
      anon_sym_SLASH,
    ACTIONS(2957), 1,
      anon_sym_CARET,
    ACTIONS(3059), 1,
      sym_keyword_in,
    ACTIONS(3068), 1,
      sym_op_other,
    ACTIONS(3070), 1,
      sym_keyword_not,
    STATE(11247), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2949), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3066), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1331), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1324), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3064), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2475), 27,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [20609] = 5,
    ACTIONS(3170), 1,
      sym_keyword_precision,
    ACTIONS(3172), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [20679] = 6,
    STATE(11247), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1331), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1324), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [20751] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3174), 1,
      sym_keyword_distinct,
    ACTIONS(3176), 1,
      anon_sym_RPAREN,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8258), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [20877] = 5,
    ACTIONS(3178), 1,
      sym_keyword_unsigned,
    ACTIONS(3180), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1927), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1925), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [20947] = 5,
    ACTIONS(3182), 1,
      sym_keyword_unsigned,
    ACTIONS(3184), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1991), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1989), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [21017] = 5,
    ACTIONS(3186), 1,
      sym_keyword_unsigned,
    ACTIONS(3188), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1999), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1997), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [21087] = 5,
    ACTIONS(3190), 1,
      sym_keyword_unsigned,
    ACTIONS(3192), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2007), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2005), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [21157] = 5,
    ACTIONS(3194), 1,
      sym_keyword_unsigned,
    ACTIONS(3196), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2015), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2013), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [21227] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3198), 1,
      sym_keyword_distinct,
    ACTIONS(3200), 1,
      anon_sym_RPAREN,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8252), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [21353] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3202), 1,
      sym_keyword_distinct,
    ACTIONS(3204), 1,
      anon_sym_RPAREN,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8253), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [21479] = 5,
    ACTIONS(3206), 1,
      sym_keyword_unsigned,
    ACTIONS(3208), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1955), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1953), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [21549] = 5,
    ACTIONS(2886), 1,
      sym_keyword_filter,
    STATE(733), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [21619] = 5,
    ACTIONS(3210), 1,
      sym_keyword_unsigned,
    ACTIONS(3212), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1947), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1945), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [21689] = 5,
    ACTIONS(3214), 1,
      sym_keyword_unsigned,
    ACTIONS(3216), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1971), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1969), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [21759] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2573), 1,
      sym_keyword_as,
    ACTIONS(2945), 1,
      sym_keyword_is,
    ACTIONS(2947), 1,
      anon_sym_LBRACK,
    ACTIONS(2951), 1,
      anon_sym_PLUS,
    ACTIONS(2953), 1,
      anon_sym_DASH,
    ACTIONS(2955), 1,
      anon_sym_SLASH,
    ACTIONS(2957), 1,
      anon_sym_CARET,
    ACTIONS(3059), 1,
      sym_keyword_in,
    ACTIONS(3068), 1,
      sym_op_other,
    ACTIONS(3070), 1,
      sym_keyword_not,
    ACTIONS(3118), 1,
      sym_keyword_between,
    ACTIONS(3218), 1,
      sym_keyword_and,
    STATE(11247), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2949), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3066), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1331), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1324), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3064), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 25,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [21863] = 6,
    ACTIONS(2823), 1,
      sym_keyword_with,
    ACTIONS(2825), 1,
      sym_keyword_without,
    STATE(773), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1979), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1977), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [21935] = 6,
    ACTIONS(2823), 1,
      sym_keyword_with,
    ACTIONS(2825), 1,
      sym_keyword_without,
    STATE(772), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1963), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1961), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [22007] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3220), 1,
      sym_keyword_distinct,
    ACTIONS(3222), 1,
      anon_sym_RPAREN,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8251), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [22133] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1382), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [22201] = 5,
    ACTIONS(2886), 1,
      sym_keyword_filter,
    STATE(786), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2720), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [22271] = 5,
    ACTIONS(2886), 1,
      sym_keyword_filter,
    STATE(792), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2742), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2740), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [22341] = 33,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(1291), 1,
      aux_sym_identifier_token1,
    ACTIONS(2977), 1,
      anon_sym_STAR,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(3224), 1,
      sym_keyword_distinct,
    ACTIONS(3226), 1,
      sym_parameter,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(2964), 1,
      sym_identifier,
    STATE(4197), 1,
      sym_invocation,
    STATE(4481), 1,
      sym__qualified_field,
    STATE(6974), 1,
      sym_all_fields,
    STATE(7591), 1,
      sym_term,
    STATE(7619), 1,
      sym_select_expression,
    STATE(12221), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4309), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1956), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [22467] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3228), 1,
      sym_keyword_distinct,
    ACTIONS(3230), 1,
      anon_sym_RPAREN,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8162), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [22593] = 5,
    ACTIONS(3232), 1,
      aux_sym__single_quote_string_token2,
    STATE(494), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1363), 37,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [22663] = 5,
    ACTIONS(2886), 1,
      sym_keyword_filter,
    STATE(795), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2724), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [22733] = 8,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2624), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2622), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [22808] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(6122), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [22933] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2799), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2801), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [22998] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(6008), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [23123] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2755), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2757), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [23188] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2676), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2678), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [23253] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(6007), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [23378] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(6006), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [23503] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2807), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2809), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [23568] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(6005), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [23693] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2728), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2730), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [23758] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2763), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2765), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [23823] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2759), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2761), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [23888] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2771), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2773), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [23953] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2746), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [24018] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(6000), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [24143] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5991), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [24268] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5984), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [24393] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5981), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [24518] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2783), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2785), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [24583] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2787), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2789), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [24648] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2684), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2686), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [24713] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5956), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [24838] = 32,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3047), 1,
      sym_parameter,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(3240), 1,
      anon_sym_RPAREN,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(6964), 1,
      sym_all_fields,
    STATE(11180), 1,
      sym_term,
    STATE(11674), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3500), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [24961] = 32,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3114), 1,
      sym_parameter,
    ACTIONS(3116), 1,
      sym_op_unary_other,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(5353), 1,
      sym_invocation,
    STATE(6964), 1,
      sym_all_fields,
    STATE(8881), 1,
      sym_term,
    STATE(10803), 1,
      sym_select_expression,
    STATE(11674), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3112), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3148), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [25084] = 32,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3047), 1,
      sym_parameter,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(3242), 1,
      anon_sym_RPAREN,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(6964), 1,
      sym_all_fields,
    STATE(11188), 1,
      sym_term,
    STATE(11674), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3500), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [25207] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5955), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [25332] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2803), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2805), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [25397] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5954), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [25522] = 32,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3047), 1,
      sym_parameter,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(3244), 1,
      anon_sym_RPAREN,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(6964), 1,
      sym_all_fields,
    STATE(11196), 1,
      sym_term,
    STATE(11674), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3500), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [25645] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2795), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2797), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [25710] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5946), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [25835] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2708), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2710), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [25900] = 20,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2614), 1,
      sym_keyword_or,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3246), 1,
      sym_keyword_in,
    ACTIONS(3248), 1,
      sym_keyword_not,
    ACTIONS(3256), 1,
      sym_op_other,
    ACTIONS(3258), 1,
      anon_sym_PLUS,
    ACTIONS(3260), 1,
      anon_sym_DASH,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3254), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3250), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2612), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [25999] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2767), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2769), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [26064] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2734), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [26129] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2724), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2726), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [26194] = 20,
    ACTIONS(2477), 1,
      sym_keyword_or,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3246), 1,
      sym_keyword_in,
    ACTIONS(3248), 1,
      sym_keyword_not,
    ACTIONS(3256), 1,
      sym_op_other,
    ACTIONS(3258), 1,
      anon_sym_PLUS,
    ACTIONS(3260), 1,
      anon_sym_DASH,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3254), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3250), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2475), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [26293] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2700), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2702), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [26358] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2791), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2793), 40,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [26423] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5940), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [26548] = 18,
    ACTIONS(2573), 1,
      sym_keyword_or,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3246), 1,
      sym_keyword_in,
    ACTIONS(3256), 1,
      sym_op_other,
    ACTIONS(3258), 1,
      anon_sym_PLUS,
    ACTIONS(3260), 1,
      anon_sym_DASH,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    ACTIONS(3266), 1,
      sym_keyword_not,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3254), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3250), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [26643] = 8,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [26718] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5939), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [26843] = 32,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3047), 1,
      sym_parameter,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(6964), 1,
      sym_all_fields,
    STATE(9603), 1,
      sym_term,
    STATE(10803), 1,
      sym_select_expression,
    STATE(11674), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3500), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [26966] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5938), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [27091] = 32,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3047), 1,
      sym_parameter,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(3269), 1,
      anon_sym_RPAREN,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(6964), 1,
      sym_all_fields,
    STATE(11161), 1,
      sym_term,
    STATE(11674), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3500), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [27214] = 11,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 5,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2571), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [27295] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5937), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [27420] = 32,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3047), 1,
      sym_parameter,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(3271), 1,
      anon_sym_RPAREN,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(6964), 1,
      sym_all_fields,
    STATE(11474), 1,
      sym_term,
    STATE(11674), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3500), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [27543] = 13,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3258), 1,
      anon_sym_PLUS,
    ACTIONS(3260), 1,
      anon_sym_DASH,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2573), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [27628] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(6148), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [27753] = 32,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3047), 1,
      sym_parameter,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(3273), 1,
      anon_sym_RPAREN,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(6964), 1,
      sym_all_fields,
    STATE(11378), 1,
      sym_term,
    STATE(11674), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3500), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [27876] = 32,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3047), 1,
      sym_parameter,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(3275), 1,
      anon_sym_RPAREN,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(6964), 1,
      sym_all_fields,
    STATE(11502), 1,
      sym_term,
    STATE(11674), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3500), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [27999] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5934), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [28124] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5933), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [28249] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5932), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [28374] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5930), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [28499] = 5,
    ACTIONS(3281), 1,
      aux_sym__single_quote_string_token2,
    STATE(626), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3279), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3277), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [28568] = 32,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3023), 1,
      sym_op_unary_other,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(3160), 1,
      sym_parameter,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2840), 1,
      sym_identifier,
    STATE(3449), 1,
      sym_invocation,
    STATE(4290), 1,
      sym__qualified_field,
    STATE(6964), 1,
      sym_all_fields,
    STATE(7480), 1,
      sym_term,
    STATE(7532), 1,
      sym_select_expression,
    STATE(11557), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1850), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [28691] = 9,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2571), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [28768] = 16,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3246), 1,
      sym_keyword_in,
    ACTIONS(3256), 1,
      sym_op_other,
    ACTIONS(3258), 1,
      anon_sym_PLUS,
    ACTIONS(3260), 1,
      anon_sym_DASH,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    ACTIONS(3266), 1,
      sym_keyword_not,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2573), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [28859] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5904), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [28984] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5900), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [29109] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2573), 1,
      sym_keyword_or,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3246), 1,
      sym_keyword_in,
    ACTIONS(3248), 1,
      sym_keyword_not,
    ACTIONS(3256), 1,
      sym_op_other,
    ACTIONS(3258), 1,
      anon_sym_PLUS,
    ACTIONS(3260), 1,
      anon_sym_DASH,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    ACTIONS(3283), 1,
      sym_keyword_and,
    ACTIONS(3285), 1,
      sym_keyword_between,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3254), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3250), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [29212] = 21,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2573), 1,
      sym_keyword_or,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3246), 1,
      sym_keyword_in,
    ACTIONS(3248), 1,
      sym_keyword_not,
    ACTIONS(3256), 1,
      sym_op_other,
    ACTIONS(3258), 1,
      anon_sym_PLUS,
    ACTIONS(3260), 1,
      anon_sym_DASH,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    ACTIONS(3285), 1,
      sym_keyword_between,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3254), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3250), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [29313] = 32,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(1291), 1,
      aux_sym_identifier_token1,
    ACTIONS(2977), 1,
      anon_sym_STAR,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3138), 1,
      sym_parameter,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(2964), 1,
      sym_identifier,
    STATE(4197), 1,
      sym_invocation,
    STATE(4481), 1,
      sym__qualified_field,
    STATE(6974), 1,
      sym_all_fields,
    STATE(7728), 1,
      sym_select_expression,
    STATE(7894), 1,
      sym_term,
    STATE(12221), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4309), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2537), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [29436] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5899), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [29561] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5962), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [29686] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5963), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [29811] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5898), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [29936] = 5,
    ACTIONS(3287), 1,
      aux_sym__single_quote_string_token2,
    STATE(605), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1369), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1367), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [30005] = 32,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3047), 1,
      sym_parameter,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(3290), 1,
      anon_sym_RPAREN,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(6964), 1,
      sym_all_fields,
    STATE(11444), 1,
      sym_term,
    STATE(11674), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3500), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [30128] = 5,
    ACTIONS(3292), 1,
      aux_sym__single_quote_string_token2,
    STATE(605), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1376), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1374), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [30197] = 4,
    ACTIONS(3294), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(121), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(123), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [30264] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5880), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [30389] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5805), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [30514] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5808), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [30639] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5821), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [30764] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(6037), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [30889] = 32,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3017), 1,
      sym_parameter,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3023), 1,
      sym_op_unary_other,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2840), 1,
      sym_identifier,
    STATE(3449), 1,
      sym_invocation,
    STATE(4290), 1,
      sym__qualified_field,
    STATE(6964), 1,
      sym_all_fields,
    STATE(7532), 1,
      sym_select_expression,
    STATE(7722), 1,
      sym_term,
    STATE(11557), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2258), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [31012] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5871), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [31137] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(6112), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [31262] = 32,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [31385] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5913), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [31510] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5916), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [31635] = 34,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3084), 1,
      sym_keyword_unbounded,
    ACTIONS(3086), 1,
      sym_keyword_current,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3090), 1,
      sym_parameter,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(6476), 1,
      sym_identifier,
    STATE(6638), 1,
      sym_binary_expression,
    STATE(8508), 1,
      sym_frame_definition,
    STATE(11108), 1,
      sym__current_row,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6634), 2,
      sym__literal_string,
      sym__integer,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2607), 3,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6326), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [31762] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5920), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [31887] = 32,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3047), 1,
      sym_parameter,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(3296), 1,
      anon_sym_RPAREN,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(6964), 1,
      sym_all_fields,
    STATE(11258), 1,
      sym_term,
    STATE(11674), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3500), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [32010] = 32,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3047), 1,
      sym_parameter,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(3298), 1,
      anon_sym_RPAREN,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(6964), 1,
      sym_all_fields,
    STATE(11366), 1,
      sym_term,
    STATE(11674), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3500), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [32133] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5921), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [32258] = 5,
    STATE(181), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(289), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3302), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3300), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [32327] = 5,
    ACTIONS(3292), 1,
      aux_sym__single_quote_string_token2,
    STATE(605), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3306), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3304), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [32396] = 32,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3047), 1,
      sym_parameter,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(3308), 1,
      anon_sym_RPAREN,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(6964), 1,
      sym_all_fields,
    STATE(11204), 1,
      sym_term,
    STATE(11674), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3500), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [32519] = 32,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3047), 1,
      sym_parameter,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(3310), 1,
      anon_sym_RPAREN,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(6964), 1,
      sym_all_fields,
    STATE(11269), 1,
      sym_term,
    STATE(11674), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3500), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [32642] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5928), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [32767] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5929), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [32892] = 6,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [32963] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5936), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [33088] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(6089), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [33213] = 32,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3047), 1,
      sym_parameter,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(3312), 1,
      anon_sym_RPAREN,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(6964), 1,
      sym_all_fields,
    STATE(11306), 1,
      sym_term,
    STATE(11674), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3500), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [33336] = 13,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3258), 1,
      anon_sym_PLUS,
    ACTIONS(3260), 1,
      anon_sym_DASH,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2624), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2622), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [33421] = 32,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3047), 1,
      sym_parameter,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(3314), 1,
      anon_sym_RPAREN,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(6964), 1,
      sym_all_fields,
    STATE(11299), 1,
      sym_term,
    STATE(11674), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3500), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [33544] = 32,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3047), 1,
      sym_parameter,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(3316), 1,
      anon_sym_RPAREN,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(6964), 1,
      sym_all_fields,
    STATE(11287), 1,
      sym_term,
    STATE(11674), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3500), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [33667] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5969), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [33792] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5970), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [33917] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5847), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [34042] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5961), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [34167] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5983), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [34292] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5986), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [34417] = 5,
    ACTIONS(3318), 1,
      aux_sym__single_quote_string_token2,
    STATE(607), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1363), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1361), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [34486] = 4,
    ACTIONS(3320), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2072), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2070), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [34553] = 32,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3047), 1,
      sym_parameter,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(3322), 1,
      anon_sym_RPAREN,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(6964), 1,
      sym_all_fields,
    STATE(11220), 1,
      sym_term,
    STATE(11674), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3500), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [34676] = 32,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3047), 1,
      sym_parameter,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(3324), 1,
      anon_sym_RPAREN,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(6964), 1,
      sym_all_fields,
    STATE(11225), 1,
      sym_term,
    STATE(11674), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3500), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [34799] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(6017), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [34924] = 32,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3047), 1,
      sym_parameter,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(3326), 1,
      anon_sym_RPAREN,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(6964), 1,
      sym_all_fields,
    STATE(11232), 1,
      sym_term,
    STATE(11674), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3500), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [35047] = 4,
    ACTIONS(3328), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2110), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2108), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [35114] = 32,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3047), 1,
      sym_parameter,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(6964), 1,
      sym_all_fields,
    STATE(7532), 1,
      sym_select_expression,
    STATE(9603), 1,
      sym_term,
    STATE(11674), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3500), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [35237] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(6026), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [35362] = 32,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2975), 1,
      anon_sym_LPAREN,
    ACTIONS(2977), 1,
      anon_sym_STAR,
    ACTIONS(2979), 1,
      sym_parameter,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2985), 1,
      sym_op_unary_other,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5708), 1,
      sym_invocation,
    STATE(6974), 1,
      sym_all_fields,
    STATE(8647), 1,
      sym_term,
    STATE(12141), 1,
      sym_select_expression,
    STATE(12192), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3234), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [35485] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(6142), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [35610] = 4,
    ACTIONS(3330), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2146), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2144), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [35677] = 4,
    ACTIONS(3332), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2030), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2028), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [35744] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5979), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [35869] = 4,
    ACTIONS(3334), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2172), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2170), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [35936] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 50,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [36001] = 4,
    ACTIONS(3336), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [36068] = 4,
    ACTIONS(3338), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [36135] = 32,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3047), 1,
      sym_parameter,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(3340), 1,
      anon_sym_RPAREN,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(6964), 1,
      sym_all_fields,
    STATE(11237), 1,
      sym_term,
    STATE(11674), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3500), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [36258] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2194), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2192), 50,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [36323] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(6146), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [36448] = 4,
    ACTIONS(3342), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [36515] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(6130), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [36640] = 4,
    ACTIONS(3344), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2188), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2186), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [36707] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(6127), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [36832] = 4,
    ACTIONS(3346), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2182), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2180), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [36899] = 4,
    ACTIONS(3348), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2134), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2132), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [36966] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(6076), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [37091] = 4,
    ACTIONS(3350), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2128), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2126), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [37158] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2048), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2046), 50,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [37223] = 4,
    ACTIONS(3352), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [37290] = 32,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2975), 1,
      anon_sym_LPAREN,
    ACTIONS(2977), 1,
      anon_sym_STAR,
    ACTIONS(2979), 1,
      sym_parameter,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2985), 1,
      sym_op_unary_other,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5708), 1,
      sym_invocation,
    STATE(6974), 1,
      sym_all_fields,
    STATE(7728), 1,
      sym_select_expression,
    STATE(8647), 1,
      sym_term,
    STATE(12192), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3234), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [37413] = 32,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3047), 1,
      sym_parameter,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(3354), 1,
      anon_sym_RPAREN,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(6964), 1,
      sym_all_fields,
    STATE(11241), 1,
      sym_term,
    STATE(11674), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3500), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [37536] = 32,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3047), 1,
      sym_parameter,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(3356), 1,
      anon_sym_RPAREN,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(6964), 1,
      sym_all_fields,
    STATE(11246), 1,
      sym_term,
    STATE(11674), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3500), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [37659] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5864), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [37784] = 4,
    ACTIONS(3358), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [37851] = 4,
    ACTIONS(3360), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [37918] = 4,
    ACTIONS(3362), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2096), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [37985] = 4,
    ACTIONS(3364), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [38052] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(6079), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [38177] = 4,
    ACTIONS(3366), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2086), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2084), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [38244] = 4,
    ACTIONS(3368), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [38311] = 4,
    ACTIONS(3370), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2078), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2076), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [38378] = 32,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3047), 1,
      sym_parameter,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(3372), 1,
      anon_sym_RPAREN,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(6964), 1,
      sym_all_fields,
    STATE(11253), 1,
      sym_term,
    STATE(11674), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3500), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [38501] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5843), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [38626] = 4,
    ACTIONS(3374), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [38693] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(6012), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [38818] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5842), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [38943] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5978), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [39068] = 4,
    ACTIONS(3376), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2042), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2040), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [39135] = 4,
    ACTIONS(3378), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [39202] = 4,
    ACTIONS(3172), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [39269] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5905), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [39394] = 4,
    ACTIONS(3380), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [39461] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5975), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [39586] = 32,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3114), 1,
      sym_parameter,
    ACTIONS(3116), 1,
      sym_op_unary_other,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(5353), 1,
      sym_invocation,
    STATE(6964), 1,
      sym_all_fields,
    STATE(7532), 1,
      sym_select_expression,
    STATE(8881), 1,
      sym_term,
    STATE(11674), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3112), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3148), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [39709] = 4,
    ACTIONS(3382), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [39776] = 4,
    ACTIONS(2833), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [39843] = 4,
    ACTIONS(3384), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [39910] = 4,
    ACTIONS(3386), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [39977] = 4,
    ACTIONS(3388), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [40044] = 4,
    ACTIONS(3390), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [40111] = 4,
    ACTIONS(3392), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [40178] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5917), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [40303] = 4,
    ACTIONS(3394), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [40370] = 6,
    ACTIONS(3396), 1,
      anon_sym_LBRACK,
    STATE(709), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(913), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 47,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [40441] = 4,
    ACTIONS(3399), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [40508] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5915), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [40633] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5914), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [40758] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(6152), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [40883] = 34,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3084), 1,
      sym_keyword_unbounded,
    ACTIONS(3086), 1,
      sym_keyword_current,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3090), 1,
      sym_parameter,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(6476), 1,
      sym_identifier,
    STATE(6638), 1,
      sym_binary_expression,
    STATE(8570), 1,
      sym_frame_definition,
    STATE(11108), 1,
      sym__current_row,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6634), 2,
      sym__literal_string,
      sym__integer,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(2607), 3,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6326), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [41010] = 32,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(1291), 1,
      aux_sym_identifier_token1,
    ACTIONS(2977), 1,
      anon_sym_STAR,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(3226), 1,
      sym_parameter,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(2964), 1,
      sym_identifier,
    STATE(4197), 1,
      sym_invocation,
    STATE(4481), 1,
      sym__qualified_field,
    STATE(6974), 1,
      sym_all_fields,
    STATE(7591), 1,
      sym_term,
    STATE(7728), 1,
      sym_select_expression,
    STATE(12221), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4309), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1956), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [41133] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(5870), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [41258] = 32,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3047), 1,
      sym_parameter,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(3401), 1,
      anon_sym_RPAREN,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(6964), 1,
      sym_all_fields,
    STATE(11385), 1,
      sym_term,
    STATE(11674), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3500), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [41381] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(6121), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [41506] = 33,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3238), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(6064), 1,
      sym__literal_string,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9930), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3457), 4,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [41631] = 31,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8176), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [41751] = 31,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3017), 1,
      sym_parameter,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3023), 1,
      sym_op_unary_other,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2840), 1,
      sym_identifier,
    STATE(3449), 1,
      sym_invocation,
    STATE(4290), 1,
      sym__qualified_field,
    STATE(6964), 1,
      sym_all_fields,
    STATE(7365), 1,
      sym_term,
    STATE(11557), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2258), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [41871] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2350), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2348), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [41935] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2346), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2344), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [41999] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2362), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2360), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [42063] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2342), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2340), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [42127] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2338), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2336), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [42191] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2334), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2332), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [42255] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2366), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2364), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [42319] = 31,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(1291), 1,
      aux_sym_identifier_token1,
    ACTIONS(2977), 1,
      anon_sym_STAR,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(3226), 1,
      sym_parameter,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(2964), 1,
      sym_identifier,
    STATE(4197), 1,
      sym_invocation,
    STATE(4481), 1,
      sym__qualified_field,
    STATE(6974), 1,
      sym_all_fields,
    STATE(7562), 1,
      sym_term,
    STATE(12221), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4309), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1956), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [42439] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2330), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2328), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [42503] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2326), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2324), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [42567] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2322), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2320), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [42631] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [42695] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2573), 1,
      sym_keyword_or,
    ACTIONS(3403), 1,
      sym_keyword_in,
    ACTIONS(3405), 1,
      sym_keyword_and,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3409), 1,
      sym_keyword_not,
    ACTIONS(3411), 1,
      sym_keyword_between,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      sym_op_other,
    ACTIONS(3423), 1,
      anon_sym_PLUS,
    ACTIONS(3425), 1,
      anon_sym_DASH,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3419), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3415), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 23,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COLON_COLON,
  [42797] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2054), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2052), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [42861] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2262), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2260), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [42925] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2258), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2256), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [42989] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2210), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2208), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [43053] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2254), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2252), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [43117] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2250), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2248), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [43181] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3246), 1,
      sym_keyword_in,
    ACTIONS(3248), 1,
      sym_keyword_not,
    ACTIONS(3256), 1,
      sym_op_other,
    ACTIONS(3258), 1,
      anon_sym_PLUS,
    ACTIONS(3260), 1,
      anon_sym_DASH,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    ACTIONS(3283), 1,
      sym_keyword_and,
    ACTIONS(3285), 1,
      sym_keyword_between,
    ACTIONS(3433), 1,
      sym_keyword_or,
    ACTIONS(3435), 1,
      anon_sym_COLON_COLON,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3254), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3250), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3431), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [43285] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [43349] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2226), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2224), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [43413] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2757), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2755), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [43477] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2809), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2807), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [43541] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2728), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [43605] = 31,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3047), 1,
      sym_parameter,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(6964), 1,
      sym_all_fields,
    STATE(7365), 1,
      sym_term,
    STATE(11674), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3500), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [43725] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2765), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2763), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [43789] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2761), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2759), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [43853] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [43917] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2390), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2388), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [43981] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [44045] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [44109] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [44173] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2374), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2372), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [44237] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [44301] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2370), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2368), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [44365] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [44429] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2318), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2316), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [44493] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2378), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2376), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [44557] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [44621] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2773), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2771), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [44685] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [44749] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [44813] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2290), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2288), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [44877] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [44941] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2286), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2284), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [45005] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2266), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2264), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [45069] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3246), 1,
      sym_keyword_in,
    ACTIONS(3248), 1,
      sym_keyword_not,
    ACTIONS(3256), 1,
      sym_op_other,
    ACTIONS(3258), 1,
      anon_sym_PLUS,
    ACTIONS(3260), 1,
      anon_sym_DASH,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    ACTIONS(3283), 1,
      sym_keyword_and,
    ACTIONS(3285), 1,
      sym_keyword_between,
    ACTIONS(3433), 1,
      sym_keyword_or,
    ACTIONS(3435), 1,
      anon_sym_COLON_COLON,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3254), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3250), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3437), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [45173] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2246), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2244), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [45237] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3246), 1,
      sym_keyword_in,
    ACTIONS(3248), 1,
      sym_keyword_not,
    ACTIONS(3256), 1,
      sym_op_other,
    ACTIONS(3258), 1,
      anon_sym_PLUS,
    ACTIONS(3260), 1,
      anon_sym_DASH,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    ACTIONS(3283), 1,
      sym_keyword_and,
    ACTIONS(3285), 1,
      sym_keyword_between,
    ACTIONS(3433), 1,
      sym_keyword_or,
    ACTIONS(3435), 1,
      anon_sym_COLON_COLON,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3254), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3250), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3439), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [45341] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2242), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2240), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [45405] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2222), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2220), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [45469] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2042), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2040), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [45533] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [45597] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2078), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2076), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [45661] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2086), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2084), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [45725] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2096), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [45789] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2314), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2312), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [45853] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2302), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2300), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [45917] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2278), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2276), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [45981] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2274), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2272), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [46045] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2270), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2268), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [46109] = 31,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2975), 1,
      anon_sym_LPAREN,
    ACTIONS(2977), 1,
      anon_sym_STAR,
    ACTIONS(2979), 1,
      sym_parameter,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2985), 1,
      sym_op_unary_other,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5708), 1,
      sym_invocation,
    STATE(6974), 1,
      sym_all_fields,
    STATE(7562), 1,
      sym_term,
    STATE(12192), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3234), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [46229] = 31,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3023), 1,
      sym_op_unary_other,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(3160), 1,
      sym_parameter,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2840), 1,
      sym_identifier,
    STATE(3449), 1,
      sym_invocation,
    STATE(4290), 1,
      sym__qualified_field,
    STATE(6964), 1,
      sym_all_fields,
    STATE(7365), 1,
      sym_term,
    STATE(11557), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1850), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [46349] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2785), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2783), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [46413] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2789), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2787), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [46477] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2238), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2236), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [46541] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2234), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2232), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [46605] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [46669] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2805), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2803), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [46733] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2797), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2795), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [46797] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2793), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2791), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [46861] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3246), 1,
      sym_keyword_in,
    ACTIONS(3248), 1,
      sym_keyword_not,
    ACTIONS(3256), 1,
      sym_op_other,
    ACTIONS(3258), 1,
      anon_sym_PLUS,
    ACTIONS(3260), 1,
      anon_sym_DASH,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    ACTIONS(3283), 1,
      sym_keyword_and,
    ACTIONS(3285), 1,
      sym_keyword_between,
    ACTIONS(3433), 1,
      sym_keyword_or,
    ACTIONS(3435), 1,
      anon_sym_COLON_COLON,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3254), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3250), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3441), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [46965] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2710), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2708), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [47029] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [47093] = 31,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3114), 1,
      sym_parameter,
    ACTIONS(3116), 1,
      sym_op_unary_other,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(5353), 1,
      sym_invocation,
    STATE(6964), 1,
      sym_all_fields,
    STATE(7365), 1,
      sym_term,
    STATE(11674), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3112), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3148), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [47213] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3246), 1,
      sym_keyword_in,
    ACTIONS(3248), 1,
      sym_keyword_not,
    ACTIONS(3256), 1,
      sym_op_other,
    ACTIONS(3258), 1,
      anon_sym_PLUS,
    ACTIONS(3260), 1,
      anon_sym_DASH,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    ACTIONS(3283), 1,
      sym_keyword_and,
    ACTIONS(3285), 1,
      sym_keyword_between,
    ACTIONS(3433), 1,
      sym_keyword_or,
    ACTIONS(3435), 1,
      anon_sym_COLON_COLON,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3254), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3250), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3443), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [47317] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2230), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2228), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [47381] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1971), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1969), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [47445] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [47509] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [47573] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2218), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2216), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [47637] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3246), 1,
      sym_keyword_in,
    ACTIONS(3248), 1,
      sym_keyword_not,
    ACTIONS(3256), 1,
      sym_op_other,
    ACTIONS(3258), 1,
      anon_sym_PLUS,
    ACTIONS(3260), 1,
      anon_sym_DASH,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    ACTIONS(3283), 1,
      sym_keyword_and,
    ACTIONS(3285), 1,
      sym_keyword_between,
    ACTIONS(3433), 1,
      sym_keyword_or,
    ACTIONS(3435), 1,
      anon_sym_COLON_COLON,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3254), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3250), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3445), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [47741] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3447), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3449), 37,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [47805] = 4,
    ACTIONS(3455), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3453), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3451), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [47871] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2214), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2212), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [47935] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3246), 1,
      sym_keyword_in,
    ACTIONS(3248), 1,
      sym_keyword_not,
    ACTIONS(3256), 1,
      sym_op_other,
    ACTIONS(3258), 1,
      anon_sym_PLUS,
    ACTIONS(3260), 1,
      anon_sym_DASH,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    ACTIONS(3283), 1,
      sym_keyword_and,
    ACTIONS(3285), 1,
      sym_keyword_between,
    ACTIONS(3433), 1,
      sym_keyword_or,
    ACTIONS(3435), 1,
      anon_sym_COLON_COLON,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3254), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3250), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3457), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [48039] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2146), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2144), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [48103] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2054), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2052), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [48167] = 8,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [48241] = 31,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8191), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [48361] = 11,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 5,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2571), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [48441] = 13,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3423), 1,
      anon_sym_PLUS,
    ACTIONS(3425), 1,
      anon_sym_DASH,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2573), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [48525] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3459), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3461), 37,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [48589] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2282), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2280), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [48653] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2298), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2296), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [48717] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2306), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2304), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [48781] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2310), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2308), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [48845] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2294), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2292), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [48909] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1380), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1382), 37,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [48973] = 31,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(9691), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [49093] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2354), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2352), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [49157] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3246), 1,
      sym_keyword_in,
    ACTIONS(3248), 1,
      sym_keyword_not,
    ACTIONS(3256), 1,
      sym_op_other,
    ACTIONS(3258), 1,
      anon_sym_PLUS,
    ACTIONS(3260), 1,
      anon_sym_DASH,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    ACTIONS(3283), 1,
      sym_keyword_and,
    ACTIONS(3285), 1,
      sym_keyword_between,
    ACTIONS(3433), 1,
      sym_keyword_or,
    ACTIONS(3435), 1,
      anon_sym_COLON_COLON,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3254), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3250), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3463), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [49261] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3246), 1,
      sym_keyword_in,
    ACTIONS(3248), 1,
      sym_keyword_not,
    ACTIONS(3256), 1,
      sym_op_other,
    ACTIONS(3258), 1,
      anon_sym_PLUS,
    ACTIONS(3260), 1,
      anon_sym_DASH,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    ACTIONS(3283), 1,
      sym_keyword_and,
    ACTIONS(3285), 1,
      sym_keyword_between,
    ACTIONS(3433), 1,
      sym_keyword_or,
    ACTIONS(3435), 1,
      anon_sym_COLON_COLON,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3254), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3250), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3465), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [49365] = 18,
    ACTIONS(2573), 1,
      sym_keyword_or,
    ACTIONS(3403), 1,
      sym_keyword_in,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      sym_op_other,
    ACTIONS(3423), 1,
      anon_sym_PLUS,
    ACTIONS(3425), 1,
      anon_sym_DASH,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    ACTIONS(3467), 1,
      sym_keyword_not,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3419), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3415), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 28,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COLON_COLON,
  [49459] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2358), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2356), 49,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [49523] = 31,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8167), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [49643] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3246), 1,
      sym_keyword_in,
    ACTIONS(3248), 1,
      sym_keyword_not,
    ACTIONS(3256), 1,
      sym_op_other,
    ACTIONS(3258), 1,
      anon_sym_PLUS,
    ACTIONS(3260), 1,
      anon_sym_DASH,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    ACTIONS(3283), 1,
      sym_keyword_and,
    ACTIONS(3285), 1,
      sym_keyword_between,
    ACTIONS(3433), 1,
      sym_keyword_or,
    ACTIONS(3435), 1,
      anon_sym_COLON_COLON,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3254), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3250), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3470), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [49747] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [49811] = 31,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8214), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [49931] = 31,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8104), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [50051] = 31,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8188), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [50171] = 6,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [50241] = 21,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2573), 1,
      sym_keyword_or,
    ACTIONS(3403), 1,
      sym_keyword_in,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3409), 1,
      sym_keyword_not,
    ACTIONS(3411), 1,
      sym_keyword_between,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      sym_op_other,
    ACTIONS(3423), 1,
      anon_sym_PLUS,
    ACTIONS(3425), 1,
      anon_sym_DASH,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3419), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3415), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 24,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COLON_COLON,
  [50341] = 31,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8246), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [50461] = 20,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2614), 1,
      sym_keyword_or,
    ACTIONS(3403), 1,
      sym_keyword_in,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3409), 1,
      sym_keyword_not,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      sym_op_other,
    ACTIONS(3423), 1,
      anon_sym_PLUS,
    ACTIONS(3425), 1,
      anon_sym_DASH,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3419), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3415), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2612), 25,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_COLON_COLON,
  [50559] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2769), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2767), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [50623] = 31,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8125), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [50743] = 5,
    ACTIONS(3472), 1,
      aux_sym__single_quote_string_token2,
    STATE(844), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1363), 7,
      sym_keyword_as,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1361), 46,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [50811] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2702), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2700), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [50875] = 31,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8200), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [50995] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3246), 1,
      sym_keyword_in,
    ACTIONS(3248), 1,
      sym_keyword_not,
    ACTIONS(3256), 1,
      sym_op_other,
    ACTIONS(3258), 1,
      anon_sym_PLUS,
    ACTIONS(3260), 1,
      anon_sym_DASH,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    ACTIONS(3283), 1,
      sym_keyword_and,
    ACTIONS(3285), 1,
      sym_keyword_between,
    ACTIONS(3433), 1,
      sym_keyword_or,
    ACTIONS(3435), 1,
      anon_sym_COLON_COLON,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3254), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3250), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3474), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [51099] = 5,
    ACTIONS(3476), 1,
      aux_sym__single_quote_string_token2,
    STATE(847), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1376), 7,
      sym_keyword_as,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1374), 46,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [51167] = 31,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8221), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [51287] = 13,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3423), 1,
      anon_sym_PLUS,
    ACTIONS(3425), 1,
      anon_sym_DASH,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2624), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2622), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [51371] = 5,
    ACTIONS(3478), 1,
      aux_sym__single_quote_string_token2,
    STATE(847), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1369), 7,
      sym_keyword_as,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1367), 46,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [51439] = 31,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8152), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [51559] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2882), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2884), 39,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [51623] = 31,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8170), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [51743] = 20,
    ACTIONS(2477), 1,
      sym_keyword_or,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3403), 1,
      sym_keyword_in,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3409), 1,
      sym_keyword_not,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      sym_op_other,
    ACTIONS(3423), 1,
      anon_sym_PLUS,
    ACTIONS(3425), 1,
      anon_sym_DASH,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3419), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3415), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2475), 25,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_COLON_COLON,
  [51841] = 31,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8243), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [51961] = 4,
    STATE(291), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3483), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3481), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [52027] = 31,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8186), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [52147] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3246), 1,
      sym_keyword_in,
    ACTIONS(3248), 1,
      sym_keyword_not,
    ACTIONS(3256), 1,
      sym_op_other,
    ACTIONS(3258), 1,
      anon_sym_PLUS,
    ACTIONS(3260), 1,
      anon_sym_DASH,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    ACTIONS(3283), 1,
      sym_keyword_and,
    ACTIONS(3285), 1,
      sym_keyword_between,
    ACTIONS(3433), 1,
      sym_keyword_or,
    ACTIONS(3435), 1,
      anon_sym_COLON_COLON,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3254), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3250), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3485), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [52251] = 31,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8163), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [52371] = 31,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8181), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [52491] = 31,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(1291), 1,
      aux_sym_identifier_token1,
    ACTIONS(2977), 1,
      anon_sym_STAR,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3138), 1,
      sym_parameter,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(2964), 1,
      sym_identifier,
    STATE(4197), 1,
      sym_invocation,
    STATE(4481), 1,
      sym__qualified_field,
    STATE(6974), 1,
      sym_all_fields,
    STATE(7562), 1,
      sym_term,
    STATE(12221), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4309), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2537), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [52611] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3246), 1,
      sym_keyword_in,
    ACTIONS(3248), 1,
      sym_keyword_not,
    ACTIONS(3256), 1,
      sym_op_other,
    ACTIONS(3258), 1,
      anon_sym_PLUS,
    ACTIONS(3260), 1,
      anon_sym_DASH,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    ACTIONS(3283), 1,
      sym_keyword_and,
    ACTIONS(3285), 1,
      sym_keyword_between,
    ACTIONS(3433), 1,
      sym_keyword_or,
    ACTIONS(3435), 1,
      anon_sym_COLON_COLON,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3254), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3250), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3487), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [52715] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [52779] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2724), 49,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [52843] = 31,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8115), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [52963] = 31,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3047), 1,
      sym_parameter,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(6964), 1,
      sym_all_fields,
    STATE(11674), 1,
      sym_object_reference,
    STATE(11783), 1,
      sym_term,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3500), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [53083] = 31,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2908), 1,
      anon_sym_STAR,
    ACTIONS(2910), 1,
      sym_parameter,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(7614), 1,
      sym_all_fields,
    STATE(8156), 1,
      sym_term,
    STATE(12261), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3444), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [53203] = 9,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2571), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [53279] = 16,
    ACTIONS(3403), 1,
      sym_keyword_in,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      sym_op_other,
    ACTIONS(3423), 1,
      anon_sym_PLUS,
    ACTIONS(3425), 1,
      anon_sym_DASH,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    ACTIONS(3467), 1,
      sym_keyword_not,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2573), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 33,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [53369] = 8,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2624), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2622), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [53443] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3403), 1,
      sym_keyword_in,
    ACTIONS(3405), 1,
      sym_keyword_and,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3409), 1,
      sym_keyword_not,
    ACTIONS(3411), 1,
      sym_keyword_between,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      sym_op_other,
    ACTIONS(3423), 1,
      anon_sym_PLUS,
    ACTIONS(3425), 1,
      anon_sym_DASH,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3419), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3415), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3437), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [53546] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3495), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3493), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [53609] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3499), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3497), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [53672] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3503), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [53735] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3507), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3505), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [53798] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3511), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3509), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [53861] = 31,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2856), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3513), 1,
      sym_keyword_cast,
    ACTIONS(3517), 1,
      sym_keyword_current_timestamp,
    ACTIONS(3521), 1,
      sym_keyword_array,
    ACTIONS(3523), 1,
      anon_sym_LPAREN,
    ACTIONS(3525), 1,
      sym_parameter,
    ACTIONS(3527), 1,
      anon_sym_PLUS,
    ACTIONS(3529), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      sym_op_unary_other,
    ACTIONS(3533), 1,
      sym__double_quote_string,
    ACTIONS(3535), 1,
      aux_sym__integer_token1,
    ACTIONS(3537), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3539), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3541), 1,
      sym__dollar_quoted_string,
    STATE(426), 1,
      sym_identifier,
    STATE(894), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2705), 1,
      sym_invocation,
    STATE(6821), 1,
      sym__inner_default_expression,
    STATE(12068), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3519), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3515), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(893), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2785), 7,
      sym_array,
      sym_implicit_cast,
      sym_cast,
      sym_binary_expression,
      sym_unary_expression,
      sym_list,
      sym_literal,
    STATE(6355), 9,
      sym_case,
      sym_interval,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_between_expression,
      sym_subquery,
  [53980] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3545), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3543), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [54043] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3403), 1,
      sym_keyword_in,
    ACTIONS(3405), 1,
      sym_keyword_and,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3409), 1,
      sym_keyword_not,
    ACTIONS(3411), 1,
      sym_keyword_between,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      sym_op_other,
    ACTIONS(3423), 1,
      anon_sym_PLUS,
    ACTIONS(3425), 1,
      anon_sym_DASH,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3419), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3415), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3431), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [54146] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3547), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [54209] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3403), 1,
      sym_keyword_in,
    ACTIONS(3405), 1,
      sym_keyword_and,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3409), 1,
      sym_keyword_not,
    ACTIONS(3411), 1,
      sym_keyword_between,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      sym_op_other,
    ACTIONS(3423), 1,
      anon_sym_PLUS,
    ACTIONS(3425), 1,
      anon_sym_DASH,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3419), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3415), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3457), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [54312] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3553), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3551), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [54375] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3557), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3555), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [54438] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3403), 1,
      sym_keyword_in,
    ACTIONS(3405), 1,
      sym_keyword_and,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3409), 1,
      sym_keyword_not,
    ACTIONS(3411), 1,
      sym_keyword_between,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      sym_op_other,
    ACTIONS(3423), 1,
      anon_sym_PLUS,
    ACTIONS(3425), 1,
      anon_sym_DASH,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3419), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3415), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3465), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [54541] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3449), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3447), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [54604] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2573), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [54667] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3403), 1,
      sym_keyword_in,
    ACTIONS(3405), 1,
      sym_keyword_and,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3409), 1,
      sym_keyword_not,
    ACTIONS(3411), 1,
      sym_keyword_between,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      sym_op_other,
    ACTIONS(3423), 1,
      anon_sym_PLUS,
    ACTIONS(3425), 1,
      anon_sym_DASH,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3419), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3415), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3485), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [54770] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3561), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3559), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [54833] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3565), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3563), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [54896] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3569), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3567), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [54959] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3461), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3459), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [55022] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3403), 1,
      sym_keyword_in,
    ACTIONS(3405), 1,
      sym_keyword_and,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3409), 1,
      sym_keyword_not,
    ACTIONS(3411), 1,
      sym_keyword_between,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      sym_op_other,
    ACTIONS(3423), 1,
      anon_sym_PLUS,
    ACTIONS(3425), 1,
      anon_sym_DASH,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3419), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3415), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3463), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [55125] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3573), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3571), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [55188] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2884), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2882), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [55251] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3577), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3575), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [55314] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [55377] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1382), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [55440] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3585), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3583), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [55503] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3589), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3587), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [55566] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3593), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3591), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [55629] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3403), 1,
      sym_keyword_in,
    ACTIONS(3405), 1,
      sym_keyword_and,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3409), 1,
      sym_keyword_not,
    ACTIONS(3411), 1,
      sym_keyword_between,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      sym_op_other,
    ACTIONS(3423), 1,
      anon_sym_PLUS,
    ACTIONS(3425), 1,
      anon_sym_DASH,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3419), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3415), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3487), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [55732] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3597), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [55795] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3601), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3599), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [55858] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3605), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3603), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [55921] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3403), 1,
      sym_keyword_in,
    ACTIONS(3405), 1,
      sym_keyword_and,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3409), 1,
      sym_keyword_not,
    ACTIONS(3411), 1,
      sym_keyword_between,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      sym_op_other,
    ACTIONS(3423), 1,
      anon_sym_PLUS,
    ACTIONS(3425), 1,
      anon_sym_DASH,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3419), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3415), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3470), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [56024] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3403), 1,
      sym_keyword_in,
    ACTIONS(3405), 1,
      sym_keyword_and,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3409), 1,
      sym_keyword_not,
    ACTIONS(3411), 1,
      sym_keyword_between,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      sym_op_other,
    ACTIONS(3423), 1,
      anon_sym_PLUS,
    ACTIONS(3425), 1,
      anon_sym_DASH,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3419), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3415), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3474), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [56127] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3609), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3607), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [56190] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3613), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3611), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [56253] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2402), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2400), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [56316] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3617), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3615), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [56379] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3621), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3619), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [56442] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3403), 1,
      sym_keyword_in,
    ACTIONS(3405), 1,
      sym_keyword_and,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3409), 1,
      sym_keyword_not,
    ACTIONS(3411), 1,
      sym_keyword_between,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      sym_op_other,
    ACTIONS(3423), 1,
      anon_sym_PLUS,
    ACTIONS(3425), 1,
      anon_sym_DASH,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3419), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3415), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3441), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [56545] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3625), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3623), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [56608] = 31,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(3627), 1,
      sym_keyword_cast,
    ACTIONS(3631), 1,
      sym_keyword_current_timestamp,
    ACTIONS(3635), 1,
      sym_keyword_array,
    ACTIONS(3637), 1,
      anon_sym_LPAREN,
    ACTIONS(3639), 1,
      sym_parameter,
    ACTIONS(3641), 1,
      anon_sym_PLUS,
    ACTIONS(3643), 1,
      anon_sym_DASH,
    ACTIONS(3645), 1,
      sym_op_unary_other,
    ACTIONS(3647), 1,
      sym__double_quote_string,
    ACTIONS(3649), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3651), 1,
      aux_sym__integer_token1,
    ACTIONS(3653), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3655), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3657), 1,
      sym__dollar_quoted_string,
    STATE(2170), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2793), 1,
      sym_invocation,
    STATE(6529), 1,
      sym_identifier,
    STATE(6936), 1,
      sym__inner_default_expression,
    STATE(11948), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3633), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3629), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2111), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2899), 7,
      sym_array,
      sym_implicit_cast,
      sym_cast,
      sym_binary_expression,
      sym_unary_expression,
      sym_list,
      sym_literal,
    STATE(6308), 9,
      sym_case,
      sym_interval,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_between_expression,
      sym_subquery,
  [56727] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3661), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3659), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [56790] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2404), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [56853] = 23,
    ACTIONS(2479), 1,
      sym_keyword_in,
    ACTIONS(2481), 1,
      sym_keyword_is,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2489), 1,
      anon_sym_LBRACK,
    ACTIONS(2497), 1,
      sym_op_other,
    ACTIONS(2499), 1,
      anon_sym_PLUS,
    ACTIONS(2501), 1,
      anon_sym_DASH,
    ACTIONS(2503), 1,
      anon_sym_SLASH,
    ACTIONS(2505), 1,
      anon_sym_CARET,
    ACTIONS(2575), 1,
      sym_keyword_between,
    ACTIONS(2577), 1,
      sym_keyword_and,
    ACTIONS(3665), 1,
      sym_keyword_as,
    ACTIONS(3667), 1,
      sym_keyword_or,
    ACTIONS(3669), 1,
      anon_sym_COLON_COLON,
    STATE(11122), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2495), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1409), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1411), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2491), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3663), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [56956] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3403), 1,
      sym_keyword_in,
    ACTIONS(3405), 1,
      sym_keyword_and,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3409), 1,
      sym_keyword_not,
    ACTIONS(3411), 1,
      sym_keyword_between,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      sym_op_other,
    ACTIONS(3423), 1,
      anon_sym_PLUS,
    ACTIONS(3425), 1,
      anon_sym_DASH,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3419), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3415), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3445), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [57059] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2398), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2396), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [57122] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3403), 1,
      sym_keyword_in,
    ACTIONS(3405), 1,
      sym_keyword_and,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3409), 1,
      sym_keyword_not,
    ACTIONS(3411), 1,
      sym_keyword_between,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      sym_op_other,
    ACTIONS(3423), 1,
      anon_sym_PLUS,
    ACTIONS(3425), 1,
      anon_sym_DASH,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3419), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3415), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3443), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [57225] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2414), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2412), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [57288] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3673), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3671), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [57351] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2410), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2408), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [57414] = 23,
    ACTIONS(2479), 1,
      sym_keyword_in,
    ACTIONS(2481), 1,
      sym_keyword_is,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2489), 1,
      anon_sym_LBRACK,
    ACTIONS(2497), 1,
      sym_op_other,
    ACTIONS(2499), 1,
      anon_sym_PLUS,
    ACTIONS(2501), 1,
      anon_sym_DASH,
    ACTIONS(2503), 1,
      anon_sym_SLASH,
    ACTIONS(2505), 1,
      anon_sym_CARET,
    ACTIONS(2575), 1,
      sym_keyword_between,
    ACTIONS(2577), 1,
      sym_keyword_and,
    ACTIONS(3667), 1,
      sym_keyword_or,
    ACTIONS(3669), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3677), 1,
      sym_keyword_as,
    STATE(11122), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2495), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1409), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1411), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2491), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3675), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [57517] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3403), 1,
      sym_keyword_in,
    ACTIONS(3405), 1,
      sym_keyword_and,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3409), 1,
      sym_keyword_not,
    ACTIONS(3411), 1,
      sym_keyword_between,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      sym_op_other,
    ACTIONS(3423), 1,
      anon_sym_PLUS,
    ACTIONS(3425), 1,
      anon_sym_DASH,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(3491), 1,
      anon_sym_COLON_COLON,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3419), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3415), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3439), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [57620] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 48,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [57683] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3681), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3679), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [57746] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3685), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3683), 48,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [57809] = 7,
    ACTIONS(123), 1,
      anon_sym_LPAREN,
    ACTIONS(2853), 1,
      anon_sym_DOT,
    ACTIONS(3649), 1,
      aux_sym__single_quote_string_token1,
    STATE(2094), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2851), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2849), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [57879] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(3687), 1,
      anon_sym_RBRACK,
    ACTIONS(3689), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5413), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [57993] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2529), 1,
      anon_sym_RPAREN,
    ACTIONS(2634), 1,
      sym_parameter,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5234), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [58107] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(3691), 1,
      anon_sym_RBRACK,
    ACTIONS(3693), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5287), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [58221] = 11,
    ACTIONS(3697), 1,
      sym_keyword_distinct,
    STATE(926), 1,
      sym_identifier,
    STATE(1988), 1,
      sym_invocation,
    STATE(2170), 1,
      sym__single_quote_string,
    STATE(2229), 1,
      sym__qualified_field,
    STATE(11950), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2111), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3699), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(473), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3695), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [58299] = 29,
    ACTIONS(1275), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(2856), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3513), 1,
      sym_keyword_cast,
    ACTIONS(3521), 1,
      sym_keyword_array,
    ACTIONS(3527), 1,
      anon_sym_PLUS,
    ACTIONS(3529), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      sym_op_unary_other,
    ACTIONS(3533), 1,
      sym__double_quote_string,
    ACTIONS(3535), 1,
      aux_sym__integer_token1,
    ACTIONS(3537), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3539), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3541), 1,
      sym__dollar_quoted_string,
    ACTIONS(3701), 1,
      sym_keyword_case,
    ACTIONS(3703), 1,
      sym_keyword_exists,
    ACTIONS(3705), 1,
      sym_keyword_interval,
    ACTIONS(3707), 1,
      anon_sym_LPAREN,
    ACTIONS(3709), 1,
      sym_parameter,
    STATE(426), 1,
      sym_identifier,
    STATE(806), 1,
      sym_invocation,
    STATE(894), 1,
      sym__single_quote_string,
    STATE(925), 1,
      sym__qualified_field,
    STATE(7045), 1,
      sym_order_target,
    STATE(12101), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3519), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3515), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(893), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2441), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [58413] = 11,
    ACTIONS(3697), 1,
      sym_keyword_distinct,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3699), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(867), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3695), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [58491] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(3711), 1,
      anon_sym_RBRACK,
    ACTIONS(3713), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5253), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [58605] = 30,
    ACTIONS(833), 1,
      sym__identifier,
    ACTIONS(891), 1,
      aux_sym_identifier_token1,
    ACTIONS(3715), 1,
      sym_keyword_distinct,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3721), 1,
      sym_keyword_not,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3735), 1,
      sym_parameter,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(2999), 1,
      sym_identifier,
    STATE(4357), 1,
      sym_invocation,
    STATE(4511), 1,
      sym__qualified_field,
    STATE(11975), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4674), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2119), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [58721] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(2537), 1,
      anon_sym_RPAREN,
    ACTIONS(2650), 1,
      sym_parameter,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5350), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [58835] = 29,
    ACTIONS(1275), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(2856), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3513), 1,
      sym_keyword_cast,
    ACTIONS(3521), 1,
      sym_keyword_array,
    ACTIONS(3527), 1,
      anon_sym_PLUS,
    ACTIONS(3529), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      sym_op_unary_other,
    ACTIONS(3533), 1,
      sym__double_quote_string,
    ACTIONS(3535), 1,
      aux_sym__integer_token1,
    ACTIONS(3537), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3539), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3541), 1,
      sym__dollar_quoted_string,
    ACTIONS(3701), 1,
      sym_keyword_case,
    ACTIONS(3703), 1,
      sym_keyword_exists,
    ACTIONS(3705), 1,
      sym_keyword_interval,
    ACTIONS(3707), 1,
      anon_sym_LPAREN,
    ACTIONS(3709), 1,
      sym_parameter,
    STATE(426), 1,
      sym_identifier,
    STATE(806), 1,
      sym_invocation,
    STATE(894), 1,
      sym__single_quote_string,
    STATE(925), 1,
      sym__qualified_field,
    STATE(7592), 1,
      sym_order_target,
    STATE(12101), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3519), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3515), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(893), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2441), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [58949] = 11,
    ACTIONS(3697), 1,
      sym_keyword_distinct,
    STATE(3154), 1,
      sym_identifier,
    STATE(4675), 1,
      sym_invocation,
    STATE(4740), 1,
      sym__single_quote_string,
    STATE(4781), 1,
      sym__qualified_field,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4749), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3699), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(2507), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3695), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [59027] = 11,
    ACTIONS(3697), 1,
      sym_keyword_distinct,
    STATE(2885), 1,
      sym_identifier,
    STATE(4010), 1,
      sym_invocation,
    STATE(4482), 1,
      sym__single_quote_string,
    STATE(4670), 1,
      sym__qualified_field,
    STATE(11942), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4547), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3699), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(2326), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3695), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [59105] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(3755), 1,
      anon_sym_RBRACK,
    ACTIONS(3757), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5414), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [59219] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(3759), 1,
      anon_sym_RBRACK,
    ACTIONS(3761), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5453), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [59333] = 11,
    ACTIONS(3697), 1,
      sym_keyword_distinct,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3699), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(1781), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3695), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [59411] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(3763), 1,
      anon_sym_RBRACK,
    ACTIONS(3765), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5138), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [59525] = 30,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3023), 1,
      sym_op_unary_other,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(3715), 1,
      sym_keyword_distinct,
    ACTIONS(3767), 1,
      sym_keyword_not,
    ACTIONS(3769), 1,
      sym_parameter,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2840), 1,
      sym_identifier,
    STATE(3449), 1,
      sym_invocation,
    STATE(4290), 1,
      sym__qualified_field,
    STATE(11699), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1987), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [59641] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(3771), 1,
      anon_sym_RBRACK,
    ACTIONS(3773), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5486), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [59755] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(3775), 1,
      anon_sym_RBRACK,
    ACTIONS(3777), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5393), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [59869] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1386), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1384), 47,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [59931] = 11,
    ACTIONS(3697), 1,
      sym_keyword_distinct,
    STATE(4864), 1,
      sym_identifier,
    STATE(5172), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__single_quote_string,
    STATE(5652), 1,
      sym__qualified_field,
    STATE(11958), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5716), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3699), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(3460), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3695), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [60009] = 11,
    ACTIONS(3697), 1,
      sym_keyword_distinct,
    STATE(1023), 1,
      sym__single_quote_string,
    STATE(5232), 1,
      sym_identifier,
    STATE(6267), 1,
      sym_invocation,
    STATE(6459), 1,
      sym__qualified_field,
    STATE(12144), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6426), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3699), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(4700), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3695), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [60087] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(3779), 1,
      sym_keyword_when,
    ACTIONS(3781), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5972), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [60201] = 11,
    ACTIONS(3697), 1,
      sym_keyword_distinct,
    STATE(3102), 1,
      sym_identifier,
    STATE(3999), 1,
      sym_invocation,
    STATE(4419), 1,
      sym__qualified_field,
    STATE(4477), 1,
      sym__single_quote_string,
    STATE(12125), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4458), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3699), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(2114), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3695), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [60279] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(3783), 1,
      anon_sym_RBRACK,
    ACTIONS(3785), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5148), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [60393] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(3787), 1,
      sym_keyword_when,
    ACTIONS(3789), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5988), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [60507] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(3791), 1,
      sym_keyword_when,
    ACTIONS(3793), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6049), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [60621] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(3795), 1,
      sym_keyword_when,
    ACTIONS(3797), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5992), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [60735] = 29,
    ACTIONS(1077), 1,
      sym__identifier,
    ACTIONS(1081), 1,
      aux_sym_identifier_token1,
    ACTIONS(3627), 1,
      sym_keyword_cast,
    ACTIONS(3635), 1,
      sym_keyword_array,
    ACTIONS(3641), 1,
      anon_sym_PLUS,
    ACTIONS(3643), 1,
      anon_sym_DASH,
    ACTIONS(3645), 1,
      sym_op_unary_other,
    ACTIONS(3647), 1,
      sym__double_quote_string,
    ACTIONS(3649), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3651), 1,
      aux_sym__integer_token1,
    ACTIONS(3653), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3655), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3657), 1,
      sym__dollar_quoted_string,
    ACTIONS(3799), 1,
      sym_keyword_case,
    ACTIONS(3801), 1,
      sym_keyword_exists,
    ACTIONS(3803), 1,
      sym_keyword_interval,
    ACTIONS(3805), 1,
      anon_sym_LPAREN,
    ACTIONS(3807), 1,
      sym_parameter,
    STATE(926), 1,
      sym_identifier,
    STATE(1988), 1,
      sym_invocation,
    STATE(2170), 1,
      sym__single_quote_string,
    STATE(2229), 1,
      sym__qualified_field,
    STATE(7530), 1,
      sym_order_target,
    STATE(11950), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3633), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3629), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2111), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3654), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [60849] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(3809), 1,
      anon_sym_RBRACK,
    ACTIONS(3811), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5477), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [60963] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(3813), 1,
      sym_keyword_when,
    ACTIONS(3815), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5998), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [61077] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(3817), 1,
      sym_keyword_when,
    ACTIONS(3819), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6009), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [61191] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(3821), 1,
      sym_keyword_when,
    ACTIONS(3823), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6036), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [61305] = 7,
    ACTIONS(3825), 1,
      sym_keyword_array,
    STATE(913), 1,
      sym__array_size_definition,
    STATE(916), 1,
      sym_array_size_definition,
    STATE(1892), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2880), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2878), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [61375] = 7,
    ACTIONS(3825), 1,
      sym_keyword_array,
    STATE(906), 1,
      sym_array_size_definition,
    STATE(913), 1,
      sym__array_size_definition,
    STATE(1892), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2813), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2811), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [61445] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2945), 1,
      sym_keyword_is,
    ACTIONS(2947), 1,
      anon_sym_LBRACK,
    ACTIONS(2951), 1,
      anon_sym_PLUS,
    ACTIONS(2953), 1,
      anon_sym_DASH,
    ACTIONS(2955), 1,
      anon_sym_SLASH,
    ACTIONS(2957), 1,
      anon_sym_CARET,
    ACTIONS(3059), 1,
      sym_keyword_in,
    ACTIONS(3068), 1,
      sym_op_other,
    ACTIONS(3118), 1,
      sym_keyword_between,
    ACTIONS(3218), 1,
      sym_keyword_and,
    ACTIONS(3665), 1,
      sym_keyword_as,
    ACTIONS(3827), 1,
      sym_keyword_or,
    ACTIONS(3829), 1,
      anon_sym_COLON_COLON,
    STATE(11247), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2949), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3066), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1331), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1324), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3064), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3663), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [61547] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(3831), 1,
      sym_keyword_when,
    ACTIONS(3833), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6054), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [61661] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(3835), 1,
      sym_keyword_when,
    ACTIONS(3837), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6075), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [61775] = 11,
    ACTIONS(3697), 1,
      sym_keyword_distinct,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(2999), 1,
      sym_identifier,
    STATE(4357), 1,
      sym_invocation,
    STATE(4511), 1,
      sym__qualified_field,
    STATE(11975), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4674), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3699), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(2110), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3695), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [61853] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(457), 1,
      aux_sym_identifier_token1,
    ACTIONS(3839), 1,
      sym_keyword_cast,
    ACTIONS(3841), 1,
      sym_keyword_case,
    ACTIONS(3845), 1,
      sym_keyword_exists,
    ACTIONS(3849), 1,
      sym_keyword_interval,
    ACTIONS(3851), 1,
      sym_keyword_array,
    ACTIONS(3853), 1,
      anon_sym_LPAREN,
    ACTIONS(3855), 1,
      sym_parameter,
    ACTIONS(3857), 1,
      anon_sym_PLUS,
    ACTIONS(3859), 1,
      anon_sym_DASH,
    ACTIONS(3861), 1,
      sym_op_unary_other,
    ACTIONS(3863), 1,
      sym__double_quote_string,
    ACTIONS(3865), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3867), 1,
      aux_sym__integer_token1,
    ACTIONS(3869), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3871), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3873), 1,
      sym__dollar_quoted_string,
    STATE(3102), 1,
      sym_identifier,
    STATE(3999), 1,
      sym_invocation,
    STATE(4419), 1,
      sym__qualified_field,
    STATE(4477), 1,
      sym__single_quote_string,
    STATE(7045), 1,
      sym_order_target,
    STATE(12125), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3847), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3843), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4458), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2666), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [61967] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(3875), 1,
      sym_keyword_when,
    ACTIONS(3877), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6116), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [62081] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(3879), 1,
      sym_keyword_when,
    ACTIONS(3881), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6134), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [62195] = 30,
    ACTIONS(1211), 1,
      sym__identifier,
    ACTIONS(1269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3715), 1,
      sym_keyword_distinct,
    ACTIONS(3883), 1,
      sym_keyword_cast,
    ACTIONS(3885), 1,
      sym_keyword_case,
    ACTIONS(3887), 1,
      sym_keyword_not,
    ACTIONS(3889), 1,
      sym_keyword_exists,
    ACTIONS(3895), 1,
      sym_keyword_interval,
    ACTIONS(3897), 1,
      sym_keyword_array,
    ACTIONS(3899), 1,
      anon_sym_LPAREN,
    ACTIONS(3901), 1,
      sym_parameter,
    ACTIONS(3903), 1,
      anon_sym_PLUS,
    ACTIONS(3905), 1,
      anon_sym_DASH,
    ACTIONS(3907), 1,
      sym_op_unary_other,
    ACTIONS(3909), 1,
      sym__double_quote_string,
    ACTIONS(3911), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3913), 1,
      aux_sym__integer_token1,
    ACTIONS(3915), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3917), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3919), 1,
      sym__dollar_quoted_string,
    STATE(3154), 1,
      sym_identifier,
    STATE(4675), 1,
      sym_invocation,
    STATE(4740), 1,
      sym__single_quote_string,
    STATE(4781), 1,
      sym__qualified_field,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3893), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3891), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4749), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2498), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [62311] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3246), 1,
      sym_keyword_in,
    ACTIONS(3248), 1,
      sym_keyword_not,
    ACTIONS(3256), 1,
      sym_op_other,
    ACTIONS(3258), 1,
      anon_sym_PLUS,
    ACTIONS(3260), 1,
      anon_sym_DASH,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    ACTIONS(3283), 1,
      sym_keyword_and,
    ACTIONS(3285), 1,
      sym_keyword_between,
    ACTIONS(3433), 1,
      sym_keyword_or,
    ACTIONS(3921), 1,
      anon_sym_COLON_COLON,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3254), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3250), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3439), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [62413] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2945), 1,
      sym_keyword_is,
    ACTIONS(2947), 1,
      anon_sym_LBRACK,
    ACTIONS(2951), 1,
      anon_sym_PLUS,
    ACTIONS(2953), 1,
      anon_sym_DASH,
    ACTIONS(2955), 1,
      anon_sym_SLASH,
    ACTIONS(2957), 1,
      anon_sym_CARET,
    ACTIONS(3059), 1,
      sym_keyword_in,
    ACTIONS(3068), 1,
      sym_op_other,
    ACTIONS(3118), 1,
      sym_keyword_between,
    ACTIONS(3218), 1,
      sym_keyword_and,
    ACTIONS(3677), 1,
      sym_keyword_as,
    ACTIONS(3827), 1,
      sym_keyword_or,
    ACTIONS(3829), 1,
      anon_sym_COLON_COLON,
    STATE(11247), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2949), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3066), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1331), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1324), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3064), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3675), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [62515] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(3923), 1,
      anon_sym_RBRACK,
    ACTIONS(3925), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5151), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [62629] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(3927), 1,
      sym_keyword_when,
    ACTIONS(3929), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6072), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [62743] = 30,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(3715), 1,
      sym_keyword_distinct,
    ACTIONS(3931), 1,
      sym_keyword_not,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    ACTIONS(3937), 1,
      sym_parameter,
    ACTIONS(3939), 1,
      sym_op_unary_other,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5349), 1,
      sym_invocation,
    STATE(12005), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3933), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3550), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [62859] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3246), 1,
      sym_keyword_in,
    ACTIONS(3248), 1,
      sym_keyword_not,
    ACTIONS(3256), 1,
      sym_op_other,
    ACTIONS(3258), 1,
      anon_sym_PLUS,
    ACTIONS(3260), 1,
      anon_sym_DASH,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    ACTIONS(3283), 1,
      sym_keyword_and,
    ACTIONS(3285), 1,
      sym_keyword_between,
    ACTIONS(3433), 1,
      sym_keyword_or,
    ACTIONS(3921), 1,
      anon_sym_COLON_COLON,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3254), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3250), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3443), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [62961] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3246), 1,
      sym_keyword_in,
    ACTIONS(3248), 1,
      sym_keyword_not,
    ACTIONS(3256), 1,
      sym_op_other,
    ACTIONS(3258), 1,
      anon_sym_PLUS,
    ACTIONS(3260), 1,
      anon_sym_DASH,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    ACTIONS(3283), 1,
      sym_keyword_and,
    ACTIONS(3285), 1,
      sym_keyword_between,
    ACTIONS(3433), 1,
      sym_keyword_or,
    ACTIONS(3921), 1,
      anon_sym_COLON_COLON,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3254), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3250), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3445), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [63063] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3246), 1,
      sym_keyword_in,
    ACTIONS(3248), 1,
      sym_keyword_not,
    ACTIONS(3256), 1,
      sym_op_other,
    ACTIONS(3258), 1,
      anon_sym_PLUS,
    ACTIONS(3260), 1,
      anon_sym_DASH,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    ACTIONS(3283), 1,
      sym_keyword_and,
    ACTIONS(3285), 1,
      sym_keyword_between,
    ACTIONS(3433), 1,
      sym_keyword_or,
    ACTIONS(3921), 1,
      anon_sym_COLON_COLON,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3254), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3250), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3441), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [63165] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3246), 1,
      sym_keyword_in,
    ACTIONS(3248), 1,
      sym_keyword_not,
    ACTIONS(3256), 1,
      sym_op_other,
    ACTIONS(3258), 1,
      anon_sym_PLUS,
    ACTIONS(3260), 1,
      anon_sym_DASH,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    ACTIONS(3283), 1,
      sym_keyword_and,
    ACTIONS(3285), 1,
      sym_keyword_between,
    ACTIONS(3433), 1,
      sym_keyword_or,
    ACTIONS(3921), 1,
      anon_sym_COLON_COLON,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3254), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3250), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3437), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [63267] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3246), 1,
      sym_keyword_in,
    ACTIONS(3248), 1,
      sym_keyword_not,
    ACTIONS(3256), 1,
      sym_op_other,
    ACTIONS(3258), 1,
      anon_sym_PLUS,
    ACTIONS(3260), 1,
      anon_sym_DASH,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    ACTIONS(3283), 1,
      sym_keyword_and,
    ACTIONS(3285), 1,
      sym_keyword_between,
    ACTIONS(3433), 1,
      sym_keyword_or,
    ACTIONS(3921), 1,
      anon_sym_COLON_COLON,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3254), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3250), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3474), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [63369] = 30,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3715), 1,
      sym_keyword_distinct,
    ACTIONS(3941), 1,
      sym_keyword_not,
    ACTIONS(3943), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4202), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [63485] = 11,
    ACTIONS(3697), 1,
      sym_keyword_distinct,
    STATE(4942), 1,
      sym_identifier,
    STATE(5625), 1,
      sym_invocation,
    STATE(5873), 1,
      sym__single_quote_string,
    STATE(6019), 1,
      sym__qualified_field,
    STATE(12085), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5971), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3699), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(4187), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3695), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [63563] = 11,
    ACTIONS(3697), 1,
      sym_keyword_distinct,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5349), 1,
      sym_invocation,
    STATE(12005), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3699), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(3555), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3695), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [63641] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3246), 1,
      sym_keyword_in,
    ACTIONS(3248), 1,
      sym_keyword_not,
    ACTIONS(3256), 1,
      sym_op_other,
    ACTIONS(3258), 1,
      anon_sym_PLUS,
    ACTIONS(3260), 1,
      anon_sym_DASH,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    ACTIONS(3283), 1,
      sym_keyword_and,
    ACTIONS(3285), 1,
      sym_keyword_between,
    ACTIONS(3433), 1,
      sym_keyword_or,
    ACTIONS(3921), 1,
      anon_sym_COLON_COLON,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3254), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3250), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3470), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [63743] = 30,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3116), 1,
      sym_op_unary_other,
    ACTIONS(3715), 1,
      sym_keyword_distinct,
    ACTIONS(3945), 1,
      sym_keyword_not,
    ACTIONS(3947), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(5353), 1,
      sym_invocation,
    STATE(12262), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3112), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4352), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [63859] = 30,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3715), 1,
      sym_keyword_distinct,
    ACTIONS(3949), 1,
      sym_keyword_not,
    ACTIONS(3951), 1,
      sym_parameter,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(12220), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4366), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [63975] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(457), 1,
      aux_sym_identifier_token1,
    ACTIONS(3839), 1,
      sym_keyword_cast,
    ACTIONS(3841), 1,
      sym_keyword_case,
    ACTIONS(3845), 1,
      sym_keyword_exists,
    ACTIONS(3849), 1,
      sym_keyword_interval,
    ACTIONS(3851), 1,
      sym_keyword_array,
    ACTIONS(3853), 1,
      anon_sym_LPAREN,
    ACTIONS(3857), 1,
      anon_sym_PLUS,
    ACTIONS(3859), 1,
      anon_sym_DASH,
    ACTIONS(3861), 1,
      sym_op_unary_other,
    ACTIONS(3863), 1,
      sym__double_quote_string,
    ACTIONS(3865), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3867), 1,
      aux_sym__integer_token1,
    ACTIONS(3869), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3871), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3873), 1,
      sym__dollar_quoted_string,
    ACTIONS(3953), 1,
      sym_parameter,
    STATE(3102), 1,
      sym_identifier,
    STATE(3999), 1,
      sym_invocation,
    STATE(4419), 1,
      sym__qualified_field,
    STATE(4477), 1,
      sym__single_quote_string,
    STATE(7045), 1,
      sym_order_target,
    STATE(12125), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3847), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3843), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4458), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2123), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [64089] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(3955), 1,
      anon_sym_RBRACK,
    ACTIONS(3957), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5162), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [64203] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(3959), 1,
      sym_keyword_when,
    ACTIONS(3961), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6035), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [64317] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3246), 1,
      sym_keyword_in,
    ACTIONS(3248), 1,
      sym_keyword_not,
    ACTIONS(3256), 1,
      sym_op_other,
    ACTIONS(3258), 1,
      anon_sym_PLUS,
    ACTIONS(3260), 1,
      anon_sym_DASH,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    ACTIONS(3283), 1,
      sym_keyword_and,
    ACTIONS(3285), 1,
      sym_keyword_between,
    ACTIONS(3433), 1,
      sym_keyword_or,
    ACTIONS(3921), 1,
      anon_sym_COLON_COLON,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3254), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3250), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3463), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [64419] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3246), 1,
      sym_keyword_in,
    ACTIONS(3248), 1,
      sym_keyword_not,
    ACTIONS(3256), 1,
      sym_op_other,
    ACTIONS(3258), 1,
      anon_sym_PLUS,
    ACTIONS(3260), 1,
      anon_sym_DASH,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    ACTIONS(3283), 1,
      sym_keyword_and,
    ACTIONS(3285), 1,
      sym_keyword_between,
    ACTIONS(3433), 1,
      sym_keyword_or,
    ACTIONS(3921), 1,
      anon_sym_COLON_COLON,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3254), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3250), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3487), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [64521] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3246), 1,
      sym_keyword_in,
    ACTIONS(3248), 1,
      sym_keyword_not,
    ACTIONS(3256), 1,
      sym_op_other,
    ACTIONS(3258), 1,
      anon_sym_PLUS,
    ACTIONS(3260), 1,
      anon_sym_DASH,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    ACTIONS(3283), 1,
      sym_keyword_and,
    ACTIONS(3285), 1,
      sym_keyword_between,
    ACTIONS(3433), 1,
      sym_keyword_or,
    ACTIONS(3921), 1,
      anon_sym_COLON_COLON,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3254), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3250), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3485), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [64623] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3246), 1,
      sym_keyword_in,
    ACTIONS(3248), 1,
      sym_keyword_not,
    ACTIONS(3256), 1,
      sym_op_other,
    ACTIONS(3258), 1,
      anon_sym_PLUS,
    ACTIONS(3260), 1,
      anon_sym_DASH,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    ACTIONS(3283), 1,
      sym_keyword_and,
    ACTIONS(3285), 1,
      sym_keyword_between,
    ACTIONS(3433), 1,
      sym_keyword_or,
    ACTIONS(3921), 1,
      anon_sym_COLON_COLON,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3254), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3250), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3465), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [64725] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3246), 1,
      sym_keyword_in,
    ACTIONS(3248), 1,
      sym_keyword_not,
    ACTIONS(3256), 1,
      sym_op_other,
    ACTIONS(3258), 1,
      anon_sym_PLUS,
    ACTIONS(3260), 1,
      anon_sym_DASH,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    ACTIONS(3283), 1,
      sym_keyword_and,
    ACTIONS(3285), 1,
      sym_keyword_between,
    ACTIONS(3433), 1,
      sym_keyword_or,
    ACTIONS(3921), 1,
      anon_sym_COLON_COLON,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3254), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3250), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3457), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [64827] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3234), 1,
      sym_keyword_is,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
    ACTIONS(3246), 1,
      sym_keyword_in,
    ACTIONS(3248), 1,
      sym_keyword_not,
    ACTIONS(3256), 1,
      sym_op_other,
    ACTIONS(3258), 1,
      anon_sym_PLUS,
    ACTIONS(3260), 1,
      anon_sym_DASH,
    ACTIONS(3262), 1,
      anon_sym_SLASH,
    ACTIONS(3264), 1,
      anon_sym_CARET,
    ACTIONS(3283), 1,
      sym_keyword_and,
    ACTIONS(3285), 1,
      sym_keyword_between,
    ACTIONS(3433), 1,
      sym_keyword_or,
    ACTIONS(3921), 1,
      anon_sym_COLON_COLON,
    STATE(10524), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3252), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3254), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1309), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1310), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3250), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3431), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [64929] = 30,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3715), 1,
      sym_keyword_distinct,
    ACTIONS(3963), 1,
      sym_keyword_not,
    ACTIONS(3967), 1,
      anon_sym_LPAREN,
    ACTIONS(3969), 1,
      sym_parameter,
    ACTIONS(3971), 1,
      sym_op_unary_other,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(4795), 1,
      sym_invocation,
    STATE(12159), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3965), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2759), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [65045] = 11,
    ACTIONS(3697), 1,
      sym_keyword_distinct,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(2964), 1,
      sym_identifier,
    STATE(4197), 1,
      sym_invocation,
    STATE(4481), 1,
      sym__qualified_field,
    STATE(11994), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4309), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3699), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(2356), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3695), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [65123] = 30,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(3715), 1,
      sym_keyword_distinct,
    ACTIONS(3973), 1,
      sym_keyword_not,
    ACTIONS(3975), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1468), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [65239] = 30,
    ACTIONS(3715), 1,
      sym_keyword_distinct,
    ACTIONS(3977), 1,
      sym__identifier,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3983), 1,
      sym_keyword_not,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      sym_parameter,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      aux_sym_identifier_token1,
    ACTIONS(4017), 1,
      sym__dollar_quoted_string,
    STATE(4942), 1,
      sym_identifier,
    STATE(5625), 1,
      sym_invocation,
    STATE(5873), 1,
      sym__single_quote_string,
    STATE(6019), 1,
      sym__qualified_field,
    STATE(12085), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5971), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4191), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [65355] = 30,
    ACTIONS(339), 1,
      sym__identifier,
    ACTIONS(397), 1,
      aux_sym_identifier_token1,
    ACTIONS(3715), 1,
      sym_keyword_distinct,
    ACTIONS(4019), 1,
      sym_keyword_cast,
    ACTIONS(4021), 1,
      sym_keyword_case,
    ACTIONS(4023), 1,
      sym_keyword_not,
    ACTIONS(4025), 1,
      sym_keyword_exists,
    ACTIONS(4031), 1,
      sym_keyword_interval,
    ACTIONS(4033), 1,
      sym_keyword_array,
    ACTIONS(4035), 1,
      anon_sym_LPAREN,
    ACTIONS(4037), 1,
      sym_parameter,
    ACTIONS(4039), 1,
      anon_sym_PLUS,
    ACTIONS(4041), 1,
      anon_sym_DASH,
    ACTIONS(4043), 1,
      sym_op_unary_other,
    ACTIONS(4045), 1,
      sym__double_quote_string,
    ACTIONS(4047), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4049), 1,
      aux_sym__integer_token1,
    ACTIONS(4051), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4053), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4055), 1,
      sym__dollar_quoted_string,
    STATE(2112), 1,
      sym__single_quote_string,
    STATE(2801), 1,
      sym_identifier,
    STATE(3557), 1,
      sym_invocation,
    STATE(4316), 1,
      sym__qualified_field,
    STATE(12191), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4029), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4027), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4146), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1969), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [65471] = 11,
    ACTIONS(3697), 1,
      sym_keyword_distinct,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(5353), 1,
      sym_invocation,
    STATE(12262), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3699), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(4322), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3695), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [65549] = 30,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(3715), 1,
      sym_keyword_distinct,
    ACTIONS(4057), 1,
      sym_keyword_not,
    ACTIONS(4059), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(12262), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4535), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [65665] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4061), 1,
      anon_sym_RBRACK,
    ACTIONS(4063), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5186), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [65779] = 30,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(1291), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(3715), 1,
      sym_keyword_distinct,
    ACTIONS(4065), 1,
      sym_keyword_not,
    ACTIONS(4067), 1,
      sym_parameter,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(2964), 1,
      sym_identifier,
    STATE(4197), 1,
      sym_invocation,
    STATE(4481), 1,
      sym__qualified_field,
    STATE(11994), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4309), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2362), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [65895] = 11,
    ACTIONS(3697), 1,
      sym_keyword_distinct,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(12262), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3699), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(4457), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3695), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [65973] = 29,
    ACTIONS(1211), 1,
      sym__identifier,
    ACTIONS(1269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3883), 1,
      sym_keyword_cast,
    ACTIONS(3885), 1,
      sym_keyword_case,
    ACTIONS(3889), 1,
      sym_keyword_exists,
    ACTIONS(3895), 1,
      sym_keyword_interval,
    ACTIONS(3897), 1,
      sym_keyword_array,
    ACTIONS(3899), 1,
      anon_sym_LPAREN,
    ACTIONS(3903), 1,
      anon_sym_PLUS,
    ACTIONS(3905), 1,
      anon_sym_DASH,
    ACTIONS(3907), 1,
      sym_op_unary_other,
    ACTIONS(3909), 1,
      sym__double_quote_string,
    ACTIONS(3911), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3913), 1,
      aux_sym__integer_token1,
    ACTIONS(3915), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3917), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3919), 1,
      sym__dollar_quoted_string,
    ACTIONS(4069), 1,
      sym_parameter,
    STATE(3154), 1,
      sym_identifier,
    STATE(4675), 1,
      sym_invocation,
    STATE(4740), 1,
      sym__single_quote_string,
    STATE(4781), 1,
      sym__qualified_field,
    STATE(7855), 1,
      sym_order_target,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3893), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3891), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4749), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2739), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [66087] = 29,
    ACTIONS(1211), 1,
      sym__identifier,
    ACTIONS(1269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3883), 1,
      sym_keyword_cast,
    ACTIONS(3885), 1,
      sym_keyword_case,
    ACTIONS(3889), 1,
      sym_keyword_exists,
    ACTIONS(3895), 1,
      sym_keyword_interval,
    ACTIONS(3897), 1,
      sym_keyword_array,
    ACTIONS(3899), 1,
      anon_sym_LPAREN,
    ACTIONS(3903), 1,
      anon_sym_PLUS,
    ACTIONS(3905), 1,
      anon_sym_DASH,
    ACTIONS(3907), 1,
      sym_op_unary_other,
    ACTIONS(3909), 1,
      sym__double_quote_string,
    ACTIONS(3911), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3913), 1,
      aux_sym__integer_token1,
    ACTIONS(3915), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3917), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3919), 1,
      sym__dollar_quoted_string,
    ACTIONS(4069), 1,
      sym_parameter,
    STATE(3154), 1,
      sym_identifier,
    STATE(4675), 1,
      sym_invocation,
    STATE(4740), 1,
      sym__single_quote_string,
    STATE(4781), 1,
      sym__qualified_field,
    STATE(7530), 1,
      sym_order_target,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3893), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3891), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4749), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2739), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [66201] = 11,
    ACTIONS(3697), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(4795), 1,
      sym_invocation,
    STATE(12159), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3699), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(2794), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3695), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [66279] = 30,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2975), 1,
      anon_sym_LPAREN,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2985), 1,
      sym_op_unary_other,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(3715), 1,
      sym_keyword_distinct,
    ACTIONS(4071), 1,
      sym_keyword_not,
    ACTIONS(4073), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5708), 1,
      sym_invocation,
    STATE(11985), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2965), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4347), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [66395] = 11,
    ACTIONS(3697), 1,
      sym_keyword_distinct,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5708), 1,
      sym_invocation,
    STATE(11985), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3699), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(4400), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3695), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [66473] = 30,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1205), 1,
      aux_sym_identifier_token1,
    ACTIONS(3715), 1,
      sym_keyword_distinct,
    ACTIONS(4075), 1,
      sym_keyword_cast,
    ACTIONS(4077), 1,
      sym_keyword_case,
    ACTIONS(4079), 1,
      sym_keyword_not,
    ACTIONS(4081), 1,
      sym_keyword_exists,
    ACTIONS(4087), 1,
      sym_keyword_interval,
    ACTIONS(4089), 1,
      sym_keyword_array,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    ACTIONS(4093), 1,
      sym_parameter,
    ACTIONS(4095), 1,
      anon_sym_PLUS,
    ACTIONS(4097), 1,
      anon_sym_DASH,
    ACTIONS(4099), 1,
      sym_op_unary_other,
    ACTIONS(4101), 1,
      sym__double_quote_string,
    ACTIONS(4103), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4105), 1,
      aux_sym__integer_token1,
    ACTIONS(4107), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4109), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4111), 1,
      sym__dollar_quoted_string,
    STATE(2885), 1,
      sym_identifier,
    STATE(4010), 1,
      sym_invocation,
    STATE(4482), 1,
      sym__single_quote_string,
    STATE(4670), 1,
      sym__qualified_field,
    STATE(11942), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4085), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4083), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4547), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2342), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [66589] = 29,
    ACTIONS(1077), 1,
      sym__identifier,
    ACTIONS(1081), 1,
      aux_sym_identifier_token1,
    ACTIONS(3627), 1,
      sym_keyword_cast,
    ACTIONS(3635), 1,
      sym_keyword_array,
    ACTIONS(3641), 1,
      anon_sym_PLUS,
    ACTIONS(3643), 1,
      anon_sym_DASH,
    ACTIONS(3645), 1,
      sym_op_unary_other,
    ACTIONS(3647), 1,
      sym__double_quote_string,
    ACTIONS(3649), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3651), 1,
      aux_sym__integer_token1,
    ACTIONS(3653), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3655), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3657), 1,
      sym__dollar_quoted_string,
    ACTIONS(3799), 1,
      sym_keyword_case,
    ACTIONS(3801), 1,
      sym_keyword_exists,
    ACTIONS(3803), 1,
      sym_keyword_interval,
    ACTIONS(3805), 1,
      anon_sym_LPAREN,
    ACTIONS(3807), 1,
      sym_parameter,
    STATE(926), 1,
      sym_identifier,
    STATE(1988), 1,
      sym_invocation,
    STATE(2170), 1,
      sym__single_quote_string,
    STATE(2229), 1,
      sym__qualified_field,
    STATE(8277), 1,
      sym_order_target,
    STATE(11950), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3633), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3629), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2111), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3654), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [66703] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4113), 1,
      sym_keyword_when,
    ACTIONS(4115), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6016), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [66817] = 11,
    ACTIONS(3697), 1,
      sym_keyword_distinct,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2840), 1,
      sym_identifier,
    STATE(3449), 1,
      sym_invocation,
    STATE(4290), 1,
      sym__qualified_field,
    STATE(11699), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3699), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(1943), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3695), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [66895] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4117), 1,
      anon_sym_RBRACK,
    ACTIONS(4119), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5351), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [67009] = 11,
    ACTIONS(3697), 1,
      sym_keyword_distinct,
    STATE(2729), 1,
      sym_identifier,
    STATE(3765), 1,
      sym_invocation,
    STATE(4042), 1,
      sym__qualified_field,
    STATE(4301), 1,
      sym__single_quote_string,
    STATE(12025), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4186), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3699), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(2043), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3695), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [67087] = 11,
    ACTIONS(3697), 1,
      sym_keyword_distinct,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3699), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(4349), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3695), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [67165] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4121), 1,
      sym_keyword_when,
    ACTIONS(4123), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6011), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [67279] = 30,
    ACTIONS(653), 1,
      sym__identifier,
    ACTIONS(711), 1,
      aux_sym_identifier_token1,
    ACTIONS(3715), 1,
      sym_keyword_distinct,
    ACTIONS(4125), 1,
      sym_keyword_cast,
    ACTIONS(4127), 1,
      sym_keyword_case,
    ACTIONS(4129), 1,
      sym_keyword_not,
    ACTIONS(4131), 1,
      sym_keyword_exists,
    ACTIONS(4137), 1,
      sym_keyword_interval,
    ACTIONS(4139), 1,
      sym_keyword_array,
    ACTIONS(4141), 1,
      anon_sym_LPAREN,
    ACTIONS(4143), 1,
      sym_parameter,
    ACTIONS(4145), 1,
      anon_sym_PLUS,
    ACTIONS(4147), 1,
      anon_sym_DASH,
    ACTIONS(4149), 1,
      sym_op_unary_other,
    ACTIONS(4151), 1,
      sym__double_quote_string,
    ACTIONS(4153), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4155), 1,
      aux_sym__integer_token1,
    ACTIONS(4157), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4159), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4161), 1,
      sym__dollar_quoted_string,
    STATE(1023), 1,
      sym__single_quote_string,
    STATE(5232), 1,
      sym_identifier,
    STATE(6267), 1,
      sym_invocation,
    STATE(6459), 1,
      sym__qualified_field,
    STATE(12144), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4135), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4133), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6426), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4697), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [67395] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4163), 1,
      anon_sym_RBRACK,
    ACTIONS(4165), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5352), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [67509] = 30,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(3715), 1,
      sym_keyword_distinct,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4171), 1,
      sym_keyword_not,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4185), 1,
      sym_parameter,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4177), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(834), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [67625] = 30,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(457), 1,
      aux_sym_identifier_token1,
    ACTIONS(3715), 1,
      sym_keyword_distinct,
    ACTIONS(3839), 1,
      sym_keyword_cast,
    ACTIONS(3841), 1,
      sym_keyword_case,
    ACTIONS(3845), 1,
      sym_keyword_exists,
    ACTIONS(3849), 1,
      sym_keyword_interval,
    ACTIONS(3851), 1,
      sym_keyword_array,
    ACTIONS(3853), 1,
      anon_sym_LPAREN,
    ACTIONS(3857), 1,
      anon_sym_PLUS,
    ACTIONS(3859), 1,
      anon_sym_DASH,
    ACTIONS(3861), 1,
      sym_op_unary_other,
    ACTIONS(3863), 1,
      sym__double_quote_string,
    ACTIONS(3865), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3867), 1,
      aux_sym__integer_token1,
    ACTIONS(3869), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3871), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3873), 1,
      sym__dollar_quoted_string,
    ACTIONS(4205), 1,
      sym_keyword_not,
    ACTIONS(4207), 1,
      sym_parameter,
    STATE(3102), 1,
      sym_identifier,
    STATE(3999), 1,
      sym_invocation,
    STATE(4419), 1,
      sym__qualified_field,
    STATE(4477), 1,
      sym__single_quote_string,
    STATE(12125), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3847), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3843), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4458), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2226), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [67741] = 29,
    ACTIONS(1211), 1,
      sym__identifier,
    ACTIONS(1269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3883), 1,
      sym_keyword_cast,
    ACTIONS(3885), 1,
      sym_keyword_case,
    ACTIONS(3889), 1,
      sym_keyword_exists,
    ACTIONS(3895), 1,
      sym_keyword_interval,
    ACTIONS(3897), 1,
      sym_keyword_array,
    ACTIONS(3899), 1,
      anon_sym_LPAREN,
    ACTIONS(3903), 1,
      anon_sym_PLUS,
    ACTIONS(3905), 1,
      anon_sym_DASH,
    ACTIONS(3907), 1,
      sym_op_unary_other,
    ACTIONS(3909), 1,
      sym__double_quote_string,
    ACTIONS(3911), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3913), 1,
      aux_sym__integer_token1,
    ACTIONS(3915), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3917), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3919), 1,
      sym__dollar_quoted_string,
    ACTIONS(4209), 1,
      sym_parameter,
    STATE(3154), 1,
      sym_identifier,
    STATE(4675), 1,
      sym_invocation,
    STATE(4740), 1,
      sym__single_quote_string,
    STATE(4781), 1,
      sym__qualified_field,
    STATE(7566), 1,
      sym_order_target,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3893), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3891), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4749), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2492), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [67855] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1382), 7,
      sym_keyword_as,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 46,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [67917] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4211), 1,
      sym_keyword_when,
    ACTIONS(4213), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5966), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [68031] = 30,
    ACTIONS(1275), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(2856), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3513), 1,
      sym_keyword_cast,
    ACTIONS(3521), 1,
      sym_keyword_array,
    ACTIONS(3527), 1,
      anon_sym_PLUS,
    ACTIONS(3529), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      sym_op_unary_other,
    ACTIONS(3533), 1,
      sym__double_quote_string,
    ACTIONS(3535), 1,
      aux_sym__integer_token1,
    ACTIONS(3537), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3539), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3541), 1,
      sym__dollar_quoted_string,
    ACTIONS(3701), 1,
      sym_keyword_case,
    ACTIONS(3703), 1,
      sym_keyword_exists,
    ACTIONS(3705), 1,
      sym_keyword_interval,
    ACTIONS(3707), 1,
      anon_sym_LPAREN,
    ACTIONS(3715), 1,
      sym_keyword_distinct,
    ACTIONS(4215), 1,
      sym_keyword_not,
    ACTIONS(4217), 1,
      sym_parameter,
    STATE(426), 1,
      sym_identifier,
    STATE(806), 1,
      sym_invocation,
    STATE(894), 1,
      sym__single_quote_string,
    STATE(925), 1,
      sym__qualified_field,
    STATE(12101), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3519), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3515), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(893), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(364), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [68147] = 11,
    ACTIONS(3697), 1,
      sym_keyword_distinct,
    STATE(426), 1,
      sym_identifier,
    STATE(806), 1,
      sym_invocation,
    STATE(894), 1,
      sym__single_quote_string,
    STATE(925), 1,
      sym__qualified_field,
    STATE(12101), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(893), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3699), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(347), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3695), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [68225] = 29,
    ACTIONS(1211), 1,
      sym__identifier,
    ACTIONS(1269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3883), 1,
      sym_keyword_cast,
    ACTIONS(3885), 1,
      sym_keyword_case,
    ACTIONS(3889), 1,
      sym_keyword_exists,
    ACTIONS(3895), 1,
      sym_keyword_interval,
    ACTIONS(3897), 1,
      sym_keyword_array,
    ACTIONS(3899), 1,
      anon_sym_LPAREN,
    ACTIONS(3903), 1,
      anon_sym_PLUS,
    ACTIONS(3905), 1,
      anon_sym_DASH,
    ACTIONS(3907), 1,
      sym_op_unary_other,
    ACTIONS(3909), 1,
      sym__double_quote_string,
    ACTIONS(3911), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3913), 1,
      aux_sym__integer_token1,
    ACTIONS(3915), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3917), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3919), 1,
      sym__dollar_quoted_string,
    ACTIONS(4209), 1,
      sym_parameter,
    STATE(3154), 1,
      sym_identifier,
    STATE(4675), 1,
      sym_invocation,
    STATE(4740), 1,
      sym__single_quote_string,
    STATE(4781), 1,
      sym__qualified_field,
    STATE(7530), 1,
      sym_order_target,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3893), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3891), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4749), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2492), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [68339] = 11,
    ACTIONS(3697), 1,
      sym_keyword_distinct,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3699), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(534), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3695), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [68417] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4219), 1,
      sym_keyword_when,
    ACTIONS(4221), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5959), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [68531] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4223), 1,
      anon_sym_RBRACK,
    ACTIONS(4225), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5379), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [68645] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4227), 1,
      sym_keyword_when,
    ACTIONS(4229), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6045), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [68759] = 30,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(3715), 1,
      sym_keyword_distinct,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4235), 1,
      sym_keyword_not,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4249), 1,
      sym_parameter,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4241), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(631), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [68875] = 30,
    ACTIONS(3715), 1,
      sym_keyword_distinct,
    ACTIONS(4269), 1,
      sym__identifier,
    ACTIONS(4271), 1,
      sym_keyword_cast,
    ACTIONS(4273), 1,
      sym_keyword_case,
    ACTIONS(4275), 1,
      sym_keyword_not,
    ACTIONS(4277), 1,
      sym_keyword_exists,
    ACTIONS(4283), 1,
      sym_keyword_interval,
    ACTIONS(4285), 1,
      sym_keyword_array,
    ACTIONS(4287), 1,
      anon_sym_LPAREN,
    ACTIONS(4289), 1,
      sym_parameter,
    ACTIONS(4291), 1,
      anon_sym_PLUS,
    ACTIONS(4293), 1,
      anon_sym_DASH,
    ACTIONS(4295), 1,
      sym_op_unary_other,
    ACTIONS(4297), 1,
      sym__double_quote_string,
    ACTIONS(4299), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4301), 1,
      aux_sym__integer_token1,
    ACTIONS(4303), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4305), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4307), 1,
      aux_sym_identifier_token1,
    ACTIONS(4309), 1,
      sym__dollar_quoted_string,
    STATE(4864), 1,
      sym_identifier,
    STATE(5172), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__single_quote_string,
    STATE(5652), 1,
      sym__qualified_field,
    STATE(11958), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4281), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4279), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5716), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3492), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [68991] = 30,
    ACTIONS(1077), 1,
      sym__identifier,
    ACTIONS(1081), 1,
      aux_sym_identifier_token1,
    ACTIONS(3627), 1,
      sym_keyword_cast,
    ACTIONS(3635), 1,
      sym_keyword_array,
    ACTIONS(3641), 1,
      anon_sym_PLUS,
    ACTIONS(3643), 1,
      anon_sym_DASH,
    ACTIONS(3645), 1,
      sym_op_unary_other,
    ACTIONS(3647), 1,
      sym__double_quote_string,
    ACTIONS(3649), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3651), 1,
      aux_sym__integer_token1,
    ACTIONS(3653), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3655), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3657), 1,
      sym__dollar_quoted_string,
    ACTIONS(3715), 1,
      sym_keyword_distinct,
    ACTIONS(3799), 1,
      sym_keyword_case,
    ACTIONS(3801), 1,
      sym_keyword_exists,
    ACTIONS(3803), 1,
      sym_keyword_interval,
    ACTIONS(3805), 1,
      anon_sym_LPAREN,
    ACTIONS(4311), 1,
      sym_keyword_not,
    ACTIONS(4313), 1,
      sym_parameter,
    STATE(926), 1,
      sym_identifier,
    STATE(1988), 1,
      sym_invocation,
    STATE(2170), 1,
      sym__single_quote_string,
    STATE(2229), 1,
      sym__qualified_field,
    STATE(11950), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3633), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3629), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2111), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(510), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [69107] = 7,
    ACTIONS(4315), 1,
      sym_keyword_unsigned,
    ACTIONS(4317), 1,
      sym_keyword_zerofill,
    ACTIONS(4319), 1,
      sym_keyword_precision,
    ACTIONS(4321), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [69177] = 11,
    ACTIONS(3697), 1,
      sym_keyword_distinct,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(12220), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3699), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(4390), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3695), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [69255] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(457), 1,
      aux_sym_identifier_token1,
    ACTIONS(3839), 1,
      sym_keyword_cast,
    ACTIONS(3841), 1,
      sym_keyword_case,
    ACTIONS(3845), 1,
      sym_keyword_exists,
    ACTIONS(3849), 1,
      sym_keyword_interval,
    ACTIONS(3851), 1,
      sym_keyword_array,
    ACTIONS(3853), 1,
      anon_sym_LPAREN,
    ACTIONS(3857), 1,
      anon_sym_PLUS,
    ACTIONS(3859), 1,
      anon_sym_DASH,
    ACTIONS(3861), 1,
      sym_op_unary_other,
    ACTIONS(3863), 1,
      sym__double_quote_string,
    ACTIONS(3865), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3867), 1,
      aux_sym__integer_token1,
    ACTIONS(3869), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3871), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3873), 1,
      sym__dollar_quoted_string,
    ACTIONS(3953), 1,
      sym_parameter,
    STATE(3102), 1,
      sym_identifier,
    STATE(3999), 1,
      sym_invocation,
    STATE(4419), 1,
      sym__qualified_field,
    STATE(4477), 1,
      sym__single_quote_string,
    STATE(7348), 1,
      sym_order_target,
    STATE(12125), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3847), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3843), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4458), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2123), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [69369] = 30,
    ACTIONS(1009), 1,
      sym__identifier,
    ACTIONS(1067), 1,
      aux_sym_identifier_token1,
    ACTIONS(3715), 1,
      sym_keyword_distinct,
    ACTIONS(4323), 1,
      sym_keyword_cast,
    ACTIONS(4325), 1,
      sym_keyword_case,
    ACTIONS(4327), 1,
      sym_keyword_not,
    ACTIONS(4329), 1,
      sym_keyword_exists,
    ACTIONS(4335), 1,
      sym_keyword_interval,
    ACTIONS(4337), 1,
      sym_keyword_array,
    ACTIONS(4339), 1,
      anon_sym_LPAREN,
    ACTIONS(4341), 1,
      sym_parameter,
    ACTIONS(4343), 1,
      anon_sym_PLUS,
    ACTIONS(4345), 1,
      anon_sym_DASH,
    ACTIONS(4347), 1,
      sym_op_unary_other,
    ACTIONS(4349), 1,
      sym__double_quote_string,
    ACTIONS(4351), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4353), 1,
      aux_sym__integer_token1,
    ACTIONS(4355), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4357), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4359), 1,
      sym__dollar_quoted_string,
    STATE(2729), 1,
      sym_identifier,
    STATE(3765), 1,
      sym_invocation,
    STATE(4042), 1,
      sym__qualified_field,
    STATE(4301), 1,
      sym__single_quote_string,
    STATE(12025), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4333), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4331), 4,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4186), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2041), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [69485] = 29,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(457), 1,
      aux_sym_identifier_token1,
    ACTIONS(3839), 1,
      sym_keyword_cast,
    ACTIONS(3841), 1,
      sym_keyword_case,
    ACTIONS(3845), 1,
      sym_keyword_exists,
    ACTIONS(3849), 1,
      sym_keyword_interval,
    ACTIONS(3851), 1,
      sym_keyword_array,
    ACTIONS(3853), 1,
      anon_sym_LPAREN,
    ACTIONS(3855), 1,
      sym_parameter,
    ACTIONS(3857), 1,
      anon_sym_PLUS,
    ACTIONS(3859), 1,
      anon_sym_DASH,
    ACTIONS(3861), 1,
      sym_op_unary_other,
    ACTIONS(3863), 1,
      sym__double_quote_string,
    ACTIONS(3865), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3867), 1,
      aux_sym__integer_token1,
    ACTIONS(3869), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3871), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3873), 1,
      sym__dollar_quoted_string,
    STATE(3102), 1,
      sym_identifier,
    STATE(3999), 1,
      sym_invocation,
    STATE(4419), 1,
      sym__qualified_field,
    STATE(4477), 1,
      sym__single_quote_string,
    STATE(7726), 1,
      sym_order_target,
    STATE(12125), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3847), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3843), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4458), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2666), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [69599] = 11,
    ACTIONS(3697), 1,
      sym_keyword_distinct,
    STATE(2112), 1,
      sym__single_quote_string,
    STATE(2801), 1,
      sym_identifier,
    STATE(3557), 1,
      sym_invocation,
    STATE(4316), 1,
      sym__qualified_field,
    STATE(12191), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4146), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    ACTIONS(3699), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    STATE(1961), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
    ACTIONS(3695), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [69677] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4361), 1,
      anon_sym_RBRACK,
    ACTIONS(4363), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5457), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [69791] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4365), 1,
      anon_sym_RBRACK,
    ACTIONS(4367), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5462), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [69905] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4369), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6194), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [70016] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4371), 1,
      anon_sym_LPAREN,
    ACTIONS(4373), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5247), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [70127] = 5,
    ACTIONS(4375), 1,
      sym_keyword_filter,
    STATE(1921), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2742), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2740), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [70192] = 5,
    ACTIONS(4375), 1,
      sym_keyword_filter,
    STATE(2050), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2724), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [70257] = 28,
    ACTIONS(1009), 1,
      sym__identifier,
    ACTIONS(1067), 1,
      aux_sym_identifier_token1,
    ACTIONS(4323), 1,
      sym_keyword_cast,
    ACTIONS(4325), 1,
      sym_keyword_case,
    ACTIONS(4329), 1,
      sym_keyword_exists,
    ACTIONS(4335), 1,
      sym_keyword_interval,
    ACTIONS(4337), 1,
      sym_keyword_array,
    ACTIONS(4339), 1,
      anon_sym_LPAREN,
    ACTIONS(4343), 1,
      anon_sym_PLUS,
    ACTIONS(4345), 1,
      anon_sym_DASH,
    ACTIONS(4347), 1,
      sym_op_unary_other,
    ACTIONS(4349), 1,
      sym__double_quote_string,
    ACTIONS(4351), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4353), 1,
      aux_sym__integer_token1,
    ACTIONS(4355), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4357), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4359), 1,
      sym__dollar_quoted_string,
    ACTIONS(4377), 1,
      sym_parameter,
    STATE(2729), 1,
      sym_identifier,
    STATE(3765), 1,
      sym_invocation,
    STATE(4042), 1,
      sym__qualified_field,
    STATE(4301), 1,
      sym__single_quote_string,
    STATE(12025), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4333), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4331), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4186), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2023), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [70368] = 28,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(4379), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4241), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(855), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [70479] = 28,
    ACTIONS(1009), 1,
      sym__identifier,
    ACTIONS(1067), 1,
      aux_sym_identifier_token1,
    ACTIONS(4323), 1,
      sym_keyword_cast,
    ACTIONS(4325), 1,
      sym_keyword_case,
    ACTIONS(4329), 1,
      sym_keyword_exists,
    ACTIONS(4335), 1,
      sym_keyword_interval,
    ACTIONS(4337), 1,
      sym_keyword_array,
    ACTIONS(4339), 1,
      anon_sym_LPAREN,
    ACTIONS(4343), 1,
      anon_sym_PLUS,
    ACTIONS(4345), 1,
      anon_sym_DASH,
    ACTIONS(4347), 1,
      sym_op_unary_other,
    ACTIONS(4349), 1,
      sym__double_quote_string,
    ACTIONS(4351), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4353), 1,
      aux_sym__integer_token1,
    ACTIONS(4355), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4357), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4359), 1,
      sym__dollar_quoted_string,
    ACTIONS(4381), 1,
      sym_parameter,
    STATE(2729), 1,
      sym_identifier,
    STATE(3765), 1,
      sym_invocation,
    STATE(4042), 1,
      sym__qualified_field,
    STATE(4301), 1,
      sym__single_quote_string,
    STATE(12025), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4333), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4331), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4186), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2060), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [70590] = 28,
    ACTIONS(1211), 1,
      sym__identifier,
    ACTIONS(1269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3883), 1,
      sym_keyword_cast,
    ACTIONS(3885), 1,
      sym_keyword_case,
    ACTIONS(3889), 1,
      sym_keyword_exists,
    ACTIONS(3895), 1,
      sym_keyword_interval,
    ACTIONS(3897), 1,
      sym_keyword_array,
    ACTIONS(3899), 1,
      anon_sym_LPAREN,
    ACTIONS(3903), 1,
      anon_sym_PLUS,
    ACTIONS(3905), 1,
      anon_sym_DASH,
    ACTIONS(3907), 1,
      sym_op_unary_other,
    ACTIONS(3909), 1,
      sym__double_quote_string,
    ACTIONS(3911), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3913), 1,
      aux_sym__integer_token1,
    ACTIONS(3915), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3917), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3919), 1,
      sym__dollar_quoted_string,
    ACTIONS(4383), 1,
      sym_parameter,
    STATE(3154), 1,
      sym_identifier,
    STATE(4675), 1,
      sym_invocation,
    STATE(4740), 1,
      sym__single_quote_string,
    STATE(4781), 1,
      sym__qualified_field,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3893), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3891), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4749), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2409), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [70701] = 28,
    ACTIONS(1009), 1,
      sym__identifier,
    ACTIONS(1067), 1,
      aux_sym_identifier_token1,
    ACTIONS(4323), 1,
      sym_keyword_cast,
    ACTIONS(4325), 1,
      sym_keyword_case,
    ACTIONS(4329), 1,
      sym_keyword_exists,
    ACTIONS(4335), 1,
      sym_keyword_interval,
    ACTIONS(4337), 1,
      sym_keyword_array,
    ACTIONS(4339), 1,
      anon_sym_LPAREN,
    ACTIONS(4341), 1,
      sym_parameter,
    ACTIONS(4343), 1,
      anon_sym_PLUS,
    ACTIONS(4345), 1,
      anon_sym_DASH,
    ACTIONS(4347), 1,
      sym_op_unary_other,
    ACTIONS(4349), 1,
      sym__double_quote_string,
    ACTIONS(4351), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4353), 1,
      aux_sym__integer_token1,
    ACTIONS(4355), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4357), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4359), 1,
      sym__dollar_quoted_string,
    STATE(2729), 1,
      sym_identifier,
    STATE(3765), 1,
      sym_invocation,
    STATE(4042), 1,
      sym__qualified_field,
    STATE(4301), 1,
      sym__single_quote_string,
    STATE(12025), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4333), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4331), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4186), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2041), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [70812] = 28,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(4385), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4241), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(534), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [70923] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4387), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1135), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [71034] = 28,
    ACTIONS(1009), 1,
      sym__identifier,
    ACTIONS(1067), 1,
      aux_sym_identifier_token1,
    ACTIONS(4323), 1,
      sym_keyword_cast,
    ACTIONS(4325), 1,
      sym_keyword_case,
    ACTIONS(4329), 1,
      sym_keyword_exists,
    ACTIONS(4335), 1,
      sym_keyword_interval,
    ACTIONS(4337), 1,
      sym_keyword_array,
    ACTIONS(4339), 1,
      anon_sym_LPAREN,
    ACTIONS(4343), 1,
      anon_sym_PLUS,
    ACTIONS(4345), 1,
      anon_sym_DASH,
    ACTIONS(4347), 1,
      sym_op_unary_other,
    ACTIONS(4349), 1,
      sym__double_quote_string,
    ACTIONS(4351), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4353), 1,
      aux_sym__integer_token1,
    ACTIONS(4355), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4357), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4359), 1,
      sym__dollar_quoted_string,
    ACTIONS(4389), 1,
      sym_parameter,
    STATE(2729), 1,
      sym_identifier,
    STATE(3765), 1,
      sym_invocation,
    STATE(4042), 1,
      sym__qualified_field,
    STATE(4301), 1,
      sym__single_quote_string,
    STATE(12025), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4333), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4331), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4186), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2073), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [71145] = 7,
    ACTIONS(4391), 1,
      sym_keyword_array,
    STATE(2056), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(2560), 1,
      sym_array_size_definition,
    STATE(2574), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2813), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2811), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [71214] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    ACTIONS(3939), 1,
      sym_op_unary_other,
    ACTIONS(4393), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5349), 1,
      sym_invocation,
    STATE(12005), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3933), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5190), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [71325] = 28,
    ACTIONS(833), 1,
      sym__identifier,
    ACTIONS(891), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(4395), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(2999), 1,
      sym_identifier,
    STATE(4357), 1,
      sym_invocation,
    STATE(4511), 1,
      sym__qualified_field,
    STATE(11975), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4674), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2093), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [71436] = 28,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1205), 1,
      aux_sym_identifier_token1,
    ACTIONS(4075), 1,
      sym_keyword_cast,
    ACTIONS(4077), 1,
      sym_keyword_case,
    ACTIONS(4081), 1,
      sym_keyword_exists,
    ACTIONS(4087), 1,
      sym_keyword_interval,
    ACTIONS(4089), 1,
      sym_keyword_array,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    ACTIONS(4095), 1,
      anon_sym_PLUS,
    ACTIONS(4097), 1,
      anon_sym_DASH,
    ACTIONS(4099), 1,
      sym_op_unary_other,
    ACTIONS(4101), 1,
      sym__double_quote_string,
    ACTIONS(4103), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4105), 1,
      aux_sym__integer_token1,
    ACTIONS(4107), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4109), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4111), 1,
      sym__dollar_quoted_string,
    ACTIONS(4397), 1,
      sym_parameter,
    STATE(2885), 1,
      sym_identifier,
    STATE(4010), 1,
      sym_invocation,
    STATE(4482), 1,
      sym__single_quote_string,
    STATE(4670), 1,
      sym__qualified_field,
    STATE(11942), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4085), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4083), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4547), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2142), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [71547] = 28,
    ACTIONS(833), 1,
      sym__identifier,
    ACTIONS(891), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(4399), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(2999), 1,
      sym_identifier,
    STATE(4357), 1,
      sym_invocation,
    STATE(4511), 1,
      sym__qualified_field,
    STATE(11975), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4674), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2687), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [71658] = 28,
    ACTIONS(1211), 1,
      sym__identifier,
    ACTIONS(1269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3883), 1,
      sym_keyword_cast,
    ACTIONS(3885), 1,
      sym_keyword_case,
    ACTIONS(3889), 1,
      sym_keyword_exists,
    ACTIONS(3895), 1,
      sym_keyword_interval,
    ACTIONS(3897), 1,
      sym_keyword_array,
    ACTIONS(3899), 1,
      anon_sym_LPAREN,
    ACTIONS(3903), 1,
      anon_sym_PLUS,
    ACTIONS(3905), 1,
      anon_sym_DASH,
    ACTIONS(3907), 1,
      sym_op_unary_other,
    ACTIONS(3909), 1,
      sym__double_quote_string,
    ACTIONS(3911), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3913), 1,
      aux_sym__integer_token1,
    ACTIONS(3915), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3917), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3919), 1,
      sym__dollar_quoted_string,
    ACTIONS(4401), 1,
      sym_parameter,
    STATE(3154), 1,
      sym_identifier,
    STATE(4675), 1,
      sym_invocation,
    STATE(4740), 1,
      sym__single_quote_string,
    STATE(4781), 1,
      sym__qualified_field,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3893), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3891), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4749), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2407), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [71769] = 29,
    ACTIONS(1009), 1,
      sym__identifier,
    ACTIONS(1067), 1,
      aux_sym_identifier_token1,
    ACTIONS(4323), 1,
      sym_keyword_cast,
    ACTIONS(4325), 1,
      sym_keyword_case,
    ACTIONS(4329), 1,
      sym_keyword_exists,
    ACTIONS(4333), 1,
      sym_keyword_null,
    ACTIONS(4335), 1,
      sym_keyword_interval,
    ACTIONS(4337), 1,
      sym_keyword_array,
    ACTIONS(4339), 1,
      anon_sym_LPAREN,
    ACTIONS(4343), 1,
      anon_sym_PLUS,
    ACTIONS(4345), 1,
      anon_sym_DASH,
    ACTIONS(4347), 1,
      sym_op_unary_other,
    ACTIONS(4349), 1,
      sym__double_quote_string,
    ACTIONS(4351), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4353), 1,
      aux_sym__integer_token1,
    ACTIONS(4355), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4357), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4359), 1,
      sym__dollar_quoted_string,
    ACTIONS(4405), 1,
      sym_parameter,
    STATE(2729), 1,
      sym_identifier,
    STATE(3765), 1,
      sym_invocation,
    STATE(4042), 1,
      sym__qualified_field,
    STATE(4301), 1,
      sym__single_quote_string,
    STATE(12025), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4403), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4331), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4186), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2062), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [71882] = 7,
    ACTIONS(4407), 1,
      sym_keyword_with,
    ACTIONS(4409), 1,
      sym_keyword_without,
    ACTIONS(4411), 1,
      anon_sym_LPAREN,
    STATE(2242), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [71951] = 5,
    ACTIONS(4375), 1,
      sym_keyword_filter,
    STATE(1945), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [72016] = 28,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3967), 1,
      anon_sym_LPAREN,
    ACTIONS(3971), 1,
      sym_op_unary_other,
    ACTIONS(4413), 1,
      sym_parameter,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(4795), 1,
      sym_invocation,
    STATE(12159), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2794), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [72127] = 28,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3967), 1,
      anon_sym_LPAREN,
    ACTIONS(3971), 1,
      sym_op_unary_other,
    ACTIONS(4415), 1,
      sym_parameter,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(4795), 1,
      sym_invocation,
    STATE(12159), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2795), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [72238] = 28,
    ACTIONS(339), 1,
      sym__identifier,
    ACTIONS(397), 1,
      aux_sym_identifier_token1,
    ACTIONS(4019), 1,
      sym_keyword_cast,
    ACTIONS(4021), 1,
      sym_keyword_case,
    ACTIONS(4025), 1,
      sym_keyword_exists,
    ACTIONS(4031), 1,
      sym_keyword_interval,
    ACTIONS(4033), 1,
      sym_keyword_array,
    ACTIONS(4035), 1,
      anon_sym_LPAREN,
    ACTIONS(4039), 1,
      anon_sym_PLUS,
    ACTIONS(4041), 1,
      anon_sym_DASH,
    ACTIONS(4043), 1,
      sym_op_unary_other,
    ACTIONS(4045), 1,
      sym__double_quote_string,
    ACTIONS(4047), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4049), 1,
      aux_sym__integer_token1,
    ACTIONS(4051), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4053), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4055), 1,
      sym__dollar_quoted_string,
    ACTIONS(4417), 1,
      sym_parameter,
    STATE(2112), 1,
      sym__single_quote_string,
    STATE(2801), 1,
      sym_identifier,
    STATE(3557), 1,
      sym_invocation,
    STATE(4316), 1,
      sym__qualified_field,
    STATE(12191), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4029), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4027), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4146), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2465), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [72349] = 5,
    ACTIONS(4375), 1,
      sym_keyword_filter,
    STATE(1923), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2738), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2736), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [72414] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(4419), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5036), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [72525] = 29,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1205), 1,
      aux_sym_identifier_token1,
    ACTIONS(4075), 1,
      sym_keyword_cast,
    ACTIONS(4077), 1,
      sym_keyword_case,
    ACTIONS(4081), 1,
      sym_keyword_exists,
    ACTIONS(4085), 1,
      sym_keyword_null,
    ACTIONS(4087), 1,
      sym_keyword_interval,
    ACTIONS(4089), 1,
      sym_keyword_array,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    ACTIONS(4095), 1,
      anon_sym_PLUS,
    ACTIONS(4097), 1,
      anon_sym_DASH,
    ACTIONS(4099), 1,
      sym_op_unary_other,
    ACTIONS(4101), 1,
      sym__double_quote_string,
    ACTIONS(4103), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4105), 1,
      aux_sym__integer_token1,
    ACTIONS(4107), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4109), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4111), 1,
      sym__dollar_quoted_string,
    ACTIONS(4423), 1,
      sym_parameter,
    STATE(2885), 1,
      sym_identifier,
    STATE(4010), 1,
      sym_invocation,
    STATE(4482), 1,
      sym__single_quote_string,
    STATE(4670), 1,
      sym__qualified_field,
    STATE(11942), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4421), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4083), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4547), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2182), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [72638] = 29,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1205), 1,
      aux_sym_identifier_token1,
    ACTIONS(4075), 1,
      sym_keyword_cast,
    ACTIONS(4077), 1,
      sym_keyword_case,
    ACTIONS(4081), 1,
      sym_keyword_exists,
    ACTIONS(4085), 1,
      sym_keyword_null,
    ACTIONS(4087), 1,
      sym_keyword_interval,
    ACTIONS(4089), 1,
      sym_keyword_array,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    ACTIONS(4095), 1,
      anon_sym_PLUS,
    ACTIONS(4097), 1,
      anon_sym_DASH,
    ACTIONS(4099), 1,
      sym_op_unary_other,
    ACTIONS(4101), 1,
      sym__double_quote_string,
    ACTIONS(4103), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4105), 1,
      aux_sym__integer_token1,
    ACTIONS(4107), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4109), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4111), 1,
      sym__dollar_quoted_string,
    ACTIONS(4427), 1,
      sym_parameter,
    STATE(2885), 1,
      sym_identifier,
    STATE(4010), 1,
      sym_invocation,
    STATE(4482), 1,
      sym__single_quote_string,
    STATE(4670), 1,
      sym__qualified_field,
    STATE(11942), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4425), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4083), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4547), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2199), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [72751] = 28,
    ACTIONS(4269), 1,
      sym__identifier,
    ACTIONS(4271), 1,
      sym_keyword_cast,
    ACTIONS(4273), 1,
      sym_keyword_case,
    ACTIONS(4277), 1,
      sym_keyword_exists,
    ACTIONS(4283), 1,
      sym_keyword_interval,
    ACTIONS(4285), 1,
      sym_keyword_array,
    ACTIONS(4287), 1,
      anon_sym_LPAREN,
    ACTIONS(4291), 1,
      anon_sym_PLUS,
    ACTIONS(4293), 1,
      anon_sym_DASH,
    ACTIONS(4295), 1,
      sym_op_unary_other,
    ACTIONS(4297), 1,
      sym__double_quote_string,
    ACTIONS(4299), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4301), 1,
      aux_sym__integer_token1,
    ACTIONS(4303), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4305), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4307), 1,
      aux_sym_identifier_token1,
    ACTIONS(4309), 1,
      sym__dollar_quoted_string,
    ACTIONS(4429), 1,
      sym_parameter,
    STATE(4864), 1,
      sym_identifier,
    STATE(5172), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__single_quote_string,
    STATE(5652), 1,
      sym__qualified_field,
    STATE(11958), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4281), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4279), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5716), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3799), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [72862] = 7,
    ACTIONS(123), 1,
      anon_sym_LPAREN,
    ACTIONS(2853), 1,
      anon_sym_DOT,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    STATE(2621), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2851), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2849), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [72931] = 28,
    ACTIONS(653), 1,
      sym__identifier,
    ACTIONS(711), 1,
      aux_sym_identifier_token1,
    ACTIONS(4125), 1,
      sym_keyword_cast,
    ACTIONS(4127), 1,
      sym_keyword_case,
    ACTIONS(4131), 1,
      sym_keyword_exists,
    ACTIONS(4137), 1,
      sym_keyword_interval,
    ACTIONS(4139), 1,
      sym_keyword_array,
    ACTIONS(4141), 1,
      anon_sym_LPAREN,
    ACTIONS(4145), 1,
      anon_sym_PLUS,
    ACTIONS(4147), 1,
      anon_sym_DASH,
    ACTIONS(4149), 1,
      sym_op_unary_other,
    ACTIONS(4151), 1,
      sym__double_quote_string,
    ACTIONS(4153), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4155), 1,
      aux_sym__integer_token1,
    ACTIONS(4157), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4159), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4161), 1,
      sym__dollar_quoted_string,
    ACTIONS(4431), 1,
      sym_parameter,
    STATE(1023), 1,
      sym__single_quote_string,
    STATE(5232), 1,
      sym_identifier,
    STATE(6267), 1,
      sym_invocation,
    STATE(6459), 1,
      sym__qualified_field,
    STATE(12144), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4135), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4133), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6426), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4774), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [73042] = 28,
    ACTIONS(1009), 1,
      sym__identifier,
    ACTIONS(1067), 1,
      aux_sym_identifier_token1,
    ACTIONS(4323), 1,
      sym_keyword_cast,
    ACTIONS(4325), 1,
      sym_keyword_case,
    ACTIONS(4329), 1,
      sym_keyword_exists,
    ACTIONS(4335), 1,
      sym_keyword_interval,
    ACTIONS(4337), 1,
      sym_keyword_array,
    ACTIONS(4339), 1,
      anon_sym_LPAREN,
    ACTIONS(4343), 1,
      anon_sym_PLUS,
    ACTIONS(4345), 1,
      anon_sym_DASH,
    ACTIONS(4347), 1,
      sym_op_unary_other,
    ACTIONS(4349), 1,
      sym__double_quote_string,
    ACTIONS(4351), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4353), 1,
      aux_sym__integer_token1,
    ACTIONS(4355), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4357), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4359), 1,
      sym__dollar_quoted_string,
    ACTIONS(4433), 1,
      sym_parameter,
    STATE(2729), 1,
      sym_identifier,
    STATE(3765), 1,
      sym_invocation,
    STATE(4042), 1,
      sym__qualified_field,
    STATE(4301), 1,
      sym__single_quote_string,
    STATE(12025), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4333), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4331), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4186), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2061), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [73153] = 28,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3967), 1,
      anon_sym_LPAREN,
    ACTIONS(3971), 1,
      sym_op_unary_other,
    ACTIONS(4435), 1,
      sym_parameter,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(4795), 1,
      sym_invocation,
    STATE(12159), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4431), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [73264] = 28,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(4437), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4241), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(825), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [73375] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    ACTIONS(3939), 1,
      sym_op_unary_other,
    ACTIONS(4439), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5349), 1,
      sym_invocation,
    STATE(12005), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3933), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5426), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [73486] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4441), 1,
      anon_sym_LPAREN,
    ACTIONS(4443), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5417), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [73597] = 28,
    ACTIONS(1077), 1,
      sym__identifier,
    ACTIONS(1081), 1,
      aux_sym_identifier_token1,
    ACTIONS(3627), 1,
      sym_keyword_cast,
    ACTIONS(3635), 1,
      sym_keyword_array,
    ACTIONS(3641), 1,
      anon_sym_PLUS,
    ACTIONS(3643), 1,
      anon_sym_DASH,
    ACTIONS(3645), 1,
      sym_op_unary_other,
    ACTIONS(3647), 1,
      sym__double_quote_string,
    ACTIONS(3649), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3651), 1,
      aux_sym__integer_token1,
    ACTIONS(3653), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3655), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3657), 1,
      sym__dollar_quoted_string,
    ACTIONS(3799), 1,
      sym_keyword_case,
    ACTIONS(3801), 1,
      sym_keyword_exists,
    ACTIONS(3803), 1,
      sym_keyword_interval,
    ACTIONS(3805), 1,
      anon_sym_LPAREN,
    ACTIONS(4445), 1,
      sym_parameter,
    STATE(926), 1,
      sym_identifier,
    STATE(1988), 1,
      sym_invocation,
    STATE(2170), 1,
      sym__single_quote_string,
    STATE(2229), 1,
      sym__qualified_field,
    STATE(11950), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3633), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3629), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2111), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(971), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [73708] = 28,
    ACTIONS(1211), 1,
      sym__identifier,
    ACTIONS(1269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3883), 1,
      sym_keyword_cast,
    ACTIONS(3885), 1,
      sym_keyword_case,
    ACTIONS(3889), 1,
      sym_keyword_exists,
    ACTIONS(3895), 1,
      sym_keyword_interval,
    ACTIONS(3897), 1,
      sym_keyword_array,
    ACTIONS(3899), 1,
      anon_sym_LPAREN,
    ACTIONS(3903), 1,
      anon_sym_PLUS,
    ACTIONS(3905), 1,
      anon_sym_DASH,
    ACTIONS(3907), 1,
      sym_op_unary_other,
    ACTIONS(3909), 1,
      sym__double_quote_string,
    ACTIONS(3911), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3913), 1,
      aux_sym__integer_token1,
    ACTIONS(3915), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3917), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3919), 1,
      sym__dollar_quoted_string,
    ACTIONS(4447), 1,
      sym_parameter,
    STATE(3154), 1,
      sym_identifier,
    STATE(4675), 1,
      sym_invocation,
    STATE(4740), 1,
      sym__single_quote_string,
    STATE(4781), 1,
      sym__qualified_field,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3893), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3891), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4749), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2390), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [73819] = 28,
    ACTIONS(833), 1,
      sym__identifier,
    ACTIONS(891), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(4449), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(2999), 1,
      sym_identifier,
    STATE(4357), 1,
      sym_invocation,
    STATE(4511), 1,
      sym__qualified_field,
    STATE(11975), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4674), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2095), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [73930] = 28,
    ACTIONS(833), 1,
      sym__identifier,
    ACTIONS(891), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(4451), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(2999), 1,
      sym_identifier,
    STATE(4357), 1,
      sym_invocation,
    STATE(4511), 1,
      sym__qualified_field,
    STATE(11975), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4674), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2096), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [74041] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3116), 1,
      sym_op_unary_other,
    ACTIONS(4453), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(5353), 1,
      sym_invocation,
    STATE(12262), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3112), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4326), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [74152] = 28,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1205), 1,
      aux_sym_identifier_token1,
    ACTIONS(4075), 1,
      sym_keyword_cast,
    ACTIONS(4077), 1,
      sym_keyword_case,
    ACTIONS(4081), 1,
      sym_keyword_exists,
    ACTIONS(4087), 1,
      sym_keyword_interval,
    ACTIONS(4089), 1,
      sym_keyword_array,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    ACTIONS(4095), 1,
      anon_sym_PLUS,
    ACTIONS(4097), 1,
      anon_sym_DASH,
    ACTIONS(4099), 1,
      sym_op_unary_other,
    ACTIONS(4101), 1,
      sym__double_quote_string,
    ACTIONS(4103), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4105), 1,
      aux_sym__integer_token1,
    ACTIONS(4107), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4109), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4111), 1,
      sym__dollar_quoted_string,
    ACTIONS(4455), 1,
      sym_parameter,
    STATE(2885), 1,
      sym_identifier,
    STATE(4010), 1,
      sym_invocation,
    STATE(4482), 1,
      sym__single_quote_string,
    STATE(4670), 1,
      sym__qualified_field,
    STATE(11942), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4085), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4083), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4547), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2140), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [74263] = 29,
    ACTIONS(1009), 1,
      sym__identifier,
    ACTIONS(1067), 1,
      aux_sym_identifier_token1,
    ACTIONS(4323), 1,
      sym_keyword_cast,
    ACTIONS(4325), 1,
      sym_keyword_case,
    ACTIONS(4329), 1,
      sym_keyword_exists,
    ACTIONS(4333), 1,
      sym_keyword_null,
    ACTIONS(4335), 1,
      sym_keyword_interval,
    ACTIONS(4337), 1,
      sym_keyword_array,
    ACTIONS(4339), 1,
      anon_sym_LPAREN,
    ACTIONS(4343), 1,
      anon_sym_PLUS,
    ACTIONS(4345), 1,
      anon_sym_DASH,
    ACTIONS(4347), 1,
      sym_op_unary_other,
    ACTIONS(4349), 1,
      sym__double_quote_string,
    ACTIONS(4351), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4353), 1,
      aux_sym__integer_token1,
    ACTIONS(4355), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4357), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4359), 1,
      sym__dollar_quoted_string,
    ACTIONS(4459), 1,
      sym_parameter,
    STATE(2729), 1,
      sym_identifier,
    STATE(3765), 1,
      sym_invocation,
    STATE(4042), 1,
      sym__qualified_field,
    STATE(4301), 1,
      sym__single_quote_string,
    STATE(12025), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4457), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4331), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4186), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2065), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [74376] = 28,
    ACTIONS(1211), 1,
      sym__identifier,
    ACTIONS(1269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3883), 1,
      sym_keyword_cast,
    ACTIONS(3885), 1,
      sym_keyword_case,
    ACTIONS(3889), 1,
      sym_keyword_exists,
    ACTIONS(3895), 1,
      sym_keyword_interval,
    ACTIONS(3897), 1,
      sym_keyword_array,
    ACTIONS(3899), 1,
      anon_sym_LPAREN,
    ACTIONS(3901), 1,
      sym_parameter,
    ACTIONS(3903), 1,
      anon_sym_PLUS,
    ACTIONS(3905), 1,
      anon_sym_DASH,
    ACTIONS(3907), 1,
      sym_op_unary_other,
    ACTIONS(3909), 1,
      sym__double_quote_string,
    ACTIONS(3911), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3913), 1,
      aux_sym__integer_token1,
    ACTIONS(3915), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3917), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3919), 1,
      sym__dollar_quoted_string,
    STATE(3154), 1,
      sym_identifier,
    STATE(4675), 1,
      sym_invocation,
    STATE(4740), 1,
      sym__single_quote_string,
    STATE(4781), 1,
      sym__qualified_field,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3893), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3891), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4749), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2498), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [74487] = 29,
    ACTIONS(1009), 1,
      sym__identifier,
    ACTIONS(1067), 1,
      aux_sym_identifier_token1,
    ACTIONS(4323), 1,
      sym_keyword_cast,
    ACTIONS(4325), 1,
      sym_keyword_case,
    ACTIONS(4329), 1,
      sym_keyword_exists,
    ACTIONS(4333), 1,
      sym_keyword_null,
    ACTIONS(4335), 1,
      sym_keyword_interval,
    ACTIONS(4337), 1,
      sym_keyword_array,
    ACTIONS(4339), 1,
      anon_sym_LPAREN,
    ACTIONS(4343), 1,
      anon_sym_PLUS,
    ACTIONS(4345), 1,
      anon_sym_DASH,
    ACTIONS(4347), 1,
      sym_op_unary_other,
    ACTIONS(4349), 1,
      sym__double_quote_string,
    ACTIONS(4351), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4353), 1,
      aux_sym__integer_token1,
    ACTIONS(4355), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4357), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4359), 1,
      sym__dollar_quoted_string,
    ACTIONS(4463), 1,
      sym_parameter,
    STATE(2729), 1,
      sym_identifier,
    STATE(3765), 1,
      sym_invocation,
    STATE(4042), 1,
      sym__qualified_field,
    STATE(4301), 1,
      sym__single_quote_string,
    STATE(12025), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4461), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4331), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4186), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2064), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [74600] = 28,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(4465), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4241), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(808), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [74711] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4467), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5017), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [74822] = 29,
    ACTIONS(1009), 1,
      sym__identifier,
    ACTIONS(1067), 1,
      aux_sym_identifier_token1,
    ACTIONS(4323), 1,
      sym_keyword_cast,
    ACTIONS(4325), 1,
      sym_keyword_case,
    ACTIONS(4329), 1,
      sym_keyword_exists,
    ACTIONS(4333), 1,
      sym_keyword_null,
    ACTIONS(4335), 1,
      sym_keyword_interval,
    ACTIONS(4337), 1,
      sym_keyword_array,
    ACTIONS(4339), 1,
      anon_sym_LPAREN,
    ACTIONS(4343), 1,
      anon_sym_PLUS,
    ACTIONS(4345), 1,
      anon_sym_DASH,
    ACTIONS(4347), 1,
      sym_op_unary_other,
    ACTIONS(4349), 1,
      sym__double_quote_string,
    ACTIONS(4351), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4353), 1,
      aux_sym__integer_token1,
    ACTIONS(4355), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4357), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4359), 1,
      sym__dollar_quoted_string,
    ACTIONS(4471), 1,
      sym_parameter,
    STATE(2729), 1,
      sym_identifier,
    STATE(3765), 1,
      sym_invocation,
    STATE(4042), 1,
      sym__qualified_field,
    STATE(4301), 1,
      sym__single_quote_string,
    STATE(12025), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4469), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4331), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4186), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2046), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [74935] = 29,
    ACTIONS(1009), 1,
      sym__identifier,
    ACTIONS(1067), 1,
      aux_sym_identifier_token1,
    ACTIONS(4323), 1,
      sym_keyword_cast,
    ACTIONS(4325), 1,
      sym_keyword_case,
    ACTIONS(4329), 1,
      sym_keyword_exists,
    ACTIONS(4333), 1,
      sym_keyword_null,
    ACTIONS(4335), 1,
      sym_keyword_interval,
    ACTIONS(4337), 1,
      sym_keyword_array,
    ACTIONS(4339), 1,
      anon_sym_LPAREN,
    ACTIONS(4343), 1,
      anon_sym_PLUS,
    ACTIONS(4345), 1,
      anon_sym_DASH,
    ACTIONS(4347), 1,
      sym_op_unary_other,
    ACTIONS(4349), 1,
      sym__double_quote_string,
    ACTIONS(4351), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4353), 1,
      aux_sym__integer_token1,
    ACTIONS(4355), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4357), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4359), 1,
      sym__dollar_quoted_string,
    ACTIONS(4475), 1,
      sym_parameter,
    STATE(2729), 1,
      sym_identifier,
    STATE(3765), 1,
      sym_invocation,
    STATE(4042), 1,
      sym__qualified_field,
    STATE(4301), 1,
      sym__single_quote_string,
    STATE(12025), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4473), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4331), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4186), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2044), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [75048] = 28,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(4477), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4241), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(741), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [75159] = 28,
    ACTIONS(833), 1,
      sym__identifier,
    ACTIONS(891), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(4479), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(2999), 1,
      sym_identifier,
    STATE(4357), 1,
      sym_invocation,
    STATE(4511), 1,
      sym__qualified_field,
    STATE(11975), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4674), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2097), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [75270] = 29,
    ACTIONS(1009), 1,
      sym__identifier,
    ACTIONS(1067), 1,
      aux_sym_identifier_token1,
    ACTIONS(4323), 1,
      sym_keyword_cast,
    ACTIONS(4325), 1,
      sym_keyword_case,
    ACTIONS(4329), 1,
      sym_keyword_exists,
    ACTIONS(4333), 1,
      sym_keyword_null,
    ACTIONS(4335), 1,
      sym_keyword_interval,
    ACTIONS(4337), 1,
      sym_keyword_array,
    ACTIONS(4339), 1,
      anon_sym_LPAREN,
    ACTIONS(4343), 1,
      anon_sym_PLUS,
    ACTIONS(4345), 1,
      anon_sym_DASH,
    ACTIONS(4347), 1,
      sym_op_unary_other,
    ACTIONS(4349), 1,
      sym__double_quote_string,
    ACTIONS(4351), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4353), 1,
      aux_sym__integer_token1,
    ACTIONS(4355), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4357), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4359), 1,
      sym__dollar_quoted_string,
    ACTIONS(4483), 1,
      sym_parameter,
    STATE(2729), 1,
      sym_identifier,
    STATE(3765), 1,
      sym_invocation,
    STATE(4042), 1,
      sym__qualified_field,
    STATE(4301), 1,
      sym__single_quote_string,
    STATE(12025), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4481), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4331), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4186), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2007), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [75383] = 28,
    ACTIONS(1211), 1,
      sym__identifier,
    ACTIONS(1269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3883), 1,
      sym_keyword_cast,
    ACTIONS(3885), 1,
      sym_keyword_case,
    ACTIONS(3889), 1,
      sym_keyword_exists,
    ACTIONS(3895), 1,
      sym_keyword_interval,
    ACTIONS(3897), 1,
      sym_keyword_array,
    ACTIONS(3899), 1,
      anon_sym_LPAREN,
    ACTIONS(3903), 1,
      anon_sym_PLUS,
    ACTIONS(3905), 1,
      anon_sym_DASH,
    ACTIONS(3907), 1,
      sym_op_unary_other,
    ACTIONS(3909), 1,
      sym__double_quote_string,
    ACTIONS(3911), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3913), 1,
      aux_sym__integer_token1,
    ACTIONS(3915), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3917), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3919), 1,
      sym__dollar_quoted_string,
    ACTIONS(4485), 1,
      sym_parameter,
    STATE(3154), 1,
      sym_identifier,
    STATE(4675), 1,
      sym_invocation,
    STATE(4740), 1,
      sym__single_quote_string,
    STATE(4781), 1,
      sym__qualified_field,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3893), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3891), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4749), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2507), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [75494] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3116), 1,
      sym_op_unary_other,
    ACTIONS(4487), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(5353), 1,
      sym_invocation,
    STATE(12262), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3112), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4341), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [75605] = 29,
    ACTIONS(1009), 1,
      sym__identifier,
    ACTIONS(1067), 1,
      aux_sym_identifier_token1,
    ACTIONS(4323), 1,
      sym_keyword_cast,
    ACTIONS(4325), 1,
      sym_keyword_case,
    ACTIONS(4329), 1,
      sym_keyword_exists,
    ACTIONS(4333), 1,
      sym_keyword_null,
    ACTIONS(4335), 1,
      sym_keyword_interval,
    ACTIONS(4337), 1,
      sym_keyword_array,
    ACTIONS(4339), 1,
      anon_sym_LPAREN,
    ACTIONS(4343), 1,
      anon_sym_PLUS,
    ACTIONS(4345), 1,
      anon_sym_DASH,
    ACTIONS(4347), 1,
      sym_op_unary_other,
    ACTIONS(4349), 1,
      sym__double_quote_string,
    ACTIONS(4351), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4353), 1,
      aux_sym__integer_token1,
    ACTIONS(4355), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4357), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4359), 1,
      sym__dollar_quoted_string,
    ACTIONS(4491), 1,
      sym_parameter,
    STATE(2729), 1,
      sym_identifier,
    STATE(3765), 1,
      sym_invocation,
    STATE(4042), 1,
      sym__qualified_field,
    STATE(4301), 1,
      sym__single_quote_string,
    STATE(12025), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4489), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4331), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4186), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2005), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [75718] = 28,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1205), 1,
      aux_sym_identifier_token1,
    ACTIONS(4075), 1,
      sym_keyword_cast,
    ACTIONS(4077), 1,
      sym_keyword_case,
    ACTIONS(4081), 1,
      sym_keyword_exists,
    ACTIONS(4087), 1,
      sym_keyword_interval,
    ACTIONS(4089), 1,
      sym_keyword_array,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    ACTIONS(4095), 1,
      anon_sym_PLUS,
    ACTIONS(4097), 1,
      anon_sym_DASH,
    ACTIONS(4099), 1,
      sym_op_unary_other,
    ACTIONS(4101), 1,
      sym__double_quote_string,
    ACTIONS(4103), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4105), 1,
      aux_sym__integer_token1,
    ACTIONS(4107), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4109), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4111), 1,
      sym__dollar_quoted_string,
    ACTIONS(4493), 1,
      sym_parameter,
    STATE(2885), 1,
      sym_identifier,
    STATE(4010), 1,
      sym_invocation,
    STATE(4482), 1,
      sym__single_quote_string,
    STATE(4670), 1,
      sym__qualified_field,
    STATE(11942), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4085), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4083), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4547), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2139), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [75829] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4495), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6104), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [75940] = 28,
    ACTIONS(833), 1,
      sym__identifier,
    ACTIONS(891), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(4497), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(2999), 1,
      sym_identifier,
    STATE(4357), 1,
      sym_invocation,
    STATE(4511), 1,
      sym__qualified_field,
    STATE(11975), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4674), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2100), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [76051] = 28,
    ACTIONS(1077), 1,
      sym__identifier,
    ACTIONS(1081), 1,
      aux_sym_identifier_token1,
    ACTIONS(3627), 1,
      sym_keyword_cast,
    ACTIONS(3635), 1,
      sym_keyword_array,
    ACTIONS(3641), 1,
      anon_sym_PLUS,
    ACTIONS(3643), 1,
      anon_sym_DASH,
    ACTIONS(3645), 1,
      sym_op_unary_other,
    ACTIONS(3647), 1,
      sym__double_quote_string,
    ACTIONS(3649), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3651), 1,
      aux_sym__integer_token1,
    ACTIONS(3653), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3655), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3657), 1,
      sym__dollar_quoted_string,
    ACTIONS(3799), 1,
      sym_keyword_case,
    ACTIONS(3801), 1,
      sym_keyword_exists,
    ACTIONS(3803), 1,
      sym_keyword_interval,
    ACTIONS(3805), 1,
      anon_sym_LPAREN,
    ACTIONS(4499), 1,
      sym_parameter,
    STATE(926), 1,
      sym_identifier,
    STATE(1988), 1,
      sym_invocation,
    STATE(2170), 1,
      sym__single_quote_string,
    STATE(2229), 1,
      sym__qualified_field,
    STATE(11950), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3633), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3629), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2111), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(962), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [76162] = 28,
    ACTIONS(653), 1,
      sym__identifier,
    ACTIONS(711), 1,
      aux_sym_identifier_token1,
    ACTIONS(4125), 1,
      sym_keyword_cast,
    ACTIONS(4127), 1,
      sym_keyword_case,
    ACTIONS(4131), 1,
      sym_keyword_exists,
    ACTIONS(4137), 1,
      sym_keyword_interval,
    ACTIONS(4139), 1,
      sym_keyword_array,
    ACTIONS(4141), 1,
      anon_sym_LPAREN,
    ACTIONS(4145), 1,
      anon_sym_PLUS,
    ACTIONS(4147), 1,
      anon_sym_DASH,
    ACTIONS(4149), 1,
      sym_op_unary_other,
    ACTIONS(4151), 1,
      sym__double_quote_string,
    ACTIONS(4153), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4155), 1,
      aux_sym__integer_token1,
    ACTIONS(4157), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4159), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4161), 1,
      sym__dollar_quoted_string,
    ACTIONS(4501), 1,
      sym_parameter,
    STATE(1023), 1,
      sym__single_quote_string,
    STATE(5232), 1,
      sym_identifier,
    STATE(6267), 1,
      sym_invocation,
    STATE(6459), 1,
      sym__qualified_field,
    STATE(12144), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4135), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4133), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6426), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4712), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [76273] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4503), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6105), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [76384] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4505), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5896), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [76495] = 28,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(4507), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4241), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(859), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [76606] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4509), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4928), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [76717] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4511), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5193), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [76828] = 28,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3967), 1,
      anon_sym_LPAREN,
    ACTIONS(3971), 1,
      sym_op_unary_other,
    ACTIONS(4513), 1,
      sym_parameter,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(4795), 1,
      sym_invocation,
    STATE(12159), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3063), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [76939] = 18,
    ACTIONS(2573), 1,
      anon_sym_COLON,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4519), 1,
      sym_keyword_not,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [77030] = 28,
    ACTIONS(1211), 1,
      sym__identifier,
    ACTIONS(1269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3883), 1,
      sym_keyword_cast,
    ACTIONS(3885), 1,
      sym_keyword_case,
    ACTIONS(3889), 1,
      sym_keyword_exists,
    ACTIONS(3895), 1,
      sym_keyword_interval,
    ACTIONS(3897), 1,
      sym_keyword_array,
    ACTIONS(3899), 1,
      anon_sym_LPAREN,
    ACTIONS(3903), 1,
      anon_sym_PLUS,
    ACTIONS(3905), 1,
      anon_sym_DASH,
    ACTIONS(3907), 1,
      sym_op_unary_other,
    ACTIONS(3909), 1,
      sym__double_quote_string,
    ACTIONS(3911), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3913), 1,
      aux_sym__integer_token1,
    ACTIONS(3915), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3917), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3919), 1,
      sym__dollar_quoted_string,
    ACTIONS(4540), 1,
      sym_parameter,
    STATE(3154), 1,
      sym_identifier,
    STATE(4675), 1,
      sym_invocation,
    STATE(4740), 1,
      sym__single_quote_string,
    STATE(4781), 1,
      sym__qualified_field,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3893), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3891), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4749), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2510), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [77141] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(4542), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4886), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [77252] = 28,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(4544), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4241), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(824), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [77363] = 29,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4241), 1,
      sym_keyword_null,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(4548), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4546), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(804), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [77476] = 28,
    ACTIONS(833), 1,
      sym__identifier,
    ACTIONS(891), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(4550), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(2999), 1,
      sym_identifier,
    STATE(4357), 1,
      sym_invocation,
    STATE(4511), 1,
      sym__qualified_field,
    STATE(11975), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4674), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2184), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [77587] = 28,
    ACTIONS(1211), 1,
      sym__identifier,
    ACTIONS(1269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3883), 1,
      sym_keyword_cast,
    ACTIONS(3885), 1,
      sym_keyword_case,
    ACTIONS(3889), 1,
      sym_keyword_exists,
    ACTIONS(3895), 1,
      sym_keyword_interval,
    ACTIONS(3897), 1,
      sym_keyword_array,
    ACTIONS(3899), 1,
      anon_sym_LPAREN,
    ACTIONS(3903), 1,
      anon_sym_PLUS,
    ACTIONS(3905), 1,
      anon_sym_DASH,
    ACTIONS(3907), 1,
      sym_op_unary_other,
    ACTIONS(3909), 1,
      sym__double_quote_string,
    ACTIONS(3911), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3913), 1,
      aux_sym__integer_token1,
    ACTIONS(3915), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3917), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3919), 1,
      sym__dollar_quoted_string,
    ACTIONS(4552), 1,
      sym_parameter,
    STATE(3154), 1,
      sym_identifier,
    STATE(4675), 1,
      sym_invocation,
    STATE(4740), 1,
      sym__single_quote_string,
    STATE(4781), 1,
      sym__qualified_field,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3893), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3891), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4749), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2417), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [77698] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(4554), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4704), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [77809] = 8,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [77880] = 11,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2573), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [77957] = 5,
    ACTIONS(4375), 1,
      sym_keyword_filter,
    STATE(1986), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2728), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [78022] = 29,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4241), 1,
      sym_keyword_null,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(4558), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4556), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(798), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [78135] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4560), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4478), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [78246] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(4562), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4069), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [78357] = 28,
    ACTIONS(1275), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(2856), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3513), 1,
      sym_keyword_cast,
    ACTIONS(3521), 1,
      sym_keyword_array,
    ACTIONS(3527), 1,
      anon_sym_PLUS,
    ACTIONS(3529), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      sym_op_unary_other,
    ACTIONS(3533), 1,
      sym__double_quote_string,
    ACTIONS(3535), 1,
      aux_sym__integer_token1,
    ACTIONS(3537), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3539), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3541), 1,
      sym__dollar_quoted_string,
    ACTIONS(3701), 1,
      sym_keyword_case,
    ACTIONS(3703), 1,
      sym_keyword_exists,
    ACTIONS(3705), 1,
      sym_keyword_interval,
    ACTIONS(3707), 1,
      anon_sym_LPAREN,
    ACTIONS(4564), 1,
      sym_parameter,
    STATE(426), 1,
      sym_identifier,
    STATE(806), 1,
      sym_invocation,
    STATE(894), 1,
      sym__single_quote_string,
    STATE(925), 1,
      sym__qualified_field,
    STATE(12101), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3519), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3515), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(893), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(347), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [78468] = 28,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(1291), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(4566), 1,
      sym_parameter,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(2964), 1,
      sym_identifier,
    STATE(4197), 1,
      sym_invocation,
    STATE(4481), 1,
      sym__qualified_field,
    STATE(11994), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4309), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2357), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [78579] = 28,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(1291), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(4568), 1,
      sym_parameter,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(2964), 1,
      sym_identifier,
    STATE(4197), 1,
      sym_invocation,
    STATE(4481), 1,
      sym__qualified_field,
    STATE(11994), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4309), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2113), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [78690] = 13,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2573), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [78771] = 28,
    ACTIONS(339), 1,
      sym__identifier,
    ACTIONS(397), 1,
      aux_sym_identifier_token1,
    ACTIONS(4019), 1,
      sym_keyword_cast,
    ACTIONS(4021), 1,
      sym_keyword_case,
    ACTIONS(4025), 1,
      sym_keyword_exists,
    ACTIONS(4031), 1,
      sym_keyword_interval,
    ACTIONS(4033), 1,
      sym_keyword_array,
    ACTIONS(4035), 1,
      anon_sym_LPAREN,
    ACTIONS(4039), 1,
      anon_sym_PLUS,
    ACTIONS(4041), 1,
      anon_sym_DASH,
    ACTIONS(4043), 1,
      sym_op_unary_other,
    ACTIONS(4045), 1,
      sym__double_quote_string,
    ACTIONS(4047), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4049), 1,
      aux_sym__integer_token1,
    ACTIONS(4051), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4053), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4055), 1,
      sym__dollar_quoted_string,
    ACTIONS(4570), 1,
      sym_parameter,
    STATE(2112), 1,
      sym__single_quote_string,
    STATE(2801), 1,
      sym_identifier,
    STATE(3557), 1,
      sym_invocation,
    STATE(4316), 1,
      sym__qualified_field,
    STATE(12191), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4029), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4027), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4146), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2629), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [78882] = 28,
    ACTIONS(1009), 1,
      sym__identifier,
    ACTIONS(1067), 1,
      aux_sym_identifier_token1,
    ACTIONS(4323), 1,
      sym_keyword_cast,
    ACTIONS(4325), 1,
      sym_keyword_case,
    ACTIONS(4329), 1,
      sym_keyword_exists,
    ACTIONS(4335), 1,
      sym_keyword_interval,
    ACTIONS(4337), 1,
      sym_keyword_array,
    ACTIONS(4339), 1,
      anon_sym_LPAREN,
    ACTIONS(4343), 1,
      anon_sym_PLUS,
    ACTIONS(4345), 1,
      anon_sym_DASH,
    ACTIONS(4347), 1,
      sym_op_unary_other,
    ACTIONS(4349), 1,
      sym__double_quote_string,
    ACTIONS(4351), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4353), 1,
      aux_sym__integer_token1,
    ACTIONS(4355), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4357), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4359), 1,
      sym__dollar_quoted_string,
    ACTIONS(4572), 1,
      sym_parameter,
    STATE(2729), 1,
      sym_identifier,
    STATE(3765), 1,
      sym_invocation,
    STATE(4042), 1,
      sym__qualified_field,
    STATE(4301), 1,
      sym__single_quote_string,
    STATE(12025), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4333), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4331), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4186), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2035), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [78993] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4574), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5782), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [79104] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    ACTIONS(3939), 1,
      sym_op_unary_other,
    ACTIONS(4576), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5349), 1,
      sym_invocation,
    STATE(12005), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3933), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5784), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [79215] = 29,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1205), 1,
      aux_sym_identifier_token1,
    ACTIONS(4075), 1,
      sym_keyword_cast,
    ACTIONS(4077), 1,
      sym_keyword_case,
    ACTIONS(4081), 1,
      sym_keyword_exists,
    ACTIONS(4085), 1,
      sym_keyword_null,
    ACTIONS(4087), 1,
      sym_keyword_interval,
    ACTIONS(4089), 1,
      sym_keyword_array,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    ACTIONS(4095), 1,
      anon_sym_PLUS,
    ACTIONS(4097), 1,
      anon_sym_DASH,
    ACTIONS(4099), 1,
      sym_op_unary_other,
    ACTIONS(4101), 1,
      sym__double_quote_string,
    ACTIONS(4103), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4105), 1,
      aux_sym__integer_token1,
    ACTIONS(4107), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4109), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4111), 1,
      sym__dollar_quoted_string,
    ACTIONS(4580), 1,
      sym_parameter,
    STATE(2885), 1,
      sym_identifier,
    STATE(4010), 1,
      sym_invocation,
    STATE(4482), 1,
      sym__single_quote_string,
    STATE(4670), 1,
      sym__qualified_field,
    STATE(11942), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4578), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4083), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4547), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2202), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [79328] = 28,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1205), 1,
      aux_sym_identifier_token1,
    ACTIONS(4075), 1,
      sym_keyword_cast,
    ACTIONS(4077), 1,
      sym_keyword_case,
    ACTIONS(4081), 1,
      sym_keyword_exists,
    ACTIONS(4087), 1,
      sym_keyword_interval,
    ACTIONS(4089), 1,
      sym_keyword_array,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    ACTIONS(4095), 1,
      anon_sym_PLUS,
    ACTIONS(4097), 1,
      anon_sym_DASH,
    ACTIONS(4099), 1,
      sym_op_unary_other,
    ACTIONS(4101), 1,
      sym__double_quote_string,
    ACTIONS(4103), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4105), 1,
      aux_sym__integer_token1,
    ACTIONS(4107), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4109), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4111), 1,
      sym__dollar_quoted_string,
    ACTIONS(4582), 1,
      sym_parameter,
    STATE(2885), 1,
      sym_identifier,
    STATE(4010), 1,
      sym_invocation,
    STATE(4482), 1,
      sym__single_quote_string,
    STATE(4670), 1,
      sym__qualified_field,
    STATE(11942), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4085), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4083), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4547), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2326), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [79439] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4584), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1244), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [79550] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4586), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5002), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [79661] = 20,
    ACTIONS(2477), 1,
      anon_sym_COLON,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2475), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [79756] = 28,
    ACTIONS(833), 1,
      sym__identifier,
    ACTIONS(891), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(4590), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(2999), 1,
      sym_identifier,
    STATE(4357), 1,
      sym_invocation,
    STATE(4511), 1,
      sym__qualified_field,
    STATE(11975), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4674), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2118), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [79867] = 28,
    ACTIONS(833), 1,
      sym__identifier,
    ACTIONS(891), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(4592), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(2999), 1,
      sym_identifier,
    STATE(4357), 1,
      sym_invocation,
    STATE(4511), 1,
      sym__qualified_field,
    STATE(11975), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4674), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2121), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [79978] = 28,
    ACTIONS(833), 1,
      sym__identifier,
    ACTIONS(891), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(4594), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(2999), 1,
      sym_identifier,
    STATE(4357), 1,
      sym_invocation,
    STATE(4511), 1,
      sym__qualified_field,
    STATE(11975), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4674), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2125), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [80089] = 28,
    ACTIONS(1009), 1,
      sym__identifier,
    ACTIONS(1067), 1,
      aux_sym_identifier_token1,
    ACTIONS(4323), 1,
      sym_keyword_cast,
    ACTIONS(4325), 1,
      sym_keyword_case,
    ACTIONS(4329), 1,
      sym_keyword_exists,
    ACTIONS(4335), 1,
      sym_keyword_interval,
    ACTIONS(4337), 1,
      sym_keyword_array,
    ACTIONS(4339), 1,
      anon_sym_LPAREN,
    ACTIONS(4343), 1,
      anon_sym_PLUS,
    ACTIONS(4345), 1,
      anon_sym_DASH,
    ACTIONS(4347), 1,
      sym_op_unary_other,
    ACTIONS(4349), 1,
      sym__double_quote_string,
    ACTIONS(4351), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4353), 1,
      aux_sym__integer_token1,
    ACTIONS(4355), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4357), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4359), 1,
      sym__dollar_quoted_string,
    ACTIONS(4596), 1,
      sym_parameter,
    STATE(2729), 1,
      sym_identifier,
    STATE(3765), 1,
      sym_invocation,
    STATE(4042), 1,
      sym__qualified_field,
    STATE(4301), 1,
      sym__single_quote_string,
    STATE(12025), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4333), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4331), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4186), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2067), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [80200] = 28,
    ACTIONS(833), 1,
      sym__identifier,
    ACTIONS(891), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3735), 1,
      sym_parameter,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(2999), 1,
      sym_identifier,
    STATE(4357), 1,
      sym_invocation,
    STATE(4511), 1,
      sym__qualified_field,
    STATE(11975), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4674), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2119), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [80311] = 28,
    ACTIONS(833), 1,
      sym__identifier,
    ACTIONS(891), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(4598), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(2999), 1,
      sym_identifier,
    STATE(4357), 1,
      sym_invocation,
    STATE(4511), 1,
      sym__qualified_field,
    STATE(11975), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4674), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2150), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [80422] = 28,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3023), 1,
      sym_op_unary_other,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(4600), 1,
      sym_parameter,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2840), 1,
      sym_identifier,
    STATE(3449), 1,
      sym_invocation,
    STATE(4290), 1,
      sym__qualified_field,
    STATE(11699), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2047), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [80533] = 28,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3023), 1,
      sym_op_unary_other,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(4602), 1,
      sym_parameter,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2840), 1,
      sym_identifier,
    STATE(3449), 1,
      sym_invocation,
    STATE(4290), 1,
      sym__qualified_field,
    STATE(11699), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2025), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [80644] = 28,
    ACTIONS(833), 1,
      sym__identifier,
    ACTIONS(891), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(4604), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(2999), 1,
      sym_identifier,
    STATE(4357), 1,
      sym_invocation,
    STATE(4511), 1,
      sym__qualified_field,
    STATE(11975), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4674), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2152), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [80755] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4606), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6199), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [80866] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4608), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5532), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [80977] = 28,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3023), 1,
      sym_op_unary_other,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(4610), 1,
      sym_parameter,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2840), 1,
      sym_identifier,
    STATE(3449), 1,
      sym_invocation,
    STATE(4290), 1,
      sym__qualified_field,
    STATE(11699), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1948), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [81088] = 28,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3023), 1,
      sym_op_unary_other,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(4612), 1,
      sym_parameter,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2840), 1,
      sym_identifier,
    STATE(3449), 1,
      sym_invocation,
    STATE(4290), 1,
      sym__qualified_field,
    STATE(11699), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1980), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [81199] = 28,
    ACTIONS(1009), 1,
      sym__identifier,
    ACTIONS(1067), 1,
      aux_sym_identifier_token1,
    ACTIONS(4323), 1,
      sym_keyword_cast,
    ACTIONS(4325), 1,
      sym_keyword_case,
    ACTIONS(4329), 1,
      sym_keyword_exists,
    ACTIONS(4335), 1,
      sym_keyword_interval,
    ACTIONS(4337), 1,
      sym_keyword_array,
    ACTIONS(4339), 1,
      anon_sym_LPAREN,
    ACTIONS(4343), 1,
      anon_sym_PLUS,
    ACTIONS(4345), 1,
      anon_sym_DASH,
    ACTIONS(4347), 1,
      sym_op_unary_other,
    ACTIONS(4349), 1,
      sym__double_quote_string,
    ACTIONS(4351), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4353), 1,
      aux_sym__integer_token1,
    ACTIONS(4355), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4357), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4359), 1,
      sym__dollar_quoted_string,
    ACTIONS(4614), 1,
      sym_parameter,
    STATE(2729), 1,
      sym_identifier,
    STATE(3765), 1,
      sym_invocation,
    STATE(4042), 1,
      sym__qualified_field,
    STATE(4301), 1,
      sym__single_quote_string,
    STATE(12025), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4333), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4331), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4186), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2087), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [81310] = 28,
    ACTIONS(1009), 1,
      sym__identifier,
    ACTIONS(1067), 1,
      aux_sym_identifier_token1,
    ACTIONS(4323), 1,
      sym_keyword_cast,
    ACTIONS(4325), 1,
      sym_keyword_case,
    ACTIONS(4329), 1,
      sym_keyword_exists,
    ACTIONS(4335), 1,
      sym_keyword_interval,
    ACTIONS(4337), 1,
      sym_keyword_array,
    ACTIONS(4339), 1,
      anon_sym_LPAREN,
    ACTIONS(4343), 1,
      anon_sym_PLUS,
    ACTIONS(4345), 1,
      anon_sym_DASH,
    ACTIONS(4347), 1,
      sym_op_unary_other,
    ACTIONS(4349), 1,
      sym__double_quote_string,
    ACTIONS(4351), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4353), 1,
      aux_sym__integer_token1,
    ACTIONS(4355), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4357), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4359), 1,
      sym__dollar_quoted_string,
    ACTIONS(4616), 1,
      sym_parameter,
    STATE(2729), 1,
      sym_identifier,
    STATE(3765), 1,
      sym_invocation,
    STATE(4042), 1,
      sym__qualified_field,
    STATE(4301), 1,
      sym__single_quote_string,
    STATE(12025), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4333), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4331), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4186), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2021), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [81421] = 29,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4241), 1,
      sym_keyword_null,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(4618), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4546), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(976), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [81534] = 28,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3023), 1,
      sym_op_unary_other,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(4620), 1,
      sym_parameter,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2840), 1,
      sym_identifier,
    STATE(3449), 1,
      sym_invocation,
    STATE(4290), 1,
      sym__qualified_field,
    STATE(11699), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2030), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [81645] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(4622), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5785), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [81756] = 28,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(4624), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4241), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(567), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [81867] = 28,
    ACTIONS(1009), 1,
      sym__identifier,
    ACTIONS(1067), 1,
      aux_sym_identifier_token1,
    ACTIONS(4323), 1,
      sym_keyword_cast,
    ACTIONS(4325), 1,
      sym_keyword_case,
    ACTIONS(4329), 1,
      sym_keyword_exists,
    ACTIONS(4335), 1,
      sym_keyword_interval,
    ACTIONS(4337), 1,
      sym_keyword_array,
    ACTIONS(4339), 1,
      anon_sym_LPAREN,
    ACTIONS(4343), 1,
      anon_sym_PLUS,
    ACTIONS(4345), 1,
      anon_sym_DASH,
    ACTIONS(4347), 1,
      sym_op_unary_other,
    ACTIONS(4349), 1,
      sym__double_quote_string,
    ACTIONS(4351), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4353), 1,
      aux_sym__integer_token1,
    ACTIONS(4355), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4357), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4359), 1,
      sym__dollar_quoted_string,
    ACTIONS(4626), 1,
      sym_parameter,
    STATE(2729), 1,
      sym_identifier,
    STATE(3765), 1,
      sym_invocation,
    STATE(4042), 1,
      sym__qualified_field,
    STATE(4301), 1,
      sym__single_quote_string,
    STATE(12025), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4333), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4331), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4186), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2024), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [81978] = 5,
    ACTIONS(4375), 1,
      sym_keyword_filter,
    STATE(1926), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2690), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2688), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [82043] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4628), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6180), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [82154] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4630), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6237), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [82265] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4632), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6320), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [82376] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4634), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6305), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [82487] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4636), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6292), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [82598] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4638), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6262), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [82709] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4640), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6216), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [82820] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4642), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6189), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [82931] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4644), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6293), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [83042] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4646), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6298), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [83153] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4648), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6051), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [83264] = 28,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3023), 1,
      sym_op_unary_other,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(4650), 1,
      sym_parameter,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2840), 1,
      sym_identifier,
    STATE(3449), 1,
      sym_invocation,
    STATE(4290), 1,
      sym__qualified_field,
    STATE(11699), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2033), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [83375] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4652), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5999), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [83486] = 28,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3023), 1,
      sym_op_unary_other,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(4654), 1,
      sym_parameter,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2840), 1,
      sym_identifier,
    STATE(3449), 1,
      sym_invocation,
    STATE(4290), 1,
      sym__qualified_field,
    STATE(11699), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2053), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [83597] = 28,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3023), 1,
      sym_op_unary_other,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(4656), 1,
      sym_parameter,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2840), 1,
      sym_identifier,
    STATE(3449), 1,
      sym_invocation,
    STATE(4290), 1,
      sym__qualified_field,
    STATE(11699), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2039), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [83708] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4658), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5950), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [83819] = 28,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3023), 1,
      sym_op_unary_other,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(3769), 1,
      sym_parameter,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2840), 1,
      sym_identifier,
    STATE(3449), 1,
      sym_invocation,
    STATE(4290), 1,
      sym__qualified_field,
    STATE(11699), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1987), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [83930] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4660), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5033), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [84041] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4662), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5948), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [84152] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4664), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5035), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [84263] = 29,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1205), 1,
      aux_sym_identifier_token1,
    ACTIONS(4075), 1,
      sym_keyword_cast,
    ACTIONS(4077), 1,
      sym_keyword_case,
    ACTIONS(4081), 1,
      sym_keyword_exists,
    ACTIONS(4085), 1,
      sym_keyword_null,
    ACTIONS(4087), 1,
      sym_keyword_interval,
    ACTIONS(4089), 1,
      sym_keyword_array,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    ACTIONS(4095), 1,
      anon_sym_PLUS,
    ACTIONS(4097), 1,
      anon_sym_DASH,
    ACTIONS(4099), 1,
      sym_op_unary_other,
    ACTIONS(4101), 1,
      sym__double_quote_string,
    ACTIONS(4103), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4105), 1,
      aux_sym__integer_token1,
    ACTIONS(4107), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4109), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4111), 1,
      sym__dollar_quoted_string,
    ACTIONS(4668), 1,
      sym_parameter,
    STATE(2885), 1,
      sym_identifier,
    STATE(4010), 1,
      sym_invocation,
    STATE(4482), 1,
      sym__single_quote_string,
    STATE(4670), 1,
      sym__qualified_field,
    STATE(11942), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4666), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4083), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4547), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2204), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [84376] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(4670), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4929), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [84487] = 28,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1205), 1,
      aux_sym_identifier_token1,
    ACTIONS(4075), 1,
      sym_keyword_cast,
    ACTIONS(4077), 1,
      sym_keyword_case,
    ACTIONS(4081), 1,
      sym_keyword_exists,
    ACTIONS(4087), 1,
      sym_keyword_interval,
    ACTIONS(4089), 1,
      sym_keyword_array,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    ACTIONS(4095), 1,
      anon_sym_PLUS,
    ACTIONS(4097), 1,
      anon_sym_DASH,
    ACTIONS(4099), 1,
      sym_op_unary_other,
    ACTIONS(4101), 1,
      sym__double_quote_string,
    ACTIONS(4103), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4105), 1,
      aux_sym__integer_token1,
    ACTIONS(4107), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4109), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4111), 1,
      sym__dollar_quoted_string,
    ACTIONS(4672), 1,
      sym_parameter,
    STATE(2885), 1,
      sym_identifier,
    STATE(4010), 1,
      sym_invocation,
    STATE(4482), 1,
      sym__single_quote_string,
    STATE(4670), 1,
      sym__qualified_field,
    STATE(11942), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4085), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4083), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4547), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2136), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [84598] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4674), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6357), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [84709] = 28,
    ACTIONS(4269), 1,
      sym__identifier,
    ACTIONS(4271), 1,
      sym_keyword_cast,
    ACTIONS(4273), 1,
      sym_keyword_case,
    ACTIONS(4277), 1,
      sym_keyword_exists,
    ACTIONS(4283), 1,
      sym_keyword_interval,
    ACTIONS(4285), 1,
      sym_keyword_array,
    ACTIONS(4287), 1,
      anon_sym_LPAREN,
    ACTIONS(4289), 1,
      sym_parameter,
    ACTIONS(4291), 1,
      anon_sym_PLUS,
    ACTIONS(4293), 1,
      anon_sym_DASH,
    ACTIONS(4295), 1,
      sym_op_unary_other,
    ACTIONS(4297), 1,
      sym__double_quote_string,
    ACTIONS(4299), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4301), 1,
      aux_sym__integer_token1,
    ACTIONS(4303), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4305), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4307), 1,
      aux_sym_identifier_token1,
    ACTIONS(4309), 1,
      sym__dollar_quoted_string,
    STATE(4864), 1,
      sym_identifier,
    STATE(5172), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__single_quote_string,
    STATE(5652), 1,
      sym__qualified_field,
    STATE(11958), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4281), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4279), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5716), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3492), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [84820] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4676), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5667), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [84931] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4678), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6374), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [85042] = 5,
    ACTIONS(4375), 1,
      sym_keyword_filter,
    STATE(2051), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2720), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [85107] = 28,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1205), 1,
      aux_sym_identifier_token1,
    ACTIONS(4075), 1,
      sym_keyword_cast,
    ACTIONS(4077), 1,
      sym_keyword_case,
    ACTIONS(4081), 1,
      sym_keyword_exists,
    ACTIONS(4087), 1,
      sym_keyword_interval,
    ACTIONS(4089), 1,
      sym_keyword_array,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    ACTIONS(4095), 1,
      anon_sym_PLUS,
    ACTIONS(4097), 1,
      anon_sym_DASH,
    ACTIONS(4099), 1,
      sym_op_unary_other,
    ACTIONS(4101), 1,
      sym__double_quote_string,
    ACTIONS(4103), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4105), 1,
      aux_sym__integer_token1,
    ACTIONS(4107), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4109), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4111), 1,
      sym__dollar_quoted_string,
    ACTIONS(4680), 1,
      sym_parameter,
    STATE(2885), 1,
      sym_identifier,
    STATE(4010), 1,
      sym_invocation,
    STATE(4482), 1,
      sym__single_quote_string,
    STATE(4670), 1,
      sym__qualified_field,
    STATE(11942), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4085), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4083), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4547), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2144), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [85218] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4682), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5910), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [85329] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4684), 1,
      anon_sym_LPAREN,
    ACTIONS(4686), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5361), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [85440] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4688), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5909), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [85551] = 28,
    ACTIONS(1211), 1,
      sym__identifier,
    ACTIONS(1269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3883), 1,
      sym_keyword_cast,
    ACTIONS(3885), 1,
      sym_keyword_case,
    ACTIONS(3889), 1,
      sym_keyword_exists,
    ACTIONS(3895), 1,
      sym_keyword_interval,
    ACTIONS(3897), 1,
      sym_keyword_array,
    ACTIONS(3899), 1,
      anon_sym_LPAREN,
    ACTIONS(3903), 1,
      anon_sym_PLUS,
    ACTIONS(3905), 1,
      anon_sym_DASH,
    ACTIONS(3907), 1,
      sym_op_unary_other,
    ACTIONS(3909), 1,
      sym__double_quote_string,
    ACTIONS(3911), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3913), 1,
      aux_sym__integer_token1,
    ACTIONS(3915), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3917), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3919), 1,
      sym__dollar_quoted_string,
    ACTIONS(4690), 1,
      sym_parameter,
    STATE(3154), 1,
      sym_identifier,
    STATE(4675), 1,
      sym_invocation,
    STATE(4740), 1,
      sym__single_quote_string,
    STATE(4781), 1,
      sym__qualified_field,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3893), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3891), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4749), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2414), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [85662] = 28,
    ACTIONS(1275), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(2856), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3513), 1,
      sym_keyword_cast,
    ACTIONS(3521), 1,
      sym_keyword_array,
    ACTIONS(3527), 1,
      anon_sym_PLUS,
    ACTIONS(3529), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      sym_op_unary_other,
    ACTIONS(3533), 1,
      sym__double_quote_string,
    ACTIONS(3535), 1,
      aux_sym__integer_token1,
    ACTIONS(3537), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3539), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3541), 1,
      sym__dollar_quoted_string,
    ACTIONS(3701), 1,
      sym_keyword_case,
    ACTIONS(3703), 1,
      sym_keyword_exists,
    ACTIONS(3705), 1,
      sym_keyword_interval,
    ACTIONS(3707), 1,
      anon_sym_LPAREN,
    ACTIONS(4692), 1,
      sym_parameter,
    STATE(426), 1,
      sym_identifier,
    STATE(806), 1,
      sym_invocation,
    STATE(894), 1,
      sym__single_quote_string,
    STATE(925), 1,
      sym__qualified_field,
    STATE(12101), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3519), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3515), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(893), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(921), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [85773] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4694), 1,
      anon_sym_LPAREN,
    ACTIONS(4696), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5799), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [85884] = 6,
    ACTIONS(4698), 1,
      sym_keyword_unsigned,
    ACTIONS(4700), 1,
      sym_keyword_zerofill,
    ACTIONS(4702), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [85951] = 5,
    ACTIONS(4375), 1,
      sym_keyword_filter,
    STATE(1959), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2672), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2670), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [86016] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    ACTIONS(3939), 1,
      sym_op_unary_other,
    ACTIONS(4704), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5349), 1,
      sym_invocation,
    STATE(12005), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3933), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4885), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [86127] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4706), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4791), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [86238] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4708), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6220), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [86349] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4710), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5572), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [86460] = 28,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3967), 1,
      anon_sym_LPAREN,
    ACTIONS(3971), 1,
      sym_op_unary_other,
    ACTIONS(4712), 1,
      sym_parameter,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(4795), 1,
      sym_invocation,
    STATE(12159), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2819), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [86571] = 28,
    ACTIONS(1009), 1,
      sym__identifier,
    ACTIONS(1067), 1,
      aux_sym_identifier_token1,
    ACTIONS(4323), 1,
      sym_keyword_cast,
    ACTIONS(4325), 1,
      sym_keyword_case,
    ACTIONS(4329), 1,
      sym_keyword_exists,
    ACTIONS(4335), 1,
      sym_keyword_interval,
    ACTIONS(4337), 1,
      sym_keyword_array,
    ACTIONS(4339), 1,
      anon_sym_LPAREN,
    ACTIONS(4343), 1,
      anon_sym_PLUS,
    ACTIONS(4345), 1,
      anon_sym_DASH,
    ACTIONS(4347), 1,
      sym_op_unary_other,
    ACTIONS(4349), 1,
      sym__double_quote_string,
    ACTIONS(4351), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4353), 1,
      aux_sym__integer_token1,
    ACTIONS(4355), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4357), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4359), 1,
      sym__dollar_quoted_string,
    ACTIONS(4714), 1,
      sym_parameter,
    STATE(2729), 1,
      sym_identifier,
    STATE(3765), 1,
      sym_invocation,
    STATE(4042), 1,
      sym__qualified_field,
    STATE(4301), 1,
      sym__single_quote_string,
    STATE(12025), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4333), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4331), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4186), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2029), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [86682] = 29,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1205), 1,
      aux_sym_identifier_token1,
    ACTIONS(4075), 1,
      sym_keyword_cast,
    ACTIONS(4077), 1,
      sym_keyword_case,
    ACTIONS(4081), 1,
      sym_keyword_exists,
    ACTIONS(4085), 1,
      sym_keyword_null,
    ACTIONS(4087), 1,
      sym_keyword_interval,
    ACTIONS(4089), 1,
      sym_keyword_array,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    ACTIONS(4095), 1,
      anon_sym_PLUS,
    ACTIONS(4097), 1,
      anon_sym_DASH,
    ACTIONS(4099), 1,
      sym_op_unary_other,
    ACTIONS(4101), 1,
      sym__double_quote_string,
    ACTIONS(4103), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4105), 1,
      aux_sym__integer_token1,
    ACTIONS(4107), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4109), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4111), 1,
      sym__dollar_quoted_string,
    ACTIONS(4718), 1,
      sym_parameter,
    STATE(2885), 1,
      sym_identifier,
    STATE(4010), 1,
      sym_invocation,
    STATE(4482), 1,
      sym__single_quote_string,
    STATE(4670), 1,
      sym__qualified_field,
    STATE(11942), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4716), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4083), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4547), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2208), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [86795] = 5,
    ACTIONS(4375), 1,
      sym_keyword_filter,
    STATE(1920), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2718), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2716), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [86860] = 28,
    ACTIONS(339), 1,
      sym__identifier,
    ACTIONS(397), 1,
      aux_sym_identifier_token1,
    ACTIONS(4019), 1,
      sym_keyword_cast,
    ACTIONS(4021), 1,
      sym_keyword_case,
    ACTIONS(4025), 1,
      sym_keyword_exists,
    ACTIONS(4031), 1,
      sym_keyword_interval,
    ACTIONS(4033), 1,
      sym_keyword_array,
    ACTIONS(4035), 1,
      anon_sym_LPAREN,
    ACTIONS(4039), 1,
      anon_sym_PLUS,
    ACTIONS(4041), 1,
      anon_sym_DASH,
    ACTIONS(4043), 1,
      sym_op_unary_other,
    ACTIONS(4045), 1,
      sym__double_quote_string,
    ACTIONS(4047), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4049), 1,
      aux_sym__integer_token1,
    ACTIONS(4051), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4053), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4055), 1,
      sym__dollar_quoted_string,
    ACTIONS(4720), 1,
      sym_parameter,
    STATE(2112), 1,
      sym__single_quote_string,
    STATE(2801), 1,
      sym_identifier,
    STATE(3557), 1,
      sym_invocation,
    STATE(4316), 1,
      sym__qualified_field,
    STATE(12191), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4029), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4027), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4146), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2057), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [86971] = 5,
    ACTIONS(4375), 1,
      sym_keyword_filter,
    STATE(2055), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [87036] = 28,
    ACTIONS(4269), 1,
      sym__identifier,
    ACTIONS(4271), 1,
      sym_keyword_cast,
    ACTIONS(4273), 1,
      sym_keyword_case,
    ACTIONS(4277), 1,
      sym_keyword_exists,
    ACTIONS(4283), 1,
      sym_keyword_interval,
    ACTIONS(4285), 1,
      sym_keyword_array,
    ACTIONS(4287), 1,
      anon_sym_LPAREN,
    ACTIONS(4291), 1,
      anon_sym_PLUS,
    ACTIONS(4293), 1,
      anon_sym_DASH,
    ACTIONS(4295), 1,
      sym_op_unary_other,
    ACTIONS(4297), 1,
      sym__double_quote_string,
    ACTIONS(4299), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4301), 1,
      aux_sym__integer_token1,
    ACTIONS(4303), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4305), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4307), 1,
      aux_sym_identifier_token1,
    ACTIONS(4309), 1,
      sym__dollar_quoted_string,
    ACTIONS(4722), 1,
      sym_parameter,
    STATE(4864), 1,
      sym_identifier,
    STATE(5172), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__single_quote_string,
    STATE(5652), 1,
      sym__qualified_field,
    STATE(11958), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4281), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4279), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5716), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4106), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [87147] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1382), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [87210] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(4724), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6052), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [87321] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4726), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5903), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [87432] = 5,
    ACTIONS(4375), 1,
      sym_keyword_filter,
    STATE(1958), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [87497] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4728), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5128), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [87608] = 28,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3967), 1,
      anon_sym_LPAREN,
    ACTIONS(3971), 1,
      sym_op_unary_other,
    ACTIONS(4730), 1,
      sym_parameter,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(4795), 1,
      sym_invocation,
    STATE(12159), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2783), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [87719] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4732), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5127), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [87830] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4734), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6285), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [87941] = 29,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1205), 1,
      aux_sym_identifier_token1,
    ACTIONS(4075), 1,
      sym_keyword_cast,
    ACTIONS(4077), 1,
      sym_keyword_case,
    ACTIONS(4081), 1,
      sym_keyword_exists,
    ACTIONS(4085), 1,
      sym_keyword_null,
    ACTIONS(4087), 1,
      sym_keyword_interval,
    ACTIONS(4089), 1,
      sym_keyword_array,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    ACTIONS(4095), 1,
      anon_sym_PLUS,
    ACTIONS(4097), 1,
      anon_sym_DASH,
    ACTIONS(4099), 1,
      sym_op_unary_other,
    ACTIONS(4101), 1,
      sym__double_quote_string,
    ACTIONS(4103), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4105), 1,
      aux_sym__integer_token1,
    ACTIONS(4107), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4109), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4111), 1,
      sym__dollar_quoted_string,
    ACTIONS(4738), 1,
      sym_parameter,
    STATE(2885), 1,
      sym_identifier,
    STATE(4010), 1,
      sym_invocation,
    STATE(4482), 1,
      sym__single_quote_string,
    STATE(4670), 1,
      sym__qualified_field,
    STATE(11942), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4736), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4083), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4547), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2210), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [88054] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4740), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5895), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [88165] = 28,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(4742), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4241), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(571), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [88276] = 28,
    ACTIONS(4269), 1,
      sym__identifier,
    ACTIONS(4271), 1,
      sym_keyword_cast,
    ACTIONS(4273), 1,
      sym_keyword_case,
    ACTIONS(4277), 1,
      sym_keyword_exists,
    ACTIONS(4283), 1,
      sym_keyword_interval,
    ACTIONS(4285), 1,
      sym_keyword_array,
    ACTIONS(4287), 1,
      anon_sym_LPAREN,
    ACTIONS(4291), 1,
      anon_sym_PLUS,
    ACTIONS(4293), 1,
      anon_sym_DASH,
    ACTIONS(4295), 1,
      sym_op_unary_other,
    ACTIONS(4297), 1,
      sym__double_quote_string,
    ACTIONS(4299), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4301), 1,
      aux_sym__integer_token1,
    ACTIONS(4303), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4305), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4307), 1,
      aux_sym_identifier_token1,
    ACTIONS(4309), 1,
      sym__dollar_quoted_string,
    ACTIONS(4744), 1,
      sym_parameter,
    STATE(4864), 1,
      sym_identifier,
    STATE(5172), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__single_quote_string,
    STATE(5652), 1,
      sym__qualified_field,
    STATE(11958), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4281), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4279), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5716), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3810), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [88387] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4746), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5050), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [88498] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    ACTIONS(3939), 1,
      sym_op_unary_other,
    ACTIONS(4748), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5349), 1,
      sym_invocation,
    STATE(12005), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3933), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3555), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [88609] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4750), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6271), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [88720] = 28,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(4752), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4177), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(884), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [88831] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4754), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5723), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [88942] = 28,
    ACTIONS(1009), 1,
      sym__identifier,
    ACTIONS(1067), 1,
      aux_sym_identifier_token1,
    ACTIONS(4323), 1,
      sym_keyword_cast,
    ACTIONS(4325), 1,
      sym_keyword_case,
    ACTIONS(4329), 1,
      sym_keyword_exists,
    ACTIONS(4335), 1,
      sym_keyword_interval,
    ACTIONS(4337), 1,
      sym_keyword_array,
    ACTIONS(4339), 1,
      anon_sym_LPAREN,
    ACTIONS(4343), 1,
      anon_sym_PLUS,
    ACTIONS(4345), 1,
      anon_sym_DASH,
    ACTIONS(4347), 1,
      sym_op_unary_other,
    ACTIONS(4349), 1,
      sym__double_quote_string,
    ACTIONS(4351), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4353), 1,
      aux_sym__integer_token1,
    ACTIONS(4355), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4357), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4359), 1,
      sym__dollar_quoted_string,
    ACTIONS(4756), 1,
      sym_parameter,
    STATE(2729), 1,
      sym_identifier,
    STATE(3765), 1,
      sym_invocation,
    STATE(4042), 1,
      sym__qualified_field,
    STATE(4301), 1,
      sym__single_quote_string,
    STATE(12025), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4333), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4331), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4186), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2020), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [89053] = 28,
    ACTIONS(4269), 1,
      sym__identifier,
    ACTIONS(4271), 1,
      sym_keyword_cast,
    ACTIONS(4273), 1,
      sym_keyword_case,
    ACTIONS(4277), 1,
      sym_keyword_exists,
    ACTIONS(4283), 1,
      sym_keyword_interval,
    ACTIONS(4285), 1,
      sym_keyword_array,
    ACTIONS(4287), 1,
      anon_sym_LPAREN,
    ACTIONS(4291), 1,
      anon_sym_PLUS,
    ACTIONS(4293), 1,
      anon_sym_DASH,
    ACTIONS(4295), 1,
      sym_op_unary_other,
    ACTIONS(4297), 1,
      sym__double_quote_string,
    ACTIONS(4299), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4301), 1,
      aux_sym__integer_token1,
    ACTIONS(4303), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4305), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4307), 1,
      aux_sym_identifier_token1,
    ACTIONS(4309), 1,
      sym__dollar_quoted_string,
    ACTIONS(4758), 1,
      sym_parameter,
    STATE(4864), 1,
      sym_identifier,
    STATE(5172), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__single_quote_string,
    STATE(5652), 1,
      sym__qualified_field,
    STATE(11958), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4281), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4279), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5716), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3812), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [89164] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4760), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6281), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [89275] = 28,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(4762), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4177), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(867), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [89386] = 6,
    ACTIONS(4315), 1,
      sym_keyword_unsigned,
    ACTIONS(4317), 1,
      sym_keyword_zerofill,
    ACTIONS(4321), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [89453] = 6,
    ACTIONS(4764), 1,
      sym_keyword_unsigned,
    ACTIONS(4766), 1,
      sym_keyword_zerofill,
    ACTIONS(4768), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1851), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1849), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [89520] = 28,
    ACTIONS(4269), 1,
      sym__identifier,
    ACTIONS(4271), 1,
      sym_keyword_cast,
    ACTIONS(4273), 1,
      sym_keyword_case,
    ACTIONS(4277), 1,
      sym_keyword_exists,
    ACTIONS(4283), 1,
      sym_keyword_interval,
    ACTIONS(4285), 1,
      sym_keyword_array,
    ACTIONS(4287), 1,
      anon_sym_LPAREN,
    ACTIONS(4291), 1,
      anon_sym_PLUS,
    ACTIONS(4293), 1,
      anon_sym_DASH,
    ACTIONS(4295), 1,
      sym_op_unary_other,
    ACTIONS(4297), 1,
      sym__double_quote_string,
    ACTIONS(4299), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4301), 1,
      aux_sym__integer_token1,
    ACTIONS(4303), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4305), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4307), 1,
      aux_sym_identifier_token1,
    ACTIONS(4309), 1,
      sym__dollar_quoted_string,
    ACTIONS(4770), 1,
      sym_parameter,
    STATE(4864), 1,
      sym_identifier,
    STATE(5172), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__single_quote_string,
    STATE(5652), 1,
      sym__qualified_field,
    STATE(11958), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4281), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4279), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5716), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3814), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [89631] = 6,
    ACTIONS(4772), 1,
      sym_keyword_unsigned,
    ACTIONS(4774), 1,
      sym_keyword_zerofill,
    ACTIONS(4776), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1841), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1839), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [89698] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4778), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5826), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [89809] = 6,
    ACTIONS(4780), 1,
      sym_keyword_unsigned,
    ACTIONS(4782), 1,
      sym_keyword_zerofill,
    ACTIONS(4784), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1881), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1879), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [89876] = 28,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(4786), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4177), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(889), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [89987] = 6,
    ACTIONS(4788), 1,
      sym_keyword_unsigned,
    ACTIONS(4790), 1,
      sym_keyword_zerofill,
    ACTIONS(4792), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1871), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1869), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [90054] = 28,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3967), 1,
      anon_sym_LPAREN,
    ACTIONS(3971), 1,
      sym_op_unary_other,
    ACTIONS(4794), 1,
      sym_parameter,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(4795), 1,
      sym_invocation,
    STATE(12159), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4692), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [90165] = 28,
    ACTIONS(4269), 1,
      sym__identifier,
    ACTIONS(4271), 1,
      sym_keyword_cast,
    ACTIONS(4273), 1,
      sym_keyword_case,
    ACTIONS(4277), 1,
      sym_keyword_exists,
    ACTIONS(4283), 1,
      sym_keyword_interval,
    ACTIONS(4285), 1,
      sym_keyword_array,
    ACTIONS(4287), 1,
      anon_sym_LPAREN,
    ACTIONS(4291), 1,
      anon_sym_PLUS,
    ACTIONS(4293), 1,
      anon_sym_DASH,
    ACTIONS(4295), 1,
      sym_op_unary_other,
    ACTIONS(4297), 1,
      sym__double_quote_string,
    ACTIONS(4299), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4301), 1,
      aux_sym__integer_token1,
    ACTIONS(4303), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4305), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4307), 1,
      aux_sym_identifier_token1,
    ACTIONS(4309), 1,
      sym__dollar_quoted_string,
    ACTIONS(4796), 1,
      sym_parameter,
    STATE(4864), 1,
      sym_identifier,
    STATE(5172), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__single_quote_string,
    STATE(5652), 1,
      sym__qualified_field,
    STATE(11958), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4281), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4279), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5716), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3815), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [90276] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4798), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5825), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [90387] = 6,
    ACTIONS(4800), 1,
      sym_keyword_unsigned,
    ACTIONS(4802), 1,
      sym_keyword_zerofill,
    ACTIONS(4804), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1817), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1815), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [90454] = 28,
    ACTIONS(4269), 1,
      sym__identifier,
    ACTIONS(4271), 1,
      sym_keyword_cast,
    ACTIONS(4273), 1,
      sym_keyword_case,
    ACTIONS(4277), 1,
      sym_keyword_exists,
    ACTIONS(4283), 1,
      sym_keyword_interval,
    ACTIONS(4285), 1,
      sym_keyword_array,
    ACTIONS(4287), 1,
      anon_sym_LPAREN,
    ACTIONS(4291), 1,
      anon_sym_PLUS,
    ACTIONS(4293), 1,
      anon_sym_DASH,
    ACTIONS(4295), 1,
      sym_op_unary_other,
    ACTIONS(4297), 1,
      sym__double_quote_string,
    ACTIONS(4299), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4301), 1,
      aux_sym__integer_token1,
    ACTIONS(4303), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4305), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4307), 1,
      aux_sym_identifier_token1,
    ACTIONS(4309), 1,
      sym__dollar_quoted_string,
    ACTIONS(4806), 1,
      sym_parameter,
    STATE(4864), 1,
      sym_identifier,
    STATE(5172), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__single_quote_string,
    STATE(5652), 1,
      sym__qualified_field,
    STATE(11958), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4281), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4279), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5716), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4707), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [90565] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4808), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5816), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [90676] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4810), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6039), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [90787] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4812), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5867), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [90898] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4814), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6022), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [91009] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4816), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5150), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [91120] = 20,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2614), 1,
      anon_sym_COLON,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2612), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [91215] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4818), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6021), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [91326] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4820), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5086), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [91437] = 6,
    ACTIONS(4822), 1,
      sym_keyword_unsigned,
    ACTIONS(4824), 1,
      sym_keyword_zerofill,
    ACTIONS(4826), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1897), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1895), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [91504] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1905), 45,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [91565] = 28,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3023), 1,
      sym_op_unary_other,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(4828), 1,
      sym_parameter,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2840), 1,
      sym_identifier,
    STATE(3449), 1,
      sym_invocation,
    STATE(4290), 1,
      sym__qualified_field,
    STATE(11699), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2031), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [91676] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4830), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6020), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [91787] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4832), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6018), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [91898] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4834), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5800), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [92009] = 28,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3967), 1,
      anon_sym_LPAREN,
    ACTIONS(3971), 1,
      sym_op_unary_other,
    ACTIONS(4836), 1,
      sym_parameter,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(4795), 1,
      sym_invocation,
    STATE(12159), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2772), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [92120] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4838), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5113), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [92231] = 28,
    ACTIONS(833), 1,
      sym__identifier,
    ACTIONS(891), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(4840), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(2999), 1,
      sym_identifier,
    STATE(4357), 1,
      sym_invocation,
    STATE(4511), 1,
      sym__qualified_field,
    STATE(11975), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4674), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2859), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [92342] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4842), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6324), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [92453] = 28,
    ACTIONS(4269), 1,
      sym__identifier,
    ACTIONS(4271), 1,
      sym_keyword_cast,
    ACTIONS(4273), 1,
      sym_keyword_case,
    ACTIONS(4277), 1,
      sym_keyword_exists,
    ACTIONS(4283), 1,
      sym_keyword_interval,
    ACTIONS(4285), 1,
      sym_keyword_array,
    ACTIONS(4287), 1,
      anon_sym_LPAREN,
    ACTIONS(4291), 1,
      anon_sym_PLUS,
    ACTIONS(4293), 1,
      anon_sym_DASH,
    ACTIONS(4295), 1,
      sym_op_unary_other,
    ACTIONS(4297), 1,
      sym__double_quote_string,
    ACTIONS(4299), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4301), 1,
      aux_sym__integer_token1,
    ACTIONS(4303), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4305), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4307), 1,
      aux_sym_identifier_token1,
    ACTIONS(4309), 1,
      sym__dollar_quoted_string,
    ACTIONS(4844), 1,
      sym_parameter,
    STATE(4864), 1,
      sym_identifier,
    STATE(5172), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__single_quote_string,
    STATE(5652), 1,
      sym__qualified_field,
    STATE(11958), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4281), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4279), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5716), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3816), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [92564] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4846), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5531), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [92675] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4848), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6316), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [92786] = 28,
    ACTIONS(1009), 1,
      sym__identifier,
    ACTIONS(1067), 1,
      aux_sym_identifier_token1,
    ACTIONS(4323), 1,
      sym_keyword_cast,
    ACTIONS(4325), 1,
      sym_keyword_case,
    ACTIONS(4329), 1,
      sym_keyword_exists,
    ACTIONS(4335), 1,
      sym_keyword_interval,
    ACTIONS(4337), 1,
      sym_keyword_array,
    ACTIONS(4339), 1,
      anon_sym_LPAREN,
    ACTIONS(4343), 1,
      anon_sym_PLUS,
    ACTIONS(4345), 1,
      anon_sym_DASH,
    ACTIONS(4347), 1,
      sym_op_unary_other,
    ACTIONS(4349), 1,
      sym__double_quote_string,
    ACTIONS(4351), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4353), 1,
      aux_sym__integer_token1,
    ACTIONS(4355), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4357), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4359), 1,
      sym__dollar_quoted_string,
    ACTIONS(4850), 1,
      sym_parameter,
    STATE(2729), 1,
      sym_identifier,
    STATE(3765), 1,
      sym_invocation,
    STATE(4042), 1,
      sym__qualified_field,
    STATE(4301), 1,
      sym__single_quote_string,
    STATE(12025), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4333), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4331), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4186), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2032), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [92897] = 28,
    ACTIONS(1077), 1,
      sym__identifier,
    ACTIONS(1081), 1,
      aux_sym_identifier_token1,
    ACTIONS(3627), 1,
      sym_keyword_cast,
    ACTIONS(3635), 1,
      sym_keyword_array,
    ACTIONS(3641), 1,
      anon_sym_PLUS,
    ACTIONS(3643), 1,
      anon_sym_DASH,
    ACTIONS(3645), 1,
      sym_op_unary_other,
    ACTIONS(3647), 1,
      sym__double_quote_string,
    ACTIONS(3649), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3651), 1,
      aux_sym__integer_token1,
    ACTIONS(3653), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3655), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3657), 1,
      sym__dollar_quoted_string,
    ACTIONS(3799), 1,
      sym_keyword_case,
    ACTIONS(3801), 1,
      sym_keyword_exists,
    ACTIONS(3803), 1,
      sym_keyword_interval,
    ACTIONS(3805), 1,
      anon_sym_LPAREN,
    ACTIONS(4852), 1,
      sym_parameter,
    STATE(926), 1,
      sym_identifier,
    STATE(1988), 1,
      sym_invocation,
    STATE(2170), 1,
      sym__single_quote_string,
    STATE(2229), 1,
      sym__qualified_field,
    STATE(11950), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3633), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3629), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2111), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(469), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [93008] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4854), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4998), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [93119] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4856), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6033), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [93230] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1911), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1909), 45,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [93291] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4858), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6120), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [93402] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1915), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1913), 45,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [93463] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4860), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6119), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [93574] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1923), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1921), 45,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [93635] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 45,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [93696] = 28,
    ACTIONS(1077), 1,
      sym__identifier,
    ACTIONS(1081), 1,
      aux_sym_identifier_token1,
    ACTIONS(3627), 1,
      sym_keyword_cast,
    ACTIONS(3635), 1,
      sym_keyword_array,
    ACTIONS(3641), 1,
      anon_sym_PLUS,
    ACTIONS(3643), 1,
      anon_sym_DASH,
    ACTIONS(3645), 1,
      sym_op_unary_other,
    ACTIONS(3647), 1,
      sym__double_quote_string,
    ACTIONS(3649), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3651), 1,
      aux_sym__integer_token1,
    ACTIONS(3653), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3655), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3657), 1,
      sym__dollar_quoted_string,
    ACTIONS(3799), 1,
      sym_keyword_case,
    ACTIONS(3801), 1,
      sym_keyword_exists,
    ACTIONS(3803), 1,
      sym_keyword_interval,
    ACTIONS(3805), 1,
      anon_sym_LPAREN,
    ACTIONS(4862), 1,
      sym_parameter,
    STATE(926), 1,
      sym_identifier,
    STATE(1988), 1,
      sym_invocation,
    STATE(2170), 1,
      sym__single_quote_string,
    STATE(2229), 1,
      sym__qualified_field,
    STATE(11950), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3633), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3629), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2111), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(502), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [93807] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4864), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6114), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [93918] = 28,
    ACTIONS(1077), 1,
      sym__identifier,
    ACTIONS(1081), 1,
      aux_sym_identifier_token1,
    ACTIONS(3627), 1,
      sym_keyword_cast,
    ACTIONS(3635), 1,
      sym_keyword_array,
    ACTIONS(3641), 1,
      anon_sym_PLUS,
    ACTIONS(3643), 1,
      anon_sym_DASH,
    ACTIONS(3645), 1,
      sym_op_unary_other,
    ACTIONS(3647), 1,
      sym__double_quote_string,
    ACTIONS(3649), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3651), 1,
      aux_sym__integer_token1,
    ACTIONS(3653), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3655), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3657), 1,
      sym__dollar_quoted_string,
    ACTIONS(3799), 1,
      sym_keyword_case,
    ACTIONS(3801), 1,
      sym_keyword_exists,
    ACTIONS(3803), 1,
      sym_keyword_interval,
    ACTIONS(3805), 1,
      anon_sym_LPAREN,
    ACTIONS(4866), 1,
      sym_parameter,
    STATE(926), 1,
      sym_identifier,
    STATE(1988), 1,
      sym_invocation,
    STATE(2170), 1,
      sym__single_quote_string,
    STATE(2229), 1,
      sym__qualified_field,
    STATE(11950), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3633), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3629), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2111), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(523), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [94029] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4868), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5968), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [94140] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1919), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1917), 45,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [94201] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4870), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5005), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [94312] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4872), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6113), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [94423] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4874), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5008), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [94534] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4876), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5952), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [94645] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4878), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6269), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [94756] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    ACTIONS(3939), 1,
      sym_op_unary_other,
    ACTIONS(4880), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5349), 1,
      sym_invocation,
    STATE(12005), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3933), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3514), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [94867] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4882), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5568), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [94978] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4884), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6266), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [95089] = 5,
    ACTIONS(4375), 1,
      sym_keyword_filter,
    STATE(2059), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2710), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2708), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [95154] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4886), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5874), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [95265] = 28,
    ACTIONS(1077), 1,
      sym__identifier,
    ACTIONS(1081), 1,
      aux_sym_identifier_token1,
    ACTIONS(3627), 1,
      sym_keyword_cast,
    ACTIONS(3635), 1,
      sym_keyword_array,
    ACTIONS(3641), 1,
      anon_sym_PLUS,
    ACTIONS(3643), 1,
      anon_sym_DASH,
    ACTIONS(3645), 1,
      sym_op_unary_other,
    ACTIONS(3647), 1,
      sym__double_quote_string,
    ACTIONS(3649), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3651), 1,
      aux_sym__integer_token1,
    ACTIONS(3653), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3655), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3657), 1,
      sym__dollar_quoted_string,
    ACTIONS(3799), 1,
      sym_keyword_case,
    ACTIONS(3801), 1,
      sym_keyword_exists,
    ACTIONS(3803), 1,
      sym_keyword_interval,
    ACTIONS(3805), 1,
      anon_sym_LPAREN,
    ACTIONS(4888), 1,
      sym_parameter,
    STATE(926), 1,
      sym_identifier,
    STATE(1988), 1,
      sym_invocation,
    STATE(2170), 1,
      sym__single_quote_string,
    STATE(2229), 1,
      sym__qualified_field,
    STATE(11950), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3633), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3629), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2111), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(488), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [95376] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4890), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5812), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [95487] = 28,
    ACTIONS(1077), 1,
      sym__identifier,
    ACTIONS(1081), 1,
      aux_sym_identifier_token1,
    ACTIONS(3627), 1,
      sym_keyword_cast,
    ACTIONS(3635), 1,
      sym_keyword_array,
    ACTIONS(3641), 1,
      anon_sym_PLUS,
    ACTIONS(3643), 1,
      anon_sym_DASH,
    ACTIONS(3645), 1,
      sym_op_unary_other,
    ACTIONS(3647), 1,
      sym__double_quote_string,
    ACTIONS(3649), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3651), 1,
      aux_sym__integer_token1,
    ACTIONS(3653), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3655), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3657), 1,
      sym__dollar_quoted_string,
    ACTIONS(3799), 1,
      sym_keyword_case,
    ACTIONS(3801), 1,
      sym_keyword_exists,
    ACTIONS(3803), 1,
      sym_keyword_interval,
    ACTIONS(3805), 1,
      anon_sym_LPAREN,
    ACTIONS(4892), 1,
      sym_parameter,
    STATE(926), 1,
      sym_identifier,
    STATE(1988), 1,
      sym_invocation,
    STATE(2170), 1,
      sym__single_quote_string,
    STATE(2229), 1,
      sym__qualified_field,
    STATE(11950), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3633), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3629), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2111), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(475), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [95598] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4894), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6106), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [95709] = 28,
    ACTIONS(1077), 1,
      sym__identifier,
    ACTIONS(1081), 1,
      aux_sym_identifier_token1,
    ACTIONS(3627), 1,
      sym_keyword_cast,
    ACTIONS(3635), 1,
      sym_keyword_array,
    ACTIONS(3641), 1,
      anon_sym_PLUS,
    ACTIONS(3643), 1,
      anon_sym_DASH,
    ACTIONS(3645), 1,
      sym_op_unary_other,
    ACTIONS(3647), 1,
      sym__double_quote_string,
    ACTIONS(3649), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3651), 1,
      aux_sym__integer_token1,
    ACTIONS(3653), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3655), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3657), 1,
      sym__dollar_quoted_string,
    ACTIONS(3799), 1,
      sym_keyword_case,
    ACTIONS(3801), 1,
      sym_keyword_exists,
    ACTIONS(3803), 1,
      sym_keyword_interval,
    ACTIONS(3805), 1,
      anon_sym_LPAREN,
    ACTIONS(4896), 1,
      sym_parameter,
    STATE(926), 1,
      sym_identifier,
    STATE(1988), 1,
      sym_invocation,
    STATE(2170), 1,
      sym__single_quote_string,
    STATE(2229), 1,
      sym__qualified_field,
    STATE(11950), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3633), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3629), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2111), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(467), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [95820] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    ACTIONS(3939), 1,
      sym_op_unary_other,
    ACTIONS(4898), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5349), 1,
      sym_invocation,
    STATE(12005), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3933), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3508), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [95931] = 28,
    ACTIONS(4269), 1,
      sym__identifier,
    ACTIONS(4271), 1,
      sym_keyword_cast,
    ACTIONS(4273), 1,
      sym_keyword_case,
    ACTIONS(4277), 1,
      sym_keyword_exists,
    ACTIONS(4283), 1,
      sym_keyword_interval,
    ACTIONS(4285), 1,
      sym_keyword_array,
    ACTIONS(4287), 1,
      anon_sym_LPAREN,
    ACTIONS(4291), 1,
      anon_sym_PLUS,
    ACTIONS(4293), 1,
      anon_sym_DASH,
    ACTIONS(4295), 1,
      sym_op_unary_other,
    ACTIONS(4297), 1,
      sym__double_quote_string,
    ACTIONS(4299), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4301), 1,
      aux_sym__integer_token1,
    ACTIONS(4303), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4305), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4307), 1,
      aux_sym_identifier_token1,
    ACTIONS(4309), 1,
      sym__dollar_quoted_string,
    ACTIONS(4900), 1,
      sym_parameter,
    STATE(4864), 1,
      sym_identifier,
    STATE(5172), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__single_quote_string,
    STATE(5652), 1,
      sym__qualified_field,
    STATE(11958), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4281), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4279), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5716), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3818), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [96042] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4902), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6103), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [96153] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4904), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4784), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [96264] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4906), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5813), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [96375] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4908), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6098), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [96486] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3943), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4202), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [96597] = 28,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3967), 1,
      anon_sym_LPAREN,
    ACTIONS(3971), 1,
      sym_op_unary_other,
    ACTIONS(4910), 1,
      sym_parameter,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(4795), 1,
      sym_invocation,
    STATE(12159), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2726), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [96708] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4912), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5009), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [96819] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4914), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5815), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [96930] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4916), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6095), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [97041] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4918), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5012), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [97152] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4920), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5807), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [97263] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4922), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6361), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [97374] = 28,
    ACTIONS(3977), 1,
      sym__identifier,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      aux_sym_identifier_token1,
    ACTIONS(4017), 1,
      sym__dollar_quoted_string,
    ACTIONS(4924), 1,
      sym_parameter,
    STATE(4942), 1,
      sym_identifier,
    STATE(5625), 1,
      sym_invocation,
    STATE(5873), 1,
      sym__single_quote_string,
    STATE(6019), 1,
      sym__qualified_field,
    STATE(12085), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5971), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4252), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [97485] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4926), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5599), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [97596] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4928), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6197), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [97707] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4930), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6060), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [97818] = 28,
    ACTIONS(1077), 1,
      sym__identifier,
    ACTIONS(1081), 1,
      aux_sym_identifier_token1,
    ACTIONS(3627), 1,
      sym_keyword_cast,
    ACTIONS(3635), 1,
      sym_keyword_array,
    ACTIONS(3641), 1,
      anon_sym_PLUS,
    ACTIONS(3643), 1,
      anon_sym_DASH,
    ACTIONS(3645), 1,
      sym_op_unary_other,
    ACTIONS(3647), 1,
      sym__double_quote_string,
    ACTIONS(3649), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3651), 1,
      aux_sym__integer_token1,
    ACTIONS(3653), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3655), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3657), 1,
      sym__dollar_quoted_string,
    ACTIONS(3799), 1,
      sym_keyword_case,
    ACTIONS(3801), 1,
      sym_keyword_exists,
    ACTIONS(3803), 1,
      sym_keyword_interval,
    ACTIONS(3805), 1,
      anon_sym_LPAREN,
    ACTIONS(4932), 1,
      sym_parameter,
    STATE(926), 1,
      sym_identifier,
    STATE(1988), 1,
      sym_invocation,
    STATE(2170), 1,
      sym__single_quote_string,
    STATE(2229), 1,
      sym__qualified_field,
    STATE(11950), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3633), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3629), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2111), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(482), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [97929] = 28,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4249), 1,
      sym_parameter,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4241), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(631), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [98040] = 28,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(4934), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4241), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(575), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [98151] = 28,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(4936), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4241), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(576), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [98262] = 28,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(4938), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4241), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(581), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [98373] = 28,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(4940), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4241), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(584), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [98484] = 28,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(4942), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4241), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(594), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [98595] = 28,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(4944), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4241), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(595), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [98706] = 7,
    ACTIONS(4391), 1,
      sym_keyword_array,
    STATE(2056), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(2559), 1,
      sym_array_size_definition,
    STATE(2574), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2880), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2878), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [98775] = 28,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(4946), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4241), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(598), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [98886] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4948), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6065), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [98997] = 28,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(4950), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4241), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(599), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [99108] = 28,
    ACTIONS(4269), 1,
      sym__identifier,
    ACTIONS(4271), 1,
      sym_keyword_cast,
    ACTIONS(4273), 1,
      sym_keyword_case,
    ACTIONS(4277), 1,
      sym_keyword_exists,
    ACTIONS(4283), 1,
      sym_keyword_interval,
    ACTIONS(4285), 1,
      sym_keyword_array,
    ACTIONS(4287), 1,
      anon_sym_LPAREN,
    ACTIONS(4291), 1,
      anon_sym_PLUS,
    ACTIONS(4293), 1,
      anon_sym_DASH,
    ACTIONS(4295), 1,
      sym_op_unary_other,
    ACTIONS(4297), 1,
      sym__double_quote_string,
    ACTIONS(4299), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4301), 1,
      aux_sym__integer_token1,
    ACTIONS(4303), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4305), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4307), 1,
      aux_sym_identifier_token1,
    ACTIONS(4309), 1,
      sym__dollar_quoted_string,
    ACTIONS(4952), 1,
      sym_parameter,
    STATE(4864), 1,
      sym_identifier,
    STATE(5172), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__single_quote_string,
    STATE(5652), 1,
      sym__qualified_field,
    STATE(11958), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4281), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4279), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5716), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3819), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [99219] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4954), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5822), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [99330] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4956), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6057), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [99441] = 28,
    ACTIONS(1077), 1,
      sym__identifier,
    ACTIONS(1081), 1,
      aux_sym_identifier_token1,
    ACTIONS(3627), 1,
      sym_keyword_cast,
    ACTIONS(3635), 1,
      sym_keyword_array,
    ACTIONS(3641), 1,
      anon_sym_PLUS,
    ACTIONS(3643), 1,
      anon_sym_DASH,
    ACTIONS(3645), 1,
      sym_op_unary_other,
    ACTIONS(3647), 1,
      sym__double_quote_string,
    ACTIONS(3649), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3651), 1,
      aux_sym__integer_token1,
    ACTIONS(3653), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3655), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3657), 1,
      sym__dollar_quoted_string,
    ACTIONS(3799), 1,
      sym_keyword_case,
    ACTIONS(3801), 1,
      sym_keyword_exists,
    ACTIONS(3803), 1,
      sym_keyword_interval,
    ACTIONS(3805), 1,
      anon_sym_LPAREN,
    ACTIONS(4958), 1,
      sym_parameter,
    STATE(926), 1,
      sym_identifier,
    STATE(1988), 1,
      sym_invocation,
    STATE(2170), 1,
      sym__single_quote_string,
    STATE(2229), 1,
      sym__qualified_field,
    STATE(11950), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3633), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3629), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2111), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(483), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [99552] = 28,
    ACTIONS(1077), 1,
      sym__identifier,
    ACTIONS(1081), 1,
      aux_sym_identifier_token1,
    ACTIONS(3627), 1,
      sym_keyword_cast,
    ACTIONS(3635), 1,
      sym_keyword_array,
    ACTIONS(3641), 1,
      anon_sym_PLUS,
    ACTIONS(3643), 1,
      anon_sym_DASH,
    ACTIONS(3645), 1,
      sym_op_unary_other,
    ACTIONS(3647), 1,
      sym__double_quote_string,
    ACTIONS(3649), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3651), 1,
      aux_sym__integer_token1,
    ACTIONS(3653), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3655), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3657), 1,
      sym__dollar_quoted_string,
    ACTIONS(3799), 1,
      sym_keyword_case,
    ACTIONS(3801), 1,
      sym_keyword_exists,
    ACTIONS(3803), 1,
      sym_keyword_interval,
    ACTIONS(3805), 1,
      anon_sym_LPAREN,
    ACTIONS(4960), 1,
      sym_parameter,
    STATE(926), 1,
      sym_identifier,
    STATE(1988), 1,
      sym_invocation,
    STATE(2170), 1,
      sym__single_quote_string,
    STATE(2229), 1,
      sym__qualified_field,
    STATE(11950), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3633), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3629), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2111), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(484), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [99663] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4962), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6050), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [99774] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4964), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5828), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [99885] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4966), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5030), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [99996] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4968), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6044), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [100107] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4970), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5056), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [100218] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4972), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5829), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [100329] = 28,
    ACTIONS(1077), 1,
      sym__identifier,
    ACTIONS(1081), 1,
      aux_sym_identifier_token1,
    ACTIONS(3627), 1,
      sym_keyword_cast,
    ACTIONS(3635), 1,
      sym_keyword_array,
    ACTIONS(3641), 1,
      anon_sym_PLUS,
    ACTIONS(3643), 1,
      anon_sym_DASH,
    ACTIONS(3645), 1,
      sym_op_unary_other,
    ACTIONS(3647), 1,
      sym__double_quote_string,
    ACTIONS(3649), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3651), 1,
      aux_sym__integer_token1,
    ACTIONS(3653), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3655), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3657), 1,
      sym__dollar_quoted_string,
    ACTIONS(3799), 1,
      sym_keyword_case,
    ACTIONS(3801), 1,
      sym_keyword_exists,
    ACTIONS(3803), 1,
      sym_keyword_interval,
    ACTIONS(3805), 1,
      anon_sym_LPAREN,
    ACTIONS(4313), 1,
      sym_parameter,
    STATE(926), 1,
      sym_identifier,
    STATE(1988), 1,
      sym_invocation,
    STATE(2170), 1,
      sym__single_quote_string,
    STATE(2229), 1,
      sym__qualified_field,
    STATE(11950), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3633), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3629), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2111), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(510), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [100440] = 28,
    ACTIONS(1009), 1,
      sym__identifier,
    ACTIONS(1067), 1,
      aux_sym_identifier_token1,
    ACTIONS(4323), 1,
      sym_keyword_cast,
    ACTIONS(4325), 1,
      sym_keyword_case,
    ACTIONS(4329), 1,
      sym_keyword_exists,
    ACTIONS(4335), 1,
      sym_keyword_interval,
    ACTIONS(4337), 1,
      sym_keyword_array,
    ACTIONS(4339), 1,
      anon_sym_LPAREN,
    ACTIONS(4343), 1,
      anon_sym_PLUS,
    ACTIONS(4345), 1,
      anon_sym_DASH,
    ACTIONS(4347), 1,
      sym_op_unary_other,
    ACTIONS(4349), 1,
      sym__double_quote_string,
    ACTIONS(4351), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4353), 1,
      aux_sym__integer_token1,
    ACTIONS(4355), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4357), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4359), 1,
      sym__dollar_quoted_string,
    ACTIONS(4974), 1,
      sym_parameter,
    STATE(2729), 1,
      sym_identifier,
    STATE(3765), 1,
      sym_invocation,
    STATE(4042), 1,
      sym__qualified_field,
    STATE(4301), 1,
      sym__single_quote_string,
    STATE(12025), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4333), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4331), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4186), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2054), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [100551] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4976), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6274), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [100662] = 28,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(4978), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4177), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(898), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [100773] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4980), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5620), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [100884] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4982), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6061), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [100995] = 28,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3967), 1,
      anon_sym_LPAREN,
    ACTIONS(3971), 1,
      sym_op_unary_other,
    ACTIONS(4984), 1,
      sym_parameter,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(4795), 1,
      sym_invocation,
    STATE(12159), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2754), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [101106] = 29,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1205), 1,
      aux_sym_identifier_token1,
    ACTIONS(4075), 1,
      sym_keyword_cast,
    ACTIONS(4077), 1,
      sym_keyword_case,
    ACTIONS(4081), 1,
      sym_keyword_exists,
    ACTIONS(4085), 1,
      sym_keyword_null,
    ACTIONS(4087), 1,
      sym_keyword_interval,
    ACTIONS(4089), 1,
      sym_keyword_array,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    ACTIONS(4095), 1,
      anon_sym_PLUS,
    ACTIONS(4097), 1,
      anon_sym_DASH,
    ACTIONS(4099), 1,
      sym_op_unary_other,
    ACTIONS(4101), 1,
      sym__double_quote_string,
    ACTIONS(4103), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4105), 1,
      aux_sym__integer_token1,
    ACTIONS(4107), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4109), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4111), 1,
      sym__dollar_quoted_string,
    ACTIONS(4988), 1,
      sym_parameter,
    STATE(2885), 1,
      sym_identifier,
    STATE(4010), 1,
      sym_invocation,
    STATE(4482), 1,
      sym__single_quote_string,
    STATE(4670), 1,
      sym__qualified_field,
    STATE(11942), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4986), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4083), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4547), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2220), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [101219] = 28,
    ACTIONS(653), 1,
      sym__identifier,
    ACTIONS(711), 1,
      aux_sym_identifier_token1,
    ACTIONS(4125), 1,
      sym_keyword_cast,
    ACTIONS(4127), 1,
      sym_keyword_case,
    ACTIONS(4131), 1,
      sym_keyword_exists,
    ACTIONS(4137), 1,
      sym_keyword_interval,
    ACTIONS(4139), 1,
      sym_keyword_array,
    ACTIONS(4141), 1,
      anon_sym_LPAREN,
    ACTIONS(4145), 1,
      anon_sym_PLUS,
    ACTIONS(4147), 1,
      anon_sym_DASH,
    ACTIONS(4149), 1,
      sym_op_unary_other,
    ACTIONS(4151), 1,
      sym__double_quote_string,
    ACTIONS(4153), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4155), 1,
      aux_sym__integer_token1,
    ACTIONS(4157), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4159), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4161), 1,
      sym__dollar_quoted_string,
    ACTIONS(4990), 1,
      sym_parameter,
    STATE(1023), 1,
      sym__single_quote_string,
    STATE(5232), 1,
      sym_identifier,
    STATE(6267), 1,
      sym_invocation,
    STATE(6459), 1,
      sym__qualified_field,
    STATE(12144), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4135), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4133), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6426), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4734), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [101330] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4992), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6229), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [101441] = 28,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(4994), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4241), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(635), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [101552] = 28,
    ACTIONS(1077), 1,
      sym__identifier,
    ACTIONS(1081), 1,
      aux_sym_identifier_token1,
    ACTIONS(3627), 1,
      sym_keyword_cast,
    ACTIONS(3635), 1,
      sym_keyword_array,
    ACTIONS(3641), 1,
      anon_sym_PLUS,
    ACTIONS(3643), 1,
      anon_sym_DASH,
    ACTIONS(3645), 1,
      sym_op_unary_other,
    ACTIONS(3647), 1,
      sym__double_quote_string,
    ACTIONS(3649), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3651), 1,
      aux_sym__integer_token1,
    ACTIONS(3653), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3655), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3657), 1,
      sym__dollar_quoted_string,
    ACTIONS(3799), 1,
      sym_keyword_case,
    ACTIONS(3801), 1,
      sym_keyword_exists,
    ACTIONS(3803), 1,
      sym_keyword_interval,
    ACTIONS(3805), 1,
      anon_sym_LPAREN,
    ACTIONS(4996), 1,
      sym_parameter,
    STATE(926), 1,
      sym_identifier,
    STATE(1988), 1,
      sym_invocation,
    STATE(2170), 1,
      sym__single_quote_string,
    STATE(2229), 1,
      sym__qualified_field,
    STATE(11950), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3633), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3629), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2111), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(508), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [101663] = 28,
    ACTIONS(1077), 1,
      sym__identifier,
    ACTIONS(1081), 1,
      aux_sym_identifier_token1,
    ACTIONS(3627), 1,
      sym_keyword_cast,
    ACTIONS(3635), 1,
      sym_keyword_array,
    ACTIONS(3641), 1,
      anon_sym_PLUS,
    ACTIONS(3643), 1,
      anon_sym_DASH,
    ACTIONS(3645), 1,
      sym_op_unary_other,
    ACTIONS(3647), 1,
      sym__double_quote_string,
    ACTIONS(3649), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3651), 1,
      aux_sym__integer_token1,
    ACTIONS(3653), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3655), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3657), 1,
      sym__dollar_quoted_string,
    ACTIONS(3799), 1,
      sym_keyword_case,
    ACTIONS(3801), 1,
      sym_keyword_exists,
    ACTIONS(3803), 1,
      sym_keyword_interval,
    ACTIONS(3805), 1,
      anon_sym_LPAREN,
    ACTIONS(4998), 1,
      sym_parameter,
    STATE(926), 1,
      sym_identifier,
    STATE(1988), 1,
      sym_invocation,
    STATE(2170), 1,
      sym__single_quote_string,
    STATE(2229), 1,
      sym__qualified_field,
    STATE(11950), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3633), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3629), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2111), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(485), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [101774] = 28,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3967), 1,
      anon_sym_LPAREN,
    ACTIONS(3971), 1,
      sym_op_unary_other,
    ACTIONS(5000), 1,
      sym_parameter,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(4795), 1,
      sym_invocation,
    STATE(12159), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2827), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [101885] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5002), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6024), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [101996] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(457), 1,
      aux_sym_identifier_token1,
    ACTIONS(3839), 1,
      sym_keyword_cast,
    ACTIONS(3841), 1,
      sym_keyword_case,
    ACTIONS(3845), 1,
      sym_keyword_exists,
    ACTIONS(3849), 1,
      sym_keyword_interval,
    ACTIONS(3851), 1,
      sym_keyword_array,
    ACTIONS(3853), 1,
      anon_sym_LPAREN,
    ACTIONS(3857), 1,
      anon_sym_PLUS,
    ACTIONS(3859), 1,
      anon_sym_DASH,
    ACTIONS(3861), 1,
      sym_op_unary_other,
    ACTIONS(3863), 1,
      sym__double_quote_string,
    ACTIONS(3865), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3867), 1,
      aux_sym__integer_token1,
    ACTIONS(3869), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3871), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3873), 1,
      sym__dollar_quoted_string,
    ACTIONS(5004), 1,
      sym_parameter,
    STATE(3102), 1,
      sym_identifier,
    STATE(3999), 1,
      sym_invocation,
    STATE(4419), 1,
      sym__qualified_field,
    STATE(4477), 1,
      sym__single_quote_string,
    STATE(12125), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3847), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3843), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4458), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2114), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [102107] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5006), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6015), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [102218] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5008), 1,
      anon_sym_LPAREN,
    ACTIONS(5010), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5372), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [102329] = 28,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3023), 1,
      sym_op_unary_other,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(5012), 1,
      sym_parameter,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2840), 1,
      sym_identifier,
    STATE(3449), 1,
      sym_invocation,
    STATE(4290), 1,
      sym__qualified_field,
    STATE(11699), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1943), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [102440] = 28,
    ACTIONS(1009), 1,
      sym__identifier,
    ACTIONS(1067), 1,
      aux_sym_identifier_token1,
    ACTIONS(4323), 1,
      sym_keyword_cast,
    ACTIONS(4325), 1,
      sym_keyword_case,
    ACTIONS(4329), 1,
      sym_keyword_exists,
    ACTIONS(4335), 1,
      sym_keyword_interval,
    ACTIONS(4337), 1,
      sym_keyword_array,
    ACTIONS(4339), 1,
      anon_sym_LPAREN,
    ACTIONS(4343), 1,
      anon_sym_PLUS,
    ACTIONS(4345), 1,
      anon_sym_DASH,
    ACTIONS(4347), 1,
      sym_op_unary_other,
    ACTIONS(4349), 1,
      sym__double_quote_string,
    ACTIONS(4351), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4353), 1,
      aux_sym__integer_token1,
    ACTIONS(4355), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4357), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4359), 1,
      sym__dollar_quoted_string,
    ACTIONS(5014), 1,
      sym_parameter,
    STATE(2729), 1,
      sym_identifier,
    STATE(3765), 1,
      sym_invocation,
    STATE(4042), 1,
      sym__qualified_field,
    STATE(4301), 1,
      sym__single_quote_string,
    STATE(12025), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4333), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4331), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4186), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1990), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [102551] = 28,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3967), 1,
      anon_sym_LPAREN,
    ACTIONS(3971), 1,
      sym_op_unary_other,
    ACTIONS(5016), 1,
      sym_parameter,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(4795), 1,
      sym_invocation,
    STATE(12159), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2824), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [102662] = 29,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4177), 1,
      sym_keyword_null,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(5020), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5018), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(902), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [102775] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5022), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5997), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [102886] = 29,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4177), 1,
      sym_keyword_null,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(5026), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5024), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(903), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [102999] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5028), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5525), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [103110] = 5,
    ACTIONS(4375), 1,
      sym_keyword_filter,
    STATE(2014), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2706), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2704), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [103175] = 28,
    ACTIONS(1275), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(2856), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3513), 1,
      sym_keyword_cast,
    ACTIONS(3521), 1,
      sym_keyword_array,
    ACTIONS(3527), 1,
      anon_sym_PLUS,
    ACTIONS(3529), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      sym_op_unary_other,
    ACTIONS(3533), 1,
      sym__double_quote_string,
    ACTIONS(3535), 1,
      aux_sym__integer_token1,
    ACTIONS(3537), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3539), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3541), 1,
      sym__dollar_quoted_string,
    ACTIONS(3701), 1,
      sym_keyword_case,
    ACTIONS(3703), 1,
      sym_keyword_exists,
    ACTIONS(3705), 1,
      sym_keyword_interval,
    ACTIONS(3707), 1,
      anon_sym_LPAREN,
    ACTIONS(5030), 1,
      sym_parameter,
    STATE(426), 1,
      sym_identifier,
    STATE(806), 1,
      sym_invocation,
    STATE(894), 1,
      sym__single_quote_string,
    STATE(925), 1,
      sym__qualified_field,
    STATE(12101), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3519), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3515), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(893), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(342), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [103286] = 29,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4177), 1,
      sym_keyword_null,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(5034), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5032), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(868), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [103399] = 29,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4177), 1,
      sym_keyword_null,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(5038), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5036), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(909), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [103512] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5040), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5533), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [103623] = 29,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4177), 1,
      sym_keyword_null,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(5044), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5042), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(915), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [103736] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5046), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5894), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [103847] = 29,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4177), 1,
      sym_keyword_null,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(5050), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5048), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(917), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [103960] = 28,
    ACTIONS(1275), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(2856), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3513), 1,
      sym_keyword_cast,
    ACTIONS(3521), 1,
      sym_keyword_array,
    ACTIONS(3527), 1,
      anon_sym_PLUS,
    ACTIONS(3529), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      sym_op_unary_other,
    ACTIONS(3533), 1,
      sym__double_quote_string,
    ACTIONS(3535), 1,
      aux_sym__integer_token1,
    ACTIONS(3537), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3539), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3541), 1,
      sym__dollar_quoted_string,
    ACTIONS(3701), 1,
      sym_keyword_case,
    ACTIONS(3703), 1,
      sym_keyword_exists,
    ACTIONS(3705), 1,
      sym_keyword_interval,
    ACTIONS(3707), 1,
      anon_sym_LPAREN,
    ACTIONS(5052), 1,
      sym_parameter,
    STATE(426), 1,
      sym_identifier,
    STATE(806), 1,
      sym_invocation,
    STATE(894), 1,
      sym__single_quote_string,
    STATE(925), 1,
      sym__qualified_field,
    STATE(12101), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3519), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3515), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(893), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(300), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [104071] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(5054), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5627), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [104182] = 28,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3023), 1,
      sym_op_unary_other,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(5056), 1,
      sym_parameter,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2840), 1,
      sym_identifier,
    STATE(3449), 1,
      sym_invocation,
    STATE(4290), 1,
      sym__qualified_field,
    STATE(11699), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2026), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [104293] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5058), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5077), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [104404] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5060), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5951), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [104515] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5062), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5587), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [104626] = 28,
    ACTIONS(833), 1,
      sym__identifier,
    ACTIONS(891), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(5064), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(2999), 1,
      sym_identifier,
    STATE(4357), 1,
      sym_invocation,
    STATE(4511), 1,
      sym__qualified_field,
    STATE(11975), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4674), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2901), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [104737] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5066), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4983), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [104848] = 28,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3967), 1,
      anon_sym_LPAREN,
    ACTIONS(3971), 1,
      sym_op_unary_other,
    ACTIONS(5068), 1,
      sym_parameter,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(4795), 1,
      sym_invocation,
    STATE(12159), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2874), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [104959] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5070), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6169), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105070] = 28,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3967), 1,
      anon_sym_LPAREN,
    ACTIONS(3971), 1,
      sym_op_unary_other,
    ACTIONS(5072), 1,
      sym_parameter,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(4795), 1,
      sym_invocation,
    STATE(12159), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2744), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105181] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5074), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5678), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105292] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5076), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6381), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105403] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(5078), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4017), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105514] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(5080), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4007), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105625] = 28,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3967), 1,
      anon_sym_LPAREN,
    ACTIONS(3969), 1,
      sym_parameter,
    ACTIONS(3971), 1,
      sym_op_unary_other,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(4795), 1,
      sym_invocation,
    STATE(12159), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2759), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105736] = 28,
    ACTIONS(653), 1,
      sym__identifier,
    ACTIONS(711), 1,
      aux_sym_identifier_token1,
    ACTIONS(4125), 1,
      sym_keyword_cast,
    ACTIONS(4127), 1,
      sym_keyword_case,
    ACTIONS(4131), 1,
      sym_keyword_exists,
    ACTIONS(4137), 1,
      sym_keyword_interval,
    ACTIONS(4139), 1,
      sym_keyword_array,
    ACTIONS(4141), 1,
      anon_sym_LPAREN,
    ACTIONS(4145), 1,
      anon_sym_PLUS,
    ACTIONS(4147), 1,
      anon_sym_DASH,
    ACTIONS(4149), 1,
      sym_op_unary_other,
    ACTIONS(4151), 1,
      sym__double_quote_string,
    ACTIONS(4153), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4155), 1,
      aux_sym__integer_token1,
    ACTIONS(4157), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4159), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4161), 1,
      sym__dollar_quoted_string,
    ACTIONS(5082), 1,
      sym_parameter,
    STATE(1023), 1,
      sym__single_quote_string,
    STATE(5232), 1,
      sym_identifier,
    STATE(6267), 1,
      sym_invocation,
    STATE(6459), 1,
      sym__qualified_field,
    STATE(12144), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4135), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4133), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6426), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4700), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105847] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5084), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5819), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [105958] = 28,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(1291), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(5086), 1,
      sym_parameter,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(2964), 1,
      sym_identifier,
    STATE(4197), 1,
      sym_invocation,
    STATE(4481), 1,
      sym__qualified_field,
    STATE(11994), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4309), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2256), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [106069] = 29,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4177), 1,
      sym_keyword_null,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(5090), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5088), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(922), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [106182] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5092), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5848), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [106293] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5094), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(6645), 1,
      sym_binary_expression,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6353), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [106406] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5096), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6002), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [106517] = 28,
    ACTIONS(3977), 1,
      sym__identifier,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      aux_sym_identifier_token1,
    ACTIONS(4017), 1,
      sym__dollar_quoted_string,
    ACTIONS(5098), 1,
      sym_parameter,
    STATE(4942), 1,
      sym_identifier,
    STATE(5625), 1,
      sym_invocation,
    STATE(5873), 1,
      sym__single_quote_string,
    STATE(6019), 1,
      sym__qualified_field,
    STATE(12085), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5971), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4189), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [106628] = 28,
    ACTIONS(3977), 1,
      sym__identifier,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      aux_sym_identifier_token1,
    ACTIONS(4017), 1,
      sym__dollar_quoted_string,
    ACTIONS(5100), 1,
      sym_parameter,
    STATE(4942), 1,
      sym_identifier,
    STATE(5625), 1,
      sym_invocation,
    STATE(5873), 1,
      sym__single_quote_string,
    STATE(6019), 1,
      sym__qualified_field,
    STATE(12085), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5971), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4058), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [106739] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5102), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6023), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [106850] = 28,
    ACTIONS(3977), 1,
      sym__identifier,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      aux_sym_identifier_token1,
    ACTIONS(4017), 1,
      sym__dollar_quoted_string,
    ACTIONS(5104), 1,
      sym_parameter,
    STATE(4942), 1,
      sym_identifier,
    STATE(5625), 1,
      sym_invocation,
    STATE(5873), 1,
      sym__single_quote_string,
    STATE(6019), 1,
      sym__qualified_field,
    STATE(12085), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5971), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4059), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [106961] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5106), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4989), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [107072] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(5108), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5823), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [107183] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5110), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6030), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [107294] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5112), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5045), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [107405] = 7,
    ACTIONS(5114), 1,
      sym_keyword_unsigned,
    ACTIONS(5116), 1,
      sym_keyword_zerofill,
    ACTIONS(5118), 1,
      sym_keyword_precision,
    ACTIONS(5120), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [107474] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(5122), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5618), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [107585] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5124), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5854), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [107696] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5126), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5631), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [107807] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5128), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6314), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [107918] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5130), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5859), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [108029] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5132), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5619), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [108140] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5134), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6307), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [108251] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5136), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5868), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [108362] = 28,
    ACTIONS(1009), 1,
      sym__identifier,
    ACTIONS(1067), 1,
      aux_sym_identifier_token1,
    ACTIONS(4323), 1,
      sym_keyword_cast,
    ACTIONS(4325), 1,
      sym_keyword_case,
    ACTIONS(4329), 1,
      sym_keyword_exists,
    ACTIONS(4335), 1,
      sym_keyword_interval,
    ACTIONS(4337), 1,
      sym_keyword_array,
    ACTIONS(4339), 1,
      anon_sym_LPAREN,
    ACTIONS(4343), 1,
      anon_sym_PLUS,
    ACTIONS(4345), 1,
      anon_sym_DASH,
    ACTIONS(4347), 1,
      sym_op_unary_other,
    ACTIONS(4349), 1,
      sym__double_quote_string,
    ACTIONS(4351), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4353), 1,
      aux_sym__integer_token1,
    ACTIONS(4355), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4357), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4359), 1,
      sym__dollar_quoted_string,
    ACTIONS(5138), 1,
      sym_parameter,
    STATE(2729), 1,
      sym_identifier,
    STATE(3765), 1,
      sym_invocation,
    STATE(4042), 1,
      sym__qualified_field,
    STATE(4301), 1,
      sym__single_quote_string,
    STATE(12025), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4333), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4331), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4186), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1998), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [108473] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5140), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6043), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [108584] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5142), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5875), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [108695] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5144), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6048), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [108806] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5146), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6086), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [108917] = 28,
    ACTIONS(1275), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(2856), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3513), 1,
      sym_keyword_cast,
    ACTIONS(3521), 1,
      sym_keyword_array,
    ACTIONS(3527), 1,
      anon_sym_PLUS,
    ACTIONS(3529), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      sym_op_unary_other,
    ACTIONS(3533), 1,
      sym__double_quote_string,
    ACTIONS(3535), 1,
      aux_sym__integer_token1,
    ACTIONS(3537), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3539), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3541), 1,
      sym__dollar_quoted_string,
    ACTIONS(3701), 1,
      sym_keyword_case,
    ACTIONS(3703), 1,
      sym_keyword_exists,
    ACTIONS(3705), 1,
      sym_keyword_interval,
    ACTIONS(3707), 1,
      anon_sym_LPAREN,
    ACTIONS(4217), 1,
      sym_parameter,
    STATE(426), 1,
      sym_identifier,
    STATE(806), 1,
      sym_invocation,
    STATE(894), 1,
      sym__single_quote_string,
    STATE(925), 1,
      sym__qualified_field,
    STATE(12101), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3519), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3515), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(893), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(364), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [109028] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5148), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6053), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [109139] = 28,
    ACTIONS(1275), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(2856), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3513), 1,
      sym_keyword_cast,
    ACTIONS(3521), 1,
      sym_keyword_array,
    ACTIONS(3527), 1,
      anon_sym_PLUS,
    ACTIONS(3529), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      sym_op_unary_other,
    ACTIONS(3533), 1,
      sym__double_quote_string,
    ACTIONS(3535), 1,
      aux_sym__integer_token1,
    ACTIONS(3537), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3539), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3541), 1,
      sym__dollar_quoted_string,
    ACTIONS(3701), 1,
      sym_keyword_case,
    ACTIONS(3703), 1,
      sym_keyword_exists,
    ACTIONS(3705), 1,
      sym_keyword_interval,
    ACTIONS(3707), 1,
      anon_sym_LPAREN,
    ACTIONS(5150), 1,
      sym_parameter,
    STATE(426), 1,
      sym_identifier,
    STATE(806), 1,
      sym_invocation,
    STATE(894), 1,
      sym__single_quote_string,
    STATE(925), 1,
      sym__qualified_field,
    STATE(12101), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3519), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3515), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(893), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(337), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [109250] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5152), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4982), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [109361] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5154), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6056), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [109472] = 28,
    ACTIONS(1275), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(2856), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3513), 1,
      sym_keyword_cast,
    ACTIONS(3521), 1,
      sym_keyword_array,
    ACTIONS(3527), 1,
      anon_sym_PLUS,
    ACTIONS(3529), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      sym_op_unary_other,
    ACTIONS(3533), 1,
      sym__double_quote_string,
    ACTIONS(3535), 1,
      aux_sym__integer_token1,
    ACTIONS(3537), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3539), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3541), 1,
      sym__dollar_quoted_string,
    ACTIONS(3701), 1,
      sym_keyword_case,
    ACTIONS(3703), 1,
      sym_keyword_exists,
    ACTIONS(3705), 1,
      sym_keyword_interval,
    ACTIONS(3707), 1,
      anon_sym_LPAREN,
    ACTIONS(5156), 1,
      sym_parameter,
    STATE(426), 1,
      sym_identifier,
    STATE(806), 1,
      sym_invocation,
    STATE(894), 1,
      sym__single_quote_string,
    STATE(925), 1,
      sym__qualified_field,
    STATE(12101), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3519), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3515), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(893), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(336), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [109583] = 28,
    ACTIONS(1275), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(2856), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3513), 1,
      sym_keyword_cast,
    ACTIONS(3521), 1,
      sym_keyword_array,
    ACTIONS(3527), 1,
      anon_sym_PLUS,
    ACTIONS(3529), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      sym_op_unary_other,
    ACTIONS(3533), 1,
      sym__double_quote_string,
    ACTIONS(3535), 1,
      aux_sym__integer_token1,
    ACTIONS(3537), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3539), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3541), 1,
      sym__dollar_quoted_string,
    ACTIONS(3701), 1,
      sym_keyword_case,
    ACTIONS(3703), 1,
      sym_keyword_exists,
    ACTIONS(3705), 1,
      sym_keyword_interval,
    ACTIONS(3707), 1,
      anon_sym_LPAREN,
    ACTIONS(5158), 1,
      sym_parameter,
    STATE(426), 1,
      sym_identifier,
    STATE(806), 1,
      sym_invocation,
    STATE(894), 1,
      sym__single_quote_string,
    STATE(925), 1,
      sym__qualified_field,
    STATE(12101), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3519), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3515), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(893), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(330), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [109694] = 28,
    ACTIONS(1275), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(2856), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3513), 1,
      sym_keyword_cast,
    ACTIONS(3521), 1,
      sym_keyword_array,
    ACTIONS(3527), 1,
      anon_sym_PLUS,
    ACTIONS(3529), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      sym_op_unary_other,
    ACTIONS(3533), 1,
      sym__double_quote_string,
    ACTIONS(3535), 1,
      aux_sym__integer_token1,
    ACTIONS(3537), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3539), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3541), 1,
      sym__dollar_quoted_string,
    ACTIONS(3701), 1,
      sym_keyword_case,
    ACTIONS(3703), 1,
      sym_keyword_exists,
    ACTIONS(3705), 1,
      sym_keyword_interval,
    ACTIONS(3707), 1,
      anon_sym_LPAREN,
    ACTIONS(5160), 1,
      sym_parameter,
    STATE(426), 1,
      sym_identifier,
    STATE(806), 1,
      sym_invocation,
    STATE(894), 1,
      sym__single_quote_string,
    STATE(925), 1,
      sym__qualified_field,
    STATE(12101), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3519), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3515), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(893), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(329), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [109805] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5162), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4976), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [109916] = 28,
    ACTIONS(1275), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(2856), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3513), 1,
      sym_keyword_cast,
    ACTIONS(3521), 1,
      sym_keyword_array,
    ACTIONS(3527), 1,
      anon_sym_PLUS,
    ACTIONS(3529), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      sym_op_unary_other,
    ACTIONS(3533), 1,
      sym__double_quote_string,
    ACTIONS(3535), 1,
      aux_sym__integer_token1,
    ACTIONS(3537), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3539), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3541), 1,
      sym__dollar_quoted_string,
    ACTIONS(3701), 1,
      sym_keyword_case,
    ACTIONS(3703), 1,
      sym_keyword_exists,
    ACTIONS(3705), 1,
      sym_keyword_interval,
    ACTIONS(3707), 1,
      anon_sym_LPAREN,
    ACTIONS(5164), 1,
      sym_parameter,
    STATE(426), 1,
      sym_identifier,
    STATE(806), 1,
      sym_invocation,
    STATE(894), 1,
      sym__single_quote_string,
    STATE(925), 1,
      sym__qualified_field,
    STATE(12101), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3519), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3515), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(893), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(327), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [110027] = 28,
    ACTIONS(1275), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(2856), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3513), 1,
      sym_keyword_cast,
    ACTIONS(3521), 1,
      sym_keyword_array,
    ACTIONS(3527), 1,
      anon_sym_PLUS,
    ACTIONS(3529), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      sym_op_unary_other,
    ACTIONS(3533), 1,
      sym__double_quote_string,
    ACTIONS(3535), 1,
      aux_sym__integer_token1,
    ACTIONS(3537), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3539), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3541), 1,
      sym__dollar_quoted_string,
    ACTIONS(3701), 1,
      sym_keyword_case,
    ACTIONS(3703), 1,
      sym_keyword_exists,
    ACTIONS(3705), 1,
      sym_keyword_interval,
    ACTIONS(3707), 1,
      anon_sym_LPAREN,
    ACTIONS(5166), 1,
      sym_parameter,
    STATE(426), 1,
      sym_identifier,
    STATE(806), 1,
      sym_invocation,
    STATE(894), 1,
      sym__single_quote_string,
    STATE(925), 1,
      sym__qualified_field,
    STATE(12101), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3519), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3515), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(893), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(326), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [110138] = 28,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(1291), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(5168), 1,
      sym_parameter,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(2964), 1,
      sym_identifier,
    STATE(4197), 1,
      sym_invocation,
    STATE(4481), 1,
      sym__qualified_field,
    STATE(11994), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4309), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2365), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [110249] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    ACTIONS(3937), 1,
      sym_parameter,
    ACTIONS(3939), 1,
      sym_op_unary_other,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5349), 1,
      sym_invocation,
    STATE(12005), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3933), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3550), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [110360] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5170), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6239), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [110471] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5172), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6090), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [110582] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5174), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5577), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [110693] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5176), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6214), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [110804] = 28,
    ACTIONS(1275), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(2856), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3513), 1,
      sym_keyword_cast,
    ACTIONS(3521), 1,
      sym_keyword_array,
    ACTIONS(3527), 1,
      anon_sym_PLUS,
    ACTIONS(3529), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      sym_op_unary_other,
    ACTIONS(3533), 1,
      sym__double_quote_string,
    ACTIONS(3535), 1,
      aux_sym__integer_token1,
    ACTIONS(3537), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3539), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3541), 1,
      sym__dollar_quoted_string,
    ACTIONS(3701), 1,
      sym_keyword_case,
    ACTIONS(3703), 1,
      sym_keyword_exists,
    ACTIONS(3705), 1,
      sym_keyword_interval,
    ACTIONS(3707), 1,
      anon_sym_LPAREN,
    ACTIONS(5178), 1,
      sym_parameter,
    STATE(426), 1,
      sym_identifier,
    STATE(806), 1,
      sym_invocation,
    STATE(894), 1,
      sym__single_quote_string,
    STATE(925), 1,
      sym__qualified_field,
    STATE(12101), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3519), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3515), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(893), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(323), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [110915] = 28,
    ACTIONS(1275), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(2856), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3513), 1,
      sym_keyword_cast,
    ACTIONS(3521), 1,
      sym_keyword_array,
    ACTIONS(3527), 1,
      anon_sym_PLUS,
    ACTIONS(3529), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      sym_op_unary_other,
    ACTIONS(3533), 1,
      sym__double_quote_string,
    ACTIONS(3535), 1,
      aux_sym__integer_token1,
    ACTIONS(3537), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3539), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3541), 1,
      sym__dollar_quoted_string,
    ACTIONS(3701), 1,
      sym_keyword_case,
    ACTIONS(3703), 1,
      sym_keyword_exists,
    ACTIONS(3705), 1,
      sym_keyword_interval,
    ACTIONS(3707), 1,
      anon_sym_LPAREN,
    ACTIONS(5180), 1,
      sym_parameter,
    STATE(426), 1,
      sym_identifier,
    STATE(806), 1,
      sym_invocation,
    STATE(894), 1,
      sym__single_quote_string,
    STATE(925), 1,
      sym__qualified_field,
    STATE(12101), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3519), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3515), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(893), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(322), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [111026] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5182), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6092), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [111137] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5184), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5967), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [111248] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5186), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5055), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [111359] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5188), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6133), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [111470] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5190), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5753), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [111581] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5192), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6123), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [111692] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5194), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6135), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [111803] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5196), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6126), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [111914] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5198), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6128), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [112025] = 28,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1205), 1,
      aux_sym_identifier_token1,
    ACTIONS(4075), 1,
      sym_keyword_cast,
    ACTIONS(4077), 1,
      sym_keyword_case,
    ACTIONS(4081), 1,
      sym_keyword_exists,
    ACTIONS(4087), 1,
      sym_keyword_interval,
    ACTIONS(4089), 1,
      sym_keyword_array,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    ACTIONS(4095), 1,
      anon_sym_PLUS,
    ACTIONS(4097), 1,
      anon_sym_DASH,
    ACTIONS(4099), 1,
      sym_op_unary_other,
    ACTIONS(4101), 1,
      sym__double_quote_string,
    ACTIONS(4103), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4105), 1,
      aux_sym__integer_token1,
    ACTIONS(4107), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4109), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4111), 1,
      sym__dollar_quoted_string,
    ACTIONS(5200), 1,
      sym_parameter,
    STATE(2885), 1,
      sym_identifier,
    STATE(4010), 1,
      sym_invocation,
    STATE(4482), 1,
      sym__single_quote_string,
    STATE(4670), 1,
      sym__qualified_field,
    STATE(11942), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4085), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4083), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4547), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2143), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [112136] = 28,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3001), 1,
      sym_keyword_cast,
    ACTIONS(3003), 1,
      sym_keyword_case,
    ACTIONS(3007), 1,
      sym_keyword_exists,
    ACTIONS(3011), 1,
      sym_keyword_interval,
    ACTIONS(3013), 1,
      sym_keyword_array,
    ACTIONS(3015), 1,
      anon_sym_LPAREN,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3023), 1,
      sym_op_unary_other,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(5202), 1,
      sym_parameter,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(2840), 1,
      sym_identifier,
    STATE(3449), 1,
      sym_invocation,
    STATE(4290), 1,
      sym__qualified_field,
    STATE(11699), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3005), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1944), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [112247] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    ACTIONS(3939), 1,
      sym_op_unary_other,
    ACTIONS(5204), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5349), 1,
      sym_invocation,
    STATE(12005), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3933), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3502), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [112358] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5206), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4957), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [112469] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5208), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6109), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [112580] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5210), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6139), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [112691] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5212), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5024), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [112802] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5214), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5911), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [112913] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5216), 1,
      anon_sym_LPAREN,
    ACTIONS(5218), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5265), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [113024] = 29,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4241), 1,
      sym_keyword_null,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(5222), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5220), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(983), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [113137] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5224), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5958), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [113248] = 28,
    ACTIONS(833), 1,
      sym__identifier,
    ACTIONS(891), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(5226), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(2999), 1,
      sym_identifier,
    STATE(4357), 1,
      sym_invocation,
    STATE(4511), 1,
      sym__qualified_field,
    STATE(11975), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4674), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2263), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [113359] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5228), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6276), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [113470] = 5,
    ACTIONS(4375), 1,
      sym_keyword_filter,
    STATE(1960), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2698), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2696), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [113535] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5230), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5543), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [113646] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5232), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6190), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [113757] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5234), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5943), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [113868] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(3975), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1468), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [113979] = 28,
    ACTIONS(1275), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(2856), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3513), 1,
      sym_keyword_cast,
    ACTIONS(3521), 1,
      sym_keyword_array,
    ACTIONS(3527), 1,
      anon_sym_PLUS,
    ACTIONS(3529), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      sym_op_unary_other,
    ACTIONS(3533), 1,
      sym__double_quote_string,
    ACTIONS(3535), 1,
      aux_sym__integer_token1,
    ACTIONS(3537), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3539), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3541), 1,
      sym__dollar_quoted_string,
    ACTIONS(3701), 1,
      sym_keyword_case,
    ACTIONS(3703), 1,
      sym_keyword_exists,
    ACTIONS(3705), 1,
      sym_keyword_interval,
    ACTIONS(3707), 1,
      anon_sym_LPAREN,
    ACTIONS(5236), 1,
      sym_parameter,
    STATE(426), 1,
      sym_identifier,
    STATE(806), 1,
      sym_invocation,
    STATE(894), 1,
      sym__single_quote_string,
    STATE(925), 1,
      sym__qualified_field,
    STATE(12101), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3519), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3515), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(893), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(353), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [114090] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5238), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5960), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [114201] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5240), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5953), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [114312] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5242), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5945), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [114423] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5244), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5926), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [114534] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5246), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5942), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [114645] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5248), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5912), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [114756] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5250), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5902), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [114867] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5252), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5901), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [114978] = 9,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2571), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [115051] = 16,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4519), 1,
      sym_keyword_not,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2573), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [115138] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5254), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5839), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [115249] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5256), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5941), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [115360] = 6,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 38,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [115427] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(457), 1,
      aux_sym_identifier_token1,
    ACTIONS(3839), 1,
      sym_keyword_cast,
    ACTIONS(3841), 1,
      sym_keyword_case,
    ACTIONS(3845), 1,
      sym_keyword_exists,
    ACTIONS(3849), 1,
      sym_keyword_interval,
    ACTIONS(3851), 1,
      sym_keyword_array,
    ACTIONS(3853), 1,
      anon_sym_LPAREN,
    ACTIONS(3857), 1,
      anon_sym_PLUS,
    ACTIONS(3859), 1,
      anon_sym_DASH,
    ACTIONS(3861), 1,
      sym_op_unary_other,
    ACTIONS(3863), 1,
      sym__double_quote_string,
    ACTIONS(3865), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3867), 1,
      aux_sym__integer_token1,
    ACTIONS(3869), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3871), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3873), 1,
      sym__dollar_quoted_string,
    ACTIONS(5258), 1,
      sym_parameter,
    STATE(3102), 1,
      sym_identifier,
    STATE(3999), 1,
      sym_invocation,
    STATE(4419), 1,
      sym__qualified_field,
    STATE(4477), 1,
      sym__single_quote_string,
    STATE(12125), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3847), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3843), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4458), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2138), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [115538] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2573), 1,
      anon_sym_COLON,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_preceding,
      sym_keyword_following,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [115637] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(457), 1,
      aux_sym_identifier_token1,
    ACTIONS(3839), 1,
      sym_keyword_cast,
    ACTIONS(3841), 1,
      sym_keyword_case,
    ACTIONS(3845), 1,
      sym_keyword_exists,
    ACTIONS(3849), 1,
      sym_keyword_interval,
    ACTIONS(3851), 1,
      sym_keyword_array,
    ACTIONS(3853), 1,
      anon_sym_LPAREN,
    ACTIONS(3857), 1,
      anon_sym_PLUS,
    ACTIONS(3859), 1,
      anon_sym_DASH,
    ACTIONS(3861), 1,
      sym_op_unary_other,
    ACTIONS(3863), 1,
      sym__double_quote_string,
    ACTIONS(3865), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3867), 1,
      aux_sym__integer_token1,
    ACTIONS(3869), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3871), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3873), 1,
      sym__dollar_quoted_string,
    ACTIONS(5264), 1,
      sym_parameter,
    STATE(3102), 1,
      sym_identifier,
    STATE(3999), 1,
      sym_invocation,
    STATE(4419), 1,
      sym__qualified_field,
    STATE(4477), 1,
      sym__single_quote_string,
    STATE(12125), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3847), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3843), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4458), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2134), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [115748] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5266), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5897), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [115859] = 21,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2573), 1,
      anon_sym_COLON,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_preceding,
      sym_keyword_following,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [115956] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5268), 1,
      anon_sym_LPAREN,
    ACTIONS(5270), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5251), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [116067] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5272), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5114), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [116178] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5274), 1,
      anon_sym_LPAREN,
    ACTIONS(5276), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5248), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [116289] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5278), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5890), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [116400] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    ACTIONS(3939), 1,
      sym_op_unary_other,
    ACTIONS(5280), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5349), 1,
      sym_invocation,
    STATE(12005), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3933), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4805), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [116511] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5282), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5628), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [116622] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5284), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1109), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [116733] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5286), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5888), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [116844] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5288), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5885), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [116955] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5290), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5861), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [117066] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5292), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5935), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [117177] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5094), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(6662), 1,
      sym_binary_expression,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6353), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [117290] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5294), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5110), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [117401] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5296), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1117), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [117512] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5298), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1118), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [117623] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5300), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6263), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [117734] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5302), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5858), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [117845] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5304), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5671), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [117956] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5306), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6321), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [118067] = 28,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3967), 1,
      anon_sym_LPAREN,
    ACTIONS(3971), 1,
      sym_op_unary_other,
    ACTIONS(5308), 1,
      sym_parameter,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(4795), 1,
      sym_invocation,
    STATE(12159), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2740), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [118178] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(457), 1,
      aux_sym_identifier_token1,
    ACTIONS(3839), 1,
      sym_keyword_cast,
    ACTIONS(3841), 1,
      sym_keyword_case,
    ACTIONS(3845), 1,
      sym_keyword_exists,
    ACTIONS(3849), 1,
      sym_keyword_interval,
    ACTIONS(3851), 1,
      sym_keyword_array,
    ACTIONS(3853), 1,
      anon_sym_LPAREN,
    ACTIONS(3857), 1,
      anon_sym_PLUS,
    ACTIONS(3859), 1,
      anon_sym_DASH,
    ACTIONS(3861), 1,
      sym_op_unary_other,
    ACTIONS(3863), 1,
      sym__double_quote_string,
    ACTIONS(3865), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3867), 1,
      aux_sym__integer_token1,
    ACTIONS(3869), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3871), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3873), 1,
      sym__dollar_quoted_string,
    ACTIONS(4207), 1,
      sym_parameter,
    STATE(3102), 1,
      sym_identifier,
    STATE(3999), 1,
      sym_invocation,
    STATE(4419), 1,
      sym__qualified_field,
    STATE(4477), 1,
      sym__single_quote_string,
    STATE(12125), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3847), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3843), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4458), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2226), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [118289] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5310), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5845), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [118400] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(457), 1,
      aux_sym_identifier_token1,
    ACTIONS(3839), 1,
      sym_keyword_cast,
    ACTIONS(3841), 1,
      sym_keyword_case,
    ACTIONS(3845), 1,
      sym_keyword_exists,
    ACTIONS(3849), 1,
      sym_keyword_interval,
    ACTIONS(3851), 1,
      sym_keyword_array,
    ACTIONS(3853), 1,
      anon_sym_LPAREN,
    ACTIONS(3857), 1,
      anon_sym_PLUS,
    ACTIONS(3859), 1,
      anon_sym_DASH,
    ACTIONS(3861), 1,
      sym_op_unary_other,
    ACTIONS(3863), 1,
      sym__double_quote_string,
    ACTIONS(3865), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3867), 1,
      aux_sym__integer_token1,
    ACTIONS(3869), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3871), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3873), 1,
      sym__dollar_quoted_string,
    ACTIONS(5312), 1,
      sym_parameter,
    STATE(3102), 1,
      sym_identifier,
    STATE(3999), 1,
      sym_invocation,
    STATE(4419), 1,
      sym__qualified_field,
    STATE(4477), 1,
      sym__single_quote_string,
    STATE(12125), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3847), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3843), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4458), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2130), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [118511] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(457), 1,
      aux_sym_identifier_token1,
    ACTIONS(3839), 1,
      sym_keyword_cast,
    ACTIONS(3841), 1,
      sym_keyword_case,
    ACTIONS(3845), 1,
      sym_keyword_exists,
    ACTIONS(3849), 1,
      sym_keyword_interval,
    ACTIONS(3851), 1,
      sym_keyword_array,
    ACTIONS(3853), 1,
      anon_sym_LPAREN,
    ACTIONS(3857), 1,
      anon_sym_PLUS,
    ACTIONS(3859), 1,
      anon_sym_DASH,
    ACTIONS(3861), 1,
      sym_op_unary_other,
    ACTIONS(3863), 1,
      sym__double_quote_string,
    ACTIONS(3865), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3867), 1,
      aux_sym__integer_token1,
    ACTIONS(3869), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3871), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3873), 1,
      sym__dollar_quoted_string,
    ACTIONS(5314), 1,
      sym_parameter,
    STATE(3102), 1,
      sym_identifier,
    STATE(3999), 1,
      sym_invocation,
    STATE(4419), 1,
      sym__qualified_field,
    STATE(4477), 1,
      sym__single_quote_string,
    STATE(12125), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3847), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3843), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4458), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2129), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [118622] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(457), 1,
      aux_sym_identifier_token1,
    ACTIONS(3839), 1,
      sym_keyword_cast,
    ACTIONS(3841), 1,
      sym_keyword_case,
    ACTIONS(3845), 1,
      sym_keyword_exists,
    ACTIONS(3849), 1,
      sym_keyword_interval,
    ACTIONS(3851), 1,
      sym_keyword_array,
    ACTIONS(3853), 1,
      anon_sym_LPAREN,
    ACTIONS(3857), 1,
      anon_sym_PLUS,
    ACTIONS(3859), 1,
      anon_sym_DASH,
    ACTIONS(3861), 1,
      sym_op_unary_other,
    ACTIONS(3863), 1,
      sym__double_quote_string,
    ACTIONS(3865), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3867), 1,
      aux_sym__integer_token1,
    ACTIONS(3869), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3871), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3873), 1,
      sym__dollar_quoted_string,
    ACTIONS(5316), 1,
      sym_parameter,
    STATE(3102), 1,
      sym_identifier,
    STATE(3999), 1,
      sym_invocation,
    STATE(4419), 1,
      sym__qualified_field,
    STATE(4477), 1,
      sym__single_quote_string,
    STATE(12125), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3847), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3843), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4458), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2128), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [118733] = 28,
    ACTIONS(1275), 1,
      sym__identifier,
    ACTIONS(1279), 1,
      aux_sym_identifier_token1,
    ACTIONS(2856), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3513), 1,
      sym_keyword_cast,
    ACTIONS(3521), 1,
      sym_keyword_array,
    ACTIONS(3527), 1,
      anon_sym_PLUS,
    ACTIONS(3529), 1,
      anon_sym_DASH,
    ACTIONS(3531), 1,
      sym_op_unary_other,
    ACTIONS(3533), 1,
      sym__double_quote_string,
    ACTIONS(3535), 1,
      aux_sym__integer_token1,
    ACTIONS(3537), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3539), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3541), 1,
      sym__dollar_quoted_string,
    ACTIONS(3701), 1,
      sym_keyword_case,
    ACTIONS(3703), 1,
      sym_keyword_exists,
    ACTIONS(3705), 1,
      sym_keyword_interval,
    ACTIONS(3707), 1,
      anon_sym_LPAREN,
    ACTIONS(5318), 1,
      sym_parameter,
    STATE(426), 1,
      sym_identifier,
    STATE(806), 1,
      sym_invocation,
    STATE(894), 1,
      sym__single_quote_string,
    STATE(925), 1,
      sym__qualified_field,
    STATE(12101), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3519), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3515), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(893), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(914), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [118844] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(457), 1,
      aux_sym_identifier_token1,
    ACTIONS(3839), 1,
      sym_keyword_cast,
    ACTIONS(3841), 1,
      sym_keyword_case,
    ACTIONS(3845), 1,
      sym_keyword_exists,
    ACTIONS(3849), 1,
      sym_keyword_interval,
    ACTIONS(3851), 1,
      sym_keyword_array,
    ACTIONS(3853), 1,
      anon_sym_LPAREN,
    ACTIONS(3857), 1,
      anon_sym_PLUS,
    ACTIONS(3859), 1,
      anon_sym_DASH,
    ACTIONS(3861), 1,
      sym_op_unary_other,
    ACTIONS(3863), 1,
      sym__double_quote_string,
    ACTIONS(3865), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3867), 1,
      aux_sym__integer_token1,
    ACTIONS(3869), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3871), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3873), 1,
      sym__dollar_quoted_string,
    ACTIONS(5320), 1,
      sym_parameter,
    STATE(3102), 1,
      sym_identifier,
    STATE(3999), 1,
      sym_invocation,
    STATE(4419), 1,
      sym__qualified_field,
    STATE(4477), 1,
      sym__single_quote_string,
    STATE(12125), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3847), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3843), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4458), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2127), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [118955] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5322), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5841), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [119066] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(457), 1,
      aux_sym_identifier_token1,
    ACTIONS(3839), 1,
      sym_keyword_cast,
    ACTIONS(3841), 1,
      sym_keyword_case,
    ACTIONS(3845), 1,
      sym_keyword_exists,
    ACTIONS(3849), 1,
      sym_keyword_interval,
    ACTIONS(3851), 1,
      sym_keyword_array,
    ACTIONS(3853), 1,
      anon_sym_LPAREN,
    ACTIONS(3857), 1,
      anon_sym_PLUS,
    ACTIONS(3859), 1,
      anon_sym_DASH,
    ACTIONS(3861), 1,
      sym_op_unary_other,
    ACTIONS(3863), 1,
      sym__double_quote_string,
    ACTIONS(3865), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3867), 1,
      aux_sym__integer_token1,
    ACTIONS(3869), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3871), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3873), 1,
      sym__dollar_quoted_string,
    ACTIONS(5324), 1,
      sym_parameter,
    STATE(3102), 1,
      sym_identifier,
    STATE(3999), 1,
      sym_invocation,
    STATE(4419), 1,
      sym__qualified_field,
    STATE(4477), 1,
      sym__single_quote_string,
    STATE(12125), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3847), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3843), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4458), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2126), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [119177] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5326), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1126), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [119288] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(457), 1,
      aux_sym_identifier_token1,
    ACTIONS(3839), 1,
      sym_keyword_cast,
    ACTIONS(3841), 1,
      sym_keyword_case,
    ACTIONS(3845), 1,
      sym_keyword_exists,
    ACTIONS(3849), 1,
      sym_keyword_interval,
    ACTIONS(3851), 1,
      sym_keyword_array,
    ACTIONS(3853), 1,
      anon_sym_LPAREN,
    ACTIONS(3857), 1,
      anon_sym_PLUS,
    ACTIONS(3859), 1,
      anon_sym_DASH,
    ACTIONS(3861), 1,
      sym_op_unary_other,
    ACTIONS(3863), 1,
      sym__double_quote_string,
    ACTIONS(3865), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3867), 1,
      aux_sym__integer_token1,
    ACTIONS(3869), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3871), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3873), 1,
      sym__dollar_quoted_string,
    ACTIONS(5328), 1,
      sym_parameter,
    STATE(3102), 1,
      sym_identifier,
    STATE(3999), 1,
      sym_invocation,
    STATE(4419), 1,
      sym__qualified_field,
    STATE(4477), 1,
      sym__single_quote_string,
    STATE(12125), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3847), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3843), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4458), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2124), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [119399] = 28,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(1291), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(4067), 1,
      sym_parameter,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(2964), 1,
      sym_identifier,
    STATE(4197), 1,
      sym_invocation,
    STATE(4481), 1,
      sym__qualified_field,
    STATE(11994), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4309), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2362), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [119510] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(457), 1,
      aux_sym_identifier_token1,
    ACTIONS(3839), 1,
      sym_keyword_cast,
    ACTIONS(3841), 1,
      sym_keyword_case,
    ACTIONS(3845), 1,
      sym_keyword_exists,
    ACTIONS(3849), 1,
      sym_keyword_interval,
    ACTIONS(3851), 1,
      sym_keyword_array,
    ACTIONS(3853), 1,
      anon_sym_LPAREN,
    ACTIONS(3857), 1,
      anon_sym_PLUS,
    ACTIONS(3859), 1,
      anon_sym_DASH,
    ACTIONS(3861), 1,
      sym_op_unary_other,
    ACTIONS(3863), 1,
      sym__double_quote_string,
    ACTIONS(3865), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3867), 1,
      aux_sym__integer_token1,
    ACTIONS(3869), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3871), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3873), 1,
      sym__dollar_quoted_string,
    ACTIONS(5330), 1,
      sym_parameter,
    STATE(3102), 1,
      sym_identifier,
    STATE(3999), 1,
      sym_invocation,
    STATE(4419), 1,
      sym__qualified_field,
    STATE(4477), 1,
      sym__single_quote_string,
    STATE(12125), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3847), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3843), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4458), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2122), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [119621] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(457), 1,
      aux_sym_identifier_token1,
    ACTIONS(3839), 1,
      sym_keyword_cast,
    ACTIONS(3841), 1,
      sym_keyword_case,
    ACTIONS(3845), 1,
      sym_keyword_exists,
    ACTIONS(3849), 1,
      sym_keyword_interval,
    ACTIONS(3851), 1,
      sym_keyword_array,
    ACTIONS(3853), 1,
      anon_sym_LPAREN,
    ACTIONS(3857), 1,
      anon_sym_PLUS,
    ACTIONS(3859), 1,
      anon_sym_DASH,
    ACTIONS(3861), 1,
      sym_op_unary_other,
    ACTIONS(3863), 1,
      sym__double_quote_string,
    ACTIONS(3865), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3867), 1,
      aux_sym__integer_token1,
    ACTIONS(3869), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3871), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3873), 1,
      sym__dollar_quoted_string,
    ACTIONS(5332), 1,
      sym_parameter,
    STATE(3102), 1,
      sym_identifier,
    STATE(3999), 1,
      sym_invocation,
    STATE(4419), 1,
      sym__qualified_field,
    STATE(4477), 1,
      sym__single_quote_string,
    STATE(12125), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3847), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3843), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4458), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2120), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [119732] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5334), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5836), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [119843] = 28,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3967), 1,
      anon_sym_LPAREN,
    ACTIONS(3971), 1,
      sym_op_unary_other,
    ACTIONS(5336), 1,
      sym_parameter,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(4795), 1,
      sym_invocation,
    STATE(12159), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2736), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [119954] = 28,
    ACTIONS(1009), 1,
      sym__identifier,
    ACTIONS(1067), 1,
      aux_sym_identifier_token1,
    ACTIONS(4323), 1,
      sym_keyword_cast,
    ACTIONS(4325), 1,
      sym_keyword_case,
    ACTIONS(4329), 1,
      sym_keyword_exists,
    ACTIONS(4335), 1,
      sym_keyword_interval,
    ACTIONS(4337), 1,
      sym_keyword_array,
    ACTIONS(4339), 1,
      anon_sym_LPAREN,
    ACTIONS(4343), 1,
      anon_sym_PLUS,
    ACTIONS(4345), 1,
      anon_sym_DASH,
    ACTIONS(4347), 1,
      sym_op_unary_other,
    ACTIONS(4349), 1,
      sym__double_quote_string,
    ACTIONS(4351), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4353), 1,
      aux_sym__integer_token1,
    ACTIONS(4355), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4357), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4359), 1,
      sym__dollar_quoted_string,
    ACTIONS(5338), 1,
      sym_parameter,
    STATE(2729), 1,
      sym_identifier,
    STATE(3765), 1,
      sym_invocation,
    STATE(4042), 1,
      sym__qualified_field,
    STATE(4301), 1,
      sym__single_quote_string,
    STATE(12025), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4333), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4331), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4186), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2028), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [120065] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5340), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5856), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [120176] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5342), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5837), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [120287] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5344), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1464), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [120398] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    ACTIONS(3939), 1,
      sym_op_unary_other,
    ACTIONS(5346), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5349), 1,
      sym_invocation,
    STATE(12005), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3933), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4479), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [120509] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5348), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5089), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [120620] = 28,
    ACTIONS(399), 1,
      sym__identifier,
    ACTIONS(457), 1,
      aux_sym_identifier_token1,
    ACTIONS(3839), 1,
      sym_keyword_cast,
    ACTIONS(3841), 1,
      sym_keyword_case,
    ACTIONS(3845), 1,
      sym_keyword_exists,
    ACTIONS(3849), 1,
      sym_keyword_interval,
    ACTIONS(3851), 1,
      sym_keyword_array,
    ACTIONS(3853), 1,
      anon_sym_LPAREN,
    ACTIONS(3857), 1,
      anon_sym_PLUS,
    ACTIONS(3859), 1,
      anon_sym_DASH,
    ACTIONS(3861), 1,
      sym_op_unary_other,
    ACTIONS(3863), 1,
      sym__double_quote_string,
    ACTIONS(3865), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3867), 1,
      aux_sym__integer_token1,
    ACTIONS(3869), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3871), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3873), 1,
      sym__dollar_quoted_string,
    ACTIONS(5350), 1,
      sym_parameter,
    STATE(3102), 1,
      sym_identifier,
    STATE(3999), 1,
      sym_invocation,
    STATE(4419), 1,
      sym__qualified_field,
    STATE(4477), 1,
      sym__single_quote_string,
    STATE(12125), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3847), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3843), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4458), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2103), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [120731] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5352), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5833), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [120842] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5354), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5832), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [120953] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5356), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5076), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [121064] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5358), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1465), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [121175] = 28,
    ACTIONS(4269), 1,
      sym__identifier,
    ACTIONS(4271), 1,
      sym_keyword_cast,
    ACTIONS(4273), 1,
      sym_keyword_case,
    ACTIONS(4277), 1,
      sym_keyword_exists,
    ACTIONS(4283), 1,
      sym_keyword_interval,
    ACTIONS(4285), 1,
      sym_keyword_array,
    ACTIONS(4287), 1,
      anon_sym_LPAREN,
    ACTIONS(4291), 1,
      anon_sym_PLUS,
    ACTIONS(4293), 1,
      anon_sym_DASH,
    ACTIONS(4295), 1,
      sym_op_unary_other,
    ACTIONS(4297), 1,
      sym__double_quote_string,
    ACTIONS(4299), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4301), 1,
      aux_sym__integer_token1,
    ACTIONS(4303), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4305), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4307), 1,
      aux_sym_identifier_token1,
    ACTIONS(4309), 1,
      sym__dollar_quoted_string,
    ACTIONS(5360), 1,
      sym_parameter,
    STATE(4864), 1,
      sym_identifier,
    STATE(5172), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__single_quote_string,
    STATE(5652), 1,
      sym__qualified_field,
    STATE(11958), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4281), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4279), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5716), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3820), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [121286] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5362), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6268), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [121397] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1386), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1384), 45,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [121458] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5364), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5830), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [121569] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5366), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5795), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [121680] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5368), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6299), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [121791] = 29,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4241), 1,
      sym_keyword_null,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(5370), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4556), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(975), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [121904] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5372), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5818), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [122015] = 28,
    ACTIONS(1211), 1,
      sym__identifier,
    ACTIONS(1269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3883), 1,
      sym_keyword_cast,
    ACTIONS(3885), 1,
      sym_keyword_case,
    ACTIONS(3889), 1,
      sym_keyword_exists,
    ACTIONS(3895), 1,
      sym_keyword_interval,
    ACTIONS(3897), 1,
      sym_keyword_array,
    ACTIONS(3899), 1,
      anon_sym_LPAREN,
    ACTIONS(3903), 1,
      anon_sym_PLUS,
    ACTIONS(3905), 1,
      anon_sym_DASH,
    ACTIONS(3907), 1,
      sym_op_unary_other,
    ACTIONS(3909), 1,
      sym__double_quote_string,
    ACTIONS(3911), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3913), 1,
      aux_sym__integer_token1,
    ACTIONS(3915), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3917), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3919), 1,
      sym__dollar_quoted_string,
    ACTIONS(5374), 1,
      sym_parameter,
    STATE(3154), 1,
      sym_identifier,
    STATE(4675), 1,
      sym_invocation,
    STATE(4740), 1,
      sym__single_quote_string,
    STATE(4781), 1,
      sym__qualified_field,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3893), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3891), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4749), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2428), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [122126] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5376), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6132), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [122237] = 5,
    ACTIONS(5378), 1,
      sym_keyword_filter,
    STATE(2071), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2676), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2678), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [122302] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5380), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5817), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [122413] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5382), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5907), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [122524] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5384), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5810), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [122635] = 28,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(5386), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4177), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(881), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [122746] = 5,
    ACTIONS(5378), 1,
      sym_keyword_filter,
    STATE(2075), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2728), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2730), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [122811] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    ACTIONS(3939), 1,
      sym_op_unary_other,
    ACTIONS(5388), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5349), 1,
      sym_invocation,
    STATE(12005), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3933), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3501), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [122922] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5390), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5965), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [123033] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5392), 1,
      anon_sym_LPAREN,
    ACTIONS(5394), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5240), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [123144] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5396), 1,
      anon_sym_LPAREN,
    ACTIONS(5398), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5239), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [123255] = 29,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4241), 1,
      sym_keyword_null,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(5400), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5220), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(829), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [123368] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5402), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5082), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [123479] = 5,
    ACTIONS(5378), 1,
      sym_keyword_filter,
    STATE(2076), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2670), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2672), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [123544] = 5,
    ACTIONS(5378), 1,
      sym_keyword_filter,
    STATE(2077), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2746), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [123609] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5404), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5849), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [123720] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5406), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4995), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [123831] = 28,
    ACTIONS(1211), 1,
      sym__identifier,
    ACTIONS(1269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3883), 1,
      sym_keyword_cast,
    ACTIONS(3885), 1,
      sym_keyword_case,
    ACTIONS(3889), 1,
      sym_keyword_exists,
    ACTIONS(3895), 1,
      sym_keyword_interval,
    ACTIONS(3897), 1,
      sym_keyword_array,
    ACTIONS(3899), 1,
      anon_sym_LPAREN,
    ACTIONS(3903), 1,
      anon_sym_PLUS,
    ACTIONS(3905), 1,
      anon_sym_DASH,
    ACTIONS(3907), 1,
      sym_op_unary_other,
    ACTIONS(3909), 1,
      sym__double_quote_string,
    ACTIONS(3911), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3913), 1,
      aux_sym__integer_token1,
    ACTIONS(3915), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3917), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3919), 1,
      sym__dollar_quoted_string,
    ACTIONS(5408), 1,
      sym_parameter,
    STATE(3154), 1,
      sym_identifier,
    STATE(4675), 1,
      sym_invocation,
    STATE(4740), 1,
      sym__single_quote_string,
    STATE(4781), 1,
      sym__qualified_field,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3893), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3891), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4749), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2505), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [123942] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    ACTIONS(3939), 1,
      sym_op_unary_other,
    ACTIONS(5410), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5349), 1,
      sym_invocation,
    STATE(12005), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3933), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3499), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [124053] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5412), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1470), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [124164] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3403), 1,
      sym_keyword_in,
    ACTIONS(3405), 1,
      sym_keyword_and,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3409), 1,
      sym_keyword_not,
    ACTIONS(3411), 1,
      sym_keyword_between,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      sym_op_other,
    ACTIONS(3423), 1,
      anon_sym_PLUS,
    ACTIONS(3425), 1,
      anon_sym_DASH,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(5414), 1,
      anon_sym_COLON_COLON,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3419), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3415), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3439), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [124265] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5416), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1473), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [124376] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5418), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6230), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [124487] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5420), 1,
      anon_sym_LPAREN,
    ACTIONS(5422), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5279), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [124598] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5424), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5711), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [124709] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5426), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6227), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [124820] = 5,
    ACTIONS(5378), 1,
      sym_keyword_filter,
    STATE(2080), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2688), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2690), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [124885] = 5,
    ACTIONS(5378), 1,
      sym_keyword_filter,
    STATE(2081), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2684), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2686), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [124950] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5428), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5840), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [125061] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3403), 1,
      sym_keyword_in,
    ACTIONS(3405), 1,
      sym_keyword_and,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3409), 1,
      sym_keyword_not,
    ACTIONS(3411), 1,
      sym_keyword_between,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      sym_op_other,
    ACTIONS(3423), 1,
      anon_sym_PLUS,
    ACTIONS(3425), 1,
      anon_sym_DASH,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(5414), 1,
      anon_sym_COLON_COLON,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3419), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3415), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3443), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [125162] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5430), 1,
      anon_sym_LPAREN,
    ACTIONS(5432), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5283), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [125273] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5434), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5844), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [125384] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3403), 1,
      sym_keyword_in,
    ACTIONS(3405), 1,
      sym_keyword_and,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3409), 1,
      sym_keyword_not,
    ACTIONS(3411), 1,
      sym_keyword_between,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      sym_op_other,
    ACTIONS(3423), 1,
      anon_sym_PLUS,
    ACTIONS(3425), 1,
      anon_sym_DASH,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(5414), 1,
      anon_sym_COLON_COLON,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3419), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3415), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3445), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [125485] = 5,
    ACTIONS(5378), 1,
      sym_keyword_filter,
    STATE(2083), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2716), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2718), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [125550] = 5,
    ACTIONS(5378), 1,
      sym_keyword_filter,
    STATE(2084), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2708), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2710), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [125615] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4694), 1,
      anon_sym_LPAREN,
    ACTIONS(5436), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6040), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [125726] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5438), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5846), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [125837] = 5,
    ACTIONS(5378), 1,
      sym_keyword_filter,
    STATE(2086), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2704), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2706), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [125902] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    ACTIONS(3939), 1,
      sym_op_unary_other,
    ACTIONS(5440), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5349), 1,
      sym_invocation,
    STATE(12005), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3933), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3498), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [126013] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    ACTIONS(3939), 1,
      sym_op_unary_other,
    ACTIONS(5442), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5349), 1,
      sym_invocation,
    STATE(12005), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3933), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3494), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [126124] = 5,
    ACTIONS(5378), 1,
      sym_keyword_filter,
    STATE(2089), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2720), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2722), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [126189] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5444), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5117), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [126300] = 5,
    ACTIONS(5378), 1,
      sym_keyword_filter,
    STATE(2088), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2734), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [126365] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5446), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5803), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [126476] = 5,
    ACTIONS(5378), 1,
      sym_keyword_filter,
    STATE(2082), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2736), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2738), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [126541] = 5,
    ACTIONS(5378), 1,
      sym_keyword_filter,
    STATE(2079), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2740), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2742), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [126606] = 5,
    ACTIONS(5378), 1,
      sym_keyword_filter,
    STATE(2078), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2724), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2726), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [126671] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5448), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5869), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [126782] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5450), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5098), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [126893] = 28,
    ACTIONS(653), 1,
      sym__identifier,
    ACTIONS(711), 1,
      aux_sym_identifier_token1,
    ACTIONS(4125), 1,
      sym_keyword_cast,
    ACTIONS(4127), 1,
      sym_keyword_case,
    ACTIONS(4131), 1,
      sym_keyword_exists,
    ACTIONS(4137), 1,
      sym_keyword_interval,
    ACTIONS(4139), 1,
      sym_keyword_array,
    ACTIONS(4141), 1,
      anon_sym_LPAREN,
    ACTIONS(4145), 1,
      anon_sym_PLUS,
    ACTIONS(4147), 1,
      anon_sym_DASH,
    ACTIONS(4149), 1,
      sym_op_unary_other,
    ACTIONS(4151), 1,
      sym__double_quote_string,
    ACTIONS(4153), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4155), 1,
      aux_sym__integer_token1,
    ACTIONS(4157), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4159), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4161), 1,
      sym__dollar_quoted_string,
    ACTIONS(5452), 1,
      sym_parameter,
    STATE(1023), 1,
      sym__single_quote_string,
    STATE(5232), 1,
      sym_identifier,
    STATE(6267), 1,
      sym_invocation,
    STATE(6459), 1,
      sym__qualified_field,
    STATE(12144), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4135), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4133), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6426), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4738), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [127004] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3403), 1,
      sym_keyword_in,
    ACTIONS(3405), 1,
      sym_keyword_and,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3409), 1,
      sym_keyword_not,
    ACTIONS(3411), 1,
      sym_keyword_between,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      sym_op_other,
    ACTIONS(3423), 1,
      anon_sym_PLUS,
    ACTIONS(3425), 1,
      anon_sym_DASH,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(5414), 1,
      anon_sym_COLON_COLON,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3419), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3415), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3441), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [127105] = 28,
    ACTIONS(653), 1,
      sym__identifier,
    ACTIONS(711), 1,
      aux_sym_identifier_token1,
    ACTIONS(4125), 1,
      sym_keyword_cast,
    ACTIONS(4127), 1,
      sym_keyword_case,
    ACTIONS(4131), 1,
      sym_keyword_exists,
    ACTIONS(4137), 1,
      sym_keyword_interval,
    ACTIONS(4139), 1,
      sym_keyword_array,
    ACTIONS(4141), 1,
      anon_sym_LPAREN,
    ACTIONS(4145), 1,
      anon_sym_PLUS,
    ACTIONS(4147), 1,
      anon_sym_DASH,
    ACTIONS(4149), 1,
      sym_op_unary_other,
    ACTIONS(4151), 1,
      sym__double_quote_string,
    ACTIONS(4153), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4155), 1,
      aux_sym__integer_token1,
    ACTIONS(4157), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4159), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4161), 1,
      sym__dollar_quoted_string,
    ACTIONS(5454), 1,
      sym_parameter,
    STATE(1023), 1,
      sym__single_quote_string,
    STATE(5232), 1,
      sym_identifier,
    STATE(6267), 1,
      sym_invocation,
    STATE(6459), 1,
      sym__qualified_field,
    STATE(12144), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4135), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4133), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6426), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4703), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [127216] = 5,
    ACTIONS(5378), 1,
      sym_keyword_filter,
    STATE(2072), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2692), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2694), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [127281] = 5,
    ACTIONS(5378), 1,
      sym_keyword_filter,
    STATE(2070), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2700), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2702), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [127346] = 28,
    ACTIONS(1009), 1,
      sym__identifier,
    ACTIONS(1067), 1,
      aux_sym_identifier_token1,
    ACTIONS(4323), 1,
      sym_keyword_cast,
    ACTIONS(4325), 1,
      sym_keyword_case,
    ACTIONS(4329), 1,
      sym_keyword_exists,
    ACTIONS(4335), 1,
      sym_keyword_interval,
    ACTIONS(4337), 1,
      sym_keyword_array,
    ACTIONS(4339), 1,
      anon_sym_LPAREN,
    ACTIONS(4343), 1,
      anon_sym_PLUS,
    ACTIONS(4345), 1,
      anon_sym_DASH,
    ACTIONS(4347), 1,
      sym_op_unary_other,
    ACTIONS(4349), 1,
      sym__double_quote_string,
    ACTIONS(4351), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4353), 1,
      aux_sym__integer_token1,
    ACTIONS(4355), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4357), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4359), 1,
      sym__dollar_quoted_string,
    ACTIONS(5456), 1,
      sym_parameter,
    STATE(2729), 1,
      sym_identifier,
    STATE(3765), 1,
      sym_invocation,
    STATE(4042), 1,
      sym__qualified_field,
    STATE(4301), 1,
      sym__single_quote_string,
    STATE(12025), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4333), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4331), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4186), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1995), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [127457] = 5,
    ACTIONS(5378), 1,
      sym_keyword_filter,
    STATE(2069), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2712), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2714), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [127522] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5458), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5473), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [127633] = 28,
    ACTIONS(653), 1,
      sym__identifier,
    ACTIONS(711), 1,
      aux_sym_identifier_token1,
    ACTIONS(4125), 1,
      sym_keyword_cast,
    ACTIONS(4127), 1,
      sym_keyword_case,
    ACTIONS(4131), 1,
      sym_keyword_exists,
    ACTIONS(4137), 1,
      sym_keyword_interval,
    ACTIONS(4139), 1,
      sym_keyword_array,
    ACTIONS(4141), 1,
      anon_sym_LPAREN,
    ACTIONS(4145), 1,
      anon_sym_PLUS,
    ACTIONS(4147), 1,
      anon_sym_DASH,
    ACTIONS(4149), 1,
      sym_op_unary_other,
    ACTIONS(4151), 1,
      sym__double_quote_string,
    ACTIONS(4153), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4155), 1,
      aux_sym__integer_token1,
    ACTIONS(4157), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4159), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4161), 1,
      sym__dollar_quoted_string,
    ACTIONS(5460), 1,
      sym_parameter,
    STATE(1023), 1,
      sym__single_quote_string,
    STATE(5232), 1,
      sym_identifier,
    STATE(6267), 1,
      sym_invocation,
    STATE(6459), 1,
      sym__qualified_field,
    STATE(12144), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4135), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4133), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6426), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4702), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [127744] = 5,
    ACTIONS(5378), 1,
      sym_keyword_filter,
    STATE(2066), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2680), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2682), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [127809] = 28,
    ACTIONS(1077), 1,
      sym__identifier,
    ACTIONS(1081), 1,
      aux_sym_identifier_token1,
    ACTIONS(3627), 1,
      sym_keyword_cast,
    ACTIONS(3635), 1,
      sym_keyword_array,
    ACTIONS(3641), 1,
      anon_sym_PLUS,
    ACTIONS(3643), 1,
      anon_sym_DASH,
    ACTIONS(3645), 1,
      sym_op_unary_other,
    ACTIONS(3647), 1,
      sym__double_quote_string,
    ACTIONS(3649), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3651), 1,
      aux_sym__integer_token1,
    ACTIONS(3653), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3655), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3657), 1,
      sym__dollar_quoted_string,
    ACTIONS(3799), 1,
      sym_keyword_case,
    ACTIONS(3801), 1,
      sym_keyword_exists,
    ACTIONS(3803), 1,
      sym_keyword_interval,
    ACTIONS(3805), 1,
      anon_sym_LPAREN,
    ACTIONS(5462), 1,
      sym_parameter,
    STATE(926), 1,
      sym_identifier,
    STATE(1988), 1,
      sym_invocation,
    STATE(2170), 1,
      sym__single_quote_string,
    STATE(2229), 1,
      sym__qualified_field,
    STATE(11950), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3633), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3629), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2111), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(473), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [127920] = 28,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3967), 1,
      anon_sym_LPAREN,
    ACTIONS(3971), 1,
      sym_op_unary_other,
    ACTIONS(5464), 1,
      sym_parameter,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(4795), 1,
      sym_invocation,
    STATE(12159), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4815), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [128031] = 28,
    ACTIONS(833), 1,
      sym__identifier,
    ACTIONS(891), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(5466), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(2999), 1,
      sym_identifier,
    STATE(4357), 1,
      sym_invocation,
    STATE(4511), 1,
      sym__qualified_field,
    STATE(11975), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4674), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2110), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [128142] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    ACTIONS(3939), 1,
      sym_op_unary_other,
    ACTIONS(5468), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5349), 1,
      sym_invocation,
    STATE(12005), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3933), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3493), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [128253] = 28,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(5470), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4177), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(846), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [128364] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5094), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(6651), 1,
      sym_binary_expression,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6353), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [128477] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3403), 1,
      sym_keyword_in,
    ACTIONS(3405), 1,
      sym_keyword_and,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3409), 1,
      sym_keyword_not,
    ACTIONS(3411), 1,
      sym_keyword_between,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      sym_op_other,
    ACTIONS(3423), 1,
      anon_sym_PLUS,
    ACTIONS(3425), 1,
      anon_sym_DASH,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(5414), 1,
      anon_sym_COLON_COLON,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3419), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3415), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3437), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [128578] = 28,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(5472), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4177), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(835), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [128689] = 28,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(5474), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4177), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(734), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [128800] = 29,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4241), 1,
      sym_keyword_null,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(5478), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5476), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(979), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [128913] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5480), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6378), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129024] = 28,
    ACTIONS(4269), 1,
      sym__identifier,
    ACTIONS(4271), 1,
      sym_keyword_cast,
    ACTIONS(4273), 1,
      sym_keyword_case,
    ACTIONS(4277), 1,
      sym_keyword_exists,
    ACTIONS(4283), 1,
      sym_keyword_interval,
    ACTIONS(4285), 1,
      sym_keyword_array,
    ACTIONS(4287), 1,
      anon_sym_LPAREN,
    ACTIONS(4291), 1,
      anon_sym_PLUS,
    ACTIONS(4293), 1,
      anon_sym_DASH,
    ACTIONS(4295), 1,
      sym_op_unary_other,
    ACTIONS(4297), 1,
      sym__double_quote_string,
    ACTIONS(4299), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4301), 1,
      aux_sym__integer_token1,
    ACTIONS(4303), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4305), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4307), 1,
      aux_sym_identifier_token1,
    ACTIONS(4309), 1,
      sym__dollar_quoted_string,
    ACTIONS(5482), 1,
      sym_parameter,
    STATE(4864), 1,
      sym_identifier,
    STATE(5172), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__single_quote_string,
    STATE(5652), 1,
      sym__qualified_field,
    STATE(11958), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4281), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4279), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5716), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3803), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129135] = 28,
    ACTIONS(3977), 1,
      sym__identifier,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      aux_sym_identifier_token1,
    ACTIONS(4017), 1,
      sym__dollar_quoted_string,
    ACTIONS(5484), 1,
      sym_parameter,
    STATE(4942), 1,
      sym_identifier,
    STATE(5625), 1,
      sym_invocation,
    STATE(5873), 1,
      sym__single_quote_string,
    STATE(6019), 1,
      sym__qualified_field,
    STATE(12085), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5971), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4082), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129246] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5486), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5883), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129357] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5488), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5882), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129468] = 28,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(5490), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4177), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(865), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129579] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5492), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5695), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129690] = 28,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(5494), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4177), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(814), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129801] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5496), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6215), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [129912] = 28,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(5498), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4177), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(813), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [130023] = 28,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(5500), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4177), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(811), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [130134] = 28,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(5502), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4177), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(826), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [130245] = 28,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4185), 1,
      sym_parameter,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4177), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(834), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [130356] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5504), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4997), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [130467] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3403), 1,
      sym_keyword_in,
    ACTIONS(3405), 1,
      sym_keyword_and,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3409), 1,
      sym_keyword_not,
    ACTIONS(3411), 1,
      sym_keyword_between,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      sym_op_other,
    ACTIONS(3423), 1,
      anon_sym_PLUS,
    ACTIONS(3425), 1,
      anon_sym_DASH,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(5414), 1,
      anon_sym_COLON_COLON,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3419), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3415), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3474), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [130568] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5506), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5964), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [130679] = 28,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(5508), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4177), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(851), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [130790] = 28,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(5510), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4177), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(837), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [130901] = 28,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(1291), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(5512), 1,
      sym_parameter,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(2964), 1,
      sym_identifier,
    STATE(4197), 1,
      sym_invocation,
    STATE(4481), 1,
      sym__qualified_field,
    STATE(11994), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4309), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2308), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131012] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5514), 1,
      anon_sym_LPAREN,
    ACTIONS(5516), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5995), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131123] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5518), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5996), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131234] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    ACTIONS(3939), 1,
      sym_op_unary_other,
    ACTIONS(5520), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5349), 1,
      sym_invocation,
    STATE(12005), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3933), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3491), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131345] = 5,
    ACTIONS(5378), 1,
      sym_keyword_filter,
    STATE(2063), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2696), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2698), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [131410] = 28,
    ACTIONS(653), 1,
      sym__identifier,
    ACTIONS(711), 1,
      aux_sym_identifier_token1,
    ACTIONS(4125), 1,
      sym_keyword_cast,
    ACTIONS(4127), 1,
      sym_keyword_case,
    ACTIONS(4131), 1,
      sym_keyword_exists,
    ACTIONS(4137), 1,
      sym_keyword_interval,
    ACTIONS(4139), 1,
      sym_keyword_array,
    ACTIONS(4141), 1,
      anon_sym_LPAREN,
    ACTIONS(4143), 1,
      sym_parameter,
    ACTIONS(4145), 1,
      anon_sym_PLUS,
    ACTIONS(4147), 1,
      anon_sym_DASH,
    ACTIONS(4149), 1,
      sym_op_unary_other,
    ACTIONS(4151), 1,
      sym__double_quote_string,
    ACTIONS(4153), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4155), 1,
      aux_sym__integer_token1,
    ACTIONS(4157), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4159), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4161), 1,
      sym__dollar_quoted_string,
    STATE(1023), 1,
      sym__single_quote_string,
    STATE(5232), 1,
      sym_identifier,
    STATE(6267), 1,
      sym_invocation,
    STATE(6459), 1,
      sym__qualified_field,
    STATE(12144), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4135), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4133), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6426), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4697), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131521] = 28,
    ACTIONS(653), 1,
      sym__identifier,
    ACTIONS(711), 1,
      aux_sym_identifier_token1,
    ACTIONS(4125), 1,
      sym_keyword_cast,
    ACTIONS(4127), 1,
      sym_keyword_case,
    ACTIONS(4131), 1,
      sym_keyword_exists,
    ACTIONS(4137), 1,
      sym_keyword_interval,
    ACTIONS(4139), 1,
      sym_keyword_array,
    ACTIONS(4141), 1,
      anon_sym_LPAREN,
    ACTIONS(4145), 1,
      anon_sym_PLUS,
    ACTIONS(4147), 1,
      anon_sym_DASH,
    ACTIONS(4149), 1,
      sym_op_unary_other,
    ACTIONS(4151), 1,
      sym__double_quote_string,
    ACTIONS(4153), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4155), 1,
      aux_sym__integer_token1,
    ACTIONS(4157), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4159), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4161), 1,
      sym__dollar_quoted_string,
    ACTIONS(5522), 1,
      sym_parameter,
    STATE(1023), 1,
      sym__single_quote_string,
    STATE(5232), 1,
      sym_identifier,
    STATE(6267), 1,
      sym_invocation,
    STATE(6459), 1,
      sym__qualified_field,
    STATE(12144), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4135), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4133), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6426), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4701), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131632] = 28,
    ACTIONS(653), 1,
      sym__identifier,
    ACTIONS(711), 1,
      aux_sym_identifier_token1,
    ACTIONS(4125), 1,
      sym_keyword_cast,
    ACTIONS(4127), 1,
      sym_keyword_case,
    ACTIONS(4131), 1,
      sym_keyword_exists,
    ACTIONS(4137), 1,
      sym_keyword_interval,
    ACTIONS(4139), 1,
      sym_keyword_array,
    ACTIONS(4141), 1,
      anon_sym_LPAREN,
    ACTIONS(4145), 1,
      anon_sym_PLUS,
    ACTIONS(4147), 1,
      anon_sym_DASH,
    ACTIONS(4149), 1,
      sym_op_unary_other,
    ACTIONS(4151), 1,
      sym__double_quote_string,
    ACTIONS(4153), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4155), 1,
      aux_sym__integer_token1,
    ACTIONS(4157), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4159), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4161), 1,
      sym__dollar_quoted_string,
    ACTIONS(5524), 1,
      sym_parameter,
    STATE(1023), 1,
      sym__single_quote_string,
    STATE(5232), 1,
      sym_identifier,
    STATE(6267), 1,
      sym_invocation,
    STATE(6459), 1,
      sym__qualified_field,
    STATE(12144), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4135), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4133), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6426), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4699), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131743] = 28,
    ACTIONS(653), 1,
      sym__identifier,
    ACTIONS(711), 1,
      aux_sym_identifier_token1,
    ACTIONS(4125), 1,
      sym_keyword_cast,
    ACTIONS(4127), 1,
      sym_keyword_case,
    ACTIONS(4131), 1,
      sym_keyword_exists,
    ACTIONS(4137), 1,
      sym_keyword_interval,
    ACTIONS(4139), 1,
      sym_keyword_array,
    ACTIONS(4141), 1,
      anon_sym_LPAREN,
    ACTIONS(4145), 1,
      anon_sym_PLUS,
    ACTIONS(4147), 1,
      anon_sym_DASH,
    ACTIONS(4149), 1,
      sym_op_unary_other,
    ACTIONS(4151), 1,
      sym__double_quote_string,
    ACTIONS(4153), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4155), 1,
      aux_sym__integer_token1,
    ACTIONS(4157), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4159), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4161), 1,
      sym__dollar_quoted_string,
    ACTIONS(5526), 1,
      sym_parameter,
    STATE(1023), 1,
      sym__single_quote_string,
    STATE(5232), 1,
      sym_identifier,
    STATE(6267), 1,
      sym_invocation,
    STATE(6459), 1,
      sym__qualified_field,
    STATE(12144), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4135), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4133), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6426), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4698), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131854] = 28,
    ACTIONS(653), 1,
      sym__identifier,
    ACTIONS(711), 1,
      aux_sym_identifier_token1,
    ACTIONS(4125), 1,
      sym_keyword_cast,
    ACTIONS(4127), 1,
      sym_keyword_case,
    ACTIONS(4131), 1,
      sym_keyword_exists,
    ACTIONS(4137), 1,
      sym_keyword_interval,
    ACTIONS(4139), 1,
      sym_keyword_array,
    ACTIONS(4141), 1,
      anon_sym_LPAREN,
    ACTIONS(4145), 1,
      anon_sym_PLUS,
    ACTIONS(4147), 1,
      anon_sym_DASH,
    ACTIONS(4149), 1,
      sym_op_unary_other,
    ACTIONS(4151), 1,
      sym__double_quote_string,
    ACTIONS(4153), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4155), 1,
      aux_sym__integer_token1,
    ACTIONS(4157), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4159), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4161), 1,
      sym__dollar_quoted_string,
    ACTIONS(5528), 1,
      sym_parameter,
    STATE(1023), 1,
      sym__single_quote_string,
    STATE(5232), 1,
      sym_identifier,
    STATE(6267), 1,
      sym_invocation,
    STATE(6459), 1,
      sym__qualified_field,
    STATE(12144), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4135), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4133), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6426), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4693), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [131965] = 28,
    ACTIONS(653), 1,
      sym__identifier,
    ACTIONS(711), 1,
      aux_sym_identifier_token1,
    ACTIONS(4125), 1,
      sym_keyword_cast,
    ACTIONS(4127), 1,
      sym_keyword_case,
    ACTIONS(4131), 1,
      sym_keyword_exists,
    ACTIONS(4137), 1,
      sym_keyword_interval,
    ACTIONS(4139), 1,
      sym_keyword_array,
    ACTIONS(4141), 1,
      anon_sym_LPAREN,
    ACTIONS(4145), 1,
      anon_sym_PLUS,
    ACTIONS(4147), 1,
      anon_sym_DASH,
    ACTIONS(4149), 1,
      sym_op_unary_other,
    ACTIONS(4151), 1,
      sym__double_quote_string,
    ACTIONS(4153), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4155), 1,
      aux_sym__integer_token1,
    ACTIONS(4157), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4159), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4161), 1,
      sym__dollar_quoted_string,
    ACTIONS(5530), 1,
      sym_parameter,
    STATE(1023), 1,
      sym__single_quote_string,
    STATE(5232), 1,
      sym_identifier,
    STATE(6267), 1,
      sym_invocation,
    STATE(6459), 1,
      sym__qualified_field,
    STATE(12144), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4135), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4133), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6426), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4694), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [132076] = 28,
    ACTIONS(653), 1,
      sym__identifier,
    ACTIONS(711), 1,
      aux_sym_identifier_token1,
    ACTIONS(4125), 1,
      sym_keyword_cast,
    ACTIONS(4127), 1,
      sym_keyword_case,
    ACTIONS(4131), 1,
      sym_keyword_exists,
    ACTIONS(4137), 1,
      sym_keyword_interval,
    ACTIONS(4139), 1,
      sym_keyword_array,
    ACTIONS(4141), 1,
      anon_sym_LPAREN,
    ACTIONS(4145), 1,
      anon_sym_PLUS,
    ACTIONS(4147), 1,
      anon_sym_DASH,
    ACTIONS(4149), 1,
      sym_op_unary_other,
    ACTIONS(4151), 1,
      sym__double_quote_string,
    ACTIONS(4153), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4155), 1,
      aux_sym__integer_token1,
    ACTIONS(4157), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4159), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4161), 1,
      sym__dollar_quoted_string,
    ACTIONS(5532), 1,
      sym_parameter,
    STATE(1023), 1,
      sym__single_quote_string,
    STATE(5232), 1,
      sym_identifier,
    STATE(6267), 1,
      sym_invocation,
    STATE(6459), 1,
      sym__qualified_field,
    STATE(12144), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4135), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4133), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6426), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4695), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [132187] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5534), 1,
      anon_sym_LPAREN,
    ACTIONS(5536), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5356), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [132298] = 28,
    ACTIONS(653), 1,
      sym__identifier,
    ACTIONS(711), 1,
      aux_sym_identifier_token1,
    ACTIONS(4125), 1,
      sym_keyword_cast,
    ACTIONS(4127), 1,
      sym_keyword_case,
    ACTIONS(4131), 1,
      sym_keyword_exists,
    ACTIONS(4137), 1,
      sym_keyword_interval,
    ACTIONS(4139), 1,
      sym_keyword_array,
    ACTIONS(4141), 1,
      anon_sym_LPAREN,
    ACTIONS(4145), 1,
      anon_sym_PLUS,
    ACTIONS(4147), 1,
      anon_sym_DASH,
    ACTIONS(4149), 1,
      sym_op_unary_other,
    ACTIONS(4151), 1,
      sym__double_quote_string,
    ACTIONS(4153), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4155), 1,
      aux_sym__integer_token1,
    ACTIONS(4157), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4159), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4161), 1,
      sym__dollar_quoted_string,
    ACTIONS(5538), 1,
      sym_parameter,
    STATE(1023), 1,
      sym__single_quote_string,
    STATE(5232), 1,
      sym_identifier,
    STATE(6267), 1,
      sym_invocation,
    STATE(6459), 1,
      sym__qualified_field,
    STATE(12144), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4135), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4133), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6426), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4736), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [132409] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5540), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5974), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [132520] = 28,
    ACTIONS(653), 1,
      sym__identifier,
    ACTIONS(711), 1,
      aux_sym_identifier_token1,
    ACTIONS(4125), 1,
      sym_keyword_cast,
    ACTIONS(4127), 1,
      sym_keyword_case,
    ACTIONS(4131), 1,
      sym_keyword_exists,
    ACTIONS(4137), 1,
      sym_keyword_interval,
    ACTIONS(4139), 1,
      sym_keyword_array,
    ACTIONS(4141), 1,
      anon_sym_LPAREN,
    ACTIONS(4145), 1,
      anon_sym_PLUS,
    ACTIONS(4147), 1,
      anon_sym_DASH,
    ACTIONS(4149), 1,
      sym_op_unary_other,
    ACTIONS(4151), 1,
      sym__double_quote_string,
    ACTIONS(4153), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4155), 1,
      aux_sym__integer_token1,
    ACTIONS(4157), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4159), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4161), 1,
      sym__dollar_quoted_string,
    ACTIONS(5542), 1,
      sym_parameter,
    STATE(1023), 1,
      sym__single_quote_string,
    STATE(5232), 1,
      sym_identifier,
    STATE(6267), 1,
      sym_invocation,
    STATE(6459), 1,
      sym__qualified_field,
    STATE(12144), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4135), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4133), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6426), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4691), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [132631] = 28,
    ACTIONS(653), 1,
      sym__identifier,
    ACTIONS(711), 1,
      aux_sym_identifier_token1,
    ACTIONS(4125), 1,
      sym_keyword_cast,
    ACTIONS(4127), 1,
      sym_keyword_case,
    ACTIONS(4131), 1,
      sym_keyword_exists,
    ACTIONS(4137), 1,
      sym_keyword_interval,
    ACTIONS(4139), 1,
      sym_keyword_array,
    ACTIONS(4141), 1,
      anon_sym_LPAREN,
    ACTIONS(4145), 1,
      anon_sym_PLUS,
    ACTIONS(4147), 1,
      anon_sym_DASH,
    ACTIONS(4149), 1,
      sym_op_unary_other,
    ACTIONS(4151), 1,
      sym__double_quote_string,
    ACTIONS(4153), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4155), 1,
      aux_sym__integer_token1,
    ACTIONS(4157), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4159), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4161), 1,
      sym__dollar_quoted_string,
    ACTIONS(5544), 1,
      sym_parameter,
    STATE(1023), 1,
      sym__single_quote_string,
    STATE(5232), 1,
      sym_identifier,
    STATE(6267), 1,
      sym_invocation,
    STATE(6459), 1,
      sym__qualified_field,
    STATE(12144), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4135), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4133), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6426), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4696), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [132742] = 29,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5094), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(6670), 1,
      sym_binary_expression,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6353), 15,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [132855] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    ACTIONS(3939), 1,
      sym_op_unary_other,
    ACTIONS(5546), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5349), 1,
      sym_invocation,
    STATE(12005), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3933), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3553), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [132966] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5548), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5132), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [133077] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(5550), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4349), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [133188] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(5552), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4383), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [133299] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5514), 1,
      anon_sym_LPAREN,
    ACTIONS(5554), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6038), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [133410] = 28,
    ACTIONS(1211), 1,
      sym__identifier,
    ACTIONS(1269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3883), 1,
      sym_keyword_cast,
    ACTIONS(3885), 1,
      sym_keyword_case,
    ACTIONS(3889), 1,
      sym_keyword_exists,
    ACTIONS(3895), 1,
      sym_keyword_interval,
    ACTIONS(3897), 1,
      sym_keyword_array,
    ACTIONS(3899), 1,
      anon_sym_LPAREN,
    ACTIONS(3903), 1,
      anon_sym_PLUS,
    ACTIONS(3905), 1,
      anon_sym_DASH,
    ACTIONS(3907), 1,
      sym_op_unary_other,
    ACTIONS(3909), 1,
      sym__double_quote_string,
    ACTIONS(3911), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3913), 1,
      aux_sym__integer_token1,
    ACTIONS(3915), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3917), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3919), 1,
      sym__dollar_quoted_string,
    ACTIONS(5556), 1,
      sym_parameter,
    STATE(3154), 1,
      sym_identifier,
    STATE(4675), 1,
      sym_invocation,
    STATE(4740), 1,
      sym__single_quote_string,
    STATE(4781), 1,
      sym__qualified_field,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3893), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3891), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4749), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2431), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [133521] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5558), 1,
      anon_sym_LPAREN,
    ACTIONS(5560), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5357), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [133632] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5562), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6001), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [133743] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5564), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4954), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [133854] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(4694), 1,
      anon_sym_LPAREN,
    ACTIONS(5566), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6124), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [133965] = 28,
    ACTIONS(4269), 1,
      sym__identifier,
    ACTIONS(4271), 1,
      sym_keyword_cast,
    ACTIONS(4273), 1,
      sym_keyword_case,
    ACTIONS(4277), 1,
      sym_keyword_exists,
    ACTIONS(4283), 1,
      sym_keyword_interval,
    ACTIONS(4285), 1,
      sym_keyword_array,
    ACTIONS(4287), 1,
      anon_sym_LPAREN,
    ACTIONS(4291), 1,
      anon_sym_PLUS,
    ACTIONS(4293), 1,
      anon_sym_DASH,
    ACTIONS(4295), 1,
      sym_op_unary_other,
    ACTIONS(4297), 1,
      sym__double_quote_string,
    ACTIONS(4299), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4301), 1,
      aux_sym__integer_token1,
    ACTIONS(4303), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4305), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4307), 1,
      aux_sym_identifier_token1,
    ACTIONS(4309), 1,
      sym__dollar_quoted_string,
    ACTIONS(5568), 1,
      sym_parameter,
    STATE(4864), 1,
      sym_identifier,
    STATE(5172), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__single_quote_string,
    STATE(5652), 1,
      sym__qualified_field,
    STATE(11958), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4281), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4279), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5716), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3401), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [134076] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(5570), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4204), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [134187] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(5572), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4238), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [134298] = 28,
    ACTIONS(1211), 1,
      sym__identifier,
    ACTIONS(1269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3883), 1,
      sym_keyword_cast,
    ACTIONS(3885), 1,
      sym_keyword_case,
    ACTIONS(3889), 1,
      sym_keyword_exists,
    ACTIONS(3895), 1,
      sym_keyword_interval,
    ACTIONS(3897), 1,
      sym_keyword_array,
    ACTIONS(3899), 1,
      anon_sym_LPAREN,
    ACTIONS(3903), 1,
      anon_sym_PLUS,
    ACTIONS(3905), 1,
      anon_sym_DASH,
    ACTIONS(3907), 1,
      sym_op_unary_other,
    ACTIONS(3909), 1,
      sym__double_quote_string,
    ACTIONS(3911), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3913), 1,
      aux_sym__integer_token1,
    ACTIONS(3915), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3917), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3919), 1,
      sym__dollar_quoted_string,
    ACTIONS(5574), 1,
      sym_parameter,
    STATE(3154), 1,
      sym_identifier,
    STATE(4675), 1,
      sym_invocation,
    STATE(4740), 1,
      sym__single_quote_string,
    STATE(4781), 1,
      sym__qualified_field,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3893), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3891), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4749), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2423), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [134409] = 28,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(1291), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(5576), 1,
      sym_parameter,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(2964), 1,
      sym_identifier,
    STATE(4197), 1,
      sym_invocation,
    STATE(4481), 1,
      sym__qualified_field,
    STATE(11994), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4309), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2267), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [134520] = 29,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4241), 1,
      sym_keyword_null,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(5580), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5578), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(978), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [134633] = 28,
    ACTIONS(339), 1,
      sym__identifier,
    ACTIONS(397), 1,
      aux_sym_identifier_token1,
    ACTIONS(4019), 1,
      sym_keyword_cast,
    ACTIONS(4021), 1,
      sym_keyword_case,
    ACTIONS(4025), 1,
      sym_keyword_exists,
    ACTIONS(4031), 1,
      sym_keyword_interval,
    ACTIONS(4033), 1,
      sym_keyword_array,
    ACTIONS(4035), 1,
      anon_sym_LPAREN,
    ACTIONS(4039), 1,
      anon_sym_PLUS,
    ACTIONS(4041), 1,
      anon_sym_DASH,
    ACTIONS(4043), 1,
      sym_op_unary_other,
    ACTIONS(4045), 1,
      sym__double_quote_string,
    ACTIONS(4047), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4049), 1,
      aux_sym__integer_token1,
    ACTIONS(4051), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4053), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4055), 1,
      sym__dollar_quoted_string,
    ACTIONS(5582), 1,
      sym_parameter,
    STATE(2112), 1,
      sym__single_quote_string,
    STATE(2801), 1,
      sym_identifier,
    STATE(3557), 1,
      sym_invocation,
    STATE(4316), 1,
      sym__qualified_field,
    STATE(12191), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4029), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4027), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4146), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2375), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [134744] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    ACTIONS(3939), 1,
      sym_op_unary_other,
    ACTIONS(5584), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5349), 1,
      sym_invocation,
    STATE(12005), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3933), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4829), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [134855] = 28,
    ACTIONS(4269), 1,
      sym__identifier,
    ACTIONS(4271), 1,
      sym_keyword_cast,
    ACTIONS(4273), 1,
      sym_keyword_case,
    ACTIONS(4277), 1,
      sym_keyword_exists,
    ACTIONS(4283), 1,
      sym_keyword_interval,
    ACTIONS(4285), 1,
      sym_keyword_array,
    ACTIONS(4287), 1,
      anon_sym_LPAREN,
    ACTIONS(4291), 1,
      anon_sym_PLUS,
    ACTIONS(4293), 1,
      anon_sym_DASH,
    ACTIONS(4295), 1,
      sym_op_unary_other,
    ACTIONS(4297), 1,
      sym__double_quote_string,
    ACTIONS(4299), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4301), 1,
      aux_sym__integer_token1,
    ACTIONS(4303), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4305), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4307), 1,
      aux_sym_identifier_token1,
    ACTIONS(4309), 1,
      sym__dollar_quoted_string,
    ACTIONS(5586), 1,
      sym_parameter,
    STATE(4864), 1,
      sym_identifier,
    STATE(5172), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__single_quote_string,
    STATE(5652), 1,
      sym__qualified_field,
    STATE(11958), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4281), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4279), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5716), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4469), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [134966] = 5,
    ACTIONS(4375), 1,
      sym_keyword_filter,
    STATE(1927), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2702), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2700), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [135031] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5588), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5585), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [135142] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3403), 1,
      sym_keyword_in,
    ACTIONS(3405), 1,
      sym_keyword_and,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3409), 1,
      sym_keyword_not,
    ACTIONS(3411), 1,
      sym_keyword_between,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      sym_op_other,
    ACTIONS(3423), 1,
      anon_sym_PLUS,
    ACTIONS(3425), 1,
      anon_sym_DASH,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(5414), 1,
      anon_sym_COLON_COLON,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3419), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3415), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3470), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [135243] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5590), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6193), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [135354] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(5592), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5500), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [135465] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(5594), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4193), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [135576] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5596), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1781), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [135687] = 29,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4241), 1,
      sym_keyword_null,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(5600), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5598), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(977), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [135800] = 28,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(1291), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(5602), 1,
      sym_parameter,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(2964), 1,
      sym_identifier,
    STATE(4197), 1,
      sym_invocation,
    STATE(4481), 1,
      sym__qualified_field,
    STATE(11994), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4309), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2146), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [135911] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(5604), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4188), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [136022] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5606), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1790), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [136133] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5608), 1,
      anon_sym_LPAREN,
    ACTIONS(5610), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5370), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [136244] = 5,
    ACTIONS(4375), 1,
      sym_keyword_filter,
    STATE(2048), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2714), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2712), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [136309] = 28,
    ACTIONS(339), 1,
      sym__identifier,
    ACTIONS(397), 1,
      aux_sym_identifier_token1,
    ACTIONS(4019), 1,
      sym_keyword_cast,
    ACTIONS(4021), 1,
      sym_keyword_case,
    ACTIONS(4025), 1,
      sym_keyword_exists,
    ACTIONS(4031), 1,
      sym_keyword_interval,
    ACTIONS(4033), 1,
      sym_keyword_array,
    ACTIONS(4035), 1,
      anon_sym_LPAREN,
    ACTIONS(4039), 1,
      anon_sym_PLUS,
    ACTIONS(4041), 1,
      anon_sym_DASH,
    ACTIONS(4043), 1,
      sym_op_unary_other,
    ACTIONS(4045), 1,
      sym__double_quote_string,
    ACTIONS(4047), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4049), 1,
      aux_sym__integer_token1,
    ACTIONS(4051), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4053), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4055), 1,
      sym__dollar_quoted_string,
    ACTIONS(5612), 1,
      sym_parameter,
    STATE(2112), 1,
      sym__single_quote_string,
    STATE(2801), 1,
      sym_identifier,
    STATE(3557), 1,
      sym_invocation,
    STATE(4316), 1,
      sym__qualified_field,
    STATE(12191), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4029), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4027), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4146), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1961), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [136420] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(5614), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4108), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [136531] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3403), 1,
      sym_keyword_in,
    ACTIONS(3405), 1,
      sym_keyword_and,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3409), 1,
      sym_keyword_not,
    ACTIONS(3411), 1,
      sym_keyword_between,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      sym_op_other,
    ACTIONS(3423), 1,
      anon_sym_PLUS,
    ACTIONS(3425), 1,
      anon_sym_DASH,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(5414), 1,
      anon_sym_COLON_COLON,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3419), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3415), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3463), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [136632] = 28,
    ACTIONS(1211), 1,
      sym__identifier,
    ACTIONS(1269), 1,
      aux_sym_identifier_token1,
    ACTIONS(3883), 1,
      sym_keyword_cast,
    ACTIONS(3885), 1,
      sym_keyword_case,
    ACTIONS(3889), 1,
      sym_keyword_exists,
    ACTIONS(3895), 1,
      sym_keyword_interval,
    ACTIONS(3897), 1,
      sym_keyword_array,
    ACTIONS(3899), 1,
      anon_sym_LPAREN,
    ACTIONS(3903), 1,
      anon_sym_PLUS,
    ACTIONS(3905), 1,
      anon_sym_DASH,
    ACTIONS(3907), 1,
      sym_op_unary_other,
    ACTIONS(3909), 1,
      sym__double_quote_string,
    ACTIONS(3911), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3913), 1,
      aux_sym__integer_token1,
    ACTIONS(3915), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3917), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3919), 1,
      sym__dollar_quoted_string,
    ACTIONS(5616), 1,
      sym_parameter,
    STATE(3154), 1,
      sym_identifier,
    STATE(4675), 1,
      sym_invocation,
    STATE(4740), 1,
      sym__single_quote_string,
    STATE(4781), 1,
      sym__qualified_field,
    STATE(11952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3893), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3891), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4749), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2432), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [136743] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3116), 1,
      sym_op_unary_other,
    ACTIONS(5618), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(5353), 1,
      sym_invocation,
    STATE(12262), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3112), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4322), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [136854] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3116), 1,
      sym_op_unary_other,
    ACTIONS(5620), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(5353), 1,
      sym_invocation,
    STATE(12262), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3112), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4323), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [136965] = 28,
    ACTIONS(3977), 1,
      sym__identifier,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      aux_sym_identifier_token1,
    ACTIONS(4017), 1,
      sym__dollar_quoted_string,
    ACTIONS(5622), 1,
      sym_parameter,
    STATE(4942), 1,
      sym_identifier,
    STATE(5625), 1,
      sym_invocation,
    STATE(5873), 1,
      sym__single_quote_string,
    STATE(6019), 1,
      sym__qualified_field,
    STATE(12085), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5971), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4187), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [137076] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5624), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5811), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [137187] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3116), 1,
      sym_op_unary_other,
    ACTIONS(5626), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(5353), 1,
      sym_invocation,
    STATE(12262), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3112), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4377), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [137298] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3116), 1,
      sym_op_unary_other,
    ACTIONS(5628), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(5353), 1,
      sym_invocation,
    STATE(12262), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3112), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4354), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [137409] = 8,
    ACTIONS(123), 1,
      anon_sym_LPAREN,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2853), 1,
      anon_sym_DOT,
    ACTIONS(5630), 1,
      anon_sym_RPAREN,
    STATE(2523), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2849), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2851), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [137480] = 29,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4241), 1,
      sym_keyword_null,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(5635), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5633), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(970), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [137593] = 28,
    ACTIONS(4269), 1,
      sym__identifier,
    ACTIONS(4271), 1,
      sym_keyword_cast,
    ACTIONS(4273), 1,
      sym_keyword_case,
    ACTIONS(4277), 1,
      sym_keyword_exists,
    ACTIONS(4283), 1,
      sym_keyword_interval,
    ACTIONS(4285), 1,
      sym_keyword_array,
    ACTIONS(4287), 1,
      anon_sym_LPAREN,
    ACTIONS(4291), 1,
      anon_sym_PLUS,
    ACTIONS(4293), 1,
      anon_sym_DASH,
    ACTIONS(4295), 1,
      sym_op_unary_other,
    ACTIONS(4297), 1,
      sym__double_quote_string,
    ACTIONS(4299), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4301), 1,
      aux_sym__integer_token1,
    ACTIONS(4303), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4305), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4307), 1,
      aux_sym_identifier_token1,
    ACTIONS(4309), 1,
      sym__dollar_quoted_string,
    ACTIONS(5637), 1,
      sym_parameter,
    STATE(4864), 1,
      sym_identifier,
    STATE(5172), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__single_quote_string,
    STATE(5652), 1,
      sym__qualified_field,
    STATE(11958), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4281), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4279), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5716), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3460), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [137704] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5639), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6101), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [137815] = 28,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1205), 1,
      aux_sym_identifier_token1,
    ACTIONS(4075), 1,
      sym_keyword_cast,
    ACTIONS(4077), 1,
      sym_keyword_case,
    ACTIONS(4081), 1,
      sym_keyword_exists,
    ACTIONS(4087), 1,
      sym_keyword_interval,
    ACTIONS(4089), 1,
      sym_keyword_array,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    ACTIONS(4095), 1,
      anon_sym_PLUS,
    ACTIONS(4097), 1,
      anon_sym_DASH,
    ACTIONS(4099), 1,
      sym_op_unary_other,
    ACTIONS(4101), 1,
      sym__double_quote_string,
    ACTIONS(4103), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4105), 1,
      aux_sym__integer_token1,
    ACTIONS(4107), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4109), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4111), 1,
      sym__dollar_quoted_string,
    ACTIONS(5641), 1,
      sym_parameter,
    STATE(2885), 1,
      sym_identifier,
    STATE(4010), 1,
      sym_invocation,
    STATE(4482), 1,
      sym__single_quote_string,
    STATE(4670), 1,
      sym__qualified_field,
    STATE(11942), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4085), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4083), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4547), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2327), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [137926] = 28,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1205), 1,
      aux_sym_identifier_token1,
    ACTIONS(4075), 1,
      sym_keyword_cast,
    ACTIONS(4077), 1,
      sym_keyword_case,
    ACTIONS(4081), 1,
      sym_keyword_exists,
    ACTIONS(4087), 1,
      sym_keyword_interval,
    ACTIONS(4089), 1,
      sym_keyword_array,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    ACTIONS(4095), 1,
      anon_sym_PLUS,
    ACTIONS(4097), 1,
      anon_sym_DASH,
    ACTIONS(4099), 1,
      sym_op_unary_other,
    ACTIONS(4101), 1,
      sym__double_quote_string,
    ACTIONS(4103), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4105), 1,
      aux_sym__integer_token1,
    ACTIONS(4107), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4109), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4111), 1,
      sym__dollar_quoted_string,
    ACTIONS(5643), 1,
      sym_parameter,
    STATE(2885), 1,
      sym_identifier,
    STATE(4010), 1,
      sym_invocation,
    STATE(4482), 1,
      sym__single_quote_string,
    STATE(4670), 1,
      sym__qualified_field,
    STATE(11942), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4085), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4083), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4547), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2289), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138037] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5645), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6099), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138148] = 28,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(5647), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4177), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(876), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138259] = 28,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(5649), 1,
      sym_parameter,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(12220), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4390), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138370] = 28,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(5651), 1,
      sym_parameter,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(12220), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4384), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138481] = 28,
    ACTIONS(339), 1,
      sym__identifier,
    ACTIONS(397), 1,
      aux_sym_identifier_token1,
    ACTIONS(4019), 1,
      sym_keyword_cast,
    ACTIONS(4021), 1,
      sym_keyword_case,
    ACTIONS(4025), 1,
      sym_keyword_exists,
    ACTIONS(4031), 1,
      sym_keyword_interval,
    ACTIONS(4033), 1,
      sym_keyword_array,
    ACTIONS(4035), 1,
      anon_sym_LPAREN,
    ACTIONS(4039), 1,
      anon_sym_PLUS,
    ACTIONS(4041), 1,
      anon_sym_DASH,
    ACTIONS(4043), 1,
      sym_op_unary_other,
    ACTIONS(4045), 1,
      sym__double_quote_string,
    ACTIONS(4047), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4049), 1,
      aux_sym__integer_token1,
    ACTIONS(4051), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4053), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4055), 1,
      sym__dollar_quoted_string,
    ACTIONS(5653), 1,
      sym_parameter,
    STATE(2112), 1,
      sym__single_quote_string,
    STATE(2801), 1,
      sym_identifier,
    STATE(3557), 1,
      sym_invocation,
    STATE(4316), 1,
      sym__qualified_field,
    STATE(12191), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4029), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4027), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4146), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3404), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138592] = 28,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1205), 1,
      aux_sym_identifier_token1,
    ACTIONS(4075), 1,
      sym_keyword_cast,
    ACTIONS(4077), 1,
      sym_keyword_case,
    ACTIONS(4081), 1,
      sym_keyword_exists,
    ACTIONS(4087), 1,
      sym_keyword_interval,
    ACTIONS(4089), 1,
      sym_keyword_array,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    ACTIONS(4095), 1,
      anon_sym_PLUS,
    ACTIONS(4097), 1,
      anon_sym_DASH,
    ACTIONS(4099), 1,
      sym_op_unary_other,
    ACTIONS(4101), 1,
      sym__double_quote_string,
    ACTIONS(4103), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4105), 1,
      aux_sym__integer_token1,
    ACTIONS(4107), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4109), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4111), 1,
      sym__dollar_quoted_string,
    ACTIONS(5655), 1,
      sym_parameter,
    STATE(2885), 1,
      sym_identifier,
    STATE(4010), 1,
      sym_invocation,
    STATE(4482), 1,
      sym__single_quote_string,
    STATE(4670), 1,
      sym__qualified_field,
    STATE(11942), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4085), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4083), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4547), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2287), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138703] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5657), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6096), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138814] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(5659), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4076), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [138925] = 28,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1205), 1,
      aux_sym_identifier_token1,
    ACTIONS(4075), 1,
      sym_keyword_cast,
    ACTIONS(4077), 1,
      sym_keyword_case,
    ACTIONS(4081), 1,
      sym_keyword_exists,
    ACTIONS(4087), 1,
      sym_keyword_interval,
    ACTIONS(4089), 1,
      sym_keyword_array,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    ACTIONS(4095), 1,
      anon_sym_PLUS,
    ACTIONS(4097), 1,
      anon_sym_DASH,
    ACTIONS(4099), 1,
      sym_op_unary_other,
    ACTIONS(4101), 1,
      sym__double_quote_string,
    ACTIONS(4103), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4105), 1,
      aux_sym__integer_token1,
    ACTIONS(4107), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4109), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4111), 1,
      sym__dollar_quoted_string,
    ACTIONS(5661), 1,
      sym_parameter,
    STATE(2885), 1,
      sym_identifier,
    STATE(4010), 1,
      sym_invocation,
    STATE(4482), 1,
      sym__single_quote_string,
    STATE(4670), 1,
      sym__qualified_field,
    STATE(11942), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4085), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4083), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4547), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2286), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [139036] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1386), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [139097] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3403), 1,
      sym_keyword_in,
    ACTIONS(3405), 1,
      sym_keyword_and,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3409), 1,
      sym_keyword_not,
    ACTIONS(3411), 1,
      sym_keyword_between,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      sym_op_other,
    ACTIONS(3423), 1,
      anon_sym_PLUS,
    ACTIONS(3425), 1,
      anon_sym_DASH,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(5414), 1,
      anon_sym_COLON_COLON,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3419), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3415), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3487), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [139198] = 28,
    ACTIONS(3977), 1,
      sym__identifier,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      aux_sym_identifier_token1,
    ACTIONS(4017), 1,
      sym__dollar_quoted_string,
    ACTIONS(5663), 1,
      sym_parameter,
    STATE(4942), 1,
      sym_identifier,
    STATE(5625), 1,
      sym_invocation,
    STATE(5873), 1,
      sym__single_quote_string,
    STATE(6019), 1,
      sym__qualified_field,
    STATE(12085), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5971), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4135), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [139309] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5665), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4972), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [139420] = 7,
    ACTIONS(5667), 1,
      sym_keyword_unsigned,
    ACTIONS(5669), 1,
      sym_keyword_zerofill,
    ACTIONS(5671), 1,
      sym_keyword_precision,
    ACTIONS(5673), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1805), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [139489] = 28,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1205), 1,
      aux_sym_identifier_token1,
    ACTIONS(4075), 1,
      sym_keyword_cast,
    ACTIONS(4077), 1,
      sym_keyword_case,
    ACTIONS(4081), 1,
      sym_keyword_exists,
    ACTIONS(4087), 1,
      sym_keyword_interval,
    ACTIONS(4089), 1,
      sym_keyword_array,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    ACTIONS(4095), 1,
      anon_sym_PLUS,
    ACTIONS(4097), 1,
      anon_sym_DASH,
    ACTIONS(4099), 1,
      sym_op_unary_other,
    ACTIONS(4101), 1,
      sym__double_quote_string,
    ACTIONS(4103), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4105), 1,
      aux_sym__integer_token1,
    ACTIONS(4107), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4109), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4111), 1,
      sym__dollar_quoted_string,
    ACTIONS(5675), 1,
      sym_parameter,
    STATE(2885), 1,
      sym_identifier,
    STATE(4010), 1,
      sym_invocation,
    STATE(4482), 1,
      sym__single_quote_string,
    STATE(4670), 1,
      sym__qualified_field,
    STATE(11942), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4085), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4083), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4547), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2285), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [139600] = 28,
    ACTIONS(3977), 1,
      sym__identifier,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      aux_sym_identifier_token1,
    ACTIONS(4017), 1,
      sym__dollar_quoted_string,
    ACTIONS(5677), 1,
      sym_parameter,
    STATE(4942), 1,
      sym_identifier,
    STATE(5625), 1,
      sym_invocation,
    STATE(5873), 1,
      sym__single_quote_string,
    STATE(6019), 1,
      sym__qualified_field,
    STATE(12085), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5971), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4124), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [139711] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3116), 1,
      sym_op_unary_other,
    ACTIONS(5679), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(5353), 1,
      sym_invocation,
    STATE(12262), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3112), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4351), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [139822] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5681), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6066), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [139933] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5683), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4978), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [140044] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(5685), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5141), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [140155] = 28,
    ACTIONS(3977), 1,
      sym__identifier,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3997), 1,
      sym_parameter,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      aux_sym_identifier_token1,
    ACTIONS(4017), 1,
      sym__dollar_quoted_string,
    STATE(4942), 1,
      sym_identifier,
    STATE(5625), 1,
      sym_invocation,
    STATE(5873), 1,
      sym__single_quote_string,
    STATE(6019), 1,
      sym__qualified_field,
    STATE(12085), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5971), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4191), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [140266] = 28,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1205), 1,
      aux_sym_identifier_token1,
    ACTIONS(4075), 1,
      sym_keyword_cast,
    ACTIONS(4077), 1,
      sym_keyword_case,
    ACTIONS(4081), 1,
      sym_keyword_exists,
    ACTIONS(4087), 1,
      sym_keyword_interval,
    ACTIONS(4089), 1,
      sym_keyword_array,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    ACTIONS(4095), 1,
      anon_sym_PLUS,
    ACTIONS(4097), 1,
      anon_sym_DASH,
    ACTIONS(4099), 1,
      sym_op_unary_other,
    ACTIONS(4101), 1,
      sym__double_quote_string,
    ACTIONS(4103), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4105), 1,
      aux_sym__integer_token1,
    ACTIONS(4107), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4109), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4111), 1,
      sym__dollar_quoted_string,
    ACTIONS(5687), 1,
      sym_parameter,
    STATE(2885), 1,
      sym_identifier,
    STATE(4010), 1,
      sym_invocation,
    STATE(4482), 1,
      sym__single_quote_string,
    STATE(4670), 1,
      sym__qualified_field,
    STATE(11942), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4085), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4083), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4547), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2284), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [140377] = 5,
    ACTIONS(4375), 1,
      sym_keyword_filter,
    STATE(1946), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2694), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2692), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [140442] = 7,
    ACTIONS(4407), 1,
      sym_keyword_with,
    ACTIONS(4409), 1,
      sym_keyword_without,
    ACTIONS(5689), 1,
      anon_sym_LPAREN,
    STATE(2241), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1861), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1859), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [140511] = 28,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(5691), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4177), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(866), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [140622] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5693), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6332), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [140733] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3116), 1,
      sym_op_unary_other,
    ACTIONS(5695), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(5353), 1,
      sym_invocation,
    STATE(12262), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3112), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4345), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [140844] = 28,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1205), 1,
      aux_sym_identifier_token1,
    ACTIONS(4075), 1,
      sym_keyword_cast,
    ACTIONS(4077), 1,
      sym_keyword_case,
    ACTIONS(4081), 1,
      sym_keyword_exists,
    ACTIONS(4087), 1,
      sym_keyword_interval,
    ACTIONS(4089), 1,
      sym_keyword_array,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    ACTIONS(4095), 1,
      anon_sym_PLUS,
    ACTIONS(4097), 1,
      anon_sym_DASH,
    ACTIONS(4099), 1,
      sym_op_unary_other,
    ACTIONS(4101), 1,
      sym__double_quote_string,
    ACTIONS(4103), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4105), 1,
      aux_sym__integer_token1,
    ACTIONS(4107), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4109), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4111), 1,
      sym__dollar_quoted_string,
    ACTIONS(5697), 1,
      sym_parameter,
    STATE(2885), 1,
      sym_identifier,
    STATE(4010), 1,
      sym_invocation,
    STATE(4482), 1,
      sym__single_quote_string,
    STATE(4670), 1,
      sym__qualified_field,
    STATE(11942), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4085), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4083), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4547), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2281), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [140955] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5699), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5617), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141066] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5701), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6345), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141177] = 28,
    ACTIONS(653), 1,
      sym__identifier,
    ACTIONS(711), 1,
      aux_sym_identifier_token1,
    ACTIONS(4125), 1,
      sym_keyword_cast,
    ACTIONS(4127), 1,
      sym_keyword_case,
    ACTIONS(4131), 1,
      sym_keyword_exists,
    ACTIONS(4137), 1,
      sym_keyword_interval,
    ACTIONS(4139), 1,
      sym_keyword_array,
    ACTIONS(4141), 1,
      anon_sym_LPAREN,
    ACTIONS(4145), 1,
      anon_sym_PLUS,
    ACTIONS(4147), 1,
      anon_sym_DASH,
    ACTIONS(4149), 1,
      sym_op_unary_other,
    ACTIONS(4151), 1,
      sym__double_quote_string,
    ACTIONS(4153), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4155), 1,
      aux_sym__integer_token1,
    ACTIONS(4157), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4159), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4161), 1,
      sym__dollar_quoted_string,
    ACTIONS(5703), 1,
      sym_parameter,
    STATE(1023), 1,
      sym__single_quote_string,
    STATE(5232), 1,
      sym_identifier,
    STATE(6267), 1,
      sym_invocation,
    STATE(6459), 1,
      sym__qualified_field,
    STATE(12144), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4135), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4133), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6426), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4737), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141288] = 28,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1205), 1,
      aux_sym_identifier_token1,
    ACTIONS(4075), 1,
      sym_keyword_cast,
    ACTIONS(4077), 1,
      sym_keyword_case,
    ACTIONS(4081), 1,
      sym_keyword_exists,
    ACTIONS(4087), 1,
      sym_keyword_interval,
    ACTIONS(4089), 1,
      sym_keyword_array,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    ACTIONS(4095), 1,
      anon_sym_PLUS,
    ACTIONS(4097), 1,
      anon_sym_DASH,
    ACTIONS(4099), 1,
      sym_op_unary_other,
    ACTIONS(4101), 1,
      sym__double_quote_string,
    ACTIONS(4103), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4105), 1,
      aux_sym__integer_token1,
    ACTIONS(4107), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4109), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4111), 1,
      sym__dollar_quoted_string,
    ACTIONS(5705), 1,
      sym_parameter,
    STATE(2885), 1,
      sym_identifier,
    STATE(4010), 1,
      sym_invocation,
    STATE(4482), 1,
      sym__single_quote_string,
    STATE(4670), 1,
      sym__qualified_field,
    STATE(11942), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4085), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4083), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4547), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2279), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141399] = 28,
    ACTIONS(653), 1,
      sym__identifier,
    ACTIONS(711), 1,
      aux_sym_identifier_token1,
    ACTIONS(4125), 1,
      sym_keyword_cast,
    ACTIONS(4127), 1,
      sym_keyword_case,
    ACTIONS(4131), 1,
      sym_keyword_exists,
    ACTIONS(4137), 1,
      sym_keyword_interval,
    ACTIONS(4139), 1,
      sym_keyword_array,
    ACTIONS(4141), 1,
      anon_sym_LPAREN,
    ACTIONS(4145), 1,
      anon_sym_PLUS,
    ACTIONS(4147), 1,
      anon_sym_DASH,
    ACTIONS(4149), 1,
      sym_op_unary_other,
    ACTIONS(4151), 1,
      sym__double_quote_string,
    ACTIONS(4153), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4155), 1,
      aux_sym__integer_token1,
    ACTIONS(4157), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4159), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4161), 1,
      sym__dollar_quoted_string,
    ACTIONS(5707), 1,
      sym_parameter,
    STATE(1023), 1,
      sym__single_quote_string,
    STATE(5232), 1,
      sym_identifier,
    STATE(6267), 1,
      sym_invocation,
    STATE(6459), 1,
      sym__qualified_field,
    STATE(12144), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4135), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4133), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(6426), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4739), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141510] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3116), 1,
      sym_op_unary_other,
    ACTIONS(5709), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(5353), 1,
      sym_invocation,
    STATE(12262), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3112), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4374), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141621] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    ACTIONS(3939), 1,
      sym_op_unary_other,
    ACTIONS(5711), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5349), 1,
      sym_invocation,
    STATE(12005), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3933), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3490), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141732] = 28,
    ACTIONS(339), 1,
      sym__identifier,
    ACTIONS(397), 1,
      aux_sym_identifier_token1,
    ACTIONS(4019), 1,
      sym_keyword_cast,
    ACTIONS(4021), 1,
      sym_keyword_case,
    ACTIONS(4025), 1,
      sym_keyword_exists,
    ACTIONS(4031), 1,
      sym_keyword_interval,
    ACTIONS(4033), 1,
      sym_keyword_array,
    ACTIONS(4035), 1,
      anon_sym_LPAREN,
    ACTIONS(4039), 1,
      anon_sym_PLUS,
    ACTIONS(4041), 1,
      anon_sym_DASH,
    ACTIONS(4043), 1,
      sym_op_unary_other,
    ACTIONS(4045), 1,
      sym__double_quote_string,
    ACTIONS(4047), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4049), 1,
      aux_sym__integer_token1,
    ACTIONS(4051), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4053), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4055), 1,
      sym__dollar_quoted_string,
    ACTIONS(5713), 1,
      sym_parameter,
    STATE(2112), 1,
      sym__single_quote_string,
    STATE(2801), 1,
      sym_identifier,
    STATE(3557), 1,
      sym_invocation,
    STATE(4316), 1,
      sym__qualified_field,
    STATE(12191), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4029), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4027), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4146), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2058), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141843] = 28,
    ACTIONS(3977), 1,
      sym__identifier,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      aux_sym_identifier_token1,
    ACTIONS(4017), 1,
      sym__dollar_quoted_string,
    ACTIONS(5715), 1,
      sym_parameter,
    STATE(4942), 1,
      sym_identifier,
    STATE(5625), 1,
      sym_invocation,
    STATE(5873), 1,
      sym__single_quote_string,
    STATE(6019), 1,
      sym__qualified_field,
    STATE(12085), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5971), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4081), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [141954] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5717), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6025), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142065] = 28,
    ACTIONS(3977), 1,
      sym__identifier,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      aux_sym_identifier_token1,
    ACTIONS(4017), 1,
      sym__dollar_quoted_string,
    ACTIONS(5719), 1,
      sym_parameter,
    STATE(4942), 1,
      sym_identifier,
    STATE(5625), 1,
      sym_invocation,
    STATE(5873), 1,
      sym__single_quote_string,
    STATE(6019), 1,
      sym__qualified_field,
    STATE(12085), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5971), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4080), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142176] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5721), 1,
      anon_sym_LPAREN,
    ACTIONS(5723), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5425), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142287] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5725), 1,
      anon_sym_LPAREN,
    ACTIONS(5727), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5429), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142398] = 28,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1205), 1,
      aux_sym_identifier_token1,
    ACTIONS(4075), 1,
      sym_keyword_cast,
    ACTIONS(4077), 1,
      sym_keyword_case,
    ACTIONS(4081), 1,
      sym_keyword_exists,
    ACTIONS(4087), 1,
      sym_keyword_interval,
    ACTIONS(4089), 1,
      sym_keyword_array,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    ACTIONS(4095), 1,
      anon_sym_PLUS,
    ACTIONS(4097), 1,
      anon_sym_DASH,
    ACTIONS(4099), 1,
      sym_op_unary_other,
    ACTIONS(4101), 1,
      sym__double_quote_string,
    ACTIONS(4103), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4105), 1,
      aux_sym__integer_token1,
    ACTIONS(4107), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4109), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4111), 1,
      sym__dollar_quoted_string,
    ACTIONS(5729), 1,
      sym_parameter,
    STATE(2885), 1,
      sym_identifier,
    STATE(4010), 1,
      sym_invocation,
    STATE(4482), 1,
      sym__single_quote_string,
    STATE(4670), 1,
      sym__qualified_field,
    STATE(11942), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4085), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4083), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4547), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2277), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142509] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5731), 1,
      anon_sym_LPAREN,
    ACTIONS(5733), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5280), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142620] = 28,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1205), 1,
      aux_sym_identifier_token1,
    ACTIONS(4075), 1,
      sym_keyword_cast,
    ACTIONS(4077), 1,
      sym_keyword_case,
    ACTIONS(4081), 1,
      sym_keyword_exists,
    ACTIONS(4087), 1,
      sym_keyword_interval,
    ACTIONS(4089), 1,
      sym_keyword_array,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    ACTIONS(4093), 1,
      sym_parameter,
    ACTIONS(4095), 1,
      anon_sym_PLUS,
    ACTIONS(4097), 1,
      anon_sym_DASH,
    ACTIONS(4099), 1,
      sym_op_unary_other,
    ACTIONS(4101), 1,
      sym__double_quote_string,
    ACTIONS(4103), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4105), 1,
      aux_sym__integer_token1,
    ACTIONS(4107), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4109), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4111), 1,
      sym__dollar_quoted_string,
    STATE(2885), 1,
      sym_identifier,
    STATE(4010), 1,
      sym_invocation,
    STATE(4482), 1,
      sym__single_quote_string,
    STATE(4670), 1,
      sym__qualified_field,
    STATE(11942), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4085), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4083), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4547), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2342), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142731] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5735), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(6233), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142842] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2975), 1,
      anon_sym_LPAREN,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2985), 1,
      sym_op_unary_other,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(5737), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5708), 1,
      sym_invocation,
    STATE(11985), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4400), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [142953] = 28,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(5739), 1,
      sym_parameter,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(12220), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4368), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [143064] = 28,
    ACTIONS(833), 1,
      sym__identifier,
    ACTIONS(891), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(5741), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(2999), 1,
      sym_identifier,
    STATE(4357), 1,
      sym_invocation,
    STATE(4511), 1,
      sym__qualified_field,
    STATE(11975), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4674), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3442), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [143175] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2975), 1,
      anon_sym_LPAREN,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2985), 1,
      sym_op_unary_other,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(5743), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5708), 1,
      sym_invocation,
    STATE(11985), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4398), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [143286] = 28,
    ACTIONS(339), 1,
      sym__identifier,
    ACTIONS(397), 1,
      aux_sym_identifier_token1,
    ACTIONS(4019), 1,
      sym_keyword_cast,
    ACTIONS(4021), 1,
      sym_keyword_case,
    ACTIONS(4025), 1,
      sym_keyword_exists,
    ACTIONS(4031), 1,
      sym_keyword_interval,
    ACTIONS(4033), 1,
      sym_keyword_array,
    ACTIONS(4035), 1,
      anon_sym_LPAREN,
    ACTIONS(4039), 1,
      anon_sym_PLUS,
    ACTIONS(4041), 1,
      anon_sym_DASH,
    ACTIONS(4043), 1,
      sym_op_unary_other,
    ACTIONS(4045), 1,
      sym__double_quote_string,
    ACTIONS(4047), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4049), 1,
      aux_sym__integer_token1,
    ACTIONS(4051), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4053), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4055), 1,
      sym__dollar_quoted_string,
    ACTIONS(5745), 1,
      sym_parameter,
    STATE(2112), 1,
      sym__single_quote_string,
    STATE(2801), 1,
      sym_identifier,
    STATE(3557), 1,
      sym_invocation,
    STATE(4316), 1,
      sym__qualified_field,
    STATE(12191), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4029), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4027), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4146), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1989), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [143397] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3116), 1,
      sym_op_unary_other,
    ACTIONS(5747), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(5353), 1,
      sym_invocation,
    STATE(12262), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3112), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4340), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [143508] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2975), 1,
      anon_sym_LPAREN,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2985), 1,
      sym_op_unary_other,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(5749), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5708), 1,
      sym_invocation,
    STATE(11985), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4393), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [143619] = 28,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(5751), 1,
      sym_parameter,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(12220), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4367), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [143730] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2975), 1,
      anon_sym_LPAREN,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2985), 1,
      sym_op_unary_other,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(4073), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5708), 1,
      sym_invocation,
    STATE(11985), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4347), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [143841] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2975), 1,
      anon_sym_LPAREN,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2985), 1,
      sym_op_unary_other,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(5753), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5708), 1,
      sym_invocation,
    STATE(11985), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4391), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [143952] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2975), 1,
      anon_sym_LPAREN,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2985), 1,
      sym_op_unary_other,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(5755), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5708), 1,
      sym_invocation,
    STATE(11985), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4387), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [144063] = 28,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(1291), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(5757), 1,
      sym_parameter,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(2964), 1,
      sym_identifier,
    STATE(4197), 1,
      sym_invocation,
    STATE(4481), 1,
      sym__qualified_field,
    STATE(11994), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4309), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2356), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [144174] = 28,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(5759), 1,
      sym_parameter,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(12220), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4365), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [144285] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2975), 1,
      anon_sym_LPAREN,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2985), 1,
      sym_op_unary_other,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(5761), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5708), 1,
      sym_invocation,
    STATE(11985), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4370), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [144396] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2975), 1,
      anon_sym_LPAREN,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2985), 1,
      sym_op_unary_other,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(5763), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5708), 1,
      sym_invocation,
    STATE(11985), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4363), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [144507] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2975), 1,
      anon_sym_LPAREN,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2985), 1,
      sym_op_unary_other,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(5765), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5708), 1,
      sym_invocation,
    STATE(11985), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4401), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [144618] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2975), 1,
      anon_sym_LPAREN,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2985), 1,
      sym_op_unary_other,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(5767), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5708), 1,
      sym_invocation,
    STATE(11985), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4395), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [144729] = 28,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(5769), 1,
      sym_parameter,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(12220), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4364), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [144840] = 28,
    ACTIONS(339), 1,
      sym__identifier,
    ACTIONS(397), 1,
      aux_sym_identifier_token1,
    ACTIONS(4019), 1,
      sym_keyword_cast,
    ACTIONS(4021), 1,
      sym_keyword_case,
    ACTIONS(4025), 1,
      sym_keyword_exists,
    ACTIONS(4031), 1,
      sym_keyword_interval,
    ACTIONS(4033), 1,
      sym_keyword_array,
    ACTIONS(4035), 1,
      anon_sym_LPAREN,
    ACTIONS(4039), 1,
      anon_sym_PLUS,
    ACTIONS(4041), 1,
      anon_sym_DASH,
    ACTIONS(4043), 1,
      sym_op_unary_other,
    ACTIONS(4045), 1,
      sym__double_quote_string,
    ACTIONS(4047), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4049), 1,
      aux_sym__integer_token1,
    ACTIONS(4051), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4053), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4055), 1,
      sym__dollar_quoted_string,
    ACTIONS(5771), 1,
      sym_parameter,
    STATE(2112), 1,
      sym__single_quote_string,
    STATE(2801), 1,
      sym_identifier,
    STATE(3557), 1,
      sym_invocation,
    STATE(4316), 1,
      sym__qualified_field,
    STATE(12191), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4029), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4027), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4146), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2873), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [144951] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2975), 1,
      anon_sym_LPAREN,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2985), 1,
      sym_op_unary_other,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(5773), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5708), 1,
      sym_invocation,
    STATE(11985), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4392), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [145062] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2975), 1,
      anon_sym_LPAREN,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2985), 1,
      sym_op_unary_other,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(5775), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5708), 1,
      sym_invocation,
    STATE(11985), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4356), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [145173] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2975), 1,
      anon_sym_LPAREN,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2985), 1,
      sym_op_unary_other,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(5777), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5708), 1,
      sym_invocation,
    STATE(11985), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2965), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4402), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [145284] = 28,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(5779), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4177), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1827), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [145395] = 28,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(5781), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4177), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1821), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [145506] = 28,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(5783), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4177), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1810), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [145617] = 28,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(5785), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4177), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1760), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [145728] = 28,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(5787), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4177), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1693), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [145839] = 28,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(5789), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4177), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1669), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [145950] = 28,
    ACTIONS(833), 1,
      sym__identifier,
    ACTIONS(891), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(5791), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(2999), 1,
      sym_identifier,
    STATE(4357), 1,
      sym_invocation,
    STATE(4511), 1,
      sym__qualified_field,
    STATE(11975), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4674), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2902), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [146061] = 28,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(5793), 1,
      sym_parameter,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(12220), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4362), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [146172] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3116), 1,
      sym_op_unary_other,
    ACTIONS(5795), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(5353), 1,
      sym_invocation,
    STATE(12262), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3112), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4334), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [146283] = 29,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4241), 1,
      sym_keyword_null,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(5797), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5476), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(843), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [146396] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3403), 1,
      sym_keyword_in,
    ACTIONS(3405), 1,
      sym_keyword_and,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3409), 1,
      sym_keyword_not,
    ACTIONS(3411), 1,
      sym_keyword_between,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      sym_op_other,
    ACTIONS(3423), 1,
      anon_sym_PLUS,
    ACTIONS(3425), 1,
      anon_sym_DASH,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(5414), 1,
      anon_sym_COLON_COLON,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3419), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3415), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3485), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [146497] = 29,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4177), 1,
      sym_keyword_null,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(5799), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5018), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1656), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [146610] = 28,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1205), 1,
      aux_sym_identifier_token1,
    ACTIONS(4075), 1,
      sym_keyword_cast,
    ACTIONS(4077), 1,
      sym_keyword_case,
    ACTIONS(4081), 1,
      sym_keyword_exists,
    ACTIONS(4087), 1,
      sym_keyword_interval,
    ACTIONS(4089), 1,
      sym_keyword_array,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    ACTIONS(4095), 1,
      anon_sym_PLUS,
    ACTIONS(4097), 1,
      anon_sym_DASH,
    ACTIONS(4099), 1,
      sym_op_unary_other,
    ACTIONS(4101), 1,
      sym__double_quote_string,
    ACTIONS(4103), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4105), 1,
      aux_sym__integer_token1,
    ACTIONS(4107), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4109), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4111), 1,
      sym__dollar_quoted_string,
    ACTIONS(5801), 1,
      sym_parameter,
    STATE(2885), 1,
      sym_identifier,
    STATE(4010), 1,
      sym_invocation,
    STATE(4482), 1,
      sym__single_quote_string,
    STATE(4670), 1,
      sym__qualified_field,
    STATE(11942), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4085), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4083), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4547), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2361), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [146721] = 29,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4177), 1,
      sym_keyword_null,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(5803), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5024), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1613), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [146834] = 28,
    ACTIONS(1147), 1,
      sym__identifier,
    ACTIONS(1205), 1,
      aux_sym_identifier_token1,
    ACTIONS(4075), 1,
      sym_keyword_cast,
    ACTIONS(4077), 1,
      sym_keyword_case,
    ACTIONS(4081), 1,
      sym_keyword_exists,
    ACTIONS(4087), 1,
      sym_keyword_interval,
    ACTIONS(4089), 1,
      sym_keyword_array,
    ACTIONS(4091), 1,
      anon_sym_LPAREN,
    ACTIONS(4095), 1,
      anon_sym_PLUS,
    ACTIONS(4097), 1,
      anon_sym_DASH,
    ACTIONS(4099), 1,
      sym_op_unary_other,
    ACTIONS(4101), 1,
      sym__double_quote_string,
    ACTIONS(4103), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4105), 1,
      aux_sym__integer_token1,
    ACTIONS(4107), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4109), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4111), 1,
      sym__dollar_quoted_string,
    ACTIONS(5805), 1,
      sym_parameter,
    STATE(2885), 1,
      sym_identifier,
    STATE(4010), 1,
      sym_invocation,
    STATE(4482), 1,
      sym__single_quote_string,
    STATE(4670), 1,
      sym__qualified_field,
    STATE(11942), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4085), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4083), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4547), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2240), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [146945] = 29,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4177), 1,
      sym_keyword_null,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(5807), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5032), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1595), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147058] = 29,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4177), 1,
      sym_keyword_null,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(5809), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5036), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1580), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147171] = 29,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4177), 1,
      sym_keyword_null,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(5811), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5042), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1562), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147284] = 29,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4177), 1,
      sym_keyword_null,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(5813), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5048), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1559), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147397] = 28,
    ACTIONS(833), 1,
      sym__identifier,
    ACTIONS(891), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(5815), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(2999), 1,
      sym_identifier,
    STATE(4357), 1,
      sym_invocation,
    STATE(4511), 1,
      sym__qualified_field,
    STATE(11975), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4674), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3554), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147508] = 28,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(1291), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(5817), 1,
      sym_parameter,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(2964), 1,
      sym_identifier,
    STATE(4197), 1,
      sym_invocation,
    STATE(4481), 1,
      sym__qualified_field,
    STATE(11994), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4309), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2351), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147619] = 29,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4177), 1,
      sym_keyword_null,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(5819), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5088), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1550), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147732] = 28,
    ACTIONS(833), 1,
      sym__identifier,
    ACTIONS(891), 1,
      aux_sym_identifier_token1,
    ACTIONS(3717), 1,
      sym_keyword_cast,
    ACTIONS(3719), 1,
      sym_keyword_case,
    ACTIONS(3723), 1,
      sym_keyword_exists,
    ACTIONS(3729), 1,
      sym_keyword_interval,
    ACTIONS(3731), 1,
      sym_keyword_array,
    ACTIONS(3733), 1,
      anon_sym_LPAREN,
    ACTIONS(3737), 1,
      anon_sym_PLUS,
    ACTIONS(3739), 1,
      anon_sym_DASH,
    ACTIONS(3741), 1,
      sym_op_unary_other,
    ACTIONS(3743), 1,
      sym__double_quote_string,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3747), 1,
      aux_sym__integer_token1,
    ACTIONS(3749), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3751), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3753), 1,
      sym__dollar_quoted_string,
    ACTIONS(5821), 1,
      sym_parameter,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(2999), 1,
      sym_identifier,
    STATE(4357), 1,
      sym_invocation,
    STATE(4511), 1,
      sym__qualified_field,
    STATE(11975), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3727), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3725), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4674), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2720), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147843] = 28,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(1291), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(5823), 1,
      sym_parameter,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(2964), 1,
      sym_identifier,
    STATE(4197), 1,
      sym_invocation,
    STATE(4481), 1,
      sym__qualified_field,
    STATE(11994), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4309), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2335), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [147954] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    ACTIONS(3939), 1,
      sym_op_unary_other,
    ACTIONS(5825), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5349), 1,
      sym_invocation,
    STATE(12005), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3933), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4981), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [148065] = 28,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(5827), 1,
      sym_parameter,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(12220), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4361), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [148176] = 28,
    ACTIONS(3977), 1,
      sym__identifier,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      aux_sym_identifier_token1,
    ACTIONS(4017), 1,
      sym__dollar_quoted_string,
    ACTIONS(5829), 1,
      sym_parameter,
    STATE(4942), 1,
      sym_identifier,
    STATE(5625), 1,
      sym_invocation,
    STATE(5873), 1,
      sym__single_quote_string,
    STATE(6019), 1,
      sym__qualified_field,
    STATE(12085), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5971), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4078), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [148287] = 28,
    ACTIONS(3977), 1,
      sym__identifier,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      aux_sym_identifier_token1,
    ACTIONS(4017), 1,
      sym__dollar_quoted_string,
    ACTIONS(5831), 1,
      sym_parameter,
    STATE(4942), 1,
      sym_identifier,
    STATE(5625), 1,
      sym_invocation,
    STATE(5873), 1,
      sym__single_quote_string,
    STATE(6019), 1,
      sym__qualified_field,
    STATE(12085), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5971), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4061), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [148398] = 28,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(1291), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(5833), 1,
      sym_parameter,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(2964), 1,
      sym_identifier,
    STATE(4197), 1,
      sym_invocation,
    STATE(4481), 1,
      sym__qualified_field,
    STATE(11994), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4309), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2205), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [148509] = 28,
    ACTIONS(339), 1,
      sym__identifier,
    ACTIONS(397), 1,
      aux_sym_identifier_token1,
    ACTIONS(4019), 1,
      sym_keyword_cast,
    ACTIONS(4021), 1,
      sym_keyword_case,
    ACTIONS(4025), 1,
      sym_keyword_exists,
    ACTIONS(4031), 1,
      sym_keyword_interval,
    ACTIONS(4033), 1,
      sym_keyword_array,
    ACTIONS(4035), 1,
      anon_sym_LPAREN,
    ACTIONS(4039), 1,
      anon_sym_PLUS,
    ACTIONS(4041), 1,
      anon_sym_DASH,
    ACTIONS(4043), 1,
      sym_op_unary_other,
    ACTIONS(4045), 1,
      sym__double_quote_string,
    ACTIONS(4047), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4049), 1,
      aux_sym__integer_token1,
    ACTIONS(4051), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4053), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4055), 1,
      sym__dollar_quoted_string,
    ACTIONS(5835), 1,
      sym_parameter,
    STATE(2112), 1,
      sym__single_quote_string,
    STATE(2801), 1,
      sym_identifier,
    STATE(3557), 1,
      sym_invocation,
    STATE(4316), 1,
      sym__qualified_field,
    STATE(12191), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4029), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4027), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4146), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2798), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [148620] = 28,
    ACTIONS(583), 1,
      sym__identifier,
    ACTIONS(641), 1,
      aux_sym_identifier_token1,
    ACTIONS(2961), 1,
      sym_keyword_cast,
    ACTIONS(2963), 1,
      sym_keyword_case,
    ACTIONS(2967), 1,
      sym_keyword_exists,
    ACTIONS(2971), 1,
      sym_keyword_interval,
    ACTIONS(2973), 1,
      sym_keyword_array,
    ACTIONS(2981), 1,
      anon_sym_PLUS,
    ACTIONS(2983), 1,
      anon_sym_DASH,
    ACTIONS(2987), 1,
      sym__double_quote_string,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2991), 1,
      aux_sym__integer_token1,
    ACTIONS(2993), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2995), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2997), 1,
      sym__dollar_quoted_string,
    ACTIONS(3935), 1,
      anon_sym_LPAREN,
    ACTIONS(3939), 1,
      sym_op_unary_other,
    ACTIONS(5837), 1,
      sym_parameter,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(3462), 1,
      sym_identifier,
    STATE(4833), 1,
      sym__qualified_field,
    STATE(5349), 1,
      sym_invocation,
    STATE(12005), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2969), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3933), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4783), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5000), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [148731] = 8,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2624), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2622), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [148802] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3116), 1,
      sym_op_unary_other,
    ACTIONS(5839), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(5353), 1,
      sym_invocation,
    STATE(12262), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3112), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4333), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [148913] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(5841), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(12262), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4515), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [149024] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(5843), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(12262), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4516), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [149135] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3116), 1,
      sym_op_unary_other,
    ACTIONS(3947), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(5353), 1,
      sym_invocation,
    STATE(12262), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3112), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4352), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [149246] = 29,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4241), 1,
      sym_keyword_null,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(5845), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5633), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(771), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [149359] = 28,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(1291), 1,
      aux_sym_identifier_token1,
    ACTIONS(3122), 1,
      sym_keyword_cast,
    ACTIONS(3124), 1,
      sym_keyword_case,
    ACTIONS(3128), 1,
      sym_keyword_exists,
    ACTIONS(3132), 1,
      sym_keyword_interval,
    ACTIONS(3134), 1,
      sym_keyword_array,
    ACTIONS(3136), 1,
      anon_sym_LPAREN,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3144), 1,
      sym_op_unary_other,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(5847), 1,
      sym_parameter,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(2964), 1,
      sym_identifier,
    STATE(4197), 1,
      sym_invocation,
    STATE(4481), 1,
      sym__qualified_field,
    STATE(11994), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3126), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4309), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2181), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [149470] = 29,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4241), 1,
      sym_keyword_null,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(5849), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5578), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(769), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [149583] = 28,
    ACTIONS(339), 1,
      sym__identifier,
    ACTIONS(397), 1,
      aux_sym_identifier_token1,
    ACTIONS(4019), 1,
      sym_keyword_cast,
    ACTIONS(4021), 1,
      sym_keyword_case,
    ACTIONS(4025), 1,
      sym_keyword_exists,
    ACTIONS(4031), 1,
      sym_keyword_interval,
    ACTIONS(4033), 1,
      sym_keyword_array,
    ACTIONS(4035), 1,
      anon_sym_LPAREN,
    ACTIONS(4039), 1,
      anon_sym_PLUS,
    ACTIONS(4041), 1,
      anon_sym_DASH,
    ACTIONS(4043), 1,
      sym_op_unary_other,
    ACTIONS(4045), 1,
      sym__double_quote_string,
    ACTIONS(4047), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4049), 1,
      aux_sym__integer_token1,
    ACTIONS(4051), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4053), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4055), 1,
      sym__dollar_quoted_string,
    ACTIONS(5851), 1,
      sym_parameter,
    STATE(2112), 1,
      sym__single_quote_string,
    STATE(2801), 1,
      sym_identifier,
    STATE(3557), 1,
      sym_invocation,
    STATE(4316), 1,
      sym__qualified_field,
    STATE(12191), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4029), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4027), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4146), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1963), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [149694] = 13,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2624), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2622), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [149775] = 28,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(5853), 1,
      sym_parameter,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(12220), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4360), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [149886] = 29,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4241), 1,
      sym_keyword_null,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(5855), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5598), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(794), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [149999] = 5,
    ACTIONS(4375), 1,
      sym_keyword_filter,
    STATE(2019), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2682), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2680), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [150064] = 28,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(5857), 1,
      sym_parameter,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(12220), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4359), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150175] = 28,
    ACTIONS(4269), 1,
      sym__identifier,
    ACTIONS(4271), 1,
      sym_keyword_cast,
    ACTIONS(4273), 1,
      sym_keyword_case,
    ACTIONS(4277), 1,
      sym_keyword_exists,
    ACTIONS(4283), 1,
      sym_keyword_interval,
    ACTIONS(4285), 1,
      sym_keyword_array,
    ACTIONS(4287), 1,
      anon_sym_LPAREN,
    ACTIONS(4291), 1,
      anon_sym_PLUS,
    ACTIONS(4293), 1,
      anon_sym_DASH,
    ACTIONS(4295), 1,
      sym_op_unary_other,
    ACTIONS(4297), 1,
      sym__double_quote_string,
    ACTIONS(4299), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4301), 1,
      aux_sym__integer_token1,
    ACTIONS(4303), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4305), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4307), 1,
      aux_sym_identifier_token1,
    ACTIONS(4309), 1,
      sym__dollar_quoted_string,
    ACTIONS(5859), 1,
      sym_parameter,
    STATE(4864), 1,
      sym_identifier,
    STATE(5172), 1,
      sym_invocation,
    STATE(5629), 1,
      sym__single_quote_string,
    STATE(5652), 1,
      sym__qualified_field,
    STATE(11958), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4281), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4279), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5716), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(3486), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150286] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(4059), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(12262), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4535), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150397] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(5861), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(12262), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4517), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150508] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(5863), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(12262), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4519), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150619] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(5865), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(12262), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4523), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150730] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(5867), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(12262), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4524), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150841] = 28,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(3951), 1,
      sym_parameter,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(12220), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4366), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [150952] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(5869), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(12262), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4527), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [151063] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(5871), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(12262), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4534), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [151174] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5514), 1,
      anon_sym_LPAREN,
    ACTIONS(5873), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5973), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [151285] = 28,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(5875), 1,
      sym_parameter,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(12220), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4331), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [151396] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(5877), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(12262), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4536), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [151507] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(5879), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(12262), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4676), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [151618] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(5881), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(12262), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4464), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [151729] = 5,
    ACTIONS(4375), 1,
      sym_keyword_filter,
    STATE(2000), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [151794] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3403), 1,
      sym_keyword_in,
    ACTIONS(3405), 1,
      sym_keyword_and,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3409), 1,
      sym_keyword_not,
    ACTIONS(3411), 1,
      sym_keyword_between,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      sym_op_other,
    ACTIONS(3423), 1,
      anon_sym_PLUS,
    ACTIONS(3425), 1,
      anon_sym_DASH,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(5414), 1,
      anon_sym_COLON_COLON,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3419), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3415), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3465), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [151895] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3045), 1,
      anon_sym_LPAREN,
    ACTIONS(3049), 1,
      sym_op_unary_other,
    ACTIONS(5883), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(4411), 1,
      sym_identifier,
    STATE(5353), 1,
      sym_invocation,
    STATE(12262), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3043), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4457), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152006] = 28,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(5885), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4241), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(994), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152117] = 28,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(5887), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4241), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(993), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152228] = 28,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(5889), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4241), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(992), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152339] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5891), 1,
      anon_sym_LPAREN,
    ACTIONS(5893), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5367), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152450] = 28,
    ACTIONS(1009), 1,
      sym__identifier,
    ACTIONS(1067), 1,
      aux_sym_identifier_token1,
    ACTIONS(4323), 1,
      sym_keyword_cast,
    ACTIONS(4325), 1,
      sym_keyword_case,
    ACTIONS(4329), 1,
      sym_keyword_exists,
    ACTIONS(4335), 1,
      sym_keyword_interval,
    ACTIONS(4337), 1,
      sym_keyword_array,
    ACTIONS(4339), 1,
      anon_sym_LPAREN,
    ACTIONS(4343), 1,
      anon_sym_PLUS,
    ACTIONS(4345), 1,
      anon_sym_DASH,
    ACTIONS(4347), 1,
      sym_op_unary_other,
    ACTIONS(4349), 1,
      sym__double_quote_string,
    ACTIONS(4351), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4353), 1,
      aux_sym__integer_token1,
    ACTIONS(4355), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4357), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4359), 1,
      sym__dollar_quoted_string,
    ACTIONS(5895), 1,
      sym_parameter,
    STATE(2729), 1,
      sym_identifier,
    STATE(3765), 1,
      sym_invocation,
    STATE(4042), 1,
      sym__qualified_field,
    STATE(4301), 1,
      sym__single_quote_string,
    STATE(12025), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4333), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4331), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4186), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2043), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152561] = 28,
    ACTIONS(3977), 1,
      sym__identifier,
    ACTIONS(3979), 1,
      sym_keyword_cast,
    ACTIONS(3981), 1,
      sym_keyword_case,
    ACTIONS(3985), 1,
      sym_keyword_exists,
    ACTIONS(3991), 1,
      sym_keyword_interval,
    ACTIONS(3993), 1,
      sym_keyword_array,
    ACTIONS(3995), 1,
      anon_sym_LPAREN,
    ACTIONS(3999), 1,
      anon_sym_PLUS,
    ACTIONS(4001), 1,
      anon_sym_DASH,
    ACTIONS(4003), 1,
      sym_op_unary_other,
    ACTIONS(4005), 1,
      sym__double_quote_string,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4009), 1,
      aux_sym__integer_token1,
    ACTIONS(4011), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4013), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4015), 1,
      aux_sym_identifier_token1,
    ACTIONS(4017), 1,
      sym__dollar_quoted_string,
    ACTIONS(5897), 1,
      sym_parameter,
    STATE(4942), 1,
      sym_identifier,
    STATE(5625), 1,
      sym_invocation,
    STATE(5873), 1,
      sym__single_quote_string,
    STATE(6019), 1,
      sym__qualified_field,
    STATE(12085), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3989), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3987), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(5971), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4060), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152672] = 28,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(5899), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4241), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(991), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152783] = 28,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(5901), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4241), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(990), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [152894] = 28,
    ACTIONS(713), 1,
      sym__identifier,
    ACTIONS(771), 1,
      aux_sym_identifier_token1,
    ACTIONS(4231), 1,
      sym_keyword_cast,
    ACTIONS(4233), 1,
      sym_keyword_case,
    ACTIONS(4237), 1,
      sym_keyword_exists,
    ACTIONS(4243), 1,
      sym_keyword_interval,
    ACTIONS(4245), 1,
      sym_keyword_array,
    ACTIONS(4247), 1,
      anon_sym_LPAREN,
    ACTIONS(4251), 1,
      anon_sym_PLUS,
    ACTIONS(4253), 1,
      anon_sym_DASH,
    ACTIONS(4255), 1,
      sym_op_unary_other,
    ACTIONS(4257), 1,
      sym__double_quote_string,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4261), 1,
      aux_sym__integer_token1,
    ACTIONS(4263), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4265), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4267), 1,
      sym__dollar_quoted_string,
    ACTIONS(5903), 1,
      sym_parameter,
    STATE(1072), 1,
      sym_identifier,
    STATE(2148), 1,
      sym_invocation,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2624), 1,
      sym__qualified_field,
    STATE(12050), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4241), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4239), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2579), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(989), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153005] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3403), 1,
      sym_keyword_in,
    ACTIONS(3405), 1,
      sym_keyword_and,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3409), 1,
      sym_keyword_not,
    ACTIONS(3411), 1,
      sym_keyword_between,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      sym_op_other,
    ACTIONS(3423), 1,
      anon_sym_PLUS,
    ACTIONS(3425), 1,
      anon_sym_DASH,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(5414), 1,
      anon_sym_COLON_COLON,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3419), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3415), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3457), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [153106] = 28,
    ACTIONS(339), 1,
      sym__identifier,
    ACTIONS(397), 1,
      aux_sym_identifier_token1,
    ACTIONS(4019), 1,
      sym_keyword_cast,
    ACTIONS(4021), 1,
      sym_keyword_case,
    ACTIONS(4025), 1,
      sym_keyword_exists,
    ACTIONS(4031), 1,
      sym_keyword_interval,
    ACTIONS(4033), 1,
      sym_keyword_array,
    ACTIONS(4035), 1,
      anon_sym_LPAREN,
    ACTIONS(4039), 1,
      anon_sym_PLUS,
    ACTIONS(4041), 1,
      anon_sym_DASH,
    ACTIONS(4043), 1,
      sym_op_unary_other,
    ACTIONS(4045), 1,
      sym__double_quote_string,
    ACTIONS(4047), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4049), 1,
      aux_sym__integer_token1,
    ACTIONS(4051), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4053), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4055), 1,
      sym__dollar_quoted_string,
    ACTIONS(5905), 1,
      sym_parameter,
    STATE(2112), 1,
      sym__single_quote_string,
    STATE(2801), 1,
      sym_identifier,
    STATE(3557), 1,
      sym_invocation,
    STATE(4316), 1,
      sym__qualified_field,
    STATE(12191), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4029), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4027), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4146), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(2900), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153217] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(3092), 1,
      sym_op_unary_other,
    ACTIONS(5907), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(1677), 1,
      sym_identifier,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(3080), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(5820), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153328] = 28,
    ACTIONS(339), 1,
      sym__identifier,
    ACTIONS(397), 1,
      aux_sym_identifier_token1,
    ACTIONS(4019), 1,
      sym_keyword_cast,
    ACTIONS(4021), 1,
      sym_keyword_case,
    ACTIONS(4025), 1,
      sym_keyword_exists,
    ACTIONS(4031), 1,
      sym_keyword_interval,
    ACTIONS(4033), 1,
      sym_keyword_array,
    ACTIONS(4035), 1,
      anon_sym_LPAREN,
    ACTIONS(4037), 1,
      sym_parameter,
    ACTIONS(4039), 1,
      anon_sym_PLUS,
    ACTIONS(4041), 1,
      anon_sym_DASH,
    ACTIONS(4043), 1,
      sym_op_unary_other,
    ACTIONS(4045), 1,
      sym__double_quote_string,
    ACTIONS(4047), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4049), 1,
      aux_sym__integer_token1,
    ACTIONS(4051), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4053), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4055), 1,
      sym__dollar_quoted_string,
    STATE(2112), 1,
      sym__single_quote_string,
    STATE(2801), 1,
      sym_identifier,
    STATE(3557), 1,
      sym_invocation,
    STATE(4316), 1,
      sym__qualified_field,
    STATE(12191), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4029), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4027), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4146), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1969), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153439] = 28,
    ACTIONS(339), 1,
      sym__identifier,
    ACTIONS(397), 1,
      aux_sym_identifier_token1,
    ACTIONS(4019), 1,
      sym_keyword_cast,
    ACTIONS(4021), 1,
      sym_keyword_case,
    ACTIONS(4025), 1,
      sym_keyword_exists,
    ACTIONS(4031), 1,
      sym_keyword_interval,
    ACTIONS(4033), 1,
      sym_keyword_array,
    ACTIONS(4035), 1,
      anon_sym_LPAREN,
    ACTIONS(4039), 1,
      anon_sym_PLUS,
    ACTIONS(4041), 1,
      anon_sym_DASH,
    ACTIONS(4043), 1,
      sym_op_unary_other,
    ACTIONS(4045), 1,
      sym__double_quote_string,
    ACTIONS(4047), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4049), 1,
      aux_sym__integer_token1,
    ACTIONS(4051), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4053), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4055), 1,
      sym__dollar_quoted_string,
    ACTIONS(5909), 1,
      sym_parameter,
    STATE(2112), 1,
      sym__single_quote_string,
    STATE(2801), 1,
      sym_identifier,
    STATE(3557), 1,
      sym_invocation,
    STATE(4316), 1,
      sym__qualified_field,
    STATE(12191), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4029), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4027), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4146), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1982), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153550] = 28,
    ACTIONS(339), 1,
      sym__identifier,
    ACTIONS(397), 1,
      aux_sym_identifier_token1,
    ACTIONS(4019), 1,
      sym_keyword_cast,
    ACTIONS(4021), 1,
      sym_keyword_case,
    ACTIONS(4025), 1,
      sym_keyword_exists,
    ACTIONS(4031), 1,
      sym_keyword_interval,
    ACTIONS(4033), 1,
      sym_keyword_array,
    ACTIONS(4035), 1,
      anon_sym_LPAREN,
    ACTIONS(4039), 1,
      anon_sym_PLUS,
    ACTIONS(4041), 1,
      anon_sym_DASH,
    ACTIONS(4043), 1,
      sym_op_unary_other,
    ACTIONS(4045), 1,
      sym__double_quote_string,
    ACTIONS(4047), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4049), 1,
      aux_sym__integer_token1,
    ACTIONS(4051), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4053), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4055), 1,
      sym__dollar_quoted_string,
    ACTIONS(5911), 1,
      sym_parameter,
    STATE(2112), 1,
      sym__single_quote_string,
    STATE(2801), 1,
      sym_identifier,
    STATE(3557), 1,
      sym_invocation,
    STATE(4316), 1,
      sym__qualified_field,
    STATE(12191), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4029), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4027), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4146), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1981), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153661] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(3403), 1,
      sym_keyword_in,
    ACTIONS(3405), 1,
      sym_keyword_and,
    ACTIONS(3407), 1,
      sym_keyword_is,
    ACTIONS(3409), 1,
      sym_keyword_not,
    ACTIONS(3411), 1,
      sym_keyword_between,
    ACTIONS(3413), 1,
      anon_sym_LBRACK,
    ACTIONS(3421), 1,
      sym_op_other,
    ACTIONS(3423), 1,
      anon_sym_PLUS,
    ACTIONS(3425), 1,
      anon_sym_DASH,
    ACTIONS(3427), 1,
      anon_sym_SLASH,
    ACTIONS(3429), 1,
      anon_sym_CARET,
    ACTIONS(3489), 1,
      sym_keyword_or,
    ACTIONS(5414), 1,
      anon_sym_COLON_COLON,
    STATE(11344), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3417), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3419), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1611), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1610), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3415), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3431), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [153762] = 28,
    ACTIONS(339), 1,
      sym__identifier,
    ACTIONS(397), 1,
      aux_sym_identifier_token1,
    ACTIONS(4019), 1,
      sym_keyword_cast,
    ACTIONS(4021), 1,
      sym_keyword_case,
    ACTIONS(4025), 1,
      sym_keyword_exists,
    ACTIONS(4031), 1,
      sym_keyword_interval,
    ACTIONS(4033), 1,
      sym_keyword_array,
    ACTIONS(4035), 1,
      anon_sym_LPAREN,
    ACTIONS(4039), 1,
      anon_sym_PLUS,
    ACTIONS(4041), 1,
      anon_sym_DASH,
    ACTIONS(4043), 1,
      sym_op_unary_other,
    ACTIONS(4045), 1,
      sym__double_quote_string,
    ACTIONS(4047), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4049), 1,
      aux_sym__integer_token1,
    ACTIONS(4051), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4053), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4055), 1,
      sym__dollar_quoted_string,
    ACTIONS(5913), 1,
      sym_parameter,
    STATE(2112), 1,
      sym__single_quote_string,
    STATE(2801), 1,
      sym_identifier,
    STATE(3557), 1,
      sym_invocation,
    STATE(4316), 1,
      sym__qualified_field,
    STATE(12191), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4029), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4027), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4146), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1979), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153873] = 28,
    ACTIONS(339), 1,
      sym__identifier,
    ACTIONS(397), 1,
      aux_sym_identifier_token1,
    ACTIONS(4019), 1,
      sym_keyword_cast,
    ACTIONS(4021), 1,
      sym_keyword_case,
    ACTIONS(4025), 1,
      sym_keyword_exists,
    ACTIONS(4031), 1,
      sym_keyword_interval,
    ACTIONS(4033), 1,
      sym_keyword_array,
    ACTIONS(4035), 1,
      anon_sym_LPAREN,
    ACTIONS(4039), 1,
      anon_sym_PLUS,
    ACTIONS(4041), 1,
      anon_sym_DASH,
    ACTIONS(4043), 1,
      sym_op_unary_other,
    ACTIONS(4045), 1,
      sym__double_quote_string,
    ACTIONS(4047), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4049), 1,
      aux_sym__integer_token1,
    ACTIONS(4051), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4053), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4055), 1,
      sym__dollar_quoted_string,
    ACTIONS(5915), 1,
      sym_parameter,
    STATE(2112), 1,
      sym__single_quote_string,
    STATE(2801), 1,
      sym_identifier,
    STATE(3557), 1,
      sym_invocation,
    STATE(4316), 1,
      sym__qualified_field,
    STATE(12191), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4029), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4027), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4146), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1978), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [153984] = 28,
    ACTIONS(339), 1,
      sym__identifier,
    ACTIONS(397), 1,
      aux_sym_identifier_token1,
    ACTIONS(4019), 1,
      sym_keyword_cast,
    ACTIONS(4021), 1,
      sym_keyword_case,
    ACTIONS(4025), 1,
      sym_keyword_exists,
    ACTIONS(4031), 1,
      sym_keyword_interval,
    ACTIONS(4033), 1,
      sym_keyword_array,
    ACTIONS(4035), 1,
      anon_sym_LPAREN,
    ACTIONS(4039), 1,
      anon_sym_PLUS,
    ACTIONS(4041), 1,
      anon_sym_DASH,
    ACTIONS(4043), 1,
      sym_op_unary_other,
    ACTIONS(4045), 1,
      sym__double_quote_string,
    ACTIONS(4047), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4049), 1,
      aux_sym__integer_token1,
    ACTIONS(4051), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4053), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4055), 1,
      sym__dollar_quoted_string,
    ACTIONS(5917), 1,
      sym_parameter,
    STATE(2112), 1,
      sym__single_quote_string,
    STATE(2801), 1,
      sym_identifier,
    STATE(3557), 1,
      sym_invocation,
    STATE(4316), 1,
      sym__qualified_field,
    STATE(12191), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4029), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4027), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4146), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1970), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [154095] = 28,
    ACTIONS(339), 1,
      sym__identifier,
    ACTIONS(397), 1,
      aux_sym_identifier_token1,
    ACTIONS(4019), 1,
      sym_keyword_cast,
    ACTIONS(4021), 1,
      sym_keyword_case,
    ACTIONS(4025), 1,
      sym_keyword_exists,
    ACTIONS(4031), 1,
      sym_keyword_interval,
    ACTIONS(4033), 1,
      sym_keyword_array,
    ACTIONS(4035), 1,
      anon_sym_LPAREN,
    ACTIONS(4039), 1,
      anon_sym_PLUS,
    ACTIONS(4041), 1,
      anon_sym_DASH,
    ACTIONS(4043), 1,
      sym_op_unary_other,
    ACTIONS(4045), 1,
      sym__double_quote_string,
    ACTIONS(4047), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4049), 1,
      aux_sym__integer_token1,
    ACTIONS(4051), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4053), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4055), 1,
      sym__dollar_quoted_string,
    ACTIONS(5919), 1,
      sym_parameter,
    STATE(2112), 1,
      sym__single_quote_string,
    STATE(2801), 1,
      sym_identifier,
    STATE(3557), 1,
      sym_invocation,
    STATE(4316), 1,
      sym__qualified_field,
    STATE(12191), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4029), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4027), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4146), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1919), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [154206] = 28,
    ACTIONS(213), 1,
      sym__identifier,
    ACTIONS(271), 1,
      aux_sym_identifier_token1,
    ACTIONS(2427), 1,
      sym_keyword_cast,
    ACTIONS(2429), 1,
      sym_keyword_case,
    ACTIONS(2433), 1,
      sym_keyword_exists,
    ACTIONS(2441), 1,
      sym_keyword_interval,
    ACTIONS(2443), 1,
      sym_keyword_array,
    ACTIONS(2451), 1,
      anon_sym_PLUS,
    ACTIONS(2453), 1,
      anon_sym_DASH,
    ACTIONS(2455), 1,
      sym_op_unary_other,
    ACTIONS(2457), 1,
      sym__double_quote_string,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2461), 1,
      aux_sym__integer_token1,
    ACTIONS(2463), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2465), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2467), 1,
      sym__dollar_quoted_string,
    ACTIONS(3088), 1,
      anon_sym_LPAREN,
    ACTIONS(5921), 1,
      sym_parameter,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2599), 1,
      sym__qualified_field,
    STATE(2847), 1,
      sym_invocation,
    STATE(4411), 1,
      sym_identifier,
    STATE(11608), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2439), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2431), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2607), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4070), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [154317] = 28,
    ACTIONS(339), 1,
      sym__identifier,
    ACTIONS(397), 1,
      aux_sym_identifier_token1,
    ACTIONS(4019), 1,
      sym_keyword_cast,
    ACTIONS(4021), 1,
      sym_keyword_case,
    ACTIONS(4025), 1,
      sym_keyword_exists,
    ACTIONS(4031), 1,
      sym_keyword_interval,
    ACTIONS(4033), 1,
      sym_keyword_array,
    ACTIONS(4035), 1,
      anon_sym_LPAREN,
    ACTIONS(4039), 1,
      anon_sym_PLUS,
    ACTIONS(4041), 1,
      anon_sym_DASH,
    ACTIONS(4043), 1,
      sym_op_unary_other,
    ACTIONS(4045), 1,
      sym__double_quote_string,
    ACTIONS(4047), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4049), 1,
      aux_sym__integer_token1,
    ACTIONS(4051), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4053), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4055), 1,
      sym__dollar_quoted_string,
    ACTIONS(5923), 1,
      sym_parameter,
    STATE(2112), 1,
      sym__single_quote_string,
    STATE(2801), 1,
      sym_identifier,
    STATE(3557), 1,
      sym_invocation,
    STATE(4316), 1,
      sym__qualified_field,
    STATE(12191), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4029), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4027), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4146), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1968), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [154428] = 28,
    ACTIONS(339), 1,
      sym__identifier,
    ACTIONS(397), 1,
      aux_sym_identifier_token1,
    ACTIONS(4019), 1,
      sym_keyword_cast,
    ACTIONS(4021), 1,
      sym_keyword_case,
    ACTIONS(4025), 1,
      sym_keyword_exists,
    ACTIONS(4031), 1,
      sym_keyword_interval,
    ACTIONS(4033), 1,
      sym_keyword_array,
    ACTIONS(4035), 1,
      anon_sym_LPAREN,
    ACTIONS(4039), 1,
      anon_sym_PLUS,
    ACTIONS(4041), 1,
      anon_sym_DASH,
    ACTIONS(4043), 1,
      sym_op_unary_other,
    ACTIONS(4045), 1,
      sym__double_quote_string,
    ACTIONS(4047), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4049), 1,
      aux_sym__integer_token1,
    ACTIONS(4051), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4053), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4055), 1,
      sym__dollar_quoted_string,
    ACTIONS(5925), 1,
      sym_parameter,
    STATE(2112), 1,
      sym__single_quote_string,
    STATE(2801), 1,
      sym_identifier,
    STATE(3557), 1,
      sym_invocation,
    STATE(4316), 1,
      sym__qualified_field,
    STATE(12191), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4029), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4027), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(4146), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(1966), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [154539] = 28,
    ACTIONS(1083), 1,
      sym__identifier,
    ACTIONS(1141), 1,
      aux_sym_identifier_token1,
    ACTIONS(4167), 1,
      sym_keyword_cast,
    ACTIONS(4169), 1,
      sym_keyword_case,
    ACTIONS(4173), 1,
      sym_keyword_exists,
    ACTIONS(4179), 1,
      sym_keyword_interval,
    ACTIONS(4181), 1,
      sym_keyword_array,
    ACTIONS(4183), 1,
      anon_sym_LPAREN,
    ACTIONS(4187), 1,
      anon_sym_PLUS,
    ACTIONS(4189), 1,
      anon_sym_DASH,
    ACTIONS(4191), 1,
      sym_op_unary_other,
    ACTIONS(4193), 1,
      sym__double_quote_string,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4197), 1,
      aux_sym__integer_token1,
    ACTIONS(4199), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(4201), 1,
      aux_sym__bit_string_token1,
    ACTIONS(4203), 1,
      sym__dollar_quoted_string,
    ACTIONS(5927), 1,
      sym_parameter,
    STATE(1900), 1,
      sym_identifier,
    STATE(2473), 1,
      sym_invocation,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2671), 1,
      sym__qualified_field,
    STATE(11946), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4177), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(4175), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(2679), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(878), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [154650] = 28,
    ACTIONS(279), 1,
      sym__identifier,
    ACTIONS(337), 1,
      aux_sym_identifier_token1,
    ACTIONS(2890), 1,
      sym_keyword_cast,
    ACTIONS(2892), 1,
      sym_keyword_case,
    ACTIONS(2896), 1,
      sym_keyword_exists,
    ACTIONS(2900), 1,
      sym_keyword_interval,
    ACTIONS(2902), 1,
      sym_keyword_array,
    ACTIONS(2904), 1,
      anon_sym_LPAREN,
    ACTIONS(2912), 1,
      anon_sym_PLUS,
    ACTIONS(2914), 1,
      anon_sym_DASH,
    ACTIONS(2916), 1,
      sym_op_unary_other,
    ACTIONS(2918), 1,
      sym__double_quote_string,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2922), 1,
      aux_sym__integer_token1,
    ACTIONS(2924), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(2926), 1,
      aux_sym__bit_string_token1,
    ACTIONS(2928), 1,
      sym__dollar_quoted_string,
    ACTIONS(5929), 1,
      sym_parameter,
    STATE(2678), 1,
      sym_identifier,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3464), 1,
      sym__qualified_field,
    STATE(5773), 1,
      sym_invocation,
    STATE(12220), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2898), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(2894), 5,
      sym_keyword_not,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_bang,
    STATE(3457), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
    STATE(4342), 16,
      sym_array,
      sym_case,
      sym_implicit_cast,
      sym_interval,
      sym_cast,
      sym_exists,
      sym_window_function,
      sym__expression,
      sym_parenthesized_expression,
      sym_subscript,
      sym_binary_expression,
      sym_unary_expression,
      sym_between_expression,
      sym_subquery,
      sym_list,
      sym_literal,
  [154761] = 6,
    ACTIONS(5931), 1,
      sym_keyword_unsigned,
    ACTIONS(5933), 1,
      sym_keyword_zerofill,
    ACTIONS(5935), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1897), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1895), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [154827] = 5,
    ACTIONS(5937), 1,
      sym_keyword_filter,
    STATE(2338), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2676), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2678), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [154891] = 5,
    ACTIONS(5937), 1,
      sym_keyword_filter,
    STATE(2272), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2700), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2702), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [154955] = 6,
    ACTIONS(5939), 1,
      sym_keyword_unsigned,
    ACTIONS(5941), 1,
      sym_keyword_zerofill,
    ACTIONS(5943), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1815), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1817), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [155021] = 6,
    ACTIONS(4407), 1,
      sym_keyword_with,
    ACTIONS(4409), 1,
      sym_keyword_without,
    STATE(2310), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1979), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1977), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [155087] = 6,
    ACTIONS(5945), 1,
      sym_keyword_unsigned,
    ACTIONS(5947), 1,
      sym_keyword_zerofill,
    ACTIONS(5949), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1839), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1841), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [155153] = 6,
    ACTIONS(5953), 1,
      anon_sym_LPAREN,
    STATE(2514), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5951), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1889), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1891), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [155219] = 5,
    ACTIONS(5937), 1,
      sym_keyword_filter,
    STATE(2311), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2692), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2694), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [155283] = 5,
    ACTIONS(5937), 1,
      sym_keyword_filter,
    STATE(2247), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2696), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2698), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [155347] = 6,
    ACTIONS(4407), 1,
      sym_keyword_with,
    ACTIONS(4409), 1,
      sym_keyword_without,
    STATE(2309), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1963), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1961), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [155413] = 6,
    ACTIONS(5955), 1,
      anon_sym_LPAREN,
    STATE(2513), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5951), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1859), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1861), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [155479] = 6,
    ACTIONS(5957), 1,
      sym_keyword_unsigned,
    ACTIONS(5959), 1,
      sym_keyword_zerofill,
    ACTIONS(5961), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1869), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1871), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [155545] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [155607] = 29,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(5967), 1,
      sym_keyword_as,
    ACTIONS(5969), 1,
      sym_keyword_in,
    ACTIONS(5971), 1,
      sym_keyword_and,
    ACTIONS(5973), 1,
      sym_keyword_or,
    ACTIONS(5975), 1,
      sym_keyword_is,
    ACTIONS(5977), 1,
      sym_keyword_not,
    ACTIONS(5979), 1,
      sym_keyword_between,
    ACTIONS(5983), 1,
      sym_keyword_similar,
    ACTIONS(5985), 1,
      anon_sym_LBRACK,
    ACTIONS(5991), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5995), 1,
      sym_op_other,
    ACTIONS(5997), 1,
      anon_sym_PLUS,
    ACTIONS(5999), 1,
      anon_sym_DASH,
    ACTIONS(6001), 1,
      anon_sym_SLASH,
    ACTIONS(6003), 1,
      anon_sym_CARET,
    STATE(6466), 1,
      sym_identifier,
    STATE(7096), 1,
      sym__alias,
    STATE(10678), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(5981), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(5989), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5993), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1173), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(5963), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(1171), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(5987), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(5965), 8,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [155719] = 6,
    ACTIONS(6005), 1,
      sym_keyword_unsigned,
    ACTIONS(6007), 1,
      sym_keyword_zerofill,
    ACTIONS(6009), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1895), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1897), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [155785] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1380), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1382), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [155847] = 4,
    ACTIONS(6011), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(121), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(123), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [155909] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1905), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1907), 32,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [155969] = 5,
    ACTIONS(5937), 1,
      sym_keyword_filter,
    STATE(2250), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2680), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2682), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [156033] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1921), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1923), 32,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [156093] = 5,
    ACTIONS(5937), 1,
      sym_keyword_filter,
    STATE(2320), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2724), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2726), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [156157] = 6,
    ACTIONS(6013), 1,
      sym_keyword_unsigned,
    ACTIONS(6015), 1,
      sym_keyword_zerofill,
    ACTIONS(6017), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [156223] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1827), 32,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [156283] = 7,
    ACTIONS(6019), 1,
      sym_keyword_array,
    STATE(2225), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(2675), 1,
      sym_array_size_definition,
    STATE(2676), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2880), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2878), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [156351] = 5,
    ACTIONS(6021), 1,
      aux_sym__single_quote_string_token2,
    STATE(1879), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3279), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3277), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [156415] = 7,
    ACTIONS(6019), 1,
      sym_keyword_array,
    STATE(2225), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(2676), 1,
      sym__array_size_definition,
    STATE(2677), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2813), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2811), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [156483] = 5,
    ACTIONS(6023), 1,
      aux_sym__single_quote_string_token2,
    STATE(1864), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1376), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1374), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [156547] = 5,
    ACTIONS(6025), 1,
      aux_sym__single_quote_string_token2,
    STATE(1864), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1369), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1367), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [156611] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1917), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1919), 32,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [156671] = 6,
    ACTIONS(5114), 1,
      sym_keyword_unsigned,
    ACTIONS(5116), 1,
      sym_keyword_zerofill,
    ACTIONS(5120), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [156737] = 6,
    ACTIONS(6028), 1,
      sym_keyword_unsigned,
    ACTIONS(6030), 1,
      sym_keyword_zerofill,
    ACTIONS(6032), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1851), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1849), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [156803] = 6,
    ACTIONS(6034), 1,
      sym_keyword_unsigned,
    ACTIONS(6036), 1,
      sym_keyword_zerofill,
    ACTIONS(6038), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1841), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1839), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [156869] = 5,
    ACTIONS(6040), 1,
      aux_sym__single_quote_string_token2,
    STATE(1870), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1363), 32,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [156933] = 5,
    ACTIONS(6042), 1,
      aux_sym__single_quote_string_token2,
    STATE(1872), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1376), 32,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [156997] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1909), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1911), 32,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [157057] = 5,
    ACTIONS(6044), 1,
      aux_sym__single_quote_string_token2,
    STATE(1872), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1369), 32,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [157121] = 6,
    ACTIONS(6047), 1,
      sym_keyword_unsigned,
    ACTIONS(6049), 1,
      sym_keyword_zerofill,
    ACTIONS(6051), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1881), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1879), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [157187] = 6,
    ACTIONS(6053), 1,
      sym_keyword_unsigned,
    ACTIONS(6055), 1,
      sym_keyword_zerofill,
    ACTIONS(6057), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1871), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1869), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [157253] = 5,
    ACTIONS(5937), 1,
      sym_keyword_filter,
    STATE(2341), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2740), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2742), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [157317] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1913), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1915), 32,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [157377] = 6,
    ACTIONS(6059), 1,
      sym_keyword_unsigned,
    ACTIONS(6061), 1,
      sym_keyword_zerofill,
    ACTIONS(6063), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1879), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1881), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [157443] = 5,
    ACTIONS(5937), 1,
      sym_keyword_filter,
    STATE(2264), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2712), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2714), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [157507] = 5,
    ACTIONS(6023), 1,
      aux_sym__single_quote_string_token2,
    STATE(1864), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3306), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3304), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [157571] = 5,
    ACTIONS(6065), 1,
      aux_sym__single_quote_string_token2,
    STATE(1863), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1363), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1361), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [157635] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1386), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1384), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [157695] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1911), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1909), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [157755] = 6,
    ACTIONS(6067), 1,
      sym_keyword_unsigned,
    ACTIONS(6069), 1,
      sym_keyword_zerofill,
    ACTIONS(6071), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1849), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1851), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [157821] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1915), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1913), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [157881] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1923), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1921), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [157941] = 6,
    ACTIONS(5667), 1,
      sym_keyword_unsigned,
    ACTIONS(5669), 1,
      sym_keyword_zerofill,
    ACTIONS(5673), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1805), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [158007] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [158067] = 7,
    ACTIONS(6073), 1,
      sym_keyword_with,
    ACTIONS(6075), 1,
      sym_keyword_without,
    ACTIONS(6077), 1,
      anon_sym_LPAREN,
    STATE(2486), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1861), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1859), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [158135] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1919), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1917), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [158195] = 6,
    ACTIONS(6079), 1,
      sym_keyword_unsigned,
    ACTIONS(6081), 1,
      sym_keyword_zerofill,
    ACTIONS(6083), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1817), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1815), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [158261] = 7,
    ACTIONS(6073), 1,
      sym_keyword_with,
    ACTIONS(6075), 1,
      sym_keyword_without,
    ACTIONS(6085), 1,
      anon_sym_LPAREN,
    STATE(2485), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [158329] = 5,
    STATE(709), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(913), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3302), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3300), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [158393] = 4,
    ACTIONS(6087), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 43,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [158455] = 5,
    ACTIONS(6089), 1,
      sym_keyword_varying,
    ACTIONS(6091), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1983), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1981), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [158519] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1905), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [158579] = 5,
    ACTIONS(6093), 1,
      sym_keyword_precision,
    ACTIONS(6095), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [158643] = 5,
    ACTIONS(5937), 1,
      sym_keyword_filter,
    STATE(2367), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2728), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2730), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [158707] = 4,
    ACTIONS(6097), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(123), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(121), 42,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_no,
      sym_keyword_rename,
      sym_keyword_owner,
      sym_keyword_cycle,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_after,
      sym_keyword_before,
      sym_keyword_window,
      sym_keyword_instead,
      sym_keyword_cache,
      sym_keyword_array,
      sym__identifier,
  [158769] = 6,
    ACTIONS(6099), 1,
      sym_keyword_unsigned,
    ACTIONS(6101), 1,
      sym_keyword_zerofill,
    ACTIONS(6103), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1829), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1831), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [158835] = 7,
    ACTIONS(123), 1,
      anon_sym_LPAREN,
    ACTIONS(2853), 1,
      anon_sym_DOT,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    STATE(2716), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2851), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2849), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [158903] = 5,
    ACTIONS(6105), 1,
      sym_keyword_unsigned,
    ACTIONS(6107), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1927), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1925), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [158967] = 5,
    ACTIONS(6109), 1,
      sym_keyword_unsigned,
    ACTIONS(6111), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1991), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1989), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [159031] = 5,
    ACTIONS(5937), 1,
      sym_keyword_filter,
    STATE(2348), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2670), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2672), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [159095] = 5,
    ACTIONS(5937), 1,
      sym_keyword_filter,
    STATE(2370), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2746), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [159159] = 5,
    ACTIONS(6113), 1,
      sym_keyword_unsigned,
    ACTIONS(6115), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1999), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1997), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [159223] = 5,
    ACTIONS(6117), 1,
      sym_keyword_unsigned,
    ACTIONS(6119), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2007), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2005), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [159287] = 5,
    ACTIONS(5937), 1,
      sym_keyword_filter,
    STATE(2333), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2688), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2690), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [159351] = 5,
    ACTIONS(5937), 1,
      sym_keyword_filter,
    STATE(2318), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2684), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2686), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [159415] = 5,
    ACTIONS(6121), 1,
      sym_keyword_unsigned,
    ACTIONS(6123), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2015), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2013), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [159479] = 5,
    ACTIONS(6125), 1,
      sym_keyword_unsigned,
    ACTIONS(6127), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1955), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1953), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [159543] = 5,
    ACTIONS(5937), 1,
      sym_keyword_filter,
    STATE(2278), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2716), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2718), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [159607] = 5,
    ACTIONS(5937), 1,
      sym_keyword_filter,
    STATE(2268), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2708), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2710), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [159671] = 5,
    ACTIONS(5937), 1,
      sym_keyword_filter,
    STATE(2368), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2704), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2706), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [159735] = 5,
    ACTIONS(6129), 1,
      sym_keyword_unsigned,
    ACTIONS(6131), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1947), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1945), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [159799] = 5,
    ACTIONS(6133), 1,
      sym_keyword_unsigned,
    ACTIONS(6135), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1971), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1969), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [159863] = 5,
    ACTIONS(5937), 1,
      sym_keyword_filter,
    STATE(2360), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2720), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2722), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [159927] = 5,
    ACTIONS(5937), 1,
      sym_keyword_filter,
    STATE(2359), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2734), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [159991] = 5,
    ACTIONS(5937), 1,
      sym_keyword_filter,
    STATE(2350), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2736), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2738), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [160055] = 16,
    ACTIONS(6137), 1,
      sym_keyword_in,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6141), 1,
      sym_keyword_not,
    ACTIONS(6144), 1,
      anon_sym_LBRACK,
    ACTIONS(6148), 1,
      sym_op_other,
    ACTIONS(6150), 1,
      anon_sym_PLUS,
    ACTIONS(6152), 1,
      anon_sym_DASH,
    ACTIONS(6154), 1,
      anon_sym_SLASH,
    ACTIONS(6156), 1,
      anon_sym_CARET,
    STATE(11383), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6146), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2573), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1824), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1825), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [160140] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2761), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2759), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [160199] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2797), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2795), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [160258] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2805), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2803), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [160317] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [160376] = 5,
    ACTIONS(6158), 1,
      sym_keyword_unsigned,
    ACTIONS(6160), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1971), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1969), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [160439] = 4,
    ACTIONS(6162), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1939), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1941), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [160500] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2728), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [160559] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [160618] = 5,
    ACTIONS(6164), 1,
      aux_sym__single_quote_string_token2,
    STATE(2085), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1363), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1361), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [160681] = 5,
    ACTIONS(6166), 1,
      sym_keyword_unsigned,
    ACTIONS(6168), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1947), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1945), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [160744] = 4,
    ACTIONS(6170), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2146), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2144), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [160805] = 5,
    ACTIONS(6172), 1,
      sym_keyword_unsigned,
    ACTIONS(6174), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1955), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1953), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [160868] = 4,
    ACTIONS(6176), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [160929] = 4,
    ACTIONS(6178), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [160990] = 4,
    ACTIONS(6180), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 42,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [161051] = 5,
    ACTIONS(6182), 1,
      sym_keyword_unsigned,
    ACTIONS(6184), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1945), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1947), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [161114] = 5,
    ACTIONS(6186), 1,
      sym_keyword_unsigned,
    ACTIONS(6188), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1953), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1955), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [161177] = 4,
    ACTIONS(6190), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2096), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [161238] = 4,
    ACTIONS(6192), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2086), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2084), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [161299] = 4,
    ACTIONS(6194), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2078), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2076), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [161360] = 4,
    ACTIONS(6196), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [161421] = 4,
    ACTIONS(6198), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2042), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2040), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [161482] = 5,
    ACTIONS(6200), 1,
      sym_keyword_varying,
    ACTIONS(6202), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1981), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1983), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [161545] = 8,
    ACTIONS(5975), 1,
      sym_keyword_is,
    ACTIONS(5985), 1,
      anon_sym_LBRACK,
    STATE(10678), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1173), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1171), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2622), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2624), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [161614] = 13,
    ACTIONS(5975), 1,
      sym_keyword_is,
    ACTIONS(5985), 1,
      anon_sym_LBRACK,
    ACTIONS(5997), 1,
      anon_sym_PLUS,
    ACTIONS(5999), 1,
      anon_sym_DASH,
    ACTIONS(6001), 1,
      anon_sym_SLASH,
    ACTIONS(6003), 1,
      anon_sym_CARET,
    STATE(10678), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5989), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1173), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1171), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2622), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2624), 21,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [161693] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2765), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2763), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [161752] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2769), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2767), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [161811] = 4,
    ACTIONS(6204), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [161872] = 16,
    ACTIONS(5969), 1,
      sym_keyword_in,
    ACTIONS(5975), 1,
      sym_keyword_is,
    ACTIONS(5985), 1,
      anon_sym_LBRACK,
    ACTIONS(5995), 1,
      sym_op_other,
    ACTIONS(5997), 1,
      anon_sym_PLUS,
    ACTIONS(5999), 1,
      anon_sym_DASH,
    ACTIONS(6001), 1,
      anon_sym_SLASH,
    ACTIONS(6003), 1,
      anon_sym_CARET,
    ACTIONS(6206), 1,
      sym_keyword_not,
    STATE(10678), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5989), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1173), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1171), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 19,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [161957] = 6,
    ACTIONS(6209), 1,
      anon_sym_LBRACK,
    STATE(1949), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(2574), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 40,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [162022] = 4,
    ACTIONS(6212), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [162083] = 4,
    ACTIONS(6214), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [162144] = 4,
    ACTIONS(6216), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [162205] = 4,
    ACTIONS(6218), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [162266] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2054), 7,
      sym_keyword_in,
      sym_keyword_return,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2052), 43,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [162325] = 4,
    ACTIONS(6220), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [162386] = 29,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(5983), 1,
      sym_keyword_similar,
    ACTIONS(6222), 1,
      sym_keyword_as,
    ACTIONS(6224), 1,
      sym_keyword_in,
    ACTIONS(6226), 1,
      sym_keyword_and,
    ACTIONS(6228), 1,
      sym_keyword_or,
    ACTIONS(6230), 1,
      sym_keyword_is,
    ACTIONS(6232), 1,
      sym_keyword_not,
    ACTIONS(6234), 1,
      sym_keyword_between,
    ACTIONS(6236), 1,
      anon_sym_LBRACK,
    ACTIONS(6242), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6246), 1,
      sym_op_other,
    ACTIONS(6248), 1,
      anon_sym_PLUS,
    ACTIONS(6250), 1,
      anon_sym_DASH,
    ACTIONS(6252), 1,
      anon_sym_SLASH,
    ACTIONS(6254), 1,
      anon_sym_CARET,
    STATE(6607), 1,
      sym_identifier,
    STATE(7534), 1,
      sym__alias,
    STATE(10738), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(5981), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6240), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6244), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5963), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(1505), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1649), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6238), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(5965), 8,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [162497] = 5,
    ACTIONS(6256), 1,
      sym_keyword_unsigned,
    ACTIONS(6258), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2015), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2013), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [162560] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2809), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2807), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [162619] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [162678] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2793), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2791), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [162737] = 8,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6144), 1,
      anon_sym_LBRACK,
    STATE(11383), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1824), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1825), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2624), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2622), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [162806] = 5,
    ACTIONS(6260), 1,
      sym_keyword_unsigned,
    ACTIONS(6262), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2007), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2005), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [162869] = 13,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6144), 1,
      anon_sym_LBRACK,
    ACTIONS(6150), 1,
      anon_sym_PLUS,
    ACTIONS(6152), 1,
      anon_sym_DASH,
    ACTIONS(6154), 1,
      anon_sym_SLASH,
    ACTIONS(6156), 1,
      anon_sym_CARET,
    STATE(11383), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6146), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1824), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2624), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1825), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2622), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [162948] = 5,
    ACTIONS(6264), 1,
      sym_keyword_unsigned,
    ACTIONS(6266), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1999), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1997), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [163011] = 5,
    ACTIONS(6268), 1,
      sym_keyword_unsigned,
    ACTIONS(6270), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1991), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1989), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [163074] = 21,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2573), 1,
      sym_keyword_or,
    ACTIONS(6137), 1,
      sym_keyword_in,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6144), 1,
      anon_sym_LBRACK,
    ACTIONS(6148), 1,
      sym_op_other,
    ACTIONS(6150), 1,
      anon_sym_PLUS,
    ACTIONS(6152), 1,
      anon_sym_DASH,
    ACTIONS(6154), 1,
      anon_sym_SLASH,
    ACTIONS(6156), 1,
      anon_sym_CARET,
    ACTIONS(6272), 1,
      sym_keyword_not,
    ACTIONS(6274), 1,
      sym_keyword_between,
    STATE(11383), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6146), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6278), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1824), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1825), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6276), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [163169] = 5,
    ACTIONS(6280), 1,
      sym_keyword_unsigned,
    ACTIONS(6282), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1927), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1925), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [163232] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2573), 1,
      sym_keyword_or,
    ACTIONS(6137), 1,
      sym_keyword_in,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6144), 1,
      anon_sym_LBRACK,
    ACTIONS(6148), 1,
      sym_op_other,
    ACTIONS(6150), 1,
      anon_sym_PLUS,
    ACTIONS(6152), 1,
      anon_sym_DASH,
    ACTIONS(6154), 1,
      anon_sym_SLASH,
    ACTIONS(6156), 1,
      anon_sym_CARET,
    ACTIONS(6272), 1,
      sym_keyword_not,
    ACTIONS(6274), 1,
      sym_keyword_between,
    ACTIONS(6284), 1,
      sym_keyword_and,
    STATE(11383), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6146), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6278), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1824), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1825), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6276), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [163329] = 6,
    STATE(11383), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1824), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1825), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [163394] = 9,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6144), 1,
      anon_sym_LBRACK,
    ACTIONS(6156), 1,
      anon_sym_CARET,
    STATE(11383), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1824), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1825), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2571), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [163465] = 5,
    ACTIONS(3100), 1,
      aux_sym__single_quote_string_token2,
    STATE(466), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3304), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3306), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [163528] = 4,
    ACTIONS(4700), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [163589] = 4,
    ACTIONS(6286), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [163650] = 4,
    ACTIONS(6288), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [163711] = 4,
    ACTIONS(6095), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [163772] = 4,
    ACTIONS(6290), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [163833] = 4,
    ACTIONS(6292), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [163894] = 13,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6144), 1,
      anon_sym_LBRACK,
    ACTIONS(6150), 1,
      anon_sym_PLUS,
    ACTIONS(6152), 1,
      anon_sym_DASH,
    ACTIONS(6154), 1,
      anon_sym_SLASH,
    ACTIONS(6156), 1,
      anon_sym_CARET,
    STATE(11383), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6146), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1824), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2573), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1825), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [163973] = 11,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6144), 1,
      anon_sym_LBRACK,
    ACTIONS(6154), 1,
      anon_sym_SLASH,
    ACTIONS(6156), 1,
      anon_sym_CARET,
    STATE(11383), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6146), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1824), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1825), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 5,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2571), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [164048] = 9,
    ACTIONS(5975), 1,
      sym_keyword_is,
    ACTIONS(5985), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_CARET,
    STATE(10678), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1173), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1171), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      sym__identifier,
  [164119] = 8,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6144), 1,
      anon_sym_LBRACK,
    STATE(11383), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1824), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1825), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [164188] = 18,
    ACTIONS(2573), 1,
      sym_keyword_or,
    ACTIONS(6137), 1,
      sym_keyword_in,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6141), 1,
      sym_keyword_not,
    ACTIONS(6144), 1,
      anon_sym_LBRACK,
    ACTIONS(6148), 1,
      sym_op_other,
    ACTIONS(6150), 1,
      anon_sym_PLUS,
    ACTIONS(6152), 1,
      anon_sym_DASH,
    ACTIONS(6154), 1,
      anon_sym_SLASH,
    ACTIONS(6156), 1,
      anon_sym_CARET,
    STATE(11383), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6146), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6278), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1824), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1825), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6276), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [164277] = 5,
    ACTIONS(6294), 1,
      sym_keyword_precision,
    ACTIONS(6296), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [164340] = 4,
    ACTIONS(6298), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [164401] = 5,
    ACTIONS(6300), 1,
      sym_keyword_unsigned,
    ACTIONS(6302), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1969), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1971), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [164464] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2757), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2755), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [164523] = 6,
    STATE(10678), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1173), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1171), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [164588] = 4,
    ACTIONS(6304), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3453), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3451), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [164649] = 20,
    ACTIONS(2477), 1,
      sym_keyword_or,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6137), 1,
      sym_keyword_in,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6144), 1,
      anon_sym_LBRACK,
    ACTIONS(6148), 1,
      sym_op_other,
    ACTIONS(6150), 1,
      anon_sym_PLUS,
    ACTIONS(6152), 1,
      anon_sym_DASH,
    ACTIONS(6154), 1,
      anon_sym_SLASH,
    ACTIONS(6156), 1,
      anon_sym_CARET,
    ACTIONS(6272), 1,
      sym_keyword_not,
    STATE(11383), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6146), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6278), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1824), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1825), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6276), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2475), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [164742] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6306), 1,
      sym_keyword_in,
    ACTIONS(6308), 1,
      sym_keyword_and,
    ACTIONS(6310), 1,
      sym_keyword_or,
    ACTIONS(6312), 1,
      sym_keyword_is,
    ACTIONS(6314), 1,
      sym_keyword_not,
    ACTIONS(6316), 1,
      sym_keyword_between,
    ACTIONS(6318), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6328), 1,
      sym_op_other,
    ACTIONS(6330), 1,
      anon_sym_PLUS,
    ACTIONS(6332), 1,
      anon_sym_DASH,
    ACTIONS(6334), 1,
      anon_sym_SLASH,
    ACTIONS(6336), 1,
      anon_sym_CARET,
    STATE(10625), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6322), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6326), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1051), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6320), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3463), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [164841] = 4,
    ACTIONS(6338), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [164902] = 4,
    ACTIONS(6340), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [164963] = 6,
    ACTIONS(6073), 1,
      sym_keyword_with,
    ACTIONS(6075), 1,
      sym_keyword_without,
    STATE(2411), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1979), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1977), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [165028] = 4,
    ACTIONS(6342), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [165089] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6306), 1,
      sym_keyword_in,
    ACTIONS(6308), 1,
      sym_keyword_and,
    ACTIONS(6310), 1,
      sym_keyword_or,
    ACTIONS(6312), 1,
      sym_keyword_is,
    ACTIONS(6314), 1,
      sym_keyword_not,
    ACTIONS(6316), 1,
      sym_keyword_between,
    ACTIONS(6318), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6328), 1,
      sym_op_other,
    ACTIONS(6330), 1,
      anon_sym_PLUS,
    ACTIONS(6332), 1,
      anon_sym_DASH,
    ACTIONS(6334), 1,
      anon_sym_SLASH,
    ACTIONS(6336), 1,
      anon_sym_CARET,
    STATE(10625), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6322), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6326), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1051), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6320), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3487), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [165188] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2803), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2805), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [165247] = 6,
    ACTIONS(6073), 1,
      sym_keyword_with,
    ACTIONS(6075), 1,
      sym_keyword_without,
    STATE(2412), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1963), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1961), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [165312] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6306), 1,
      sym_keyword_in,
    ACTIONS(6308), 1,
      sym_keyword_and,
    ACTIONS(6310), 1,
      sym_keyword_or,
    ACTIONS(6312), 1,
      sym_keyword_is,
    ACTIONS(6314), 1,
      sym_keyword_not,
    ACTIONS(6316), 1,
      sym_keyword_between,
    ACTIONS(6318), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6328), 1,
      sym_op_other,
    ACTIONS(6330), 1,
      anon_sym_PLUS,
    ACTIONS(6332), 1,
      anon_sym_DASH,
    ACTIONS(6334), 1,
      anon_sym_SLASH,
    ACTIONS(6336), 1,
      anon_sym_CARET,
    STATE(10625), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6322), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6326), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1051), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6320), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3485), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [165411] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2048), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2046), 43,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [165470] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [165529] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [165590] = 4,
    ACTIONS(6344), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2128), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2126), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [165651] = 4,
    ACTIONS(6346), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2134), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2132), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [165712] = 5,
    ACTIONS(6348), 1,
      sym_keyword_unsigned,
    ACTIONS(6350), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2013), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2015), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [165775] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6306), 1,
      sym_keyword_in,
    ACTIONS(6308), 1,
      sym_keyword_and,
    ACTIONS(6310), 1,
      sym_keyword_or,
    ACTIONS(6312), 1,
      sym_keyword_is,
    ACTIONS(6314), 1,
      sym_keyword_not,
    ACTIONS(6316), 1,
      sym_keyword_between,
    ACTIONS(6318), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6328), 1,
      sym_op_other,
    ACTIONS(6330), 1,
      anon_sym_PLUS,
    ACTIONS(6332), 1,
      anon_sym_DASH,
    ACTIONS(6334), 1,
      anon_sym_SLASH,
    ACTIONS(6336), 1,
      anon_sym_CARET,
    STATE(10625), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6322), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6326), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1051), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6320), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3470), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [165874] = 5,
    ACTIONS(6352), 1,
      sym_keyword_unsigned,
    ACTIONS(6354), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2005), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2007), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [165937] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6306), 1,
      sym_keyword_in,
    ACTIONS(6308), 1,
      sym_keyword_and,
    ACTIONS(6310), 1,
      sym_keyword_or,
    ACTIONS(6312), 1,
      sym_keyword_is,
    ACTIONS(6314), 1,
      sym_keyword_not,
    ACTIONS(6316), 1,
      sym_keyword_between,
    ACTIONS(6318), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6328), 1,
      sym_op_other,
    ACTIONS(6330), 1,
      anon_sym_PLUS,
    ACTIONS(6332), 1,
      anon_sym_DASH,
    ACTIONS(6334), 1,
      anon_sym_SLASH,
    ACTIONS(6336), 1,
      anon_sym_CARET,
    STATE(10625), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6322), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6326), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1051), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6320), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3474), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [166036] = 5,
    ACTIONS(6356), 1,
      sym_keyword_unsigned,
    ACTIONS(6358), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1997), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1999), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [166099] = 4,
    ACTIONS(6360), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2182), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2180), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [166160] = 4,
    ACTIONS(6362), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2188), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2186), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [166221] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2194), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2192), 43,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [166280] = 4,
    ACTIONS(6364), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [166341] = 5,
    ACTIONS(6366), 1,
      sym_keyword_unsigned,
    ACTIONS(6368), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1989), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1991), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [166404] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [166463] = 5,
    ACTIONS(6370), 1,
      sym_keyword_unsigned,
    ACTIONS(6372), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1925), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1927), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [166526] = 5,
    STATE(2494), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5951), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1977), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1979), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [166589] = 5,
    STATE(2495), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5951), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1961), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1963), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [166652] = 5,
    ACTIONS(6374), 1,
      aux_sym__single_quote_string_token2,
    STATE(1971), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3277), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3279), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [166715] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2702), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2700), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [166774] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6306), 1,
      sym_keyword_in,
    ACTIONS(6308), 1,
      sym_keyword_and,
    ACTIONS(6310), 1,
      sym_keyword_or,
    ACTIONS(6312), 1,
      sym_keyword_is,
    ACTIONS(6314), 1,
      sym_keyword_not,
    ACTIONS(6316), 1,
      sym_keyword_between,
    ACTIONS(6318), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6328), 1,
      sym_op_other,
    ACTIONS(6330), 1,
      anon_sym_PLUS,
    ACTIONS(6332), 1,
      anon_sym_DASH,
    ACTIONS(6334), 1,
      anon_sym_SLASH,
    ACTIONS(6336), 1,
      anon_sym_CARET,
    STATE(10625), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6322), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6326), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1051), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6320), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3465), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [166873] = 9,
    ACTIONS(6312), 1,
      sym_keyword_is,
    ACTIONS(6318), 1,
      anon_sym_LBRACK,
    ACTIONS(6336), 1,
      anon_sym_CARET,
    STATE(10625), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1051), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2571), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [166944] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 43,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [167003] = 20,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2614), 1,
      sym_keyword_or,
    ACTIONS(6306), 1,
      sym_keyword_in,
    ACTIONS(6312), 1,
      sym_keyword_is,
    ACTIONS(6314), 1,
      sym_keyword_not,
    ACTIONS(6318), 1,
      anon_sym_LBRACK,
    ACTIONS(6328), 1,
      sym_op_other,
    ACTIONS(6330), 1,
      anon_sym_PLUS,
    ACTIONS(6332), 1,
      anon_sym_DASH,
    ACTIONS(6334), 1,
      anon_sym_SLASH,
    ACTIONS(6336), 1,
      anon_sym_CARET,
    STATE(10625), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6322), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6326), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1051), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6320), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2612), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [167096] = 16,
    ACTIONS(6306), 1,
      sym_keyword_in,
    ACTIONS(6312), 1,
      sym_keyword_is,
    ACTIONS(6318), 1,
      anon_sym_LBRACK,
    ACTIONS(6328), 1,
      sym_op_other,
    ACTIONS(6330), 1,
      anon_sym_PLUS,
    ACTIONS(6332), 1,
      anon_sym_DASH,
    ACTIONS(6334), 1,
      anon_sym_SLASH,
    ACTIONS(6336), 1,
      anon_sym_CARET,
    ACTIONS(6376), 1,
      sym_keyword_not,
    STATE(10625), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6322), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2573), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1051), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [167181] = 22,
    ACTIONS(5969), 1,
      sym_keyword_in,
    ACTIONS(5971), 1,
      sym_keyword_and,
    ACTIONS(5975), 1,
      sym_keyword_is,
    ACTIONS(5977), 1,
      sym_keyword_not,
    ACTIONS(5979), 1,
      sym_keyword_between,
    ACTIONS(5983), 1,
      sym_keyword_similar,
    ACTIONS(5985), 1,
      anon_sym_LBRACK,
    ACTIONS(5995), 1,
      sym_op_other,
    ACTIONS(5997), 1,
      anon_sym_PLUS,
    ACTIONS(5999), 1,
      anon_sym_DASH,
    ACTIONS(6001), 1,
      anon_sym_SLASH,
    ACTIONS(6003), 1,
      anon_sym_CARET,
    STATE(10678), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5981), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(5989), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5993), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1173), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1171), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(5987), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 12,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym__identifier,
  [167278] = 20,
    ACTIONS(5969), 1,
      sym_keyword_in,
    ACTIONS(5975), 1,
      sym_keyword_is,
    ACTIONS(5977), 1,
      sym_keyword_not,
    ACTIONS(5983), 1,
      sym_keyword_similar,
    ACTIONS(5985), 1,
      anon_sym_LBRACK,
    ACTIONS(5995), 1,
      sym_op_other,
    ACTIONS(5997), 1,
      anon_sym_PLUS,
    ACTIONS(5999), 1,
      anon_sym_DASH,
    ACTIONS(6001), 1,
      anon_sym_SLASH,
    ACTIONS(6003), 1,
      anon_sym_CARET,
    STATE(10678), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5981), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(5989), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5993), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1173), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1171), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(5987), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2475), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2477), 14,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      sym__identifier,
  [167371] = 4,
    ACTIONS(6379), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2172), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2170), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [167432] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6306), 1,
      sym_keyword_in,
    ACTIONS(6308), 1,
      sym_keyword_and,
    ACTIONS(6310), 1,
      sym_keyword_or,
    ACTIONS(6312), 1,
      sym_keyword_is,
    ACTIONS(6314), 1,
      sym_keyword_not,
    ACTIONS(6316), 1,
      sym_keyword_between,
    ACTIONS(6318), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6328), 1,
      sym_op_other,
    ACTIONS(6330), 1,
      anon_sym_PLUS,
    ACTIONS(6332), 1,
      anon_sym_DASH,
    ACTIONS(6334), 1,
      anon_sym_SLASH,
    ACTIONS(6336), 1,
      anon_sym_CARET,
    STATE(10625), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6322), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6326), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1051), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6320), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3457), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [167531] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2573), 1,
      sym_keyword_or,
    ACTIONS(6306), 1,
      sym_keyword_in,
    ACTIONS(6308), 1,
      sym_keyword_and,
    ACTIONS(6312), 1,
      sym_keyword_is,
    ACTIONS(6314), 1,
      sym_keyword_not,
    ACTIONS(6316), 1,
      sym_keyword_between,
    ACTIONS(6318), 1,
      anon_sym_LBRACK,
    ACTIONS(6328), 1,
      sym_op_other,
    ACTIONS(6330), 1,
      anon_sym_PLUS,
    ACTIONS(6332), 1,
      anon_sym_DASH,
    ACTIONS(6334), 1,
      anon_sym_SLASH,
    ACTIONS(6336), 1,
      anon_sym_CARET,
    STATE(10625), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6322), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6326), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1051), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6320), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [167628] = 13,
    ACTIONS(5975), 1,
      sym_keyword_is,
    ACTIONS(5985), 1,
      anon_sym_LBRACK,
    ACTIONS(5997), 1,
      anon_sym_PLUS,
    ACTIONS(5999), 1,
      anon_sym_DASH,
    ACTIONS(6001), 1,
      anon_sym_SLASH,
    ACTIONS(6003), 1,
      anon_sym_CARET,
    STATE(10678), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5989), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1173), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1171), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 21,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [167707] = 20,
    ACTIONS(5969), 1,
      sym_keyword_in,
    ACTIONS(5975), 1,
      sym_keyword_is,
    ACTIONS(5977), 1,
      sym_keyword_not,
    ACTIONS(5983), 1,
      sym_keyword_similar,
    ACTIONS(5985), 1,
      anon_sym_LBRACK,
    ACTIONS(5995), 1,
      sym_op_other,
    ACTIONS(5997), 1,
      anon_sym_PLUS,
    ACTIONS(5999), 1,
      anon_sym_DASH,
    ACTIONS(6001), 1,
      anon_sym_SLASH,
    ACTIONS(6003), 1,
      anon_sym_CARET,
    STATE(10678), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5981), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(5989), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5993), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1173), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1171), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(5987), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2612), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2614), 14,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      sym__identifier,
  [167800] = 21,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2573), 1,
      sym_keyword_or,
    ACTIONS(6306), 1,
      sym_keyword_in,
    ACTIONS(6312), 1,
      sym_keyword_is,
    ACTIONS(6314), 1,
      sym_keyword_not,
    ACTIONS(6316), 1,
      sym_keyword_between,
    ACTIONS(6318), 1,
      anon_sym_LBRACK,
    ACTIONS(6328), 1,
      sym_op_other,
    ACTIONS(6330), 1,
      anon_sym_PLUS,
    ACTIONS(6332), 1,
      anon_sym_DASH,
    ACTIONS(6334), 1,
      anon_sym_SLASH,
    ACTIONS(6336), 1,
      anon_sym_CARET,
    STATE(10625), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6322), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6326), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1051), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6320), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [167895] = 11,
    ACTIONS(5975), 1,
      sym_keyword_is,
    ACTIONS(5985), 1,
      anon_sym_LBRACK,
    ACTIONS(6001), 1,
      anon_sym_SLASH,
    ACTIONS(6003), 1,
      anon_sym_CARET,
    STATE(10678), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5989), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1173), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1171), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [167970] = 5,
    ACTIONS(6381), 1,
      sym_keyword_varying,
    ACTIONS(6383), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1983), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1981), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [168033] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6306), 1,
      sym_keyword_in,
    ACTIONS(6308), 1,
      sym_keyword_and,
    ACTIONS(6310), 1,
      sym_keyword_or,
    ACTIONS(6312), 1,
      sym_keyword_is,
    ACTIONS(6314), 1,
      sym_keyword_not,
    ACTIONS(6316), 1,
      sym_keyword_between,
    ACTIONS(6318), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6328), 1,
      sym_op_other,
    ACTIONS(6330), 1,
      anon_sym_PLUS,
    ACTIONS(6332), 1,
      anon_sym_DASH,
    ACTIONS(6334), 1,
      anon_sym_SLASH,
    ACTIONS(6336), 1,
      anon_sym_CARET,
    STATE(10625), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6322), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6326), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1051), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6320), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3431), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [168132] = 4,
    ACTIONS(6385), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2030), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2028), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [168193] = 5,
    ACTIONS(6387), 1,
      aux_sym__single_quote_string_token2,
    STATE(2074), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3306), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3304), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [168256] = 4,
    ACTIONS(6389), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2110), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2108), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [168317] = 18,
    ACTIONS(5969), 1,
      sym_keyword_in,
    ACTIONS(5975), 1,
      sym_keyword_is,
    ACTIONS(5985), 1,
      anon_sym_LBRACK,
    ACTIONS(5995), 1,
      sym_op_other,
    ACTIONS(5997), 1,
      anon_sym_PLUS,
    ACTIONS(5999), 1,
      anon_sym_DASH,
    ACTIONS(6001), 1,
      anon_sym_SLASH,
    ACTIONS(6003), 1,
      anon_sym_CARET,
    ACTIONS(6206), 1,
      sym_keyword_not,
    STATE(10678), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5989), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5993), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1173), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1171), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(5987), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 17,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym__identifier,
  [168406] = 4,
    ACTIONS(6391), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2072), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2070), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [168467] = 6,
    STATE(10625), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1051), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [168532] = 4,
    ACTIONS(6393), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [168593] = 8,
    ACTIONS(6312), 1,
      sym_keyword_is,
    ACTIONS(6318), 1,
      anon_sym_LBRACK,
    STATE(10625), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1051), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2624), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2622), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [168662] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6306), 1,
      sym_keyword_in,
    ACTIONS(6308), 1,
      sym_keyword_and,
    ACTIONS(6310), 1,
      sym_keyword_or,
    ACTIONS(6312), 1,
      sym_keyword_is,
    ACTIONS(6314), 1,
      sym_keyword_not,
    ACTIONS(6316), 1,
      sym_keyword_between,
    ACTIONS(6318), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6328), 1,
      sym_op_other,
    ACTIONS(6330), 1,
      anon_sym_PLUS,
    ACTIONS(6332), 1,
      anon_sym_DASH,
    ACTIONS(6334), 1,
      anon_sym_SLASH,
    ACTIONS(6336), 1,
      anon_sym_CARET,
    STATE(10625), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6322), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6326), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1051), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6320), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3437), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [168761] = 5,
    ACTIONS(6395), 1,
      aux_sym__single_quote_string_token2,
    STATE(2037), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3279), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3277), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [168824] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6306), 1,
      sym_keyword_in,
    ACTIONS(6308), 1,
      sym_keyword_and,
    ACTIONS(6310), 1,
      sym_keyword_or,
    ACTIONS(6312), 1,
      sym_keyword_is,
    ACTIONS(6314), 1,
      sym_keyword_not,
    ACTIONS(6316), 1,
      sym_keyword_between,
    ACTIONS(6318), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6328), 1,
      sym_op_other,
    ACTIONS(6330), 1,
      anon_sym_PLUS,
    ACTIONS(6332), 1,
      anon_sym_DASH,
    ACTIONS(6334), 1,
      anon_sym_SLASH,
    ACTIONS(6336), 1,
      anon_sym_CARET,
    STATE(10625), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6322), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6326), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1051), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6320), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3441), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [168923] = 21,
    ACTIONS(5969), 1,
      sym_keyword_in,
    ACTIONS(5975), 1,
      sym_keyword_is,
    ACTIONS(5977), 1,
      sym_keyword_not,
    ACTIONS(5979), 1,
      sym_keyword_between,
    ACTIONS(5983), 1,
      sym_keyword_similar,
    ACTIONS(5985), 1,
      anon_sym_LBRACK,
    ACTIONS(5995), 1,
      sym_op_other,
    ACTIONS(5997), 1,
      anon_sym_PLUS,
    ACTIONS(5999), 1,
      anon_sym_DASH,
    ACTIONS(6001), 1,
      anon_sym_SLASH,
    ACTIONS(6003), 1,
      anon_sym_CARET,
    STATE(10678), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5981), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(5989), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5993), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1173), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1171), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(5987), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 13,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym__identifier,
  [169018] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2724), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [169077] = 4,
    STATE(918), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3483), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3481), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [169138] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2710), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2708), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [169197] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2785), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2783), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [169256] = 5,
    ACTIONS(6397), 1,
      sym_keyword_precision,
    ACTIONS(6399), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1829), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1831), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [169319] = 8,
    ACTIONS(5975), 1,
      sym_keyword_is,
    ACTIONS(5985), 1,
      anon_sym_LBRACK,
    STATE(10678), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1173), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1171), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [169388] = 13,
    ACTIONS(6312), 1,
      sym_keyword_is,
    ACTIONS(6318), 1,
      anon_sym_LBRACK,
    ACTIONS(6330), 1,
      anon_sym_PLUS,
    ACTIONS(6332), 1,
      anon_sym_DASH,
    ACTIONS(6334), 1,
      anon_sym_SLASH,
    ACTIONS(6336), 1,
      anon_sym_CARET,
    STATE(10625), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6322), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1051), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2624), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2622), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [169467] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2789), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2787), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [169526] = 5,
    STATE(1949), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(2574), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3302), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3300), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [169589] = 27,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6137), 1,
      sym_keyword_in,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6144), 1,
      anon_sym_LBRACK,
    ACTIONS(6148), 1,
      sym_op_other,
    ACTIONS(6150), 1,
      anon_sym_PLUS,
    ACTIONS(6152), 1,
      anon_sym_DASH,
    ACTIONS(6154), 1,
      anon_sym_SLASH,
    ACTIONS(6156), 1,
      anon_sym_CARET,
    ACTIONS(6272), 1,
      sym_keyword_not,
    ACTIONS(6274), 1,
      sym_keyword_between,
    ACTIONS(6284), 1,
      sym_keyword_and,
    ACTIONS(6403), 1,
      sym_keyword_having,
    ACTIONS(6405), 1,
      sym_keyword_or,
    ACTIONS(6407), 1,
      anon_sym_COMMA,
    ACTIONS(6409), 1,
      anon_sym_COLON_COLON,
    STATE(7053), 1,
      aux_sym_array_repeat1,
    STATE(7283), 1,
      sym__having,
    STATE(11383), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6146), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6278), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1824), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1825), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6276), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6401), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [169696] = 20,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2614), 1,
      sym_keyword_or,
    ACTIONS(6137), 1,
      sym_keyword_in,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6144), 1,
      anon_sym_LBRACK,
    ACTIONS(6148), 1,
      sym_op_other,
    ACTIONS(6150), 1,
      anon_sym_PLUS,
    ACTIONS(6152), 1,
      anon_sym_DASH,
    ACTIONS(6154), 1,
      anon_sym_SLASH,
    ACTIONS(6156), 1,
      anon_sym_CARET,
    ACTIONS(6272), 1,
      sym_keyword_not,
    STATE(11383), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6146), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6278), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1824), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1825), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6276), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2612), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [169789] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2773), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2771), 44,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [169848] = 20,
    ACTIONS(2477), 1,
      sym_keyword_or,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6306), 1,
      sym_keyword_in,
    ACTIONS(6312), 1,
      sym_keyword_is,
    ACTIONS(6314), 1,
      sym_keyword_not,
    ACTIONS(6318), 1,
      anon_sym_LBRACK,
    ACTIONS(6328), 1,
      sym_op_other,
    ACTIONS(6330), 1,
      anon_sym_PLUS,
    ACTIONS(6332), 1,
      anon_sym_DASH,
    ACTIONS(6334), 1,
      anon_sym_SLASH,
    ACTIONS(6336), 1,
      anon_sym_CARET,
    STATE(10625), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6322), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6326), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1051), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6320), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2475), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [169941] = 8,
    ACTIONS(6312), 1,
      sym_keyword_is,
    ACTIONS(6318), 1,
      anon_sym_LBRACK,
    STATE(10625), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1051), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [170010] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6306), 1,
      sym_keyword_in,
    ACTIONS(6308), 1,
      sym_keyword_and,
    ACTIONS(6310), 1,
      sym_keyword_or,
    ACTIONS(6312), 1,
      sym_keyword_is,
    ACTIONS(6314), 1,
      sym_keyword_not,
    ACTIONS(6316), 1,
      sym_keyword_between,
    ACTIONS(6318), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6328), 1,
      sym_op_other,
    ACTIONS(6330), 1,
      anon_sym_PLUS,
    ACTIONS(6332), 1,
      anon_sym_DASH,
    ACTIONS(6334), 1,
      anon_sym_SLASH,
    ACTIONS(6336), 1,
      anon_sym_CARET,
    STATE(10625), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6322), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6326), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1051), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6320), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3439), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [170109] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2791), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2793), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [170168] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6306), 1,
      sym_keyword_in,
    ACTIONS(6308), 1,
      sym_keyword_and,
    ACTIONS(6310), 1,
      sym_keyword_or,
    ACTIONS(6312), 1,
      sym_keyword_is,
    ACTIONS(6314), 1,
      sym_keyword_not,
    ACTIONS(6316), 1,
      sym_keyword_between,
    ACTIONS(6318), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6328), 1,
      sym_op_other,
    ACTIONS(6330), 1,
      anon_sym_PLUS,
    ACTIONS(6332), 1,
      anon_sym_DASH,
    ACTIONS(6334), 1,
      anon_sym_SLASH,
    ACTIONS(6336), 1,
      anon_sym_CARET,
    STATE(10625), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6322), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6326), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1051), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6320), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3445), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [170267] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6306), 1,
      sym_keyword_in,
    ACTIONS(6308), 1,
      sym_keyword_and,
    ACTIONS(6310), 1,
      sym_keyword_or,
    ACTIONS(6312), 1,
      sym_keyword_is,
    ACTIONS(6314), 1,
      sym_keyword_not,
    ACTIONS(6316), 1,
      sym_keyword_between,
    ACTIONS(6318), 1,
      anon_sym_LBRACK,
    ACTIONS(6324), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6328), 1,
      sym_op_other,
    ACTIONS(6330), 1,
      anon_sym_PLUS,
    ACTIONS(6332), 1,
      anon_sym_DASH,
    ACTIONS(6334), 1,
      anon_sym_SLASH,
    ACTIONS(6336), 1,
      anon_sym_CARET,
    STATE(10625), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6322), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6326), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1051), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6320), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3443), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [170366] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2700), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2702), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [170425] = 11,
    ACTIONS(6312), 1,
      sym_keyword_is,
    ACTIONS(6318), 1,
      anon_sym_LBRACK,
    ACTIONS(6334), 1,
      anon_sym_SLASH,
    ACTIONS(6336), 1,
      anon_sym_CARET,
    STATE(10625), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6322), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1051), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 5,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2571), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [170500] = 5,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1386), 2,
      sym_keyword_primary,
      sym_keyword_constraint,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1380), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1382), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_cascade,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [170563] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2724), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2726), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [170622] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2734), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [170681] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2799), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2801), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [170740] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2767), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2769), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [170799] = 18,
    ACTIONS(2573), 1,
      sym_keyword_or,
    ACTIONS(6306), 1,
      sym_keyword_in,
    ACTIONS(6312), 1,
      sym_keyword_is,
    ACTIONS(6318), 1,
      anon_sym_LBRACK,
    ACTIONS(6328), 1,
      sym_op_other,
    ACTIONS(6330), 1,
      anon_sym_PLUS,
    ACTIONS(6332), 1,
      anon_sym_DASH,
    ACTIONS(6334), 1,
      anon_sym_SLASH,
    ACTIONS(6336), 1,
      anon_sym_CARET,
    ACTIONS(6376), 1,
      sym_keyword_not,
    STATE(10625), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6322), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6326), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1051), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6320), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [170888] = 5,
    ACTIONS(6411), 1,
      aux_sym__single_quote_string_token2,
    STATE(2074), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1369), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1367), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [170951] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2755), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2757), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [171010] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2676), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2678), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [171069] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2807), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2809), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [171128] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2708), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2710), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [171187] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2795), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2797), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [171246] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2728), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2730), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [171305] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2763), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2765), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [171364] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2684), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2686), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [171423] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2759), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2761), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [171482] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2771), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2773), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [171541] = 5,
    ACTIONS(6387), 1,
      aux_sym__single_quote_string_token2,
    STATE(2074), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1376), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1374), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [171604] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2746), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [171663] = 13,
    ACTIONS(6312), 1,
      sym_keyword_is,
    ACTIONS(6318), 1,
      anon_sym_LBRACK,
    ACTIONS(6330), 1,
      anon_sym_PLUS,
    ACTIONS(6332), 1,
      anon_sym_DASH,
    ACTIONS(6334), 1,
      anon_sym_SLASH,
    ACTIONS(6336), 1,
      anon_sym_CARET,
    STATE(10625), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6322), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1051), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2573), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1054), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [171742] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2787), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2789), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [171801] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2783), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2785), 33,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [171860] = 4,
    ACTIONS(6414), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(121), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(123), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [171921] = 4,
    ACTIONS(6416), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [171981] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3503), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [172039] = 13,
    ACTIONS(6418), 1,
      sym_keyword_is,
    ACTIONS(6420), 1,
      anon_sym_LBRACK,
    ACTIONS(6424), 1,
      anon_sym_PLUS,
    ACTIONS(6426), 1,
      anon_sym_DASH,
    ACTIONS(6428), 1,
      anon_sym_SLASH,
    ACTIONS(6430), 1,
      anon_sym_CARET,
    STATE(10950), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1140), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2624), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1138), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2622), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [172117] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3553), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3551), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [172175] = 21,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2573), 1,
      sym_keyword_or,
    ACTIONS(6418), 1,
      sym_keyword_is,
    ACTIONS(6420), 1,
      anon_sym_LBRACK,
    ACTIONS(6424), 1,
      anon_sym_PLUS,
    ACTIONS(6426), 1,
      anon_sym_DASH,
    ACTIONS(6428), 1,
      anon_sym_SLASH,
    ACTIONS(6430), 1,
      anon_sym_CARET,
    ACTIONS(6432), 1,
      sym_keyword_in,
    ACTIONS(6434), 1,
      sym_keyword_not,
    ACTIONS(6436), 1,
      sym_keyword_between,
    ACTIONS(6442), 1,
      sym_op_other,
    STATE(10950), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6440), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1140), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1138), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6438), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [172269] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2573), 1,
      sym_keyword_or,
    ACTIONS(6418), 1,
      sym_keyword_is,
    ACTIONS(6420), 1,
      anon_sym_LBRACK,
    ACTIONS(6424), 1,
      anon_sym_PLUS,
    ACTIONS(6426), 1,
      anon_sym_DASH,
    ACTIONS(6428), 1,
      anon_sym_SLASH,
    ACTIONS(6430), 1,
      anon_sym_CARET,
    ACTIONS(6432), 1,
      sym_keyword_in,
    ACTIONS(6434), 1,
      sym_keyword_not,
    ACTIONS(6436), 1,
      sym_keyword_between,
    ACTIONS(6442), 1,
      sym_op_other,
    ACTIONS(6444), 1,
      sym_keyword_and,
    STATE(10950), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6440), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1140), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1138), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6438), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [172365] = 16,
    ACTIONS(6418), 1,
      sym_keyword_is,
    ACTIONS(6420), 1,
      anon_sym_LBRACK,
    ACTIONS(6424), 1,
      anon_sym_PLUS,
    ACTIONS(6426), 1,
      anon_sym_DASH,
    ACTIONS(6428), 1,
      anon_sym_SLASH,
    ACTIONS(6430), 1,
      anon_sym_CARET,
    ACTIONS(6432), 1,
      sym_keyword_in,
    ACTIONS(6442), 1,
      sym_op_other,
    ACTIONS(6446), 1,
      sym_keyword_not,
    STATE(10950), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2573), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1140), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1138), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 27,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [172449] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3557), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3555), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [172507] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3449), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3447), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [172565] = 9,
    ACTIONS(6418), 1,
      sym_keyword_is,
    ACTIONS(6420), 1,
      anon_sym_LBRACK,
    ACTIONS(6430), 1,
      anon_sym_CARET,
    STATE(10950), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1140), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1138), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2571), 32,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [172635] = 4,
    ACTIONS(6449), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [172695] = 4,
    ACTIONS(6451), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(121), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(123), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [172755] = 13,
    ACTIONS(6453), 1,
      sym_keyword_is,
    ACTIONS(6455), 1,
      anon_sym_LBRACK,
    ACTIONS(6459), 1,
      anon_sym_PLUS,
    ACTIONS(6461), 1,
      anon_sym_DASH,
    ACTIONS(6463), 1,
      anon_sym_SLASH,
    ACTIONS(6465), 1,
      anon_sym_CARET,
    STATE(11497), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2624), 3,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1494), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1496), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2622), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [172833] = 4,
    ACTIONS(6467), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [172893] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2573), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [172951] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3461), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3459), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [173009] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3585), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3583), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [173067] = 4,
    ACTIONS(6469), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [173127] = 6,
    ACTIONS(6471), 1,
      anon_sym_LBRACK,
    STATE(2109), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(2676), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 39,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [173191] = 8,
    ACTIONS(6418), 1,
      sym_keyword_is,
    ACTIONS(6420), 1,
      anon_sym_LBRACK,
    STATE(10950), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1140), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1138), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2624), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2622), 32,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [173259] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [173317] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1380), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1382), 32,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_nulls,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [173375] = 21,
    ACTIONS(5983), 1,
      sym_keyword_similar,
    ACTIONS(6224), 1,
      sym_keyword_in,
    ACTIONS(6230), 1,
      sym_keyword_is,
    ACTIONS(6232), 1,
      sym_keyword_not,
    ACTIONS(6234), 1,
      sym_keyword_between,
    ACTIONS(6236), 1,
      anon_sym_LBRACK,
    ACTIONS(6246), 1,
      sym_op_other,
    ACTIONS(6248), 1,
      anon_sym_PLUS,
    ACTIONS(6250), 1,
      anon_sym_DASH,
    ACTIONS(6252), 1,
      anon_sym_SLASH,
    ACTIONS(6254), 1,
      anon_sym_CARET,
    STATE(10738), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5981), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6240), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6244), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1505), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1649), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6238), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 13,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym__identifier,
  [173469] = 8,
    ACTIONS(6453), 1,
      sym_keyword_is,
    ACTIONS(6455), 1,
      anon_sym_LBRACK,
    STATE(11497), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1494), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1496), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2624), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2622), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [173537] = 4,
    ACTIONS(6474), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [173597] = 4,
    ACTIONS(6476), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [173657] = 4,
    ACTIONS(6478), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2134), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2132), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [173717] = 11,
    ACTIONS(6418), 1,
      sym_keyword_is,
    ACTIONS(6420), 1,
      anon_sym_LBRACK,
    ACTIONS(6428), 1,
      anon_sym_SLASH,
    ACTIONS(6430), 1,
      anon_sym_CARET,
    STATE(10950), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1140), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1138), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 5,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2571), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [173791] = 6,
    STATE(10950), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1140), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1138), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [173855] = 20,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6453), 1,
      sym_keyword_is,
    ACTIONS(6455), 1,
      anon_sym_LBRACK,
    ACTIONS(6459), 1,
      anon_sym_PLUS,
    ACTIONS(6461), 1,
      anon_sym_DASH,
    ACTIONS(6463), 1,
      anon_sym_SLASH,
    ACTIONS(6465), 1,
      anon_sym_CARET,
    ACTIONS(6480), 1,
      sym_keyword_in,
    ACTIONS(6482), 1,
      sym_keyword_not,
    ACTIONS(6484), 1,
      sym_keyword_between,
    ACTIONS(6490), 1,
      sym_op_other,
    STATE(11497), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6488), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1494), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1496), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6486), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [173947] = 8,
    ACTIONS(6418), 1,
      sym_keyword_is,
    ACTIONS(6420), 1,
      anon_sym_LBRACK,
    STATE(10950), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1140), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1138), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 32,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [174015] = 21,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6453), 1,
      sym_keyword_is,
    ACTIONS(6455), 1,
      anon_sym_LBRACK,
    ACTIONS(6459), 1,
      anon_sym_PLUS,
    ACTIONS(6461), 1,
      anon_sym_DASH,
    ACTIONS(6463), 1,
      anon_sym_SLASH,
    ACTIONS(6465), 1,
      anon_sym_CARET,
    ACTIONS(6480), 1,
      sym_keyword_in,
    ACTIONS(6482), 1,
      sym_keyword_not,
    ACTIONS(6484), 1,
      sym_keyword_between,
    ACTIONS(6490), 1,
      sym_op_other,
    ACTIONS(6492), 1,
      sym_keyword_and,
    STATE(11497), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6488), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1494), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1496), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6486), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [174109] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6453), 1,
      sym_keyword_is,
    ACTIONS(6455), 1,
      anon_sym_LBRACK,
    ACTIONS(6459), 1,
      anon_sym_PLUS,
    ACTIONS(6461), 1,
      anon_sym_DASH,
    ACTIONS(6463), 1,
      anon_sym_SLASH,
    ACTIONS(6465), 1,
      anon_sym_CARET,
    ACTIONS(6480), 1,
      sym_keyword_in,
    ACTIONS(6482), 1,
      sym_keyword_not,
    ACTIONS(6484), 1,
      sym_keyword_between,
    ACTIONS(6490), 1,
      sym_op_other,
    ACTIONS(6492), 1,
      sym_keyword_and,
    ACTIONS(6498), 1,
      sym_keyword_or,
    ACTIONS(6500), 1,
      sym_keyword_using,
    ACTIONS(6502), 1,
      anon_sym_COLON_COLON,
    STATE(6991), 1,
      sym_direction,
    STATE(11497), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6488), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6496), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    STATE(1494), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1496), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6486), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6494), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [174213] = 16,
    ACTIONS(6453), 1,
      sym_keyword_is,
    ACTIONS(6455), 1,
      anon_sym_LBRACK,
    ACTIONS(6459), 1,
      anon_sym_PLUS,
    ACTIONS(6461), 1,
      anon_sym_DASH,
    ACTIONS(6463), 1,
      anon_sym_SLASH,
    ACTIONS(6465), 1,
      anon_sym_CARET,
    ACTIONS(6480), 1,
      sym_keyword_in,
    ACTIONS(6490), 1,
      sym_op_other,
    ACTIONS(6504), 1,
      sym_keyword_not,
    STATE(11497), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2573), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1494), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1496), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [174297] = 18,
    ACTIONS(2573), 1,
      sym_keyword_or,
    ACTIONS(6418), 1,
      sym_keyword_is,
    ACTIONS(6420), 1,
      anon_sym_LBRACK,
    ACTIONS(6424), 1,
      anon_sym_PLUS,
    ACTIONS(6426), 1,
      anon_sym_DASH,
    ACTIONS(6428), 1,
      anon_sym_SLASH,
    ACTIONS(6430), 1,
      anon_sym_CARET,
    ACTIONS(6432), 1,
      sym_keyword_in,
    ACTIONS(6442), 1,
      sym_op_other,
    ACTIONS(6446), 1,
      sym_keyword_not,
    STATE(10950), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6440), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1140), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1138), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6438), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [174385] = 9,
    ACTIONS(6453), 1,
      sym_keyword_is,
    ACTIONS(6455), 1,
      anon_sym_LBRACK,
    ACTIONS(6465), 1,
      anon_sym_CARET,
    STATE(11497), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1494), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1496), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 5,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2571), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [174455] = 13,
    ACTIONS(6453), 1,
      sym_keyword_is,
    ACTIONS(6455), 1,
      anon_sym_LBRACK,
    ACTIONS(6459), 1,
      anon_sym_PLUS,
    ACTIONS(6461), 1,
      anon_sym_DASH,
    ACTIONS(6463), 1,
      anon_sym_SLASH,
    ACTIONS(6465), 1,
      anon_sym_CARET,
    STATE(11497), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2573), 3,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1494), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1496), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [174533] = 11,
    ACTIONS(6453), 1,
      sym_keyword_is,
    ACTIONS(6455), 1,
      anon_sym_LBRACK,
    ACTIONS(6463), 1,
      anon_sym_SLASH,
    ACTIONS(6465), 1,
      anon_sym_CARET,
    STATE(11497), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1494), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2573), 4,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1496), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [174607] = 8,
    ACTIONS(6453), 1,
      sym_keyword_is,
    ACTIONS(6455), 1,
      anon_sym_LBRACK,
    STATE(11497), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1494), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1496), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [174675] = 17,
    ACTIONS(6453), 1,
      sym_keyword_is,
    ACTIONS(6455), 1,
      anon_sym_LBRACK,
    ACTIONS(6459), 1,
      anon_sym_PLUS,
    ACTIONS(6461), 1,
      anon_sym_DASH,
    ACTIONS(6463), 1,
      anon_sym_SLASH,
    ACTIONS(6465), 1,
      anon_sym_CARET,
    ACTIONS(6480), 1,
      sym_keyword_in,
    ACTIONS(6490), 1,
      sym_op_other,
    ACTIONS(6504), 1,
      sym_keyword_not,
    STATE(11497), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6488), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1494), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1496), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6486), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [174761] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2052), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2054), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [174819] = 4,
    ACTIONS(6507), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [174879] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3593), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3591), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [174937] = 19,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6453), 1,
      sym_keyword_is,
    ACTIONS(6455), 1,
      anon_sym_LBRACK,
    ACTIONS(6459), 1,
      anon_sym_PLUS,
    ACTIONS(6461), 1,
      anon_sym_DASH,
    ACTIONS(6463), 1,
      anon_sym_SLASH,
    ACTIONS(6465), 1,
      anon_sym_CARET,
    ACTIONS(6480), 1,
      sym_keyword_in,
    ACTIONS(6482), 1,
      sym_keyword_not,
    ACTIONS(6490), 1,
      sym_op_other,
    STATE(11497), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6488), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1494), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1496), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6486), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2475), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [175027] = 4,
    ACTIONS(6509), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2128), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2126), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [175087] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6511), 1,
      sym_keyword_in,
    ACTIONS(6513), 1,
      sym_keyword_and,
    ACTIONS(6515), 1,
      sym_keyword_or,
    ACTIONS(6517), 1,
      sym_keyword_is,
    ACTIONS(6519), 1,
      sym_keyword_not,
    ACTIONS(6521), 1,
      sym_keyword_between,
    ACTIONS(6523), 1,
      anon_sym_LBRACK,
    ACTIONS(6529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6533), 1,
      sym_op_other,
    ACTIONS(6535), 1,
      anon_sym_PLUS,
    ACTIONS(6537), 1,
      anon_sym_DASH,
    ACTIONS(6539), 1,
      anon_sym_SLASH,
    ACTIONS(6541), 1,
      anon_sym_CARET,
    STATE(11441), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6527), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6531), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1726), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1724), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6525), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3463), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [175185] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3561), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3559), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [175243] = 19,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6453), 1,
      sym_keyword_is,
    ACTIONS(6455), 1,
      anon_sym_LBRACK,
    ACTIONS(6459), 1,
      anon_sym_PLUS,
    ACTIONS(6461), 1,
      anon_sym_DASH,
    ACTIONS(6463), 1,
      anon_sym_SLASH,
    ACTIONS(6465), 1,
      anon_sym_CARET,
    ACTIONS(6480), 1,
      sym_keyword_in,
    ACTIONS(6482), 1,
      sym_keyword_not,
    ACTIONS(6490), 1,
      sym_op_other,
    STATE(11497), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6488), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1494), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1496), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6486), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2612), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [175333] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6511), 1,
      sym_keyword_in,
    ACTIONS(6513), 1,
      sym_keyword_and,
    ACTIONS(6515), 1,
      sym_keyword_or,
    ACTIONS(6517), 1,
      sym_keyword_is,
    ACTIONS(6519), 1,
      sym_keyword_not,
    ACTIONS(6521), 1,
      sym_keyword_between,
    ACTIONS(6523), 1,
      anon_sym_LBRACK,
    ACTIONS(6529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6533), 1,
      sym_op_other,
    ACTIONS(6535), 1,
      anon_sym_PLUS,
    ACTIONS(6537), 1,
      anon_sym_DASH,
    ACTIONS(6539), 1,
      anon_sym_SLASH,
    ACTIONS(6541), 1,
      anon_sym_CARET,
    STATE(11441), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6527), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6531), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1726), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1724), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6525), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3487), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [175431] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6511), 1,
      sym_keyword_in,
    ACTIONS(6513), 1,
      sym_keyword_and,
    ACTIONS(6515), 1,
      sym_keyword_or,
    ACTIONS(6517), 1,
      sym_keyword_is,
    ACTIONS(6519), 1,
      sym_keyword_not,
    ACTIONS(6521), 1,
      sym_keyword_between,
    ACTIONS(6523), 1,
      anon_sym_LBRACK,
    ACTIONS(6529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6533), 1,
      sym_op_other,
    ACTIONS(6535), 1,
      anon_sym_PLUS,
    ACTIONS(6537), 1,
      anon_sym_DASH,
    ACTIONS(6539), 1,
      anon_sym_SLASH,
    ACTIONS(6541), 1,
      anon_sym_CARET,
    STATE(11441), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6527), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6531), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1726), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1724), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6525), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3485), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [175529] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3569), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3567), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [175587] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6511), 1,
      sym_keyword_in,
    ACTIONS(6513), 1,
      sym_keyword_and,
    ACTIONS(6515), 1,
      sym_keyword_or,
    ACTIONS(6517), 1,
      sym_keyword_is,
    ACTIONS(6519), 1,
      sym_keyword_not,
    ACTIONS(6521), 1,
      sym_keyword_between,
    ACTIONS(6523), 1,
      anon_sym_LBRACK,
    ACTIONS(6529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6533), 1,
      sym_op_other,
    ACTIONS(6535), 1,
      anon_sym_PLUS,
    ACTIONS(6537), 1,
      anon_sym_DASH,
    ACTIONS(6539), 1,
      anon_sym_SLASH,
    ACTIONS(6541), 1,
      anon_sym_CARET,
    STATE(11441), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6527), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6531), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1726), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1724), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6525), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3465), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [175685] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6511), 1,
      sym_keyword_in,
    ACTIONS(6513), 1,
      sym_keyword_and,
    ACTIONS(6515), 1,
      sym_keyword_or,
    ACTIONS(6517), 1,
      sym_keyword_is,
    ACTIONS(6519), 1,
      sym_keyword_not,
    ACTIONS(6521), 1,
      sym_keyword_between,
    ACTIONS(6523), 1,
      anon_sym_LBRACK,
    ACTIONS(6529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6533), 1,
      sym_op_other,
    ACTIONS(6535), 1,
      anon_sym_PLUS,
    ACTIONS(6537), 1,
      anon_sym_DASH,
    ACTIONS(6539), 1,
      anon_sym_SLASH,
    ACTIONS(6541), 1,
      anon_sym_CARET,
    STATE(11441), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6527), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6531), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1726), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1724), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6525), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3457), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [175783] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6511), 1,
      sym_keyword_in,
    ACTIONS(6513), 1,
      sym_keyword_and,
    ACTIONS(6515), 1,
      sym_keyword_or,
    ACTIONS(6517), 1,
      sym_keyword_is,
    ACTIONS(6519), 1,
      sym_keyword_not,
    ACTIONS(6521), 1,
      sym_keyword_between,
    ACTIONS(6523), 1,
      anon_sym_LBRACK,
    ACTIONS(6529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6533), 1,
      sym_op_other,
    ACTIONS(6535), 1,
      anon_sym_PLUS,
    ACTIONS(6537), 1,
      anon_sym_DASH,
    ACTIONS(6539), 1,
      anon_sym_SLASH,
    ACTIONS(6541), 1,
      anon_sym_CARET,
    STATE(11441), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6527), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6531), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1726), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1724), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6525), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3431), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [175881] = 4,
    STATE(2558), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3483), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3481), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [175941] = 22,
    ACTIONS(5983), 1,
      sym_keyword_similar,
    ACTIONS(6224), 1,
      sym_keyword_in,
    ACTIONS(6226), 1,
      sym_keyword_and,
    ACTIONS(6230), 1,
      sym_keyword_is,
    ACTIONS(6232), 1,
      sym_keyword_not,
    ACTIONS(6234), 1,
      sym_keyword_between,
    ACTIONS(6236), 1,
      anon_sym_LBRACK,
    ACTIONS(6246), 1,
      sym_op_other,
    ACTIONS(6248), 1,
      anon_sym_PLUS,
    ACTIONS(6250), 1,
      anon_sym_DASH,
    ACTIONS(6252), 1,
      anon_sym_SLASH,
    ACTIONS(6254), 1,
      anon_sym_CARET,
    STATE(10738), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5981), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6240), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6244), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1505), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1649), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6238), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 12,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym__identifier,
  [176037] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2048), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [176095] = 4,
    ACTIONS(6543), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3453), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3451), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [176155] = 7,
    ACTIONS(4409), 1,
      sym_keyword_without,
    ACTIONS(6545), 1,
      sym_keyword_with,
    ACTIONS(6548), 1,
      anon_sym_LPAREN,
    STATE(2242), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 38,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [176221] = 20,
    ACTIONS(2477), 1,
      sym_keyword_or,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6418), 1,
      sym_keyword_is,
    ACTIONS(6420), 1,
      anon_sym_LBRACK,
    ACTIONS(6424), 1,
      anon_sym_PLUS,
    ACTIONS(6426), 1,
      anon_sym_DASH,
    ACTIONS(6428), 1,
      anon_sym_SLASH,
    ACTIONS(6430), 1,
      anon_sym_CARET,
    ACTIONS(6432), 1,
      sym_keyword_in,
    ACTIONS(6434), 1,
      sym_keyword_not,
    ACTIONS(6442), 1,
      sym_op_other,
    STATE(10950), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6440), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1140), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1138), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6438), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2475), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [176313] = 7,
    ACTIONS(4409), 1,
      sym_keyword_without,
    ACTIONS(6550), 1,
      sym_keyword_with,
    ACTIONS(6553), 1,
      anon_sym_LPAREN,
    STATE(2241), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1861), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1859), 38,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [176379] = 20,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2614), 1,
      sym_keyword_or,
    ACTIONS(6418), 1,
      sym_keyword_is,
    ACTIONS(6420), 1,
      anon_sym_LBRACK,
    ACTIONS(6424), 1,
      anon_sym_PLUS,
    ACTIONS(6426), 1,
      anon_sym_DASH,
    ACTIONS(6428), 1,
      anon_sym_SLASH,
    ACTIONS(6430), 1,
      anon_sym_CARET,
    ACTIONS(6432), 1,
      sym_keyword_in,
    ACTIONS(6434), 1,
      sym_keyword_not,
    ACTIONS(6442), 1,
      sym_op_other,
    STATE(10950), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6440), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1140), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1138), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6438), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2612), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [176471] = 4,
    ACTIONS(6555), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2182), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2180), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [176531] = 4,
    ACTIONS(6557), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2188), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2186), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [176591] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3507), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3505), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [176649] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2194), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2192), 42,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [176707] = 4,
    ACTIONS(6015), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [176767] = 4,
    ACTIONS(6559), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2034), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2036), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [176827] = 4,
    ACTIONS(6561), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [176887] = 4,
    ACTIONS(6563), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2056), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2058), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [176947] = 4,
    ACTIONS(6565), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [177007] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2884), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2882), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [177065] = 4,
    ACTIONS(6567), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2066), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [177125] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3499), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3497), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [177183] = 4,
    ACTIONS(6569), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2090), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2092), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [177243] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3589), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3587), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [177301] = 4,
    ACTIONS(6571), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2102), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2104), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [177361] = 5,
    ACTIONS(6573), 1,
      aux_sym__single_quote_string_token2,
    STATE(2169), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1376), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1374), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [177423] = 5,
    ACTIONS(6575), 1,
      aux_sym__single_quote_string_token2,
    STATE(2169), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1369), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1367), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [177485] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1382), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [177543] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3459), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3461), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [177601] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 42,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [177659] = 4,
    ACTIONS(6578), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2114), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2116), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [177719] = 4,
    ACTIONS(6580), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2172), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2170), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [177779] = 4,
    ACTIONS(6582), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2144), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2146), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [177839] = 4,
    ACTIONS(6584), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2030), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2028), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [177899] = 4,
    ACTIONS(6399), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1829), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1831), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [177959] = 4,
    ACTIONS(6586), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [178019] = 4,
    ACTIONS(6588), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2114), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2116), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [178079] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3511), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3509), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [178137] = 16,
    ACTIONS(6224), 1,
      sym_keyword_in,
    ACTIONS(6230), 1,
      sym_keyword_is,
    ACTIONS(6236), 1,
      anon_sym_LBRACK,
    ACTIONS(6246), 1,
      sym_op_other,
    ACTIONS(6248), 1,
      anon_sym_PLUS,
    ACTIONS(6250), 1,
      anon_sym_DASH,
    ACTIONS(6252), 1,
      anon_sym_SLASH,
    ACTIONS(6254), 1,
      anon_sym_CARET,
    ACTIONS(6590), 1,
      sym_keyword_not,
    STATE(10738), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6240), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1505), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1649), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 11,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 19,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [178221] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6511), 1,
      sym_keyword_in,
    ACTIONS(6513), 1,
      sym_keyword_and,
    ACTIONS(6515), 1,
      sym_keyword_or,
    ACTIONS(6517), 1,
      sym_keyword_is,
    ACTIONS(6519), 1,
      sym_keyword_not,
    ACTIONS(6521), 1,
      sym_keyword_between,
    ACTIONS(6523), 1,
      anon_sym_LBRACK,
    ACTIONS(6529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6533), 1,
      sym_op_other,
    ACTIONS(6535), 1,
      anon_sym_PLUS,
    ACTIONS(6537), 1,
      anon_sym_DASH,
    ACTIONS(6539), 1,
      anon_sym_SLASH,
    ACTIONS(6541), 1,
      anon_sym_CARET,
    STATE(11441), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6527), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6531), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1726), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1724), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6525), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3470), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [178319] = 4,
    ACTIONS(6593), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2110), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2108), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [178379] = 13,
    ACTIONS(6418), 1,
      sym_keyword_is,
    ACTIONS(6420), 1,
      anon_sym_LBRACK,
    ACTIONS(6424), 1,
      anon_sym_PLUS,
    ACTIONS(6426), 1,
      anon_sym_DASH,
    ACTIONS(6428), 1,
      anon_sym_SLASH,
    ACTIONS(6430), 1,
      anon_sym_CARET,
    STATE(10950), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1140), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2573), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1138), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [178457] = 4,
    ACTIONS(6595), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2096), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2098), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [178517] = 5,
    ACTIONS(6597), 1,
      aux_sym__single_quote_string_token2,
    STATE(2219), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3279), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3277), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [178579] = 4,
    ACTIONS(6599), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2084), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2086), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [178639] = 4,
    ACTIONS(6601), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2076), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2078), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [178699] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2310), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2308), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [178757] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2306), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2304), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [178815] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3621), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3619), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [178873] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2298), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2296), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [178931] = 4,
    ACTIONS(6603), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2162), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2164), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [178991] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3661), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3659), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [179049] = 4,
    ACTIONS(6605), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2072), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2070), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [179109] = 4,
    ACTIONS(6607), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2138), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2140), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [179169] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3565), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3563), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [179227] = 6,
    ACTIONS(6609), 1,
      anon_sym_LBRACK,
    STATE(2198), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(2683), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2021), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2023), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [179291] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6511), 1,
      sym_keyword_in,
    ACTIONS(6513), 1,
      sym_keyword_and,
    ACTIONS(6515), 1,
      sym_keyword_or,
    ACTIONS(6517), 1,
      sym_keyword_is,
    ACTIONS(6519), 1,
      sym_keyword_not,
    ACTIONS(6521), 1,
      sym_keyword_between,
    ACTIONS(6523), 1,
      anon_sym_LBRACK,
    ACTIONS(6529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6533), 1,
      sym_op_other,
    ACTIONS(6535), 1,
      anon_sym_PLUS,
    ACTIONS(6537), 1,
      anon_sym_DASH,
    ACTIONS(6539), 1,
      anon_sym_SLASH,
    ACTIONS(6541), 1,
      anon_sym_CARET,
    STATE(11441), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6527), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6531), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1726), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1724), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6525), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3474), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [179389] = 4,
    ACTIONS(6612), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2156), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2158), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [179449] = 4,
    ACTIONS(6614), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2040), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2042), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [179509] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6511), 1,
      sym_keyword_in,
    ACTIONS(6513), 1,
      sym_keyword_and,
    ACTIONS(6515), 1,
      sym_keyword_or,
    ACTIONS(6517), 1,
      sym_keyword_is,
    ACTIONS(6519), 1,
      sym_keyword_not,
    ACTIONS(6521), 1,
      sym_keyword_between,
    ACTIONS(6523), 1,
      anon_sym_LBRACK,
    ACTIONS(6529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6533), 1,
      sym_op_other,
    ACTIONS(6535), 1,
      anon_sym_PLUS,
    ACTIONS(6537), 1,
      anon_sym_DASH,
    ACTIONS(6539), 1,
      anon_sym_SLASH,
    ACTIONS(6541), 1,
      anon_sym_CARET,
    STATE(11441), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6527), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6531), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1726), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1724), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6525), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3437), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [179607] = 4,
    ACTIONS(6616), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2138), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2140), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [179667] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6511), 1,
      sym_keyword_in,
    ACTIONS(6513), 1,
      sym_keyword_and,
    ACTIONS(6515), 1,
      sym_keyword_or,
    ACTIONS(6517), 1,
      sym_keyword_is,
    ACTIONS(6519), 1,
      sym_keyword_not,
    ACTIONS(6521), 1,
      sym_keyword_between,
    ACTIONS(6523), 1,
      anon_sym_LBRACK,
    ACTIONS(6529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6533), 1,
      sym_op_other,
    ACTIONS(6535), 1,
      anon_sym_PLUS,
    ACTIONS(6537), 1,
      anon_sym_DASH,
    ACTIONS(6539), 1,
      anon_sym_SLASH,
    ACTIONS(6541), 1,
      anon_sym_CARET,
    STATE(11441), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6527), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6531), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1726), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1724), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6525), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3441), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [179765] = 9,
    ACTIONS(6230), 1,
      sym_keyword_is,
    ACTIONS(6236), 1,
      anon_sym_LBRACK,
    ACTIONS(6254), 1,
      anon_sym_CARET,
    STATE(10738), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1505), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1649), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      sym__identifier,
  [179835] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3545), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3543), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [179893] = 4,
    ACTIONS(6618), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2028), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2030), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [179953] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6511), 1,
      sym_keyword_in,
    ACTIONS(6513), 1,
      sym_keyword_and,
    ACTIONS(6515), 1,
      sym_keyword_or,
    ACTIONS(6517), 1,
      sym_keyword_is,
    ACTIONS(6519), 1,
      sym_keyword_not,
    ACTIONS(6521), 1,
      sym_keyword_between,
    ACTIONS(6523), 1,
      anon_sym_LBRACK,
    ACTIONS(6529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6533), 1,
      sym_op_other,
    ACTIONS(6535), 1,
      anon_sym_PLUS,
    ACTIONS(6537), 1,
      anon_sym_DASH,
    ACTIONS(6539), 1,
      anon_sym_SLASH,
    ACTIONS(6541), 1,
      anon_sym_CARET,
    STATE(11441), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6527), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6531), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1726), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1724), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6525), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3445), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [180051] = 4,
    ACTIONS(6620), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2170), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2172), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [180111] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6511), 1,
      sym_keyword_in,
    ACTIONS(6513), 1,
      sym_keyword_and,
    ACTIONS(6515), 1,
      sym_keyword_or,
    ACTIONS(6517), 1,
      sym_keyword_is,
    ACTIONS(6519), 1,
      sym_keyword_not,
    ACTIONS(6521), 1,
      sym_keyword_between,
    ACTIONS(6523), 1,
      anon_sym_LBRACK,
    ACTIONS(6529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6533), 1,
      sym_op_other,
    ACTIONS(6535), 1,
      anon_sym_PLUS,
    ACTIONS(6537), 1,
      anon_sym_DASH,
    ACTIONS(6539), 1,
      anon_sym_SLASH,
    ACTIONS(6541), 1,
      anon_sym_CARET,
    STATE(11441), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6527), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6531), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1726), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1724), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6525), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3443), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [180209] = 4,
    ACTIONS(6296), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [180269] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3609), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3607), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [180327] = 4,
    ACTIONS(6622), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [180387] = 4,
    ACTIONS(6624), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [180447] = 4,
    ACTIONS(6626), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [180507] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3613), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3611), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [180565] = 4,
    ACTIONS(6628), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2126), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2128), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [180625] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [180683] = 5,
    ACTIONS(6573), 1,
      aux_sym__single_quote_string_token2,
    STATE(2169), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3306), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3304), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [180745] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6511), 1,
      sym_keyword_in,
    ACTIONS(6513), 1,
      sym_keyword_and,
    ACTIONS(6515), 1,
      sym_keyword_or,
    ACTIONS(6517), 1,
      sym_keyword_is,
    ACTIONS(6519), 1,
      sym_keyword_not,
    ACTIONS(6521), 1,
      sym_keyword_between,
    ACTIONS(6523), 1,
      anon_sym_LBRACK,
    ACTIONS(6529), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6533), 1,
      sym_op_other,
    ACTIONS(6535), 1,
      anon_sym_PLUS,
    ACTIONS(6537), 1,
      anon_sym_DASH,
    ACTIONS(6539), 1,
      anon_sym_SLASH,
    ACTIONS(6541), 1,
      anon_sym_CARET,
    STATE(11441), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6527), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6531), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1726), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1724), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6525), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3439), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [180843] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3495), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3493), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [180901] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3681), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3679), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [180959] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3573), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3571), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181017] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3577), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3575), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181075] = 5,
    STATE(2109), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(2676), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3302), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3300), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181137] = 6,
    STATE(11497), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1494), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1496), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181201] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1939), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1941), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [181259] = 4,
    ACTIONS(6630), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2196), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2198), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [181319] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3685), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3683), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181377] = 4,
    ACTIONS(6632), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2150), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2152), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [181437] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2192), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2194), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [181495] = 4,
    ACTIONS(6634), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2186), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2188), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [181555] = 4,
    ACTIONS(6636), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2108), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2110), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [181615] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3605), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3603), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181673] = 4,
    ACTIONS(6638), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2180), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2182), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [181733] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181791] = 5,
    ACTIONS(6640), 1,
      aux_sym__single_quote_string_token2,
    STATE(2168), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1363), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1361), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181853] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3601), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3599), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181911] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [181969] = 20,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2614), 1,
      sym_keyword_or,
    ACTIONS(6511), 1,
      sym_keyword_in,
    ACTIONS(6517), 1,
      sym_keyword_is,
    ACTIONS(6519), 1,
      sym_keyword_not,
    ACTIONS(6523), 1,
      anon_sym_LBRACK,
    ACTIONS(6533), 1,
      sym_op_other,
    ACTIONS(6535), 1,
      anon_sym_PLUS,
    ACTIONS(6537), 1,
      anon_sym_DASH,
    ACTIONS(6539), 1,
      anon_sym_SLASH,
    ACTIONS(6541), 1,
      anon_sym_CARET,
    STATE(11441), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6527), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6531), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1726), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1724), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6525), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2612), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_COLON_COLON,
  [182061] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [182119] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2378), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2376), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [182177] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3617), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3615), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [182235] = 4,
    ACTIONS(6642), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2202), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2204), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [182295] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3625), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3623), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [182353] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [182411] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2791), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2793), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [182469] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3673), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3671), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [182527] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [182585] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2700), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2702), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [182643] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2054), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2052), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [182701] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2048), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2046), 42,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [182759] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [182817] = 4,
    ACTIONS(6101), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1829), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1831), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [182877] = 4,
    ACTIONS(6644), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [182937] = 20,
    ACTIONS(5983), 1,
      sym_keyword_similar,
    ACTIONS(6224), 1,
      sym_keyword_in,
    ACTIONS(6230), 1,
      sym_keyword_is,
    ACTIONS(6232), 1,
      sym_keyword_not,
    ACTIONS(6236), 1,
      anon_sym_LBRACK,
    ACTIONS(6246), 1,
      sym_op_other,
    ACTIONS(6248), 1,
      anon_sym_PLUS,
    ACTIONS(6250), 1,
      anon_sym_DASH,
    ACTIONS(6252), 1,
      anon_sym_SLASH,
    ACTIONS(6254), 1,
      anon_sym_CARET,
    STATE(10738), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5981), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6240), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6244), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1505), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1649), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6238), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2612), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2614), 14,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      sym__identifier,
  [183029] = 4,
    ACTIONS(6646), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2102), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2104), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [183089] = 29,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(5967), 1,
      sym_keyword_as,
    ACTIONS(5969), 1,
      sym_keyword_in,
    ACTIONS(5971), 1,
      sym_keyword_and,
    ACTIONS(5973), 1,
      sym_keyword_or,
    ACTIONS(5975), 1,
      sym_keyword_is,
    ACTIONS(5977), 1,
      sym_keyword_not,
    ACTIONS(5979), 1,
      sym_keyword_between,
    ACTIONS(5983), 1,
      sym_keyword_similar,
    ACTIONS(5985), 1,
      anon_sym_LBRACK,
    ACTIONS(5995), 1,
      sym_op_other,
    ACTIONS(5997), 1,
      anon_sym_PLUS,
    ACTIONS(5999), 1,
      anon_sym_DASH,
    ACTIONS(6001), 1,
      anon_sym_SLASH,
    ACTIONS(6003), 1,
      anon_sym_CARET,
    ACTIONS(6648), 1,
      anon_sym_COLON_COLON,
    STATE(6466), 1,
      sym_identifier,
    STATE(7096), 1,
      sym__alias,
    STATE(10678), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(5981), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(5989), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(5993), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1173), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(5963), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(1171), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(5987), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(5965), 6,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [183199] = 4,
    ACTIONS(6650), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [183259] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [183317] = 4,
    ACTIONS(6652), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2070), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2072), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [183377] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [183435] = 27,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6418), 1,
      sym_keyword_is,
    ACTIONS(6420), 1,
      anon_sym_LBRACK,
    ACTIONS(6424), 1,
      anon_sym_PLUS,
    ACTIONS(6426), 1,
      anon_sym_DASH,
    ACTIONS(6428), 1,
      anon_sym_SLASH,
    ACTIONS(6430), 1,
      anon_sym_CARET,
    ACTIONS(6432), 1,
      sym_keyword_in,
    ACTIONS(6434), 1,
      sym_keyword_not,
    ACTIONS(6436), 1,
      sym_keyword_between,
    ACTIONS(6442), 1,
      sym_op_other,
    ACTIONS(6444), 1,
      sym_keyword_and,
    ACTIONS(6654), 1,
      sym_keyword_having,
    ACTIONS(6656), 1,
      sym_keyword_or,
    ACTIONS(6658), 1,
      anon_sym_COMMA,
    ACTIONS(6660), 1,
      anon_sym_COLON_COLON,
    STATE(7139), 1,
      aux_sym_array_repeat1,
    STATE(7462), 1,
      sym__having,
    STATE(10950), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6440), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1140), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1138), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6438), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6401), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [183541] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2724), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2726), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [183599] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2226), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2224), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [183657] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [183715] = 18,
    ACTIONS(6224), 1,
      sym_keyword_in,
    ACTIONS(6230), 1,
      sym_keyword_is,
    ACTIONS(6236), 1,
      anon_sym_LBRACK,
    ACTIONS(6246), 1,
      sym_op_other,
    ACTIONS(6248), 1,
      anon_sym_PLUS,
    ACTIONS(6250), 1,
      anon_sym_DASH,
    ACTIONS(6252), 1,
      anon_sym_SLASH,
    ACTIONS(6254), 1,
      anon_sym_CARET,
    ACTIONS(6590), 1,
      sym_keyword_not,
    STATE(10738), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6240), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6244), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1505), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1649), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6238), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 17,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym__identifier,
  [183803] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2771), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2773), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [183861] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2250), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2248), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [183919] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2254), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2252), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [183977] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2210), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2208), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184035] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2734), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [184093] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2258), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2256), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184151] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2262), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2260), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184209] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2322), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2320), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184267] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2326), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2324), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184325] = 18,
    ACTIONS(2573), 1,
      sym_keyword_or,
    ACTIONS(6511), 1,
      sym_keyword_in,
    ACTIONS(6517), 1,
      sym_keyword_is,
    ACTIONS(6523), 1,
      anon_sym_LBRACK,
    ACTIONS(6533), 1,
      sym_op_other,
    ACTIONS(6535), 1,
      anon_sym_PLUS,
    ACTIONS(6537), 1,
      anon_sym_DASH,
    ACTIONS(6539), 1,
      anon_sym_SLASH,
    ACTIONS(6541), 1,
      anon_sym_CARET,
    ACTIONS(6662), 1,
      sym_keyword_not,
    STATE(11441), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6527), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6531), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1726), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1724), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6525), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COLON_COLON,
  [184413] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2759), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2761), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [184471] = 8,
    ACTIONS(6517), 1,
      sym_keyword_is,
    ACTIONS(6523), 1,
      anon_sym_LBRACK,
    STATE(11441), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1726), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1724), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 32,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184539] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3447), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3449), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [184597] = 11,
    ACTIONS(6517), 1,
      sym_keyword_is,
    ACTIONS(6523), 1,
      anon_sym_LBRACK,
    ACTIONS(6539), 1,
      anon_sym_SLASH,
    ACTIONS(6541), 1,
      anon_sym_CARET,
    STATE(11441), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6527), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1726), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1724), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 5,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    ACTIONS(2571), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184671] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2330), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2328), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184729] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2334), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2332), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184787] = 13,
    ACTIONS(6517), 1,
      sym_keyword_is,
    ACTIONS(6523), 1,
      anon_sym_LBRACK,
    ACTIONS(6535), 1,
      anon_sym_PLUS,
    ACTIONS(6537), 1,
      anon_sym_DASH,
    ACTIONS(6539), 1,
      anon_sym_SLASH,
    ACTIONS(6541), 1,
      anon_sym_CARET,
    STATE(11441), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6527), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1726), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2573), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1724), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184865] = 9,
    ACTIONS(6517), 1,
      sym_keyword_is,
    ACTIONS(6523), 1,
      anon_sym_LBRACK,
    ACTIONS(6541), 1,
      anon_sym_CARET,
    STATE(11441), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1726), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1724), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 6,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2571), 32,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [184935] = 16,
    ACTIONS(6511), 1,
      sym_keyword_in,
    ACTIONS(6517), 1,
      sym_keyword_is,
    ACTIONS(6523), 1,
      anon_sym_LBRACK,
    ACTIONS(6533), 1,
      sym_op_other,
    ACTIONS(6535), 1,
      anon_sym_PLUS,
    ACTIONS(6537), 1,
      anon_sym_DASH,
    ACTIONS(6539), 1,
      anon_sym_SLASH,
    ACTIONS(6541), 1,
      anon_sym_CARET,
    ACTIONS(6662), 1,
      sym_keyword_not,
    STATE(11441), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6527), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2573), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1726), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1724), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 27,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [185019] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2573), 1,
      sym_keyword_or,
    ACTIONS(6511), 1,
      sym_keyword_in,
    ACTIONS(6513), 1,
      sym_keyword_and,
    ACTIONS(6517), 1,
      sym_keyword_is,
    ACTIONS(6519), 1,
      sym_keyword_not,
    ACTIONS(6521), 1,
      sym_keyword_between,
    ACTIONS(6523), 1,
      anon_sym_LBRACK,
    ACTIONS(6533), 1,
      sym_op_other,
    ACTIONS(6535), 1,
      anon_sym_PLUS,
    ACTIONS(6537), 1,
      anon_sym_DASH,
    ACTIONS(6539), 1,
      anon_sym_SLASH,
    ACTIONS(6541), 1,
      anon_sym_CARET,
    STATE(11441), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6527), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6531), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1726), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1724), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6525), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COLON_COLON,
  [185115] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2338), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2336), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [185173] = 21,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2573), 1,
      sym_keyword_or,
    ACTIONS(6511), 1,
      sym_keyword_in,
    ACTIONS(6517), 1,
      sym_keyword_is,
    ACTIONS(6519), 1,
      sym_keyword_not,
    ACTIONS(6521), 1,
      sym_keyword_between,
    ACTIONS(6523), 1,
      anon_sym_LBRACK,
    ACTIONS(6533), 1,
      sym_op_other,
    ACTIONS(6535), 1,
      anon_sym_PLUS,
    ACTIONS(6537), 1,
      anon_sym_DASH,
    ACTIONS(6539), 1,
      anon_sym_SLASH,
    ACTIONS(6541), 1,
      anon_sym_CARET,
    STATE(11441), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6527), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6531), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1726), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1724), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6525), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COLON_COLON,
  [185267] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2342), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2340), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [185325] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2346), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2344), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [185383] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2350), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2348), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [185441] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2354), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2352), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [185499] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2358), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2356), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [185557] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2362), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2360), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [185615] = 7,
    ACTIONS(6665), 1,
      sym_keyword_unsigned,
    ACTIONS(6667), 1,
      sym_keyword_zerofill,
    ACTIONS(6669), 1,
      sym_keyword_precision,
    ACTIONS(6671), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1805), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [185681] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2366), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2364), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [185739] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2390), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2388), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [185797] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [185855] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2374), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2372), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [185913] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2370), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2368), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [185971] = 4,
    ACTIONS(6673), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2042), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2040), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [186031] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2318), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2316), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [186089] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2290), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2288), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [186147] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2286), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2284), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [186205] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2266), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2264), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [186263] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2246), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2244), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [186321] = 8,
    ACTIONS(6230), 1,
      sym_keyword_is,
    ACTIONS(6236), 1,
      anon_sym_LBRACK,
    STATE(10738), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1505), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1649), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [186389] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2242), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2240), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [186447] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2222), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2220), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [186505] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2767), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2769), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [186563] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2042), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2040), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [186621] = 4,
    ACTIONS(6675), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2132), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2134), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [186681] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [186739] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3597), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [186797] = 4,
    ACTIONS(6677), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [186857] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2078), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2076), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [186915] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2763), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2765), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [186973] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2086), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2084), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187031] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2708), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2710), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [187089] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2096), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187147] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2314), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2312), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187205] = 4,
    ACTIONS(6679), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2078), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2076), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187265] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2302), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2300), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187323] = 4,
    ACTIONS(6681), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2086), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2084), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187383] = 8,
    ACTIONS(6517), 1,
      sym_keyword_is,
    ACTIONS(6523), 1,
      anon_sym_LBRACK,
    STATE(11441), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1726), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1724), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2624), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2622), 32,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187451] = 13,
    ACTIONS(6517), 1,
      sym_keyword_is,
    ACTIONS(6523), 1,
      anon_sym_LBRACK,
    ACTIONS(6535), 1,
      anon_sym_PLUS,
    ACTIONS(6537), 1,
      anon_sym_DASH,
    ACTIONS(6539), 1,
      anon_sym_SLASH,
    ACTIONS(6541), 1,
      anon_sym_CARET,
    STATE(11441), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6527), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1726), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2624), 4,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1724), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2622), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187529] = 4,
    ACTIONS(6683), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2096), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187589] = 4,
    ACTIONS(6685), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2034), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2036), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [187649] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2278), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2276), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187707] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2274), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2272), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187765] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2270), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2268), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187823] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2728), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2730), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [187881] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 6,
      sym_keyword_as,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3547), 43,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_primary,
      sym_keyword_create,
      sym_keyword_constraint,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_returning,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_between,
      sym_keyword_unique,
      sym_keyword_references,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [187939] = 13,
    ACTIONS(6230), 1,
      sym_keyword_is,
    ACTIONS(6236), 1,
      anon_sym_LBRACK,
    ACTIONS(6248), 1,
      anon_sym_PLUS,
    ACTIONS(6250), 1,
      anon_sym_DASH,
    ACTIONS(6252), 1,
      anon_sym_SLASH,
    ACTIONS(6254), 1,
      anon_sym_CARET,
    STATE(10738), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6240), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1505), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1649), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 21,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [188017] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2238), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2236), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [188075] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2234), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2232), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [188133] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2799), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2801), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [188191] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2230), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2228), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [188249] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1971), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1969), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [188307] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2795), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2797), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [188365] = 6,
    STATE(11441), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1726), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1724), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [188429] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [188487] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2803), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2805), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [188545] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [188603] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2218), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2216), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [188661] = 4,
    ACTIONS(6687), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2146), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2144), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [188721] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2676), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2678), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [188779] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2214), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2212), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [188837] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2684), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2686), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [188895] = 11,
    ACTIONS(6230), 1,
      sym_keyword_is,
    ACTIONS(6236), 1,
      anon_sym_LBRACK,
    ACTIONS(6252), 1,
      anon_sym_SLASH,
    ACTIONS(6254), 1,
      anon_sym_CARET,
    STATE(10738), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6240), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1505), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1649), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 22,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [188969] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2146), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2144), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [189027] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2282), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2280), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [189085] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2294), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2292), 42,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [189143] = 4,
    ACTIONS(6689), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [189203] = 8,
    ACTIONS(6230), 1,
      sym_keyword_is,
    ACTIONS(6236), 1,
      anon_sym_LBRACK,
    STATE(10738), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1505), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1649), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2622), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2624), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [189271] = 13,
    ACTIONS(6230), 1,
      sym_keyword_is,
    ACTIONS(6236), 1,
      anon_sym_LBRACK,
    ACTIONS(6248), 1,
      anon_sym_PLUS,
    ACTIONS(6250), 1,
      anon_sym_DASH,
    ACTIONS(6252), 1,
      anon_sym_SLASH,
    ACTIONS(6254), 1,
      anon_sym_CARET,
    STATE(10738), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6240), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1505), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1649), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2622), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2624), 21,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [189349] = 4,
    ACTIONS(6691), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2056), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2058), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [189409] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2787), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2789), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [189467] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2783), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2785), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [189525] = 20,
    ACTIONS(2477), 1,
      sym_keyword_or,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6511), 1,
      sym_keyword_in,
    ACTIONS(6517), 1,
      sym_keyword_is,
    ACTIONS(6519), 1,
      sym_keyword_not,
    ACTIONS(6523), 1,
      anon_sym_LBRACK,
    ACTIONS(6533), 1,
      sym_op_other,
    ACTIONS(6535), 1,
      anon_sym_PLUS,
    ACTIONS(6537), 1,
      anon_sym_DASH,
    ACTIONS(6539), 1,
      anon_sym_SLASH,
    ACTIONS(6541), 1,
      anon_sym_CARET,
    STATE(11441), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6527), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6531), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1726), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1724), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6525), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2475), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_COLON_COLON,
  [189617] = 6,
    STATE(10738), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1505), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1649), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [189681] = 4,
    ACTIONS(6693), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2066), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [189741] = 4,
    ACTIONS(6695), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [189801] = 20,
    ACTIONS(5983), 1,
      sym_keyword_similar,
    ACTIONS(6224), 1,
      sym_keyword_in,
    ACTIONS(6230), 1,
      sym_keyword_is,
    ACTIONS(6232), 1,
      sym_keyword_not,
    ACTIONS(6236), 1,
      anon_sym_LBRACK,
    ACTIONS(6246), 1,
      sym_op_other,
    ACTIONS(6248), 1,
      anon_sym_PLUS,
    ACTIONS(6250), 1,
      anon_sym_DASH,
    ACTIONS(6252), 1,
      anon_sym_SLASH,
    ACTIONS(6254), 1,
      anon_sym_CARET,
    STATE(10738), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5981), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6240), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6244), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1505), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1649), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6238), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2475), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2477), 14,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      sym__identifier,
  [189893] = 4,
    ACTIONS(6697), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [189953] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2755), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2757), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [190011] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2746), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [190069] = 4,
    ACTIONS(6699), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2090), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2092), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [190129] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2807), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2809), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [190187] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3571), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3573), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [190244] = 6,
    ACTIONS(6701), 1,
      sym_keyword_unsigned,
    ACTIONS(6703), 1,
      sym_keyword_zerofill,
    ACTIONS(6705), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1869), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1871), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [190307] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3603), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3605), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [190364] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3595), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3597), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [190421] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6137), 1,
      sym_keyword_in,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6144), 1,
      anon_sym_LBRACK,
    ACTIONS(6148), 1,
      sym_op_other,
    ACTIONS(6150), 1,
      anon_sym_PLUS,
    ACTIONS(6152), 1,
      anon_sym_DASH,
    ACTIONS(6154), 1,
      anon_sym_SLASH,
    ACTIONS(6156), 1,
      anon_sym_CARET,
    ACTIONS(6272), 1,
      sym_keyword_not,
    ACTIONS(6274), 1,
      sym_keyword_between,
    ACTIONS(6284), 1,
      sym_keyword_and,
    ACTIONS(6405), 1,
      sym_keyword_or,
    ACTIONS(6409), 1,
      anon_sym_COLON_COLON,
    STATE(11383), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6146), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6278), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1824), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1825), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6276), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6707), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [190518] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3623), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3625), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [190575] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3615), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3617), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [190632] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [190689] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1971), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1969), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [190746] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3599), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3601), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [190803] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2218), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2216), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [190860] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2096), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [190917] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2214), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2212), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [190974] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2230), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2228), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [191031] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2234), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2232), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [191088] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2238), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2236), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [191145] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2270), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2268), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [191202] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2274), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2272), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [191259] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2278), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2276), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [191316] = 17,
    ACTIONS(6709), 1,
      sym_keyword_in,
    ACTIONS(6711), 1,
      sym_keyword_is,
    ACTIONS(6713), 1,
      sym_keyword_not,
    ACTIONS(6716), 1,
      anon_sym_LBRACK,
    ACTIONS(6724), 1,
      sym_op_other,
    ACTIONS(6726), 1,
      anon_sym_PLUS,
    ACTIONS(6728), 1,
      anon_sym_DASH,
    ACTIONS(6730), 1,
      anon_sym_SLASH,
    ACTIONS(6732), 1,
      anon_sym_CARET,
    STATE(11148), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6720), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6722), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1086), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1080), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6718), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [191401] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2146), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2144), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [191458] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2302), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2300), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [191515] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2314), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2312), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [191572] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2232), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2234), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [191629] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2282), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2280), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [191686] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2236), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2238), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [191743] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2268), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2270), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [191800] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2294), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2292), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [191857] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2272), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2274), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [191914] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2276), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2278), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [191971] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2300), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2302), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [192028] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2312), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2314), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [192085] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2326), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2324), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [192142] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2086), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2084), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [192199] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2078), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2076), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [192256] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [192313] = 8,
    ACTIONS(6711), 1,
      sym_keyword_is,
    ACTIONS(6716), 1,
      anon_sym_LBRACK,
    STATE(11148), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1086), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1080), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 32,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [192380] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2042), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2040), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [192437] = 11,
    ACTIONS(6711), 1,
      sym_keyword_is,
    ACTIONS(6716), 1,
      anon_sym_LBRACK,
    ACTIONS(6730), 1,
      anon_sym_SLASH,
    ACTIONS(6732), 1,
      anon_sym_CARET,
    STATE(11148), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6720), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1086), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2573), 4,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1080), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [192510] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [192567] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2222), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2220), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [192624] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2242), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2240), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [192681] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2246), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2244), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [192738] = 13,
    ACTIONS(6711), 1,
      sym_keyword_is,
    ACTIONS(6716), 1,
      anon_sym_LBRACK,
    ACTIONS(6726), 1,
      anon_sym_PLUS,
    ACTIONS(6728), 1,
      anon_sym_DASH,
    ACTIONS(6730), 1,
      anon_sym_SLASH,
    ACTIONS(6732), 1,
      anon_sym_CARET,
    STATE(11148), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6720), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2573), 3,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1086), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1080), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [192815] = 7,
    ACTIONS(6734), 1,
      sym_keyword_array,
    STATE(287), 1,
      sym_array_size_definition,
    STATE(289), 1,
      sym__array_size_definition,
    STATE(2875), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2880), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2878), 38,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [192880] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3575), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3577), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [192937] = 19,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6709), 1,
      sym_keyword_in,
    ACTIONS(6711), 1,
      sym_keyword_is,
    ACTIONS(6716), 1,
      anon_sym_LBRACK,
    ACTIONS(6724), 1,
      sym_op_other,
    ACTIONS(6726), 1,
      anon_sym_PLUS,
    ACTIONS(6728), 1,
      anon_sym_DASH,
    ACTIONS(6730), 1,
      anon_sym_SLASH,
    ACTIONS(6732), 1,
      anon_sym_CARET,
    ACTIONS(6736), 1,
      sym_keyword_not,
    STATE(11148), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6720), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6722), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1086), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1080), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6718), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2612), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [193026] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2266), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2264), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [193083] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3583), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3585), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [193140] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2286), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2284), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [193197] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2290), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2288), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [193254] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2318), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2316), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [193311] = 9,
    ACTIONS(6711), 1,
      sym_keyword_is,
    ACTIONS(6716), 1,
      anon_sym_LBRACK,
    ACTIONS(6732), 1,
      anon_sym_CARET,
    STATE(11148), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1086), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1080), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 5,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2571), 32,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [193380] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3509), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3511), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [193437] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3505), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3507), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [193494] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2370), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2368), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [193551] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2374), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2372), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [193608] = 16,
    ACTIONS(6709), 1,
      sym_keyword_in,
    ACTIONS(6711), 1,
      sym_keyword_is,
    ACTIONS(6713), 1,
      sym_keyword_not,
    ACTIONS(6716), 1,
      anon_sym_LBRACK,
    ACTIONS(6724), 1,
      sym_op_other,
    ACTIONS(6726), 1,
      anon_sym_PLUS,
    ACTIONS(6728), 1,
      anon_sym_DASH,
    ACTIONS(6730), 1,
      anon_sym_SLASH,
    ACTIONS(6732), 1,
      anon_sym_CARET,
    STATE(11148), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2573), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6720), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1086), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1080), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 27,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [193691] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [193748] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2390), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2388), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [193805] = 21,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6709), 1,
      sym_keyword_in,
    ACTIONS(6711), 1,
      sym_keyword_is,
    ACTIONS(6716), 1,
      anon_sym_LBRACK,
    ACTIONS(6724), 1,
      sym_op_other,
    ACTIONS(6726), 1,
      anon_sym_PLUS,
    ACTIONS(6728), 1,
      anon_sym_DASH,
    ACTIONS(6730), 1,
      anon_sym_SLASH,
    ACTIONS(6732), 1,
      anon_sym_CARET,
    ACTIONS(6736), 1,
      sym_keyword_not,
    ACTIONS(6738), 1,
      sym_keyword_and,
    ACTIONS(6740), 1,
      sym_keyword_between,
    STATE(11148), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6720), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6722), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1086), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1080), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6718), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [193898] = 20,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6709), 1,
      sym_keyword_in,
    ACTIONS(6711), 1,
      sym_keyword_is,
    ACTIONS(6716), 1,
      anon_sym_LBRACK,
    ACTIONS(6724), 1,
      sym_op_other,
    ACTIONS(6726), 1,
      anon_sym_PLUS,
    ACTIONS(6728), 1,
      anon_sym_DASH,
    ACTIONS(6730), 1,
      anon_sym_SLASH,
    ACTIONS(6732), 1,
      anon_sym_CARET,
    ACTIONS(6736), 1,
      sym_keyword_not,
    ACTIONS(6740), 1,
      sym_keyword_between,
    STATE(11148), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6720), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6722), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1086), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1080), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6718), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [193989] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [194046] = 7,
    ACTIONS(6075), 1,
      sym_keyword_without,
    ACTIONS(6742), 1,
      sym_keyword_with,
    ACTIONS(6745), 1,
      anon_sym_LPAREN,
    STATE(2485), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 37,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [194111] = 7,
    ACTIONS(6075), 1,
      sym_keyword_without,
    ACTIONS(6747), 1,
      sym_keyword_with,
    ACTIONS(6750), 1,
      anon_sym_LPAREN,
    STATE(2486), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1861), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1859), 37,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [194176] = 6,
    ACTIONS(4409), 1,
      sym_keyword_without,
    ACTIONS(6752), 1,
      sym_keyword_with,
    STATE(2310), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1979), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1977), 38,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [194239] = 6,
    ACTIONS(6757), 1,
      anon_sym_LPAREN,
    STATE(2997), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6755), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1889), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1891), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [194302] = 6,
    ACTIONS(6759), 1,
      anon_sym_LPAREN,
    STATE(2998), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6755), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1859), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1861), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [194365] = 6,
    ACTIONS(4409), 1,
      sym_keyword_without,
    ACTIONS(6761), 1,
      sym_keyword_with,
    STATE(2309), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1963), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1961), 38,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [194428] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2366), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2364), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [194485] = 26,
    ACTIONS(2479), 1,
      sym_keyword_in,
    ACTIONS(2481), 1,
      sym_keyword_is,
    ACTIONS(2483), 1,
      sym_keyword_not,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2489), 1,
      anon_sym_LBRACK,
    ACTIONS(2497), 1,
      sym_op_other,
    ACTIONS(2499), 1,
      anon_sym_PLUS,
    ACTIONS(2501), 1,
      anon_sym_DASH,
    ACTIONS(2503), 1,
      anon_sym_SLASH,
    ACTIONS(2505), 1,
      anon_sym_CARET,
    ACTIONS(2575), 1,
      sym_keyword_between,
    ACTIONS(2577), 1,
      sym_keyword_and,
    ACTIONS(3667), 1,
      sym_keyword_or,
    ACTIONS(3669), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6500), 1,
      sym_keyword_using,
    STATE(6991), 1,
      sym_direction,
    STATE(11122), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2495), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6496), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    STATE(1409), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1411), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2491), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6494), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [194588] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3497), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3499), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [194645] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3587), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3589), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [194702] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2362), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2360), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [194759] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2358), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2356), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [194816] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2350), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2348), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [194873] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2346), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2344), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [194930] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2342), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2340), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [194987] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3543), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3545), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [195044] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3547), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3549), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [195101] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2338), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2336), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [195158] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2334), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2332), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [195215] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2330), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2328), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [195272] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [195329] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2322), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2320), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [195386] = 5,
    ACTIONS(6764), 1,
      aux_sym__single_quote_string_token2,
    STATE(2456), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1369), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [195447] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3591), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3593), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [195504] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3619), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3621), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [195561] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2262), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2260), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [195618] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2258), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2256), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [195675] = 7,
    ACTIONS(6734), 1,
      sym_keyword_array,
    STATE(288), 1,
      sym_array_size_definition,
    STATE(289), 1,
      sym__array_size_definition,
    STATE(2875), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2813), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2811), 38,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [195740] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2210), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2208), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [195797] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2254), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2252), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [195854] = 5,
    ACTIONS(6767), 1,
      aux_sym__single_quote_string_token2,
    STATE(2456), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1376), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [195915] = 27,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6137), 1,
      sym_keyword_in,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6144), 1,
      anon_sym_LBRACK,
    ACTIONS(6148), 1,
      sym_op_other,
    ACTIONS(6150), 1,
      anon_sym_PLUS,
    ACTIONS(6152), 1,
      anon_sym_DASH,
    ACTIONS(6154), 1,
      anon_sym_SLASH,
    ACTIONS(6156), 1,
      anon_sym_CARET,
    ACTIONS(6272), 1,
      sym_keyword_not,
    ACTIONS(6274), 1,
      sym_keyword_between,
    ACTIONS(6284), 1,
      sym_keyword_and,
    ACTIONS(6405), 1,
      sym_keyword_or,
    ACTIONS(6769), 1,
      sym_keyword_having,
    ACTIONS(6771), 1,
      anon_sym_COMMA,
    ACTIONS(6773), 1,
      anon_sym_COLON_COLON,
    STATE(7228), 1,
      aux_sym_array_repeat1,
    STATE(7283), 1,
      sym__having,
    STATE(11383), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6146), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6278), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1824), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1825), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6276), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6401), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [196020] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2250), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2248), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [196077] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [196134] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2571), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [196191] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2226), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2224), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [196248] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3559), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3561), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [196305] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3567), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3569), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [196362] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3659), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3661), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [196419] = 4,
    ACTIONS(6775), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3453), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3451), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [196478] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2354), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2352), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [196535] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2054), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2052), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [196592] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2292), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2294), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [196649] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3501), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3503), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [196706] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [196763] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [196820] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2156), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2158), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [196877] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [196934] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3671), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3673), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [196991] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [197048] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3563), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3565), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [197105] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2378), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2376), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [197162] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [197219] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [197276] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [197333] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2096), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2098), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [197390] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2084), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2086), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [197447] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2076), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2078), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [197504] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6709), 1,
      sym_keyword_in,
    ACTIONS(6711), 1,
      sym_keyword_is,
    ACTIONS(6716), 1,
      anon_sym_LBRACK,
    ACTIONS(6724), 1,
      sym_op_other,
    ACTIONS(6726), 1,
      anon_sym_PLUS,
    ACTIONS(6728), 1,
      anon_sym_DASH,
    ACTIONS(6730), 1,
      anon_sym_SLASH,
    ACTIONS(6732), 1,
      anon_sym_CARET,
    ACTIONS(6736), 1,
      sym_keyword_not,
    ACTIONS(6738), 1,
      sym_keyword_and,
    ACTIONS(6740), 1,
      sym_keyword_between,
    ACTIONS(6779), 1,
      sym_keyword_or,
    ACTIONS(6781), 1,
      sym_keyword_using,
    ACTIONS(6783), 1,
      anon_sym_COLON_COLON,
    STATE(7425), 1,
      sym_direction,
    STATE(11148), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6720), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6722), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6777), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    STATE(1086), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1080), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6718), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6494), 11,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_COMMA,
  [197607] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2040), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2042), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [197664] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2220), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2222), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [197721] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2240), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2242), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [197778] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3679), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3681), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [197835] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2244), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2246), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [197892] = 6,
    STATE(11148), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1086), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1080), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [197955] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2264), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2266), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [198012] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2284), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2286), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [198069] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2288), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2290), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [198126] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2316), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2318), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [198183] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2368), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2370), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [198240] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2372), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2374), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [198297] = 13,
    ACTIONS(6711), 1,
      sym_keyword_is,
    ACTIONS(6716), 1,
      anon_sym_LBRACK,
    ACTIONS(6726), 1,
      anon_sym_PLUS,
    ACTIONS(6728), 1,
      anon_sym_DASH,
    ACTIONS(6730), 1,
      anon_sym_SLASH,
    ACTIONS(6732), 1,
      anon_sym_CARET,
    STATE(11148), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6720), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2624), 3,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1086), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1080), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2622), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [198374] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [198431] = 8,
    ACTIONS(6711), 1,
      sym_keyword_is,
    ACTIONS(6716), 1,
      anon_sym_LBRACK,
    STATE(11148), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1086), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1080), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2624), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2622), 32,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [198498] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2882), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2884), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [198555] = 5,
    ACTIONS(6785), 1,
      aux_sym__single_quote_string_token2,
    STATE(2464), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1363), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [198616] = 19,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6709), 1,
      sym_keyword_in,
    ACTIONS(6711), 1,
      sym_keyword_is,
    ACTIONS(6716), 1,
      anon_sym_LBRACK,
    ACTIONS(6724), 1,
      sym_op_other,
    ACTIONS(6726), 1,
      anon_sym_PLUS,
    ACTIONS(6728), 1,
      anon_sym_DASH,
    ACTIONS(6730), 1,
      anon_sym_SLASH,
    ACTIONS(6732), 1,
      anon_sym_CARET,
    ACTIONS(6736), 1,
      sym_keyword_not,
    STATE(11148), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6720), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6722), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1086), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1080), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6718), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2475), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [198705] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2034), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2036), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [198762] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1829), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1831), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [198819] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2380), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2382), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [198876] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2376), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2378), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [198933] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2056), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2058), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [198990] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2066), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [199047] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2090), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2092), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [199104] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2102), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2104), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [199161] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2114), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2116), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [199218] = 6,
    ACTIONS(6787), 1,
      sym_keyword_unsigned,
    ACTIONS(6789), 1,
      sym_keyword_zerofill,
    ACTIONS(6791), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1829), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1831), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [199281] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1805), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [199338] = 6,
    ACTIONS(6665), 1,
      sym_keyword_unsigned,
    ACTIONS(6667), 1,
      sym_keyword_zerofill,
    ACTIONS(6671), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1805), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [199401] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3551), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3553), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [199458] = 6,
    ACTIONS(6793), 1,
      sym_keyword_unsigned,
    ACTIONS(6795), 1,
      sym_keyword_zerofill,
    ACTIONS(6797), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1849), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1851), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [199521] = 6,
    ACTIONS(6799), 1,
      sym_keyword_unsigned,
    ACTIONS(6801), 1,
      sym_keyword_zerofill,
    ACTIONS(6803), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1839), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1841), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [199584] = 6,
    ACTIONS(6805), 1,
      sym_keyword_unsigned,
    ACTIONS(6807), 1,
      sym_keyword_zerofill,
    ACTIONS(6809), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1879), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1881), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [199647] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [199704] = 6,
    ACTIONS(6811), 1,
      sym_keyword_unsigned,
    ACTIONS(6813), 1,
      sym_keyword_zerofill,
    ACTIONS(6815), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1815), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1817), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [199767] = 6,
    ACTIONS(6817), 1,
      sym_keyword_unsigned,
    ACTIONS(6819), 1,
      sym_keyword_zerofill,
    ACTIONS(6821), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1895), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1897), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [199830] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1905), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1907), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [199887] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1909), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1911), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [199944] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1913), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1915), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [200001] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1921), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1923), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [200058] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1827), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [200115] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1917), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1919), 31,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [200172] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2280), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2282), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [200229] = 29,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(5983), 1,
      sym_keyword_similar,
    ACTIONS(6222), 1,
      sym_keyword_as,
    ACTIONS(6224), 1,
      sym_keyword_in,
    ACTIONS(6226), 1,
      sym_keyword_and,
    ACTIONS(6228), 1,
      sym_keyword_or,
    ACTIONS(6230), 1,
      sym_keyword_is,
    ACTIONS(6232), 1,
      sym_keyword_not,
    ACTIONS(6234), 1,
      sym_keyword_between,
    ACTIONS(6236), 1,
      anon_sym_LBRACK,
    ACTIONS(6246), 1,
      sym_op_other,
    ACTIONS(6248), 1,
      anon_sym_PLUS,
    ACTIONS(6250), 1,
      anon_sym_DASH,
    ACTIONS(6252), 1,
      anon_sym_SLASH,
    ACTIONS(6254), 1,
      anon_sym_CARET,
    ACTIONS(6823), 1,
      anon_sym_COLON_COLON,
    STATE(6607), 1,
      sym_identifier,
    STATE(7534), 1,
      sym__alias,
    STATE(10738), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(5981), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6240), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6244), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5963), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(1505), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1649), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6238), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(5965), 6,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [200338] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2144), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2146), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [200395] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2212), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2214), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [200452] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2216), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2218), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [200509] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2296), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2298), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [200566] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2304), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2306), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [200623] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2308), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2310), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [200680] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [200737] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [200794] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [200851] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [200908] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3555), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3557), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [200965] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [201022] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [201079] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2410), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2408), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [201136] = 7,
    ACTIONS(6825), 1,
      sym_keyword_unsigned,
    ACTIONS(6827), 1,
      sym_keyword_zerofill,
    ACTIONS(6829), 1,
      sym_keyword_precision,
    ACTIONS(6831), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1805), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [201201] = 6,
    ACTIONS(6835), 1,
      anon_sym_LPAREN,
    STATE(3419), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6833), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1859), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1861), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [201264] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3607), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3609), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [201321] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3611), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3613), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [201378] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3493), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3495), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [201435] = 6,
    ACTIONS(6837), 1,
      anon_sym_LPAREN,
    STATE(3418), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6833), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1889), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1891), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [201498] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2414), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2412), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [201555] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2398), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2396), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [201612] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2402), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2400), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [201669] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2306), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2304), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [201726] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2228), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2230), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [201783] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2224), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2226), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [201840] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1969), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1971), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [201897] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2138), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2140), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [201954] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2150), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2152), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [202011] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2248), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2250), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [202068] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2252), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2254), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [202125] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2202), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2204), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [202182] = 4,
    STATE(2672), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3483), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3481), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [202241] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2208), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2210), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [202298] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2256), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2258), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [202355] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2260), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2262), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [202412] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2404), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [202469] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3557), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3555), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [202526] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3449), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3447), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [202583] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2310), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2308), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [202640] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3461), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3459), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [202697] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [202754] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3681), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3679), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [202811] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3673), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3671), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [202868] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3661), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3659), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [202925] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3621), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3619), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [202982] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3593), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3591), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [203039] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3547), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [203096] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3545), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3543), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [203153] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3589), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3587), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [203210] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3499), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3497), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [203267] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2298), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2296), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [203324] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3507), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3505), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [203381] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3511), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3509), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [203438] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3573), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3571), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [203495] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3577), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3575), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [203552] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3605), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3603), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [203609] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3601), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3599), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [203666] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3597), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [203723] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2384), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2386), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [203780] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3625), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3623), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [203837] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3683), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3685), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [203894] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2388), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2390), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [203951] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2364), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2366), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204008] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2360), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2362), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204065] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3617), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3615), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [204122] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3585), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3583), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [204179] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2356), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2358), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204236] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2352), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2354), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204293] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204350] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2348), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2350), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204407] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2344), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2346), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204464] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2340), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2342), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204521] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2336), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2338), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204578] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2332), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2334), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204635] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2328), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2330), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204692] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2324), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2326), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204749] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2320), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2322), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [204806] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2573), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [204863] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3561), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3559), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [204920] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3569), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3567), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [204977] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3503), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205034] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3565), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3563), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205091] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3553), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3551), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205148] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3613), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3611), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205205] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3495), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3493), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205262] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3685), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3683), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205319] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 41,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205376] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3609), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3607), 41,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205433] = 7,
    ACTIONS(6839), 1,
      sym_keyword_with,
    ACTIONS(6841), 1,
      sym_keyword_without,
    ACTIONS(6843), 1,
      anon_sym_LPAREN,
    STATE(3647), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205497] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3461), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3459), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205553] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6137), 1,
      sym_keyword_in,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6144), 1,
      anon_sym_LBRACK,
    ACTIONS(6148), 1,
      sym_op_other,
    ACTIONS(6150), 1,
      anon_sym_PLUS,
    ACTIONS(6152), 1,
      anon_sym_DASH,
    ACTIONS(6154), 1,
      anon_sym_SLASH,
    ACTIONS(6156), 1,
      anon_sym_CARET,
    ACTIONS(6272), 1,
      sym_keyword_not,
    ACTIONS(6274), 1,
      sym_keyword_between,
    ACTIONS(6284), 1,
      sym_keyword_and,
    ACTIONS(6405), 1,
      sym_keyword_or,
    ACTIONS(6409), 1,
      anon_sym_COLON_COLON,
    STATE(11383), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6146), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6278), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1824), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1825), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6276), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6845), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [205649] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205705] = 6,
    ACTIONS(6075), 1,
      sym_keyword_without,
    ACTIONS(6847), 1,
      sym_keyword_with,
    STATE(2411), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1979), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1977), 37,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205767] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3503), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205823] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3681), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3679), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205879] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3673), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3671), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205935] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3661), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3659), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [205991] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3621), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3619), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [206047] = 7,
    ACTIONS(6850), 1,
      sym_keyword_array,
    STATE(3108), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(3623), 1,
      sym__array_size_definition,
    STATE(3632), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2878), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2880), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [206111] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3593), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3591), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [206167] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [206225] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1386), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [206281] = 5,
    STATE(2930), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6755), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1977), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1979), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [206341] = 5,
    STATE(2921), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6755), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1961), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1963), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [206401] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3547), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [206457] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3545), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3543), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [206513] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3589), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3587), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [206569] = 4,
    ACTIONS(6852), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(121), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(123), 40,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [206627] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3499), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3497), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [206683] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3507), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3505), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [206739] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3511), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3509), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [206795] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3573), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3571), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [206851] = 7,
    ACTIONS(6850), 1,
      sym_keyword_array,
    STATE(3108), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(3610), 1,
      sym_array_size_definition,
    STATE(3623), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2811), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2813), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [206915] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3577), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3575), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [206971] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3605), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3603), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [207027] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2392), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [207083] = 6,
    ACTIONS(6075), 1,
      sym_keyword_without,
    ACTIONS(6854), 1,
      sym_keyword_with,
    STATE(2412), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1963), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1961), 37,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [207145] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3601), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3599), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [207201] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3597), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [207257] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3625), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3623), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [207313] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3617), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3615), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [207369] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3585), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3583), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [207425] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2573), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [207481] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3561), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3559), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [207537] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3569), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3567), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [207593] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [207649] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3565), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3563), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [207705] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6453), 1,
      sym_keyword_is,
    ACTIONS(6455), 1,
      anon_sym_LBRACK,
    ACTIONS(6459), 1,
      anon_sym_PLUS,
    ACTIONS(6461), 1,
      anon_sym_DASH,
    ACTIONS(6463), 1,
      anon_sym_SLASH,
    ACTIONS(6465), 1,
      anon_sym_CARET,
    ACTIONS(6480), 1,
      sym_keyword_in,
    ACTIONS(6482), 1,
      sym_keyword_not,
    ACTIONS(6484), 1,
      sym_keyword_between,
    ACTIONS(6490), 1,
      sym_op_other,
    ACTIONS(6492), 1,
      sym_keyword_and,
    ACTIONS(6498), 1,
      sym_keyword_or,
    ACTIONS(6500), 1,
      sym_keyword_using,
    ACTIONS(6857), 1,
      anon_sym_COLON_COLON,
    STATE(6991), 1,
      sym_direction,
    STATE(11497), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6457), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6488), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6496), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    STATE(1494), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1496), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6486), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6494), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [207807] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3609), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3607), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [207863] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3613), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3611), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [207919] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3495), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3493), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [207975] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2410), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2408), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [208031] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3685), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3683), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [208087] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2414), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2412), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [208143] = 5,
    STATE(3343), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6833), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1977), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1979), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [208203] = 5,
    STATE(3344), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6833), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1961), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1963), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [208263] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2398), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2396), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [208319] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2404), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [208375] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2402), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2400), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [208431] = 7,
    ACTIONS(123), 1,
      anon_sym_LPAREN,
    ACTIONS(2853), 1,
      anon_sym_DOT,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    STATE(3473), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2849), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2851), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [208495] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [208551] = 7,
    ACTIONS(6859), 1,
      sym_keyword_unsigned,
    ACTIONS(6861), 1,
      sym_keyword_zerofill,
    ACTIONS(6863), 1,
      sym_keyword_precision,
    ACTIONS(6865), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [208615] = 7,
    ACTIONS(6839), 1,
      sym_keyword_with,
    ACTIONS(6841), 1,
      sym_keyword_without,
    ACTIONS(6867), 1,
      anon_sym_LPAREN,
    STATE(3648), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1861), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1859), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [208679] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2400), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2402), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [208735] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2404), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2406), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [208791] = 6,
    ACTIONS(6869), 1,
      sym_keyword_unsigned,
    ACTIONS(6871), 1,
      sym_keyword_zerofill,
    ACTIONS(6873), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1829), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1831), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [208853] = 5,
    ACTIONS(6875), 1,
      sym_keyword_unsigned,
    ACTIONS(6877), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1969), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1971), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [208913] = 5,
    ACTIONS(6879), 1,
      sym_keyword_unsigned,
    ACTIONS(6881), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1945), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1947), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [208973] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6418), 1,
      sym_keyword_is,
    ACTIONS(6420), 1,
      anon_sym_LBRACK,
    ACTIONS(6424), 1,
      anon_sym_PLUS,
    ACTIONS(6426), 1,
      anon_sym_DASH,
    ACTIONS(6428), 1,
      anon_sym_SLASH,
    ACTIONS(6430), 1,
      anon_sym_CARET,
    ACTIONS(6432), 1,
      sym_keyword_in,
    ACTIONS(6434), 1,
      sym_keyword_not,
    ACTIONS(6436), 1,
      sym_keyword_between,
    ACTIONS(6442), 1,
      sym_op_other,
    ACTIONS(6444), 1,
      sym_keyword_and,
    ACTIONS(6656), 1,
      sym_keyword_or,
    ACTIONS(6660), 1,
      anon_sym_COLON_COLON,
    STATE(10950), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6440), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1140), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1138), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6438), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6707), 14,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
  [209069] = 6,
    ACTIONS(6825), 1,
      sym_keyword_unsigned,
    ACTIONS(6827), 1,
      sym_keyword_zerofill,
    ACTIONS(6831), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1805), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [209131] = 6,
    ACTIONS(6883), 1,
      sym_keyword_unsigned,
    ACTIONS(6885), 1,
      sym_keyword_zerofill,
    ACTIONS(6887), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1849), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1851), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [209193] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2408), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2410), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [209249] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2412), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2414), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [209305] = 6,
    ACTIONS(6889), 1,
      sym_keyword_unsigned,
    ACTIONS(6891), 1,
      sym_keyword_zerofill,
    ACTIONS(6893), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1839), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1841), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [209367] = 6,
    ACTIONS(6895), 1,
      sym_keyword_unsigned,
    ACTIONS(6897), 1,
      sym_keyword_zerofill,
    ACTIONS(6899), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1879), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1881), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [209429] = 5,
    ACTIONS(6901), 1,
      sym_keyword_unsigned,
    ACTIONS(6903), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1953), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1955), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [209489] = 6,
    ACTIONS(6905), 1,
      sym_keyword_unsigned,
    ACTIONS(6907), 1,
      sym_keyword_zerofill,
    ACTIONS(6909), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1869), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1871), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [209551] = 6,
    ACTIONS(6911), 1,
      sym_keyword_unsigned,
    ACTIONS(6913), 1,
      sym_keyword_zerofill,
    ACTIONS(6915), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1815), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1817), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [209613] = 6,
    ACTIONS(6917), 1,
      sym_keyword_unsigned,
    ACTIONS(6919), 1,
      sym_keyword_zerofill,
    ACTIONS(6921), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1895), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1897), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [209675] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1905), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1907), 29,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [209731] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1909), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1911), 29,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [209787] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [209843] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [209899] = 5,
    ACTIONS(6923), 1,
      sym_keyword_unsigned,
    ACTIONS(6925), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2013), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2015), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [209959] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [210015] = 5,
    ACTIONS(6927), 1,
      sym_keyword_unsigned,
    ACTIONS(6929), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2005), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2007), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [210075] = 6,
    ACTIONS(6933), 1,
      sym_keyword_as,
    ACTIONS(6935), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3453), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3451), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6931), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [210137] = 5,
    ACTIONS(6937), 1,
      sym_keyword_unsigned,
    ACTIONS(6939), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1997), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1999), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [210197] = 7,
    ACTIONS(6941), 1,
      sym_keyword_unsigned,
    ACTIONS(6943), 1,
      sym_keyword_zerofill,
    ACTIONS(6945), 1,
      sym_keyword_precision,
    ACTIONS(6947), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [210261] = 5,
    ACTIONS(6949), 1,
      sym_keyword_unsigned,
    ACTIONS(6951), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1989), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1991), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [210321] = 5,
    ACTIONS(6953), 1,
      sym_keyword_unsigned,
    ACTIONS(6955), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1925), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1927), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [210381] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2396), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2398), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [210437] = 5,
    ACTIONS(6957), 1,
      sym_keyword_precision,
    ACTIONS(6959), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1829), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1831), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [210497] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [210553] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [210609] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1913), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1915), 29,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [210665] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [210721] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3553), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3551), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [210777] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3557), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3555), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [210833] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1921), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1923), 29,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [210889] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3449), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3447), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [210945] = 27,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6418), 1,
      sym_keyword_is,
    ACTIONS(6420), 1,
      anon_sym_LBRACK,
    ACTIONS(6424), 1,
      anon_sym_PLUS,
    ACTIONS(6426), 1,
      anon_sym_DASH,
    ACTIONS(6428), 1,
      anon_sym_SLASH,
    ACTIONS(6430), 1,
      anon_sym_CARET,
    ACTIONS(6432), 1,
      sym_keyword_in,
    ACTIONS(6434), 1,
      sym_keyword_not,
    ACTIONS(6436), 1,
      sym_keyword_between,
    ACTIONS(6442), 1,
      sym_op_other,
    ACTIONS(6444), 1,
      sym_keyword_and,
    ACTIONS(6656), 1,
      sym_keyword_or,
    ACTIONS(6961), 1,
      sym_keyword_having,
    ACTIONS(6963), 1,
      anon_sym_COMMA,
    ACTIONS(6965), 1,
      anon_sym_COLON_COLON,
    STATE(7324), 1,
      aux_sym_array_repeat1,
    STATE(7462), 1,
      sym__having,
    STATE(10950), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6440), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1140), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1138), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6438), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6401), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [211049] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1827), 29,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [211105] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1917), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1919), 29,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [211161] = 5,
    ACTIONS(6967), 1,
      sym_keyword_varying,
    ACTIONS(6969), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1981), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1983), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [211221] = 4,
    ACTIONS(6971), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1939), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1941), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [211279] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 40,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [211335] = 16,
    ACTIONS(6973), 1,
      sym_keyword_in,
    ACTIONS(6975), 1,
      sym_keyword_is,
    ACTIONS(6977), 1,
      sym_keyword_not,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(6984), 1,
      sym_op_other,
    ACTIONS(6986), 1,
      anon_sym_PLUS,
    ACTIONS(6988), 1,
      anon_sym_DASH,
    ACTIONS(6990), 1,
      anon_sym_SLASH,
    ACTIONS(6992), 1,
      anon_sym_CARET,
    STATE(11279), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6982), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2573), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1374), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [211416] = 4,
    ACTIONS(6994), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2056), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2058), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [211473] = 5,
    ACTIONS(6996), 1,
      sym_keyword_filter,
    STATE(3328), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2716), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2718), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [211532] = 7,
    ACTIONS(123), 1,
      anon_sym_LPAREN,
    ACTIONS(2853), 1,
      anon_sym_DOT,
    ACTIONS(4351), 1,
      aux_sym__single_quote_string_token1,
    STATE(4201), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2851), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2849), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [211595] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3447), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3449), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [211650] = 4,
    ACTIONS(6998), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1939), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1941), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [211707] = 7,
    ACTIONS(7000), 1,
      sym_keyword_array,
    STATE(3349), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4233), 1,
      sym_array_size_definition,
    STATE(4234), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2813), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2811), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [211770] = 5,
    ACTIONS(7002), 1,
      sym_keyword_varying,
    ACTIONS(7004), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1981), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1983), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [211829] = 4,
    ACTIONS(7006), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2070), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2072), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [211886] = 4,
    ACTIONS(7008), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2108), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2110), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [211943] = 20,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2614), 1,
      sym_keyword_or,
    ACTIONS(6973), 1,
      sym_keyword_in,
    ACTIONS(6975), 1,
      sym_keyword_is,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(6984), 1,
      sym_op_other,
    ACTIONS(6986), 1,
      anon_sym_PLUS,
    ACTIONS(6988), 1,
      anon_sym_DASH,
    ACTIONS(6990), 1,
      anon_sym_SLASH,
    ACTIONS(6992), 1,
      anon_sym_CARET,
    ACTIONS(7010), 1,
      sym_keyword_not,
    STATE(11279), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6982), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7014), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1374), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7012), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2612), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [212032] = 7,
    ACTIONS(7016), 1,
      sym_keyword_array,
    STATE(2682), 1,
      sym_array_size_definition,
    STATE(2683), 1,
      sym__array_size_definition,
    STATE(3408), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2811), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2813), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [212095] = 6,
    ACTIONS(7018), 1,
      sym_keyword_unsigned,
    ACTIONS(7020), 1,
      sym_keyword_zerofill,
    ACTIONS(7022), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [212156] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6709), 1,
      sym_keyword_in,
    ACTIONS(6711), 1,
      sym_keyword_is,
    ACTIONS(6716), 1,
      anon_sym_LBRACK,
    ACTIONS(6724), 1,
      sym_op_other,
    ACTIONS(6726), 1,
      anon_sym_PLUS,
    ACTIONS(6728), 1,
      anon_sym_DASH,
    ACTIONS(6730), 1,
      anon_sym_SLASH,
    ACTIONS(6732), 1,
      anon_sym_CARET,
    ACTIONS(6736), 1,
      sym_keyword_not,
    ACTIONS(6738), 1,
      sym_keyword_and,
    ACTIONS(6740), 1,
      sym_keyword_between,
    ACTIONS(6779), 1,
      sym_keyword_or,
    ACTIONS(6781), 1,
      sym_keyword_using,
    ACTIONS(7024), 1,
      anon_sym_COLON_COLON,
    STATE(7425), 1,
      sym_direction,
    STATE(11148), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6720), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6722), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6777), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    STATE(1086), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1080), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6718), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6494), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_COMMA,
  [212257] = 20,
    ACTIONS(2477), 1,
      sym_keyword_or,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6973), 1,
      sym_keyword_in,
    ACTIONS(6975), 1,
      sym_keyword_is,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(6984), 1,
      sym_op_other,
    ACTIONS(6986), 1,
      anon_sym_PLUS,
    ACTIONS(6988), 1,
      anon_sym_DASH,
    ACTIONS(6990), 1,
      anon_sym_SLASH,
    ACTIONS(6992), 1,
      anon_sym_CARET,
    ACTIONS(7010), 1,
      sym_keyword_not,
    STATE(11279), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6982), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7014), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1374), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7012), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2475), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [212346] = 4,
    ACTIONS(7026), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2028), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2030), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [212403] = 4,
    ACTIONS(7028), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2170), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2172), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [212460] = 6,
    ACTIONS(6941), 1,
      sym_keyword_unsigned,
    ACTIONS(6943), 1,
      sym_keyword_zerofill,
    ACTIONS(6947), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [212521] = 18,
    ACTIONS(2573), 1,
      sym_keyword_or,
    ACTIONS(6973), 1,
      sym_keyword_in,
    ACTIONS(6975), 1,
      sym_keyword_is,
    ACTIONS(6977), 1,
      sym_keyword_not,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(6984), 1,
      sym_op_other,
    ACTIONS(6986), 1,
      anon_sym_PLUS,
    ACTIONS(6988), 1,
      anon_sym_DASH,
    ACTIONS(6990), 1,
      anon_sym_SLASH,
    ACTIONS(6992), 1,
      anon_sym_CARET,
    STATE(11279), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6982), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7014), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1374), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7012), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [212606] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1939), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1941), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [212661] = 4,
    ACTIONS(7030), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2196), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2198), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [212718] = 4,
    ACTIONS(7032), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2096), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2098), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [212775] = 3,
    ACTIONS(7036), 1,
      sym_keyword_force,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7034), 45,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_from,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_freeze,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_force_quote,
      sym_keyword_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
      sym_keyword_header,
      sym_keyword_format,
      sym_keyword_delimiter,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [212830] = 4,
    ACTIONS(7038), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2076), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2078), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [212887] = 6,
    ACTIONS(7040), 1,
      sym_keyword_unsigned,
    ACTIONS(7042), 1,
      sym_keyword_zerofill,
    ACTIONS(7044), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1851), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1849), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [212948] = 7,
    ACTIONS(7046), 1,
      sym_keyword_with,
    ACTIONS(7048), 1,
      sym_keyword_without,
    ACTIONS(7050), 1,
      anon_sym_LPAREN,
    STATE(3733), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1861), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1859), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [213011] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1386), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1384), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [213066] = 5,
    ACTIONS(6996), 1,
      sym_keyword_filter,
    STATE(3361), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2736), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2738), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [213125] = 9,
    ACTIONS(6975), 1,
      sym_keyword_is,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(6992), 1,
      anon_sym_CARET,
    STATE(11279), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1374), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 5,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2571), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [213192] = 5,
    ACTIONS(6996), 1,
      sym_keyword_filter,
    STATE(3430), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2696), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2698), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [213251] = 4,
    ACTIONS(7052), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2132), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2134), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [213308] = 4,
    ACTIONS(7054), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2126), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2128), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [213365] = 7,
    ACTIONS(7000), 1,
      sym_keyword_array,
    STATE(3349), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4234), 1,
      sym__array_size_definition,
    STATE(4244), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2880), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2878), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [213428] = 6,
    STATE(11279), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1374), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [213489] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2048), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [213544] = 4,
    ACTIONS(7056), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2034), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2036), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [213601] = 6,
    ACTIONS(7058), 1,
      sym_keyword_unsigned,
    ACTIONS(7060), 1,
      sym_keyword_zerofill,
    ACTIONS(7062), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1841), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1839), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [213662] = 4,
    ACTIONS(7064), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2056), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2058), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [213719] = 4,
    ACTIONS(7066), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2066), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [213776] = 4,
    ACTIONS(7068), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2090), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2092), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [213833] = 4,
    ACTIONS(7070), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2102), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2104), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [213890] = 4,
    ACTIONS(7072), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2114), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2116), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [213947] = 4,
    ACTIONS(6959), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1829), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1831), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [214004] = 4,
    ACTIONS(7074), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2162), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2164), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [214061] = 4,
    ACTIONS(7076), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2034), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2036), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [214118] = 4,
    ACTIONS(6789), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1829), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1831), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [214175] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2573), 1,
      sym_keyword_or,
    ACTIONS(6973), 1,
      sym_keyword_in,
    ACTIONS(6975), 1,
      sym_keyword_is,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(6984), 1,
      sym_op_other,
    ACTIONS(6986), 1,
      anon_sym_PLUS,
    ACTIONS(6988), 1,
      anon_sym_DASH,
    ACTIONS(6990), 1,
      anon_sym_SLASH,
    ACTIONS(6992), 1,
      anon_sym_CARET,
    ACTIONS(7010), 1,
      sym_keyword_not,
    ACTIONS(7078), 1,
      sym_keyword_and,
    ACTIONS(7080), 1,
      sym_keyword_between,
    STATE(11279), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6982), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7014), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1374), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7012), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [214268] = 4,
    ACTIONS(7082), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2084), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2086), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [214325] = 4,
    ACTIONS(7084), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2066), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [214382] = 4,
    ACTIONS(7086), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2090), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2092), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [214439] = 4,
    ACTIONS(7088), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2102), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2104), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [214496] = 4,
    ACTIONS(7090), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2114), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2116), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [214553] = 4,
    ACTIONS(7092), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2138), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2140), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [214610] = 6,
    ACTIONS(7094), 1,
      anon_sym_LBRACK,
    STATE(2779), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(3348), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2021), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2023), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [214671] = 6,
    ACTIONS(7097), 1,
      sym_keyword_unsigned,
    ACTIONS(7099), 1,
      sym_keyword_zerofill,
    ACTIONS(7101), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1881), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1879), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [214732] = 4,
    ACTIONS(7103), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2138), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2140), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [214789] = 6,
    ACTIONS(7105), 1,
      sym_keyword_unsigned,
    ACTIONS(7107), 1,
      sym_keyword_zerofill,
    ACTIONS(7109), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1871), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1869), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [214850] = 21,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2573), 1,
      sym_keyword_or,
    ACTIONS(6973), 1,
      sym_keyword_in,
    ACTIONS(6975), 1,
      sym_keyword_is,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(6984), 1,
      sym_op_other,
    ACTIONS(6986), 1,
      anon_sym_PLUS,
    ACTIONS(6988), 1,
      anon_sym_DASH,
    ACTIONS(6990), 1,
      anon_sym_SLASH,
    ACTIONS(6992), 1,
      anon_sym_CARET,
    ACTIONS(7010), 1,
      sym_keyword_not,
    ACTIONS(7080), 1,
      sym_keyword_between,
    STATE(11279), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6982), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7014), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1374), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7012), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [214941] = 6,
    ACTIONS(7111), 1,
      sym_keyword_unsigned,
    ACTIONS(7113), 1,
      sym_keyword_zerofill,
    ACTIONS(7115), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1817), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1815), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [215002] = 5,
    ACTIONS(6933), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3453), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3451), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6931), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [215061] = 6,
    ACTIONS(7117), 1,
      sym_keyword_unsigned,
    ACTIONS(7119), 1,
      sym_keyword_zerofill,
    ACTIONS(7121), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1897), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1895), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [215122] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1905), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [215177] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1911), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1909), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [215232] = 4,
    ACTIONS(7123), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2186), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2188), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [215289] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3459), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3461), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [215344] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [215399] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1919), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1917), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [215454] = 6,
    ACTIONS(6933), 1,
      sym_keyword_as,
    ACTIONS(6935), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3453), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(6931), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
    ACTIONS(3451), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [215515] = 8,
    ACTIONS(6975), 1,
      sym_keyword_is,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    STATE(11279), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1374), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2624), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2622), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [215580] = 13,
    ACTIONS(6975), 1,
      sym_keyword_is,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(6986), 1,
      anon_sym_PLUS,
    ACTIONS(6988), 1,
      anon_sym_DASH,
    ACTIONS(6990), 1,
      anon_sym_SLASH,
    ACTIONS(6992), 1,
      anon_sym_CARET,
    STATE(11279), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6982), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2624), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1374), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2622), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [215655] = 4,
    ACTIONS(7125), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2040), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2042), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [215712] = 4,
    ACTIONS(7127), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2156), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2158), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [215769] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6137), 1,
      sym_keyword_in,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6144), 1,
      anon_sym_LBRACK,
    ACTIONS(6148), 1,
      sym_op_other,
    ACTIONS(6150), 1,
      anon_sym_PLUS,
    ACTIONS(6152), 1,
      anon_sym_DASH,
    ACTIONS(6154), 1,
      anon_sym_SLASH,
    ACTIONS(6156), 1,
      anon_sym_CARET,
    ACTIONS(6272), 1,
      sym_keyword_not,
    ACTIONS(6274), 1,
      sym_keyword_between,
    ACTIONS(6284), 1,
      sym_keyword_and,
    ACTIONS(6405), 1,
      sym_keyword_or,
    ACTIONS(6773), 1,
      anon_sym_COLON_COLON,
    STATE(11383), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6146), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6278), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1824), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1825), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6276), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6707), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [215864] = 4,
    ACTIONS(7129), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2180), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2182), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [215921] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1923), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1921), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [215976] = 7,
    ACTIONS(123), 1,
      anon_sym_LPAREN,
    ACTIONS(2853), 1,
      anon_sym_DOT,
    ACTIONS(4047), 1,
      aux_sym__single_quote_string_token1,
    STATE(4133), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2851), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2849), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [216039] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2192), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2194), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [216094] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1915), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1913), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [216149] = 5,
    ACTIONS(6996), 1,
      sym_keyword_filter,
    STATE(3411), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2680), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2682), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [216208] = 4,
    ACTIONS(7131), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2150), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2152), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [216265] = 5,
    ACTIONS(7133), 1,
      sym_keyword_precision,
    ACTIONS(7135), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1829), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1831), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [216324] = 5,
    ACTIONS(6996), 1,
      sym_keyword_filter,
    STATE(3400), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2712), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2714), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [216383] = 5,
    ACTIONS(6996), 1,
      sym_keyword_filter,
    STATE(3398), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2700), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2702), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [216442] = 4,
    ACTIONS(7137), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2202), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2204), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [216499] = 4,
    ACTIONS(7139), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2144), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2146), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [216556] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3459), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3461), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [216611] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3447), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3449), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [216666] = 5,
    ACTIONS(6996), 1,
      sym_keyword_filter,
    STATE(3396), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2692), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2694), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [216725] = 6,
    ACTIONS(7141), 1,
      sym_keyword_unsigned,
    ACTIONS(7143), 1,
      sym_keyword_zerofill,
    ACTIONS(7145), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1897), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1895), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [216786] = 5,
    ACTIONS(6996), 1,
      sym_keyword_filter,
    STATE(3364), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2724), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2726), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [216845] = 6,
    ACTIONS(6839), 1,
      sym_keyword_with,
    ACTIONS(6841), 1,
      sym_keyword_without,
    STATE(3596), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1963), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1961), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [216906] = 6,
    ACTIONS(6839), 1,
      sym_keyword_with,
    ACTIONS(6841), 1,
      sym_keyword_without,
    STATE(3595), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1979), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1977), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [216967] = 7,
    ACTIONS(7016), 1,
      sym_keyword_array,
    STATE(2683), 1,
      sym__array_size_definition,
    STATE(2710), 1,
      sym_array_size_definition,
    STATE(3408), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2878), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2880), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [217030] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6973), 1,
      sym_keyword_in,
    ACTIONS(6975), 1,
      sym_keyword_is,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(6984), 1,
      sym_op_other,
    ACTIONS(6986), 1,
      anon_sym_PLUS,
    ACTIONS(6988), 1,
      anon_sym_DASH,
    ACTIONS(6990), 1,
      anon_sym_SLASH,
    ACTIONS(6992), 1,
      anon_sym_CARET,
    ACTIONS(7010), 1,
      sym_keyword_not,
    ACTIONS(7078), 1,
      sym_keyword_and,
    ACTIONS(7080), 1,
      sym_keyword_between,
    ACTIONS(7147), 1,
      sym_keyword_or,
    ACTIONS(7149), 1,
      anon_sym_COLON_COLON,
    STATE(11279), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6982), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7014), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1374), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7012), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6707), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [217125] = 5,
    ACTIONS(6996), 1,
      sym_keyword_filter,
    STATE(3363), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2740), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2742), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [217184] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1380), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1382), 30,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [217239] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1380), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1382), 27,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_cascade,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [217296] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2052), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2054), 39,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_partition,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_cache,
      sym_keyword_array,
      sym__identifier,
  [217351] = 11,
    ACTIONS(6975), 1,
      sym_keyword_is,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(6990), 1,
      anon_sym_SLASH,
    ACTIONS(6992), 1,
      anon_sym_CARET,
    STATE(11279), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6982), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2573), 4,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1374), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [217422] = 3,
    ACTIONS(7153), 1,
      sym_keyword_force,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7151), 45,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_from,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_freeze,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_force_quote,
      sym_keyword_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
      sym_keyword_header,
      sym_keyword_format,
      sym_keyword_delimiter,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [217477] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1380), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1382), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [217534] = 13,
    ACTIONS(6975), 1,
      sym_keyword_is,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(6986), 1,
      anon_sym_PLUS,
    ACTIONS(6988), 1,
      anon_sym_DASH,
    ACTIONS(6990), 1,
      anon_sym_SLASH,
    ACTIONS(6992), 1,
      anon_sym_CARET,
    STATE(11279), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6982), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2573), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1374), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [217609] = 5,
    ACTIONS(6996), 1,
      sym_keyword_filter,
    STATE(3360), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2734), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [217668] = 5,
    ACTIONS(6996), 1,
      sym_keyword_filter,
    STATE(3359), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2720), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2722), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [217727] = 7,
    ACTIONS(7155), 1,
      sym_keyword_unsigned,
    ACTIONS(7157), 1,
      sym_keyword_zerofill,
    ACTIONS(7159), 1,
      sym_keyword_precision,
    ACTIONS(7161), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [217790] = 5,
    ACTIONS(7163), 1,
      sym_keyword_unsigned,
    ACTIONS(7165), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1925), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1927), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [217849] = 5,
    ACTIONS(7167), 1,
      sym_keyword_unsigned,
    ACTIONS(7169), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1989), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1991), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [217908] = 5,
    ACTIONS(7171), 1,
      sym_keyword_unsigned,
    ACTIONS(7173), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1997), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1999), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [217967] = 5,
    ACTIONS(7175), 1,
      sym_keyword_unsigned,
    ACTIONS(7177), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2005), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2007), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [218026] = 5,
    ACTIONS(7179), 1,
      sym_keyword_unsigned,
    ACTIONS(7181), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2013), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2015), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [218085] = 5,
    ACTIONS(6996), 1,
      sym_keyword_filter,
    STATE(3333), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2704), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2706), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [218144] = 5,
    ACTIONS(6996), 1,
      sym_keyword_filter,
    STATE(3329), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2708), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2710), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [218203] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1919), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1917), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [218258] = 5,
    ACTIONS(6996), 1,
      sym_keyword_filter,
    STATE(3327), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2684), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2686), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [218317] = 7,
    ACTIONS(123), 1,
      anon_sym_LPAREN,
    ACTIONS(2853), 1,
      anon_sym_DOT,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(3325), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2849), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2851), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [218380] = 5,
    ACTIONS(6996), 1,
      sym_keyword_filter,
    STATE(3324), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2688), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2690), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [218439] = 5,
    ACTIONS(6996), 1,
      sym_keyword_filter,
    STATE(3305), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2746), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [218498] = 7,
    ACTIONS(7183), 1,
      sym_keyword_with,
    ACTIONS(7185), 1,
      sym_keyword_without,
    ACTIONS(7187), 1,
      anon_sym_LPAREN,
    STATE(4227), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1861), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1859), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [218561] = 7,
    ACTIONS(7183), 1,
      sym_keyword_with,
    ACTIONS(7185), 1,
      sym_keyword_without,
    ACTIONS(7189), 1,
      anon_sym_LPAREN,
    STATE(4228), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [218624] = 5,
    ACTIONS(6996), 1,
      sym_keyword_filter,
    STATE(3304), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2670), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2672), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [218683] = 5,
    ACTIONS(6996), 1,
      sym_keyword_filter,
    STATE(3119), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2728), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2730), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [218742] = 4,
    ACTIONS(6935), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3453), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3451), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [218799] = 5,
    ACTIONS(7191), 1,
      sym_keyword_unsigned,
    ACTIONS(7193), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1953), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1955), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [218858] = 5,
    ACTIONS(7195), 1,
      sym_keyword_unsigned,
    ACTIONS(7197), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1945), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1947), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [218917] = 7,
    ACTIONS(7199), 1,
      sym_keyword_unsigned,
    ACTIONS(7201), 1,
      sym_keyword_zerofill,
    ACTIONS(7203), 1,
      sym_keyword_precision,
    ACTIONS(7205), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [218980] = 5,
    ACTIONS(6996), 1,
      sym_keyword_filter,
    STATE(3256), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2676), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2678), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [219039] = 5,
    ACTIONS(7207), 1,
      sym_keyword_unsigned,
    ACTIONS(7209), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1969), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1971), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [219098] = 5,
    ACTIONS(7211), 1,
      aux_sym__single_quote_string_token2,
    STATE(2870), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3277), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3279), 27,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [219157] = 6,
    ACTIONS(7213), 1,
      sym_keyword_unsigned,
    ACTIONS(7215), 1,
      sym_keyword_zerofill,
    ACTIONS(7217), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [219218] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [219273] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1923), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1921), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [219328] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1915), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1913), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [219383] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1911), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1909), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [219438] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6418), 1,
      sym_keyword_is,
    ACTIONS(6420), 1,
      anon_sym_LBRACK,
    ACTIONS(6424), 1,
      anon_sym_PLUS,
    ACTIONS(6426), 1,
      anon_sym_DASH,
    ACTIONS(6428), 1,
      anon_sym_SLASH,
    ACTIONS(6430), 1,
      anon_sym_CARET,
    ACTIONS(6432), 1,
      sym_keyword_in,
    ACTIONS(6434), 1,
      sym_keyword_not,
    ACTIONS(6436), 1,
      sym_keyword_between,
    ACTIONS(6442), 1,
      sym_op_other,
    ACTIONS(6444), 1,
      sym_keyword_and,
    ACTIONS(6656), 1,
      sym_keyword_or,
    ACTIONS(6660), 1,
      anon_sym_COLON_COLON,
    STATE(10950), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6440), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1140), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1138), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6438), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6845), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [219533] = 7,
    ACTIONS(7219), 1,
      sym_keyword_array,
    STATE(3162), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4075), 1,
      sym_array_size_definition,
    STATE(4094), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2880), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2878), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [219596] = 7,
    ACTIONS(7219), 1,
      sym_keyword_array,
    STATE(3162), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4094), 1,
      sym__array_size_definition,
    STATE(4095), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2813), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2811), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [219659] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1905), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [219714] = 6,
    ACTIONS(6859), 1,
      sym_keyword_unsigned,
    ACTIONS(6861), 1,
      sym_keyword_zerofill,
    ACTIONS(6865), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [219775] = 6,
    ACTIONS(7221), 1,
      sym_keyword_unsigned,
    ACTIONS(7223), 1,
      sym_keyword_zerofill,
    ACTIONS(7225), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1851), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1849), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [219836] = 6,
    ACTIONS(7227), 1,
      sym_keyword_unsigned,
    ACTIONS(7229), 1,
      sym_keyword_zerofill,
    ACTIONS(7231), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1841), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1839), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [219897] = 6,
    ACTIONS(7233), 1,
      sym_keyword_unsigned,
    ACTIONS(7235), 1,
      sym_keyword_zerofill,
    ACTIONS(7237), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1881), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1879), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [219958] = 6,
    ACTIONS(7239), 1,
      sym_keyword_unsigned,
    ACTIONS(7241), 1,
      sym_keyword_zerofill,
    ACTIONS(7243), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1871), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1869), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [220019] = 6,
    ACTIONS(7245), 1,
      sym_keyword_unsigned,
    ACTIONS(7247), 1,
      sym_keyword_zerofill,
    ACTIONS(7249), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1817), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1815), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [220080] = 7,
    ACTIONS(7046), 1,
      sym_keyword_with,
    ACTIONS(7048), 1,
      sym_keyword_without,
    ACTIONS(7251), 1,
      anon_sym_LPAREN,
    STATE(3734), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [220143] = 5,
    ACTIONS(1682), 1,
      aux_sym__single_quote_string_token2,
    STATE(120), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3304), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3306), 27,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [220202] = 7,
    ACTIONS(7253), 1,
      sym_keyword_unsigned,
    ACTIONS(7255), 1,
      sym_keyword_zerofill,
    ACTIONS(7257), 1,
      sym_keyword_precision,
    ACTIONS(7259), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [220265] = 5,
    ACTIONS(3507), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3503), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3505), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [220324] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6137), 1,
      sym_keyword_in,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6144), 1,
      anon_sym_LBRACK,
    ACTIONS(6148), 1,
      sym_op_other,
    ACTIONS(6150), 1,
      anon_sym_PLUS,
    ACTIONS(6152), 1,
      anon_sym_DASH,
    ACTIONS(6154), 1,
      anon_sym_SLASH,
    ACTIONS(6156), 1,
      anon_sym_CARET,
    ACTIONS(6272), 1,
      sym_keyword_not,
    ACTIONS(6274), 1,
      sym_keyword_between,
    ACTIONS(6284), 1,
      sym_keyword_and,
    ACTIONS(6405), 1,
      sym_keyword_or,
    ACTIONS(6409), 1,
      anon_sym_COLON_COLON,
    STATE(11383), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6146), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6278), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1824), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1825), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6276), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(7261), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [220419] = 8,
    ACTIONS(6975), 1,
      sym_keyword_is,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    STATE(11279), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1374), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [220484] = 5,
    STATE(181), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(289), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3302), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3300), 38,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [220543] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1386), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1384), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [220597] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3727), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2682), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2680), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [220655] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2356), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2358), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [220709] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2360), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2362), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [220763] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2364), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2366), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [220817] = 7,
    ACTIONS(7265), 1,
      sym_keyword_array,
    STATE(3461), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4531), 1,
      sym__array_size_definition,
    STATE(4532), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2813), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2811), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [220879] = 7,
    ACTIONS(7265), 1,
      sym_keyword_array,
    STATE(3461), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4530), 1,
      sym_array_size_definition,
    STATE(4531), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2880), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2878), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [220941] = 7,
    ACTIONS(7267), 1,
      sym_keyword_with,
    ACTIONS(7269), 1,
      sym_keyword_without,
    ACTIONS(7271), 1,
      anon_sym_LPAREN,
    STATE(4254), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [221003] = 7,
    ACTIONS(7267), 1,
      sym_keyword_with,
    ACTIONS(7269), 1,
      sym_keyword_without,
    ACTIONS(7273), 1,
      anon_sym_LPAREN,
    STATE(4273), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1861), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1859), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [221065] = 7,
    ACTIONS(123), 1,
      anon_sym_LPAREN,
    ACTIONS(2853), 1,
      anon_sym_DOT,
    ACTIONS(4103), 1,
      aux_sym__single_quote_string_token1,
    STATE(4541), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2851), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2849), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [221127] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1386), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1384), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [221181] = 5,
    ACTIONS(7275), 1,
      sym_keyword_filter,
    STATE(3527), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2688), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2690), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [221239] = 5,
    ACTIONS(7275), 1,
      sym_keyword_filter,
    STATE(3528), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2684), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2686), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [221297] = 5,
    ACTIONS(7275), 1,
      sym_keyword_filter,
    STATE(3531), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2716), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2718), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [221355] = 5,
    ACTIONS(7275), 1,
      sym_keyword_filter,
    STATE(3532), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2708), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2710), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [221413] = 5,
    ACTIONS(7277), 1,
      aux_sym__single_quote_string_token2,
    STATE(2894), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1363), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [221471] = 5,
    ACTIONS(7279), 1,
      aux_sym__single_quote_string_token2,
    STATE(2896), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3277), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3279), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [221529] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2388), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2390), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [221583] = 5,
    ACTIONS(7281), 1,
      aux_sym__single_quote_string_token2,
    STATE(2898), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1376), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [221641] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2384), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2386), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [221695] = 5,
    ACTIONS(7281), 1,
      aux_sym__single_quote_string_token2,
    STATE(2898), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3304), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3306), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [221753] = 5,
    ACTIONS(7275), 1,
      sym_keyword_filter,
    STATE(3562), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2704), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2706), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [221811] = 5,
    ACTIONS(7283), 1,
      aux_sym__single_quote_string_token2,
    STATE(2898), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1369), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [221869] = 5,
    ACTIONS(6933), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3453), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(6931), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
    ACTIONS(3451), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [221927] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6137), 1,
      sym_keyword_in,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6144), 1,
      anon_sym_LBRACK,
    ACTIONS(6148), 1,
      sym_op_other,
    ACTIONS(6150), 1,
      anon_sym_PLUS,
    ACTIONS(6152), 1,
      anon_sym_DASH,
    ACTIONS(6154), 1,
      anon_sym_SLASH,
    ACTIONS(6156), 1,
      anon_sym_CARET,
    ACTIONS(6272), 1,
      sym_keyword_not,
    ACTIONS(6274), 1,
      sym_keyword_between,
    ACTIONS(6284), 1,
      sym_keyword_and,
    ACTIONS(6405), 1,
      sym_keyword_or,
    ACTIONS(6773), 1,
      anon_sym_COLON_COLON,
    STATE(11383), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6146), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6278), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1824), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1825), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6276), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6845), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [222021] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6418), 1,
      sym_keyword_is,
    ACTIONS(6420), 1,
      anon_sym_LBRACK,
    ACTIONS(6424), 1,
      anon_sym_PLUS,
    ACTIONS(6426), 1,
      anon_sym_DASH,
    ACTIONS(6428), 1,
      anon_sym_SLASH,
    ACTIONS(6430), 1,
      anon_sym_CARET,
    ACTIONS(6432), 1,
      sym_keyword_in,
    ACTIONS(6434), 1,
      sym_keyword_not,
    ACTIONS(6436), 1,
      sym_keyword_between,
    ACTIONS(6442), 1,
      sym_op_other,
    ACTIONS(6444), 1,
      sym_keyword_and,
    ACTIONS(6656), 1,
      sym_keyword_or,
    ACTIONS(6660), 1,
      anon_sym_COLON_COLON,
    STATE(10950), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6440), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1140), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1138), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6438), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(7261), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [222115] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6418), 1,
      sym_keyword_is,
    ACTIONS(6420), 1,
      anon_sym_LBRACK,
    ACTIONS(6424), 1,
      anon_sym_PLUS,
    ACTIONS(6426), 1,
      anon_sym_DASH,
    ACTIONS(6428), 1,
      anon_sym_SLASH,
    ACTIONS(6430), 1,
      anon_sym_CARET,
    ACTIONS(6432), 1,
      sym_keyword_in,
    ACTIONS(6434), 1,
      sym_keyword_not,
    ACTIONS(6436), 1,
      sym_keyword_between,
    ACTIONS(6442), 1,
      sym_op_other,
    ACTIONS(6444), 1,
      sym_keyword_and,
    ACTIONS(6656), 1,
      sym_keyword_or,
    ACTIONS(6965), 1,
      anon_sym_COLON_COLON,
    STATE(10950), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6440), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1140), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1138), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6438), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6707), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_COMMA,
  [222209] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2372), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2374), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [222263] = 4,
    ACTIONS(7286), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2070), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2072), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [222319] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2368), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2370), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [222373] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2316), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2318), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [222427] = 4,
    ACTIONS(7288), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2108), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2110), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [222483] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2288), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2290), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [222537] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2284), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2286), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [222591] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2264), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2266), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [222645] = 4,
    ACTIONS(7290), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2028), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2030), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [222701] = 4,
    ACTIONS(7292), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2170), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2172), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [222757] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1939), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1941), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [222811] = 4,
    ACTIONS(7294), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2196), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2198), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [222867] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2192), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2194), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [222921] = 4,
    ACTIONS(7296), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2186), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2188), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [222977] = 4,
    ACTIONS(7298), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2180), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2182), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [223033] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2244), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2246), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [223087] = 4,
    ACTIONS(7300), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2132), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2134), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [223143] = 4,
    ACTIONS(7302), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2126), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2128), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [223199] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2240), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2242), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [223253] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2048), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [223307] = 4,
    ACTIONS(7304), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2034), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2036), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [223363] = 4,
    ACTIONS(7306), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2056), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2058), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [223419] = 4,
    ACTIONS(7308), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2066), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [223475] = 4,
    ACTIONS(7310), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2090), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2092), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [223531] = 4,
    ACTIONS(7312), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2102), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2104), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [223587] = 4,
    ACTIONS(7314), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2114), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2116), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [223643] = 4,
    ACTIONS(7135), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1829), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1831), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [223699] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2220), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2222), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [223753] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2040), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2042), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [223807] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2156), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2158), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [223861] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2076), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2078), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [223915] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2084), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2086), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [223969] = 4,
    ACTIONS(7316), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2162), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2164), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [224025] = 4,
    ACTIONS(7318), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2034), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2036), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [224081] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2096), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2098), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [224135] = 4,
    ACTIONS(6871), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1829), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1831), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [224191] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2312), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2314), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [224245] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2300), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2302), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [224299] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2276), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2278), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [224353] = 4,
    ACTIONS(7320), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2056), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2058), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [224409] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2272), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2274), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [224463] = 4,
    ACTIONS(7322), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2066), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [224519] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2268), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2270), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [224573] = 4,
    ACTIONS(7324), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2090), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2092), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [224629] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2236), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2238), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [224683] = 4,
    ACTIONS(7326), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2102), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2104), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [224739] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2232), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2234), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [224793] = 4,
    ACTIONS(7328), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2114), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2116), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [224849] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2228), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2230), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [224903] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1969), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1971), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [224957] = 4,
    ACTIONS(7330), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2138), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2140), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [225013] = 6,
    ACTIONS(7332), 1,
      anon_sym_LBRACK,
    STATE(2954), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(3623), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2021), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2023), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [225073] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2150), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2152), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [225127] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2202), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2204), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [225181] = 4,
    ACTIONS(7335), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2138), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2140), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [225237] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2216), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2218), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [225291] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2212), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2214), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [225345] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2144), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2146), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [225399] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2280), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2282), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [225453] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2292), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2294), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [225507] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [225563] = 7,
    ACTIONS(123), 1,
      anon_sym_LPAREN,
    ACTIONS(2853), 1,
      anon_sym_DOT,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    STATE(4321), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2849), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2851), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [225625] = 7,
    ACTIONS(7337), 1,
      sym_keyword_array,
    STATE(3347), 1,
      sym_array_size_definition,
    STATE(3348), 1,
      sym__array_size_definition,
    STATE(3478), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2811), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2813), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [225687] = 5,
    ACTIONS(7275), 1,
      sym_keyword_filter,
    STATE(3730), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2680), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2682), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [225745] = 7,
    ACTIONS(7337), 1,
      sym_keyword_array,
    STATE(3348), 1,
      sym__array_size_definition,
    STATE(3365), 1,
      sym_array_size_definition,
    STATE(3478), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2878), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2880), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [225807] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2348), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2350), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [225861] = 6,
    ACTIONS(7339), 1,
      sym_keyword_unsigned,
    ACTIONS(7341), 1,
      sym_keyword_zerofill,
    ACTIONS(7343), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [225921] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2344), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2346), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [225975] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2340), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2342), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226029] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2336), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2338), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226083] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2332), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2334), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226137] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2328), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2330), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226191] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2324), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2326), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226245] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2320), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2322), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226299] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2260), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2262), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226353] = 4,
    STATE(291), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3483), 6,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_COLON,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3481), 38,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_then,
      sym_keyword_else,
      sym_keyword_end,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      sym_keyword_preceding,
      sym_keyword_following,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [226409] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2256), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2258), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226463] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2208), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2210), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226517] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2252), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2254), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226571] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2248), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2250), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226625] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2138), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2140), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226679] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2224), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2226), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226733] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2114), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2116), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226787] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2102), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2104), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226841] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2090), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2092), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [226895] = 6,
    ACTIONS(7253), 1,
      sym_keyword_unsigned,
    ACTIONS(7255), 1,
      sym_keyword_zerofill,
    ACTIONS(7259), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [226955] = 6,
    ACTIONS(7345), 1,
      sym_keyword_unsigned,
    ACTIONS(7347), 1,
      sym_keyword_zerofill,
    ACTIONS(7349), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1851), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1849), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [227015] = 6,
    ACTIONS(7351), 1,
      sym_keyword_unsigned,
    ACTIONS(7353), 1,
      sym_keyword_zerofill,
    ACTIONS(7355), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1841), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1839), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [227075] = 6,
    ACTIONS(7357), 1,
      sym_keyword_unsigned,
    ACTIONS(7359), 1,
      sym_keyword_zerofill,
    ACTIONS(7361), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1881), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1879), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [227135] = 6,
    ACTIONS(7363), 1,
      sym_keyword_unsigned,
    ACTIONS(7365), 1,
      sym_keyword_zerofill,
    ACTIONS(7367), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1871), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1869), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [227195] = 6,
    ACTIONS(7369), 1,
      sym_keyword_unsigned,
    ACTIONS(7371), 1,
      sym_keyword_zerofill,
    ACTIONS(7373), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1817), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1815), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [227255] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2066), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [227309] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2056), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2058), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [227363] = 5,
    ACTIONS(7275), 1,
      sym_keyword_filter,
    STATE(3831), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2728), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2730), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [227421] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2376), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2378), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [227475] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2380), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2382), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [227529] = 7,
    ACTIONS(123), 1,
      anon_sym_LPAREN,
    ACTIONS(2853), 1,
      anon_sym_DOT,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    STATE(4680), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2851), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2849), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [227591] = 6,
    ACTIONS(7375), 1,
      sym_keyword_unsigned,
    ACTIONS(7377), 1,
      sym_keyword_zerofill,
    ACTIONS(7379), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1897), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1895), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [227651] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1905), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [227705] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1829), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1831), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [227759] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2034), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2036), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [227813] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1911), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1909), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [227867] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1915), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1913), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [227921] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1923), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1921), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [227975] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [228029] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1919), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1917), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [228083] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1919), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1917), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [228137] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [228191] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1923), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1921), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [228245] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1915), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1913), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [228299] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1911), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1909), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [228353] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1805), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [228407] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1905), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [228461] = 6,
    ACTIONS(7381), 1,
      sym_keyword_unsigned,
    ACTIONS(7383), 1,
      sym_keyword_zerofill,
    ACTIONS(7385), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1897), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1895), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [228521] = 4,
    ACTIONS(7387), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2040), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2042), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [228577] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2296), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2298), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [228631] = 4,
    ACTIONS(7389), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2156), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2158), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [228687] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2304), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2306), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [228741] = 4,
    ACTIONS(7391), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2076), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2078), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [228797] = 5,
    ACTIONS(7275), 1,
      sym_keyword_filter,
    STATE(3839), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2670), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2672), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [228855] = 4,
    ACTIONS(7393), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2084), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2086), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [228911] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2308), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2310), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [228965] = 4,
    ACTIONS(7395), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2096), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2098), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [229021] = 5,
    ACTIONS(7275), 1,
      sym_keyword_filter,
    STATE(3840), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2746), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [229079] = 6,
    ACTIONS(7397), 1,
      sym_keyword_unsigned,
    ACTIONS(7399), 1,
      sym_keyword_zerofill,
    ACTIONS(7401), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1817), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1815), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [229139] = 6,
    ACTIONS(7403), 1,
      sym_keyword_unsigned,
    ACTIONS(7405), 1,
      sym_keyword_zerofill,
    ACTIONS(7407), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1871), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1869), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [229199] = 6,
    ACTIONS(7409), 1,
      sym_keyword_unsigned,
    ACTIONS(7411), 1,
      sym_keyword_zerofill,
    ACTIONS(7413), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1881), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1879), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [229259] = 6,
    ACTIONS(7415), 1,
      sym_keyword_unsigned,
    ACTIONS(7417), 1,
      sym_keyword_zerofill,
    ACTIONS(7419), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1841), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1839), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [229319] = 6,
    ACTIONS(7421), 1,
      sym_keyword_unsigned,
    ACTIONS(7423), 1,
      sym_keyword_zerofill,
    ACTIONS(7425), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1851), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1849), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [229379] = 6,
    ACTIONS(7155), 1,
      sym_keyword_unsigned,
    ACTIONS(7157), 1,
      sym_keyword_zerofill,
    ACTIONS(7161), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [229439] = 5,
    ACTIONS(7427), 1,
      sym_keyword_unsigned,
    ACTIONS(7429), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1971), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1969), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [229497] = 5,
    ACTIONS(7431), 1,
      sym_keyword_unsigned,
    ACTIONS(7433), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1947), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1945), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [229555] = 5,
    ACTIONS(7435), 1,
      sym_keyword_unsigned,
    ACTIONS(7437), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1955), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1953), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [229613] = 5,
    ACTIONS(7439), 1,
      sym_keyword_unsigned,
    ACTIONS(7441), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2015), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2013), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [229671] = 5,
    ACTIONS(7275), 1,
      sym_keyword_filter,
    STATE(3459), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2696), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2698), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [229729] = 5,
    ACTIONS(7443), 1,
      sym_keyword_unsigned,
    ACTIONS(7445), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2007), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2005), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [229787] = 5,
    ACTIONS(7447), 1,
      sym_keyword_unsigned,
    ACTIONS(7449), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1999), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1997), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [229845] = 5,
    ACTIONS(7451), 1,
      sym_keyword_unsigned,
    ACTIONS(7453), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1991), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1989), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [229903] = 6,
    ACTIONS(7455), 1,
      sym_keyword_unsigned,
    ACTIONS(7457), 1,
      sym_keyword_zerofill,
    ACTIONS(7459), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [229963] = 5,
    ACTIONS(7461), 1,
      sym_keyword_unsigned,
    ACTIONS(7463), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1927), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1925), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [230021] = 5,
    ACTIONS(7465), 1,
      sym_keyword_precision,
    ACTIONS(7467), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [230079] = 5,
    ACTIONS(7469), 1,
      sym_keyword_varying,
    ACTIONS(7471), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1983), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1981), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [230137] = 4,
    ACTIONS(7473), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [230193] = 5,
    ACTIONS(7275), 1,
      sym_keyword_filter,
    STATE(3725), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2712), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2714), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [230251] = 4,
    ACTIONS(7475), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2150), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2152), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [230307] = 7,
    ACTIONS(7477), 1,
      sym_keyword_array,
    STATE(3724), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4467), 1,
      sym__array_size_definition,
    STATE(4468), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2880), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2878), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [230369] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3694), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [230427] = 4,
    ACTIONS(7479), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2202), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2204), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [230483] = 5,
    ACTIONS(7275), 1,
      sym_keyword_filter,
    STATE(3708), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2700), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2702), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [230541] = 5,
    ACTIONS(7275), 1,
      sym_keyword_filter,
    STATE(3705), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2692), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2694), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [230599] = 7,
    ACTIONS(7481), 1,
      sym_keyword_with,
    ACTIONS(7483), 1,
      sym_keyword_without,
    ACTIONS(7485), 1,
      anon_sym_LPAREN,
    STATE(3900), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [230661] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3763), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2728), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [230719] = 7,
    ACTIONS(7481), 1,
      sym_keyword_with,
    ACTIONS(7483), 1,
      sym_keyword_without,
    ACTIONS(7487), 1,
      anon_sym_LPAREN,
    STATE(3901), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1861), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1859), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [230781] = 4,
    ACTIONS(7489), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2144), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2146), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [230837] = 7,
    ACTIONS(7477), 1,
      sym_keyword_array,
    STATE(3724), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4466), 1,
      sym_array_size_definition,
    STATE(4467), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2813), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2811), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [230899] = 6,
    ACTIONS(7183), 1,
      sym_keyword_with,
    ACTIONS(7185), 1,
      sym_keyword_without,
    STATE(4292), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1979), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1977), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [230959] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3696), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2672), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2670), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [231017] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3697), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [231075] = 6,
    ACTIONS(7183), 1,
      sym_keyword_with,
    ACTIONS(7185), 1,
      sym_keyword_without,
    STATE(4291), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1963), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1961), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [231135] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1386), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1384), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [231189] = 27,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6973), 1,
      sym_keyword_in,
    ACTIONS(6975), 1,
      sym_keyword_is,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(6984), 1,
      sym_op_other,
    ACTIONS(6986), 1,
      anon_sym_PLUS,
    ACTIONS(6988), 1,
      anon_sym_DASH,
    ACTIONS(6990), 1,
      anon_sym_SLASH,
    ACTIONS(6992), 1,
      anon_sym_CARET,
    ACTIONS(7010), 1,
      sym_keyword_not,
    ACTIONS(7078), 1,
      sym_keyword_and,
    ACTIONS(7080), 1,
      sym_keyword_between,
    ACTIONS(7147), 1,
      sym_keyword_or,
    ACTIONS(7149), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7491), 1,
      sym_keyword_having,
    ACTIONS(7493), 1,
      anon_sym_COMMA,
    STATE(7283), 1,
      sym__having,
    STATE(7599), 1,
      aux_sym_array_repeat1,
    STATE(11279), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6982), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7014), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1374), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7012), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6401), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [231291] = 6,
    ACTIONS(7495), 1,
      sym_keyword_unsigned,
    ACTIONS(7497), 1,
      sym_keyword_zerofill,
    ACTIONS(7499), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [231351] = 6,
    ACTIONS(7199), 1,
      sym_keyword_unsigned,
    ACTIONS(7201), 1,
      sym_keyword_zerofill,
    ACTIONS(7205), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [231411] = 5,
    ACTIONS(7275), 1,
      sym_keyword_filter,
    STATE(3454), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2720), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2722), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [231469] = 5,
    ACTIONS(7275), 1,
      sym_keyword_filter,
    STATE(3517), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2734), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [231527] = 4,
    ACTIONS(7501), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [231583] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3700), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2690), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2688), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [231641] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3701), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [231699] = 5,
    ACTIONS(7503), 1,
      sym_keyword_varying,
    ACTIONS(7505), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1983), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1981), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [231757] = 6,
    ACTIONS(7507), 1,
      sym_keyword_unsigned,
    ACTIONS(7509), 1,
      sym_keyword_zerofill,
    ACTIONS(7511), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1851), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1849), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [231817] = 6,
    ACTIONS(7513), 1,
      sym_keyword_unsigned,
    ACTIONS(7515), 1,
      sym_keyword_zerofill,
    ACTIONS(7517), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1841), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1839), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [231877] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3702), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2718), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2716), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [231935] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3703), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2710), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2708), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [231993] = 5,
    ACTIONS(7275), 1,
      sym_keyword_filter,
    STATE(3452), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2736), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2738), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [232051] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3704), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2706), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2704), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [232109] = 5,
    ACTIONS(7275), 1,
      sym_keyword_filter,
    STATE(3456), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2740), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2742), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [232167] = 6,
    ACTIONS(7519), 1,
      sym_keyword_unsigned,
    ACTIONS(7521), 1,
      sym_keyword_zerofill,
    ACTIONS(7523), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1881), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1879), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [232227] = 6,
    ACTIONS(7525), 1,
      sym_keyword_unsigned,
    ACTIONS(7527), 1,
      sym_keyword_zerofill,
    ACTIONS(7529), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1871), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1869), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [232287] = 5,
    ACTIONS(7275), 1,
      sym_keyword_filter,
    STATE(3466), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2724), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2726), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [232345] = 5,
    ACTIONS(7275), 1,
      sym_keyword_filter,
    STATE(3687), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2676), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2678), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [232403] = 6,
    ACTIONS(7531), 1,
      sym_keyword_unsigned,
    ACTIONS(7533), 1,
      sym_keyword_zerofill,
    ACTIONS(7535), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1817), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1815), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [232463] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3706), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2720), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [232521] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3707), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [232579] = 6,
    ACTIONS(7537), 1,
      sym_keyword_unsigned,
    ACTIONS(7539), 1,
      sym_keyword_zerofill,
    ACTIONS(7541), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1897), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1895), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [232639] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3709), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2738), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2736), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [232697] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3711), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2742), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2740), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [232755] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3712), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2724), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [232813] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1905), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [232867] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1911), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1909), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [232921] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1915), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1913), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [232975] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1923), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1921), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [233029] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3721), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2694), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2692), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [233087] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3722), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2702), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2700), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [233145] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [233199] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3723), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2714), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2712), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [233257] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1919), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1917), 39,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [233311] = 5,
    ACTIONS(7543), 1,
      sym_keyword_precision,
    ACTIONS(7545), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [233369] = 5,
    ACTIONS(3507), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3503), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3505), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
    ACTIONS(3501), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [233427] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2352), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2354), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [233481] = 7,
    ACTIONS(123), 1,
      anon_sym_LPAREN,
    ACTIONS(2853), 1,
      anon_sym_DOT,
    ACTIONS(3865), 1,
      aux_sym__single_quote_string_token1,
    STATE(4462), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2851), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2849), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [233543] = 5,
    ACTIONS(7547), 1,
      sym_keyword_unsigned,
    ACTIONS(7549), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1971), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1969), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [233601] = 5,
    ACTIONS(7551), 1,
      sym_keyword_unsigned,
    ACTIONS(7553), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1947), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1945), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [233659] = 5,
    ACTIONS(7555), 1,
      sym_keyword_unsigned,
    ACTIONS(7557), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1955), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1953), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [233717] = 5,
    ACTIONS(7263), 1,
      sym_keyword_filter,
    STATE(3741), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2698), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2696), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [233775] = 7,
    ACTIONS(7559), 1,
      sym_keyword_array,
    STATE(3729), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4682), 1,
      sym_array_size_definition,
    STATE(4683), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2813), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2811), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [233837] = 5,
    STATE(2954), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(3623), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3300), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3302), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [233895] = 5,
    ACTIONS(7561), 1,
      sym_keyword_unsigned,
    ACTIONS(7563), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2015), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2013), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [233953] = 7,
    ACTIONS(7565), 1,
      sym_keyword_unsigned,
    ACTIONS(7567), 1,
      sym_keyword_zerofill,
    ACTIONS(7569), 1,
      sym_keyword_precision,
    ACTIONS(7571), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234015] = 5,
    ACTIONS(7573), 1,
      sym_keyword_unsigned,
    ACTIONS(7575), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1991), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1989), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234073] = 7,
    ACTIONS(7559), 1,
      sym_keyword_array,
    STATE(3729), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4683), 1,
      sym__array_size_definition,
    STATE(4684), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2880), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2878), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234135] = 5,
    ACTIONS(7577), 1,
      sym_keyword_unsigned,
    ACTIONS(7579), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1999), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1997), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234193] = 6,
    ACTIONS(7046), 1,
      sym_keyword_with,
    ACTIONS(7048), 1,
      sym_keyword_without,
    STATE(3778), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1963), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1961), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234253] = 5,
    ACTIONS(7581), 1,
      sym_keyword_unsigned,
    ACTIONS(7583), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2007), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2005), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234311] = 6,
    ACTIONS(7046), 1,
      sym_keyword_with,
    ACTIONS(7048), 1,
      sym_keyword_without,
    STATE(3447), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1979), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1977), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234371] = 5,
    ACTIONS(7585), 1,
      sym_keyword_unsigned,
    ACTIONS(7587), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1927), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1925), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234429] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(3991), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2682), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2680), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234486] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2755), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2757), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [234539] = 4,
    ACTIONS(7591), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234594] = 4,
    ACTIONS(7593), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234649] = 4,
    ACTIONS(7595), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234704] = 4,
    ACTIONS(7597), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234759] = 4,
    ACTIONS(7599), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234814] = 4,
    ACTIONS(7601), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234869] = 6,
    ACTIONS(7603), 1,
      anon_sym_LBRACK,
    STATE(3126), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4094), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234928] = 4,
    ACTIONS(7606), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [234983] = 6,
    ACTIONS(7565), 1,
      sym_keyword_unsigned,
    ACTIONS(7567), 1,
      sym_keyword_zerofill,
    ACTIONS(7571), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235042] = 6,
    ACTIONS(7608), 1,
      sym_keyword_unsigned,
    ACTIONS(7610), 1,
      sym_keyword_zerofill,
    ACTIONS(7612), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1851), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1849), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235101] = 6,
    ACTIONS(7614), 1,
      sym_keyword_unsigned,
    ACTIONS(7616), 1,
      sym_keyword_zerofill,
    ACTIONS(7618), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1841), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1839), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235160] = 6,
    ACTIONS(7620), 1,
      sym_keyword_unsigned,
    ACTIONS(7622), 1,
      sym_keyword_zerofill,
    ACTIONS(7624), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1881), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1879), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235219] = 6,
    ACTIONS(7626), 1,
      sym_keyword_unsigned,
    ACTIONS(7628), 1,
      sym_keyword_zerofill,
    ACTIONS(7630), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1871), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1869), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235278] = 6,
    ACTIONS(7632), 1,
      sym_keyword_unsigned,
    ACTIONS(7634), 1,
      sym_keyword_zerofill,
    ACTIONS(7636), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1817), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1815), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235337] = 4,
    ACTIONS(7638), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2134), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2132), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235392] = 6,
    ACTIONS(7640), 1,
      sym_keyword_unsigned,
    ACTIONS(7642), 1,
      sym_keyword_zerofill,
    ACTIONS(7644), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1897), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1895), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235451] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1905), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235504] = 4,
    ACTIONS(7646), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235559] = 4,
    ACTIONS(7648), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2042), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2040), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235614] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1911), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1909), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235667] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1915), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1913), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235720] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1923), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1921), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235773] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235826] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1919), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1917), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235879] = 4,
    ACTIONS(7650), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235934] = 4,
    ACTIONS(7652), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2078), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2076), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [235989] = 4,
    ACTIONS(7654), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2086), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2084), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236044] = 4,
    ACTIONS(7656), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236099] = 29,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      sym_keyword_as,
    ACTIONS(5983), 1,
      sym_keyword_similar,
    ACTIONS(7658), 1,
      sym_keyword_in,
    ACTIONS(7660), 1,
      sym_keyword_and,
    ACTIONS(7662), 1,
      sym_keyword_or,
    ACTIONS(7664), 1,
      sym_keyword_is,
    ACTIONS(7666), 1,
      sym_keyword_not,
    ACTIONS(7668), 1,
      sym_keyword_between,
    ACTIONS(7674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7678), 1,
      sym_op_other,
    ACTIONS(7680), 1,
      anon_sym_PLUS,
    ACTIONS(7682), 1,
      anon_sym_DASH,
    ACTIONS(7684), 1,
      anon_sym_SLASH,
    ACTIONS(7686), 1,
      anon_sym_CARET,
    STATE(6466), 1,
      sym_identifier,
    STATE(7096), 1,
      sym__alias,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(5965), 2,
      sym_keyword_from,
      sym_keyword_create,
    ACTIONS(5981), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7672), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7676), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5963), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(1785), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1782), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7670), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236204] = 4,
    ACTIONS(7688), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2096), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236259] = 4,
    STATE(3633), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3481), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3483), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [236314] = 4,
    ACTIONS(7545), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236369] = 4,
    ACTIONS(7690), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236424] = 4,
    ACTIONS(7692), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236479] = 7,
    ACTIONS(123), 1,
      anon_sym_LPAREN,
    ACTIONS(2853), 1,
      anon_sym_DOT,
    ACTIONS(3911), 1,
      aux_sym__single_quote_string_token1,
    STATE(4764), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2851), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2849), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236540] = 4,
    ACTIONS(7694), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236595] = 4,
    ACTIONS(7696), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236650] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236705] = 4,
    ACTIONS(7698), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2146), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2144), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236760] = 6,
    ACTIONS(7700), 1,
      sym_keyword_unsigned,
    ACTIONS(7702), 1,
      sym_keyword_zerofill,
    ACTIONS(7704), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236819] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(3996), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2698), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2696), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236876] = 4,
    ACTIONS(7706), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236931] = 5,
    STATE(3126), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4094), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3302), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3300), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [236988] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(3988), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2714), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2712), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237045] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(3984), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2702), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2700), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237102] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(3981), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2694), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2692), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237159] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(3979), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2724), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237216] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(3976), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2742), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2740), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237273] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(3974), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2738), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2736), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237330] = 4,
    ACTIONS(7708), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237385] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(3971), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237442] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(3970), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2720), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237499] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(3969), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2706), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2704), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237556] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(3966), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2710), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2708), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237613] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(3965), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2718), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2716), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237670] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(3964), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237727] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(3963), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2690), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2688), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237784] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(3961), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237841] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(3960), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2672), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2670), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237898] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(3958), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2728), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [237955] = 5,
    ACTIONS(7710), 1,
      sym_keyword_unsigned,
    ACTIONS(7712), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1971), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1969), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238012] = 5,
    ACTIONS(7589), 1,
      sym_keyword_filter,
    STATE(3957), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238069] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1386), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [238122] = 5,
    ACTIONS(7714), 1,
      sym_keyword_filter,
    STATE(3919), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2696), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2698), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [238179] = 4,
    ACTIONS(7716), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238234] = 5,
    ACTIONS(7718), 1,
      sym_keyword_varying,
    ACTIONS(7720), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1983), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1981), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238291] = 5,
    ACTIONS(7722), 1,
      sym_keyword_filter,
    STATE(3972), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238348] = 4,
    ACTIONS(7724), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238403] = 4,
    ACTIONS(7726), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238458] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2048), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2046), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238511] = 4,
    ACTIONS(7728), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2128), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2126), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238566] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2312), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2314), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [238619] = 4,
    ACTIONS(7730), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2182), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2180), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238674] = 4,
    ACTIONS(7732), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2188), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2186), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238729] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2194), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2192), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238782] = 4,
    ACTIONS(7734), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238837] = 5,
    ACTIONS(7736), 1,
      sym_keyword_unsigned,
    ACTIONS(7738), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1947), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1945), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238894] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [238947] = 4,
    ACTIONS(7740), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2172), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2170), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239002] = 5,
    ACTIONS(7742), 1,
      sym_keyword_unsigned,
    ACTIONS(7744), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1955), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1953), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239059] = 4,
    ACTIONS(7746), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2030), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2028), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239114] = 4,
    ACTIONS(7748), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2110), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2108), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239169] = 4,
    ACTIONS(7750), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2072), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2070), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239224] = 5,
    ACTIONS(7722), 1,
      sym_keyword_filter,
    STATE(3952), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2728), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239281] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2052), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2054), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [239334] = 5,
    ACTIONS(7714), 1,
      sym_keyword_filter,
    STATE(3894), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2680), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2682), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [239391] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1386), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1384), 38,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [239444] = 5,
    ACTIONS(7752), 1,
      sym_keyword_precision,
    ACTIONS(7754), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239501] = 5,
    ACTIONS(7722), 1,
      sym_keyword_filter,
    STATE(3951), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2672), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2670), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239558] = 5,
    ACTIONS(7722), 1,
      sym_keyword_filter,
    STATE(3945), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239615] = 7,
    ACTIONS(7756), 1,
      sym_keyword_with,
    ACTIONS(7758), 1,
      sym_keyword_without,
    ACTIONS(7760), 1,
      anon_sym_LPAREN,
    STATE(4642), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1861), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1859), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239676] = 7,
    ACTIONS(7756), 1,
      sym_keyword_with,
    ACTIONS(7758), 1,
      sym_keyword_without,
    ACTIONS(7762), 1,
      anon_sym_LPAREN,
    STATE(4640), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239737] = 5,
    ACTIONS(6042), 1,
      aux_sym__single_quote_string_token2,
    STATE(1872), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3306), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3304), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [239794] = 5,
    ACTIONS(7714), 1,
      sym_keyword_filter,
    STATE(3885), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2712), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2714), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [239851] = 5,
    ACTIONS(7714), 1,
      sym_keyword_filter,
    STATE(3882), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2700), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2702), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [239908] = 5,
    ACTIONS(7714), 1,
      sym_keyword_filter,
    STATE(3880), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2692), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2694), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [239965] = 5,
    ACTIONS(7714), 1,
      sym_keyword_filter,
    STATE(3932), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2724), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2726), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [240022] = 5,
    ACTIONS(7714), 1,
      sym_keyword_filter,
    STATE(3935), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2740), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2742), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [240079] = 5,
    ACTIONS(7714), 1,
      sym_keyword_filter,
    STATE(3937), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2736), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2738), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [240136] = 5,
    ACTIONS(7714), 1,
      sym_keyword_filter,
    STATE(3949), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2734), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [240193] = 5,
    ACTIONS(7714), 1,
      sym_keyword_filter,
    STATE(3950), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2720), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2722), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [240250] = 5,
    ACTIONS(7764), 1,
      sym_keyword_unsigned,
    ACTIONS(7766), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1927), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1925), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [240307] = 5,
    ACTIONS(7768), 1,
      sym_keyword_unsigned,
    ACTIONS(7770), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1991), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1989), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [240364] = 5,
    ACTIONS(7772), 1,
      sym_keyword_unsigned,
    ACTIONS(7774), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1999), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1997), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [240421] = 5,
    ACTIONS(7776), 1,
      sym_keyword_unsigned,
    ACTIONS(7778), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2007), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2005), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [240478] = 5,
    ACTIONS(7780), 1,
      sym_keyword_unsigned,
    ACTIONS(7782), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2015), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2013), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [240535] = 4,
    ACTIONS(7784), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(123), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(121), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [240590] = 5,
    ACTIONS(7714), 1,
      sym_keyword_filter,
    STATE(4005), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2704), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2706), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [240647] = 5,
    ACTIONS(7714), 1,
      sym_keyword_filter,
    STATE(4009), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2708), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2710), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [240704] = 5,
    ACTIONS(7714), 1,
      sym_keyword_filter,
    STATE(4011), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2716), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2718), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [240761] = 5,
    ACTIONS(7714), 1,
      sym_keyword_filter,
    STATE(4012), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2684), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2686), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [240818] = 5,
    ACTIONS(7714), 1,
      sym_keyword_filter,
    STATE(4013), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2688), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2690), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [240875] = 5,
    ACTIONS(7722), 1,
      sym_keyword_filter,
    STATE(3923), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2690), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2688), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [240932] = 5,
    ACTIONS(7722), 1,
      sym_keyword_filter,
    STATE(3920), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [240989] = 29,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(5983), 1,
      sym_keyword_similar,
    ACTIONS(6222), 1,
      sym_keyword_as,
    ACTIONS(7786), 1,
      sym_keyword_in,
    ACTIONS(7788), 1,
      sym_keyword_and,
    ACTIONS(7790), 1,
      sym_keyword_or,
    ACTIONS(7792), 1,
      sym_keyword_is,
    ACTIONS(7794), 1,
      sym_keyword_not,
    ACTIONS(7796), 1,
      sym_keyword_between,
    ACTIONS(7798), 1,
      anon_sym_LBRACK,
    ACTIONS(7804), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7808), 1,
      sym_op_other,
    ACTIONS(7810), 1,
      anon_sym_PLUS,
    ACTIONS(7812), 1,
      anon_sym_DASH,
    ACTIONS(7814), 1,
      anon_sym_SLASH,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    STATE(6607), 1,
      sym_identifier,
    STATE(7534), 1,
      sym__alias,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(5965), 2,
      sym_keyword_from,
      sym_keyword_create,
    ACTIONS(5981), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7802), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7806), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5963), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(1736), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1737), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7800), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [241094] = 5,
    ACTIONS(7818), 1,
      aux_sym__single_quote_string_token2,
    STATE(3212), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3279), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3277), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [241151] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2292), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2294), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [241204] = 5,
    ACTIONS(7722), 1,
      sym_keyword_filter,
    STATE(3918), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2718), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2716), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [241261] = 5,
    ACTIONS(7722), 1,
      sym_keyword_filter,
    STATE(3915), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2710), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2708), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [241318] = 5,
    ACTIONS(7714), 1,
      sym_keyword_filter,
    STATE(4025), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2746), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [241375] = 5,
    ACTIONS(7722), 1,
      sym_keyword_filter,
    STATE(3913), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2706), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2704), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [241432] = 5,
    ACTIONS(7714), 1,
      sym_keyword_filter,
    STATE(4026), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2670), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2672), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [241489] = 5,
    ACTIONS(7714), 1,
      sym_keyword_filter,
    STATE(4028), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2728), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2730), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [241546] = 5,
    ACTIONS(7820), 1,
      sym_keyword_unsigned,
    ACTIONS(7822), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1955), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1953), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [241603] = 5,
    ACTIONS(7824), 1,
      sym_keyword_unsigned,
    ACTIONS(7826), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2015), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2013), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [241660] = 5,
    ACTIONS(7828), 1,
      sym_keyword_unsigned,
    ACTIONS(7830), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2007), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2005), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [241717] = 5,
    ACTIONS(7832), 1,
      sym_keyword_unsigned,
    ACTIONS(7834), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1999), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1997), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [241774] = 5,
    ACTIONS(7836), 1,
      sym_keyword_unsigned,
    ACTIONS(7838), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1947), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1945), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [241831] = 5,
    ACTIONS(7840), 1,
      sym_keyword_unsigned,
    ACTIONS(7842), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1991), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1989), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [241888] = 5,
    ACTIONS(7844), 1,
      sym_keyword_unsigned,
    ACTIONS(7846), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1927), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1925), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [241945] = 5,
    ACTIONS(7714), 1,
      sym_keyword_filter,
    STATE(4036), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2676), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2678), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [242002] = 5,
    ACTIONS(7848), 1,
      sym_keyword_unsigned,
    ACTIONS(7850), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1971), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1969), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [242059] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2280), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2282), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [242112] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2144), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2146), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [242165] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2212), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2214), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [242218] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2216), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2218), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [242271] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2799), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2801), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [242324] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2202), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2204), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [242377] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2150), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2152), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [242430] = 6,
    ACTIONS(7481), 1,
      sym_keyword_with,
    ACTIONS(7483), 1,
      sym_keyword_without,
    STATE(3989), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1963), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1961), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [242489] = 6,
    ACTIONS(7481), 1,
      sym_keyword_with,
    ACTIONS(7483), 1,
      sym_keyword_without,
    STATE(3990), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1979), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1977), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [242548] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1382), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [242603] = 5,
    ACTIONS(7852), 1,
      aux_sym__single_quote_string_token2,
    STATE(3399), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3279), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3277), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [242660] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1969), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1971), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [242713] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2228), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2230), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [242766] = 4,
    ACTIONS(7854), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2072), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2070), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [242821] = 4,
    ACTIONS(7856), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2110), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2108), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [242876] = 4,
    ACTIONS(7858), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2030), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2028), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [242931] = 4,
    ACTIONS(7860), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2172), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2170), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [242986] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243039] = 4,
    ACTIONS(7862), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243094] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2194), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2192), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243147] = 5,
    ACTIONS(7722), 1,
      sym_keyword_filter,
    STATE(3934), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2720), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243204] = 5,
    ACTIONS(7722), 1,
      sym_keyword_filter,
    STATE(3939), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243261] = 4,
    ACTIONS(7864), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2188), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2186), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243316] = 5,
    ACTIONS(7722), 1,
      sym_keyword_filter,
    STATE(3940), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2738), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2736), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243373] = 5,
    ACTIONS(7722), 1,
      sym_keyword_filter,
    STATE(3992), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2742), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2740), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243430] = 5,
    ACTIONS(7722), 1,
      sym_keyword_filter,
    STATE(3993), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2724), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243487] = 4,
    ACTIONS(7866), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2182), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2180), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243542] = 4,
    ACTIONS(7868), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2134), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2132), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243597] = 4,
    ACTIONS(7870), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2128), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2126), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243652] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2048), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2046), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243705] = 4,
    ACTIONS(7872), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243760] = 4,
    ACTIONS(7215), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243815] = 4,
    ACTIONS(7874), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243870] = 4,
    ACTIONS(7876), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243925] = 4,
    ACTIONS(7878), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [243980] = 4,
    ACTIONS(7880), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [244035] = 4,
    ACTIONS(7882), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [244090] = 5,
    ACTIONS(7722), 1,
      sym_keyword_filter,
    STATE(4211), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2694), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2692), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [244147] = 5,
    ACTIONS(7722), 1,
      sym_keyword_filter,
    STATE(4212), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2702), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2700), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [244204] = 4,
    ACTIONS(7467), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [244259] = 5,
    ACTIONS(7722), 1,
      sym_keyword_filter,
    STATE(4213), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2714), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2712), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [244316] = 4,
    ACTIONS(7884), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [244371] = 4,
    ACTIONS(7886), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [244426] = 4,
    ACTIONS(7020), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [244481] = 4,
    ACTIONS(7888), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [244536] = 4,
    ACTIONS(7890), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [244591] = 4,
    ACTIONS(7892), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [244646] = 4,
    ACTIONS(7894), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [244701] = 4,
    ACTIONS(7896), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [244756] = 4,
    ACTIONS(7898), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [244811] = 6,
    ACTIONS(7900), 1,
      anon_sym_LBRACK,
    STATE(3302), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4234), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [244870] = 4,
    ACTIONS(7903), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [244925] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2676), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2678), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [244978] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2807), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2809), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [245031] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2232), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2234), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [245084] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2236), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2238), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [245137] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2268), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2270), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [245190] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2272), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2274), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [245243] = 4,
    ACTIONS(7905), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2042), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2040), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [245298] = 4,
    ACTIONS(7907), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [245353] = 4,
    ACTIONS(7909), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2078), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2076), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [245408] = 4,
    ACTIONS(7911), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2086), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2084), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [245463] = 4,
    ACTIONS(7913), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2096), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [245518] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2276), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2278), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [245571] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2300), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2302), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [245624] = 5,
    ACTIONS(7915), 1,
      sym_keyword_precision,
    ACTIONS(7917), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [245681] = 4,
    ACTIONS(7919), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [245736] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2284), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2286), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [245789] = 5,
    ACTIONS(7722), 1,
      sym_keyword_filter,
    STATE(4223), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2682), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2680), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [245846] = 4,
    ACTIONS(7921), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [245901] = 4,
    ACTIONS(7923), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2146), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2144), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [245956] = 5,
    ACTIONS(7925), 1,
      aux_sym__single_quote_string_token2,
    STATE(3395), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1363), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1361), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [246013] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2728), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2730), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [246066] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3551), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3553), 27,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [246119] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3555), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3557), 27,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [246172] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2763), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2765), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [246225] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2759), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2761), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [246278] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2771), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2773), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [246331] = 5,
    ACTIONS(7927), 1,
      aux_sym__single_quote_string_token2,
    STATE(3394), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3277), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3279), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [246388] = 4,
    ACTIONS(7929), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(121), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(123), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [246443] = 5,
    ACTIONS(7931), 1,
      sym_keyword_filter,
    STATE(4328), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2698), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2696), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [246500] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2746), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [246553] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2096), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2098), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [246606] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2084), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2086), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [246659] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2076), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2078), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [246712] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2156), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2158), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [246765] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2040), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2042), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [246818] = 4,
    ACTIONS(7933), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [246873] = 7,
    ACTIONS(7935), 1,
      sym_keyword_array,
    STATE(4218), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4690), 1,
      sym_array_size_definition,
    STATE(4751), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2813), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2811), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [246934] = 5,
    ACTIONS(7931), 1,
      sym_keyword_filter,
    STATE(4338), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2682), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2680), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [246991] = 5,
    ACTIONS(7937), 1,
      sym_keyword_varying,
    ACTIONS(7939), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1983), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1981), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [247048] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2220), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2222), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [247101] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2240), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2242), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [247154] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2244), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2246), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [247207] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2264), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2266), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [247260] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2400), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2402), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [247313] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2404), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2406), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [247366] = 5,
    STATE(3302), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4234), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3302), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3300), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [247423] = 6,
    ACTIONS(7267), 1,
      sym_keyword_with,
    ACTIONS(7269), 1,
      sym_keyword_without,
    STATE(3881), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1979), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1977), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [247482] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2288), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2290), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [247535] = 5,
    ACTIONS(7941), 1,
      sym_keyword_varying,
    ACTIONS(7943), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1983), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1981), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [247592] = 4,
    ACTIONS(7945), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [247647] = 5,
    ACTIONS(7722), 1,
      sym_keyword_filter,
    STATE(4299), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2698), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2696), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [247704] = 4,
    ACTIONS(7947), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(121), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(123), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [247759] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2316), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2318), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [247812] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2368), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2370), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [247865] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2372), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2374), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [247918] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2783), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2785), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [247971] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2787), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2789), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [248024] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2684), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2686), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [248077] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2803), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2805), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [248130] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2795), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2797), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [248183] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2708), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2710), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [248236] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2396), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2398), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [248289] = 5,
    ACTIONS(7931), 1,
      sym_keyword_filter,
    STATE(4348), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2714), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2712), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [248346] = 5,
    ACTIONS(7931), 1,
      sym_keyword_filter,
    STATE(4350), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2702), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2700), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [248403] = 5,
    ACTIONS(7931), 1,
      sym_keyword_filter,
    STATE(4353), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2694), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2692), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [248460] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2412), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2414), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [248513] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2408), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2410), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [248566] = 7,
    ACTIONS(7935), 1,
      sym_keyword_array,
    STATE(4218), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4751), 1,
      sym__array_size_definition,
    STATE(4765), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2880), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2878), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [248627] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2384), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2386), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [248680] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2388), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2390), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [248733] = 5,
    ACTIONS(7949), 1,
      sym_keyword_precision,
    ACTIONS(7951), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [248790] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2364), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2366), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [248843] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2360), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2362), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [248896] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2356), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2358), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [248949] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2352), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2354), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [249002] = 5,
    ACTIONS(7931), 1,
      sym_keyword_filter,
    STATE(4369), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2724), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [249059] = 5,
    ACTIONS(7931), 1,
      sym_keyword_filter,
    STATE(4371), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2742), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2740), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [249116] = 5,
    ACTIONS(7931), 1,
      sym_keyword_filter,
    STATE(4375), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2738), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2736), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [249173] = 5,
    ACTIONS(7931), 1,
      sym_keyword_filter,
    STATE(4385), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [249230] = 5,
    ACTIONS(7931), 1,
      sym_keyword_filter,
    STATE(4386), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2720), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [249287] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2392), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 28,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [249340] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2348), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2350), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [249393] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2344), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2346), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [249446] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2340), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2342), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [249499] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2336), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2338), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [249552] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2332), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2334), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [249605] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2328), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2330), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [249658] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2324), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2326), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [249711] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2320), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2322), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [249764] = 5,
    ACTIONS(7953), 1,
      aux_sym__single_quote_string_token2,
    STATE(3393), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1369), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1367), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [249821] = 5,
    ACTIONS(2416), 1,
      aux_sym__single_quote_string_token2,
    STATE(293), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3304), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3306), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [249878] = 5,
    ACTIONS(7956), 1,
      aux_sym__single_quote_string_token2,
    STATE(3393), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1376), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1374), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [249935] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2767), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2769), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [249988] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [250043] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2734), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [250096] = 5,
    ACTIONS(7956), 1,
      aux_sym__single_quote_string_token2,
    STATE(3393), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3306), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3304), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [250153] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2724), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2726), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [250206] = 27,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(7958), 1,
      sym_keyword_having,
    ACTIONS(7960), 1,
      sym_keyword_in,
    ACTIONS(7962), 1,
      sym_keyword_and,
    ACTIONS(7964), 1,
      sym_keyword_or,
    ACTIONS(7966), 1,
      sym_keyword_is,
    ACTIONS(7968), 1,
      sym_keyword_not,
    ACTIONS(7970), 1,
      sym_keyword_between,
    ACTIONS(7972), 1,
      anon_sym_LBRACK,
    ACTIONS(7974), 1,
      anon_sym_COMMA,
    ACTIONS(7980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7984), 1,
      sym_op_other,
    ACTIONS(7986), 1,
      anon_sym_PLUS,
    ACTIONS(7988), 1,
      anon_sym_DASH,
    ACTIONS(7990), 1,
      anon_sym_SLASH,
    ACTIONS(7992), 1,
      anon_sym_CARET,
    STATE(7462), 1,
      sym__having,
    STATE(7727), 1,
      aux_sym_array_repeat1,
    STATE(11049), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7978), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7982), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1181), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1216), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7976), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6401), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [250307] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2260), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2262), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [250360] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2256), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2258), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [250413] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6137), 1,
      sym_keyword_in,
    ACTIONS(6139), 1,
      sym_keyword_is,
    ACTIONS(6144), 1,
      anon_sym_LBRACK,
    ACTIONS(6148), 1,
      sym_op_other,
    ACTIONS(6150), 1,
      anon_sym_PLUS,
    ACTIONS(6152), 1,
      anon_sym_DASH,
    ACTIONS(6154), 1,
      anon_sym_SLASH,
    ACTIONS(6156), 1,
      anon_sym_CARET,
    ACTIONS(6272), 1,
      sym_keyword_not,
    ACTIONS(6274), 1,
      sym_keyword_between,
    ACTIONS(6284), 1,
      sym_keyword_and,
    ACTIONS(6405), 1,
      sym_keyword_or,
    ACTIONS(6773), 1,
      anon_sym_COLON_COLON,
    STATE(11383), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6146), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6278), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1824), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1825), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6276), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(7261), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [250506] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2208), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2210), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [250559] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2252), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2254), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [250612] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2248), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2250), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [250665] = 5,
    STATE(2198), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(2683), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3300), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3302), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [250722] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2138), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2140), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [250775] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2224), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2226), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [250828] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2700), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2702), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [250881] = 5,
    ACTIONS(7931), 1,
      sym_keyword_filter,
    STATE(4399), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [250938] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2114), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2116), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [250991] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2102), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2104), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [251044] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2090), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2092), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [251097] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2066), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [251150] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2056), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2058), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [251203] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2376), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2378), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [251256] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2380), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2382), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [251309] = 5,
    ACTIONS(7931), 1,
      sym_keyword_filter,
    STATE(4388), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2728), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [251366] = 5,
    ACTIONS(7931), 1,
      sym_keyword_filter,
    STATE(4380), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2672), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2670), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [251423] = 5,
    ACTIONS(7931), 1,
      sym_keyword_filter,
    STATE(4376), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [251480] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1829), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1831), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [251533] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2034), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2036), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [251586] = 5,
    ACTIONS(7994), 1,
      sym_keyword_unsigned,
    ACTIONS(7996), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1927), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1925), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [251643] = 5,
    ACTIONS(7998), 1,
      sym_keyword_unsigned,
    ACTIONS(8000), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1991), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1989), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [251700] = 5,
    ACTIONS(8002), 1,
      sym_keyword_unsigned,
    ACTIONS(8004), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1999), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1997), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [251757] = 5,
    ACTIONS(8006), 1,
      sym_keyword_unsigned,
    ACTIONS(8008), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2007), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2005), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [251814] = 5,
    ACTIONS(8010), 1,
      sym_keyword_unsigned,
    ACTIONS(8012), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2015), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2013), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [251871] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2791), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2793), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [251924] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1805), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [251977] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2296), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2298), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [252030] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2304), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2306), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [252083] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2308), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2310), 27,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [252136] = 5,
    ACTIONS(8014), 1,
      sym_keyword_unsigned,
    ACTIONS(8016), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1955), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1953), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [252193] = 5,
    ACTIONS(8018), 1,
      sym_keyword_unsigned,
    ACTIONS(8020), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1947), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1945), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [252250] = 5,
    ACTIONS(7931), 1,
      sym_keyword_filter,
    STATE(4184), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2690), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2688), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [252307] = 5,
    ACTIONS(7931), 1,
      sym_keyword_filter,
    STATE(4297), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [252364] = 5,
    ACTIONS(7931), 1,
      sym_keyword_filter,
    STATE(4416), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2718), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2716), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [252421] = 5,
    ACTIONS(7931), 1,
      sym_keyword_filter,
    STATE(4414), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2710), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2708), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [252478] = 5,
    ACTIONS(7931), 1,
      sym_keyword_filter,
    STATE(4405), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2706), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2704), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [252535] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6418), 1,
      sym_keyword_is,
    ACTIONS(6420), 1,
      anon_sym_LBRACK,
    ACTIONS(6424), 1,
      anon_sym_PLUS,
    ACTIONS(6426), 1,
      anon_sym_DASH,
    ACTIONS(6428), 1,
      anon_sym_SLASH,
    ACTIONS(6430), 1,
      anon_sym_CARET,
    ACTIONS(6432), 1,
      sym_keyword_in,
    ACTIONS(6434), 1,
      sym_keyword_not,
    ACTIONS(6436), 1,
      sym_keyword_between,
    ACTIONS(6442), 1,
      sym_op_other,
    ACTIONS(6444), 1,
      sym_keyword_and,
    ACTIONS(6656), 1,
      sym_keyword_or,
    ACTIONS(6965), 1,
      anon_sym_COLON_COLON,
    STATE(10950), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6440), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1140), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1138), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6438), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6845), 11,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [252628] = 5,
    ACTIONS(8022), 1,
      sym_keyword_unsigned,
    ACTIONS(8024), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1971), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1969), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [252685] = 29,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(5983), 1,
      sym_keyword_similar,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(8026), 1,
      sym_keyword_as,
    ACTIONS(8028), 1,
      sym_keyword_in,
    ACTIONS(8030), 1,
      sym_keyword_and,
    ACTIONS(8032), 1,
      sym_keyword_or,
    ACTIONS(8034), 1,
      sym_keyword_is,
    ACTIONS(8036), 1,
      sym_keyword_not,
    ACTIONS(8038), 1,
      sym_keyword_between,
    ACTIONS(8044), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8048), 1,
      sym_op_other,
    ACTIONS(8050), 1,
      anon_sym_PLUS,
    ACTIONS(8052), 1,
      anon_sym_DASH,
    ACTIONS(8054), 1,
      anon_sym_SLASH,
    ACTIONS(8056), 1,
      anon_sym_CARET,
    STATE(6466), 1,
      sym_identifier,
    STATE(7096), 1,
      sym__alias,
    STATE(11279), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(5963), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5981), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8042), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8046), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(5965), 3,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_separator,
    STATE(1801), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8040), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [252790] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 27,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_check,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [252843] = 6,
    ACTIONS(7267), 1,
      sym_keyword_with,
    ACTIONS(7269), 1,
      sym_keyword_without,
    STATE(3914), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1963), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1961), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [252902] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2222), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2220), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [252954] = 5,
    ACTIONS(8058), 1,
      aux_sym__single_quote_string_token2,
    STATE(3448), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1369), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1367), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253010] = 4,
    ACTIONS(8061), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3451), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3453), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [253064] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2054), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2052), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253116] = 5,
    ACTIONS(8063), 1,
      aux_sym__single_quote_string_token2,
    STATE(3852), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1363), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1361), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253172] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2684), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2686), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [253224] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1380), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1382), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [253276] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2783), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2785), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [253328] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2803), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2805), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [253380] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2795), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2797), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [253432] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [253484] = 4,
    ACTIONS(8065), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2146), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2144), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253538] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2791), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2793), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [253590] = 8,
    ACTIONS(7966), 1,
      sym_keyword_is,
    ACTIONS(7972), 1,
      anon_sym_LBRACK,
    STATE(11049), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1181), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1216), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2624), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2622), 27,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253652] = 5,
    STATE(3636), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4531), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3302), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3300), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253708] = 7,
    ACTIONS(123), 1,
      anon_sym_LPAREN,
    ACTIONS(2853), 1,
      anon_sym_DOT,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    STATE(4860), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2849), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2851), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [253768] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3459), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3461), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [253820] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3683), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3685), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [253872] = 4,
    ACTIONS(8067), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [253926] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2708), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2710), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [253978] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3493), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3495), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [254030] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3611), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3613), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [254082] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3607), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3609), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [254134] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3447), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3449), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [254186] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3555), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3557), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [254238] = 4,
    ACTIONS(8069), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [254292] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3551), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3553), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [254344] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3563), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3565), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [254396] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3501), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3503), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [254448] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3567), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3569), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [254500] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3559), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3561), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [254552] = 5,
    STATE(2779), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(3348), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3300), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3302), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [254608] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2571), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [254660] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3583), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3585), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [254712] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3615), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3617), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [254764] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3623), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3625), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [254816] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3595), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3597), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [254868] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3599), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3601), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [254920] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3603), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3605), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [254972] = 13,
    ACTIONS(7966), 1,
      sym_keyword_is,
    ACTIONS(7972), 1,
      anon_sym_LBRACK,
    ACTIONS(7986), 1,
      anon_sym_PLUS,
    ACTIONS(7988), 1,
      anon_sym_DASH,
    ACTIONS(7990), 1,
      anon_sym_SLASH,
    ACTIONS(7992), 1,
      anon_sym_CARET,
    STATE(11049), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7978), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2624), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1181), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1216), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2622), 24,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255044] = 4,
    STATE(2691), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3481), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3483), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [255098] = 5,
    ACTIONS(8071), 1,
      sym_keyword_filter,
    STATE(4659), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2718), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2716), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255154] = 5,
    ACTIONS(8071), 1,
      sym_keyword_filter,
    STATE(4612), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2698), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2696), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255210] = 20,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(7798), 1,
      anon_sym_LBRACK,
    ACTIONS(8073), 1,
      sym_keyword_in,
    ACTIONS(8075), 1,
      sym_keyword_is,
    ACTIONS(8077), 1,
      sym_keyword_not,
    ACTIONS(8079), 1,
      sym_keyword_between,
    ACTIONS(8087), 1,
      sym_op_other,
    ACTIONS(8089), 1,
      anon_sym_PLUS,
    ACTIONS(8091), 1,
      anon_sym_DASH,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8095), 1,
      anon_sym_CARET,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8083), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8085), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1421), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1439), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8081), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [255296] = 21,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(7798), 1,
      anon_sym_LBRACK,
    ACTIONS(8073), 1,
      sym_keyword_in,
    ACTIONS(8075), 1,
      sym_keyword_is,
    ACTIONS(8077), 1,
      sym_keyword_not,
    ACTIONS(8079), 1,
      sym_keyword_between,
    ACTIONS(8087), 1,
      sym_op_other,
    ACTIONS(8089), 1,
      anon_sym_PLUS,
    ACTIONS(8091), 1,
      anon_sym_DASH,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8095), 1,
      anon_sym_CARET,
    ACTIONS(8097), 1,
      sym_keyword_and,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8083), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8085), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1421), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1439), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8081), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [255384] = 6,
    STATE(11049), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1181), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1216), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255442] = 16,
    ACTIONS(7798), 1,
      anon_sym_LBRACK,
    ACTIONS(8073), 1,
      sym_keyword_in,
    ACTIONS(8075), 1,
      sym_keyword_is,
    ACTIONS(8087), 1,
      sym_op_other,
    ACTIONS(8089), 1,
      anon_sym_PLUS,
    ACTIONS(8091), 1,
      anon_sym_DASH,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8095), 1,
      anon_sym_CARET,
    ACTIONS(8099), 1,
      sym_keyword_not,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2573), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8083), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1421), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1439), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255520] = 9,
    ACTIONS(7798), 1,
      anon_sym_LBRACK,
    ACTIONS(8075), 1,
      sym_keyword_is,
    ACTIONS(8095), 1,
      anon_sym_CARET,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1421), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2573), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    STATE(1439), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 28,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255584] = 7,
    ACTIONS(7048), 1,
      sym_keyword_without,
    ACTIONS(8102), 1,
      sym_keyword_with,
    ACTIONS(8105), 1,
      anon_sym_LPAREN,
    STATE(3733), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1861), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1859), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255644] = 7,
    ACTIONS(7048), 1,
      sym_keyword_without,
    ACTIONS(8107), 1,
      sym_keyword_with,
    ACTIONS(8110), 1,
      anon_sym_LPAREN,
    STATE(3734), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255704] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3575), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3577), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [255756] = 13,
    ACTIONS(7798), 1,
      anon_sym_LBRACK,
    ACTIONS(8075), 1,
      sym_keyword_is,
    ACTIONS(8089), 1,
      anon_sym_PLUS,
    ACTIONS(8091), 1,
      anon_sym_DASH,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8095), 1,
      anon_sym_CARET,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2573), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8083), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1421), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1439), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 25,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255828] = 11,
    ACTIONS(7798), 1,
      anon_sym_LBRACK,
    ACTIONS(8075), 1,
      sym_keyword_is,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8095), 1,
      anon_sym_CARET,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8083), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2573), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1421), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1439), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 26,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [255896] = 29,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(5967), 1,
      sym_keyword_as,
    ACTIONS(5983), 1,
      sym_keyword_similar,
    ACTIONS(7658), 1,
      sym_keyword_in,
    ACTIONS(7674), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8112), 1,
      sym_keyword_and,
    ACTIONS(8114), 1,
      sym_keyword_or,
    ACTIONS(8116), 1,
      sym_keyword_is,
    ACTIONS(8118), 1,
      sym_keyword_not,
    ACTIONS(8120), 1,
      sym_keyword_between,
    ACTIONS(8128), 1,
      sym_op_other,
    ACTIONS(8130), 1,
      anon_sym_PLUS,
    ACTIONS(8132), 1,
      anon_sym_DASH,
    ACTIONS(8134), 1,
      anon_sym_SLASH,
    ACTIONS(8136), 1,
      anon_sym_CARET,
    STATE(6466), 1,
      sym_identifier,
    STATE(7096), 1,
      sym__alias,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(5963), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5965), 2,
      sym_keyword_from,
      sym_keyword_create,
    ACTIONS(5981), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8124), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8126), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1796), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1797), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8122), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256000] = 8,
    ACTIONS(7798), 1,
      anon_sym_LBRACK,
    ACTIONS(8075), 1,
      sym_keyword_is,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1421), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1439), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 28,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256062] = 17,
    ACTIONS(7798), 1,
      anon_sym_LBRACK,
    ACTIONS(8073), 1,
      sym_keyword_in,
    ACTIONS(8075), 1,
      sym_keyword_is,
    ACTIONS(8087), 1,
      sym_op_other,
    ACTIONS(8089), 1,
      anon_sym_PLUS,
    ACTIONS(8091), 1,
      anon_sym_DASH,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8095), 1,
      anon_sym_CARET,
    ACTIONS(8099), 1,
      sym_keyword_not,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8083), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8085), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1421), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1439), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8081), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [256142] = 5,
    ACTIONS(8071), 1,
      sym_keyword_filter,
    STATE(4615), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2682), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2680), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256198] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3571), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3573), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [256250] = 5,
    ACTIONS(8071), 1,
      sym_keyword_filter,
    STATE(4623), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2714), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2712), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256306] = 5,
    ACTIONS(8071), 1,
      sym_keyword_filter,
    STATE(4626), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2702), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2700), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256362] = 5,
    ACTIONS(8071), 1,
      sym_keyword_filter,
    STATE(4627), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2694), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2692), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256418] = 19,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(7798), 1,
      anon_sym_LBRACK,
    ACTIONS(8073), 1,
      sym_keyword_in,
    ACTIONS(8075), 1,
      sym_keyword_is,
    ACTIONS(8077), 1,
      sym_keyword_not,
    ACTIONS(8087), 1,
      sym_op_other,
    ACTIONS(8089), 1,
      anon_sym_PLUS,
    ACTIONS(8091), 1,
      anon_sym_DASH,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8095), 1,
      anon_sym_CARET,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8083), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8085), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1421), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1439), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8081), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2475), 14,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [256502] = 5,
    ACTIONS(8071), 1,
      sym_keyword_filter,
    STATE(4630), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2724), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256558] = 5,
    ACTIONS(8071), 1,
      sym_keyword_filter,
    STATE(4633), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2742), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2740), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256614] = 5,
    ACTIONS(8071), 1,
      sym_keyword_filter,
    STATE(4641), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2738), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2736), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256670] = 5,
    ACTIONS(8071), 1,
      sym_keyword_filter,
    STATE(4645), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256726] = 5,
    ACTIONS(8071), 1,
      sym_keyword_filter,
    STATE(4646), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2720), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [256782] = 19,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(7798), 1,
      anon_sym_LBRACK,
    ACTIONS(8073), 1,
      sym_keyword_in,
    ACTIONS(8075), 1,
      sym_keyword_is,
    ACTIONS(8077), 1,
      sym_keyword_not,
    ACTIONS(8087), 1,
      sym_op_other,
    ACTIONS(8089), 1,
      anon_sym_PLUS,
    ACTIONS(8091), 1,
      anon_sym_DASH,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8095), 1,
      anon_sym_CARET,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8083), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8085), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1421), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1439), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8081), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2612), 14,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [256866] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3509), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3511), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [256918] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3505), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3507), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [256970] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2787), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2789), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [257022] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3497), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3499), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [257074] = 5,
    ACTIONS(8071), 1,
      sym_keyword_filter,
    STATE(4654), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2706), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2704), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257130] = 5,
    ACTIONS(8071), 1,
      sym_keyword_filter,
    STATE(4655), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2710), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2708), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257186] = 4,
    ACTIONS(8138), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257240] = 5,
    ACTIONS(8071), 1,
      sym_keyword_filter,
    STATE(4664), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257296] = 5,
    ACTIONS(8071), 1,
      sym_keyword_filter,
    STATE(4665), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2690), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2688), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257352] = 5,
    ACTIONS(8071), 1,
      sym_keyword_filter,
    STATE(4666), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257408] = 5,
    ACTIONS(8071), 1,
      sym_keyword_filter,
    STATE(4671), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2672), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2670), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257464] = 5,
    ACTIONS(8071), 1,
      sym_keyword_filter,
    STATE(4672), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2728), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257520] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2728), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2730), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [257572] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2763), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2765), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [257624] = 5,
    ACTIONS(8071), 1,
      sym_keyword_filter,
    STATE(4673), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257680] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3587), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3589), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [257732] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2759), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2761), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [257784] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2771), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2773), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [257836] = 5,
    ACTIONS(8140), 1,
      aux_sym__single_quote_string_token2,
    STATE(3789), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3279), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3277), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257892] = 4,
    ACTIONS(8142), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2072), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2070), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [257946] = 4,
    ACTIONS(8144), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2110), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2108), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258000] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3543), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3545), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [258052] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3547), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3549), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [258104] = 4,
    STATE(4245), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3483), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3481), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258158] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3591), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3593), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [258210] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3619), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3621), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [258262] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3659), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3661), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [258314] = 4,
    ACTIONS(8146), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2030), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2028), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258368] = 4,
    ACTIONS(8148), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(121), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(123), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258422] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3671), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3673), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [258474] = 4,
    ACTIONS(8150), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2172), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2170), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258528] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258580] = 4,
    ACTIONS(8152), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258634] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2194), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2192), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258686] = 4,
    ACTIONS(8154), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2188), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2186), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258740] = 6,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1421), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1439), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258798] = 4,
    ACTIONS(8156), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2182), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2180), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258852] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3679), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3681), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [258904] = 13,
    ACTIONS(7798), 1,
      anon_sym_LBRACK,
    ACTIONS(8075), 1,
      sym_keyword_is,
    ACTIONS(8089), 1,
      anon_sym_PLUS,
    ACTIONS(8091), 1,
      anon_sym_DASH,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8095), 1,
      anon_sym_CARET,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2624), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8083), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1421), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1439), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2622), 25,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [258976] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6418), 1,
      sym_keyword_is,
    ACTIONS(6420), 1,
      anon_sym_LBRACK,
    ACTIONS(6424), 1,
      anon_sym_PLUS,
    ACTIONS(6426), 1,
      anon_sym_DASH,
    ACTIONS(6428), 1,
      anon_sym_SLASH,
    ACTIONS(6430), 1,
      anon_sym_CARET,
    ACTIONS(6432), 1,
      sym_keyword_in,
    ACTIONS(6434), 1,
      sym_keyword_not,
    ACTIONS(6436), 1,
      sym_keyword_between,
    ACTIONS(6442), 1,
      sym_op_other,
    ACTIONS(6444), 1,
      sym_keyword_and,
    ACTIONS(6656), 1,
      sym_keyword_or,
    ACTIONS(6965), 1,
      anon_sym_COLON_COLON,
    STATE(10950), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6422), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6440), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1140), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1138), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6438), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(7261), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [259068] = 8,
    ACTIONS(7798), 1,
      anon_sym_LBRACK,
    ACTIONS(8075), 1,
      sym_keyword_is,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1421), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1439), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2624), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2622), 28,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259130] = 4,
    ACTIONS(8158), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(123), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(121), 35,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_cache,
      sym_keyword_array,
      sym__identifier,
  [259184] = 4,
    ACTIONS(8160), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3453), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3451), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259238] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2882), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2884), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [259290] = 4,
    ACTIONS(8162), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2096), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259344] = 4,
    ACTIONS(8164), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2086), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2084), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259398] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2294), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2292), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259450] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2746), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [259502] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2282), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2280), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259554] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2146), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2144), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259606] = 4,
    ACTIONS(8166), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2134), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2132), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259660] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2214), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2212), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259712] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2218), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2216), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259764] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259816] = 4,
    ACTIONS(8168), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2128), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2126), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259870] = 4,
    ACTIONS(8170), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2078), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2076), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259924] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [259976] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2048), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2046), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260028] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1971), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1969), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260080] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2230), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2228), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260132] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2234), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2232), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260184] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2238), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2236), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260236] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2270), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2268), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260288] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2274), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2272), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260340] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2278), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2276), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260392] = 4,
    ACTIONS(8172), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260446] = 4,
    ACTIONS(8174), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260500] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2302), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2300), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260552] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2314), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2312), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260604] = 4,
    ACTIONS(8176), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260658] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2096), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260710] = 4,
    ACTIONS(8178), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260764] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2086), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2084), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260816] = 4,
    ACTIONS(8180), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260870] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2078), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2076), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260922] = 4,
    ACTIONS(8182), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [260976] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261028] = 4,
    ACTIONS(8184), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261082] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2042), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2040), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261134] = 4,
    ACTIONS(7917), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261188] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2222), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2220), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261240] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2242), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2240), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261292] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2246), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2244), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261344] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2266), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2264), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261396] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2286), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2284), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261448] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2290), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2288), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261500] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2318), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2316), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261552] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2370), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2368), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261604] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2374), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2372), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261656] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261708] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2390), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2388), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261760] = 4,
    ACTIONS(8186), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261814] = 4,
    ACTIONS(8188), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261868] = 4,
    ACTIONS(8190), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2042), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2040), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261922] = 4,
    ACTIONS(7457), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [261976] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2400), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2402), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [262028] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2366), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2364), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262080] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2362), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2360), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262132] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2358), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2356), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262184] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2354), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2352), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262236] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2350), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2348), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262288] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2346), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2344), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262340] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2342), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2340), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262392] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2338), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2336), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262444] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2334), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2332), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262496] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2330), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2328), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262548] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2326), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2324), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262600] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2322), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2320), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262652] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2404), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2406), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [262704] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2262), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2260), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262756] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2258), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2256), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262808] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2210), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2208), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262860] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2254), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2252), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262912] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2250), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2248), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [262964] = 4,
    ACTIONS(8192), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263018] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263070] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2226), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2224), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263122] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2396), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2398), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [263174] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2412), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2414), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [263226] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2408), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2410), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [263278] = 4,
    ACTIONS(8194), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263332] = 6,
    ACTIONS(8196), 1,
      anon_sym_LBRACK,
    STATE(3636), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4531), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 33,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263390] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263442] = 4,
    ACTIONS(8199), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263496] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263548] = 4,
    ACTIONS(8201), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263602] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263654] = 4,
    ACTIONS(8203), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263708] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263760] = 4,
    ACTIONS(8205), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263814] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263866] = 4,
    ACTIONS(8207), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263920] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2378), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2376), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [263972] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264024] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264076] = 4,
    ACTIONS(8209), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264130] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264182] = 4,
    ACTIONS(8211), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264236] = 4,
    ACTIONS(8213), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264290] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2945), 1,
      sym_keyword_is,
    ACTIONS(2947), 1,
      anon_sym_LBRACK,
    ACTIONS(2951), 1,
      anon_sym_PLUS,
    ACTIONS(2953), 1,
      anon_sym_DASH,
    ACTIONS(2955), 1,
      anon_sym_SLASH,
    ACTIONS(2957), 1,
      anon_sym_CARET,
    ACTIONS(3059), 1,
      sym_keyword_in,
    ACTIONS(3068), 1,
      sym_op_other,
    ACTIONS(3070), 1,
      sym_keyword_not,
    ACTIONS(3118), 1,
      sym_keyword_between,
    ACTIONS(3218), 1,
      sym_keyword_and,
    ACTIONS(3827), 1,
      sym_keyword_or,
    ACTIONS(3829), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6781), 1,
      sym_keyword_using,
    STATE(7425), 1,
      sym_direction,
    STATE(11247), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2949), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3066), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6777), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    STATE(1331), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1324), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3064), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6494), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_COMMA,
  [264388] = 4,
    ACTIONS(8215), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264442] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2392), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 26,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [264494] = 4,
    ACTIONS(7341), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264548] = 4,
    ACTIONS(8217), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264602] = 6,
    ACTIONS(8219), 1,
      anon_sym_LBRACK,
    STATE(3659), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4683), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 33,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264660] = 4,
    ACTIONS(8222), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264714] = 4,
    ACTIONS(8224), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264768] = 4,
    ACTIONS(8226), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264822] = 4,
    ACTIONS(7951), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264876] = 4,
    ACTIONS(8228), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264930] = 4,
    ACTIONS(8230), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [264984] = 4,
    ACTIONS(8232), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265038] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265090] = 4,
    ACTIONS(8234), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265144] = 4,
    ACTIONS(8236), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265198] = 4,
    ACTIONS(8238), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265252] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2048), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2046), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265304] = 4,
    ACTIONS(8240), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2128), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2126), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265358] = 4,
    ACTIONS(8242), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2134), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2132), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265412] = 5,
    ACTIONS(8244), 1,
      aux_sym__single_quote_string_token2,
    STATE(3448), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3306), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3304), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265468] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2298), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2296), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265520] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2306), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2304), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265572] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2310), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2308), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265624] = 4,
    ACTIONS(8246), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2182), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2180), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265678] = 4,
    ACTIONS(8248), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2188), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2186), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265732] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2194), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2192), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265784] = 4,
    ACTIONS(8250), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265838] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265890] = 4,
    ACTIONS(8252), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2172), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2170), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265944] = 4,
    ACTIONS(8254), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2030), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2028), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [265998] = 4,
    ACTIONS(8256), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2110), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2108), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266052] = 4,
    ACTIONS(8258), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2072), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2070), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266106] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2799), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2801), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [266158] = 4,
    ACTIONS(8260), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(121), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(123), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266212] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1386), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [266264] = 5,
    ACTIONS(8262), 1,
      aux_sym__single_quote_string_token2,
    STATE(3674), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3279), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3277), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266320] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1382), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266374] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2054), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2052), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266426] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 8,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1386), 35,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_cache,
      sym_keyword_array,
      sym__identifier,
  [266478] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266530] = 5,
    ACTIONS(8264), 1,
      sym_keyword_unsigned,
    ACTIONS(8266), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1971), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1969), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266586] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266638] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2809), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2807), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266690] = 5,
    ACTIONS(8268), 1,
      sym_keyword_unsigned,
    ACTIONS(8270), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1947), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1945), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266746] = 5,
    ACTIONS(8272), 1,
      sym_keyword_unsigned,
    ACTIONS(8274), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1955), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1953), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266802] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2728), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266854] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2765), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2763), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266906] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2761), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2759), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [266958] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2773), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2771), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267010] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267062] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2767), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2769), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [267114] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2785), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2783), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267166] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2789), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2787), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267218] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2734), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [267270] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267322] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2803), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267374] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2797), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2795), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267426] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2710), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2708), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267478] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2310), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2308), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267530] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2306), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2304), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267582] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2298), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2296), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267634] = 5,
    ACTIONS(8276), 1,
      sym_keyword_unsigned,
    ACTIONS(8278), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2015), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2013), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267690] = 5,
    ACTIONS(8280), 1,
      sym_keyword_unsigned,
    ACTIONS(8282), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2007), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2005), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267746] = 5,
    ACTIONS(8284), 1,
      sym_keyword_unsigned,
    ACTIONS(8286), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1999), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1997), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267802] = 5,
    ACTIONS(8288), 1,
      sym_keyword_unsigned,
    ACTIONS(8290), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1991), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1989), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267858] = 5,
    ACTIONS(8292), 1,
      sym_keyword_unsigned,
    ACTIONS(8294), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1927), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1925), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267914] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2769), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2767), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [267966] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268018] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2724), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268070] = 5,
    STATE(3858), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4467), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3302), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3300), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268126] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2724), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2726), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [268178] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268230] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2702), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2700), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268282] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2052), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2054), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [268334] = 5,
    STATE(3659), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4683), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3302), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3300), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268390] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2700), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2702), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [268442] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268494] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268546] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268598] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2378), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2376), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268650] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268702] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268754] = 5,
    ACTIONS(8296), 1,
      sym_keyword_precision,
    ACTIONS(8298), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268810] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268862] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268914] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [268966] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2793), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2791), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269018] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2226), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2224), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269070] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269122] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2250), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2248), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269174] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2254), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2252), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269226] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2210), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2208), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269278] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2258), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2256), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269330] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2262), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2260), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269382] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2322), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2320), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269434] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2326), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2324), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269486] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2330), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2328), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269538] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2334), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2332), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269590] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2338), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2336), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269642] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2342), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2340), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269694] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2346), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2344), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269746] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2350), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2348), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269798] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2354), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2352), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269850] = 5,
    ACTIONS(8300), 1,
      aux_sym__single_quote_string_token2,
    STATE(3758), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1369), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1367), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269906] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2358), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2356), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [269958] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2362), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2360), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270010] = 5,
    ACTIONS(8303), 1,
      aux_sym__single_quote_string_token2,
    STATE(3758), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1376), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1374), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270066] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2366), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2364), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270118] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2757), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2755), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270170] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2390), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2388), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270222] = 4,
    ACTIONS(8305), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3453), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3451), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270276] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270328] = 5,
    ACTIONS(8307), 1,
      aux_sym__single_quote_string_token2,
    STATE(3761), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1363), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1361), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270384] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2374), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2372), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270436] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2370), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2368), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270488] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2318), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2316), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270540] = 4,
    ACTIONS(8309), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2146), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2144), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270594] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2290), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2288), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270646] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2286), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2284), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270698] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2266), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2264), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270750] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2246), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2244), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270802] = 4,
    ACTIONS(8311), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270856] = 4,
    ACTIONS(8313), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2096), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270910] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2242), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2240), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [270962] = 4,
    ACTIONS(8315), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271016] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2042), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2040), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271068] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271120] = 5,
    ACTIONS(8317), 1,
      sym_keyword_varying,
    ACTIONS(8319), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1983), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1981), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271176] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2078), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2076), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271228] = 4,
    ACTIONS(8321), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271282] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2086), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2084), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271334] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2096), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271386] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2314), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2312), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271438] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2302), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2300), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271490] = 5,
    ACTIONS(2750), 1,
      aux_sym__single_quote_string_token2,
    STATE(395), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3306), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3304), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271546] = 4,
    ACTIONS(8323), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(123), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(121), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [271600] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2278), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2276), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271652] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2274), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2272), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271704] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2270), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2268), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271756] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2238), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2236), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271808] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2234), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2232), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271860] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2230), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2228), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271912] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1971), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1969), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [271964] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272016] = 20,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2614), 1,
      sym_keyword_or,
    ACTIONS(7960), 1,
      sym_keyword_in,
    ACTIONS(7966), 1,
      sym_keyword_is,
    ACTIONS(7968), 1,
      sym_keyword_not,
    ACTIONS(7972), 1,
      anon_sym_LBRACK,
    ACTIONS(7984), 1,
      sym_op_other,
    ACTIONS(7986), 1,
      anon_sym_PLUS,
    ACTIONS(7988), 1,
      anon_sym_DASH,
    ACTIONS(7990), 1,
      anon_sym_SLASH,
    ACTIONS(7992), 1,
      anon_sym_CARET,
    STATE(11049), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7978), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7982), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1181), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1216), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7976), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2612), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [272102] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272154] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2218), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2216), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272206] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2214), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2212), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272258] = 20,
    ACTIONS(2477), 1,
      sym_keyword_or,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(7960), 1,
      sym_keyword_in,
    ACTIONS(7966), 1,
      sym_keyword_is,
    ACTIONS(7968), 1,
      sym_keyword_not,
    ACTIONS(7972), 1,
      anon_sym_LBRACK,
    ACTIONS(7984), 1,
      sym_op_other,
    ACTIONS(7986), 1,
      anon_sym_PLUS,
    ACTIONS(7988), 1,
      anon_sym_DASH,
    ACTIONS(7990), 1,
      anon_sym_SLASH,
    ACTIONS(7992), 1,
      anon_sym_CARET,
    STATE(11049), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7978), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7982), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1181), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1216), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7976), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2475), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [272344] = 4,
    ACTIONS(8325), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2096), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272398] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2146), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2144), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272450] = 4,
    ACTIONS(8327), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2086), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2084), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272504] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2282), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2280), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272556] = 4,
    ACTIONS(8329), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2078), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2076), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272610] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2294), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2292), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272662] = 18,
    ACTIONS(2573), 1,
      sym_keyword_or,
    ACTIONS(7960), 1,
      sym_keyword_in,
    ACTIONS(7966), 1,
      sym_keyword_is,
    ACTIONS(7972), 1,
      anon_sym_LBRACK,
    ACTIONS(7984), 1,
      sym_op_other,
    ACTIONS(7986), 1,
      anon_sym_PLUS,
    ACTIONS(7988), 1,
      anon_sym_DASH,
    ACTIONS(7990), 1,
      anon_sym_SLASH,
    ACTIONS(7992), 1,
      anon_sym_CARET,
    ACTIONS(8331), 1,
      sym_keyword_not,
    STATE(11049), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7978), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7982), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1181), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1216), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7976), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [272744] = 4,
    ACTIONS(8334), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272798] = 8,
    ACTIONS(7966), 1,
      sym_keyword_is,
    ACTIONS(7972), 1,
      anon_sym_LBRACK,
    STATE(11049), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1181), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1216), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 27,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272860] = 4,
    STATE(4073), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3483), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3481), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272914] = 11,
    ACTIONS(7966), 1,
      sym_keyword_is,
    ACTIONS(7972), 1,
      anon_sym_LBRACK,
    ACTIONS(7990), 1,
      anon_sym_SLASH,
    ACTIONS(7992), 1,
      anon_sym_CARET,
    STATE(11049), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7978), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1181), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2573), 4,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1216), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 25,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [272982] = 13,
    ACTIONS(7966), 1,
      sym_keyword_is,
    ACTIONS(7972), 1,
      anon_sym_LBRACK,
    ACTIONS(7986), 1,
      anon_sym_PLUS,
    ACTIONS(7988), 1,
      anon_sym_DASH,
    ACTIONS(7990), 1,
      anon_sym_SLASH,
    ACTIONS(7992), 1,
      anon_sym_CARET,
    STATE(11049), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7978), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2573), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1181), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1216), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 24,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273054] = 9,
    ACTIONS(7966), 1,
      sym_keyword_is,
    ACTIONS(7972), 1,
      anon_sym_LBRACK,
    ACTIONS(7992), 1,
      anon_sym_CARET,
    STATE(11049), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1181), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1216), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 5,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2571), 27,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273118] = 4,
    ACTIONS(8336), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2042), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2040), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273172] = 16,
    ACTIONS(7960), 1,
      sym_keyword_in,
    ACTIONS(7966), 1,
      sym_keyword_is,
    ACTIONS(7972), 1,
      anon_sym_LBRACK,
    ACTIONS(7984), 1,
      sym_op_other,
    ACTIONS(7986), 1,
      anon_sym_PLUS,
    ACTIONS(7988), 1,
      anon_sym_DASH,
    ACTIONS(7990), 1,
      anon_sym_SLASH,
    ACTIONS(7992), 1,
      anon_sym_CARET,
    ACTIONS(8331), 1,
      sym_keyword_not,
    STATE(11049), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7978), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2573), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1181), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1216), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273250] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2573), 1,
      sym_keyword_or,
    ACTIONS(7960), 1,
      sym_keyword_in,
    ACTIONS(7962), 1,
      sym_keyword_and,
    ACTIONS(7966), 1,
      sym_keyword_is,
    ACTIONS(7968), 1,
      sym_keyword_not,
    ACTIONS(7970), 1,
      sym_keyword_between,
    ACTIONS(7972), 1,
      anon_sym_LBRACK,
    ACTIONS(7984), 1,
      sym_op_other,
    ACTIONS(7986), 1,
      anon_sym_PLUS,
    ACTIONS(7988), 1,
      anon_sym_DASH,
    ACTIONS(7990), 1,
      anon_sym_SLASH,
    ACTIONS(7992), 1,
      anon_sym_CARET,
    STATE(11049), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7978), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7982), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1181), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1216), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7976), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 11,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [273340] = 21,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2573), 1,
      sym_keyword_or,
    ACTIONS(7960), 1,
      sym_keyword_in,
    ACTIONS(7966), 1,
      sym_keyword_is,
    ACTIONS(7968), 1,
      sym_keyword_not,
    ACTIONS(7970), 1,
      sym_keyword_between,
    ACTIONS(7972), 1,
      anon_sym_LBRACK,
    ACTIONS(7984), 1,
      sym_op_other,
    ACTIONS(7986), 1,
      anon_sym_PLUS,
    ACTIONS(7988), 1,
      anon_sym_DASH,
    ACTIONS(7990), 1,
      anon_sym_SLASH,
    ACTIONS(7992), 1,
      anon_sym_CARET,
    STATE(11049), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7978), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7982), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1181), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1216), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7976), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [273428] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 19,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1386), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [273480] = 4,
    ACTIONS(8338), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2146), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2144), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273534] = 4,
    ACTIONS(8340), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273588] = 4,
    ACTIONS(8342), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273642] = 5,
    ACTIONS(8344), 1,
      aux_sym__single_quote_string_token2,
    STATE(3826), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3279), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3277), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273698] = 5,
    ACTIONS(8303), 1,
      aux_sym__single_quote_string_token2,
    STATE(3758), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3306), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3304), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273754] = 4,
    ACTIONS(8346), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2072), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2070), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273808] = 4,
    ACTIONS(8348), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2110), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2108), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273862] = 4,
    ACTIONS(8350), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2030), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2028), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273916] = 4,
    ACTIONS(8352), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2172), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2170), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [273970] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2755), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2757), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [274022] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274074] = 4,
    ACTIONS(8354), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274128] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2194), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2192), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274180] = 4,
    ACTIONS(8356), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2188), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2186), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274234] = 4,
    ACTIONS(8358), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2182), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2180), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274288] = 7,
    ACTIONS(5951), 1,
      sym_keyword_without,
    ACTIONS(8360), 1,
      sym_keyword_with,
    ACTIONS(8363), 1,
      anon_sym_LPAREN,
    STATE(2513), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1859), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1861), 22,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [274348] = 7,
    ACTIONS(5951), 1,
      sym_keyword_without,
    ACTIONS(8365), 1,
      sym_keyword_with,
    ACTIONS(8368), 1,
      anon_sym_LPAREN,
    STATE(2514), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1889), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1891), 22,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [274408] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2676), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2678), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [274460] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2807), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2809), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [274512] = 4,
    ACTIONS(8370), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2134), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2132), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274566] = 4,
    ACTIONS(8372), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2128), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2126), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274620] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2048), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2046), 37,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274672] = 4,
    ACTIONS(8374), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274726] = 4,
    ACTIONS(8376), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(121), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(123), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274780] = 4,
    ACTIONS(8378), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274834] = 4,
    ACTIONS(8380), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274888] = 4,
    ACTIONS(8382), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274942] = 4,
    ACTIONS(8384), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [274996] = 4,
    ACTIONS(8386), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275050] = 4,
    ACTIONS(7754), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275104] = 5,
    ACTIONS(8244), 1,
      aux_sym__single_quote_string_token2,
    STATE(3448), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1376), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1374), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275160] = 4,
    ACTIONS(8388), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275214] = 4,
    ACTIONS(8390), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275268] = 4,
    ACTIONS(8392), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275322] = 4,
    ACTIONS(8394), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275376] = 4,
    ACTIONS(8396), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275430] = 6,
    ACTIONS(8398), 1,
      anon_sym_LBRACK,
    STATE(3858), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4467), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275488] = 4,
    ACTIONS(8401), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275542] = 4,
    ACTIONS(8403), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2078), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2076), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275596] = 4,
    ACTIONS(7497), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275650] = 4,
    ACTIONS(8405), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275704] = 4,
    ACTIONS(8407), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2042), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2040), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275758] = 4,
    ACTIONS(8409), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2086), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2084), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275812] = 6,
    ACTIONS(7756), 1,
      sym_keyword_with,
    ACTIONS(7758), 1,
      sym_keyword_without,
    STATE(4588), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1963), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1961), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275870] = 4,
    ACTIONS(8411), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275924] = 4,
    ACTIONS(8413), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [275978] = 6,
    ACTIONS(7756), 1,
      sym_keyword_with,
    ACTIONS(7758), 1,
      sym_keyword_without,
    STATE(4587), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1979), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1977), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276036] = 4,
    ACTIONS(8415), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276090] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3681), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3679), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276141] = 4,
    ACTIONS(8417), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2078), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2076), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276194] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2350), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2348), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276245] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2346), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2344), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276296] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2342), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2340), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276347] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2338), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2336), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276398] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2334), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2332), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276449] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2330), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2328), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276500] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2326), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2324), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276551] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2322), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2320), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276602] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2767), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2769), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [276653] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2222), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2220), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276704] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2734), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [276755] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2042), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2040), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276806] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276857] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2724), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2726), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [276908] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2262), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2260), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [276959] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2258), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2256), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277010] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2210), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2208), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277061] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2254), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2252), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277112] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2250), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2248), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277163] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277214] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2226), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2224), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277265] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2078), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2076), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277316] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2700), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2702), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [277367] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277418] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277469] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277520] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277571] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277622] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2378), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2376), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277673] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277724] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2086), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2084), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277775] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277826] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277877] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2803), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2805), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [277928] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2358), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2356), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [277979] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2362), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2360), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278030] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2366), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2364), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278081] = 4,
    ACTIONS(8419), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2030), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2028), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278134] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2096), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278185] = 6,
    ACTIONS(5951), 1,
      sym_keyword_without,
    ACTIONS(8421), 1,
      sym_keyword_with,
    STATE(2495), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1961), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1963), 22,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [278242] = 6,
    ACTIONS(5951), 1,
      sym_keyword_without,
    ACTIONS(8424), 1,
      sym_keyword_with,
    STATE(2494), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1977), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1979), 22,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [278299] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278350] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2242), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2240), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278401] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2773), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2771), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278452] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2246), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2244), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278503] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2266), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2264), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278554] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2761), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2759), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278605] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2791), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2793), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [278656] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2765), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2763), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278707] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2286), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2284), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278758] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2290), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2288), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278809] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2728), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278860] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2314), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2312), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278911] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2302), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2300), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [278962] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3671), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3673), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [279013] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2390), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2388), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279064] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2318), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2316), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279115] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279166] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279217] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2370), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2368), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279268] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2708), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2710), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [279319] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2374), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2372), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279370] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2785), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2783), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279421] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2795), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2797), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [279472] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1971), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1969), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279523] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2684), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2686), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [279574] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2278), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2276), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279625] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2789), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2787), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279676] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279727] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2274), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2272), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279778] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2270), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2268), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279829] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2238), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2236), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279880] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2234), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2232), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279931] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2809), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2807), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [279982] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2298), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2296), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280033] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2306), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2304), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280084] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2310), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2308), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280135] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2787), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2789), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [280186] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2783), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2785), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [280237] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280288] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2757), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2755), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280339] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2230), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2228), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280390] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2374), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2372), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280441] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1971), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1969), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280492] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2803), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280543] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280594] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2757), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2755), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280645] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2370), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2368), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280696] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280747] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2809), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2807), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280798] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280849] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2728), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280900] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2765), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2763), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [280951] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2761), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2759), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281002] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2773), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2771), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281053] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2318), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2316), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281104] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281155] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281206] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2785), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2783), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281257] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2789), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2787), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281308] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281359] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2218), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2216), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281410] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281461] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2805), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2803), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281512] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2797), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2795), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281563] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2214), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2212), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281614] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2290), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2288), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281665] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2710), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2708), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281716] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2146), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2144), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281767] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2769), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2767), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281818] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2282), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2280), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281869] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2294), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2292), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281920] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [281971] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2286), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2284), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282022] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2266), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2264), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282073] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2246), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2244), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282124] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2724), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282175] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2242), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2240), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282226] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2222), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2220), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282277] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2702), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2700), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282328] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2797), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2795), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282379] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2710), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2708), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282430] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2042), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2040), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282481] = 7,
    ACTIONS(7269), 1,
      sym_keyword_without,
    ACTIONS(8427), 1,
      sym_keyword_with,
    ACTIONS(8430), 1,
      anon_sym_LPAREN,
    STATE(4273), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1861), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1859), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282540] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2793), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2791), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282591] = 7,
    ACTIONS(7269), 1,
      sym_keyword_without,
    ACTIONS(8432), 1,
      sym_keyword_with,
    ACTIONS(8435), 1,
      anon_sym_LPAREN,
    STATE(4254), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282650] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2054), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2052), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282701] = 4,
    ACTIONS(8437), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3453), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3451), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282754] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282805] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1386), 24,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [282856] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2078), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2076), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282907] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2086), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2084), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [282958] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2096), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283009] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2746), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [283060] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283111] = 19,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2612), 13,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [283194] = 5,
    ACTIONS(8459), 1,
      aux_sym__single_quote_string_token2,
    STATE(4190), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3279), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3277), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283249] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2771), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2773), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [283300] = 4,
    ACTIONS(8461), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3453), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3451), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283353] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2759), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2761), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [283404] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2763), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2765), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [283455] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2728), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2730), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [283506] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2390), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2388), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283557] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2314), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2312), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283608] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2302), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2300), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283659] = 19,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2475), 13,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [283742] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2366), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2364), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283793] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2278), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2276), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283844] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2274), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2272), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283895] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2270), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2268), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283946] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2238), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2236), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [283997] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2884), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2882), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284048] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2234), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2232), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284099] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2807), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2809), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [284150] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2676), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2678), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [284201] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2362), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2360), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284252] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2755), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2757), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [284303] = 4,
    ACTIONS(8463), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2072), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2070), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284356] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2230), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2228), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284407] = 4,
    ACTIONS(8465), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2110), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2108), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284460] = 5,
    ACTIONS(8467), 1,
      aux_sym__single_quote_string_token2,
    STATE(4032), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1369), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1367), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284515] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2342), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2340), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284566] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284617] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284668] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2799), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2801), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [284719] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2218), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2216), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284770] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2214), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2212), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284821] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2146), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2144), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284872] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2282), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2280), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284923] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2294), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2292), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [284974] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3685), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3683), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285025] = 4,
    ACTIONS(8470), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2172), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2170), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285078] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3495), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3493), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285129] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285180] = 4,
    ACTIONS(8472), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285233] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2194), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2192), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285284] = 4,
    ACTIONS(8474), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2188), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2186), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285337] = 4,
    ACTIONS(8476), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2182), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2180), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285390] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3613), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3611), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285441] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3609), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3607), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285492] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3565), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3563), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285543] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3503), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285594] = 5,
    ACTIONS(8478), 1,
      sym_keyword_filter,
    STATE(4713), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2696), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2698), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [285649] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3569), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3567), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285700] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3561), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3559), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285751] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2573), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [285802] = 21,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2573), 1,
      sym_keyword_or,
    ACTIONS(8480), 1,
      sym_keyword_in,
    ACTIONS(8482), 1,
      sym_keyword_is,
    ACTIONS(8484), 1,
      sym_keyword_not,
    ACTIONS(8486), 1,
      sym_keyword_between,
    ACTIONS(8488), 1,
      anon_sym_LBRACK,
    ACTIONS(8496), 1,
      sym_op_other,
    ACTIONS(8498), 1,
      anon_sym_PLUS,
    ACTIONS(8500), 1,
      anon_sym_DASH,
    ACTIONS(8502), 1,
      anon_sym_SLASH,
    ACTIONS(8504), 1,
      anon_sym_CARET,
    STATE(10740), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8492), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1703), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1601), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8490), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [285889] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2573), 1,
      sym_keyword_or,
    ACTIONS(8480), 1,
      sym_keyword_in,
    ACTIONS(8482), 1,
      sym_keyword_is,
    ACTIONS(8484), 1,
      sym_keyword_not,
    ACTIONS(8486), 1,
      sym_keyword_between,
    ACTIONS(8488), 1,
      anon_sym_LBRACK,
    ACTIONS(8496), 1,
      sym_op_other,
    ACTIONS(8498), 1,
      anon_sym_PLUS,
    ACTIONS(8500), 1,
      anon_sym_DASH,
    ACTIONS(8502), 1,
      anon_sym_SLASH,
    ACTIONS(8504), 1,
      anon_sym_CARET,
    ACTIONS(8506), 1,
      sym_keyword_and,
    STATE(10740), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8492), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1703), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1601), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8490), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [285978] = 16,
    ACTIONS(8480), 1,
      sym_keyword_in,
    ACTIONS(8482), 1,
      sym_keyword_is,
    ACTIONS(8488), 1,
      anon_sym_LBRACK,
    ACTIONS(8496), 1,
      sym_op_other,
    ACTIONS(8498), 1,
      anon_sym_PLUS,
    ACTIONS(8500), 1,
      anon_sym_DASH,
    ACTIONS(8502), 1,
      anon_sym_SLASH,
    ACTIONS(8504), 1,
      anon_sym_CARET,
    ACTIONS(8508), 1,
      sym_keyword_not,
    STATE(10740), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8492), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2573), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1703), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1601), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286055] = 9,
    ACTIONS(8482), 1,
      sym_keyword_is,
    ACTIONS(8488), 1,
      anon_sym_LBRACK,
    ACTIONS(8504), 1,
      anon_sym_CARET,
    STATE(10740), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1703), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1601), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 5,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2571), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286118] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286169] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2354), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2352), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286220] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3509), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3511), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [286271] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3505), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3507), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [286322] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2350), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2348), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286373] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2346), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2344), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286424] = 4,
    ACTIONS(8511), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2134), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2132), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286477] = 17,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8513), 1,
      sym_keyword_not,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 16,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [286556] = 8,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 27,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286617] = 4,
    ACTIONS(8516), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2128), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2126), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286670] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2410), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2408), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286721] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2414), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2412), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286772] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3585), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3583), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286823] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2398), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2396), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286874] = 11,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2573), 3,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286941] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2048), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2046), 36,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [286992] = 13,
    ACTIONS(8482), 1,
      sym_keyword_is,
    ACTIONS(8488), 1,
      anon_sym_LBRACK,
    ACTIONS(8498), 1,
      anon_sym_PLUS,
    ACTIONS(8500), 1,
      anon_sym_DASH,
    ACTIONS(8502), 1,
      anon_sym_SLASH,
    ACTIONS(8504), 1,
      anon_sym_CARET,
    STATE(10740), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8492), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2573), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1703), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1601), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287063] = 4,
    ACTIONS(8518), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287116] = 11,
    ACTIONS(8482), 1,
      sym_keyword_is,
    ACTIONS(8488), 1,
      anon_sym_LBRACK,
    ACTIONS(8502), 1,
      anon_sym_SLASH,
    ACTIONS(8504), 1,
      anon_sym_CARET,
    STATE(10740), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8492), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1703), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2573), 4,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1601), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287183] = 8,
    ACTIONS(8482), 1,
      sym_keyword_is,
    ACTIONS(8488), 1,
      anon_sym_LBRACK,
    STATE(10740), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1703), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1601), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287244] = 18,
    ACTIONS(2573), 1,
      sym_keyword_or,
    ACTIONS(8480), 1,
      sym_keyword_in,
    ACTIONS(8482), 1,
      sym_keyword_is,
    ACTIONS(8488), 1,
      anon_sym_LBRACK,
    ACTIONS(8496), 1,
      sym_op_other,
    ACTIONS(8498), 1,
      anon_sym_PLUS,
    ACTIONS(8500), 1,
      anon_sym_DASH,
    ACTIONS(8502), 1,
      anon_sym_SLASH,
    ACTIONS(8504), 1,
      anon_sym_CARET,
    ACTIONS(8508), 1,
      sym_keyword_not,
    STATE(10740), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8492), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1703), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1601), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8490), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [287325] = 4,
    ACTIONS(8520), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287378] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2052), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2054), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [287429] = 4,
    ACTIONS(8522), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287482] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3617), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3615), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287533] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3625), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3623), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287584] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3597), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287635] = 4,
    ACTIONS(8524), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287688] = 5,
    ACTIONS(8478), 1,
      sym_keyword_filter,
    STATE(4714), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2680), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2682), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [287743] = 4,
    ACTIONS(8526), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287796] = 4,
    ACTIONS(8528), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287849] = 4,
    ACTIONS(8298), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287902] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2404), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [287953] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2402), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2400), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [288004] = 4,
    STATE(4685), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3483), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3481), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [288057] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3601), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3599), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [288108] = 4,
    ACTIONS(8530), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [288161] = 4,
    ACTIONS(8532), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [288214] = 4,
    ACTIONS(7702), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [288267] = 4,
    ACTIONS(8534), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [288320] = 4,
    ACTIONS(8536), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [288373] = 4,
    ACTIONS(8538), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [288426] = 4,
    ACTIONS(8540), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [288479] = 4,
    ACTIONS(8542), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [288532] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(7960), 1,
      sym_keyword_in,
    ACTIONS(7962), 1,
      sym_keyword_and,
    ACTIONS(7964), 1,
      sym_keyword_or,
    ACTIONS(7966), 1,
      sym_keyword_is,
    ACTIONS(7968), 1,
      sym_keyword_not,
    ACTIONS(7970), 1,
      sym_keyword_between,
    ACTIONS(7972), 1,
      anon_sym_LBRACK,
    ACTIONS(7980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7984), 1,
      sym_op_other,
    ACTIONS(7986), 1,
      anon_sym_PLUS,
    ACTIONS(7988), 1,
      anon_sym_DASH,
    ACTIONS(7990), 1,
      anon_sym_SLASH,
    ACTIONS(7992), 1,
      anon_sym_CARET,
    STATE(11049), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7978), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7982), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1181), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1216), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7976), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6707), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
  [288623] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3605), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3603), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [288674] = 13,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2573), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [288745] = 4,
    ACTIONS(8544), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [288798] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3497), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3499), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [288849] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3587), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3589), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [288900] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3571), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3573), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [288951] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3575), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3577), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [289002] = 6,
    ACTIONS(8546), 1,
      anon_sym_LBRACK,
    STATE(4114), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4751), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 33,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289059] = 4,
    ACTIONS(8549), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289112] = 4,
    STATE(4470), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3483), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3481), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289165] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3577), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3575), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289216] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3573), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3571), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289267] = 5,
    ACTIONS(8478), 1,
      sym_keyword_filter,
    STATE(4715), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2712), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2714), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [289322] = 5,
    ACTIONS(8478), 1,
      sym_keyword_filter,
    STATE(4716), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2700), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2702), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [289377] = 5,
    ACTIONS(8478), 1,
      sym_keyword_filter,
    STATE(4717), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2692), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2694), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [289432] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3511), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3509), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289483] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3507), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3505), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289534] = 20,
    ACTIONS(2477), 1,
      sym_keyword_or,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(8480), 1,
      sym_keyword_in,
    ACTIONS(8482), 1,
      sym_keyword_is,
    ACTIONS(8484), 1,
      sym_keyword_not,
    ACTIONS(8488), 1,
      anon_sym_LBRACK,
    ACTIONS(8496), 1,
      sym_op_other,
    ACTIONS(8498), 1,
      anon_sym_PLUS,
    ACTIONS(8500), 1,
      anon_sym_DASH,
    ACTIONS(8502), 1,
      anon_sym_SLASH,
    ACTIONS(8504), 1,
      anon_sym_CARET,
    STATE(10740), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8492), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1703), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1601), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8490), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2475), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [289619] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3499), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3497), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289670] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3589), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3587), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [289721] = 5,
    ACTIONS(8478), 1,
      sym_keyword_filter,
    STATE(4718), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2724), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2726), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [289776] = 5,
    ACTIONS(8478), 1,
      sym_keyword_filter,
    STATE(4719), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2740), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2742), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [289831] = 5,
    ACTIONS(8478), 1,
      sym_keyword_filter,
    STATE(4721), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2736), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2738), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [289886] = 5,
    ACTIONS(8478), 1,
      sym_keyword_filter,
    STATE(4722), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2734), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [289941] = 5,
    ACTIONS(8478), 1,
      sym_keyword_filter,
    STATE(4723), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2720), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2722), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [289996] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2884), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2882), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290047] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3553), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3551), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290098] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3545), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3543), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290149] = 20,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2614), 1,
      sym_keyword_or,
    ACTIONS(8480), 1,
      sym_keyword_in,
    ACTIONS(8482), 1,
      sym_keyword_is,
    ACTIONS(8484), 1,
      sym_keyword_not,
    ACTIONS(8488), 1,
      anon_sym_LBRACK,
    ACTIONS(8496), 1,
      sym_op_other,
    ACTIONS(8498), 1,
      anon_sym_PLUS,
    ACTIONS(8500), 1,
      anon_sym_DASH,
    ACTIONS(8502), 1,
      anon_sym_SLASH,
    ACTIONS(8504), 1,
      anon_sym_CARET,
    STATE(10740), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8492), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1703), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1601), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8490), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2612), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      anon_sym_RPAREN,
      anon_sym_COLON_COLON,
  [290234] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3547), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290285] = 4,
    ACTIONS(8551), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2042), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2040), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290338] = 7,
    ACTIONS(6755), 1,
      sym_keyword_without,
    ACTIONS(8553), 1,
      sym_keyword_with,
    ACTIONS(8556), 1,
      anon_sym_LPAREN,
    STATE(2997), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1889), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1891), 22,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [290397] = 7,
    ACTIONS(6755), 1,
      sym_keyword_without,
    ACTIONS(8558), 1,
      sym_keyword_with,
    ACTIONS(8561), 1,
      anon_sym_LPAREN,
    STATE(2998), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1859), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1861), 22,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [290456] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3557), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3555), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290507] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3449), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3447), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290558] = 4,
    ACTIONS(8563), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290611] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2354), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2352), 36,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290662] = 4,
    ACTIONS(8565), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2086), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2084), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290715] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3461), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3459), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290766] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290817] = 4,
    ACTIONS(8567), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2096), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290870] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3543), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3545), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [290921] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [290972] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3661), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3659), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [291023] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2338), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2336), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [291074] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3593), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3591), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [291125] = 5,
    ACTIONS(8478), 1,
      sym_keyword_filter,
    STATE(4724), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2704), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2706), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [291180] = 5,
    ACTIONS(8478), 1,
      sym_keyword_filter,
    STATE(4725), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2708), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2710), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [291235] = 5,
    ACTIONS(8478), 1,
      sym_keyword_filter,
    STATE(4727), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2716), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2718), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [291290] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3681), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3679), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [291341] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3547), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3549), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [291392] = 5,
    ACTIONS(8478), 1,
      sym_keyword_filter,
    STATE(4728), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2684), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2686), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [291447] = 5,
    ACTIONS(8478), 1,
      sym_keyword_filter,
    STATE(4729), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2688), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2690), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [291502] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3621), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3619), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [291553] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2298), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2296), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [291604] = 4,
    ACTIONS(8569), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [291657] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [291708] = 4,
    ACTIONS(8571), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [291761] = 5,
    ACTIONS(8478), 1,
      sym_keyword_filter,
    STATE(4730), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2746), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [291816] = 4,
    ACTIONS(8573), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2146), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2144), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [291869] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3673), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3671), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [291920] = 5,
    ACTIONS(8478), 1,
      sym_keyword_filter,
    STATE(4731), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2670), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2672), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [291975] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3583), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3585), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [292026] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2571), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [292077] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3559), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3561), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [292128] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3567), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3569), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [292179] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3501), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3503), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [292230] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2882), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2884), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [292281] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3563), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3565), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [292332] = 5,
    ACTIONS(8478), 1,
      sym_keyword_filter,
    STATE(4732), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2728), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2730), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [292387] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3607), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3609), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [292438] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3611), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3613), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [292489] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3493), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3495), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [292540] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3661), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3659), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [292591] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3673), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3671), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [292642] = 5,
    ACTIONS(8575), 1,
      aux_sym__single_quote_string_token2,
    STATE(4413), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1363), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1361), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [292697] = 5,
    ACTIONS(8478), 1,
      sym_keyword_filter,
    STATE(4733), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2676), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2678), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [292752] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2728), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [292803] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3679), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3681), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [292854] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [292905] = 8,
    ACTIONS(8482), 1,
      sym_keyword_is,
    ACTIONS(8488), 1,
      anon_sym_LBRACK,
    STATE(10740), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1703), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1601), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2624), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2622), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [292966] = 9,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2573), 4,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 27,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293029] = 13,
    ACTIONS(8482), 1,
      sym_keyword_is,
    ACTIONS(8488), 1,
      anon_sym_LBRACK,
    ACTIONS(8498), 1,
      anon_sym_PLUS,
    ACTIONS(8500), 1,
      anon_sym_DASH,
    ACTIONS(8502), 1,
      anon_sym_SLASH,
    ACTIONS(8504), 1,
      anon_sym_CARET,
    STATE(10740), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8492), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2624), 3,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1703), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1601), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2622), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293100] = 5,
    ACTIONS(8577), 1,
      aux_sym__single_quote_string_token2,
    STATE(4032), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3306), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3304), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293155] = 6,
    STATE(10740), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1703), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1601), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293212] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3461), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3459), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293263] = 16,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8513), 1,
      sym_keyword_not,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2573), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 21,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293340] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2310), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2308), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293391] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2306), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2304), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293442] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2246), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2244), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293493] = 4,
    ACTIONS(8579), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3451), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3453), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [293546] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3449), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3447), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293597] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3557), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3555), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293648] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3621), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3619), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293699] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3553), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3551), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293750] = 6,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 29,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293807] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2358), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2356), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293858] = 20,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 12,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [293943] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2334), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2332), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [293994] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294045] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2330), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2328), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294096] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3593), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3591), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294147] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2326), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2324), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294198] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2322), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2320), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294249] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2769), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2767), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294300] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294351] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2724), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294402] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2262), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2260), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294453] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2258), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2256), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294504] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2210), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2208), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294555] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2254), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2252), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294606] = 5,
    STATE(4114), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(4751), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3302), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3300), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294661] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2250), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2248), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294712] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294763] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294814] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2226), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2224), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294865] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2702), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2700), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294916] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3547), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [294967] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3545), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3543), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295018] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295069] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295120] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2378), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2376), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295171] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295222] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3589), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3587), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295273] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3499), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3497), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295324] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295375] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2402), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2400), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295426] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2404), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295477] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295528] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295579] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295630] = 21,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 11,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_or,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
  [295717] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295768] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295819] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295870] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295921] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [295972] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2398), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2396), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296023] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2414), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2412), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296074] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2226), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2224), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296125] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3507), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3505), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296176] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3511), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3509), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296227] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296278] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3573), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3571), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296329] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3577), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3575), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296380] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(8480), 1,
      sym_keyword_in,
    ACTIONS(8482), 1,
      sym_keyword_is,
    ACTIONS(8484), 1,
      sym_keyword_not,
    ACTIONS(8486), 1,
      sym_keyword_between,
    ACTIONS(8488), 1,
      anon_sym_LBRACK,
    ACTIONS(8496), 1,
      sym_op_other,
    ACTIONS(8498), 1,
      anon_sym_PLUS,
    ACTIONS(8500), 1,
      anon_sym_DASH,
    ACTIONS(8502), 1,
      anon_sym_SLASH,
    ACTIONS(8504), 1,
      anon_sym_CARET,
    ACTIONS(8506), 1,
      sym_keyword_and,
    ACTIONS(8585), 1,
      sym_keyword_or,
    ACTIONS(8587), 1,
      anon_sym_COLON_COLON,
    STATE(10740), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8492), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8494), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1703), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1601), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8490), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6845), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [296471] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2410), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2408), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296522] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2378), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2376), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296573] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2250), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2248), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296624] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2254), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2252), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296675] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2210), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2208), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296726] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2258), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2256), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296777] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2262), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2260), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296828] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2322), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2320), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296879] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296930] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2326), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2324), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [296981] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2330), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2328), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297032] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297083] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2334), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2332), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297134] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2338), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2336), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297185] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2342), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2340), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297236] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2346), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2344), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297287] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2350), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2348), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297338] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2354), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2352), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297389] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2358), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2356), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297440] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2362), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2360), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297491] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297542] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297593] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2366), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2364), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297644] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2390), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2388), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297695] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297746] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2374), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2372), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297797] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2370), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2368), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297848] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2318), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2316), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297899] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2290), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2288), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [297950] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2286), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2284), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298001] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3605), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3603), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298052] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3601), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3599), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298103] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2266), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2264), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298154] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3597), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298205] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3625), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3623), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298256] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3617), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3615), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298307] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3585), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3583), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298358] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3683), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3685), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [298409] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2242), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2240), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298460] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2222), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2220), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298511] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3659), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3661), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [298562] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2042), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2040), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298613] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298664] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298715] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2765), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2763), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298766] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2078), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2076), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298817] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2793), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2791), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298868] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2086), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2084), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298919] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [298970] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2096), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299021] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2314), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2312), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299072] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2302), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2300), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299123] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2573), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299174] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3561), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3559), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299225] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3569), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3567), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299276] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3503), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299327] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [299378] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3565), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3563), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299429] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2278), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2276), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299480] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3609), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3607), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299531] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3613), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3611), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299582] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3495), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3493), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299633] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299684] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3685), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3683), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299735] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2274), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2272), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299786] = 7,
    ACTIONS(7483), 1,
      sym_keyword_without,
    ACTIONS(8589), 1,
      sym_keyword_with,
    ACTIONS(8592), 1,
      anon_sym_LPAREN,
    STATE(3900), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299845] = 7,
    ACTIONS(7483), 1,
      sym_keyword_without,
    ACTIONS(8594), 1,
      sym_keyword_with,
    ACTIONS(8597), 1,
      anon_sym_LPAREN,
    STATE(3901), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1861), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1859), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [299904] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3555), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3557), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [299955] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3551), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3553), 26,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_offset,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [300006] = 8,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(7664), 1,
      sym_keyword_is,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1785), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1782), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2622), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2624), 17,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [300067] = 13,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(7664), 1,
      sym_keyword_is,
    ACTIONS(7680), 1,
      anon_sym_PLUS,
    ACTIONS(7682), 1,
      anon_sym_DASH,
    ACTIONS(7684), 1,
      anon_sym_SLASH,
    ACTIONS(7686), 1,
      anon_sym_CARET,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7672), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1785), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1782), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2622), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2624), 14,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [300138] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2270), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2268), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [300189] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2054), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2052), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [300240] = 20,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(5983), 1,
      sym_keyword_similar,
    ACTIONS(7658), 1,
      sym_keyword_in,
    ACTIONS(7664), 1,
      sym_keyword_is,
    ACTIONS(7666), 1,
      sym_keyword_not,
    ACTIONS(7678), 1,
      sym_op_other,
    ACTIONS(7680), 1,
      anon_sym_PLUS,
    ACTIONS(7682), 1,
      anon_sym_DASH,
    ACTIONS(7684), 1,
      anon_sym_SLASH,
    ACTIONS(7686), 1,
      anon_sym_CARET,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5981), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7672), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7676), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1785), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1782), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7670), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2475), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2477), 7,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      sym__identifier,
  [300325] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2238), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2236), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [300376] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2793), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2791), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [300427] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2234), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2232), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [300478] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2298), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2296), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [300529] = 20,
    ACTIONS(5983), 1,
      sym_keyword_similar,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(8028), 1,
      sym_keyword_in,
    ACTIONS(8034), 1,
      sym_keyword_is,
    ACTIONS(8036), 1,
      sym_keyword_not,
    ACTIONS(8048), 1,
      sym_op_other,
    ACTIONS(8050), 1,
      anon_sym_PLUS,
    ACTIONS(8052), 1,
      anon_sym_DASH,
    ACTIONS(8054), 1,
      anon_sym_SLASH,
    ACTIONS(8056), 1,
      anon_sym_CARET,
    STATE(11279), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5981), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8042), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8046), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1801), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2612), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(8040), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2614), 8,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      sym__identifier,
  [300614] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2306), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2304), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [300665] = 18,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(7658), 1,
      sym_keyword_in,
    ACTIONS(7664), 1,
      sym_keyword_is,
    ACTIONS(7678), 1,
      sym_op_other,
    ACTIONS(7680), 1,
      anon_sym_PLUS,
    ACTIONS(7682), 1,
      anon_sym_DASH,
    ACTIONS(7684), 1,
      anon_sym_SLASH,
    ACTIONS(7686), 1,
      anon_sym_CARET,
    ACTIONS(8599), 1,
      sym_keyword_not,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7672), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7676), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1785), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1782), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7670), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 10,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym__identifier,
  [300746] = 8,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(7664), 1,
      sym_keyword_is,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1785), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1782), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 17,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [300807] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2310), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2308), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [300858] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1380), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1382), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [300911] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [300962] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2702), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2700), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [301013] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [301064] = 11,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(7664), 1,
      sym_keyword_is,
    ACTIONS(7684), 1,
      anon_sym_SLASH,
    ACTIONS(7686), 1,
      anon_sym_CARET,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7672), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1785), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1782), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 15,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [301131] = 20,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(5983), 1,
      sym_keyword_similar,
    ACTIONS(7658), 1,
      sym_keyword_in,
    ACTIONS(7664), 1,
      sym_keyword_is,
    ACTIONS(7666), 1,
      sym_keyword_not,
    ACTIONS(7678), 1,
      sym_op_other,
    ACTIONS(7680), 1,
      anon_sym_PLUS,
    ACTIONS(7682), 1,
      anon_sym_DASH,
    ACTIONS(7684), 1,
      anon_sym_SLASH,
    ACTIONS(7686), 1,
      anon_sym_CARET,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5981), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7672), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7676), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1785), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1782), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7670), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2612), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2614), 7,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      sym__identifier,
  [301216] = 20,
    ACTIONS(5983), 1,
      sym_keyword_similar,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(8028), 1,
      sym_keyword_in,
    ACTIONS(8034), 1,
      sym_keyword_is,
    ACTIONS(8036), 1,
      sym_keyword_not,
    ACTIONS(8048), 1,
      sym_op_other,
    ACTIONS(8050), 1,
      anon_sym_PLUS,
    ACTIONS(8052), 1,
      anon_sym_DASH,
    ACTIONS(8054), 1,
      anon_sym_SLASH,
    ACTIONS(8056), 1,
      anon_sym_CARET,
    STATE(11279), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5981), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8042), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8046), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1801), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2475), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(8040), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2477), 8,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      sym__identifier,
  [301301] = 6,
    ACTIONS(7048), 1,
      sym_keyword_without,
    ACTIONS(8602), 1,
      sym_keyword_with,
    STATE(3447), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1979), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1977), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [301358] = 6,
    ACTIONS(7048), 1,
      sym_keyword_without,
    ACTIONS(8605), 1,
      sym_keyword_with,
    STATE(3778), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1963), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1961), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [301415] = 9,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(7664), 1,
      sym_keyword_is,
    ACTIONS(7686), 1,
      anon_sym_CARET,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1785), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1782), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 16,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      sym__identifier,
  [301478] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3619), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3621), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [301529] = 6,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1736), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1737), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [301586] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2724), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [301637] = 8,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2624), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2622), 27,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [301698] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [301749] = 16,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(7658), 1,
      sym_keyword_in,
    ACTIONS(7664), 1,
      sym_keyword_is,
    ACTIONS(7678), 1,
      sym_op_other,
    ACTIONS(7680), 1,
      anon_sym_PLUS,
    ACTIONS(7682), 1,
      anon_sym_DASH,
    ACTIONS(7684), 1,
      anon_sym_SLASH,
    ACTIONS(7686), 1,
      anon_sym_CARET,
    ACTIONS(8599), 1,
      sym_keyword_not,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7672), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1785), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1782), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 12,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [301826] = 6,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1785), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1782), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [301883] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2769), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2767), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [301934] = 22,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(5983), 1,
      sym_keyword_similar,
    ACTIONS(7658), 1,
      sym_keyword_in,
    ACTIONS(7660), 1,
      sym_keyword_and,
    ACTIONS(7664), 1,
      sym_keyword_is,
    ACTIONS(7666), 1,
      sym_keyword_not,
    ACTIONS(7668), 1,
      sym_keyword_between,
    ACTIONS(7678), 1,
      sym_op_other,
    ACTIONS(7680), 1,
      anon_sym_PLUS,
    ACTIONS(7682), 1,
      anon_sym_DASH,
    ACTIONS(7684), 1,
      anon_sym_SLASH,
    ACTIONS(7686), 1,
      anon_sym_CARET,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5981), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7672), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7676), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1785), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1782), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 5,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_or,
      sym__identifier,
    ACTIONS(7670), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [302023] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3603), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3605), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [302074] = 21,
    ACTIONS(5983), 1,
      sym_keyword_similar,
    ACTIONS(7786), 1,
      sym_keyword_in,
    ACTIONS(7792), 1,
      sym_keyword_is,
    ACTIONS(7794), 1,
      sym_keyword_not,
    ACTIONS(7796), 1,
      sym_keyword_between,
    ACTIONS(7798), 1,
      anon_sym_LBRACK,
    ACTIONS(7808), 1,
      sym_op_other,
    ACTIONS(7810), 1,
      anon_sym_PLUS,
    ACTIONS(7812), 1,
      anon_sym_DASH,
    ACTIONS(7814), 1,
      anon_sym_SLASH,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5981), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7802), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7806), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1736), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1737), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7800), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 6,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym__identifier,
  [302161] = 4,
    ACTIONS(8608), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3453), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3451), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [302214] = 4,
    STATE(3369), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3481), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3483), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [302267] = 18,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(8028), 1,
      sym_keyword_in,
    ACTIONS(8034), 1,
      sym_keyword_is,
    ACTIONS(8048), 1,
      sym_op_other,
    ACTIONS(8050), 1,
      anon_sym_PLUS,
    ACTIONS(8052), 1,
      anon_sym_DASH,
    ACTIONS(8054), 1,
      anon_sym_SLASH,
    ACTIONS(8056), 1,
      anon_sym_CARET,
    ACTIONS(8610), 1,
      sym_keyword_not,
    STATE(11279), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8042), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8046), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1801), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(8040), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2573), 11,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym__identifier,
  [302348] = 8,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(8034), 1,
      sym_keyword_is,
    STATE(11279), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1801), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 18,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [302409] = 11,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(8034), 1,
      sym_keyword_is,
    ACTIONS(8054), 1,
      anon_sym_SLASH,
    ACTIONS(8056), 1,
      anon_sym_CARET,
    STATE(11279), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8042), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1801), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 12,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 16,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [302476] = 13,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(8034), 1,
      sym_keyword_is,
    ACTIONS(8050), 1,
      anon_sym_PLUS,
    ACTIONS(8052), 1,
      anon_sym_DASH,
    ACTIONS(8054), 1,
      anon_sym_SLASH,
    ACTIONS(8056), 1,
      anon_sym_CARET,
    STATE(11279), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8042), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1801), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 11,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 15,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [302547] = 13,
    ACTIONS(7792), 1,
      sym_keyword_is,
    ACTIONS(7798), 1,
      anon_sym_LBRACK,
    ACTIONS(7810), 1,
      anon_sym_PLUS,
    ACTIONS(7812), 1,
      anon_sym_DASH,
    ACTIONS(7814), 1,
      anon_sym_SLASH,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7802), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1736), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1737), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 14,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [302618] = 9,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(8034), 1,
      sym_keyword_is,
    ACTIONS(8056), 1,
      anon_sym_CARET,
    STATE(11279), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1801), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 17,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      sym__identifier,
  [302681] = 16,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(8028), 1,
      sym_keyword_in,
    ACTIONS(8034), 1,
      sym_keyword_is,
    ACTIONS(8048), 1,
      sym_op_other,
    ACTIONS(8050), 1,
      anon_sym_PLUS,
    ACTIONS(8052), 1,
      anon_sym_DASH,
    ACTIONS(8054), 1,
      anon_sym_SLASH,
    ACTIONS(8056), 1,
      anon_sym_CARET,
    ACTIONS(8610), 1,
      sym_keyword_not,
    STATE(11279), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8042), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1801), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 13,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [302758] = 6,
    STATE(11279), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1801), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 19,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [302815] = 22,
    ACTIONS(5983), 1,
      sym_keyword_similar,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(8028), 1,
      sym_keyword_in,
    ACTIONS(8030), 1,
      sym_keyword_and,
    ACTIONS(8034), 1,
      sym_keyword_is,
    ACTIONS(8036), 1,
      sym_keyword_not,
    ACTIONS(8038), 1,
      sym_keyword_between,
    ACTIONS(8048), 1,
      sym_op_other,
    ACTIONS(8050), 1,
      anon_sym_PLUS,
    ACTIONS(8052), 1,
      anon_sym_DASH,
    ACTIONS(8054), 1,
      anon_sym_SLASH,
    ACTIONS(8056), 1,
      anon_sym_CARET,
    STATE(11279), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5981), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8042), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8046), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1801), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(8040), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2573), 6,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_or,
      sym__identifier,
  [302904] = 21,
    ACTIONS(5983), 1,
      sym_keyword_similar,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(8028), 1,
      sym_keyword_in,
    ACTIONS(8034), 1,
      sym_keyword_is,
    ACTIONS(8036), 1,
      sym_keyword_not,
    ACTIONS(8038), 1,
      sym_keyword_between,
    ACTIONS(8048), 1,
      sym_op_other,
    ACTIONS(8050), 1,
      anon_sym_PLUS,
    ACTIONS(8052), 1,
      anon_sym_DASH,
    ACTIONS(8054), 1,
      anon_sym_SLASH,
    ACTIONS(8056), 1,
      anon_sym_CARET,
    STATE(11279), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5981), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8042), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8046), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1801), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(8040), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2573), 7,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_and,
      sym_keyword_or,
      sym__identifier,
  [302991] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2710), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2708), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303042] = 11,
    ACTIONS(7792), 1,
      sym_keyword_is,
    ACTIONS(7798), 1,
      anon_sym_LBRACK,
    ACTIONS(7814), 1,
      anon_sym_SLASH,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7802), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1736), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1737), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 15,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [303109] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2797), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2795), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303160] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2230), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2228), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303211] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2805), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2803), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303262] = 13,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(7664), 1,
      sym_keyword_is,
    ACTIONS(7680), 1,
      anon_sym_PLUS,
    ACTIONS(7682), 1,
      anon_sym_DASH,
    ACTIONS(7684), 1,
      anon_sym_SLASH,
    ACTIONS(7686), 1,
      anon_sym_CARET,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7672), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1785), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1782), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 14,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [303333] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303384] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2809), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2807), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303435] = 21,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(5983), 1,
      sym_keyword_similar,
    ACTIONS(7658), 1,
      sym_keyword_in,
    ACTIONS(7664), 1,
      sym_keyword_is,
    ACTIONS(7666), 1,
      sym_keyword_not,
    ACTIONS(7668), 1,
      sym_keyword_between,
    ACTIONS(7678), 1,
      sym_op_other,
    ACTIONS(7680), 1,
      anon_sym_PLUS,
    ACTIONS(7682), 1,
      anon_sym_DASH,
    ACTIONS(7684), 1,
      anon_sym_SLASH,
    ACTIONS(7686), 1,
      anon_sym_CARET,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5981), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7672), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7676), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1785), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1782), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7670), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 6,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym__identifier,
  [303522] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3591), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3593), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [303573] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1971), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1969), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303624] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303675] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303726] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303777] = 13,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2624), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2622), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303848] = 13,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(8034), 1,
      sym_keyword_is,
    ACTIONS(8050), 1,
      anon_sym_PLUS,
    ACTIONS(8052), 1,
      anon_sym_DASH,
    ACTIONS(8054), 1,
      anon_sym_SLASH,
    ACTIONS(8056), 1,
      anon_sym_CARET,
    STATE(11279), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8042), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1801), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2622), 11,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2624), 15,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [303919] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2789), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2787), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [303970] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2785), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2783), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304021] = 8,
    ACTIONS(7792), 1,
      sym_keyword_is,
    ACTIONS(7798), 1,
      anon_sym_LBRACK,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1736), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1737), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 17,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [304082] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2757), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2755), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304133] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3599), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3601), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [304184] = 8,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(8034), 1,
      sym_keyword_is,
    STATE(11279), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1801), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1794), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2622), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2624), 18,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [304245] = 18,
    ACTIONS(7786), 1,
      sym_keyword_in,
    ACTIONS(7792), 1,
      sym_keyword_is,
    ACTIONS(7798), 1,
      anon_sym_LBRACK,
    ACTIONS(7808), 1,
      sym_op_other,
    ACTIONS(7810), 1,
      anon_sym_PLUS,
    ACTIONS(7812), 1,
      anon_sym_DASH,
    ACTIONS(7814), 1,
      anon_sym_SLASH,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    ACTIONS(8613), 1,
      sym_keyword_not,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7802), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7806), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1736), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1737), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7800), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 10,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym__identifier,
  [304326] = 22,
    ACTIONS(5983), 1,
      sym_keyword_similar,
    ACTIONS(7786), 1,
      sym_keyword_in,
    ACTIONS(7788), 1,
      sym_keyword_and,
    ACTIONS(7792), 1,
      sym_keyword_is,
    ACTIONS(7794), 1,
      sym_keyword_not,
    ACTIONS(7796), 1,
      sym_keyword_between,
    ACTIONS(7798), 1,
      anon_sym_LBRACK,
    ACTIONS(7808), 1,
      sym_op_other,
    ACTIONS(7810), 1,
      anon_sym_PLUS,
    ACTIONS(7812), 1,
      anon_sym_DASH,
    ACTIONS(7814), 1,
      anon_sym_SLASH,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5981), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7802), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7806), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1736), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1737), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 5,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_or,
      sym__identifier,
    ACTIONS(7800), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [304415] = 20,
    ACTIONS(5983), 1,
      sym_keyword_similar,
    ACTIONS(7786), 1,
      sym_keyword_in,
    ACTIONS(7792), 1,
      sym_keyword_is,
    ACTIONS(7794), 1,
      sym_keyword_not,
    ACTIONS(7798), 1,
      anon_sym_LBRACK,
    ACTIONS(7808), 1,
      sym_op_other,
    ACTIONS(7810), 1,
      anon_sym_PLUS,
    ACTIONS(7812), 1,
      anon_sym_DASH,
    ACTIONS(7814), 1,
      anon_sym_SLASH,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5981), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7802), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7806), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1736), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1737), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7800), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2475), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2477), 7,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      sym__identifier,
  [304500] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304551] = 16,
    ACTIONS(7786), 1,
      sym_keyword_in,
    ACTIONS(7792), 1,
      sym_keyword_is,
    ACTIONS(7798), 1,
      anon_sym_LBRACK,
    ACTIONS(7808), 1,
      sym_op_other,
    ACTIONS(7810), 1,
      anon_sym_PLUS,
    ACTIONS(7812), 1,
      anon_sym_DASH,
    ACTIONS(7814), 1,
      anon_sym_SLASH,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    ACTIONS(8613), 1,
      sym_keyword_not,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7802), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1736), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1737), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 11,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 12,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [304628] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2218), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2216), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304679] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2214), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2212), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304730] = 20,
    ACTIONS(5983), 1,
      sym_keyword_similar,
    ACTIONS(7786), 1,
      sym_keyword_in,
    ACTIONS(7792), 1,
      sym_keyword_is,
    ACTIONS(7794), 1,
      sym_keyword_not,
    ACTIONS(7798), 1,
      anon_sym_LBRACK,
    ACTIONS(7808), 1,
      sym_op_other,
    ACTIONS(7810), 1,
      anon_sym_PLUS,
    ACTIONS(7812), 1,
      anon_sym_DASH,
    ACTIONS(7814), 1,
      anon_sym_SLASH,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5981), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7802), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7806), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1736), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1737), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7800), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2612), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2614), 7,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      sym__identifier,
  [304815] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [304866] = 8,
    ACTIONS(7792), 1,
      sym_keyword_is,
    ACTIONS(7798), 1,
      anon_sym_LBRACK,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1736), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1737), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2622), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2624), 17,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [304927] = 9,
    ACTIONS(7792), 1,
      sym_keyword_is,
    ACTIONS(7798), 1,
      anon_sym_LBRACK,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1736), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1737), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 16,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      sym__identifier,
  [304990] = 13,
    ACTIONS(7792), 1,
      sym_keyword_is,
    ACTIONS(7798), 1,
      anon_sym_LBRACK,
    ACTIONS(7810), 1,
      anon_sym_PLUS,
    ACTIONS(7812), 1,
      anon_sym_DASH,
    ACTIONS(7814), 1,
      anon_sym_SLASH,
    ACTIONS(7816), 1,
      anon_sym_CARET,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7802), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1736), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1737), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2622), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2624), 14,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [305061] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305112] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3595), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3597), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [305163] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305214] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3623), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3625), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [305265] = 4,
    STATE(4526), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3483), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3481), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305318] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2146), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2144), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305369] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2282), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2280), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305420] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3615), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3617), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [305471] = 7,
    ACTIONS(123), 1,
      anon_sym_LPAREN,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2853), 1,
      anon_sym_DOT,
    STATE(2523), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2849), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2851), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [305530] = 4,
    ACTIONS(8616), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(121), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(123), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305583] = 5,
    ACTIONS(8577), 1,
      aux_sym__single_quote_string_token2,
    STATE(4032), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1376), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1374), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305638] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2773), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2771), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305689] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2294), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2292), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305740] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2761), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2759), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305791] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3461), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3459), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305841] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3571), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3573), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [305891] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3685), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3683), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305941] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3495), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3493), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [305991] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3613), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3611), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306041] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3609), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3607), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306091] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3565), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3563), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306141] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2884), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2882), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306191] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306241] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3503), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306291] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3569), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3567), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306341] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306391] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3561), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3559), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306441] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2573), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306491] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6973), 1,
      sym_keyword_in,
    ACTIONS(6975), 1,
      sym_keyword_is,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(6984), 1,
      sym_op_other,
    ACTIONS(6986), 1,
      anon_sym_PLUS,
    ACTIONS(6988), 1,
      anon_sym_DASH,
    ACTIONS(6990), 1,
      anon_sym_SLASH,
    ACTIONS(6992), 1,
      anon_sym_CARET,
    ACTIONS(7010), 1,
      sym_keyword_not,
    ACTIONS(7078), 1,
      sym_keyword_and,
    ACTIONS(7080), 1,
      sym_keyword_between,
    ACTIONS(7147), 1,
      sym_keyword_or,
    ACTIONS(7149), 1,
      anon_sym_COLON_COLON,
    STATE(11279), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6982), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7014), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1374), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7012), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(7261), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [306581] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3585), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3583), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306631] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3617), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3615), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306681] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3625), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3623), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306731] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306781] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3597), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306831] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306881] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3601), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3599), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306931] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3605), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3603), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [306981] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3577), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3575), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307031] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3573), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3571), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307081] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3511), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3509), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307131] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3507), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3505), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307181] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3499), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3497), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307231] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3589), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3587), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307281] = 6,
    ACTIONS(6755), 1,
      sym_keyword_without,
    ACTIONS(8618), 1,
      sym_keyword_with,
    STATE(2921), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1961), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1963), 22,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [307337] = 6,
    ACTIONS(6755), 1,
      sym_keyword_without,
    ACTIONS(8621), 1,
      sym_keyword_with,
    STATE(2930), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1977), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1979), 22,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [307393] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307443] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307493] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3545), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3543), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307543] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3547), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307593] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3593), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3591), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307643] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3621), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3619), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307693] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3661), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3659), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307743] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3673), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3671), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307793] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3681), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3679), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307843] = 8,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8116), 1,
      sym_keyword_is,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1796), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1797), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2622), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2624), 17,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [307903] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [307953] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3461), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3459), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308003] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3449), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3447), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308053] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3557), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3555), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308103] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3553), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3551), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308153] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2882), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2884), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [308203] = 13,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8116), 1,
      sym_keyword_is,
    ACTIONS(8130), 1,
      anon_sym_PLUS,
    ACTIONS(8132), 1,
      anon_sym_DASH,
    ACTIONS(8134), 1,
      anon_sym_SLASH,
    ACTIONS(8136), 1,
      anon_sym_CARET,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8124), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1796), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1797), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2622), 11,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2624), 14,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [308273] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308323] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2402), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2400), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308373] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2404), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308423] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2398), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2396), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308473] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(7960), 1,
      sym_keyword_in,
    ACTIONS(7962), 1,
      sym_keyword_and,
    ACTIONS(7964), 1,
      sym_keyword_or,
    ACTIONS(7966), 1,
      sym_keyword_is,
    ACTIONS(7968), 1,
      sym_keyword_not,
    ACTIONS(7970), 1,
      sym_keyword_between,
    ACTIONS(7972), 1,
      anon_sym_LBRACK,
    ACTIONS(7980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7984), 1,
      sym_op_other,
    ACTIONS(7986), 1,
      anon_sym_PLUS,
    ACTIONS(7988), 1,
      anon_sym_DASH,
    ACTIONS(7990), 1,
      anon_sym_SLASH,
    ACTIONS(7992), 1,
      anon_sym_CARET,
    STATE(11049), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7978), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7982), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1181), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1216), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7976), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6845), 8,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [308563] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2414), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2412), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308613] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2410), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2408), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308663] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308713] = 6,
    ACTIONS(7269), 1,
      sym_keyword_without,
    ACTIONS(8624), 1,
      sym_keyword_with,
    STATE(3914), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1963), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1961), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308769] = 6,
    ACTIONS(7269), 1,
      sym_keyword_without,
    ACTIONS(8627), 1,
      sym_keyword_with,
    STATE(3881), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1979), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1977), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308825] = 7,
    ACTIONS(7758), 1,
      sym_keyword_without,
    ACTIONS(8630), 1,
      sym_keyword_with,
    ACTIONS(8633), 1,
      anon_sym_LPAREN,
    STATE(4642), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1861), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1859), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308883] = 7,
    ACTIONS(7758), 1,
      sym_keyword_without,
    ACTIONS(8635), 1,
      sym_keyword_with,
    ACTIONS(8638), 1,
      anon_sym_LPAREN,
    STATE(4640), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308941] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1382), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [308991] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(8640), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_COMMA,
  [309081] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(7798), 1,
      anon_sym_LBRACK,
    ACTIONS(8073), 1,
      sym_keyword_in,
    ACTIONS(8075), 1,
      sym_keyword_is,
    ACTIONS(8077), 1,
      sym_keyword_not,
    ACTIONS(8079), 1,
      sym_keyword_between,
    ACTIONS(8087), 1,
      sym_op_other,
    ACTIONS(8089), 1,
      anon_sym_PLUS,
    ACTIONS(8091), 1,
      anon_sym_DASH,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8095), 1,
      anon_sym_CARET,
    ACTIONS(8097), 1,
      sym_keyword_and,
    ACTIONS(8646), 1,
      sym_keyword_or,
    ACTIONS(8648), 1,
      anon_sym_COLON_COLON,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8083), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8085), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1421), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1439), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8081), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(8640), 8,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_COMMA,
  [309171] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1386), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1384), 35,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_nulls,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [309221] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3683), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3685), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [309271] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1382), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [309321] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3493), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3495), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [309371] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3611), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3613), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [309421] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3607), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3609), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [309471] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3563), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3565), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [309521] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3501), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3503), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [309571] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3567), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3569), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [309621] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3559), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3561), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [309671] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2571), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [309721] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3583), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3585), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [309771] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3615), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3617), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [309821] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3623), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3625), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [309871] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3595), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3597), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [309921] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3599), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3601), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [309971] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3603), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3605), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [310021] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3575), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3577), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [310071] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3509), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3511), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [310121] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3505), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3507), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [310171] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3497), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3499), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [310221] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3587), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3589), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [310271] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3543), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3545), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [310321] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3547), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3549), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [310371] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3591), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3593), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [310421] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3619), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3621), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [310471] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3659), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3661), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [310521] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3671), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3673), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [310571] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3679), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3681), 25,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [310621] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2884), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2882), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310671] = 5,
    ACTIONS(8650), 1,
      aux_sym__single_quote_string_token2,
    STATE(4679), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3277), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3279), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [310725] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3685), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3683), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310775] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3495), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3493), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310825] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3613), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3611), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310875] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3609), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3607), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [310925] = 20,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(5983), 1,
      sym_keyword_similar,
    ACTIONS(7658), 1,
      sym_keyword_in,
    ACTIONS(8116), 1,
      sym_keyword_is,
    ACTIONS(8118), 1,
      sym_keyword_not,
    ACTIONS(8128), 1,
      sym_op_other,
    ACTIONS(8130), 1,
      anon_sym_PLUS,
    ACTIONS(8132), 1,
      anon_sym_DASH,
    ACTIONS(8134), 1,
      anon_sym_SLASH,
    ACTIONS(8136), 1,
      anon_sym_CARET,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5981), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8124), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8126), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1796), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1797), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2612), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(8122), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2614), 7,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      sym__identifier,
  [311009] = 20,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(5983), 1,
      sym_keyword_similar,
    ACTIONS(7658), 1,
      sym_keyword_in,
    ACTIONS(8116), 1,
      sym_keyword_is,
    ACTIONS(8118), 1,
      sym_keyword_not,
    ACTIONS(8128), 1,
      sym_op_other,
    ACTIONS(8130), 1,
      anon_sym_PLUS,
    ACTIONS(8132), 1,
      anon_sym_DASH,
    ACTIONS(8134), 1,
      anon_sym_SLASH,
    ACTIONS(8136), 1,
      anon_sym_CARET,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5981), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8124), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8126), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1796), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1797), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2475), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(8122), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2477), 7,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      sym__identifier,
  [311093] = 18,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(7658), 1,
      sym_keyword_in,
    ACTIONS(8116), 1,
      sym_keyword_is,
    ACTIONS(8128), 1,
      sym_op_other,
    ACTIONS(8130), 1,
      anon_sym_PLUS,
    ACTIONS(8132), 1,
      anon_sym_DASH,
    ACTIONS(8134), 1,
      anon_sym_SLASH,
    ACTIONS(8136), 1,
      anon_sym_CARET,
    ACTIONS(8652), 1,
      sym_keyword_not,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8124), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8126), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1796), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1797), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(8122), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2573), 10,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym__identifier,
  [311173] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311223] = 8,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8116), 1,
      sym_keyword_is,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1796), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1797), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 17,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [311283] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3565), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3563), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311333] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3503), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311383] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3569), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3567), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311433] = 11,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8116), 1,
      sym_keyword_is,
    ACTIONS(8134), 1,
      anon_sym_SLASH,
    ACTIONS(8136), 1,
      anon_sym_CARET,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8124), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1796), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1797), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 12,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 15,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      sym__identifier,
  [311499] = 13,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8116), 1,
      sym_keyword_is,
    ACTIONS(8130), 1,
      anon_sym_PLUS,
    ACTIONS(8132), 1,
      anon_sym_DASH,
    ACTIONS(8134), 1,
      anon_sym_SLASH,
    ACTIONS(8136), 1,
      anon_sym_CARET,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8124), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1796), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1797), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 11,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 14,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [311569] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2410), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2408), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311619] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2414), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2412), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311669] = 9,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8116), 1,
      sym_keyword_is,
    ACTIONS(8136), 1,
      anon_sym_CARET,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1796), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1797), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 14,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 16,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      sym__identifier,
  [311731] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3561), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3559), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311781] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2573), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311831] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2398), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2396), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311881] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2404), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311931] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2402), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2400), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [311981] = 4,
    STATE(4773), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3483), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3481), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312033] = 16,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(7658), 1,
      sym_keyword_in,
    ACTIONS(8116), 1,
      sym_keyword_is,
    ACTIONS(8128), 1,
      sym_op_other,
    ACTIONS(8130), 1,
      anon_sym_PLUS,
    ACTIONS(8132), 1,
      anon_sym_DASH,
    ACTIONS(8134), 1,
      anon_sym_SLASH,
    ACTIONS(8136), 1,
      anon_sym_CARET,
    ACTIONS(8652), 1,
      sym_keyword_not,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8124), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1796), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1797), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 10,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 12,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      sym__identifier,
  [312109] = 6,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1796), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1797), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [312165] = 22,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(5983), 1,
      sym_keyword_similar,
    ACTIONS(7658), 1,
      sym_keyword_in,
    ACTIONS(8112), 1,
      sym_keyword_and,
    ACTIONS(8116), 1,
      sym_keyword_is,
    ACTIONS(8118), 1,
      sym_keyword_not,
    ACTIONS(8120), 1,
      sym_keyword_between,
    ACTIONS(8128), 1,
      sym_op_other,
    ACTIONS(8130), 1,
      anon_sym_PLUS,
    ACTIONS(8132), 1,
      anon_sym_DASH,
    ACTIONS(8134), 1,
      anon_sym_SLASH,
    ACTIONS(8136), 1,
      anon_sym_CARET,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5981), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8124), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8126), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1796), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1797), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 5,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_or,
      sym__identifier,
    ACTIONS(8122), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312253] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3585), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3583), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312303] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3617), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3615), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312353] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3625), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3623), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312403] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3597), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312453] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3553), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3551), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312503] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3601), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3599), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312553] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3557), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3555), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312603] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3449), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3447), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312653] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3605), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3603), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312703] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3461), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3459), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312753] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312803] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3577), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3575), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312853] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3573), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3571), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312903] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3511), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3509), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [312953] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3507), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3505), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313003] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3499), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3497), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313053] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3589), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3587), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313103] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3503), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313153] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3545), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3543), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313203] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3547), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313253] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3593), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3591), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313303] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2294), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2292), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313353] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2282), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2280), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313403] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2146), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2144), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313453] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2214), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2212), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313503] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2218), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2216), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313553] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3681), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3679), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313603] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313653] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313703] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1971), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1969), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313753] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2230), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2228), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313803] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3673), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3671), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313853] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2234), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2232), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313903] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2238), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2236), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [313953] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2270), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2268), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314003] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3621), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3619), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314053] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2274), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2272), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314103] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2278), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2276), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314153] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3661), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3659), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314203] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2302), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2300), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314253] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2314), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2312), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314303] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3673), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3671), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314353] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3681), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3679), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314403] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2054), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2052), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314453] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3661), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3659), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314503] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2096), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314553] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2086), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2084), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314603] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2078), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2076), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314653] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314703] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2042), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2040), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314753] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2222), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2220), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314803] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2242), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2240), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314853] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2246), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2244), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314903] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2266), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2264), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [314953] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2286), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2284), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315003] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2290), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2288), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315053] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2318), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2316), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315103] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2370), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2368), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315153] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2374), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2372), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315203] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3621), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3619), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315253] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3593), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3591), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315303] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315353] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2390), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2388), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315403] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2366), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2364), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315453] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2362), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2360), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315503] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2358), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2356), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315553] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2354), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2352), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315603] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2350), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2348), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315653] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2346), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2344), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315703] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2342), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2340), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315753] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2338), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2336), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315803] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2334), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2332), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315853] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2330), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2328), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315903] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2326), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2324), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [315953] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2322), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2320), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316003] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2793), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2791), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316053] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3547), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316103] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3545), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3543), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316153] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2702), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2700), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316203] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3589), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3587), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316253] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3499), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3497), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316303] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2262), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2260), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316353] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2258), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2256), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316403] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2210), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2208), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316453] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2254), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2252), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316503] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2250), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2248), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316553] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2724), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316603] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316653] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2226), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2224), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316703] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316753] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2769), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2767), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316803] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3507), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3505), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316853] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3511), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3509), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316903] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2710), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2708), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [316953] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3573), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3571), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317003] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3577), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3575), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317053] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2797), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2795), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317103] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317153] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317203] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317253] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2805), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2803), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317303] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317353] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317403] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2378), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2376), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317453] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317503] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317553] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317603] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317653] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2789), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2787), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317703] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2785), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2783), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317753] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3605), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3603), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317803] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3601), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3599), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317853] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3597), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317903] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3625), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3623), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [317953] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3617), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3615), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318003] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3585), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3583), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318053] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318103] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318153] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2773), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2771), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318203] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2298), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2296), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318253] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2306), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2304), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318303] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2310), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2308), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318353] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2761), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2759), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318403] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2573), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318453] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3561), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3559), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318503] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3569), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3567), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318553] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3565), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3563), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318603] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2765), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2763), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318653] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2728), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318703] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2809), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2807), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318753] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3609), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3607), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318803] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3613), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3611), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318853] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3495), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3493), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318903] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3685), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3683), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [318953] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319003] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2757), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2755), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319053] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 35,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319103] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319153] = 4,
    ACTIONS(8655), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3453), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3451), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319205] = 21,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(5983), 1,
      sym_keyword_similar,
    ACTIONS(7658), 1,
      sym_keyword_in,
    ACTIONS(8116), 1,
      sym_keyword_is,
    ACTIONS(8118), 1,
      sym_keyword_not,
    ACTIONS(8120), 1,
      sym_keyword_between,
    ACTIONS(8128), 1,
      sym_op_other,
    ACTIONS(8130), 1,
      anon_sym_PLUS,
    ACTIONS(8132), 1,
      anon_sym_DASH,
    ACTIONS(8134), 1,
      anon_sym_SLASH,
    ACTIONS(8136), 1,
      anon_sym_CARET,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(5981), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8124), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8126), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1796), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1797), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(8122), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2573), 6,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_and,
      sym_keyword_or,
      sym__identifier,
  [319291] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3449), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3447), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319341] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3557), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3555), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319391] = 5,
    ACTIONS(6767), 1,
      aux_sym__single_quote_string_token2,
    STATE(2456), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3304), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3306), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [319445] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3553), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3551), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319495] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2884), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2882), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319545] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2402), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2400), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319595] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2404), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319645] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2398), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2396), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319695] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2414), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2412), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319745] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2410), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2408), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319795] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 7,
      sym_keyword_in,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319845] = 6,
    ACTIONS(7483), 1,
      sym_keyword_without,
    ACTIONS(8657), 1,
      sym_keyword_with,
    STATE(3989), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1963), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1961), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319901] = 6,
    ACTIONS(7483), 1,
      sym_keyword_without,
    ACTIONS(8660), 1,
      sym_keyword_with,
    STATE(3990), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1979), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1977), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [319957] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2402), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2400), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320006] = 20,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(8663), 1,
      sym_keyword_in,
    ACTIONS(8665), 1,
      sym_keyword_is,
    ACTIONS(8667), 1,
      sym_keyword_not,
    ACTIONS(8669), 1,
      sym_keyword_between,
    ACTIONS(8671), 1,
      anon_sym_LBRACK,
    ACTIONS(8679), 1,
      sym_op_other,
    ACTIONS(8681), 1,
      anon_sym_PLUS,
    ACTIONS(8683), 1,
      anon_sym_DASH,
    ACTIONS(8685), 1,
      anon_sym_SLASH,
    ACTIONS(8687), 1,
      anon_sym_CARET,
    STATE(11462), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8675), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8677), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1622), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1623), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8673), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 10,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      anon_sym_COLON_COLON,
  [320089] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6973), 1,
      sym_keyword_in,
    ACTIONS(6975), 1,
      sym_keyword_is,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(6984), 1,
      sym_op_other,
    ACTIONS(6986), 1,
      anon_sym_PLUS,
    ACTIONS(6988), 1,
      anon_sym_DASH,
    ACTIONS(6990), 1,
      anon_sym_SLASH,
    ACTIONS(6992), 1,
      anon_sym_CARET,
    ACTIONS(7010), 1,
      sym_keyword_not,
    ACTIONS(7078), 1,
      sym_keyword_and,
    ACTIONS(7080), 1,
      sym_keyword_between,
    ACTIONS(7147), 1,
      sym_keyword_or,
    ACTIONS(7149), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7493), 1,
      anon_sym_COMMA,
    STATE(8379), 1,
      aux_sym_array_repeat1,
    STATE(11279), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6982), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7014), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1374), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7012), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(8689), 5,
      sym_keyword_order,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
  [320182] = 13,
    ACTIONS(8665), 1,
      sym_keyword_is,
    ACTIONS(8671), 1,
      anon_sym_LBRACK,
    ACTIONS(8681), 1,
      anon_sym_PLUS,
    ACTIONS(8683), 1,
      anon_sym_DASH,
    ACTIONS(8685), 1,
      anon_sym_SLASH,
    ACTIONS(8687), 1,
      anon_sym_CARET,
    STATE(11462), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8675), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2573), 3,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1622), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1623), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 21,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320251] = 9,
    ACTIONS(8665), 1,
      sym_keyword_is,
    ACTIONS(8671), 1,
      anon_sym_LBRACK,
    ACTIONS(8687), 1,
      anon_sym_CARET,
    STATE(11462), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1622), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1623), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 5,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
    ACTIONS(2571), 24,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320312] = 16,
    ACTIONS(8663), 1,
      sym_keyword_in,
    ACTIONS(8665), 1,
      sym_keyword_is,
    ACTIONS(8671), 1,
      anon_sym_LBRACK,
    ACTIONS(8679), 1,
      sym_op_other,
    ACTIONS(8681), 1,
      anon_sym_PLUS,
    ACTIONS(8683), 1,
      anon_sym_DASH,
    ACTIONS(8685), 1,
      anon_sym_SLASH,
    ACTIONS(8687), 1,
      anon_sym_CARET,
    ACTIONS(8691), 1,
      sym_keyword_not,
    STATE(11462), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2573), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8675), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1622), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1623), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 19,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320387] = 13,
    ACTIONS(8665), 1,
      sym_keyword_is,
    ACTIONS(8671), 1,
      anon_sym_LBRACK,
    ACTIONS(8681), 1,
      anon_sym_PLUS,
    ACTIONS(8683), 1,
      anon_sym_DASH,
    ACTIONS(8685), 1,
      anon_sym_SLASH,
    ACTIONS(8687), 1,
      anon_sym_CARET,
    STATE(11462), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8675), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2624), 3,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1622), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1623), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2622), 21,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320456] = 6,
    STATE(11462), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1622), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1623), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320511] = 11,
    ACTIONS(8665), 1,
      sym_keyword_is,
    ACTIONS(8671), 1,
      anon_sym_LBRACK,
    ACTIONS(8685), 1,
      anon_sym_SLASH,
    ACTIONS(8687), 1,
      anon_sym_CARET,
    STATE(11462), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8675), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    STATE(1622), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(2573), 4,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
    STATE(1623), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2571), 22,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320576] = 8,
    ACTIONS(8665), 1,
      sym_keyword_is,
    ACTIONS(8671), 1,
      anon_sym_LBRACK,
    STATE(11462), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1622), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1623), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2573), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 24,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320635] = 8,
    ACTIONS(8665), 1,
      sym_keyword_is,
    ACTIONS(8671), 1,
      anon_sym_LBRACK,
    STATE(11462), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(1622), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1623), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2624), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2622), 24,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [320694] = 17,
    ACTIONS(8663), 1,
      sym_keyword_in,
    ACTIONS(8665), 1,
      sym_keyword_is,
    ACTIONS(8671), 1,
      anon_sym_LBRACK,
    ACTIONS(8679), 1,
      sym_op_other,
    ACTIONS(8681), 1,
      anon_sym_PLUS,
    ACTIONS(8683), 1,
      anon_sym_DASH,
    ACTIONS(8685), 1,
      anon_sym_SLASH,
    ACTIONS(8687), 1,
      anon_sym_CARET,
    ACTIONS(8691), 1,
      sym_keyword_not,
    STATE(11462), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8675), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8677), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1622), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1623), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8673), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 14,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COLON_COLON,
  [320771] = 19,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(8663), 1,
      sym_keyword_in,
    ACTIONS(8665), 1,
      sym_keyword_is,
    ACTIONS(8667), 1,
      sym_keyword_not,
    ACTIONS(8671), 1,
      anon_sym_LBRACK,
    ACTIONS(8679), 1,
      sym_op_other,
    ACTIONS(8681), 1,
      anon_sym_PLUS,
    ACTIONS(8683), 1,
      anon_sym_DASH,
    ACTIONS(8685), 1,
      anon_sym_SLASH,
    ACTIONS(8687), 1,
      anon_sym_CARET,
    STATE(11462), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8675), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8677), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1622), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1623), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8673), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2475), 11,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      anon_sym_COLON_COLON,
  [320852] = 19,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(8663), 1,
      sym_keyword_in,
    ACTIONS(8665), 1,
      sym_keyword_is,
    ACTIONS(8667), 1,
      sym_keyword_not,
    ACTIONS(8671), 1,
      anon_sym_LBRACK,
    ACTIONS(8679), 1,
      sym_op_other,
    ACTIONS(8681), 1,
      anon_sym_PLUS,
    ACTIONS(8683), 1,
      anon_sym_DASH,
    ACTIONS(8685), 1,
      anon_sym_SLASH,
    ACTIONS(8687), 1,
      anon_sym_CARET,
    STATE(11462), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8675), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8677), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1622), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1623), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8673), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2612), 11,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_between,
      anon_sym_COLON_COLON,
  [320933] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(8640), 7,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [321022] = 7,
    ACTIONS(8696), 1,
      sym_keyword_with,
    ACTIONS(8698), 1,
      sym_keyword_without,
    ACTIONS(8700), 1,
      anon_sym_LPAREN,
    STATE(5226), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [321079] = 7,
    ACTIONS(8696), 1,
      sym_keyword_with,
    ACTIONS(8698), 1,
      sym_keyword_without,
    ACTIONS(8702), 1,
      anon_sym_LPAREN,
    STATE(5225), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1861), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1859), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [321136] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(7960), 1,
      sym_keyword_in,
    ACTIONS(7962), 1,
      sym_keyword_and,
    ACTIONS(7964), 1,
      sym_keyword_or,
    ACTIONS(7966), 1,
      sym_keyword_is,
    ACTIONS(7968), 1,
      sym_keyword_not,
    ACTIONS(7970), 1,
      sym_keyword_between,
    ACTIONS(7972), 1,
      anon_sym_LBRACK,
    ACTIONS(7980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7984), 1,
      sym_op_other,
    ACTIONS(7986), 1,
      anon_sym_PLUS,
    ACTIONS(7988), 1,
      anon_sym_DASH,
    ACTIONS(7990), 1,
      anon_sym_SLASH,
    ACTIONS(7992), 1,
      anon_sym_CARET,
    STATE(11049), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(7978), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7982), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1181), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1216), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7976), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(7261), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [321225] = 6,
    ACTIONS(7758), 1,
      sym_keyword_without,
    ACTIONS(8704), 1,
      sym_keyword_with,
    STATE(4588), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1963), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1961), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [321280] = 6,
    ACTIONS(7758), 1,
      sym_keyword_without,
    ACTIONS(8707), 1,
      sym_keyword_with,
    STATE(4587), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1979), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1977), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [321335] = 6,
    ACTIONS(8712), 1,
      anon_sym_LPAREN,
    STATE(5375), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8710), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1859), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1861), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [321390] = 6,
    ACTIONS(8714), 1,
      anon_sym_LPAREN,
    STATE(5374), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8710), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1889), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1891), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [321445] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(8663), 1,
      sym_keyword_in,
    ACTIONS(8665), 1,
      sym_keyword_is,
    ACTIONS(8667), 1,
      sym_keyword_not,
    ACTIONS(8669), 1,
      sym_keyword_between,
    ACTIONS(8671), 1,
      anon_sym_LBRACK,
    ACTIONS(8679), 1,
      sym_op_other,
    ACTIONS(8681), 1,
      anon_sym_PLUS,
    ACTIONS(8683), 1,
      anon_sym_DASH,
    ACTIONS(8685), 1,
      anon_sym_SLASH,
    ACTIONS(8687), 1,
      anon_sym_CARET,
    ACTIONS(8716), 1,
      sym_keyword_and,
    ACTIONS(8718), 1,
      sym_keyword_or,
    ACTIONS(8720), 1,
      anon_sym_COLON_COLON,
    STATE(11462), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8675), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8677), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1622), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1623), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8673), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3463), 7,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
  [321534] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2791), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2793), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [321583] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2700), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2702), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [321632] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2724), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2726), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [321681] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2732), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2734), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [321730] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2767), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2769), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [321779] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2708), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2710), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [321828] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2795), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2797), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [321877] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2803), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2805), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [321926] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2684), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2686), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [321975] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2787), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2789), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [322024] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2783), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2785), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [322073] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2744), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2746), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [322122] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2771), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2773), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [322171] = 7,
    ACTIONS(8722), 1,
      sym_keyword_unsigned,
    ACTIONS(8724), 1,
      sym_keyword_zerofill,
    ACTIONS(8726), 1,
      sym_keyword_precision,
    ACTIONS(8728), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [322228] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2759), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2761), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [322277] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2763), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2765), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [322326] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2728), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2730), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [322375] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2807), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2809), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [322424] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2676), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2678), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [322473] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2755), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2757), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [322522] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2799), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2801), 24,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [322571] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(8663), 1,
      sym_keyword_in,
    ACTIONS(8665), 1,
      sym_keyword_is,
    ACTIONS(8667), 1,
      sym_keyword_not,
    ACTIONS(8669), 1,
      sym_keyword_between,
    ACTIONS(8671), 1,
      anon_sym_LBRACK,
    ACTIONS(8679), 1,
      sym_op_other,
    ACTIONS(8681), 1,
      anon_sym_PLUS,
    ACTIONS(8683), 1,
      anon_sym_DASH,
    ACTIONS(8685), 1,
      anon_sym_SLASH,
    ACTIONS(8687), 1,
      anon_sym_CARET,
    ACTIONS(8716), 1,
      sym_keyword_and,
    ACTIONS(8718), 1,
      sym_keyword_or,
    ACTIONS(8720), 1,
      anon_sym_COLON_COLON,
    STATE(11462), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8675), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8677), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1622), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1623), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8673), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3487), 7,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
  [322660] = 7,
    ACTIONS(8730), 1,
      sym_keyword_unsigned,
    ACTIONS(8732), 1,
      sym_keyword_zerofill,
    ACTIONS(8734), 1,
      sym_keyword_precision,
    ACTIONS(8736), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1805), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [322717] = 21,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(8663), 1,
      sym_keyword_in,
    ACTIONS(8665), 1,
      sym_keyword_is,
    ACTIONS(8667), 1,
      sym_keyword_not,
    ACTIONS(8669), 1,
      sym_keyword_between,
    ACTIONS(8671), 1,
      anon_sym_LBRACK,
    ACTIONS(8679), 1,
      sym_op_other,
    ACTIONS(8681), 1,
      anon_sym_PLUS,
    ACTIONS(8683), 1,
      anon_sym_DASH,
    ACTIONS(8685), 1,
      anon_sym_SLASH,
    ACTIONS(8687), 1,
      anon_sym_CARET,
    ACTIONS(8716), 1,
      sym_keyword_and,
    STATE(11462), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8675), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8677), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1622), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1623), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8673), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(2571), 9,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_or,
      anon_sym_COLON_COLON,
  [322802] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(8663), 1,
      sym_keyword_in,
    ACTIONS(8665), 1,
      sym_keyword_is,
    ACTIONS(8667), 1,
      sym_keyword_not,
    ACTIONS(8669), 1,
      sym_keyword_between,
    ACTIONS(8671), 1,
      anon_sym_LBRACK,
    ACTIONS(8679), 1,
      sym_op_other,
    ACTIONS(8681), 1,
      anon_sym_PLUS,
    ACTIONS(8683), 1,
      anon_sym_DASH,
    ACTIONS(8685), 1,
      anon_sym_SLASH,
    ACTIONS(8687), 1,
      anon_sym_CARET,
    ACTIONS(8716), 1,
      sym_keyword_and,
    ACTIONS(8718), 1,
      sym_keyword_or,
    ACTIONS(8720), 1,
      anon_sym_COLON_COLON,
    STATE(11462), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8675), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8677), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1622), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1623), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8673), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3485), 7,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
  [322891] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(8663), 1,
      sym_keyword_in,
    ACTIONS(8665), 1,
      sym_keyword_is,
    ACTIONS(8667), 1,
      sym_keyword_not,
    ACTIONS(8669), 1,
      sym_keyword_between,
    ACTIONS(8671), 1,
      anon_sym_LBRACK,
    ACTIONS(8679), 1,
      sym_op_other,
    ACTIONS(8681), 1,
      anon_sym_PLUS,
    ACTIONS(8683), 1,
      anon_sym_DASH,
    ACTIONS(8685), 1,
      anon_sym_SLASH,
    ACTIONS(8687), 1,
      anon_sym_CARET,
    ACTIONS(8716), 1,
      sym_keyword_and,
    ACTIONS(8718), 1,
      sym_keyword_or,
    ACTIONS(8720), 1,
      anon_sym_COLON_COLON,
    STATE(11462), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8675), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8677), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1622), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1623), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8673), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3465), 7,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
  [322980] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(8663), 1,
      sym_keyword_in,
    ACTIONS(8665), 1,
      sym_keyword_is,
    ACTIONS(8667), 1,
      sym_keyword_not,
    ACTIONS(8669), 1,
      sym_keyword_between,
    ACTIONS(8671), 1,
      anon_sym_LBRACK,
    ACTIONS(8679), 1,
      sym_op_other,
    ACTIONS(8681), 1,
      anon_sym_PLUS,
    ACTIONS(8683), 1,
      anon_sym_DASH,
    ACTIONS(8685), 1,
      anon_sym_SLASH,
    ACTIONS(8687), 1,
      anon_sym_CARET,
    ACTIONS(8716), 1,
      sym_keyword_and,
    ACTIONS(8718), 1,
      sym_keyword_or,
    ACTIONS(8720), 1,
      anon_sym_COLON_COLON,
    STATE(11462), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8675), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8677), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1622), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1623), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8673), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3431), 7,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
  [323069] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1382), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323118] = 4,
    ACTIONS(8738), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(121), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(123), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323169] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2884), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2882), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323218] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323267] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3681), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3679), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323316] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2410), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2408), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323365] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3673), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3671), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323414] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3661), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3659), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323463] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3621), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3619), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323512] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323561] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3593), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3591), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323610] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2404), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323659] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2573), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323708] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3561), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3559), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323757] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3569), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3567), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323806] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3503), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323855] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3461), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3459), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323904] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3565), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3563), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [323953] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3547), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324002] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3545), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3543), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324051] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3589), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3587), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324100] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3499), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3497), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324149] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3449), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3447), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324198] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3557), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3555), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324247] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3553), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3551), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324296] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2398), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2396), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324345] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3507), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3505), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324394] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3609), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3607), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324443] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3511), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3509), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324492] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3613), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3611), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324541] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3573), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3571), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324590] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3577), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3575), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324639] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3495), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3493), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324688] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2414), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2412), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324737] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(8663), 1,
      sym_keyword_in,
    ACTIONS(8665), 1,
      sym_keyword_is,
    ACTIONS(8667), 1,
      sym_keyword_not,
    ACTIONS(8669), 1,
      sym_keyword_between,
    ACTIONS(8671), 1,
      anon_sym_LBRACK,
    ACTIONS(8679), 1,
      sym_op_other,
    ACTIONS(8681), 1,
      anon_sym_PLUS,
    ACTIONS(8683), 1,
      anon_sym_DASH,
    ACTIONS(8685), 1,
      anon_sym_SLASH,
    ACTIONS(8687), 1,
      anon_sym_CARET,
    ACTIONS(8716), 1,
      sym_keyword_and,
    ACTIONS(8718), 1,
      sym_keyword_or,
    ACTIONS(8720), 1,
      anon_sym_COLON_COLON,
    STATE(11462), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8675), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8677), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1622), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1623), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8673), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(3457), 7,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
  [324826] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3605), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3603), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324875] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3601), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3599), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324924] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3597), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [324973] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3625), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3623), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [325022] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3617), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3615), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [325071] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3585), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3583), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [325120] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3685), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3683), 34,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [325169] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3543), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3545), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [325217] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [325265] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(8740), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
  [325353] = 6,
    ACTIONS(8742), 1,
      sym_keyword_unsigned,
    ACTIONS(8744), 1,
      sym_keyword_zerofill,
    ACTIONS(8746), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [325407] = 7,
    ACTIONS(8748), 1,
      sym_keyword_unsigned,
    ACTIONS(8750), 1,
      sym_keyword_zerofill,
    ACTIONS(8752), 1,
      sym_keyword_precision,
    ACTIONS(8754), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [325463] = 6,
    ACTIONS(8756), 1,
      sym_keyword_unsigned,
    ACTIONS(8758), 1,
      sym_keyword_zerofill,
    ACTIONS(8760), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1829), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1831), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [325517] = 7,
    ACTIONS(8762), 1,
      sym_keyword_array,
    STATE(5001), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5539), 1,
      sym__array_size_definition,
    STATE(5612), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2878), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2880), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [325573] = 7,
    ACTIONS(8762), 1,
      sym_keyword_array,
    STATE(5001), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5534), 1,
      sym_array_size_definition,
    STATE(5539), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2811), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2813), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [325629] = 7,
    ACTIONS(8764), 1,
      sym_keyword_unsigned,
    ACTIONS(8766), 1,
      sym_keyword_zerofill,
    ACTIONS(8768), 1,
      sym_keyword_precision,
    ACTIONS(8770), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1805), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [325685] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(8772), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
  [325773] = 6,
    ACTIONS(8730), 1,
      sym_keyword_unsigned,
    ACTIONS(8732), 1,
      sym_keyword_zerofill,
    ACTIONS(8736), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1805), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [325827] = 6,
    ACTIONS(8774), 1,
      sym_keyword_unsigned,
    ACTIONS(8776), 1,
      sym_keyword_zerofill,
    ACTIONS(8778), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1849), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1851), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [325881] = 6,
    ACTIONS(8780), 1,
      sym_keyword_unsigned,
    ACTIONS(8782), 1,
      sym_keyword_zerofill,
    ACTIONS(8784), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1839), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1841), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [325935] = 4,
    ACTIONS(8786), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3453), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3451), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [325985] = 5,
    STATE(5195), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8710), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1961), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1963), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [326037] = 5,
    STATE(5184), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8710), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1977), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1979), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [326089] = 7,
    ACTIONS(8788), 1,
      sym_keyword_with,
    ACTIONS(8790), 1,
      sym_keyword_without,
    ACTIONS(8792), 1,
      anon_sym_LPAREN,
    STATE(5743), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1861), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1859), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [326145] = 7,
    ACTIONS(8788), 1,
      sym_keyword_with,
    ACTIONS(8790), 1,
      sym_keyword_without,
    ACTIONS(8794), 1,
      anon_sym_LPAREN,
    STATE(5735), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [326201] = 6,
    ACTIONS(8798), 1,
      anon_sym_LPAREN,
    STATE(5698), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8796), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1859), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1861), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [326255] = 6,
    ACTIONS(8800), 1,
      anon_sym_LPAREN,
    STATE(5710), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8796), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1889), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1891), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [326309] = 6,
    ACTIONS(8802), 1,
      sym_keyword_unsigned,
    ACTIONS(8804), 1,
      sym_keyword_zerofill,
    ACTIONS(8806), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1879), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1881), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [326363] = 6,
    ACTIONS(8808), 1,
      sym_keyword_unsigned,
    ACTIONS(8810), 1,
      sym_keyword_zerofill,
    ACTIONS(8812), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1869), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1871), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [326417] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2882), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2884), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [326465] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(7798), 1,
      anon_sym_LBRACK,
    ACTIONS(8073), 1,
      sym_keyword_in,
    ACTIONS(8075), 1,
      sym_keyword_is,
    ACTIONS(8077), 1,
      sym_keyword_not,
    ACTIONS(8079), 1,
      sym_keyword_between,
    ACTIONS(8087), 1,
      sym_op_other,
    ACTIONS(8089), 1,
      anon_sym_PLUS,
    ACTIONS(8091), 1,
      anon_sym_DASH,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8095), 1,
      anon_sym_CARET,
    ACTIONS(8097), 1,
      sym_keyword_and,
    ACTIONS(8646), 1,
      sym_keyword_or,
    ACTIONS(8648), 1,
      anon_sym_COLON_COLON,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8083), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8085), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1421), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1439), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8081), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(8772), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
  [326553] = 6,
    ACTIONS(8722), 1,
      sym_keyword_unsigned,
    ACTIONS(8724), 1,
      sym_keyword_zerofill,
    ACTIONS(8728), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [326607] = 6,
    ACTIONS(8814), 1,
      sym_keyword_unsigned,
    ACTIONS(8816), 1,
      sym_keyword_zerofill,
    ACTIONS(8818), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1815), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1817), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [326661] = 6,
    ACTIONS(8820), 1,
      sym_keyword_unsigned,
    ACTIONS(8822), 1,
      sym_keyword_zerofill,
    ACTIONS(8824), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1851), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1849), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [326715] = 6,
    ACTIONS(8826), 1,
      sym_keyword_unsigned,
    ACTIONS(8828), 1,
      sym_keyword_zerofill,
    ACTIONS(8830), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1841), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1839), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [326769] = 6,
    ACTIONS(8832), 1,
      sym_keyword_unsigned,
    ACTIONS(8834), 1,
      sym_keyword_zerofill,
    ACTIONS(8836), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1881), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1879), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [326823] = 6,
    ACTIONS(8838), 1,
      sym_keyword_unsigned,
    ACTIONS(8840), 1,
      sym_keyword_zerofill,
    ACTIONS(8842), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1871), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1869), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [326877] = 6,
    ACTIONS(8844), 1,
      sym_keyword_unsigned,
    ACTIONS(8846), 1,
      sym_keyword_zerofill,
    ACTIONS(8848), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1817), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1815), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [326931] = 6,
    ACTIONS(8850), 1,
      sym_keyword_unsigned,
    ACTIONS(8852), 1,
      sym_keyword_zerofill,
    ACTIONS(8854), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1897), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1895), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [326985] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1905), 33,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [327033] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(6973), 1,
      sym_keyword_in,
    ACTIONS(6975), 1,
      sym_keyword_is,
    ACTIONS(6980), 1,
      anon_sym_LBRACK,
    ACTIONS(6984), 1,
      sym_op_other,
    ACTIONS(6986), 1,
      anon_sym_PLUS,
    ACTIONS(6988), 1,
      anon_sym_DASH,
    ACTIONS(6990), 1,
      anon_sym_SLASH,
    ACTIONS(6992), 1,
      anon_sym_CARET,
    ACTIONS(7010), 1,
      sym_keyword_not,
    ACTIONS(7078), 1,
      sym_keyword_and,
    ACTIONS(7080), 1,
      sym_keyword_between,
    ACTIONS(7147), 1,
      sym_keyword_or,
    ACTIONS(7149), 1,
      anon_sym_COLON_COLON,
    STATE(11279), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6982), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7014), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1379), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1374), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(7012), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6845), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [327121] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1911), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1909), 33,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [327169] = 6,
    ACTIONS(8696), 1,
      sym_keyword_with,
    ACTIONS(8698), 1,
      sym_keyword_without,
    STATE(5304), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1963), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1961), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [327223] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1915), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1913), 33,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [327271] = 6,
    ACTIONS(8696), 1,
      sym_keyword_with,
    ACTIONS(8698), 1,
      sym_keyword_without,
    STATE(5305), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1979), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1977), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [327325] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1923), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1921), 33,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [327373] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 33,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [327421] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1919), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1917), 33,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [327469] = 6,
    ACTIONS(8856), 1,
      sym_keyword_unsigned,
    ACTIONS(8858), 1,
      sym_keyword_zerofill,
    ACTIONS(8860), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1895), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1897), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327523] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1905), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1907), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327571] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1909), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1911), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327619] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1913), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1915), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327667] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1921), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1923), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327715] = 7,
    ACTIONS(8862), 1,
      sym_keyword_array,
    STATE(913), 1,
      sym__array_size_definition,
    STATE(916), 1,
      sym_array_size_definition,
    STATE(4968), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2880), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2878), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [327771] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(7798), 1,
      anon_sym_LBRACK,
    ACTIONS(8073), 1,
      sym_keyword_in,
    ACTIONS(8075), 1,
      sym_keyword_is,
    ACTIONS(8077), 1,
      sym_keyword_not,
    ACTIONS(8079), 1,
      sym_keyword_between,
    ACTIONS(8087), 1,
      sym_op_other,
    ACTIONS(8089), 1,
      anon_sym_PLUS,
    ACTIONS(8091), 1,
      anon_sym_DASH,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8095), 1,
      anon_sym_CARET,
    ACTIONS(8097), 1,
      sym_keyword_and,
    ACTIONS(8646), 1,
      sym_keyword_or,
    ACTIONS(8648), 1,
      anon_sym_COLON_COLON,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8083), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8085), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1421), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1439), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8081), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(8740), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
  [327859] = 7,
    ACTIONS(8862), 1,
      sym_keyword_array,
    STATE(906), 1,
      sym_array_size_definition,
    STATE(913), 1,
      sym__array_size_definition,
    STATE(4968), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2813), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2811), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [327915] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1827), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [327963] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1917), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1919), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328011] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3683), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3685), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328059] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3493), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3495), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328107] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3611), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3613), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328155] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3607), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3609), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328203] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3563), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3565), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328251] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3501), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3503), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328299] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3567), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3569), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328347] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3559), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3561), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328395] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2571), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2573), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328443] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3583), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3585), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328491] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3615), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3617), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328539] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3623), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3625), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328587] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3595), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3597), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328635] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3599), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3601), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328683] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3603), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3605), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328731] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3575), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3577), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328779] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3571), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3573), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328827] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3509), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3511), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328875] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3505), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3507), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328923] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3497), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3499), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [328971] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3587), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3589), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [329019] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3679), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3681), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [329067] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3555), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3557), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [329115] = 7,
    ACTIONS(8864), 1,
      sym_keyword_array,
    STATE(5133), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5779), 1,
      sym_array_size_definition,
    STATE(5780), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2813), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2811), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [329171] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3671), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3673), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [329219] = 7,
    ACTIONS(8864), 1,
      sym_keyword_array,
    STATE(5133), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5772), 1,
      sym_array_size_definition,
    STATE(5780), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2880), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2878), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [329275] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3659), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3661), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [329323] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3551), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3553), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [329371] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3619), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3621), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [329419] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3591), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3593), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [329467] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3547), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3549), 23,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [329515] = 7,
    ACTIONS(123), 1,
      anon_sym_LPAREN,
    ACTIONS(2853), 1,
      anon_sym_DOT,
    ACTIONS(4299), 1,
      aux_sym__single_quote_string_token1,
    STATE(5740), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2851), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2849), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [329571] = 7,
    ACTIONS(8866), 1,
      sym_keyword_array,
    STATE(5481), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(6153), 1,
      sym__array_size_definition,
    STATE(6154), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2813), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2811), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [329626] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1911), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1909), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [329673] = 5,
    ACTIONS(8868), 1,
      sym_keyword_filter,
    STATE(5207), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2724), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [329724] = 23,
    ACTIONS(8872), 1,
      sym_keyword_left,
    ACTIONS(8876), 1,
      sym_keyword_inner,
    ACTIONS(8878), 1,
      sym_keyword_cross,
    ACTIONS(8880), 1,
      sym_keyword_join,
    ACTIONS(8882), 1,
      sym_keyword_natural,
    ACTIONS(8884), 1,
      sym_keyword_where,
    ACTIONS(8886), 1,
      sym_keyword_order,
    ACTIONS(8888), 1,
      sym_keyword_group,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    ACTIONS(8896), 1,
      anon_sym_COMMA,
    STATE(4884), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6437), 1,
      sym_index_hint,
    STATE(7013), 1,
      sym_where,
    STATE(7071), 1,
      sym_group_by,
    STATE(7279), 1,
      sym_window_clause,
    STATE(7427), 1,
      sym_order_by,
    STATE(7707), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8874), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6422), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8870), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [329811] = 6,
    ACTIONS(8898), 1,
      sym_keyword_unsigned,
    ACTIONS(8900), 1,
      sym_keyword_zerofill,
    ACTIONS(8902), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1869), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1871), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [329864] = 5,
    ACTIONS(8868), 1,
      sym_keyword_filter,
    STATE(5211), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2694), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2692), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [329915] = 5,
    ACTIONS(8868), 1,
      sym_keyword_filter,
    STATE(5212), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2702), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2700), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [329966] = 5,
    ACTIONS(8868), 1,
      sym_keyword_filter,
    STATE(5213), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2714), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2712), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [330017] = 6,
    ACTIONS(8904), 1,
      sym_keyword_unsigned,
    ACTIONS(8906), 1,
      sym_keyword_zerofill,
    ACTIONS(8908), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1815), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1817), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [330070] = 5,
    ACTIONS(8910), 1,
      sym_keyword_unsigned,
    ACTIONS(8912), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1991), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1989), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [330121] = 6,
    ACTIONS(8764), 1,
      sym_keyword_unsigned,
    ACTIONS(8766), 1,
      sym_keyword_zerofill,
    ACTIONS(8770), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1805), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [330174] = 5,
    ACTIONS(8868), 1,
      sym_keyword_filter,
    STATE(5217), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2682), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2680), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [330225] = 6,
    ACTIONS(8914), 1,
      sym_keyword_unsigned,
    ACTIONS(8916), 1,
      sym_keyword_zerofill,
    ACTIONS(8918), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1849), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1851), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [330278] = 6,
    ACTIONS(8920), 1,
      sym_keyword_unsigned,
    ACTIONS(8922), 1,
      sym_keyword_zerofill,
    ACTIONS(8924), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1839), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1841), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [330331] = 6,
    ACTIONS(8926), 1,
      sym_keyword_unsigned,
    ACTIONS(8928), 1,
      sym_keyword_zerofill,
    ACTIONS(8930), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1879), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1881), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [330384] = 4,
    ACTIONS(8932), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [330433] = 5,
    ACTIONS(8934), 1,
      sym_keyword_unsigned,
    ACTIONS(8936), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1999), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1997), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [330484] = 23,
    ACTIONS(8872), 1,
      sym_keyword_left,
    ACTIONS(8876), 1,
      sym_keyword_inner,
    ACTIONS(8878), 1,
      sym_keyword_cross,
    ACTIONS(8880), 1,
      sym_keyword_join,
    ACTIONS(8882), 1,
      sym_keyword_natural,
    ACTIONS(8884), 1,
      sym_keyword_where,
    ACTIONS(8886), 1,
      sym_keyword_order,
    ACTIONS(8888), 1,
      sym_keyword_group,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    ACTIONS(8896), 1,
      anon_sym_COMMA,
    STATE(4944), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6423), 1,
      sym_index_hint,
    STATE(7011), 1,
      sym_where,
    STATE(7104), 1,
      sym_group_by,
    STATE(7299), 1,
      sym_window_clause,
    STATE(7341), 1,
      sym_order_by,
    STATE(7723), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8874), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6427), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8938), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [330571] = 6,
    ACTIONS(8940), 1,
      sym_keyword_unsigned,
    ACTIONS(8942), 1,
      sym_keyword_zerofill,
    ACTIONS(8944), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1829), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1831), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [330624] = 23,
    ACTIONS(8872), 1,
      sym_keyword_left,
    ACTIONS(8876), 1,
      sym_keyword_inner,
    ACTIONS(8878), 1,
      sym_keyword_cross,
    ACTIONS(8880), 1,
      sym_keyword_join,
    ACTIONS(8882), 1,
      sym_keyword_natural,
    ACTIONS(8884), 1,
      sym_keyword_where,
    ACTIONS(8886), 1,
      sym_keyword_order,
    ACTIONS(8888), 1,
      sym_keyword_group,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    ACTIONS(8896), 1,
      anon_sym_COMMA,
    STATE(6423), 1,
      sym_index_hint,
    STATE(6536), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(7011), 1,
      sym_where,
    STATE(7104), 1,
      sym_group_by,
    STATE(7299), 1,
      sym_window_clause,
    STATE(7341), 1,
      sym_order_by,
    STATE(7723), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8874), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6427), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8938), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [330711] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(7798), 1,
      anon_sym_LBRACK,
    ACTIONS(8073), 1,
      sym_keyword_in,
    ACTIONS(8075), 1,
      sym_keyword_is,
    ACTIONS(8077), 1,
      sym_keyword_not,
    ACTIONS(8079), 1,
      sym_keyword_between,
    ACTIONS(8087), 1,
      sym_op_other,
    ACTIONS(8089), 1,
      anon_sym_PLUS,
    ACTIONS(8091), 1,
      anon_sym_DASH,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8095), 1,
      anon_sym_CARET,
    ACTIONS(8097), 1,
      sym_keyword_and,
    ACTIONS(8646), 1,
      sym_keyword_or,
    ACTIONS(8648), 1,
      anon_sym_COLON_COLON,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8083), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8085), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1421), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1439), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(6845), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
    ACTIONS(8081), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [330798] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(8772), 5,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [330885] = 5,
    ACTIONS(8946), 1,
      sym_keyword_unsigned,
    ACTIONS(8948), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1953), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1955), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [330936] = 5,
    ACTIONS(8950), 1,
      sym_keyword_unsigned,
    ACTIONS(8952), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2013), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2015), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [330987] = 5,
    ACTIONS(8954), 1,
      sym_keyword_unsigned,
    ACTIONS(8956), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2005), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2007), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [331038] = 6,
    ACTIONS(8748), 1,
      sym_keyword_unsigned,
    ACTIONS(8750), 1,
      sym_keyword_zerofill,
    ACTIONS(8754), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331091] = 6,
    ACTIONS(8958), 1,
      sym_keyword_unsigned,
    ACTIONS(8960), 1,
      sym_keyword_zerofill,
    ACTIONS(8962), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1851), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1849), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331144] = 6,
    ACTIONS(8964), 1,
      sym_keyword_unsigned,
    ACTIONS(8966), 1,
      sym_keyword_zerofill,
    ACTIONS(8968), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1841), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1839), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331197] = 6,
    ACTIONS(8970), 1,
      sym_keyword_unsigned,
    ACTIONS(8972), 1,
      sym_keyword_zerofill,
    ACTIONS(8974), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1881), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1879), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331250] = 5,
    ACTIONS(8868), 1,
      sym_keyword_filter,
    STATE(5219), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2698), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2696), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331301] = 5,
    ACTIONS(8976), 1,
      sym_keyword_unsigned,
    ACTIONS(8978), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1997), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1999), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [331352] = 6,
    ACTIONS(8980), 1,
      sym_keyword_unsigned,
    ACTIONS(8982), 1,
      sym_keyword_zerofill,
    ACTIONS(8984), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1871), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1869), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331405] = 6,
    ACTIONS(8986), 1,
      sym_keyword_unsigned,
    ACTIONS(8988), 1,
      sym_keyword_zerofill,
    ACTIONS(8990), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1817), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1815), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331458] = 5,
    ACTIONS(8992), 1,
      sym_keyword_unsigned,
    ACTIONS(8994), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1989), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1991), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [331509] = 5,
    ACTIONS(8996), 1,
      sym_keyword_unsigned,
    ACTIONS(8998), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1925), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1927), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [331560] = 6,
    ACTIONS(9000), 1,
      sym_keyword_unsigned,
    ACTIONS(9002), 1,
      sym_keyword_zerofill,
    ACTIONS(9004), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331613] = 6,
    ACTIONS(9006), 1,
      sym_keyword_unsigned,
    ACTIONS(9008), 1,
      sym_keyword_zerofill,
    ACTIONS(9010), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1897), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1895), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331666] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1905), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331713] = 5,
    ACTIONS(9012), 1,
      sym_keyword_unsigned,
    ACTIONS(9014), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2007), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2005), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331764] = 5,
    ACTIONS(8868), 1,
      sym_keyword_filter,
    STATE(5206), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2742), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2740), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331815] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1915), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1913), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331862] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1923), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1921), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331909] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [331956] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1919), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1917), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [332003] = 6,
    ACTIONS(9016), 1,
      sym_keyword_unsigned,
    ACTIONS(9018), 1,
      sym_keyword_zerofill,
    ACTIONS(9020), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1895), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1897), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [332056] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1905), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1907), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [332103] = 7,
    ACTIONS(8866), 1,
      sym_keyword_array,
    STATE(5481), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(6100), 1,
      sym_array_size_definition,
    STATE(6153), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2880), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2878), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [332158] = 5,
    ACTIONS(9022), 1,
      sym_keyword_unsigned,
    ACTIONS(9024), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1927), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1925), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [332209] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1909), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1911), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [332256] = 5,
    ACTIONS(8868), 1,
      sym_keyword_filter,
    STATE(5204), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2738), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2736), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [332307] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1913), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1915), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [332354] = 5,
    ACTIONS(8868), 1,
      sym_keyword_filter,
    STATE(5202), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [332405] = 5,
    ACTIONS(8868), 1,
      sym_keyword_filter,
    STATE(5201), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2720), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [332456] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1921), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1923), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [332503] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1827), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [332550] = 5,
    ACTIONS(9026), 1,
      sym_keyword_precision,
    ACTIONS(9028), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1829), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1831), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [332601] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1917), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1919), 21,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [332648] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1382), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [332697] = 5,
    ACTIONS(8868), 1,
      sym_keyword_filter,
    STATE(5194), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2706), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2704), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [332748] = 5,
    ACTIONS(8868), 1,
      sym_keyword_filter,
    STATE(5192), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2710), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2708), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [332799] = 5,
    ACTIONS(8868), 1,
      sym_keyword_filter,
    STATE(5191), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2718), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2716), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [332850] = 5,
    ACTIONS(8868), 1,
      sym_keyword_filter,
    STATE(5189), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [332901] = 5,
    ACTIONS(8868), 1,
      sym_keyword_filter,
    STATE(5188), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2690), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2688), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [332952] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(6845), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
  [333039] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
    ACTIONS(8740), 5,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [333126] = 5,
    ACTIONS(9030), 1,
      sym_keyword_unsigned,
    ACTIONS(9032), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2015), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2013), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [333177] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1386), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1384), 32,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [333224] = 5,
    ACTIONS(8868), 1,
      sym_keyword_filter,
    STATE(5185), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [333275] = 5,
    ACTIONS(9034), 1,
      sym_keyword_precision,
    ACTIONS(9036), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [333326] = 5,
    ACTIONS(8868), 1,
      sym_keyword_filter,
    STATE(5181), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2672), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2670), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [333377] = 5,
    ACTIONS(8868), 1,
      sym_keyword_filter,
    STATE(5178), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2728), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [333428] = 6,
    ACTIONS(8788), 1,
      sym_keyword_with,
    ACTIONS(8790), 1,
      sym_keyword_without,
    STATE(5798), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1963), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1961), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [333481] = 5,
    ACTIONS(8868), 1,
      sym_keyword_filter,
    STATE(5174), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [333532] = 6,
    ACTIONS(8788), 1,
      sym_keyword_with,
    ACTIONS(8790), 1,
      sym_keyword_without,
    STATE(5789), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1979), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1977), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [333585] = 5,
    ACTIONS(9038), 1,
      sym_keyword_unsigned,
    ACTIONS(9040), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1945), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1947), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [333636] = 5,
    STATE(5563), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8796), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1961), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1963), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [333687] = 5,
    STATE(5564), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8796), 2,
      sym_keyword_with,
      sym_keyword_without,
    ACTIONS(1977), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1979), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [333738] = 7,
    ACTIONS(123), 1,
      anon_sym_LPAREN,
    ACTIONS(2853), 1,
      anon_sym_DOT,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    STATE(6156), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2851), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2849), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [333793] = 5,
    ACTIONS(9042), 1,
      sym_keyword_unsigned,
    ACTIONS(9044), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1955), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1953), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [333844] = 23,
    ACTIONS(8872), 1,
      sym_keyword_left,
    ACTIONS(8876), 1,
      sym_keyword_inner,
    ACTIONS(8878), 1,
      sym_keyword_cross,
    ACTIONS(8880), 1,
      sym_keyword_join,
    ACTIONS(8882), 1,
      sym_keyword_natural,
    ACTIONS(8884), 1,
      sym_keyword_where,
    ACTIONS(8886), 1,
      sym_keyword_order,
    ACTIONS(8888), 1,
      sym_keyword_group,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    ACTIONS(8896), 1,
      anon_sym_COMMA,
    STATE(6442), 1,
      sym_index_hint,
    STATE(6536), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(7023), 1,
      sym_where,
    STATE(7107), 1,
      sym_group_by,
    STATE(7284), 1,
      sym_window_clause,
    STATE(7391), 1,
      sym_order_by,
    STATE(7693), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8874), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6432), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9046), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [333931] = 5,
    ACTIONS(9048), 1,
      sym_keyword_unsigned,
    ACTIONS(9050), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1947), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1945), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [333982] = 5,
    ACTIONS(9052), 1,
      sym_keyword_unsigned,
    ACTIONS(9054), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1971), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1969), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [334033] = 4,
    ACTIONS(9056), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1939), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1941), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [334082] = 5,
    ACTIONS(9058), 1,
      sym_keyword_varying,
    ACTIONS(9060), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1983), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1981), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [334133] = 7,
    ACTIONS(9062), 1,
      sym_keyword_array,
    STATE(5208), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5931), 1,
      sym__array_size_definition,
    STATE(5957), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2811), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2813), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [334188] = 5,
    ACTIONS(9064), 1,
      sym_keyword_varying,
    ACTIONS(9066), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1981), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1983), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [334239] = 5,
    ACTIONS(9068), 1,
      sym_keyword_unsigned,
    ACTIONS(9070), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1969), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1971), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [334290] = 7,
    ACTIONS(9062), 1,
      sym_keyword_array,
    STATE(5208), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5831), 1,
      sym_array_size_definition,
    STATE(5931), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2878), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2880), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [334345] = 4,
    ACTIONS(9072), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2066), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [334393] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9076), 1,
      sym_keyword_else,
    ACTIONS(9078), 1,
      sym_keyword_end,
    STATE(9968), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [334485] = 5,
    ACTIONS(9080), 1,
      sym_keyword_unsigned,
    ACTIONS(9082), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2007), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2005), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [334535] = 4,
    ACTIONS(9084), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2108), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2110), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [334583] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9086), 1,
      sym_keyword_else,
    ACTIONS(9088), 1,
      sym_keyword_end,
    STATE(10453), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [334675] = 4,
    ACTIONS(9090), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2150), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2152), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [334723] = 5,
    ACTIONS(9092), 1,
      sym_keyword_unsigned,
    ACTIONS(9094), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1991), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1989), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [334773] = 4,
    ACTIONS(9096), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2070), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2072), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [334821] = 4,
    ACTIONS(9098), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2202), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2204), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [334869] = 4,
    ACTIONS(9100), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2028), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2030), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [334917] = 23,
    ACTIONS(9102), 1,
      sym_keyword_left,
    ACTIONS(9106), 1,
      sym_keyword_inner,
    ACTIONS(9108), 1,
      sym_keyword_cross,
    ACTIONS(9110), 1,
      sym_keyword_join,
    ACTIONS(9112), 1,
      sym_keyword_natural,
    ACTIONS(9114), 1,
      sym_keyword_where,
    ACTIONS(9116), 1,
      sym_keyword_order,
    ACTIONS(9118), 1,
      sym_keyword_group,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(9126), 1,
      anon_sym_COMMA,
    STATE(6478), 1,
      sym_index_hint,
    STATE(6630), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(7030), 1,
      sym_where,
    STATE(7222), 1,
      sym_group_by,
    STATE(7362), 1,
      sym_window_clause,
    STATE(7565), 1,
      sym_order_by,
    STATE(7884), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9104), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9122), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6472), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9046), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [335003] = 5,
    ACTIONS(9128), 1,
      sym_keyword_unsigned,
    ACTIONS(9130), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1971), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1969), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [335053] = 4,
    ACTIONS(9132), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2170), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2172), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [335101] = 5,
    ACTIONS(9134), 1,
      sym_keyword_unsigned,
    ACTIONS(9136), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1927), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1925), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [335151] = 5,
    ACTIONS(9138), 1,
      sym_keyword_unsigned,
    ACTIONS(9140), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1947), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1945), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [335201] = 5,
    STATE(709), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(913), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3302), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3300), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [335251] = 4,
    ACTIONS(9142), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2144), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2146), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [335299] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1939), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1941), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [335345] = 4,
    ACTIONS(9144), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2196), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2198), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [335393] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9146), 1,
      sym_keyword_else,
    ACTIONS(9148), 1,
      sym_keyword_end,
    STATE(9845), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [335485] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2192), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2194), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [335531] = 4,
    ACTIONS(9150), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2186), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2188), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [335579] = 4,
    ACTIONS(9152), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2180), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2182), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [335627] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9154), 1,
      sym_keyword_else,
    ACTIONS(9156), 1,
      sym_keyword_end,
    STATE(10430), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [335719] = 5,
    ACTIONS(9158), 1,
      sym_keyword_unsigned,
    ACTIONS(9160), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1955), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1953), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [335769] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9162), 1,
      sym_keyword_else,
    ACTIONS(9164), 1,
      sym_keyword_end,
    STATE(9818), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [335861] = 4,
    ACTIONS(9166), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2030), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2028), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [335909] = 4,
    ACTIONS(9168), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2172), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2170), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [335957] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(7798), 1,
      anon_sym_LBRACK,
    ACTIONS(8073), 1,
      sym_keyword_in,
    ACTIONS(8075), 1,
      sym_keyword_is,
    ACTIONS(8077), 1,
      sym_keyword_not,
    ACTIONS(8079), 1,
      sym_keyword_between,
    ACTIONS(8087), 1,
      sym_op_other,
    ACTIONS(8089), 1,
      anon_sym_PLUS,
    ACTIONS(8091), 1,
      anon_sym_DASH,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8095), 1,
      anon_sym_CARET,
    ACTIONS(8097), 1,
      sym_keyword_and,
    ACTIONS(8646), 1,
      sym_keyword_or,
    ACTIONS(9170), 1,
      anon_sym_COLON_COLON,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8083), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8085), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1421), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(8772), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
    STATE(1439), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8081), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336043] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9172), 1,
      sym_keyword_else,
    ACTIONS(9174), 1,
      sym_keyword_end,
    STATE(10428), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336135] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9176), 1,
      sym_keyword_else,
    ACTIONS(9178), 1,
      sym_keyword_end,
    STATE(10344), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336227] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336273] = 4,
    ACTIONS(9180), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336321] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2194), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2192), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336367] = 4,
    ACTIONS(9182), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2188), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2186), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336415] = 4,
    ACTIONS(9184), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2182), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2180), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336463] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9186), 1,
      sym_keyword_else,
    ACTIONS(9188), 1,
      sym_keyword_end,
    STATE(10376), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336555] = 5,
    ACTIONS(9190), 1,
      aux_sym__single_quote_string_token2,
    STATE(5126), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1363), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1361), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336605] = 4,
    ACTIONS(9192), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2146), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2144), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336653] = 4,
    ACTIONS(9194), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336701] = 4,
    ACTIONS(9196), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(121), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(123), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336749] = 4,
    ACTIONS(9198), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336797] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9200), 1,
      sym_keyword_else,
    ACTIONS(9202), 1,
      sym_keyword_end,
    STATE(10223), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336889] = 5,
    ACTIONS(9204), 1,
      sym_keyword_filter,
    STATE(5657), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [336939] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9206), 1,
      sym_keyword_else,
    ACTIONS(9208), 1,
      sym_keyword_end,
    STATE(9685), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337031] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9210), 1,
      sym_keyword_else,
    ACTIONS(9212), 1,
      sym_keyword_end,
    STATE(10040), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337123] = 4,
    ACTIONS(9214), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2134), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2132), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337171] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(7798), 1,
      anon_sym_LBRACK,
    ACTIONS(8073), 1,
      sym_keyword_in,
    ACTIONS(8075), 1,
      sym_keyword_is,
    ACTIONS(8077), 1,
      sym_keyword_not,
    ACTIONS(8079), 1,
      sym_keyword_between,
    ACTIONS(8087), 1,
      sym_op_other,
    ACTIONS(8089), 1,
      anon_sym_PLUS,
    ACTIONS(8091), 1,
      anon_sym_DASH,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8095), 1,
      anon_sym_CARET,
    ACTIONS(8097), 1,
      sym_keyword_and,
    ACTIONS(8646), 1,
      sym_keyword_or,
    ACTIONS(9170), 1,
      anon_sym_COLON_COLON,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8083), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8085), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1421), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(8740), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
    STATE(1439), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8081), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337257] = 5,
    STATE(5084), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5539), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3300), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3302), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [337307] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(9216), 1,
      anon_sym_COLON_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(8740), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337393] = 5,
    ACTIONS(9204), 1,
      sym_keyword_filter,
    STATE(5668), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2728), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337443] = 4,
    ACTIONS(9218), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337491] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9220), 1,
      sym_keyword_else,
    ACTIONS(9222), 1,
      sym_keyword_end,
    STATE(10244), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337583] = 5,
    ACTIONS(9204), 1,
      sym_keyword_filter,
    STATE(5689), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2672), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2670), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337633] = 4,
    ACTIONS(9224), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2072), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2070), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337681] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9226), 1,
      sym_keyword_else,
    ACTIONS(9228), 1,
      sym_keyword_end,
    STATE(10247), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337773] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9230), 1,
      sym_keyword_else,
    ACTIONS(9232), 1,
      sym_keyword_end,
    STATE(10282), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [337865] = 7,
    ACTIONS(9234), 1,
      sym_keyword_with,
    ACTIONS(9236), 1,
      sym_keyword_without,
    ACTIONS(9238), 1,
      anon_sym_LPAREN,
    STATE(6302), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1889), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [337919] = 7,
    ACTIONS(9234), 1,
      sym_keyword_with,
    ACTIONS(9236), 1,
      sym_keyword_without,
    ACTIONS(9240), 1,
      anon_sym_LPAREN,
    STATE(6300), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1861), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1859), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [337973] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9242), 1,
      sym_keyword_else,
    ACTIONS(9244), 1,
      sym_keyword_end,
    STATE(10285), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338065] = 4,
    ACTIONS(9246), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2086), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2084), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338113] = 4,
    ACTIONS(9248), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2078), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2076), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338161] = 4,
    ACTIONS(9250), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338209] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2048), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2046), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338255] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(9216), 1,
      anon_sym_COLON_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(8772), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338341] = 4,
    ACTIONS(9252), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338389] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1386), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1384), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      aux_sym__single_quote_string_token1,
  [338435] = 5,
    ACTIONS(9204), 1,
      sym_keyword_filter,
    STATE(5690), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338485] = 4,
    ACTIONS(9254), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338533] = 23,
    ACTIONS(9102), 1,
      sym_keyword_left,
    ACTIONS(9106), 1,
      sym_keyword_inner,
    ACTIONS(9108), 1,
      sym_keyword_cross,
    ACTIONS(9110), 1,
      sym_keyword_join,
    ACTIONS(9112), 1,
      sym_keyword_natural,
    ACTIONS(9114), 1,
      sym_keyword_where,
    ACTIONS(9116), 1,
      sym_keyword_order,
    ACTIONS(9118), 1,
      sym_keyword_group,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(9126), 1,
      anon_sym_COMMA,
    STATE(5063), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6469), 1,
      sym_index_hint,
    STATE(7028), 1,
      sym_where,
    STATE(7159), 1,
      sym_group_by,
    STATE(7484), 1,
      sym_window_clause,
    STATE(7517), 1,
      sym_order_by,
    STATE(7806), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9104), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9122), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6470), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8870), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [338619] = 4,
    ACTIONS(9256), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2042), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2040), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338667] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9258), 1,
      sym_keyword_else,
    ACTIONS(9260), 1,
      sym_keyword_end,
    STATE(10456), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338759] = 4,
    ACTIONS(9262), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1939), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1941), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [338807] = 7,
    ACTIONS(9264), 1,
      sym_keyword_unsigned,
    ACTIONS(9266), 1,
      sym_keyword_zerofill,
    ACTIONS(9268), 1,
      sym_keyword_precision,
    ACTIONS(9270), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1803), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [338861] = 5,
    ACTIONS(9272), 1,
      sym_keyword_varying,
    ACTIONS(9274), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1981), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1983), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [338911] = 5,
    ACTIONS(9276), 1,
      aux_sym__single_quote_string_token2,
    STATE(5038), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3279), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3277), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [338961] = 4,
    ACTIONS(9278), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2132), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2134), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [339009] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9280), 1,
      sym_keyword_else,
    ACTIONS(9282), 1,
      sym_keyword_end,
    STATE(10321), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339101] = 4,
    ACTIONS(9284), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2126), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2128), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [339149] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2048), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [339195] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9286), 1,
      sym_keyword_else,
    ACTIONS(9288), 1,
      sym_keyword_end,
    STATE(10160), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339287] = 4,
    ACTIONS(9290), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2034), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2036), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [339335] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9292), 1,
      sym_keyword_else,
    ACTIONS(9294), 1,
      sym_keyword_end,
    STATE(10161), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339427] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    ACTIONS(6845), 4,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339513] = 4,
    ACTIONS(9296), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(121), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(123), 31,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339561] = 5,
    ACTIONS(9298), 1,
      aux_sym__single_quote_string_token2,
    STATE(5125), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3306), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3304), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339611] = 4,
    ACTIONS(9300), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2128), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2126), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339659] = 4,
    ACTIONS(9302), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2096), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339707] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1382), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339755] = 4,
    ACTIONS(9304), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2056), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2058), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [339803] = 4,
    ACTIONS(9306), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2110), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2108), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339851] = 5,
    ACTIONS(9308), 1,
      sym_keyword_unsigned,
    ACTIONS(9310), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1999), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1997), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339901] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9312), 1,
      sym_keyword_else,
    ACTIONS(9314), 1,
      sym_keyword_end,
    STATE(10379), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [339993] = 5,
    ACTIONS(9316), 1,
      sym_keyword_unsigned,
    ACTIONS(9318), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1969), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1971), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [340043] = 4,
    ACTIONS(9320), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2090), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2092), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [340091] = 5,
    ACTIONS(9322), 1,
      sym_keyword_unsigned,
    ACTIONS(9324), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1945), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1947), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [340141] = 4,
    ACTIONS(9326), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [340189] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9328), 1,
      sym_keyword_else,
    ACTIONS(9330), 1,
      sym_keyword_end,
    STATE(10201), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [340281] = 5,
    ACTIONS(9332), 1,
      sym_keyword_unsigned,
    ACTIONS(9334), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1953), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1955), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [340331] = 5,
    ACTIONS(9336), 1,
      sym_keyword_precision,
    ACTIONS(9338), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [340381] = 4,
    ACTIONS(9340), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [340429] = 4,
    ACTIONS(9342), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2102), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2104), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [340477] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9344), 1,
      sym_keyword_else,
    ACTIONS(9346), 1,
      sym_keyword_end,
    STATE(9938), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [340569] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9348), 1,
      sym_keyword_else,
    ACTIONS(9350), 1,
      sym_keyword_end,
    STATE(10323), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [340661] = 5,
    ACTIONS(9352), 1,
      sym_keyword_varying,
    ACTIONS(9354), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1983), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1981), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [340711] = 4,
    ACTIONS(9356), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2114), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2116), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [340759] = 4,
    ACTIONS(9028), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1829), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1831), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [340807] = 4,
    ACTIONS(9358), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2162), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2164), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [340855] = 4,
    ACTIONS(9360), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2034), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2036), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [340903] = 4,
    ACTIONS(8758), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1829), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1831), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [340951] = 23,
    ACTIONS(9102), 1,
      sym_keyword_left,
    ACTIONS(9106), 1,
      sym_keyword_inner,
    ACTIONS(9108), 1,
      sym_keyword_cross,
    ACTIONS(9110), 1,
      sym_keyword_join,
    ACTIONS(9112), 1,
      sym_keyword_natural,
    ACTIONS(9114), 1,
      sym_keyword_where,
    ACTIONS(9116), 1,
      sym_keyword_order,
    ACTIONS(9118), 1,
      sym_keyword_group,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(9126), 1,
      anon_sym_COMMA,
    STATE(6480), 1,
      sym_index_hint,
    STATE(6630), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(7029), 1,
      sym_where,
    STATE(7242), 1,
      sym_group_by,
    STATE(7399), 1,
      sym_window_clause,
    STATE(7513), 1,
      sym_order_by,
    STATE(7781), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9104), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9122), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6468), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8938), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [341037] = 23,
    ACTIONS(9102), 1,
      sym_keyword_left,
    ACTIONS(9106), 1,
      sym_keyword_inner,
    ACTIONS(9108), 1,
      sym_keyword_cross,
    ACTIONS(9110), 1,
      sym_keyword_join,
    ACTIONS(9112), 1,
      sym_keyword_natural,
    ACTIONS(9114), 1,
      sym_keyword_where,
    ACTIONS(9116), 1,
      sym_keyword_order,
    ACTIONS(9118), 1,
      sym_keyword_group,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(9126), 1,
      anon_sym_COMMA,
    STATE(4963), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6480), 1,
      sym_index_hint,
    STATE(7029), 1,
      sym_where,
    STATE(7242), 1,
      sym_group_by,
    STATE(7399), 1,
      sym_window_clause,
    STATE(7513), 1,
      sym_order_by,
    STATE(7781), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9104), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9122), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6468), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8938), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [341123] = 5,
    ACTIONS(9204), 1,
      sym_keyword_filter,
    STATE(5738), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2690), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2688), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [341173] = 5,
    ACTIONS(9204), 1,
      sym_keyword_filter,
    STATE(5739), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [341223] = 5,
    ACTIONS(9204), 1,
      sym_keyword_filter,
    STATE(5756), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2718), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2716), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [341273] = 5,
    ACTIONS(9204), 1,
      sym_keyword_filter,
    STATE(5761), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2710), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2708), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [341323] = 4,
    ACTIONS(9362), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2056), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2058), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [341371] = 5,
    ACTIONS(9364), 1,
      sym_keyword_unsigned,
    ACTIONS(9366), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2013), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2015), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [341421] = 5,
    ACTIONS(9204), 1,
      sym_keyword_filter,
    STATE(5763), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2706), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2704), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [341471] = 5,
    ACTIONS(9368), 1,
      sym_keyword_unsigned,
    ACTIONS(9370), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2005), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2007), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [341521] = 5,
    ACTIONS(9372), 1,
      sym_keyword_unsigned,
    ACTIONS(9374), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1997), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1999), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [341571] = 5,
    ACTIONS(9376), 1,
      sym_keyword_unsigned,
    ACTIONS(9378), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1989), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1991), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [341621] = 5,
    ACTIONS(9380), 1,
      sym_keyword_unsigned,
    ACTIONS(9382), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1925), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1927), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [341671] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9384), 1,
      sym_keyword_else,
    ACTIONS(9386), 1,
      sym_keyword_end,
    STATE(10341), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [341763] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9388), 1,
      sym_keyword_else,
    ACTIONS(9390), 1,
      sym_keyword_end,
    STATE(10343), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [341855] = 4,
    ACTIONS(9392), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2066), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [341903] = 4,
    ACTIONS(9394), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2090), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2092), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [341951] = 4,
    ACTIONS(9396), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2102), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2104), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [341999] = 4,
    ACTIONS(9398), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2114), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2116), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [342047] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9400), 1,
      sym_keyword_else,
    ACTIONS(9402), 1,
      sym_keyword_end,
    STATE(10241), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342139] = 4,
    ACTIONS(9404), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2138), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2140), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [342187] = 6,
    ACTIONS(9406), 1,
      anon_sym_LBRACK,
    STATE(5084), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5539), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2021), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2023), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [342239] = 4,
    ACTIONS(9409), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2138), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2140), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [342287] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9411), 1,
      sym_keyword_else,
    ACTIONS(9413), 1,
      sym_keyword_end,
    STATE(10221), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342379] = 4,
    ACTIONS(9415), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342427] = 4,
    ACTIONS(9417), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342475] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9419), 1,
      sym_keyword_else,
    ACTIONS(9421), 1,
      sym_keyword_end,
    STATE(10358), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342567] = 5,
    ACTIONS(9204), 1,
      sym_keyword_filter,
    STATE(5783), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2720), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342617] = 5,
    ACTIONS(9204), 1,
      sym_keyword_filter,
    STATE(5778), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342667] = 7,
    ACTIONS(9423), 1,
      sym_keyword_with,
    ACTIONS(9425), 1,
      sym_keyword_without,
    ACTIONS(9427), 1,
      anon_sym_LPAREN,
    STATE(6306), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342721] = 5,
    ACTIONS(9204), 1,
      sym_keyword_filter,
    STATE(5770), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2738), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2736), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342771] = 7,
    ACTIONS(9423), 1,
      sym_keyword_with,
    ACTIONS(9425), 1,
      sym_keyword_without,
    ACTIONS(9429), 1,
      anon_sym_LPAREN,
    STATE(6188), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1861), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1859), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342825] = 7,
    ACTIONS(9431), 1,
      sym_keyword_unsigned,
    ACTIONS(9433), 1,
      sym_keyword_zerofill,
    ACTIONS(9435), 1,
      sym_keyword_precision,
    ACTIONS(9437), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342879] = 5,
    ACTIONS(9204), 1,
      sym_keyword_filter,
    STATE(5760), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2742), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2740), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342929] = 5,
    ACTIONS(9204), 1,
      sym_keyword_filter,
    STATE(5754), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2724), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [342979] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9439), 1,
      sym_keyword_else,
    ACTIONS(9441), 1,
      sym_keyword_end,
    STATE(10102), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [343071] = 5,
    ACTIONS(9204), 1,
      sym_keyword_filter,
    STATE(5727), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2694), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2692), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [343121] = 5,
    ACTIONS(9204), 1,
      sym_keyword_filter,
    STATE(5726), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2702), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2700), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [343171] = 5,
    ACTIONS(9204), 1,
      sym_keyword_filter,
    STATE(5724), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2714), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2712), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [343221] = 4,
    ACTIONS(9443), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2040), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2042), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [343269] = 4,
    ACTIONS(9445), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2156), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2158), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [343317] = 4,
    ACTIONS(9447), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2076), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2078), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [343365] = 4,
    ACTIONS(9449), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2084), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2086), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [343413] = 4,
    ACTIONS(9451), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2096), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2098), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [343461] = 4,
    ACTIONS(9453), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(123), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(121), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [343509] = 5,
    ACTIONS(9204), 1,
      sym_keyword_filter,
    STATE(5704), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2682), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2680), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [343559] = 4,
    ACTIONS(9455), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [343607] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9457), 1,
      sym_keyword_else,
    ACTIONS(9459), 1,
      sym_keyword_end,
    STATE(10455), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [343699] = 4,
    ACTIONS(9036), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [343747] = 4,
    ACTIONS(9461), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [343795] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9463), 1,
      sym_keyword_else,
    ACTIONS(9465), 1,
      sym_keyword_end,
    STATE(10222), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [343887] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9467), 1,
      sym_keyword_else,
    ACTIONS(9469), 1,
      sym_keyword_end,
    STATE(10472), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [343979] = 4,
    ACTIONS(9471), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344027] = 4,
    ACTIONS(8744), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344075] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9473), 1,
      sym_keyword_else,
    ACTIONS(9475), 1,
      sym_keyword_end,
    STATE(10120), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344167] = 4,
    ACTIONS(9477), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344215] = 5,
    ACTIONS(9204), 1,
      sym_keyword_filter,
    STATE(5669), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2698), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2696), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344265] = 4,
    ACTIONS(9479), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344313] = 5,
    ACTIONS(9481), 1,
      sym_keyword_unsigned,
    ACTIONS(9483), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2015), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2013), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344363] = 4,
    ACTIONS(9485), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344411] = 4,
    ACTIONS(9487), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344459] = 4,
    ACTIONS(9489), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344507] = 5,
    ACTIONS(9491), 1,
      aux_sym__single_quote_string_token2,
    STATE(5125), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1369), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1367), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344557] = 5,
    ACTIONS(9298), 1,
      aux_sym__single_quote_string_token2,
    STATE(5125), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1376), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1374), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344607] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9494), 1,
      sym_keyword_else,
    ACTIONS(9496), 1,
      sym_keyword_end,
    STATE(9863), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344699] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9498), 1,
      sym_keyword_else,
    ACTIONS(9500), 1,
      sym_keyword_end,
    STATE(10198), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344791] = 5,
    ACTIONS(9502), 1,
      sym_keyword_precision,
    ACTIONS(9504), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1829), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1831), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [344841] = 4,
    ACTIONS(9506), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344889] = 6,
    ACTIONS(9508), 1,
      anon_sym_LBRACK,
    STATE(5131), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5780), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 28,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [344941] = 26,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9511), 1,
      sym_keyword_else,
    ACTIONS(9513), 1,
      sym_keyword_end,
    STATE(9990), 1,
      aux_sym_case_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345033] = 5,
    STATE(5131), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5780), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3302), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3300), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345083] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2330), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2328), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345128] = 4,
    ACTIONS(9515), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2096), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2098), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [345175] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2232), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2234), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [345220] = 4,
    ACTIONS(9517), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2186), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2188), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [345267] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9519), 1,
      anon_sym_RBRACK,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    STATE(10845), 1,
      sym_not_in,
    STATE(11259), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345356] = 4,
    ACTIONS(9523), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2180), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2182), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [345403] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2300), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2302), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [345448] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9216), 1,
      anon_sym_COLON_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8772), 3,
      sym_keyword_create,
      sym_keyword_with,
      anon_sym_RPAREN,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345533] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9525), 1,
      anon_sym_RPAREN,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    STATE(10845), 1,
      sym_not_in,
    STATE(11153), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345622] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9529), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(11153), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345711] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2312), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2314), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [345756] = 4,
    ACTIONS(9531), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2138), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2140), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [345803] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9533), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(11252), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345892] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9535), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(11054), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [345981] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(9537), 1,
      anon_sym_RBRACK,
    STATE(10845), 1,
      sym_not_in,
    STATE(11160), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346070] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9539), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(11054), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346159] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(9541), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346244] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(9543), 1,
      anon_sym_RBRACK,
    STATE(10845), 1,
      sym_not_in,
    STATE(11061), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346333] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9545), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(10955), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346422] = 4,
    STATE(918), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3483), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3481), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346469] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2096), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2098), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [346514] = 4,
    ACTIONS(9547), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2132), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2134), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [346561] = 4,
    ACTIONS(9549), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2126), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2128), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [346608] = 4,
    ACTIONS(9551), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346655] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2084), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2086), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [346700] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2048), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [346745] = 4,
    ACTIONS(9553), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2034), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2036), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [346792] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9555), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(10955), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346881] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(9557), 1,
      anon_sym_RBRACK,
    STATE(10845), 1,
      sym_not_in,
    STATE(10962), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [346970] = 4,
    ACTIONS(9559), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2056), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2058), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347017] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2076), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2078), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347062] = 4,
    ACTIONS(9561), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2066), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347109] = 4,
    ACTIONS(9563), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2090), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2092), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347156] = 4,
    ACTIONS(9565), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2102), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2104), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347203] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9567), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(10856), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [347292] = 4,
    STATE(5633), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3481), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3483), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347339] = 4,
    ACTIONS(9569), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2114), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2116), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347386] = 4,
    ACTIONS(9504), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1829), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1831), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347433] = 4,
    ACTIONS(9571), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3453), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3451), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [347480] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9573), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(10856), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [347569] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [347614] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2156), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2158), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347659] = 4,
    ACTIONS(9575), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2162), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2164), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347706] = 4,
    ACTIONS(9577), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2034), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2036), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347753] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2757), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2755), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [347798] = 4,
    ACTIONS(9579), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2128), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2126), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [347845] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2040), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2042), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [347890] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [347935] = 4,
    ACTIONS(9581), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2134), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2132), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [347982] = 4,
    ACTIONS(8942), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1829), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1831), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [348029] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2220), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2222), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [348074] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2809), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2807), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [348119] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(9583), 1,
      anon_sym_RBRACK,
    STATE(10845), 1,
      sym_not_in,
    STATE(10863), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [348208] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9585), 1,
      anon_sym_RPAREN,
    STATE(10743), 1,
      aux_sym_array_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [348297] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2728), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [348342] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2765), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2763), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [348387] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(7798), 1,
      anon_sym_LBRACK,
    ACTIONS(8073), 1,
      sym_keyword_in,
    ACTIONS(8075), 1,
      sym_keyword_is,
    ACTIONS(8077), 1,
      sym_keyword_not,
    ACTIONS(8079), 1,
      sym_keyword_between,
    ACTIONS(8087), 1,
      sym_op_other,
    ACTIONS(8089), 1,
      anon_sym_PLUS,
    ACTIONS(8091), 1,
      anon_sym_DASH,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8095), 1,
      anon_sym_CARET,
    ACTIONS(8097), 1,
      sym_keyword_and,
    ACTIONS(8646), 1,
      sym_keyword_or,
    ACTIONS(8648), 1,
      anon_sym_COLON_COLON,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8083), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8085), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(9587), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(1421), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1439), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8081), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [348472] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2761), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2759), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [348517] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2773), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2771), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [348562] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(9589), 3,
      sym_keyword_when,
      sym_keyword_else,
      sym_keyword_end,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [348647] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [348692] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2240), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2242), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [348737] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2244), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2246), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [348782] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9591), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(10877), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [348871] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2264), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2266), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [348916] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9593), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(10877), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [349005] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2284), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2286), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349050] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2785), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2783), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [349095] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2789), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2787), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [349140] = 4,
    ACTIONS(9595), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2056), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2058), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349187] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [349232] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2805), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2803), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [349277] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2797), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2795), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [349322] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2710), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2708), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [349367] = 5,
    STATE(5252), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5931), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3300), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3302), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349416] = 4,
    ACTIONS(9597), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2066), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349463] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2236), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2238), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [349508] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2769), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2767), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [349553] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [349598] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2724), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [349643] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2310), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2308), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [349688] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2306), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2304), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [349733] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2298), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2296), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [349778] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2702), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2700), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [349823] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [349868] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2793), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2791), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [349913] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2054), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2052), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [349958] = 6,
    ACTIONS(9234), 1,
      sym_keyword_with,
    ACTIONS(9236), 1,
      sym_keyword_without,
    STATE(6165), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1979), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1977), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [350009] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350054] = 6,
    ACTIONS(9234), 1,
      sym_keyword_with,
    ACTIONS(9236), 1,
      sym_keyword_without,
    STATE(6167), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1963), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1961), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [350105] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350150] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350195] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2378), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2376), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350240] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350285] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350330] = 4,
    ACTIONS(9599), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2078), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2076), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350377] = 4,
    ACTIONS(9601), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2090), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2092), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [350424] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350469] = 7,
    ACTIONS(123), 1,
      anon_sym_LPAREN,
    ACTIONS(2853), 1,
      anon_sym_DOT,
    ACTIONS(4153), 1,
      aux_sym__single_quote_string_token1,
    STATE(6418), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2851), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2849), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350522] = 4,
    ACTIONS(9603), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2042), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2040), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350569] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9605), 1,
      anon_sym_RPAREN,
    STATE(10804), 1,
      aux_sym_array_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350658] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350703] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2288), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2290), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [350748] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350793] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2316), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2318), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [350838] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9607), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(9588), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [350925] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9607), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(9593), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351012] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2368), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2370), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [351057] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2372), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2374), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [351102] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9609), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(11252), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351191] = 4,
    ACTIONS(9611), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2102), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2104), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [351238] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2226), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2224), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351283] = 4,
    ACTIONS(9613), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2114), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2116), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [351330] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9607), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(9446), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351417] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9607), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(9444), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351504] = 4,
    ACTIONS(9615), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2138), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2140), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [351551] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351596] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9607), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(9423), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351683] = 6,
    ACTIONS(9617), 1,
      anon_sym_LBRACK,
    STATE(5252), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(5931), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2021), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2023), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [351734] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(9620), 1,
      anon_sym_RBRACK,
    STATE(10845), 1,
      sym_not_in,
    STATE(11356), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351823] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2250), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2248), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351868] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2384), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2386), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [351913] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2254), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2252), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [351958] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2210), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2208), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352003] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2388), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2390), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [352048] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2258), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2256), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352093] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2262), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2260), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352138] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2322), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2320), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352183] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2326), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2324), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352228] = 4,
    ACTIONS(9622), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352275] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2334), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2332), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352320] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9607), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(9180), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352407] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2338), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2336), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352452] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2342), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2340), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352497] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2346), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2344), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352542] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2364), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2366), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [352587] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2350), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2348), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352632] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2354), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2352), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352677] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2358), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2356), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352722] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2362), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2360), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352767] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2366), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2364), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352812] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2390), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2388), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352857] = 4,
    ACTIONS(9624), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352904] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [352949] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9626), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(11349), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [353038] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9628), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8988), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [353125] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9628), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(9156), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [353212] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2360), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2362), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [353257] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9630), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(10877), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [353346] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9628), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(8990), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [353433] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9632), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(10877), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [353522] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9634), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(10877), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [353611] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9636), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(11252), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [353700] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(9638), 1,
      anon_sym_RBRACK,
    STATE(10845), 1,
      sym_not_in,
    STATE(11453), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [353789] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2374), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2372), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [353834] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2370), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2368), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [353879] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2318), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2316), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [353924] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2356), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2358), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [353969] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2290), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2288), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [354014] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2352), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2354), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [354059] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2348), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2350), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [354104] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2286), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2284), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [354149] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2266), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2264), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [354194] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2344), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2346), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [354239] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2340), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2342), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [354284] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2246), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2244), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [354329] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2336), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2338), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [354374] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2332), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2334), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [354419] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2328), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2330), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [354464] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2324), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2326), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [354509] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2242), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2240), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [354554] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2222), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2220), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [354599] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9640), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(11446), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [354688] = 4,
    ACTIONS(9642), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2086), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2084), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [354735] = 4,
    ACTIONS(9644), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2096), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [354782] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2042), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2040), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [354827] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [354872] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2078), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2076), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [354917] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2086), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2084), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [354962] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2320), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2322), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [355007] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2096), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355052] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2314), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2312), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355097] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2302), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2300), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355142] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2278), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2276), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355187] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2274), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2272), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355232] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2270), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2268), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355277] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2238), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2236), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355322] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2234), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2232), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355367] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2230), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2228), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355412] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1971), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1969), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355457] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2260), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2262), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [355502] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355547] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9646), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(10877), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355636] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2256), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2258), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [355681] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2208), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2210), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [355726] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2252), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2254), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [355771] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355816] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2248), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2250), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [355861] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2218), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2216), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355906] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2214), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2212), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [355951] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2138), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2140), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [355996] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2224), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2226), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [356041] = 4,
    ACTIONS(9648), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2182), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2180), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356088] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2146), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2144), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356133] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2282), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2280), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356178] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2294), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2292), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356223] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9650), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(10877), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356312] = 4,
    ACTIONS(9652), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2188), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2186), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356359] = 5,
    ACTIONS(9654), 1,
      aux_sym__single_quote_string_token2,
    STATE(5342), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1369), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1367), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356408] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9657), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(11282), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356497] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9659), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(10877), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356586] = 5,
    ACTIONS(9661), 1,
      aux_sym__single_quote_string_token2,
    STATE(5342), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1376), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1374), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356635] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9663), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(10877), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356724] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9665), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(10877), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356813] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2194), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2192), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356858] = 4,
    ACTIONS(9667), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3453), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3451), 30,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356905] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9669), 1,
      anon_sym_RPAREN,
    STATE(10743), 1,
      aux_sym_array_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [356994] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(9671), 1,
      anon_sym_RBRACK,
    STATE(10845), 1,
      sym_not_in,
    STATE(11285), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357083] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(9673), 1,
      anon_sym_RBRACK,
    STATE(10750), 1,
      aux_sym_array_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357172] = 4,
    ACTIONS(9675), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3451), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3453), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [357219] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9677), 1,
      anon_sym_RPAREN,
    STATE(10630), 1,
      aux_sym_array_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357308] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9679), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(11282), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357397] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9681), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(10157), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357484] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9681), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(10156), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357571] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2114), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2116), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [357616] = 4,
    ACTIONS(9683), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357663] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2102), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2104), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [357708] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9681), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(10140), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357795] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [357840] = 6,
    ACTIONS(9685), 1,
      sym_keyword_unsigned,
    ACTIONS(9687), 1,
      sym_keyword_zerofill,
    ACTIONS(9689), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1829), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [357891] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2090), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2092), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [357936] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9691), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(11349), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358025] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2066), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [358070] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9681), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(10137), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358157] = 4,
    ACTIONS(9693), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2172), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2170), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358204] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2056), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2058), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [358249] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9681), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(10136), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358336] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9695), 1,
      anon_sym_RPAREN,
    STATE(10630), 1,
      aux_sym_array_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358425] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9628), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(9428), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358512] = 4,
    ACTIONS(9697), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2030), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2028), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358559] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2376), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2378), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [358604] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2380), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2382), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [358649] = 4,
    ACTIONS(9699), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358696] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9701), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(10877), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358785] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1829), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1831), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [358830] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(9703), 1,
      anon_sym_RBRACK,
    STATE(10637), 1,
      aux_sym_array_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358919] = 6,
    ACTIONS(9705), 1,
      anon_sym_LBRACK,
    STATE(5380), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(6153), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [358970] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2034), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2036), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [359015] = 4,
    ACTIONS(9708), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [359062] = 8,
    ACTIONS(9710), 1,
      sym_keyword_array,
    ACTIONS(9712), 1,
      anon_sym_LBRACK,
    STATE(6074), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(6420), 1,
      sym__array_size_definition,
    STATE(6467), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2880), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2878), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [359117] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9714), 1,
      anon_sym_RPAREN,
    STATE(10526), 1,
      aux_sym_array_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [359206] = 4,
    ACTIONS(9716), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2110), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2108), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [359253] = 6,
    ACTIONS(9264), 1,
      sym_keyword_unsigned,
    ACTIONS(9266), 1,
      sym_keyword_zerofill,
    ACTIONS(9270), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1803), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [359304] = 6,
    ACTIONS(9718), 1,
      sym_keyword_unsigned,
    ACTIONS(9720), 1,
      sym_keyword_zerofill,
    ACTIONS(9722), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1851), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1849), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [359355] = 6,
    ACTIONS(9724), 1,
      sym_keyword_unsigned,
    ACTIONS(9726), 1,
      sym_keyword_zerofill,
    ACTIONS(9728), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1841), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1839), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [359406] = 6,
    ACTIONS(9730), 1,
      sym_keyword_unsigned,
    ACTIONS(9732), 1,
      sym_keyword_zerofill,
    ACTIONS(9734), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1881), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1879), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [359457] = 6,
    ACTIONS(9736), 1,
      sym_keyword_unsigned,
    ACTIONS(9738), 1,
      sym_keyword_zerofill,
    ACTIONS(9740), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1871), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1869), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [359508] = 6,
    ACTIONS(9742), 1,
      sym_keyword_unsigned,
    ACTIONS(9744), 1,
      sym_keyword_zerofill,
    ACTIONS(9746), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1817), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1815), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [359559] = 4,
    ACTIONS(9748), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2072), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2070), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [359606] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(9750), 1,
      anon_sym_RBRACK,
    STATE(10845), 1,
      sym_not_in,
    STATE(10929), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [359695] = 6,
    ACTIONS(9752), 1,
      sym_keyword_unsigned,
    ACTIONS(9754), 1,
      sym_keyword_zerofill,
    ACTIONS(9756), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1897), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1895), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [359746] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1905), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [359791] = 4,
    ACTIONS(9758), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [359838] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9760), 1,
      anon_sym_RPAREN,
    STATE(10526), 1,
      aux_sym_array_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [359927] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1911), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1909), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [359972] = 4,
    ACTIONS(9762), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [360019] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1915), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1913), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [360064] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1923), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1921), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [360109] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1825), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [360154] = 5,
    ACTIONS(9661), 1,
      aux_sym__single_quote_string_token2,
    STATE(5342), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3306), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3304), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [360203] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2048), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2046), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [360248] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1919), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1917), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [360293] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9764), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(11384), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [360382] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2268), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2270), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [360427] = 23,
    ACTIONS(8878), 1,
      sym_keyword_cross,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    ACTIONS(8896), 1,
      anon_sym_COMMA,
    ACTIONS(9766), 1,
      sym_keyword_left,
    ACTIONS(9770), 1,
      sym_keyword_inner,
    ACTIONS(9772), 1,
      sym_keyword_join,
    ACTIONS(9774), 1,
      sym_keyword_natural,
    ACTIONS(9776), 1,
      sym_keyword_where,
    ACTIONS(9778), 1,
      sym_keyword_order,
    ACTIONS(9780), 1,
      sym_keyword_group,
    STATE(6492), 1,
      sym_index_hint,
    STATE(6536), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(7084), 1,
      sym_where,
    STATE(7320), 1,
      sym_group_by,
    STATE(7391), 1,
      sym_order_by,
    STATE(7594), 1,
      sym_window_clause,
    STATE(7693), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9768), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6523), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9046), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [360512] = 4,
    ACTIONS(9782), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2146), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2144), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [360559] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9784), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(11446), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [360648] = 9,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(8026), 1,
      sym_keyword_as,
    ACTIONS(9790), 1,
      anon_sym_LPAREN,
    STATE(6466), 1,
      sym_identifier,
    STATE(6479), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(9786), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(9788), 25,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [360705] = 8,
    ACTIONS(9710), 1,
      sym_keyword_array,
    ACTIONS(9712), 1,
      anon_sym_LBRACK,
    STATE(6074), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(6420), 1,
      sym__array_size_definition,
    STATE(6473), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2813), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2811), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [360760] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(9792), 1,
      anon_sym_RBRACK,
    STATE(10845), 1,
      sym_not_in,
    STATE(11394), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [360849] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(9794), 1,
      anon_sym_RBRACK,
    STATE(10845), 1,
      sym_not_in,
    STATE(10931), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [360938] = 23,
    ACTIONS(8878), 1,
      sym_keyword_cross,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    ACTIONS(8896), 1,
      anon_sym_COMMA,
    ACTIONS(9766), 1,
      sym_keyword_left,
    ACTIONS(9770), 1,
      sym_keyword_inner,
    ACTIONS(9772), 1,
      sym_keyword_join,
    ACTIONS(9774), 1,
      sym_keyword_natural,
    ACTIONS(9776), 1,
      sym_keyword_where,
    ACTIONS(9778), 1,
      sym_keyword_order,
    ACTIONS(9780), 1,
      sym_keyword_group,
    STATE(6503), 1,
      sym_index_hint,
    STATE(6536), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(7082), 1,
      sym_where,
    STATE(7322), 1,
      sym_group_by,
    STATE(7341), 1,
      sym_order_by,
    STATE(7596), 1,
      sym_window_clause,
    STATE(7723), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9768), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6482), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8938), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [361023] = 4,
    ACTIONS(9796), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [361070] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9681), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(10107), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [361157] = 23,
    ACTIONS(8878), 1,
      sym_keyword_cross,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    ACTIONS(8896), 1,
      anon_sym_COMMA,
    ACTIONS(9766), 1,
      sym_keyword_left,
    ACTIONS(9770), 1,
      sym_keyword_inner,
    ACTIONS(9772), 1,
      sym_keyword_join,
    ACTIONS(9774), 1,
      sym_keyword_natural,
    ACTIONS(9776), 1,
      sym_keyword_where,
    ACTIONS(9778), 1,
      sym_keyword_order,
    ACTIONS(9780), 1,
      sym_keyword_group,
    STATE(5408), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6503), 1,
      sym_index_hint,
    STATE(7082), 1,
      sym_where,
    STATE(7322), 1,
      sym_group_by,
    STATE(7341), 1,
      sym_order_by,
    STATE(7596), 1,
      sym_window_clause,
    STATE(7723), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9768), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6482), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8938), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [361242] = 4,
    STATE(5749), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3483), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3481), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [361289] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1919), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1917), 30,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [361334] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1827), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1825), 30,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [361379] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1923), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1921), 30,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [361424] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1915), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1913), 30,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [361469] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1911), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1909), 30,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [361514] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9628), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(9159), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [361601] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(7798), 1,
      anon_sym_LBRACK,
    ACTIONS(8073), 1,
      sym_keyword_in,
    ACTIONS(8075), 1,
      sym_keyword_is,
    ACTIONS(8077), 1,
      sym_keyword_not,
    ACTIONS(8079), 1,
      sym_keyword_between,
    ACTIONS(8087), 1,
      sym_op_other,
    ACTIONS(8089), 1,
      anon_sym_PLUS,
    ACTIONS(8091), 1,
      anon_sym_DASH,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8095), 1,
      anon_sym_CARET,
    ACTIONS(8097), 1,
      sym_keyword_and,
    ACTIONS(8646), 1,
      sym_keyword_or,
    ACTIONS(8648), 1,
      anon_sym_COLON_COLON,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8083), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8085), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(9541), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(1421), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1439), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8081), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [361686] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1907), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1905), 30,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [361731] = 6,
    ACTIONS(9798), 1,
      sym_keyword_unsigned,
    ACTIONS(9800), 1,
      sym_keyword_zerofill,
    ACTIONS(9802), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1897), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1895), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [361782] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9628), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(9158), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [361869] = 23,
    ACTIONS(8878), 1,
      sym_keyword_cross,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    ACTIONS(8896), 1,
      anon_sym_COMMA,
    ACTIONS(9766), 1,
      sym_keyword_left,
    ACTIONS(9770), 1,
      sym_keyword_inner,
    ACTIONS(9772), 1,
      sym_keyword_join,
    ACTIONS(9774), 1,
      sym_keyword_natural,
    ACTIONS(9776), 1,
      sym_keyword_where,
    ACTIONS(9778), 1,
      sym_keyword_order,
    ACTIONS(9780), 1,
      sym_keyword_group,
    STATE(5415), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6484), 1,
      sym_index_hint,
    STATE(7081), 1,
      sym_where,
    STATE(7264), 1,
      sym_group_by,
    STATE(7427), 1,
      sym_order_by,
    STATE(7601), 1,
      sym_window_clause,
    STATE(7707), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9768), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6497), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8870), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [361954] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9804), 1,
      anon_sym_RPAREN,
    STATE(10804), 1,
      aux_sym_array_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362043] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9806), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(10877), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362132] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9808), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(10877), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362221] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9810), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(10877), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362310] = 4,
    ACTIONS(9812), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362357] = 4,
    ACTIONS(9814), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362404] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9816), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(10877), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362493] = 6,
    ACTIONS(9818), 1,
      sym_keyword_unsigned,
    ACTIONS(9820), 1,
      sym_keyword_zerofill,
    ACTIONS(9822), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1817), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1815), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362544] = 6,
    ACTIONS(9824), 1,
      sym_keyword_unsigned,
    ACTIONS(9826), 1,
      sym_keyword_zerofill,
    ACTIONS(9828), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1871), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1869), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362595] = 6,
    ACTIONS(9830), 1,
      sym_keyword_unsigned,
    ACTIONS(9832), 1,
      sym_keyword_zerofill,
    ACTIONS(9834), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1881), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1879), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362646] = 6,
    ACTIONS(9836), 1,
      sym_keyword_unsigned,
    ACTIONS(9838), 1,
      sym_keyword_zerofill,
    ACTIONS(9840), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1841), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1839), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362697] = 6,
    ACTIONS(9842), 1,
      sym_keyword_unsigned,
    ACTIONS(9844), 1,
      sym_keyword_zerofill,
    ACTIONS(9846), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1851), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1849), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362748] = 6,
    ACTIONS(9431), 1,
      sym_keyword_unsigned,
    ACTIONS(9433), 1,
      sym_keyword_zerofill,
    ACTIONS(9437), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362799] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9848), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(10877), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362888] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9850), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(10877), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [362977] = 4,
    ACTIONS(9852), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [363024] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9854), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(11384), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [363113] = 5,
    ACTIONS(9856), 1,
      aux_sym__single_quote_string_token2,
    STATE(5403), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3279), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3277), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [363162] = 4,
    ACTIONS(9858), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [363209] = 4,
    ACTIONS(9860), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [363256] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9862), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(10877), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [363345] = 4,
    ACTIONS(9864), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [363392] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(9866), 1,
      anon_sym_RBRACK,
    STATE(10531), 1,
      aux_sym_array_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [363481] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9868), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(10877), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [363570] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9870), 1,
      anon_sym_RPAREN,
    STATE(10724), 1,
      aux_sym_array_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [363659] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1805), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [363704] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(9872), 1,
      anon_sym_RBRACK,
    STATE(10721), 1,
      aux_sym_array_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [363793] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9874), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(11464), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [363882] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2292), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2294), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [363927] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2280), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2282), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [363972] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9876), 1,
      anon_sym_RPAREN,
    STATE(10724), 1,
      aux_sym_array_repeat1,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364061] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(9878), 1,
      anon_sym_RBRACK,
    STATE(10845), 1,
      sym_not_in,
    STATE(11468), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364150] = 4,
    ACTIONS(9880), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(123), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(121), 20,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [364197] = 4,
    ACTIONS(9882), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364244] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9884), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(11464), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364333] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2272), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2274), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [364378] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1386), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [364423] = 4,
    ACTIONS(9886), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364470] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9888), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(11075), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364559] = 4,
    ACTIONS(9890), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(123), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(121), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [364606] = 4,
    ACTIONS(9002), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364653] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9892), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(11075), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364742] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(9587), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_COMMA,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364827] = 4,
    ACTIONS(9894), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2108), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2110), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [364874] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9896), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(10877), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [364963] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9898), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(11461), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365052] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(9900), 1,
      anon_sym_RBRACK,
    STATE(10845), 1,
      sym_not_in,
    STATE(11455), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365141] = 4,
    ACTIONS(9902), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2028), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2030), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [365188] = 6,
    ACTIONS(9904), 1,
      sym_keyword_unsigned,
    ACTIONS(9906), 1,
      sym_keyword_zerofill,
    ACTIONS(9908), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365239] = 4,
    ACTIONS(9910), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(121), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(123), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365286] = 5,
    STATE(5380), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(6153), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3302), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3300), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365335] = 4,
    ACTIONS(9912), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2170), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2172), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [365382] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2276), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2278), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [365427] = 4,
    ACTIONS(9914), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2070), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2072), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [365474] = 5,
    ACTIONS(9916), 1,
      aux_sym__single_quote_string_token2,
    STATE(5345), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1363), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1361), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365523] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(9918), 1,
      anon_sym_RBRACK,
    STATE(10845), 1,
      sym_not_in,
    STATE(11062), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365612] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9920), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(10877), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365701] = 7,
    ACTIONS(9922), 1,
      sym_keyword_array,
    STATE(5853), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(6396), 1,
      sym_array_size_definition,
    STATE(6408), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2880), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2878), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365754] = 4,
    ACTIONS(9924), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2144), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2146), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [365801] = 4,
    ACTIONS(9926), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2202), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2204), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [365848] = 4,
    ACTIONS(9928), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [365895] = 4,
    ACTIONS(9930), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2150), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2152), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [365942] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2144), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2146), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [365987] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2212), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2214), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [366032] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2216), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2218), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [366077] = 7,
    ACTIONS(9922), 1,
      sym_keyword_array,
    STATE(5853), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(6408), 1,
      sym__array_size_definition,
    STATE(6458), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2813), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2811), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [366130] = 4,
    ACTIONS(9338), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [366177] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2202), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2204), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [366222] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2150), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2152), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [366267] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9216), 1,
      anon_sym_COLON_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(8740), 3,
      sym_keyword_create,
      sym_keyword_with,
      anon_sym_RPAREN,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [366352] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1969), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1971), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [366397] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9932), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(11075), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [366486] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1939), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1941), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [366531] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9934), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(11461), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [366620] = 4,
    ACTIONS(9936), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [366667] = 4,
    ACTIONS(9938), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2084), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2086), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [366714] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2192), 17,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2194), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [366759] = 4,
    ACTIONS(9940), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2076), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2078), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [366806] = 4,
    ACTIONS(9942), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2156), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2158), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [366853] = 4,
    ACTIONS(9944), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2040), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2042), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [366900] = 4,
    ACTIONS(9946), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2196), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2198), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [366947] = 25,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(9948), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    STATE(10877), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367036] = 6,
    ACTIONS(9423), 1,
      sym_keyword_with,
    ACTIONS(9425), 1,
      sym_keyword_without,
    STATE(6342), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1979), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1977), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367087] = 6,
    ACTIONS(9423), 1,
      sym_keyword_with,
    ACTIONS(9425), 1,
      sym_keyword_without,
    STATE(6334), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1963), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1961), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367138] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2228), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2230), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [367183] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2308), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2310), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [367228] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2296), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2298), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [367273] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2304), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2306), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [367318] = 5,
    ACTIONS(9950), 1,
      sym_keyword_filter,
    STATE(6295), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367366] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2138), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2140), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [367410] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2218), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2216), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367454] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367498] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2214), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2212), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367542] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3673), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3671), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367586] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3431), 2,
      sym_keyword_on,
      sym_keyword_using,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367670] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3661), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3659), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367714] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3681), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3679), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367758] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2146), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2144), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367802] = 5,
    ACTIONS(9952), 1,
      sym_keyword_varying,
    ACTIONS(9954), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1983), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1981), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [367850] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2366), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2364), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367894] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9956), 1,
      anon_sym_RBRACK,
    ACTIONS(9958), 1,
      anon_sym_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [367980] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9960), 1,
      anon_sym_RBRACK,
    ACTIONS(9962), 1,
      anon_sym_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368066] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3457), 2,
      sym_keyword_on,
      sym_keyword_using,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368150] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2400), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2402), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [368194] = 5,
    ACTIONS(9964), 1,
      sym_keyword_unsigned,
    ACTIONS(9966), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1971), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1969), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [368242] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2282), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2280), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368286] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3621), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3619), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368330] = 4,
    ACTIONS(9968), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 28,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368376] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2404), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2406), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [368420] = 8,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(8026), 1,
      sym_keyword_as,
    STATE(6466), 1,
      sym_identifier,
    STATE(6471), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(9786), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(9788), 25,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [368474] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3593), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3591), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368518] = 5,
    ACTIONS(9970), 1,
      sym_keyword_varying,
    ACTIONS(9972), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1983), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1981), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368566] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9974), 1,
      anon_sym_RBRACK,
    ACTIONS(9976), 1,
      anon_sym_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368652] = 4,
    ACTIONS(9978), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1939), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [368698] = 5,
    ACTIONS(9980), 1,
      sym_keyword_unsigned,
    ACTIONS(9982), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1927), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1925), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368746] = 5,
    ACTIONS(9984), 1,
      sym_keyword_unsigned,
    ACTIONS(9986), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1991), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1989), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368794] = 5,
    ACTIONS(9988), 1,
      sym_keyword_unsigned,
    ACTIONS(9990), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1999), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1997), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368842] = 5,
    ACTIONS(9992), 1,
      sym_keyword_unsigned,
    ACTIONS(9994), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2007), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2005), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368890] = 5,
    ACTIONS(9996), 1,
      sym_keyword_unsigned,
    ACTIONS(9998), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2015), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2013), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368938] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2294), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2292), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [368982] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369026] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2310), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2308), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369070] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2096), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369114] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2388), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2390), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [369158] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2384), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2386), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [369202] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2372), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2374), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [369246] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2368), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2370), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [369290] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2316), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2318), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [369334] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2288), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2290), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [369378] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2284), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2286), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [369422] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2264), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2266), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [369466] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2244), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2246), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [369510] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2240), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2242), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [369554] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2220), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2222), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [369598] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2362), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2360), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369642] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1971), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1969), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369686] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2230), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2228), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369730] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10000), 1,
      anon_sym_RBRACK,
    ACTIONS(10002), 1,
      anon_sym_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369816] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3547), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369860] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3545), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3543), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369904] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2234), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2232), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [369948] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10004), 1,
      anon_sym_RBRACK,
    ACTIONS(10006), 1,
      anon_sym_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370034] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3589), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3587), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370078] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3499), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3497), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370122] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2306), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2304), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370166] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2226), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2224), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370210] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10008), 1,
      anon_sym_RBRACK,
    ACTIONS(10010), 1,
      anon_sym_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370296] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2238), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2236), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370340] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2250), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2248), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370384] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2358), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2356), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370428] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2254), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2252), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370472] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2210), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2208), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370516] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2270), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2268), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370560] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2298), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2296), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370604] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10012), 1,
      anon_sym_RBRACK,
    ACTIONS(10014), 1,
      anon_sym_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370690] = 5,
    ACTIONS(10016), 1,
      sym_keyword_precision,
    ACTIONS(10018), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1829), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [370738] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3465), 2,
      sym_keyword_on,
      sym_keyword_using,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370822] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2040), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2042), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [370866] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2274), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2272), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370910] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2156), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2158), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [370954] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2278), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2276), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [370998] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3507), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3505), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371042] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2076), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2078), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [371086] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3511), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3509), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371130] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3573), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3571), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371174] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3577), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3575), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371218] = 5,
    ACTIONS(10020), 1,
      sym_keyword_unsigned,
    ACTIONS(10022), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1955), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1953), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371266] = 5,
    ACTIONS(10024), 1,
      sym_keyword_unsigned,
    ACTIONS(10026), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1947), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1945), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371314] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10028), 1,
      anon_sym_RBRACK,
    ACTIONS(10030), 1,
      anon_sym_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371400] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2302), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2300), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371444] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2364), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2366), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [371488] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2314), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2312), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371532] = 5,
    ACTIONS(10032), 1,
      sym_keyword_unsigned,
    ACTIONS(10034), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1947), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1945), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [371580] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2350), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2348), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371624] = 5,
    ACTIONS(10036), 1,
      sym_keyword_unsigned,
    ACTIONS(10038), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1955), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1953), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [371672] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3605), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3603), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371716] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3601), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3599), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371760] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371804] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3597), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371848] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3625), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3623), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371892] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3617), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3615), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [371936] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2396), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2398), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [371980] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2262), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2260), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372024] = 5,
    ACTIONS(10040), 1,
      sym_keyword_unsigned,
    ACTIONS(10042), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1971), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1969), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372072] = 23,
    ACTIONS(9108), 1,
      sym_keyword_cross,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(9126), 1,
      anon_sym_COMMA,
    ACTIONS(10044), 1,
      sym_keyword_left,
    ACTIONS(10048), 1,
      sym_keyword_inner,
    ACTIONS(10050), 1,
      sym_keyword_join,
    ACTIONS(10052), 1,
      sym_keyword_natural,
    ACTIONS(10054), 1,
      sym_keyword_where,
    ACTIONS(10056), 1,
      sym_keyword_order,
    ACTIONS(10058), 1,
      sym_keyword_group,
    STATE(6571), 1,
      sym_index_hint,
    STATE(6630), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(7244), 1,
      sym_where,
    STATE(7390), 1,
      sym_group_by,
    STATE(7565), 1,
      sym_order_by,
    STATE(7690), 1,
      sym_window_clause,
    STATE(7884), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10046), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9122), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6572), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9046), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [372156] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3585), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3583), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372200] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10060), 1,
      anon_sym_RBRACK,
    ACTIONS(10062), 1,
      anon_sym_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372286] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(9587), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372370] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10064), 1,
      anon_sym_RBRACK,
    ACTIONS(10066), 1,
      anon_sym_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372456] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10068), 1,
      anon_sym_RBRACK,
    ACTIONS(10070), 1,
      anon_sym_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372542] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2354), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2352), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372586] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372630] = 4,
    ACTIONS(121), 1,
      sym_keyword_partition,
    ACTIONS(125), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(123), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_is,
      sym_keyword_using,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_rename,
      sym_keyword_to,
      sym_keyword_owner,
      sym_keyword_returning,
      sym_keyword_wait,
      sym_keyword_nowait,
      sym_keyword_compute,
      sym_keyword_rewrite,
      sym_keyword_partitioned,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [372676] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2318), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2316), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372720] = 4,
    ACTIONS(10072), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3453), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3451), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372766] = 8,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(8026), 1,
      sym_keyword_as,
    STATE(6466), 1,
      sym_identifier,
    STATE(6475), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(10074), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(10076), 25,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [372820] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(9541), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372904] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3463), 2,
      sym_keyword_on,
      sym_keyword_using,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [372988] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1382), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373032] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 3,
      anon_sym_LPAREN,
      anon_sym_DOT,
      aux_sym__single_quote_string_token1,
    ACTIONS(1382), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373078] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3485), 2,
      sym_keyword_on,
      sym_keyword_using,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373162] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373206] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2412), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2414), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [373250] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2084), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2086), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [373294] = 23,
    ACTIONS(9108), 1,
      sym_keyword_cross,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(9126), 1,
      anon_sym_COMMA,
    ACTIONS(10044), 1,
      sym_keyword_left,
    ACTIONS(10048), 1,
      sym_keyword_inner,
    ACTIONS(10050), 1,
      sym_keyword_join,
    ACTIONS(10052), 1,
      sym_keyword_natural,
    ACTIONS(10054), 1,
      sym_keyword_where,
    ACTIONS(10056), 1,
      sym_keyword_order,
    ACTIONS(10058), 1,
      sym_keyword_group,
    STATE(5643), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6532), 1,
      sym_index_hint,
    STATE(7239), 1,
      sym_where,
    STATE(7396), 1,
      sym_group_by,
    STATE(7517), 1,
      sym_order_by,
    STATE(7713), 1,
      sym_window_clause,
    STATE(7806), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10046), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9122), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6552), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8870), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [373378] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373422] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2573), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373466] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3561), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3559), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373510] = 23,
    ACTIONS(9108), 1,
      sym_keyword_cross,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(9126), 1,
      anon_sym_COMMA,
    ACTIONS(10044), 1,
      sym_keyword_left,
    ACTIONS(10048), 1,
      sym_keyword_inner,
    ACTIONS(10050), 1,
      sym_keyword_join,
    ACTIONS(10052), 1,
      sym_keyword_natural,
    ACTIONS(10054), 1,
      sym_keyword_where,
    ACTIONS(10056), 1,
      sym_keyword_order,
    ACTIONS(10058), 1,
      sym_keyword_group,
    STATE(5615), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6553), 1,
      sym_index_hint,
    STATE(7243), 1,
      sym_where,
    STATE(7393), 1,
      sym_group_by,
    STATE(7513), 1,
      sym_order_by,
    STATE(7705), 1,
      sym_window_clause,
    STATE(7781), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10046), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9122), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6567), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8938), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [373594] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3569), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3567), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373638] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3503), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373682] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2408), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2410), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [373726] = 23,
    ACTIONS(9108), 1,
      sym_keyword_cross,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(9126), 1,
      anon_sym_COMMA,
    ACTIONS(10044), 1,
      sym_keyword_left,
    ACTIONS(10048), 1,
      sym_keyword_inner,
    ACTIONS(10050), 1,
      sym_keyword_join,
    ACTIONS(10052), 1,
      sym_keyword_natural,
    ACTIONS(10054), 1,
      sym_keyword_where,
    ACTIONS(10056), 1,
      sym_keyword_order,
    ACTIONS(10058), 1,
      sym_keyword_group,
    STATE(6553), 1,
      sym_index_hint,
    STATE(6630), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(7243), 1,
      sym_where,
    STATE(7393), 1,
      sym_group_by,
    STATE(7513), 1,
      sym_order_by,
    STATE(7705), 1,
      sym_window_clause,
    STATE(7781), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10046), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9122), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    STATE(6567), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8938), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [373810] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3565), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3563), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373854] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373898] = 5,
    ACTIONS(9950), 1,
      sym_keyword_filter,
    STATE(6369), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373946] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3609), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3607), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [373990] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3613), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3611), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374034] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3495), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3493), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374078] = 5,
    ACTIONS(9950), 1,
      sym_keyword_filter,
    STATE(6352), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2728), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374126] = 5,
    ACTIONS(9950), 1,
      sym_keyword_filter,
    STATE(6349), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2672), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2670), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374174] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3685), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3683), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374218] = 5,
    ACTIONS(9950), 1,
      sym_keyword_filter,
    STATE(6348), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374266] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2392), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [374310] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2360), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2362), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [374354] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2356), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2358), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [374398] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374442] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2086), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2084), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374486] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2352), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2354), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [374530] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2348), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2350), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [374574] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1805), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [374618] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2344), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2346), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [374662] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2096), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2098), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [374706] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2340), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2342), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [374750] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2258), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2256), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374794] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2034), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2036), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [374838] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10078), 1,
      anon_sym_RBRACK,
    ACTIONS(10080), 1,
      anon_sym_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374924] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2757), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2755), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [374968] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2793), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2791), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375012] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375056] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10082), 1,
      anon_sym_RBRACK,
    ACTIONS(10084), 1,
      anon_sym_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375142] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2336), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2338), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [375186] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2332), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2334), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [375230] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2078), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2076), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375274] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2312), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2314), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [375318] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2300), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2302), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [375362] = 5,
    ACTIONS(10086), 1,
      sym_keyword_precision,
    ACTIONS(10088), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375410] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10090), 1,
      anon_sym_RBRACK,
    ACTIONS(10092), 1,
      anon_sym_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375496] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2276), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2278), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [375540] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2272), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2274), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [375584] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2268), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2270), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [375628] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2236), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2238), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [375672] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2232), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2234), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [375716] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2228), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2230), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [375760] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1969), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1971), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [375804] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2328), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2330), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [375848] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2150), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2152), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [375892] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2324), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2326), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [375936] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [375980] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2809), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2807), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [376024] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2320), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2322), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [376068] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2202), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2204), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [376112] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2216), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2218), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [376156] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1829), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1831), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [376200] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10094), 1,
      anon_sym_RBRACK,
    ACTIONS(10096), 1,
      anon_sym_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [376286] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [376330] = 5,
    ACTIONS(9950), 1,
      sym_keyword_filter,
    STATE(6335), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2690), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2688), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [376378] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2380), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2382), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [376422] = 5,
    ACTIONS(9950), 1,
      sym_keyword_filter,
    STATE(6333), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [376470] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2212), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2214), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [376514] = 5,
    ACTIONS(9950), 1,
      sym_keyword_filter,
    STATE(6331), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2718), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2716), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [376562] = 5,
    ACTIONS(9950), 1,
      sym_keyword_filter,
    STATE(6329), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2710), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2708), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [376610] = 5,
    ACTIONS(9950), 1,
      sym_keyword_filter,
    STATE(6327), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2706), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2704), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [376658] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2702), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2700), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [376702] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2144), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2146), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [376746] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2280), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2282), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [376790] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2260), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2262), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [376834] = 4,
    ACTIONS(10098), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3451), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3453), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [376880] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2256), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2258), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [376924] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2376), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2378), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [376968] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10100), 1,
      anon_sym_RBRACK,
    ACTIONS(10102), 1,
      anon_sym_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [377054] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2056), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2058), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [377098] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2322), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2320), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [377142] = 4,
    STATE(5834), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3481), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3483), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [377188] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2326), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2324), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [377232] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [377276] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2292), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2294), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [377320] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2208), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2210), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [377364] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3461), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3459), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [377408] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2252), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2254), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [377452] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2248), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2250), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [377496] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [377540] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10104), 1,
      anon_sym_RBRACK,
    ACTIONS(10106), 1,
      anon_sym_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [377626] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2724), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [377670] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [377714] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [377758] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2769), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2767), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [377802] = 5,
    ACTIONS(9950), 1,
      sym_keyword_filter,
    STATE(6303), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2722), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2720), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [377850] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2054), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2052), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [377894] = 4,
    STATE(6115), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3483), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3481), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [377940] = 5,
    ACTIONS(9950), 1,
      sym_keyword_filter,
    STATE(6288), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2738), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2736), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [377988] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3449), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3447), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378032] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3557), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3555), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378076] = 5,
    ACTIONS(9950), 1,
      sym_keyword_filter,
    STATE(6280), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2742), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2740), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378124] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2378), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2376), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378168] = 5,
    ACTIONS(9950), 1,
      sym_keyword_filter,
    STATE(6278), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2724), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378216] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378260] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2728), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378304] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2765), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2763), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378348] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3553), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3551), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378392] = 5,
    ACTIONS(9950), 1,
      sym_keyword_filter,
    STATE(6196), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2698), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2696), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378440] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2224), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2226), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [378484] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378528] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2114), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2116), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [378572] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2346), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2344), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378616] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2342), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2340), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378660] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2102), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2104), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [378704] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2410), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2408), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378748] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2414), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2412), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378792] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2338), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2336), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378836] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2334), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2332), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378880] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2330), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2328), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [378924] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(3487), 2,
      sym_keyword_on,
      sym_keyword_using,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379008] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2710), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2708), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379052] = 5,
    ACTIONS(9950), 1,
      sym_keyword_filter,
    STATE(6264), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2694), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2692), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379100] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2761), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2759), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379144] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379188] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2052), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2054), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [379232] = 5,
    ACTIONS(9950), 1,
      sym_keyword_filter,
    STATE(6258), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2702), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2700), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379280] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2797), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2795), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379324] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2773), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2771), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379368] = 5,
    ACTIONS(9950), 1,
      sym_keyword_filter,
    STATE(6257), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2714), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2712), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379416] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379460] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2390), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2388), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379504] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2805), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2803), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379548] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379592] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2296), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2298), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [379636] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2374), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2372), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379680] = 5,
    ACTIONS(9950), 1,
      sym_keyword_filter,
    STATE(6236), 1,
      sym_filter_expression,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2682), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2680), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379728] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379772] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2370), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2368), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379816] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2398), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2396), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [379860] = 4,
    ACTIONS(10108), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3451), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3453), 19,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [379906] = 5,
    ACTIONS(10110), 1,
      sym_keyword_unsigned,
    ACTIONS(10112), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2015), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2013), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [379954] = 5,
    ACTIONS(10114), 1,
      sym_keyword_unsigned,
    ACTIONS(10116), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2007), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2005), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [380002] = 5,
    ACTIONS(10118), 1,
      sym_keyword_unsigned,
    ACTIONS(10120), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1999), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1997), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [380050] = 5,
    ACTIONS(10122), 1,
      sym_keyword_unsigned,
    ACTIONS(10124), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1991), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1989), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [380098] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2789), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2787), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380142] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2402), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2400), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380186] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2404), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380230] = 5,
    ACTIONS(10126), 1,
      sym_keyword_unsigned,
    ACTIONS(10128), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1927), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1925), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [380278] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(6707), 2,
      anon_sym_RBRACK,
      anon_sym_COMMA,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380362] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2785), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2783), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_over,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380406] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(7798), 1,
      anon_sym_LBRACK,
    ACTIONS(8073), 1,
      sym_keyword_in,
    ACTIONS(8075), 1,
      sym_keyword_is,
    ACTIONS(8077), 1,
      sym_keyword_not,
    ACTIONS(8079), 1,
      sym_keyword_between,
    ACTIONS(8087), 1,
      sym_op_other,
    ACTIONS(8089), 1,
      anon_sym_PLUS,
    ACTIONS(8091), 1,
      anon_sym_DASH,
    ACTIONS(8093), 1,
      anon_sym_SLASH,
    ACTIONS(8095), 1,
      anon_sym_CARET,
    ACTIONS(8097), 1,
      sym_keyword_and,
    ACTIONS(8646), 1,
      sym_keyword_or,
    ACTIONS(8648), 1,
      anon_sym_COLON_COLON,
    STATE(10851), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8083), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8085), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(10130), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(1421), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1439), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8081), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380490] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(6707), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380574] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2066), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [380618] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2042), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2040), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380662] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2304), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2306), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [380706] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2222), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2220), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380750] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2308), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2310), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [380794] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2090), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2092), 19,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [380838] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2290), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2288), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380882] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2286), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2284), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380926] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2884), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2882), 29,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [380970] = 24,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10132), 1,
      anon_sym_RBRACK,
    ACTIONS(10134), 1,
      anon_sym_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381056] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2266), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2264), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381100] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2246), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2244), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381144] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2242), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2240), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381188] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10136), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381271] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10138), 1,
      anon_sym_RBRACK,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381354] = 4,
    ACTIONS(9906), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381399] = 4,
    ACTIONS(10140), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381444] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10142), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381527] = 4,
    ACTIONS(10144), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2162), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381572] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(13824), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [381619] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3621), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3619), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381662] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10148), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381745] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(13833), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [381792] = 4,
    ACTIONS(10150), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(121), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(123), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381837] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(10152), 1,
      sym_keyword_as,
    ACTIONS(10154), 1,
      anon_sym_COLON_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [381920] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10156), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [382003] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10158), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [382086] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10160), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [382169] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3661), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3659), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [382212] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(10154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10162), 1,
      sym_keyword_as,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [382295] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10164), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [382378] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10166), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [382461] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10168), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [382544] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10170), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [382627] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10130), 1,
      anon_sym_SEMI,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [382710] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(13867), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [382757] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10172), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [382840] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(10174), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [382923] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3593), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3591), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [382966] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10176), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [383049] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10178), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [383132] = 4,
    ACTIONS(10180), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [383177] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10182), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [383260] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(10154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10184), 1,
      sym_keyword_as,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [383343] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(10154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10186), 1,
      sym_keyword_as,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [383426] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2396), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2398), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [383469] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10188), 1,
      anon_sym_RBRACK,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [383552] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10190), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [383635] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2412), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2414), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [383678] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2408), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2410), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [383721] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10192), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [383804] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10194), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [383887] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3503), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [383930] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10196), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [384013] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10198), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [384096] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10200), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [384179] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(12675), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [384226] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(12667), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [384273] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10202), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [384356] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10204), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [384439] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10206), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [384522] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(14795), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [384569] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10208), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [384652] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10210), 1,
      anon_sym_RBRACK,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [384735] = 4,
    ACTIONS(10212), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [384780] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3547), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [384823] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3545), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3543), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [384866] = 5,
    STATE(5993), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(6408), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3302), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3300), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [384913] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(10154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10214), 1,
      sym_keyword_as,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [384996] = 4,
    ACTIONS(10216), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385041] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(10154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10218), 1,
      sym_keyword_as,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385124] = 4,
    ACTIONS(10088), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385169] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10220), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385252] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10222), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385335] = 4,
    ACTIONS(10224), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385380] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10226), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385463] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3589), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3587), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385506] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3499), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3497), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385549] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(12526), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [385596] = 4,
    ACTIONS(10228), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385641] = 4,
    ACTIONS(10230), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385686] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10232), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385769] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10234), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385852] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10236), 1,
      anon_sym_RBRACK,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [385935] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(14333), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [385982] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(12797), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [386029] = 4,
    ACTIONS(10238), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2156), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [386074] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1382), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1380), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386117] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(10154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10240), 1,
      sym_keyword_as,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386200] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(10154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10242), 1,
      sym_keyword_as,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386283] = 4,
    ACTIONS(10244), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386328] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3673), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3671), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386371] = 4,
    ACTIONS(10246), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386416] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3507), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3505), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386459] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(13691), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [386506] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3511), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3509), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386549] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10248), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386632] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10250), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386715] = 4,
    ACTIONS(10252), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386760] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(10154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10254), 1,
      sym_keyword_as,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386843] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3573), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3571), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386886] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3577), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3575), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [386929] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10256), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [387012] = 4,
    ACTIONS(10258), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2078), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2076), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [387057] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10260), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [387140] = 4,
    ACTIONS(10262), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2086), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2084), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [387185] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2392), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2394), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [387228] = 4,
    ACTIONS(10264), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [387273] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10266), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [387356] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10268), 1,
      anon_sym_RBRACK,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [387439] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10270), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [387522] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(10154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10272), 1,
      sym_keyword_as,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [387605] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(13600), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [387652] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(13569), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [387699] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(13568), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [387746] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10274), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [387829] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10276), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [387912] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10278), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [387995] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(13556), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [388042] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(12762), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [388089] = 4,
    ACTIONS(10280), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [388134] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10282), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [388217] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2048), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2046), 28,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [388260] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10284), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [388343] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10286), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [388426] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10288), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [388509] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(10154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10290), 1,
      sym_keyword_as,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [388592] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(14158), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [388639] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(14434), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [388686] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(14445), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [388733] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(14169), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [388780] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(14505), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [388827] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3605), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3603), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [388870] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3601), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3599), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [388913] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(14170), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [388960] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(14207), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [389007] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3597), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [389050] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3625), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3623), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [389093] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3617), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3615), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [389136] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3585), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3583), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [389179] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10292), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [389262] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3681), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3679), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [389305] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(14431), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [389352] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(14447), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [389399] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(13209), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [389446] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2404), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2406), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [389489] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(13079), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [389536] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(13057), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [389583] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(12999), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [389630] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10294), 1,
      anon_sym_RBRACK,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [389713] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(14343), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [389760] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(12629), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [389807] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(12586), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [389854] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(12584), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [389901] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(12569), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [389948] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10296), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [390031] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10298), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [390114] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10300), 1,
      anon_sym_RBRACK,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [390197] = 4,
    ACTIONS(10302), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [390242] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10304), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [390325] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(12331), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [390372] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [390415] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10306), 1,
      anon_sym_RBRACK,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [390498] = 4,
    ACTIONS(10308), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2096), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [390543] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10310), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [390626] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10312), 1,
      anon_sym_RBRACK,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [390709] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10314), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [390792] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(10154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10316), 1,
      sym_keyword_as,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [390875] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(12395), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [390922] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(12409), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [390969] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(12444), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [391016] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2400), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(2402), 18,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [391059] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10318), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [391142] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10320), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [391225] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10322), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [391308] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(12445), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [391355] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(13276), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [391402] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(13292), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [391449] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10324), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [391532] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10326), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [391615] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10328), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [391698] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10330), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [391781] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10332), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [391864] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(14679), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [391911] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(14703), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [391958] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [392001] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10334), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [392084] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10336), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [392167] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10338), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [392250] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(12425), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [392297] = 7,
    ACTIONS(1865), 1,
      sym_keyword_without,
    ACTIONS(10340), 1,
      sym_keyword_with,
    ACTIONS(10343), 1,
      anon_sym_LPAREN,
    STATE(281), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [392348] = 7,
    ACTIONS(1865), 1,
      sym_keyword_without,
    ACTIONS(10345), 1,
      sym_keyword_with,
    ACTIONS(10348), 1,
      anon_sym_LPAREN,
    STATE(282), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1861), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1859), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [392399] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(12518), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [392446] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(14836), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [392493] = 6,
    ACTIONS(10350), 1,
      anon_sym_LBRACK,
    STATE(5980), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(6420), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2021), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [392542] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(13150), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [392589] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2573), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [392632] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(14705), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [392679] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(13420), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [392726] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3561), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3559), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [392769] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(14734), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [392816] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3569), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3567), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [392859] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10353), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [392942] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3461), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3459), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [392985] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2884), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2882), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [393028] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(13459), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [393075] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10355), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [393158] = 6,
    ACTIONS(10357), 1,
      anon_sym_LBRACK,
    STATE(5993), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(6408), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2023), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2021), 25,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [393207] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3565), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3563), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [393250] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10360), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [393333] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10362), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [393416] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10364), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [393499] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10366), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [393582] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10368), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [393665] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(13511), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [393712] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10370), 1,
      anon_sym_RBRACK,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [393795] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10372), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [393878] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3609), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3607), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [393921] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3613), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3611), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [393964] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(14436), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [394011] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(14664), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [394058] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(14646), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [394105] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(14806), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [394152] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10374), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [394235] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3495), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3493), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [394278] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10376), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [394361] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(12570), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [394408] = 4,
    ACTIONS(10378), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2138), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [394453] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 9,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1386), 25,
      sym_keyword_set,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_change,
      sym_keyword_modify,
      sym_keyword_drop,
      sym_keyword_add,
      sym_keyword_column,
      sym_keyword_as,
      sym_keyword_if,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_rename,
      sym_keyword_owner,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [394496] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10380), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [394579] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10382), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [394662] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(14814), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [394709] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(10154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10384), 1,
      sym_keyword_as,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [394792] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3685), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3683), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [394835] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10386), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [394918] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10388), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [395001] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(10154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10390), 1,
      sym_keyword_as,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [395084] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10392), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [395167] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10394), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [395250] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10396), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [395333] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(14821), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [395380] = 4,
    ACTIONS(10398), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2146), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2144), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [395425] = 4,
    ACTIONS(10400), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2128), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2126), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [395470] = 4,
    ACTIONS(10402), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2134), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2132), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [395515] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10404), 1,
      anon_sym_RBRACK,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [395598] = 4,
    ACTIONS(10406), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2138), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [395643] = 4,
    ACTIONS(10408), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2182), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2180), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [395688] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10410), 1,
      anon_sym_RBRACK,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [395771] = 4,
    ACTIONS(10412), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2188), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2186), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [395816] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10414), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [395899] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10416), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [395982] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(13554), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [396029] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10418), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396112] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10420), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396195] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10422), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396278] = 4,
    ACTIONS(10424), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2042), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2040), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [396323] = 4,
    ACTIONS(10426), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396368] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10428), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396451] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10430), 1,
      anon_sym_RBRACK,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396534] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10432), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396617] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2194), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2192), 28,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396660] = 4,
    ACTIONS(10434), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396705] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10436), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396788] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10438), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396871] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10440), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [396954] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10442), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [397037] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8441), 1,
      sym_keyword_not,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8581), 1,
      sym_keyword_between,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    ACTIONS(10444), 1,
      anon_sym_RPAREN,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [397120] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10446), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [397203] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10448), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [397286] = 4,
    ACTIONS(10450), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2114), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [397331] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10452), 1,
      anon_sym_RBRACK,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [397414] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10454), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [397497] = 4,
    ACTIONS(10456), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2102), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [397542] = 4,
    ACTIONS(10458), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2196), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [397587] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(10154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10460), 1,
      sym_keyword_as,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [397670] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10462), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [397753] = 4,
    ACTIONS(10464), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2090), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [397798] = 4,
    ACTIONS(10466), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2064), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [397843] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(13710), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [397890] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10468), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [397973] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10470), 1,
      anon_sym_RBRACK,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398056] = 4,
    ACTIONS(10472), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2056), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [398101] = 4,
    ACTIONS(9687), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1829), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [398146] = 4,
    ACTIONS(10474), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2034), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [398191] = 4,
    ACTIONS(10476), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2164), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2162), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [398236] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1939), 28,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398279] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10478), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398362] = 4,
    ACTIONS(10480), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2172), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2170), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398407] = 6,
    ACTIONS(9712), 1,
      anon_sym_LBRACK,
    STATE(5980), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(6420), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3302), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(3300), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [398456] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10482), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398539] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(13953), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [398586] = 4,
    ACTIONS(10018), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1829), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [398631] = 4,
    ACTIONS(10484), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398676] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(12747), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [398723] = 4,
    ACTIONS(10486), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2114), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [398768] = 4,
    ACTIONS(10488), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2102), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [398813] = 4,
    ACTIONS(10490), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2090), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [398858] = 4,
    ACTIONS(10492), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2064), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [398903] = 4,
    ACTIONS(10494), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2030), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2028), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [398948] = 4,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2056), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [398993] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10498), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399076] = 4,
    ACTIONS(10500), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2034), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [399121] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2048), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2046), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [399164] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(14550), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [399211] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10502), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399294] = 4,
    ACTIONS(10504), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2096), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399339] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(10154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10506), 1,
      sym_keyword_as,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399422] = 4,
    ACTIONS(10508), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2086), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2084), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399467] = 4,
    ACTIONS(10510), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2078), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2076), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399512] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10512), 1,
      anon_sym_RBRACK,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399595] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10514), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399678] = 4,
    ACTIONS(10516), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399723] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10518), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399806] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10520), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399889] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2398), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2396), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [399932] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10522), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400015] = 4,
    ACTIONS(10524), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2042), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2040), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400060] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10526), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400143] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(10154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10528), 1,
      sym_keyword_as,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400226] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10530), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400309] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10532), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400392] = 4,
    ACTIONS(10534), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2110), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2108), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400437] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2410), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2408), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400480] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10536), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400563] = 23,
    ACTIONS(10540), 1,
      sym__identifier,
    ACTIONS(10543), 1,
      sym_keyword_partition,
    ACTIONS(10548), 1,
      sym_keyword_collate,
    ACTIONS(10551), 1,
      sym_keyword_engine,
    ACTIONS(10554), 1,
      sym_keyword_default,
    ACTIONS(10557), 1,
      sym_keyword_with,
    ACTIONS(10560), 1,
      sym_keyword_without,
    ACTIONS(10563), 1,
      sym_keyword_row,
    ACTIONS(10566), 1,
      sym_keyword_stored,
    ACTIONS(10569), 1,
      sym_keyword_tblproperties,
    ACTIONS(10572), 1,
      sym_keyword_location,
    ACTIONS(10575), 1,
      sym_keyword_partitioned,
    ACTIONS(10578), 1,
      sym_keyword_sort,
    ACTIONS(10581), 1,
      sym__double_quote_string,
    ACTIONS(10584), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10587), 1,
      aux_sym_identifier_token1,
    ACTIONS(10590), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10546), 2,
      sym_keyword_create,
      sym_keyword_as,
    STATE(14060), 2,
      sym__literal_string,
      sym_identifier,
    ACTIONS(10538), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
    STATE(6110), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [400646] = 4,
    ACTIONS(10593), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2072), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2070), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400691] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(12804), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [400738] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10595), 1,
      anon_sym_RBRACK,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400821] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10597), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400904] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2414), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2412), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [400947] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10599), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401030] = 4,
    ACTIONS(10601), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2128), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2126), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [401075] = 5,
    ACTIONS(3476), 1,
      aux_sym__single_quote_string_token2,
    STATE(847), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3306), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3304), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401122] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10603), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401205] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10605), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401288] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(13627), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [401335] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(13619), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [401382] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10607), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401465] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10609), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401548] = 4,
    ACTIONS(10611), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2134), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2132), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [401593] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10613), 1,
      sym_keyword_then,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401676] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(14037), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [401723] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(10154), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10615), 1,
      sym_keyword_as,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [401806] = 4,
    ACTIONS(10617), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2150), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [401851] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(14045), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [401898] = 4,
    ACTIONS(10619), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2202), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [401943] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10621), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [402026] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10623), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [402109] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10625), 1,
      sym_keyword_when,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [402192] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10627), 1,
      sym_keyword_end,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [402275] = 5,
    ACTIONS(10629), 1,
      aux_sym__single_quote_string_token2,
    STATE(6118), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3279), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3277), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [402322] = 4,
    ACTIONS(10631), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2182), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2180), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [402367] = 4,
    ACTIONS(10633), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2072), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2070), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [402412] = 23,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10635), 1,
      anon_sym_RBRACK,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [402495] = 4,
    ACTIONS(10637), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2188), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2186), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [402540] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2194), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2192), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [402583] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(14822), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [402630] = 4,
    ACTIONS(10639), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2198), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2196), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [402675] = 4,
    ACTIONS(10641), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2110), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2108), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [402720] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1941), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1939), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [402763] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(14109), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [402810] = 4,
    ACTIONS(10643), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2172), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2170), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [402855] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(13008), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [402902] = 4,
    ACTIONS(10645), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2030), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2028), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [402947] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3449), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3447), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [402990] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3557), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3555), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [403033] = 5,
    ACTIONS(10146), 1,
      sym_keyword_limit,
    STATE(13417), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 15,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(3581), 17,
      sym_keyword_order,
      sym_keyword_as,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
      sym__identifier,
  [403080] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2404), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [403123] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2402), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2400), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [403166] = 4,
    ACTIONS(10647), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2146), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2144), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [403211] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3553), 6,
      sym_keyword_or,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3551), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [403254] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2390), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2388), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [403296] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2258), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2256), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [403338] = 24,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10651), 1,
      sym_keyword_partition,
    ACTIONS(10653), 1,
      sym_keyword_create,
    ACTIONS(10655), 1,
      sym_keyword_as,
    ACTIONS(10657), 1,
      sym_keyword_collate,
    ACTIONS(10659), 1,
      sym_keyword_engine,
    ACTIONS(10661), 1,
      sym_keyword_default,
    ACTIONS(10663), 1,
      sym_keyword_with,
    ACTIONS(10665), 1,
      sym_keyword_without,
    ACTIONS(10667), 1,
      sym_keyword_row,
    ACTIONS(10669), 1,
      sym_keyword_stored,
    ACTIONS(10671), 1,
      sym_keyword_tblproperties,
    ACTIONS(10673), 1,
      sym_keyword_location,
    ACTIONS(10675), 1,
      sym_keyword_partitioned,
    ACTIONS(10677), 1,
      sym_keyword_sort,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10649), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(14140), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6363), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [403422] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2146), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2144), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [403464] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2282), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2280), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [403506] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2306), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2304), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [403548] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2326), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2324), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [403590] = 23,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10679), 1,
      sym_keyword_set,
    ACTIONS(10681), 1,
      sym_keyword_alter,
    ACTIONS(10683), 1,
      sym_keyword_change,
    ACTIONS(10685), 1,
      sym_keyword_modify,
    ACTIONS(10687), 1,
      sym_keyword_drop,
    ACTIONS(10689), 1,
      sym_keyword_add,
    ACTIONS(10691), 1,
      sym_keyword_column,
    ACTIONS(10693), 1,
      sym_keyword_if,
    ACTIONS(10695), 1,
      sym_keyword_rename,
    ACTIONS(10697), 1,
      sym_keyword_owner,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7782), 1,
      sym__if_not_exists,
    STATE(8417), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9753), 12,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_drop_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [403672] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2222), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2220), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [403714] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2298), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2296), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [403756] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2242), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2240), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [403798] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2246), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2244), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [403840] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10705), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [403920] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2218), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2216), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [403962] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2042), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2040), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [404004] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2266), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2264), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [404046] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2310), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2308), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [404088] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2286), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2284), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [404130] = 24,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10709), 1,
      sym_keyword_partition,
    ACTIONS(10711), 1,
      sym_keyword_create,
    ACTIONS(10713), 1,
      sym_keyword_as,
    ACTIONS(10715), 1,
      sym_keyword_collate,
    ACTIONS(10717), 1,
      sym_keyword_engine,
    ACTIONS(10719), 1,
      sym_keyword_default,
    ACTIONS(10721), 1,
      sym_keyword_with,
    ACTIONS(10723), 1,
      sym_keyword_without,
    ACTIONS(10725), 1,
      sym_keyword_row,
    ACTIONS(10727), 1,
      sym_keyword_stored,
    ACTIONS(10729), 1,
      sym_keyword_tblproperties,
    ACTIONS(10731), 1,
      sym_keyword_location,
    ACTIONS(10733), 1,
      sym_keyword_partitioned,
    ACTIONS(10735), 1,
      sym_keyword_sort,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10707), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(14060), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6340), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [404214] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2322), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2320), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [404256] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2064), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [404298] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2326), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2324), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [404340] = 4,
    STATE(6412), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3483), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3481), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [404384] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10737), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [404464] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2290), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2288), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [404506] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2318), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2316), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [404548] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1803), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [404590] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2370), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2368), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [404632] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2374), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2372), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [404674] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2330), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2328), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [404716] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2056), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [404758] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2380), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [404800] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10739), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [404880] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10741), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [404960] = 24,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10651), 1,
      sym_keyword_partition,
    ACTIONS(10657), 1,
      sym_keyword_collate,
    ACTIONS(10659), 1,
      sym_keyword_engine,
    ACTIONS(10661), 1,
      sym_keyword_default,
    ACTIONS(10663), 1,
      sym_keyword_with,
    ACTIONS(10665), 1,
      sym_keyword_without,
    ACTIONS(10667), 1,
      sym_keyword_row,
    ACTIONS(10669), 1,
      sym_keyword_stored,
    ACTIONS(10671), 1,
      sym_keyword_tblproperties,
    ACTIONS(10673), 1,
      sym_keyword_location,
    ACTIONS(10675), 1,
      sym_keyword_partitioned,
    ACTIONS(10677), 1,
      sym_keyword_sort,
    ACTIONS(10711), 1,
      sym_keyword_create,
    ACTIONS(10743), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10707), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(14140), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6364), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [405044] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2090), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405086] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10745), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405166] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10747), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405246] = 24,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10709), 1,
      sym_keyword_partition,
    ACTIONS(10715), 1,
      sym_keyword_collate,
    ACTIONS(10717), 1,
      sym_keyword_engine,
    ACTIONS(10719), 1,
      sym_keyword_default,
    ACTIONS(10721), 1,
      sym_keyword_with,
    ACTIONS(10723), 1,
      sym_keyword_without,
    ACTIONS(10725), 1,
      sym_keyword_row,
    ACTIONS(10727), 1,
      sym_keyword_stored,
    ACTIONS(10729), 1,
      sym_keyword_tblproperties,
    ACTIONS(10731), 1,
      sym_keyword_location,
    ACTIONS(10733), 1,
      sym_keyword_partitioned,
    ACTIONS(10735), 1,
      sym_keyword_sort,
    ACTIONS(10751), 1,
      sym_keyword_create,
    ACTIONS(10753), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10749), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(14060), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6110), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [405330] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2793), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2791), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405372] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10755), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405452] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2102), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405494] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10757), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405574] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2156), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [405616] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2078), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2076), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [405658] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2384), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [405700] = 24,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10653), 1,
      sym_keyword_create,
    ACTIONS(10709), 1,
      sym_keyword_partition,
    ACTIONS(10715), 1,
      sym_keyword_collate,
    ACTIONS(10717), 1,
      sym_keyword_engine,
    ACTIONS(10719), 1,
      sym_keyword_default,
    ACTIONS(10721), 1,
      sym_keyword_with,
    ACTIONS(10723), 1,
      sym_keyword_without,
    ACTIONS(10725), 1,
      sym_keyword_row,
    ACTIONS(10727), 1,
      sym_keyword_stored,
    ACTIONS(10729), 1,
      sym_keyword_tblproperties,
    ACTIONS(10731), 1,
      sym_keyword_location,
    ACTIONS(10733), 1,
      sym_keyword_partitioned,
    ACTIONS(10735), 1,
      sym_keyword_sort,
    ACTIONS(10759), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10649), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(14060), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6110), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [405784] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1829), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405826] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2334), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2332), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405868] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2366), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2364), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [405910] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2202), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [405952] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2338), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2336), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [405994] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2362), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2360), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [406036] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2358), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2356), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [406078] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2342), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2340), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [406120] = 23,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10679), 1,
      sym_keyword_set,
    ACTIONS(10681), 1,
      sym_keyword_alter,
    ACTIONS(10683), 1,
      sym_keyword_change,
    ACTIONS(10685), 1,
      sym_keyword_modify,
    ACTIONS(10687), 1,
      sym_keyword_drop,
    ACTIONS(10689), 1,
      sym_keyword_add,
    ACTIONS(10691), 1,
      sym_keyword_column,
    ACTIONS(10693), 1,
      sym_keyword_if,
    ACTIONS(10695), 1,
      sym_keyword_rename,
    ACTIONS(10697), 1,
      sym_keyword_owner,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7782), 1,
      sym__if_not_exists,
    STATE(8417), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9722), 12,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_drop_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [406202] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2150), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [406244] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10761), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [406324] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10763), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [406404] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10765), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [406484] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2354), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2352), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [406526] = 23,
    ACTIONS(8878), 1,
      sym_keyword_cross,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8896), 1,
      anon_sym_COMMA,
    ACTIONS(10767), 1,
      sym_keyword_left,
    ACTIONS(10771), 1,
      sym_keyword_inner,
    ACTIONS(10773), 1,
      sym_keyword_join,
    ACTIONS(10775), 1,
      sym_keyword_natural,
    ACTIONS(10777), 1,
      sym_keyword_where,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(10781), 1,
      sym_keyword_group,
    ACTIONS(10783), 1,
      sym_keyword_window,
    STATE(6536), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6633), 1,
      sym_index_hint,
    STATE(7341), 1,
      sym_order_by,
    STATE(7476), 1,
      sym_where,
    STATE(7628), 1,
      sym_group_by,
    STATE(7723), 1,
      sym_limit,
    STATE(7962), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10769), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(8938), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(6629), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [406608] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2346), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2344), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [406650] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10785), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [406730] = 23,
    ACTIONS(8878), 1,
      sym_keyword_cross,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8896), 1,
      anon_sym_COMMA,
    ACTIONS(10767), 1,
      sym_keyword_left,
    ACTIONS(10771), 1,
      sym_keyword_inner,
    ACTIONS(10773), 1,
      sym_keyword_join,
    ACTIONS(10775), 1,
      sym_keyword_natural,
    ACTIONS(10777), 1,
      sym_keyword_where,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(10781), 1,
      sym_keyword_group,
    ACTIONS(10783), 1,
      sym_keyword_window,
    STATE(6347), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6633), 1,
      sym_index_hint,
    STATE(7341), 1,
      sym_order_by,
    STATE(7476), 1,
      sym_where,
    STATE(7628), 1,
      sym_group_by,
    STATE(7723), 1,
      sym_limit,
    STATE(7962), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10769), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(8938), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(6629), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [406812] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1971), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1969), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [406854] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2034), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [406896] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2350), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2348), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [406938] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2294), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2292), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [406980] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2350), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2348), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [407022] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10787), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [407102] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2230), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2228), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [407144] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10789), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [407224] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10791), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [407304] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2346), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2344), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [407346] = 23,
    ACTIONS(8878), 1,
      sym_keyword_cross,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8896), 1,
      anon_sym_COMMA,
    ACTIONS(10767), 1,
      sym_keyword_left,
    ACTIONS(10771), 1,
      sym_keyword_inner,
    ACTIONS(10773), 1,
      sym_keyword_join,
    ACTIONS(10775), 1,
      sym_keyword_natural,
    ACTIONS(10777), 1,
      sym_keyword_where,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(10781), 1,
      sym_keyword_group,
    ACTIONS(10783), 1,
      sym_keyword_window,
    STATE(6218), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6643), 1,
      sym_index_hint,
    STATE(7371), 1,
      sym_where,
    STATE(7427), 1,
      sym_order_by,
    STATE(7613), 1,
      sym_group_by,
    STATE(7707), 1,
      sym_limit,
    STATE(7916), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10769), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(8870), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(6641), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [407428] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10793), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [407508] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2342), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2340), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [407550] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2354), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2352), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [407592] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2702), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2700), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [407634] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10795), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [407714] = 23,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10693), 1,
      sym_keyword_if,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    ACTIONS(10797), 1,
      sym_keyword_set,
    ACTIONS(10799), 1,
      sym_keyword_alter,
    ACTIONS(10801), 1,
      sym_keyword_change,
    ACTIONS(10803), 1,
      sym_keyword_modify,
    ACTIONS(10805), 1,
      sym_keyword_drop,
    ACTIONS(10807), 1,
      sym_keyword_add,
    ACTIONS(10809), 1,
      sym_keyword_column,
    ACTIONS(10811), 1,
      sym_keyword_rename,
    ACTIONS(10813), 1,
      sym_keyword_owner,
    STATE(24), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7749), 1,
      sym__if_not_exists,
    STATE(8714), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10203), 12,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_drop_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [407796] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10815), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [407876] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2338), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2336), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [407918] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2310), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2308), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [407960] = 7,
    ACTIONS(2825), 1,
      sym_keyword_without,
    ACTIONS(10817), 1,
      sym_keyword_with,
    ACTIONS(10820), 1,
      anon_sym_LPAREN,
    STATE(761), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1861), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1859), 24,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [408010] = 7,
    ACTIONS(2825), 1,
      sym_keyword_without,
    ACTIONS(10822), 1,
      sym_keyword_with,
    ACTIONS(10825), 1,
      anon_sym_LPAREN,
    STATE(760), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1891), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1889), 24,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [408060] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2306), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2304), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [408102] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2358), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2356), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [408144] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2334), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2332), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [408186] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2362), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2360), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [408228] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2366), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2364), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [408270] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2114), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [408312] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2330), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2328), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [408354] = 23,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10679), 1,
      sym_keyword_set,
    ACTIONS(10681), 1,
      sym_keyword_alter,
    ACTIONS(10683), 1,
      sym_keyword_change,
    ACTIONS(10685), 1,
      sym_keyword_modify,
    ACTIONS(10687), 1,
      sym_keyword_drop,
    ACTIONS(10689), 1,
      sym_keyword_add,
    ACTIONS(10691), 1,
      sym_keyword_column,
    ACTIONS(10693), 1,
      sym_keyword_if,
    ACTIONS(10695), 1,
      sym_keyword_rename,
    ACTIONS(10697), 1,
      sym_keyword_owner,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7782), 1,
      sym__if_not_exists,
    STATE(8417), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10046), 12,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_drop_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [408436] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2262), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2260), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [408478] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2258), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2256), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [408520] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2086), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2084), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [408562] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2390), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2388), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [408604] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2298), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2296), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [408646] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2726), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2724), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [408688] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2734), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2732), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [408730] = 23,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10679), 1,
      sym_keyword_set,
    ACTIONS(10683), 1,
      sym_keyword_change,
    ACTIONS(10685), 1,
      sym_keyword_modify,
    ACTIONS(10687), 1,
      sym_keyword_drop,
    ACTIONS(10689), 1,
      sym_keyword_add,
    ACTIONS(10691), 1,
      sym_keyword_column,
    ACTIONS(10693), 1,
      sym_keyword_if,
    ACTIONS(10695), 1,
      sym_keyword_rename,
    ACTIONS(10697), 1,
      sym_keyword_owner,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    ACTIONS(10827), 1,
      sym_keyword_alter,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7782), 1,
      sym__if_not_exists,
    STATE(8417), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10775), 12,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_drop_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [408812] = 23,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10679), 1,
      sym_keyword_set,
    ACTIONS(10683), 1,
      sym_keyword_change,
    ACTIONS(10685), 1,
      sym_keyword_modify,
    ACTIONS(10687), 1,
      sym_keyword_drop,
    ACTIONS(10689), 1,
      sym_keyword_add,
    ACTIONS(10691), 1,
      sym_keyword_column,
    ACTIONS(10693), 1,
      sym_keyword_if,
    ACTIONS(10695), 1,
      sym_keyword_rename,
    ACTIONS(10697), 1,
      sym_keyword_owner,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    ACTIONS(10827), 1,
      sym_keyword_alter,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7782), 1,
      sym__if_not_exists,
    STATE(8417), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9722), 12,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_drop_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [408894] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2214), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2212), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [408936] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10829), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [409016] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10831), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [409096] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2769), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2767), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [409138] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2386), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2384), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [409180] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10833), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [409260] = 4,
    ACTIONS(10835), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3453), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3451), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [409304] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10837), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [409384] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10839), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [409464] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2210), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2208), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [409506] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10841), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [409586] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2322), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2320), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [409628] = 24,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10651), 1,
      sym_keyword_partition,
    ACTIONS(10657), 1,
      sym_keyword_collate,
    ACTIONS(10659), 1,
      sym_keyword_engine,
    ACTIONS(10661), 1,
      sym_keyword_default,
    ACTIONS(10663), 1,
      sym_keyword_with,
    ACTIONS(10665), 1,
      sym_keyword_without,
    ACTIONS(10667), 1,
      sym_keyword_row,
    ACTIONS(10669), 1,
      sym_keyword_stored,
    ACTIONS(10671), 1,
      sym_keyword_tblproperties,
    ACTIONS(10673), 1,
      sym_keyword_location,
    ACTIONS(10675), 1,
      sym_keyword_partitioned,
    ACTIONS(10677), 1,
      sym_keyword_sort,
    ACTIONS(10751), 1,
      sym_keyword_create,
    ACTIONS(10843), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10749), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(14140), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6159), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [409712] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10845), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [409792] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2096), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [409834] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10847), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [409914] = 5,
    ACTIONS(9712), 1,
      anon_sym_LBRACK,
    STATE(6474), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3483), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(3481), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [409960] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2710), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2708), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [410002] = 24,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10709), 1,
      sym_keyword_partition,
    ACTIONS(10715), 1,
      sym_keyword_collate,
    ACTIONS(10717), 1,
      sym_keyword_engine,
    ACTIONS(10719), 1,
      sym_keyword_default,
    ACTIONS(10721), 1,
      sym_keyword_with,
    ACTIONS(10723), 1,
      sym_keyword_without,
    ACTIONS(10725), 1,
      sym_keyword_row,
    ACTIONS(10727), 1,
      sym_keyword_stored,
    ACTIONS(10729), 1,
      sym_keyword_tblproperties,
    ACTIONS(10731), 1,
      sym_keyword_location,
    ACTIONS(10733), 1,
      sym_keyword_partitioned,
    ACTIONS(10735), 1,
      sym_keyword_sort,
    ACTIONS(10751), 1,
      sym_keyword_create,
    ACTIONS(10753), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10749), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(14060), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6203), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [410086] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2797), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2795), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [410128] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10849), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [410208] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2805), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2803), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [410250] = 6,
    ACTIONS(1865), 1,
      sym_keyword_without,
    ACTIONS(10851), 1,
      sym_keyword_with,
    STATE(229), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1979), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1977), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [410298] = 6,
    ACTIONS(1865), 1,
      sym_keyword_without,
    ACTIONS(10854), 1,
      sym_keyword_with,
    STATE(237), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1963), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1961), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [410346] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10857), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [410426] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2374), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2372), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [410468] = 23,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10679), 1,
      sym_keyword_set,
    ACTIONS(10681), 1,
      sym_keyword_alter,
    ACTIONS(10683), 1,
      sym_keyword_change,
    ACTIONS(10685), 1,
      sym_keyword_modify,
    ACTIONS(10687), 1,
      sym_keyword_drop,
    ACTIONS(10689), 1,
      sym_keyword_add,
    ACTIONS(10691), 1,
      sym_keyword_column,
    ACTIONS(10693), 1,
      sym_keyword_if,
    ACTIONS(10695), 1,
      sym_keyword_rename,
    ACTIONS(10697), 1,
      sym_keyword_owner,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7782), 1,
      sym__if_not_exists,
    STATE(8417), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10320), 12,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_drop_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [410550] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2686), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2684), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [410592] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2370), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2368), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [410634] = 23,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10693), 1,
      sym_keyword_if,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    ACTIONS(10797), 1,
      sym_keyword_set,
    ACTIONS(10799), 1,
      sym_keyword_alter,
    ACTIONS(10801), 1,
      sym_keyword_change,
    ACTIONS(10803), 1,
      sym_keyword_modify,
    ACTIONS(10805), 1,
      sym_keyword_drop,
    ACTIONS(10807), 1,
      sym_keyword_add,
    ACTIONS(10809), 1,
      sym_keyword_column,
    ACTIONS(10811), 1,
      sym_keyword_rename,
    ACTIONS(10813), 1,
      sym_keyword_owner,
    STATE(24), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7749), 1,
      sym__if_not_exists,
    STATE(8714), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10807), 12,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_drop_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [410716] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2036), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2034), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [410758] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10859), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [410838] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10861), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [410918] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2318), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2316), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [410960] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2789), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2787), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [411002] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2290), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2288), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [411044] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1831), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(1829), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [411086] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10863), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [411166] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10865), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [411246] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2382), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2380), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [411288] = 23,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10693), 1,
      sym_keyword_if,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    ACTIONS(10797), 1,
      sym_keyword_set,
    ACTIONS(10799), 1,
      sym_keyword_alter,
    ACTIONS(10801), 1,
      sym_keyword_change,
    ACTIONS(10803), 1,
      sym_keyword_modify,
    ACTIONS(10805), 1,
      sym_keyword_drop,
    ACTIONS(10807), 1,
      sym_keyword_add,
    ACTIONS(10809), 1,
      sym_keyword_column,
    ACTIONS(10811), 1,
      sym_keyword_rename,
    ACTIONS(10813), 1,
      sym_keyword_owner,
    STATE(24), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7749), 1,
      sym__if_not_exists,
    STATE(8714), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10433), 12,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_drop_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [411370] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2378), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2376), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [411412] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2785), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2783), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [411454] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2058), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2056), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [411496] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10867), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [411576] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2378), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2376), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [411618] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10869), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [411698] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2945), 1,
      sym_keyword_is,
    ACTIONS(2951), 1,
      anon_sym_PLUS,
    ACTIONS(2953), 1,
      anon_sym_DASH,
    ACTIONS(2955), 1,
      anon_sym_SLASH,
    ACTIONS(2957), 1,
      anon_sym_CARET,
    ACTIONS(3059), 1,
      sym_keyword_in,
    ACTIONS(3068), 1,
      sym_op_other,
    ACTIONS(3218), 1,
      sym_keyword_and,
    ACTIONS(3827), 1,
      sym_keyword_or,
    ACTIONS(3829), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    STATE(11247), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2949), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3066), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1331), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1324), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(3064), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [411778] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2286), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2284), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [411820] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2066), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2064), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [411862] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2294), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2292), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [411904] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2092), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2090), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [411946] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2282), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2280), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [411988] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10871), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [412068] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2146), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2144), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [412110] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10873), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [412190] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2104), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2102), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [412232] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2214), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2212), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [412274] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2266), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2264), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [412316] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10875), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [412396] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10877), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [412476] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2116), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2114), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [412518] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2218), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2216), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [412560] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10879), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [412640] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2204), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2202), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [412682] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5260), 1,
      sym_keyword_and,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [412762] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2746), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2744), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [412804] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2152), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2150), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [412846] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2773), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2771), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [412888] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2246), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2244), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [412930] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2761), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2759), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [412972] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10881), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [413052] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2765), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2763), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [413094] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2242), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2240), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [413136] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2730), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2728), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [413178] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1971), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1969), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [413220] = 23,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10679), 1,
      sym_keyword_set,
    ACTIONS(10683), 1,
      sym_keyword_change,
    ACTIONS(10685), 1,
      sym_keyword_modify,
    ACTIONS(10687), 1,
      sym_keyword_drop,
    ACTIONS(10689), 1,
      sym_keyword_add,
    ACTIONS(10691), 1,
      sym_keyword_column,
    ACTIONS(10693), 1,
      sym_keyword_if,
    ACTIONS(10695), 1,
      sym_keyword_rename,
    ACTIONS(10697), 1,
      sym_keyword_owner,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    ACTIONS(10827), 1,
      sym_keyword_alter,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7782), 1,
      sym__if_not_exists,
    STATE(8417), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10662), 12,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_drop_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [413302] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2230), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2228), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [413344] = 24,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10651), 1,
      sym_keyword_partition,
    ACTIONS(10657), 1,
      sym_keyword_collate,
    ACTIONS(10659), 1,
      sym_keyword_engine,
    ACTIONS(10661), 1,
      sym_keyword_default,
    ACTIONS(10663), 1,
      sym_keyword_with,
    ACTIONS(10665), 1,
      sym_keyword_without,
    ACTIONS(10667), 1,
      sym_keyword_row,
    ACTIONS(10669), 1,
      sym_keyword_stored,
    ACTIONS(10671), 1,
      sym_keyword_tblproperties,
    ACTIONS(10673), 1,
      sym_keyword_location,
    ACTIONS(10675), 1,
      sym_keyword_partitioned,
    ACTIONS(10677), 1,
      sym_keyword_sort,
    ACTIONS(10751), 1,
      sym_keyword_create,
    ACTIONS(10843), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10749), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(14140), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6363), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [413428] = 24,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10709), 1,
      sym_keyword_partition,
    ACTIONS(10715), 1,
      sym_keyword_collate,
    ACTIONS(10717), 1,
      sym_keyword_engine,
    ACTIONS(10719), 1,
      sym_keyword_default,
    ACTIONS(10721), 1,
      sym_keyword_with,
    ACTIONS(10723), 1,
      sym_keyword_without,
    ACTIONS(10725), 1,
      sym_keyword_row,
    ACTIONS(10727), 1,
      sym_keyword_stored,
    ACTIONS(10729), 1,
      sym_keyword_tblproperties,
    ACTIONS(10731), 1,
      sym_keyword_location,
    ACTIONS(10733), 1,
      sym_keyword_partitioned,
    ACTIONS(10735), 1,
      sym_keyword_sort,
    ACTIONS(10885), 1,
      sym_keyword_create,
    ACTIONS(10887), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10883), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(14060), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6110), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [413512] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2226), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2224), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [413554] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2222), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2220), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [413596] = 23,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10679), 1,
      sym_keyword_set,
    ACTIONS(10683), 1,
      sym_keyword_change,
    ACTIONS(10685), 1,
      sym_keyword_modify,
    ACTIONS(10687), 1,
      sym_keyword_drop,
    ACTIONS(10689), 1,
      sym_keyword_add,
    ACTIONS(10691), 1,
      sym_keyword_column,
    ACTIONS(10693), 1,
      sym_keyword_if,
    ACTIONS(10695), 1,
      sym_keyword_rename,
    ACTIONS(10697), 1,
      sym_keyword_owner,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    ACTIONS(10827), 1,
      sym_keyword_alter,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7782), 1,
      sym__if_not_exists,
    STATE(8417), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10650), 12,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_drop_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [413678] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2042), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2040), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [413720] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10889), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [413800] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2158), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2156), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [413842] = 23,
    ACTIONS(8878), 1,
      sym_keyword_cross,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8896), 1,
      anon_sym_COMMA,
    ACTIONS(10767), 1,
      sym_keyword_left,
    ACTIONS(10771), 1,
      sym_keyword_inner,
    ACTIONS(10773), 1,
      sym_keyword_join,
    ACTIONS(10775), 1,
      sym_keyword_natural,
    ACTIONS(10777), 1,
      sym_keyword_where,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(10781), 1,
      sym_keyword_group,
    ACTIONS(10783), 1,
      sym_keyword_window,
    STATE(6536), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6639), 1,
      sym_index_hint,
    STATE(7391), 1,
      sym_order_by,
    STATE(7435), 1,
      sym_where,
    STATE(7629), 1,
      sym_group_by,
    STATE(7693), 1,
      sym_limit,
    STATE(7917), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10769), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(9046), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(6644), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [413924] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2809), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2807), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [413966] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2678), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2676), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [414008] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2314), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2312), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [414050] = 23,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10693), 1,
      sym_keyword_if,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    ACTIONS(10797), 1,
      sym_keyword_set,
    ACTIONS(10799), 1,
      sym_keyword_alter,
    ACTIONS(10801), 1,
      sym_keyword_change,
    ACTIONS(10803), 1,
      sym_keyword_modify,
    ACTIONS(10805), 1,
      sym_keyword_drop,
    ACTIONS(10807), 1,
      sym_keyword_add,
    ACTIONS(10809), 1,
      sym_keyword_column,
    ACTIONS(10811), 1,
      sym_keyword_rename,
    ACTIONS(10813), 1,
      sym_keyword_owner,
    STATE(24), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7749), 1,
      sym__if_not_exists,
    STATE(8714), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9851), 12,
      sym__alter_specifications,
      sym_add_column,
      sym_add_constraint,
      sym_drop_constraint,
      sym_alter_column,
      sym_modify_column,
      sym_change_column,
      sym_drop_column,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [414132] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2757), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2755), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [414174] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8439), 1,
      sym_keyword_is,
    ACTIONS(8449), 1,
      sym_op_other,
    ACTIONS(8451), 1,
      anon_sym_PLUS,
    ACTIONS(8453), 1,
      anon_sym_DASH,
    ACTIONS(8455), 1,
      anon_sym_SLASH,
    ACTIONS(8457), 1,
      anon_sym_CARET,
    ACTIONS(8583), 1,
      sym_keyword_and,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8694), 1,
      sym_keyword_or,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(8445), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8447), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1296), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1122), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(8443), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [414254] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2302), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2300), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [414296] = 22,
    ACTIONS(2479), 1,
      sym_keyword_in,
    ACTIONS(2481), 1,
      sym_keyword_is,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(2497), 1,
      sym_op_other,
    ACTIONS(2499), 1,
      anon_sym_PLUS,
    ACTIONS(2501), 1,
      anon_sym_DASH,
    ACTIONS(2503), 1,
      anon_sym_SLASH,
    ACTIONS(2505), 1,
      anon_sym_CARET,
    ACTIONS(2577), 1,
      sym_keyword_and,
    ACTIONS(3667), 1,
      sym_keyword_or,
    ACTIONS(3669), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    STATE(11122), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(2493), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2495), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1409), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1411), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(2491), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [414376] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2078), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2076), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [414418] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10891), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [414498] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2086), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2084), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [414540] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2278), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2276), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [414582] = 24,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10709), 1,
      sym_keyword_partition,
    ACTIONS(10715), 1,
      sym_keyword_collate,
    ACTIONS(10717), 1,
      sym_keyword_engine,
    ACTIONS(10719), 1,
      sym_keyword_default,
    ACTIONS(10721), 1,
      sym_keyword_with,
    ACTIONS(10723), 1,
      sym_keyword_without,
    ACTIONS(10725), 1,
      sym_keyword_row,
    ACTIONS(10727), 1,
      sym_keyword_stored,
    ACTIONS(10729), 1,
      sym_keyword_tblproperties,
    ACTIONS(10731), 1,
      sym_keyword_location,
    ACTIONS(10733), 1,
      sym_keyword_partitioned,
    ACTIONS(10735), 1,
      sym_keyword_sort,
    ACTIONS(10885), 1,
      sym_keyword_create,
    ACTIONS(10887), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10883), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(14060), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6195), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [414666] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10893), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [414746] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2234), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2232), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [414788] = 23,
    ACTIONS(10540), 1,
      sym__identifier,
    ACTIONS(10581), 1,
      sym__double_quote_string,
    ACTIONS(10584), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10587), 1,
      aux_sym_identifier_token1,
    ACTIONS(10590), 1,
      sym__dollar_quoted_string,
    ACTIONS(10895), 1,
      sym_keyword_partition,
    ACTIONS(10898), 1,
      sym_keyword_collate,
    ACTIONS(10901), 1,
      sym_keyword_engine,
    ACTIONS(10904), 1,
      sym_keyword_default,
    ACTIONS(10907), 1,
      sym_keyword_with,
    ACTIONS(10910), 1,
      sym_keyword_without,
    ACTIONS(10913), 1,
      sym_keyword_row,
    ACTIONS(10916), 1,
      sym_keyword_stored,
    ACTIONS(10919), 1,
      sym_keyword_tblproperties,
    ACTIONS(10922), 1,
      sym_keyword_location,
    ACTIONS(10925), 1,
      sym_keyword_partitioned,
    ACTIONS(10928), 1,
      sym_keyword_sort,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10538), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(10546), 2,
      sym_keyword_create,
      sym_keyword_as,
    STATE(14140), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6363), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [414870] = 24,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10651), 1,
      sym_keyword_partition,
    ACTIONS(10657), 1,
      sym_keyword_collate,
    ACTIONS(10659), 1,
      sym_keyword_engine,
    ACTIONS(10661), 1,
      sym_keyword_default,
    ACTIONS(10663), 1,
      sym_keyword_with,
    ACTIONS(10665), 1,
      sym_keyword_without,
    ACTIONS(10667), 1,
      sym_keyword_row,
    ACTIONS(10669), 1,
      sym_keyword_stored,
    ACTIONS(10671), 1,
      sym_keyword_tblproperties,
    ACTIONS(10673), 1,
      sym_keyword_location,
    ACTIONS(10675), 1,
      sym_keyword_partitioned,
    ACTIONS(10677), 1,
      sym_keyword_sort,
    ACTIONS(10885), 1,
      sym_keyword_create,
    ACTIONS(10931), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10883), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(14140), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6363), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [414954] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2098), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2096), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [414996] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2254), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2252), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [415038] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2238), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2236), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [415080] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1805), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1803), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [415122] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2801), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2799), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_over,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [415164] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2270), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2268), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [415206] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2250), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2248), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [415248] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2226), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2224), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [415290] = 24,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10651), 1,
      sym_keyword_partition,
    ACTIONS(10657), 1,
      sym_keyword_collate,
    ACTIONS(10659), 1,
      sym_keyword_engine,
    ACTIONS(10661), 1,
      sym_keyword_default,
    ACTIONS(10663), 1,
      sym_keyword_with,
    ACTIONS(10665), 1,
      sym_keyword_without,
    ACTIONS(10667), 1,
      sym_keyword_row,
    ACTIONS(10669), 1,
      sym_keyword_stored,
    ACTIONS(10671), 1,
      sym_keyword_tblproperties,
    ACTIONS(10673), 1,
      sym_keyword_location,
    ACTIONS(10675), 1,
      sym_keyword_partitioned,
    ACTIONS(10677), 1,
      sym_keyword_sort,
    ACTIONS(10885), 1,
      sym_keyword_create,
    ACTIONS(10931), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10883), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(14140), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6339), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [415374] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10933), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [415454] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2138), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [415496] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2262), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2260), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [415538] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2210), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2208), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [415580] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10935), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [415660] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2314), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2312), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [415702] = 9,
    ACTIONS(523), 1,
      sym__identifier,
    ACTIONS(10937), 1,
      sym_keyword_as,
    ACTIONS(10939), 1,
      anon_sym_LPAREN,
    STATE(6574), 1,
      sym__alias,
    STATE(6607), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(581), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(9786), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(9788), 23,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [415756] = 22,
    ACTIONS(2487), 1,
      sym_keyword_similar,
    ACTIONS(4515), 1,
      sym_keyword_in,
    ACTIONS(4517), 1,
      sym_keyword_is,
    ACTIONS(4522), 1,
      anon_sym_LBRACK,
    ACTIONS(4530), 1,
      sym_op_other,
    ACTIONS(4532), 1,
      anon_sym_PLUS,
    ACTIONS(4534), 1,
      anon_sym_DASH,
    ACTIONS(4536), 1,
      anon_sym_SLASH,
    ACTIONS(4538), 1,
      anon_sym_CARET,
    ACTIONS(4588), 1,
      sym_keyword_not,
    ACTIONS(5262), 1,
      sym_keyword_between,
    ACTIONS(8642), 1,
      sym_keyword_or,
    ACTIONS(8644), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10941), 1,
      sym_keyword_and,
    STATE(10845), 1,
      sym_not_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(4526), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(4528), 2,
      anon_sym_LT,
      anon_sym_GT,
    STATE(1454), 3,
      sym_is_not,
      sym_distinct_from,
      sym_not_distinct_from,
    STATE(1480), 4,
      sym_keyword_like,
      sym_not_like,
      sym_similar_to,
      sym_not_similar_to,
    ACTIONS(4524), 5,
      anon_sym_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [415836] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2274), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2272), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [415878] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2274), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2272), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [415920] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2270), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2268), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [415962] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2302), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2300), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [416004] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2140), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2138), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [416046] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2278), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2276), 27,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [416088] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2254), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2252), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [416130] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2234), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2232), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [416172] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2238), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2236), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [416214] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2250), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2248), 31,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [416256] = 6,
    ACTIONS(2825), 1,
      sym_keyword_without,
    ACTIONS(10943), 1,
      sym_keyword_with,
    STATE(772), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1963), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1961), 24,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [416303] = 24,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10709), 1,
      sym_keyword_partition,
    ACTIONS(10715), 1,
      sym_keyword_collate,
    ACTIONS(10717), 1,
      sym_keyword_engine,
    ACTIONS(10719), 1,
      sym_keyword_default,
    ACTIONS(10721), 1,
      sym_keyword_with,
    ACTIONS(10723), 1,
      sym_keyword_without,
    ACTIONS(10725), 1,
      sym_keyword_row,
    ACTIONS(10727), 1,
      sym_keyword_stored,
    ACTIONS(10729), 1,
      sym_keyword_tblproperties,
    ACTIONS(10731), 1,
      sym_keyword_location,
    ACTIONS(10733), 1,
      sym_keyword_partitioned,
    ACTIONS(10735), 1,
      sym_keyword_sort,
    ACTIONS(10946), 1,
      sym_keyword_as,
    ACTIONS(10948), 1,
      anon_sym_LPAREN,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(6360), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14060), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6509), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [416386] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3499), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3497), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [416427] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3589), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3587), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [416468] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2398), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2396), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [416509] = 24,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10709), 1,
      sym_keyword_partition,
    ACTIONS(10715), 1,
      sym_keyword_collate,
    ACTIONS(10717), 1,
      sym_keyword_engine,
    ACTIONS(10719), 1,
      sym_keyword_default,
    ACTIONS(10721), 1,
      sym_keyword_with,
    ACTIONS(10723), 1,
      sym_keyword_without,
    ACTIONS(10725), 1,
      sym_keyword_row,
    ACTIONS(10727), 1,
      sym_keyword_stored,
    ACTIONS(10729), 1,
      sym_keyword_tblproperties,
    ACTIONS(10731), 1,
      sym_keyword_location,
    ACTIONS(10733), 1,
      sym_keyword_partitioned,
    ACTIONS(10735), 1,
      sym_keyword_sort,
    ACTIONS(10948), 1,
      anon_sym_LPAREN,
    ACTIONS(10950), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(6454), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14060), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6494), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [416592] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3601), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3599), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [416633] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3449), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3447), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [416674] = 24,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10707), 1,
      anon_sym_RPAREN,
    ACTIONS(10709), 1,
      sym_keyword_partition,
    ACTIONS(10711), 1,
      sym_keyword_create,
    ACTIONS(10715), 1,
      sym_keyword_collate,
    ACTIONS(10717), 1,
      sym_keyword_engine,
    ACTIONS(10719), 1,
      sym_keyword_default,
    ACTIONS(10721), 1,
      sym_keyword_with,
    ACTIONS(10723), 1,
      sym_keyword_without,
    ACTIONS(10725), 1,
      sym_keyword_row,
    ACTIONS(10727), 1,
      sym_keyword_stored,
    ACTIONS(10729), 1,
      sym_keyword_tblproperties,
    ACTIONS(10731), 1,
      sym_keyword_location,
    ACTIONS(10733), 1,
      sym_keyword_partitioned,
    ACTIONS(10735), 1,
      sym_keyword_sort,
    ACTIONS(10952), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14060), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6449), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [416757] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3511), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3509), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [416798] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3569), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3567), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [416839] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3585), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3583), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [416880] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3673), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3671), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [416921] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3577), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3575), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [416962] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3545), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3543), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [417003] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3549), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3547), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [417044] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2404), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [417085] = 8,
    ACTIONS(523), 1,
      sym__identifier,
    ACTIONS(10937), 1,
      sym_keyword_as,
    STATE(6594), 1,
      sym__alias,
    STATE(6607), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(581), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(9786), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(9788), 23,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [417136] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3557), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3555), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [417177] = 24,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10709), 1,
      sym_keyword_partition,
    ACTIONS(10715), 1,
      sym_keyword_collate,
    ACTIONS(10717), 1,
      sym_keyword_engine,
    ACTIONS(10719), 1,
      sym_keyword_default,
    ACTIONS(10721), 1,
      sym_keyword_with,
    ACTIONS(10723), 1,
      sym_keyword_without,
    ACTIONS(10725), 1,
      sym_keyword_row,
    ACTIONS(10727), 1,
      sym_keyword_stored,
    ACTIONS(10729), 1,
      sym_keyword_tblproperties,
    ACTIONS(10731), 1,
      sym_keyword_location,
    ACTIONS(10733), 1,
      sym_keyword_partitioned,
    ACTIONS(10735), 1,
      sym_keyword_sort,
    ACTIONS(10948), 1,
      anon_sym_LPAREN,
    ACTIONS(10954), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(6279), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14060), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6527), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [417260] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2414), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2412), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [417301] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2392), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [417342] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10956), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_from,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [417381] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3625), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3623), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [417422] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3461), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3459), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [417463] = 19,
    ACTIONS(8872), 1,
      sym_keyword_left,
    ACTIONS(8876), 1,
      sym_keyword_inner,
    ACTIONS(8878), 1,
      sym_keyword_cross,
    ACTIONS(8880), 1,
      sym_keyword_join,
    ACTIONS(8882), 1,
      sym_keyword_natural,
    ACTIONS(8884), 1,
      sym_keyword_where,
    ACTIONS(8886), 1,
      sym_keyword_order,
    ACTIONS(8888), 1,
      sym_keyword_group,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    STATE(7018), 1,
      sym_where,
    STATE(7078), 1,
      sym_group_by,
    STATE(7260), 1,
      sym_window_clause,
    STATE(7387), 1,
      sym_order_by,
    STATE(7684), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8874), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6637), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10958), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [417536] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3553), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3551), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [417577] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3617), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3615), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [417618] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2406), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2404), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [417659] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3597), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3595), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [417700] = 19,
    ACTIONS(8872), 1,
      sym_keyword_left,
    ACTIONS(8876), 1,
      sym_keyword_inner,
    ACTIONS(8878), 1,
      sym_keyword_cross,
    ACTIONS(8880), 1,
      sym_keyword_join,
    ACTIONS(8882), 1,
      sym_keyword_natural,
    ACTIONS(8884), 1,
      sym_keyword_where,
    ACTIONS(8886), 1,
      sym_keyword_order,
    ACTIONS(8888), 1,
      sym_keyword_group,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    STATE(7011), 1,
      sym_where,
    STATE(7104), 1,
      sym_group_by,
    STATE(7299), 1,
      sym_window_clause,
    STATE(7341), 1,
      sym_order_by,
    STATE(7723), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8874), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6637), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8938), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [417773] = 19,
    ACTIONS(8872), 1,
      sym_keyword_left,
    ACTIONS(8876), 1,
      sym_keyword_inner,
    ACTIONS(8878), 1,
      sym_keyword_cross,
    ACTIONS(8880), 1,
      sym_keyword_join,
    ACTIONS(8882), 1,
      sym_keyword_natural,
    ACTIONS(8884), 1,
      sym_keyword_where,
    ACTIONS(8886), 1,
      sym_keyword_order,
    ACTIONS(8888), 1,
      sym_keyword_group,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    STATE(7023), 1,
      sym_where,
    STATE(7107), 1,
      sym_group_by,
    STATE(7284), 1,
      sym_window_clause,
    STATE(7391), 1,
      sym_order_by,
    STATE(7693), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8874), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6432), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9046), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [417846] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3561), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3559), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [417887] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2394), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2392), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [417928] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [417969] = 19,
    ACTIONS(8872), 1,
      sym_keyword_left,
    ACTIONS(8876), 1,
      sym_keyword_inner,
    ACTIONS(8878), 1,
      sym_keyword_cross,
    ACTIONS(8880), 1,
      sym_keyword_join,
    ACTIONS(8882), 1,
      sym_keyword_natural,
    ACTIONS(8884), 1,
      sym_keyword_where,
    ACTIONS(8886), 1,
      sym_keyword_order,
    ACTIONS(8888), 1,
      sym_keyword_group,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    STATE(7023), 1,
      sym_where,
    STATE(7107), 1,
      sym_group_by,
    STATE(7284), 1,
      sym_window_clause,
    STATE(7391), 1,
      sym_order_by,
    STATE(7693), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8874), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6637), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9046), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [418042] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3565), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3563), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [418083] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2410), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2408), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [418124] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3503), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [418165] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2573), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2571), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [418206] = 19,
    ACTIONS(8872), 1,
      sym_keyword_left,
    ACTIONS(8876), 1,
      sym_keyword_inner,
    ACTIONS(8878), 1,
      sym_keyword_cross,
    ACTIONS(8880), 1,
      sym_keyword_join,
    ACTIONS(8882), 1,
      sym_keyword_natural,
    ACTIONS(8884), 1,
      sym_keyword_where,
    ACTIONS(8886), 1,
      sym_keyword_order,
    ACTIONS(8888), 1,
      sym_keyword_group,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    STATE(6982), 1,
      sym_where,
    STATE(7077), 1,
      sym_group_by,
    STATE(7270), 1,
      sym_window_clause,
    STATE(7412), 1,
      sym_order_by,
    STATE(7733), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8874), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6637), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10960), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [418279] = 24,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10649), 1,
      anon_sym_RPAREN,
    ACTIONS(10653), 1,
      sym_keyword_create,
    ACTIONS(10709), 1,
      sym_keyword_partition,
    ACTIONS(10715), 1,
      sym_keyword_collate,
    ACTIONS(10717), 1,
      sym_keyword_engine,
    ACTIONS(10719), 1,
      sym_keyword_default,
    ACTIONS(10721), 1,
      sym_keyword_with,
    ACTIONS(10723), 1,
      sym_keyword_without,
    ACTIONS(10725), 1,
      sym_keyword_row,
    ACTIONS(10727), 1,
      sym_keyword_stored,
    ACTIONS(10729), 1,
      sym_keyword_tblproperties,
    ACTIONS(10731), 1,
      sym_keyword_location,
    ACTIONS(10733), 1,
      sym_keyword_partitioned,
    ACTIONS(10735), 1,
      sym_keyword_sort,
    ACTIONS(10962), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14060), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6110), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [418362] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3605), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3603), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [418403] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2410), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2408), 30,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
  [418444] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3507), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3505), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [418485] = 19,
    ACTIONS(8872), 1,
      sym_keyword_left,
    ACTIONS(8876), 1,
      sym_keyword_inner,
    ACTIONS(8878), 1,
      sym_keyword_cross,
    ACTIONS(8880), 1,
      sym_keyword_join,
    ACTIONS(8882), 1,
      sym_keyword_natural,
    ACTIONS(8884), 1,
      sym_keyword_where,
    ACTIONS(8886), 1,
      sym_keyword_order,
    ACTIONS(8888), 1,
      sym_keyword_group,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    STATE(7011), 1,
      sym_where,
    STATE(7104), 1,
      sym_group_by,
    STATE(7299), 1,
      sym_window_clause,
    STATE(7341), 1,
      sym_order_by,
    STATE(7723), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8874), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6427), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8938), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [418558] = 24,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10709), 1,
      sym_keyword_partition,
    ACTIONS(10715), 1,
      sym_keyword_collate,
    ACTIONS(10717), 1,
      sym_keyword_engine,
    ACTIONS(10719), 1,
      sym_keyword_default,
    ACTIONS(10721), 1,
      sym_keyword_with,
    ACTIONS(10723), 1,
      sym_keyword_without,
    ACTIONS(10725), 1,
      sym_keyword_row,
    ACTIONS(10727), 1,
      sym_keyword_stored,
    ACTIONS(10729), 1,
      sym_keyword_tblproperties,
    ACTIONS(10731), 1,
      sym_keyword_location,
    ACTIONS(10733), 1,
      sym_keyword_partitioned,
    ACTIONS(10735), 1,
      sym_keyword_sort,
    ACTIONS(10948), 1,
      anon_sym_LPAREN,
    ACTIONS(10964), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(6175), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14060), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6489), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [418641] = 24,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10709), 1,
      sym_keyword_partition,
    ACTIONS(10715), 1,
      sym_keyword_collate,
    ACTIONS(10717), 1,
      sym_keyword_engine,
    ACTIONS(10719), 1,
      sym_keyword_default,
    ACTIONS(10721), 1,
      sym_keyword_with,
    ACTIONS(10723), 1,
      sym_keyword_without,
    ACTIONS(10725), 1,
      sym_keyword_row,
    ACTIONS(10727), 1,
      sym_keyword_stored,
    ACTIONS(10729), 1,
      sym_keyword_tblproperties,
    ACTIONS(10731), 1,
      sym_keyword_location,
    ACTIONS(10733), 1,
      sym_keyword_partitioned,
    ACTIONS(10735), 1,
      sym_keyword_sort,
    ACTIONS(10948), 1,
      anon_sym_LPAREN,
    ACTIONS(10966), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(6400), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14060), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6486), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [418724] = 24,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10709), 1,
      sym_keyword_partition,
    ACTIONS(10715), 1,
      sym_keyword_collate,
    ACTIONS(10717), 1,
      sym_keyword_engine,
    ACTIONS(10719), 1,
      sym_keyword_default,
    ACTIONS(10721), 1,
      sym_keyword_with,
    ACTIONS(10723), 1,
      sym_keyword_without,
    ACTIONS(10725), 1,
      sym_keyword_row,
    ACTIONS(10727), 1,
      sym_keyword_stored,
    ACTIONS(10729), 1,
      sym_keyword_tblproperties,
    ACTIONS(10731), 1,
      sym_keyword_location,
    ACTIONS(10733), 1,
      sym_keyword_partitioned,
    ACTIONS(10735), 1,
      sym_keyword_sort,
    ACTIONS(10968), 1,
      sym_keyword_as,
    ACTIONS(10970), 1,
      anon_sym_LPAREN,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(6191), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14060), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6485), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [418807] = 24,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10709), 1,
      sym_keyword_partition,
    ACTIONS(10715), 1,
      sym_keyword_collate,
    ACTIONS(10717), 1,
      sym_keyword_engine,
    ACTIONS(10719), 1,
      sym_keyword_default,
    ACTIONS(10721), 1,
      sym_keyword_with,
    ACTIONS(10723), 1,
      sym_keyword_without,
    ACTIONS(10725), 1,
      sym_keyword_row,
    ACTIONS(10727), 1,
      sym_keyword_stored,
    ACTIONS(10729), 1,
      sym_keyword_tblproperties,
    ACTIONS(10731), 1,
      sym_keyword_location,
    ACTIONS(10733), 1,
      sym_keyword_partitioned,
    ACTIONS(10735), 1,
      sym_keyword_sort,
    ACTIONS(10948), 1,
      anon_sym_LPAREN,
    ACTIONS(10972), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(6445), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14060), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6490), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [418890] = 19,
    ACTIONS(8872), 1,
      sym_keyword_left,
    ACTIONS(8876), 1,
      sym_keyword_inner,
    ACTIONS(8878), 1,
      sym_keyword_cross,
    ACTIONS(8880), 1,
      sym_keyword_join,
    ACTIONS(8882), 1,
      sym_keyword_natural,
    ACTIONS(8884), 1,
      sym_keyword_where,
    ACTIONS(8886), 1,
      sym_keyword_order,
    ACTIONS(8888), 1,
      sym_keyword_group,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    STATE(6982), 1,
      sym_where,
    STATE(7077), 1,
      sym_group_by,
    STATE(7270), 1,
      sym_window_clause,
    STATE(7412), 1,
      sym_order_by,
    STATE(7733), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8874), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6417), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10960), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [418963] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3661), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3659), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [419004] = 24,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10709), 1,
      sym_keyword_partition,
    ACTIONS(10715), 1,
      sym_keyword_collate,
    ACTIONS(10717), 1,
      sym_keyword_engine,
    ACTIONS(10719), 1,
      sym_keyword_default,
    ACTIONS(10721), 1,
      sym_keyword_with,
    ACTIONS(10723), 1,
      sym_keyword_without,
    ACTIONS(10725), 1,
      sym_keyword_row,
    ACTIONS(10727), 1,
      sym_keyword_stored,
    ACTIONS(10729), 1,
      sym_keyword_tblproperties,
    ACTIONS(10731), 1,
      sym_keyword_location,
    ACTIONS(10733), 1,
      sym_keyword_partitioned,
    ACTIONS(10735), 1,
      sym_keyword_sort,
    ACTIONS(10749), 1,
      anon_sym_RPAREN,
    ACTIONS(10751), 1,
      sym_keyword_create,
    ACTIONS(10974), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14060), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6110), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [419087] = 24,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10709), 1,
      sym_keyword_partition,
    ACTIONS(10715), 1,
      sym_keyword_collate,
    ACTIONS(10717), 1,
      sym_keyword_engine,
    ACTIONS(10719), 1,
      sym_keyword_default,
    ACTIONS(10721), 1,
      sym_keyword_with,
    ACTIONS(10723), 1,
      sym_keyword_without,
    ACTIONS(10725), 1,
      sym_keyword_row,
    ACTIONS(10727), 1,
      sym_keyword_stored,
    ACTIONS(10729), 1,
      sym_keyword_tblproperties,
    ACTIONS(10731), 1,
      sym_keyword_location,
    ACTIONS(10733), 1,
      sym_keyword_partitioned,
    ACTIONS(10735), 1,
      sym_keyword_sort,
    ACTIONS(10883), 1,
      anon_sym_RPAREN,
    ACTIONS(10885), 1,
      sym_keyword_create,
    ACTIONS(10976), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14060), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6444), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [419170] = 8,
    ACTIONS(523), 1,
      sym__identifier,
    ACTIONS(10937), 1,
      sym_keyword_as,
    STATE(6607), 1,
      sym_identifier,
    STATE(6623), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(581), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(10074), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(10076), 23,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [419221] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3593), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3591), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [419262] = 6,
    ACTIONS(2825), 1,
      sym_keyword_without,
    ACTIONS(10978), 1,
      sym_keyword_with,
    STATE(773), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1979), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(1977), 24,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [419309] = 24,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10709), 1,
      sym_keyword_partition,
    ACTIONS(10715), 1,
      sym_keyword_collate,
    ACTIONS(10717), 1,
      sym_keyword_engine,
    ACTIONS(10719), 1,
      sym_keyword_default,
    ACTIONS(10721), 1,
      sym_keyword_with,
    ACTIONS(10723), 1,
      sym_keyword_without,
    ACTIONS(10725), 1,
      sym_keyword_row,
    ACTIONS(10727), 1,
      sym_keyword_stored,
    ACTIONS(10729), 1,
      sym_keyword_tblproperties,
    ACTIONS(10731), 1,
      sym_keyword_location,
    ACTIONS(10733), 1,
      sym_keyword_partitioned,
    ACTIONS(10735), 1,
      sym_keyword_sort,
    ACTIONS(10883), 1,
      anon_sym_RPAREN,
    ACTIONS(10885), 1,
      sym_keyword_create,
    ACTIONS(10976), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14060), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6110), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [419392] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3621), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3619), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [419433] = 24,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10709), 1,
      sym_keyword_partition,
    ACTIONS(10715), 1,
      sym_keyword_collate,
    ACTIONS(10717), 1,
      sym_keyword_engine,
    ACTIONS(10719), 1,
      sym_keyword_default,
    ACTIONS(10721), 1,
      sym_keyword_with,
    ACTIONS(10723), 1,
      sym_keyword_without,
    ACTIONS(10725), 1,
      sym_keyword_row,
    ACTIONS(10727), 1,
      sym_keyword_stored,
    ACTIONS(10729), 1,
      sym_keyword_tblproperties,
    ACTIONS(10731), 1,
      sym_keyword_location,
    ACTIONS(10733), 1,
      sym_keyword_partitioned,
    ACTIONS(10735), 1,
      sym_keyword_sort,
    ACTIONS(10970), 1,
      anon_sym_LPAREN,
    ACTIONS(10981), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(6373), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14060), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6520), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [419516] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3495), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3493), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [419557] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3681), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3679), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [419598] = 24,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10709), 1,
      sym_keyword_partition,
    ACTIONS(10715), 1,
      sym_keyword_collate,
    ACTIONS(10717), 1,
      sym_keyword_engine,
    ACTIONS(10719), 1,
      sym_keyword_default,
    ACTIONS(10721), 1,
      sym_keyword_with,
    ACTIONS(10723), 1,
      sym_keyword_without,
    ACTIONS(10725), 1,
      sym_keyword_row,
    ACTIONS(10727), 1,
      sym_keyword_stored,
    ACTIONS(10729), 1,
      sym_keyword_tblproperties,
    ACTIONS(10731), 1,
      sym_keyword_location,
    ACTIONS(10733), 1,
      sym_keyword_partitioned,
    ACTIONS(10735), 1,
      sym_keyword_sort,
    ACTIONS(10749), 1,
      anon_sym_RPAREN,
    ACTIONS(10751), 1,
      sym_keyword_create,
    ACTIONS(10974), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14060), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6433), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [419681] = 23,
    ACTIONS(9108), 1,
      sym_keyword_cross,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(9126), 1,
      anon_sym_COMMA,
    ACTIONS(10983), 1,
      sym_keyword_left,
    ACTIONS(10987), 1,
      sym_keyword_inner,
    ACTIONS(10989), 1,
      sym_keyword_join,
    ACTIONS(10991), 1,
      sym_keyword_natural,
    ACTIONS(10993), 1,
      sym_keyword_where,
    ACTIONS(10995), 1,
      sym_keyword_order,
    ACTIONS(10997), 1,
      sym_keyword_group,
    STATE(6462), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6659), 1,
      sym_index_hint,
    STATE(7517), 1,
      sym_order_by,
    STATE(7572), 1,
      sym_where,
    STATE(7806), 1,
      sym_limit,
    STATE(7893), 1,
      sym_group_by,
    STATE(8148), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10985), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9122), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(8870), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
    STATE(6661), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [419762] = 23,
    ACTIONS(9108), 1,
      sym_keyword_cross,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(9126), 1,
      anon_sym_COMMA,
    ACTIONS(10983), 1,
      sym_keyword_left,
    ACTIONS(10987), 1,
      sym_keyword_inner,
    ACTIONS(10989), 1,
      sym_keyword_join,
    ACTIONS(10991), 1,
      sym_keyword_natural,
    ACTIONS(10993), 1,
      sym_keyword_where,
    ACTIONS(10995), 1,
      sym_keyword_order,
    ACTIONS(10997), 1,
      sym_keyword_group,
    STATE(6630), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6673), 1,
      sym_index_hint,
    STATE(7551), 1,
      sym_where,
    STATE(7565), 1,
      sym_order_by,
    STATE(7862), 1,
      sym_group_by,
    STATE(7884), 1,
      sym_limit,
    STATE(8137), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10985), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9122), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(9046), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
    STATE(6648), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [419843] = 24,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10709), 1,
      sym_keyword_partition,
    ACTIONS(10715), 1,
      sym_keyword_collate,
    ACTIONS(10717), 1,
      sym_keyword_engine,
    ACTIONS(10719), 1,
      sym_keyword_default,
    ACTIONS(10721), 1,
      sym_keyword_with,
    ACTIONS(10723), 1,
      sym_keyword_without,
    ACTIONS(10725), 1,
      sym_keyword_row,
    ACTIONS(10727), 1,
      sym_keyword_stored,
    ACTIONS(10729), 1,
      sym_keyword_tblproperties,
    ACTIONS(10731), 1,
      sym_keyword_location,
    ACTIONS(10733), 1,
      sym_keyword_partitioned,
    ACTIONS(10735), 1,
      sym_keyword_sort,
    ACTIONS(10970), 1,
      anon_sym_LPAREN,
    ACTIONS(10999), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(6273), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14060), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6528), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [419926] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2402), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2400), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [419967] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3685), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3683), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [420008] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3613), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3611), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [420049] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2884), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2882), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [420090] = 23,
    ACTIONS(9108), 1,
      sym_keyword_cross,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(9126), 1,
      anon_sym_COMMA,
    ACTIONS(10983), 1,
      sym_keyword_left,
    ACTIONS(10987), 1,
      sym_keyword_inner,
    ACTIONS(10989), 1,
      sym_keyword_join,
    ACTIONS(10991), 1,
      sym_keyword_natural,
    ACTIONS(10993), 1,
      sym_keyword_where,
    ACTIONS(10995), 1,
      sym_keyword_order,
    ACTIONS(10997), 1,
      sym_keyword_group,
    STATE(6630), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6652), 1,
      sym_index_hint,
    STATE(7513), 1,
      sym_order_by,
    STATE(7563), 1,
      sym_where,
    STATE(7781), 1,
      sym_limit,
    STATE(7876), 1,
      sym_group_by,
    STATE(8139), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10985), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9122), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(8938), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
    STATE(6650), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [420171] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3609), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3607), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [420212] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3573), 6,
      sym_keyword_in,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3571), 26,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [420253] = 23,
    ACTIONS(9108), 1,
      sym_keyword_cross,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(9126), 1,
      anon_sym_COMMA,
    ACTIONS(10983), 1,
      sym_keyword_left,
    ACTIONS(10987), 1,
      sym_keyword_inner,
    ACTIONS(10989), 1,
      sym_keyword_join,
    ACTIONS(10991), 1,
      sym_keyword_natural,
    ACTIONS(10993), 1,
      sym_keyword_where,
    ACTIONS(10995), 1,
      sym_keyword_order,
    ACTIONS(10997), 1,
      sym_keyword_group,
    STATE(6456), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(6652), 1,
      sym_index_hint,
    STATE(7513), 1,
      sym_order_by,
    STATE(7563), 1,
      sym_where,
    STATE(7781), 1,
      sym_limit,
    STATE(7876), 1,
      sym_group_by,
    STATE(8139), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10985), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9122), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(8938), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
    STATE(6650), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [420334] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11001), 32,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_from,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [420373] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2398), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2396), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [420413] = 19,
    ACTIONS(9102), 1,
      sym_keyword_left,
    ACTIONS(9106), 1,
      sym_keyword_inner,
    ACTIONS(9108), 1,
      sym_keyword_cross,
    ACTIONS(9110), 1,
      sym_keyword_join,
    ACTIONS(9112), 1,
      sym_keyword_natural,
    ACTIONS(9114), 1,
      sym_keyword_where,
    ACTIONS(9116), 1,
      sym_keyword_order,
    ACTIONS(9118), 1,
      sym_keyword_group,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    STATE(7030), 1,
      sym_where,
    STATE(7222), 1,
      sym_group_by,
    STATE(7362), 1,
      sym_window_clause,
    STATE(7565), 1,
      sym_order_by,
    STATE(7884), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9104), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6649), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9046), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [420485] = 19,
    ACTIONS(9102), 1,
      sym_keyword_left,
    ACTIONS(9106), 1,
      sym_keyword_inner,
    ACTIONS(9108), 1,
      sym_keyword_cross,
    ACTIONS(9110), 1,
      sym_keyword_join,
    ACTIONS(9112), 1,
      sym_keyword_natural,
    ACTIONS(9114), 1,
      sym_keyword_where,
    ACTIONS(9116), 1,
      sym_keyword_order,
    ACTIONS(9118), 1,
      sym_keyword_group,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    STATE(7029), 1,
      sym_where,
    STATE(7242), 1,
      sym_group_by,
    STATE(7399), 1,
      sym_window_clause,
    STATE(7513), 1,
      sym_order_by,
    STATE(7781), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9104), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6468), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8938), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [420557] = 19,
    ACTIONS(9102), 1,
      sym_keyword_left,
    ACTIONS(9106), 1,
      sym_keyword_inner,
    ACTIONS(9108), 1,
      sym_keyword_cross,
    ACTIONS(9110), 1,
      sym_keyword_join,
    ACTIONS(9112), 1,
      sym_keyword_natural,
    ACTIONS(9114), 1,
      sym_keyword_where,
    ACTIONS(9116), 1,
      sym_keyword_order,
    ACTIONS(9118), 1,
      sym_keyword_group,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    STATE(7029), 1,
      sym_where,
    STATE(7242), 1,
      sym_group_by,
    STATE(7399), 1,
      sym_window_clause,
    STATE(7513), 1,
      sym_order_by,
    STATE(7781), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9104), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6649), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8938), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [420629] = 4,
    ACTIONS(11005), 1,
      anon_sym_LPAREN,
    STATE(6550), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11003), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [420671] = 19,
    ACTIONS(9102), 1,
      sym_keyword_left,
    ACTIONS(9106), 1,
      sym_keyword_inner,
    ACTIONS(9108), 1,
      sym_keyword_cross,
    ACTIONS(9110), 1,
      sym_keyword_join,
    ACTIONS(9112), 1,
      sym_keyword_natural,
    ACTIONS(9114), 1,
      sym_keyword_where,
    ACTIONS(9116), 1,
      sym_keyword_order,
    ACTIONS(9118), 1,
      sym_keyword_group,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    STATE(7039), 1,
      sym_where,
    STATE(7223), 1,
      sym_group_by,
    STATE(7423), 1,
      sym_window_clause,
    STATE(7500), 1,
      sym_order_by,
    STATE(7825), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9104), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6649), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10960), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [420743] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2402), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2400), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [420783] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2414), 2,
      sym_keyword_no,
      sym_keyword_return,
    ACTIONS(2412), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_cycle,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [420823] = 4,
    ACTIONS(11005), 1,
      anon_sym_LPAREN,
    STATE(6533), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11007), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [420865] = 9,
    ACTIONS(123), 1,
      anon_sym_LPAREN,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(2853), 1,
      anon_sym_DOT,
    ACTIONS(11009), 1,
      sym_keyword_preceding,
    ACTIONS(11011), 1,
      sym_keyword_following,
    STATE(2523), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2851), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2849), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [420917] = 19,
    ACTIONS(9102), 1,
      sym_keyword_left,
    ACTIONS(9106), 1,
      sym_keyword_inner,
    ACTIONS(9108), 1,
      sym_keyword_cross,
    ACTIONS(9110), 1,
      sym_keyword_join,
    ACTIONS(9112), 1,
      sym_keyword_natural,
    ACTIONS(9114), 1,
      sym_keyword_where,
    ACTIONS(9116), 1,
      sym_keyword_order,
    ACTIONS(9118), 1,
      sym_keyword_group,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    STATE(7047), 1,
      sym_where,
    STATE(7182), 1,
      sym_group_by,
    STATE(7386), 1,
      sym_window_clause,
    STATE(7529), 1,
      sym_order_by,
    STATE(7863), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9104), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6649), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10958), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [420989] = 19,
    ACTIONS(9102), 1,
      sym_keyword_left,
    ACTIONS(9106), 1,
      sym_keyword_inner,
    ACTIONS(9108), 1,
      sym_keyword_cross,
    ACTIONS(9110), 1,
      sym_keyword_join,
    ACTIONS(9112), 1,
      sym_keyword_natural,
    ACTIONS(9114), 1,
      sym_keyword_where,
    ACTIONS(9116), 1,
      sym_keyword_order,
    ACTIONS(9118), 1,
      sym_keyword_group,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    STATE(7039), 1,
      sym_where,
    STATE(7223), 1,
      sym_group_by,
    STATE(7423), 1,
      sym_window_clause,
    STATE(7500), 1,
      sym_order_by,
    STATE(7825), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9104), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6477), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10960), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [421061] = 4,
    ACTIONS(11005), 1,
      anon_sym_LPAREN,
    STATE(6559), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11003), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [421103] = 19,
    ACTIONS(9102), 1,
      sym_keyword_left,
    ACTIONS(9106), 1,
      sym_keyword_inner,
    ACTIONS(9108), 1,
      sym_keyword_cross,
    ACTIONS(9110), 1,
      sym_keyword_join,
    ACTIONS(9112), 1,
      sym_keyword_natural,
    ACTIONS(9114), 1,
      sym_keyword_where,
    ACTIONS(9116), 1,
      sym_keyword_order,
    ACTIONS(9118), 1,
      sym_keyword_group,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    STATE(7030), 1,
      sym_where,
    STATE(7222), 1,
      sym_group_by,
    STATE(7362), 1,
      sym_window_clause,
    STATE(7565), 1,
      sym_order_by,
    STATE(7884), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9104), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6472), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9046), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [421175] = 20,
    ACTIONS(11013), 1,
      sym_keyword_as,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11017), 1,
      sym_keyword_begin,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    STATE(6609), 1,
      sym_function_body,
    STATE(13471), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6518), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [421248] = 19,
    ACTIONS(8878), 1,
      sym_keyword_cross,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    ACTIONS(9766), 1,
      sym_keyword_left,
    ACTIONS(9770), 1,
      sym_keyword_inner,
    ACTIONS(9772), 1,
      sym_keyword_join,
    ACTIONS(9774), 1,
      sym_keyword_natural,
    ACTIONS(9776), 1,
      sym_keyword_where,
    ACTIONS(9778), 1,
      sym_keyword_order,
    ACTIONS(9780), 1,
      sym_keyword_group,
    STATE(7084), 1,
      sym_where,
    STATE(7320), 1,
      sym_group_by,
    STATE(7391), 1,
      sym_order_by,
    STATE(7594), 1,
      sym_window_clause,
    STATE(7693), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9768), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6700), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9046), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [421319] = 20,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11045), 1,
      sym_keyword_as,
    ACTIONS(11047), 1,
      sym_keyword_begin,
    STATE(6564), 1,
      sym_function_body,
    STATE(12468), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6598), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [421392] = 19,
    ACTIONS(8878), 1,
      sym_keyword_cross,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    ACTIONS(9766), 1,
      sym_keyword_left,
    ACTIONS(9770), 1,
      sym_keyword_inner,
    ACTIONS(9772), 1,
      sym_keyword_join,
    ACTIONS(9774), 1,
      sym_keyword_natural,
    ACTIONS(9776), 1,
      sym_keyword_where,
    ACTIONS(9778), 1,
      sym_keyword_order,
    ACTIONS(9780), 1,
      sym_keyword_group,
    STATE(7082), 1,
      sym_where,
    STATE(7322), 1,
      sym_group_by,
    STATE(7341), 1,
      sym_order_by,
    STATE(7596), 1,
      sym_window_clause,
    STATE(7723), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9768), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6482), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8938), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [421463] = 22,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10709), 1,
      sym_keyword_partition,
    ACTIONS(10715), 1,
      sym_keyword_collate,
    ACTIONS(10717), 1,
      sym_keyword_engine,
    ACTIONS(10719), 1,
      sym_keyword_default,
    ACTIONS(10721), 1,
      sym_keyword_with,
    ACTIONS(10723), 1,
      sym_keyword_without,
    ACTIONS(10725), 1,
      sym_keyword_row,
    ACTIONS(10727), 1,
      sym_keyword_stored,
    ACTIONS(10729), 1,
      sym_keyword_tblproperties,
    ACTIONS(10731), 1,
      sym_keyword_location,
    ACTIONS(10733), 1,
      sym_keyword_partitioned,
    ACTIONS(10735), 1,
      sym_keyword_sort,
    ACTIONS(10981), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14060), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6110), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [421540] = 22,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10709), 1,
      sym_keyword_partition,
    ACTIONS(10715), 1,
      sym_keyword_collate,
    ACTIONS(10717), 1,
      sym_keyword_engine,
    ACTIONS(10719), 1,
      sym_keyword_default,
    ACTIONS(10721), 1,
      sym_keyword_with,
    ACTIONS(10723), 1,
      sym_keyword_without,
    ACTIONS(10725), 1,
      sym_keyword_row,
    ACTIONS(10727), 1,
      sym_keyword_stored,
    ACTIONS(10729), 1,
      sym_keyword_tblproperties,
    ACTIONS(10731), 1,
      sym_keyword_location,
    ACTIONS(10733), 1,
      sym_keyword_partitioned,
    ACTIONS(10735), 1,
      sym_keyword_sort,
    ACTIONS(10972), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14060), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6110), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [421617] = 20,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11045), 1,
      sym_keyword_as,
    ACTIONS(11047), 1,
      sym_keyword_begin,
    STATE(6545), 1,
      sym_function_body,
    STATE(12468), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6511), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [421690] = 4,
    ACTIONS(11049), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(123), 5,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(121), 24,
      sym_keyword_set,
      sym_keyword_partition,
      sym_keyword_alter,
      sym_keyword_change,
      sym_keyword_modify,
      sym_keyword_drop,
      sym_keyword_add,
      sym_keyword_column,
      sym_keyword_as,
      sym_keyword_if,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_rename,
      sym_keyword_owner,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [421731] = 22,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10709), 1,
      sym_keyword_partition,
    ACTIONS(10715), 1,
      sym_keyword_collate,
    ACTIONS(10717), 1,
      sym_keyword_engine,
    ACTIONS(10719), 1,
      sym_keyword_default,
    ACTIONS(10721), 1,
      sym_keyword_with,
    ACTIONS(10723), 1,
      sym_keyword_without,
    ACTIONS(10725), 1,
      sym_keyword_row,
    ACTIONS(10727), 1,
      sym_keyword_stored,
    ACTIONS(10729), 1,
      sym_keyword_tblproperties,
    ACTIONS(10731), 1,
      sym_keyword_location,
    ACTIONS(10733), 1,
      sym_keyword_partitioned,
    ACTIONS(10735), 1,
      sym_keyword_sort,
    ACTIONS(10946), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14060), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6110), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [421808] = 22,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10709), 1,
      sym_keyword_partition,
    ACTIONS(10715), 1,
      sym_keyword_collate,
    ACTIONS(10717), 1,
      sym_keyword_engine,
    ACTIONS(10719), 1,
      sym_keyword_default,
    ACTIONS(10721), 1,
      sym_keyword_with,
    ACTIONS(10723), 1,
      sym_keyword_without,
    ACTIONS(10725), 1,
      sym_keyword_row,
    ACTIONS(10727), 1,
      sym_keyword_stored,
    ACTIONS(10729), 1,
      sym_keyword_tblproperties,
    ACTIONS(10731), 1,
      sym_keyword_location,
    ACTIONS(10733), 1,
      sym_keyword_partitioned,
    ACTIONS(10735), 1,
      sym_keyword_sort,
    ACTIONS(10950), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14060), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6110), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [421885] = 20,
    ACTIONS(11013), 1,
      sym_keyword_as,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11017), 1,
      sym_keyword_begin,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    STATE(6610), 1,
      sym_function_body,
    STATE(13471), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6598), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [421958] = 19,
    ACTIONS(8878), 1,
      sym_keyword_cross,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    ACTIONS(9766), 1,
      sym_keyword_left,
    ACTIONS(9770), 1,
      sym_keyword_inner,
    ACTIONS(9772), 1,
      sym_keyword_join,
    ACTIONS(9774), 1,
      sym_keyword_natural,
    ACTIONS(9776), 1,
      sym_keyword_where,
    ACTIONS(9778), 1,
      sym_keyword_order,
    ACTIONS(9780), 1,
      sym_keyword_group,
    STATE(7085), 1,
      sym_where,
    STATE(7319), 1,
      sym_group_by,
    STATE(7412), 1,
      sym_order_by,
    STATE(7590), 1,
      sym_window_clause,
    STATE(7733), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9768), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6514), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10960), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [422029] = 20,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11045), 1,
      sym_keyword_as,
    ACTIONS(11047), 1,
      sym_keyword_begin,
    STATE(6543), 1,
      sym_function_body,
    STATE(12468), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6515), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [422102] = 22,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10709), 1,
      sym_keyword_partition,
    ACTIONS(10715), 1,
      sym_keyword_collate,
    ACTIONS(10717), 1,
      sym_keyword_engine,
    ACTIONS(10719), 1,
      sym_keyword_default,
    ACTIONS(10721), 1,
      sym_keyword_with,
    ACTIONS(10723), 1,
      sym_keyword_without,
    ACTIONS(10725), 1,
      sym_keyword_row,
    ACTIONS(10727), 1,
      sym_keyword_stored,
    ACTIONS(10729), 1,
      sym_keyword_tblproperties,
    ACTIONS(10731), 1,
      sym_keyword_location,
    ACTIONS(10733), 1,
      sym_keyword_partitioned,
    ACTIONS(10735), 1,
      sym_keyword_sort,
    ACTIONS(11051), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14060), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6110), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [422179] = 14,
    ACTIONS(11057), 1,
      sym_keyword_primary,
    ACTIONS(11059), 1,
      sym_keyword_as,
    ACTIONS(11061), 1,
      sym_keyword_constraint,
    ACTIONS(11063), 1,
      sym_keyword_not,
    ACTIONS(11067), 1,
      sym_keyword_generated,
    ACTIONS(11069), 1,
      sym_keyword_default,
    ACTIONS(11071), 1,
      sym_keyword_references,
    ACTIONS(11073), 1,
      sym_keyword_check,
    ACTIONS(11075), 1,
      sym_keyword_comment,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11055), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(11065), 5,
      sym_keyword_auto_increment,
      sym_keyword_unique,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_null,
    ACTIONS(11053), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_first,
      sym_keyword_after,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(6504), 8,
      sym__not_null,
      sym__primary_key,
      sym_direction,
      sym__column_comment,
      sym__column_constraint,
      sym__check_constraint,
      sym__default_expression,
      aux_sym_column_definition_repeat1,
  [422240] = 20,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11045), 1,
      sym_keyword_as,
    ACTIONS(11047), 1,
      sym_keyword_begin,
    STATE(6565), 1,
      sym_function_body,
    STATE(12468), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6598), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [422313] = 19,
    ACTIONS(8878), 1,
      sym_keyword_cross,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    ACTIONS(9766), 1,
      sym_keyword_left,
    ACTIONS(9770), 1,
      sym_keyword_inner,
    ACTIONS(9772), 1,
      sym_keyword_join,
    ACTIONS(9774), 1,
      sym_keyword_natural,
    ACTIONS(9776), 1,
      sym_keyword_where,
    ACTIONS(9778), 1,
      sym_keyword_order,
    ACTIONS(9780), 1,
      sym_keyword_group,
    STATE(7082), 1,
      sym_where,
    STATE(7322), 1,
      sym_group_by,
    STATE(7341), 1,
      sym_order_by,
    STATE(7596), 1,
      sym_window_clause,
    STATE(7723), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9768), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6700), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8938), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [422384] = 20,
    ACTIONS(11013), 1,
      sym_keyword_as,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11017), 1,
      sym_keyword_begin,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    STATE(6592), 1,
      sym_function_body,
    STATE(13471), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6507), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [422457] = 20,
    ACTIONS(11013), 1,
      sym_keyword_as,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11017), 1,
      sym_keyword_begin,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    STATE(6596), 1,
      sym_function_body,
    STATE(13471), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6491), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [422530] = 14,
    ACTIONS(11057), 1,
      sym_keyword_primary,
    ACTIONS(11059), 1,
      sym_keyword_as,
    ACTIONS(11061), 1,
      sym_keyword_constraint,
    ACTIONS(11063), 1,
      sym_keyword_not,
    ACTIONS(11067), 1,
      sym_keyword_generated,
    ACTIONS(11069), 1,
      sym_keyword_default,
    ACTIONS(11071), 1,
      sym_keyword_references,
    ACTIONS(11073), 1,
      sym_keyword_check,
    ACTIONS(11075), 1,
      sym_keyword_comment,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11055), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(11079), 5,
      sym_keyword_auto_increment,
      sym_keyword_unique,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_null,
    ACTIONS(11077), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_first,
      sym_keyword_after,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(6495), 8,
      sym__not_null,
      sym__primary_key,
      sym_direction,
      sym__column_comment,
      sym__column_constraint,
      sym__check_constraint,
      sym__default_expression,
      aux_sym_column_definition_repeat1,
  [422591] = 20,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11045), 1,
      sym_keyword_as,
    ACTIONS(11047), 1,
      sym_keyword_begin,
    STATE(6566), 1,
      sym_function_body,
    STATE(12468), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6598), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [422664] = 20,
    ACTIONS(11013), 1,
      sym_keyword_as,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11017), 1,
      sym_keyword_begin,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    STATE(6592), 1,
      sym_function_body,
    STATE(13471), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6598), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [422737] = 19,
    ACTIONS(8878), 1,
      sym_keyword_cross,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    ACTIONS(9766), 1,
      sym_keyword_left,
    ACTIONS(9770), 1,
      sym_keyword_inner,
    ACTIONS(9772), 1,
      sym_keyword_join,
    ACTIONS(9774), 1,
      sym_keyword_natural,
    ACTIONS(9776), 1,
      sym_keyword_where,
    ACTIONS(9778), 1,
      sym_keyword_order,
    ACTIONS(9780), 1,
      sym_keyword_group,
    STATE(7084), 1,
      sym_where,
    STATE(7320), 1,
      sym_group_by,
    STATE(7391), 1,
      sym_order_by,
    STATE(7594), 1,
      sym_window_clause,
    STATE(7693), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9768), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6523), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9046), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [422808] = 14,
    ACTIONS(11086), 1,
      sym_keyword_primary,
    ACTIONS(11089), 1,
      sym_keyword_as,
    ACTIONS(11092), 1,
      sym_keyword_constraint,
    ACTIONS(11095), 1,
      sym_keyword_not,
    ACTIONS(11101), 1,
      sym_keyword_generated,
    ACTIONS(11104), 1,
      sym_keyword_default,
    ACTIONS(11107), 1,
      sym_keyword_references,
    ACTIONS(11110), 1,
      sym_keyword_check,
    ACTIONS(11113), 1,
      sym_keyword_comment,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11083), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(11098), 5,
      sym_keyword_auto_increment,
      sym_keyword_unique,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_null,
    ACTIONS(11081), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_first,
      sym_keyword_after,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(6504), 8,
      sym__not_null,
      sym__primary_key,
      sym_direction,
      sym__column_comment,
      sym__column_constraint,
      sym__check_constraint,
      sym__default_expression,
      aux_sym_column_definition_repeat1,
  [422869] = 20,
    ACTIONS(11013), 1,
      sym_keyword_as,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11017), 1,
      sym_keyword_begin,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    STATE(6575), 1,
      sym_function_body,
    STATE(13471), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6598), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [422942] = 20,
    ACTIONS(11013), 1,
      sym_keyword_as,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11017), 1,
      sym_keyword_begin,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    STATE(6602), 1,
      sym_function_body,
    STATE(13471), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6522), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [423015] = 20,
    ACTIONS(11013), 1,
      sym_keyword_as,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11017), 1,
      sym_keyword_begin,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    STATE(6596), 1,
      sym_function_body,
    STATE(13471), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6598), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [423088] = 20,
    ACTIONS(11013), 1,
      sym_keyword_as,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11017), 1,
      sym_keyword_begin,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    STATE(6599), 1,
      sym_function_body,
    STATE(13471), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6502), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [423161] = 22,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10709), 1,
      sym_keyword_partition,
    ACTIONS(10715), 1,
      sym_keyword_collate,
    ACTIONS(10717), 1,
      sym_keyword_engine,
    ACTIONS(10719), 1,
      sym_keyword_default,
    ACTIONS(10721), 1,
      sym_keyword_with,
    ACTIONS(10723), 1,
      sym_keyword_without,
    ACTIONS(10725), 1,
      sym_keyword_row,
    ACTIONS(10727), 1,
      sym_keyword_stored,
    ACTIONS(10729), 1,
      sym_keyword_tblproperties,
    ACTIONS(10731), 1,
      sym_keyword_location,
    ACTIONS(10733), 1,
      sym_keyword_partitioned,
    ACTIONS(10735), 1,
      sym_keyword_sort,
    ACTIONS(10954), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14060), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6110), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [423238] = 20,
    ACTIONS(11013), 1,
      sym_keyword_as,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11017), 1,
      sym_keyword_begin,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    STATE(6582), 1,
      sym_function_body,
    STATE(13471), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6598), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [423311] = 20,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11045), 1,
      sym_keyword_as,
    ACTIONS(11047), 1,
      sym_keyword_begin,
    STATE(6540), 1,
      sym_function_body,
    STATE(12468), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6598), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [423384] = 20,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11045), 1,
      sym_keyword_as,
    ACTIONS(11047), 1,
      sym_keyword_begin,
    STATE(6569), 1,
      sym_function_body,
    STATE(12468), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6598), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [423457] = 20,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11045), 1,
      sym_keyword_as,
    ACTIONS(11047), 1,
      sym_keyword_begin,
    STATE(6546), 1,
      sym_function_body,
    STATE(12468), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6526), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [423530] = 19,
    ACTIONS(8878), 1,
      sym_keyword_cross,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    ACTIONS(9766), 1,
      sym_keyword_left,
    ACTIONS(9770), 1,
      sym_keyword_inner,
    ACTIONS(9772), 1,
      sym_keyword_join,
    ACTIONS(9774), 1,
      sym_keyword_natural,
    ACTIONS(9776), 1,
      sym_keyword_where,
    ACTIONS(9778), 1,
      sym_keyword_order,
    ACTIONS(9780), 1,
      sym_keyword_group,
    STATE(7087), 1,
      sym_where,
    STATE(7316), 1,
      sym_group_by,
    STATE(7387), 1,
      sym_order_by,
    STATE(7587), 1,
      sym_window_clause,
    STATE(7684), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9768), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6700), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10958), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [423601] = 20,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11045), 1,
      sym_keyword_as,
    ACTIONS(11047), 1,
      sym_keyword_begin,
    STATE(6560), 1,
      sym_function_body,
    STATE(12468), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6598), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [423674] = 20,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11045), 1,
      sym_keyword_as,
    ACTIONS(11047), 1,
      sym_keyword_begin,
    STATE(6551), 1,
      sym_function_body,
    STATE(12468), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6512), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [423747] = 20,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11045), 1,
      sym_keyword_as,
    ACTIONS(11047), 1,
      sym_keyword_begin,
    STATE(6566), 1,
      sym_function_body,
    STATE(12468), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6496), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [423820] = 20,
    ACTIONS(11013), 1,
      sym_keyword_as,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11017), 1,
      sym_keyword_begin,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    STATE(6618), 1,
      sym_function_body,
    STATE(13471), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6598), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [423893] = 20,
    ACTIONS(11013), 1,
      sym_keyword_as,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11017), 1,
      sym_keyword_begin,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    STATE(6589), 1,
      sym_function_body,
    STATE(13471), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6510), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [423966] = 22,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10709), 1,
      sym_keyword_partition,
    ACTIONS(10715), 1,
      sym_keyword_collate,
    ACTIONS(10717), 1,
      sym_keyword_engine,
    ACTIONS(10719), 1,
      sym_keyword_default,
    ACTIONS(10721), 1,
      sym_keyword_with,
    ACTIONS(10723), 1,
      sym_keyword_without,
    ACTIONS(10725), 1,
      sym_keyword_row,
    ACTIONS(10727), 1,
      sym_keyword_stored,
    ACTIONS(10729), 1,
      sym_keyword_tblproperties,
    ACTIONS(10731), 1,
      sym_keyword_location,
    ACTIONS(10733), 1,
      sym_keyword_partitioned,
    ACTIONS(10735), 1,
      sym_keyword_sort,
    ACTIONS(10999), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14060), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6110), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [424043] = 20,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11045), 1,
      sym_keyword_as,
    ACTIONS(11047), 1,
      sym_keyword_begin,
    STATE(6557), 1,
      sym_function_body,
    STATE(12468), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6483), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [424116] = 20,
    ACTIONS(11013), 1,
      sym_keyword_as,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11017), 1,
      sym_keyword_begin,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    STATE(6625), 1,
      sym_function_body,
    STATE(13471), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6598), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [424189] = 19,
    ACTIONS(8878), 1,
      sym_keyword_cross,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    ACTIONS(9766), 1,
      sym_keyword_left,
    ACTIONS(9770), 1,
      sym_keyword_inner,
    ACTIONS(9772), 1,
      sym_keyword_join,
    ACTIONS(9774), 1,
      sym_keyword_natural,
    ACTIONS(9776), 1,
      sym_keyword_where,
    ACTIONS(9778), 1,
      sym_keyword_order,
    ACTIONS(9780), 1,
      sym_keyword_group,
    STATE(7085), 1,
      sym_where,
    STATE(7319), 1,
      sym_group_by,
    STATE(7412), 1,
      sym_order_by,
    STATE(7590), 1,
      sym_window_clause,
    STATE(7733), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9768), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6700), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10960), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [424260] = 20,
    ACTIONS(11013), 1,
      sym_keyword_as,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11017), 1,
      sym_keyword_begin,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    STATE(6588), 1,
      sym_function_body,
    STATE(13471), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6505), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [424333] = 20,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11045), 1,
      sym_keyword_as,
    ACTIONS(11047), 1,
      sym_keyword_begin,
    STATE(6564), 1,
      sym_function_body,
    STATE(12468), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6501), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [424406] = 20,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11023), 1,
      sym_keyword_return,
    ACTIONS(11025), 1,
      sym_keyword_language,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11039), 1,
      sym_keyword_support,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11045), 1,
      sym_keyword_as,
    ACTIONS(11047), 1,
      sym_keyword_begin,
    STATE(6535), 1,
      sym_function_body,
    STATE(12468), 1,
      sym__function_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6598), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [424479] = 22,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10709), 1,
      sym_keyword_partition,
    ACTIONS(10715), 1,
      sym_keyword_collate,
    ACTIONS(10717), 1,
      sym_keyword_engine,
    ACTIONS(10719), 1,
      sym_keyword_default,
    ACTIONS(10721), 1,
      sym_keyword_with,
    ACTIONS(10723), 1,
      sym_keyword_without,
    ACTIONS(10725), 1,
      sym_keyword_row,
    ACTIONS(10727), 1,
      sym_keyword_stored,
    ACTIONS(10729), 1,
      sym_keyword_tblproperties,
    ACTIONS(10731), 1,
      sym_keyword_location,
    ACTIONS(10733), 1,
      sym_keyword_partitioned,
    ACTIONS(10735), 1,
      sym_keyword_sort,
    ACTIONS(11116), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14060), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6110), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [424556] = 22,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10709), 1,
      sym_keyword_partition,
    ACTIONS(10715), 1,
      sym_keyword_collate,
    ACTIONS(10717), 1,
      sym_keyword_engine,
    ACTIONS(10719), 1,
      sym_keyword_default,
    ACTIONS(10721), 1,
      sym_keyword_with,
    ACTIONS(10723), 1,
      sym_keyword_without,
    ACTIONS(10725), 1,
      sym_keyword_row,
    ACTIONS(10727), 1,
      sym_keyword_stored,
    ACTIONS(10729), 1,
      sym_keyword_tblproperties,
    ACTIONS(10731), 1,
      sym_keyword_location,
    ACTIONS(10733), 1,
      sym_keyword_partitioned,
    ACTIONS(10735), 1,
      sym_keyword_sort,
    ACTIONS(11118), 1,
      sym_keyword_as,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14060), 2,
      sym__literal_string,
      sym_identifier,
    STATE(6110), 9,
      sym__table_settings,
      sym_storage_parameters,
      sym_storage_location,
      sym_row_format,
      sym_table_sort,
      sym_table_partition,
      sym_stored_as,
      sym_table_option,
      aux_sym_create_table_repeat1,
  [424633] = 7,
    ACTIONS(123), 1,
      anon_sym_LPAREN,
    ACTIONS(2853), 1,
      anon_sym_DOT,
    ACTIONS(3649), 1,
      aux_sym__single_quote_string_token1,
    STATE(2094), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2851), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(2849), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [424679] = 3,
    ACTIONS(11122), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11120), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [424717] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11126), 1,
      sym_keyword_language,
    ACTIONS(11128), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11124), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6561), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [424781] = 19,
    ACTIONS(9108), 1,
      sym_keyword_cross,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10044), 1,
      sym_keyword_left,
    ACTIONS(10048), 1,
      sym_keyword_inner,
    ACTIONS(10050), 1,
      sym_keyword_join,
    ACTIONS(10052), 1,
      sym_keyword_natural,
    ACTIONS(10054), 1,
      sym_keyword_where,
    ACTIONS(10056), 1,
      sym_keyword_order,
    ACTIONS(10058), 1,
      sym_keyword_group,
    STATE(7243), 1,
      sym_where,
    STATE(7393), 1,
      sym_group_by,
    STATE(7513), 1,
      sym_order_by,
    STATE(7705), 1,
      sym_window_clause,
    STATE(7781), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10046), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6567), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8938), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [424851] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11130), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [424887] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11126), 1,
      sym_keyword_language,
    ACTIONS(11128), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11132), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6561), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [424951] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11126), 1,
      sym_keyword_language,
    ACTIONS(11128), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11134), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6570), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [425015] = 4,
    ACTIONS(11138), 1,
      anon_sym_COMMA,
    STATE(6536), 1,
      aux_sym__mysql_update_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11136), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [425055] = 3,
    ACTIONS(11143), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11141), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [425093] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2052), 5,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(2054), 24,
      sym_keyword_set,
      sym_keyword_partition,
      sym_keyword_alter,
      sym_keyword_change,
      sym_keyword_modify,
      sym_keyword_drop,
      sym_keyword_add,
      sym_keyword_column,
      sym_keyword_as,
      sym_keyword_if,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_rename,
      sym_keyword_owner,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [425131] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11126), 1,
      sym_keyword_language,
    ACTIONS(11128), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11145), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6561), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [425195] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11126), 1,
      sym_keyword_language,
    ACTIONS(11128), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11147), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6544), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [425259] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11126), 1,
      sym_keyword_language,
    ACTIONS(11128), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11147), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6561), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [425323] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11126), 1,
      sym_keyword_language,
    ACTIONS(11128), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11149), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6561), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [425387] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11126), 1,
      sym_keyword_language,
    ACTIONS(11128), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11151), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6562), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [425451] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11126), 1,
      sym_keyword_language,
    ACTIONS(11128), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11153), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6561), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [425515] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11126), 1,
      sym_keyword_language,
    ACTIONS(11128), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11151), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6541), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [425579] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11126), 1,
      sym_keyword_language,
    ACTIONS(11128), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11155), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6549), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [425643] = 3,
    ACTIONS(11159), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11157), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_collate,
      sym_keyword_with,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [425681] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11126), 1,
      sym_keyword_language,
    ACTIONS(11128), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11153), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6561), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [425745] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11126), 1,
      sym_keyword_language,
    ACTIONS(11128), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11134), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6561), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [425809] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11161), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [425845] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11126), 1,
      sym_keyword_language,
    ACTIONS(11128), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11163), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6542), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [425909] = 19,
    ACTIONS(9108), 1,
      sym_keyword_cross,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10044), 1,
      sym_keyword_left,
    ACTIONS(10048), 1,
      sym_keyword_inner,
    ACTIONS(10050), 1,
      sym_keyword_join,
    ACTIONS(10052), 1,
      sym_keyword_natural,
    ACTIONS(10054), 1,
      sym_keyword_where,
    ACTIONS(10056), 1,
      sym_keyword_order,
    ACTIONS(10058), 1,
      sym_keyword_group,
    STATE(7243), 1,
      sym_where,
    STATE(7393), 1,
      sym_group_by,
    STATE(7513), 1,
      sym_order_by,
    STATE(7705), 1,
      sym_window_clause,
    STATE(7781), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10046), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6709), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(8938), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [425979] = 19,
    ACTIONS(9108), 1,
      sym_keyword_cross,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10044), 1,
      sym_keyword_left,
    ACTIONS(10048), 1,
      sym_keyword_inner,
    ACTIONS(10050), 1,
      sym_keyword_join,
    ACTIONS(10052), 1,
      sym_keyword_natural,
    ACTIONS(10054), 1,
      sym_keyword_where,
    ACTIONS(10056), 1,
      sym_keyword_order,
    ACTIONS(10058), 1,
      sym_keyword_group,
    STATE(7244), 1,
      sym_where,
    STATE(7390), 1,
      sym_group_by,
    STATE(7565), 1,
      sym_order_by,
    STATE(7690), 1,
      sym_window_clause,
    STATE(7884), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10046), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6572), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9046), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [426049] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11126), 1,
      sym_keyword_language,
    ACTIONS(11128), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11165), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6561), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [426113] = 19,
    ACTIONS(9108), 1,
      sym_keyword_cross,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10044), 1,
      sym_keyword_left,
    ACTIONS(10048), 1,
      sym_keyword_inner,
    ACTIONS(10050), 1,
      sym_keyword_join,
    ACTIONS(10052), 1,
      sym_keyword_natural,
    ACTIONS(10054), 1,
      sym_keyword_where,
    ACTIONS(10056), 1,
      sym_keyword_order,
    ACTIONS(10058), 1,
      sym_keyword_group,
    STATE(7237), 1,
      sym_where,
    STATE(7378), 1,
      sym_group_by,
    STATE(7529), 1,
      sym_order_by,
    STATE(7671), 1,
      sym_window_clause,
    STATE(7863), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10046), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6709), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10958), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [426183] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11126), 1,
      sym_keyword_language,
    ACTIONS(11128), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11167), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6561), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [426247] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11126), 1,
      sym_keyword_language,
    ACTIONS(11128), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11169), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6554), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [426311] = 14,
    ACTIONS(11173), 1,
      sym_keyword_primary,
    ACTIONS(11175), 1,
      sym_keyword_as,
    ACTIONS(11177), 1,
      sym_keyword_constraint,
    ACTIONS(11179), 1,
      sym_keyword_not,
    ACTIONS(11183), 1,
      sym_keyword_generated,
    ACTIONS(11185), 1,
      sym_keyword_default,
    ACTIONS(11187), 1,
      sym_keyword_references,
    ACTIONS(11189), 1,
      sym_keyword_check,
    ACTIONS(11191), 1,
      sym_keyword_comment,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11171), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(11077), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_first,
      sym_keyword_after,
      anon_sym_COMMA,
    ACTIONS(11181), 5,
      sym_keyword_auto_increment,
      sym_keyword_unique,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_null,
    STATE(6563), 8,
      sym__not_null,
      sym__primary_key,
      sym_direction,
      sym__column_comment,
      sym__column_constraint,
      sym__check_constraint,
      sym__default_expression,
      aux_sym_column_definition_repeat1,
  [426371] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11161), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_using,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [426407] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11126), 1,
      sym_keyword_language,
    ACTIONS(11128), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11147), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6548), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [426471] = 16,
    ACTIONS(11195), 1,
      sym_keyword_not,
    ACTIONS(11198), 1,
      sym_keyword_rows,
    ACTIONS(11201), 1,
      sym_keyword_returns,
    ACTIONS(11204), 1,
      sym_keyword_language,
    ACTIONS(11210), 1,
      sym_keyword_leakproof,
    ACTIONS(11213), 1,
      sym_keyword_parallel,
    ACTIONS(11216), 1,
      sym_keyword_called,
    ACTIONS(11219), 1,
      sym_keyword_strict,
    ACTIONS(11222), 1,
      sym_keyword_cost,
    ACTIONS(11225), 1,
      sym_keyword_support,
    ACTIONS(11228), 1,
      sym_keyword_security,
    ACTIONS(11231), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11207), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11193), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6561), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [426535] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11126), 1,
      sym_keyword_language,
    ACTIONS(11128), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11147), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6561), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [426599] = 14,
    ACTIONS(11173), 1,
      sym_keyword_primary,
    ACTIONS(11175), 1,
      sym_keyword_as,
    ACTIONS(11177), 1,
      sym_keyword_constraint,
    ACTIONS(11179), 1,
      sym_keyword_not,
    ACTIONS(11183), 1,
      sym_keyword_generated,
    ACTIONS(11185), 1,
      sym_keyword_default,
    ACTIONS(11187), 1,
      sym_keyword_references,
    ACTIONS(11189), 1,
      sym_keyword_check,
    ACTIONS(11191), 1,
      sym_keyword_comment,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11171), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(11053), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_first,
      sym_keyword_after,
      anon_sym_COMMA,
    ACTIONS(11234), 5,
      sym_keyword_auto_increment,
      sym_keyword_unique,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_null,
    STATE(6568), 8,
      sym__not_null,
      sym__primary_key,
      sym_direction,
      sym__column_comment,
      sym__column_constraint,
      sym__check_constraint,
      sym__default_expression,
      aux_sym_column_definition_repeat1,
  [426659] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11126), 1,
      sym_keyword_language,
    ACTIONS(11128), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11165), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6539), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [426723] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11126), 1,
      sym_keyword_language,
    ACTIONS(11128), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11167), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6534), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [426787] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11126), 1,
      sym_keyword_language,
    ACTIONS(11128), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11145), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6556), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [426851] = 19,
    ACTIONS(9108), 1,
      sym_keyword_cross,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10044), 1,
      sym_keyword_left,
    ACTIONS(10048), 1,
      sym_keyword_inner,
    ACTIONS(10050), 1,
      sym_keyword_join,
    ACTIONS(10052), 1,
      sym_keyword_natural,
    ACTIONS(10054), 1,
      sym_keyword_where,
    ACTIONS(10056), 1,
      sym_keyword_order,
    ACTIONS(10058), 1,
      sym_keyword_group,
    STATE(7244), 1,
      sym_where,
    STATE(7390), 1,
      sym_group_by,
    STATE(7565), 1,
      sym_order_by,
    STATE(7690), 1,
      sym_window_clause,
    STATE(7884), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10046), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6709), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(9046), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [426921] = 14,
    ACTIONS(11239), 1,
      sym_keyword_primary,
    ACTIONS(11242), 1,
      sym_keyword_as,
    ACTIONS(11245), 1,
      sym_keyword_constraint,
    ACTIONS(11248), 1,
      sym_keyword_not,
    ACTIONS(11254), 1,
      sym_keyword_generated,
    ACTIONS(11257), 1,
      sym_keyword_default,
    ACTIONS(11260), 1,
      sym_keyword_references,
    ACTIONS(11263), 1,
      sym_keyword_check,
    ACTIONS(11266), 1,
      sym_keyword_comment,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11236), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(11081), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_first,
      sym_keyword_after,
      anon_sym_COMMA,
    ACTIONS(11251), 5,
      sym_keyword_auto_increment,
      sym_keyword_unique,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_null,
    STATE(6568), 8,
      sym__not_null,
      sym__primary_key,
      sym_direction,
      sym__column_comment,
      sym__column_constraint,
      sym__check_constraint,
      sym__default_expression,
      aux_sym_column_definition_repeat1,
  [426981] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11126), 1,
      sym_keyword_language,
    ACTIONS(11128), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11149), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6531), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [427045] = 16,
    ACTIONS(11015), 1,
      sym_keyword_not,
    ACTIONS(11019), 1,
      sym_keyword_rows,
    ACTIONS(11021), 1,
      sym_keyword_returns,
    ACTIONS(11029), 1,
      sym_keyword_leakproof,
    ACTIONS(11031), 1,
      sym_keyword_parallel,
    ACTIONS(11033), 1,
      sym_keyword_called,
    ACTIONS(11035), 1,
      sym_keyword_strict,
    ACTIONS(11037), 1,
      sym_keyword_cost,
    ACTIONS(11041), 1,
      sym_keyword_security,
    ACTIONS(11043), 1,
      sym_keyword_external,
    ACTIONS(11126), 1,
      sym_keyword_language,
    ACTIONS(11128), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11027), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    ACTIONS(11269), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(6561), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [427109] = 19,
    ACTIONS(9108), 1,
      sym_keyword_cross,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10044), 1,
      sym_keyword_left,
    ACTIONS(10048), 1,
      sym_keyword_inner,
    ACTIONS(10050), 1,
      sym_keyword_join,
    ACTIONS(10052), 1,
      sym_keyword_natural,
    ACTIONS(10054), 1,
      sym_keyword_where,
    ACTIONS(10056), 1,
      sym_keyword_order,
    ACTIONS(10058), 1,
      sym_keyword_group,
    STATE(7148), 1,
      sym_where,
    STATE(7388), 1,
      sym_group_by,
    STATE(7500), 1,
      sym_order_by,
    STATE(7685), 1,
      sym_window_clause,
    STATE(7825), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10046), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6555), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10960), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [427179] = 19,
    ACTIONS(9108), 1,
      sym_keyword_cross,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10044), 1,
      sym_keyword_left,
    ACTIONS(10048), 1,
      sym_keyword_inner,
    ACTIONS(10050), 1,
      sym_keyword_join,
    ACTIONS(10052), 1,
      sym_keyword_natural,
    ACTIONS(10054), 1,
      sym_keyword_where,
    ACTIONS(10056), 1,
      sym_keyword_order,
    ACTIONS(10058), 1,
      sym_keyword_group,
    STATE(7148), 1,
      sym_where,
    STATE(7388), 1,
      sym_group_by,
    STATE(7500), 1,
      sym_order_by,
    STATE(7685), 1,
      sym_window_clause,
    STATE(7825), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10046), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6709), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(10960), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [427249] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9048), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3503), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [427288] = 4,
    ACTIONS(11271), 1,
      anon_sym_LPAREN,
    STATE(6658), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11003), 26,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
  [427327] = 16,
    ACTIONS(11273), 1,
      sym_keyword_not,
    ACTIONS(11275), 1,
      sym_keyword_rows,
    ACTIONS(11277), 1,
      sym_keyword_returns,
    ACTIONS(11279), 1,
      sym_keyword_language,
    ACTIONS(11283), 1,
      sym_keyword_leakproof,
    ACTIONS(11285), 1,
      sym_keyword_parallel,
    ACTIONS(11287), 1,
      sym_keyword_called,
    ACTIONS(11289), 1,
      sym_keyword_strict,
    ACTIONS(11291), 1,
      sym_keyword_cost,
    ACTIONS(11293), 1,
      sym_keyword_support,
    ACTIONS(11295), 1,
      sym_keyword_security,
    ACTIONS(11297), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11149), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11281), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6579), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [427390] = 16,
    ACTIONS(11273), 1,
      sym_keyword_not,
    ACTIONS(11275), 1,
      sym_keyword_rows,
    ACTIONS(11277), 1,
      sym_keyword_returns,
    ACTIONS(11279), 1,
      sym_keyword_language,
    ACTIONS(11283), 1,
      sym_keyword_leakproof,
    ACTIONS(11285), 1,
      sym_keyword_parallel,
    ACTIONS(11287), 1,
      sym_keyword_called,
    ACTIONS(11289), 1,
      sym_keyword_strict,
    ACTIONS(11291), 1,
      sym_keyword_cost,
    ACTIONS(11293), 1,
      sym_keyword_support,
    ACTIONS(11295), 1,
      sym_keyword_security,
    ACTIONS(11297), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11153), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11281), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6597), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [427453] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8914), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3503), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [427492] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10150), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3503), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [427531] = 16,
    ACTIONS(11273), 1,
      sym_keyword_not,
    ACTIONS(11275), 1,
      sym_keyword_rows,
    ACTIONS(11277), 1,
      sym_keyword_returns,
    ACTIONS(11279), 1,
      sym_keyword_language,
    ACTIONS(11283), 1,
      sym_keyword_leakproof,
    ACTIONS(11285), 1,
      sym_keyword_parallel,
    ACTIONS(11287), 1,
      sym_keyword_called,
    ACTIONS(11289), 1,
      sym_keyword_strict,
    ACTIONS(11291), 1,
      sym_keyword_cost,
    ACTIONS(11293), 1,
      sym_keyword_support,
    ACTIONS(11295), 1,
      sym_keyword_security,
    ACTIONS(11297), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11124), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11281), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6597), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [427594] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9117), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3503), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [427633] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8994), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3503), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [427672] = 16,
    ACTIONS(11273), 1,
      sym_keyword_not,
    ACTIONS(11275), 1,
      sym_keyword_rows,
    ACTIONS(11277), 1,
      sym_keyword_returns,
    ACTIONS(11279), 1,
      sym_keyword_language,
    ACTIONS(11283), 1,
      sym_keyword_leakproof,
    ACTIONS(11285), 1,
      sym_keyword_parallel,
    ACTIONS(11287), 1,
      sym_keyword_called,
    ACTIONS(11289), 1,
      sym_keyword_strict,
    ACTIONS(11291), 1,
      sym_keyword_cost,
    ACTIONS(11293), 1,
      sym_keyword_support,
    ACTIONS(11295), 1,
      sym_keyword_security,
    ACTIONS(11297), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11134), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11281), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6626), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [427735] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10182), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3503), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [427774] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10180), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3503), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [427813] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8910), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3503), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [427852] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10163), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3503), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [427891] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10167), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3503), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [427930] = 16,
    ACTIONS(11273), 1,
      sym_keyword_not,
    ACTIONS(11275), 1,
      sym_keyword_rows,
    ACTIONS(11277), 1,
      sym_keyword_returns,
    ACTIONS(11279), 1,
      sym_keyword_language,
    ACTIONS(11283), 1,
      sym_keyword_leakproof,
    ACTIONS(11285), 1,
      sym_keyword_parallel,
    ACTIONS(11287), 1,
      sym_keyword_called,
    ACTIONS(11289), 1,
      sym_keyword_strict,
    ACTIONS(11291), 1,
      sym_keyword_cost,
    ACTIONS(11293), 1,
      sym_keyword_support,
    ACTIONS(11295), 1,
      sym_keyword_security,
    ACTIONS(11297), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11163), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11281), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6611), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [427993] = 16,
    ACTIONS(11273), 1,
      sym_keyword_not,
    ACTIONS(11275), 1,
      sym_keyword_rows,
    ACTIONS(11277), 1,
      sym_keyword_returns,
    ACTIONS(11279), 1,
      sym_keyword_language,
    ACTIONS(11283), 1,
      sym_keyword_leakproof,
    ACTIONS(11285), 1,
      sym_keyword_parallel,
    ACTIONS(11287), 1,
      sym_keyword_called,
    ACTIONS(11289), 1,
      sym_keyword_strict,
    ACTIONS(11291), 1,
      sym_keyword_cost,
    ACTIONS(11293), 1,
      sym_keyword_support,
    ACTIONS(11295), 1,
      sym_keyword_security,
    ACTIONS(11297), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11155), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11281), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6614), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [428056] = 4,
    ACTIONS(6935), 1,
      sym_keyword_over,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3453), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3451), 22,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [428095] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8902), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3503), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [428134] = 16,
    ACTIONS(11273), 1,
      sym_keyword_not,
    ACTIONS(11275), 1,
      sym_keyword_rows,
    ACTIONS(11277), 1,
      sym_keyword_returns,
    ACTIONS(11279), 1,
      sym_keyword_language,
    ACTIONS(11283), 1,
      sym_keyword_leakproof,
    ACTIONS(11285), 1,
      sym_keyword_parallel,
    ACTIONS(11287), 1,
      sym_keyword_called,
    ACTIONS(11289), 1,
      sym_keyword_strict,
    ACTIONS(11291), 1,
      sym_keyword_cost,
    ACTIONS(11293), 1,
      sym_keyword_support,
    ACTIONS(11295), 1,
      sym_keyword_security,
    ACTIONS(11297), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11165), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11281), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6600), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [428197] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10168), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3503), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [428236] = 4,
    ACTIONS(11271), 1,
      anon_sym_LPAREN,
    STATE(6656), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11003), 26,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
  [428275] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9458), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3503), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [428314] = 16,
    ACTIONS(11273), 1,
      sym_keyword_not,
    ACTIONS(11275), 1,
      sym_keyword_rows,
    ACTIONS(11277), 1,
      sym_keyword_returns,
    ACTIONS(11279), 1,
      sym_keyword_language,
    ACTIONS(11283), 1,
      sym_keyword_leakproof,
    ACTIONS(11285), 1,
      sym_keyword_parallel,
    ACTIONS(11287), 1,
      sym_keyword_called,
    ACTIONS(11289), 1,
      sym_keyword_strict,
    ACTIONS(11291), 1,
      sym_keyword_cost,
    ACTIONS(11293), 1,
      sym_keyword_support,
    ACTIONS(11295), 1,
      sym_keyword_security,
    ACTIONS(11297), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11145), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11281), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6620), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [428377] = 16,
    ACTIONS(11299), 1,
      sym_keyword_not,
    ACTIONS(11302), 1,
      sym_keyword_rows,
    ACTIONS(11305), 1,
      sym_keyword_returns,
    ACTIONS(11308), 1,
      sym_keyword_language,
    ACTIONS(11314), 1,
      sym_keyword_leakproof,
    ACTIONS(11317), 1,
      sym_keyword_parallel,
    ACTIONS(11320), 1,
      sym_keyword_called,
    ACTIONS(11323), 1,
      sym_keyword_strict,
    ACTIONS(11326), 1,
      sym_keyword_cost,
    ACTIONS(11329), 1,
      sym_keyword_support,
    ACTIONS(11332), 1,
      sym_keyword_security,
    ACTIONS(11335), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11193), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11311), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6597), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [428440] = 17,
    ACTIONS(11195), 1,
      sym_keyword_not,
    ACTIONS(11198), 1,
      sym_keyword_rows,
    ACTIONS(11201), 1,
      sym_keyword_returns,
    ACTIONS(11210), 1,
      sym_keyword_leakproof,
    ACTIONS(11213), 1,
      sym_keyword_parallel,
    ACTIONS(11216), 1,
      sym_keyword_called,
    ACTIONS(11219), 1,
      sym_keyword_strict,
    ACTIONS(11222), 1,
      sym_keyword_cost,
    ACTIONS(11228), 1,
      sym_keyword_security,
    ACTIONS(11231), 1,
      sym_keyword_external,
    ACTIONS(11338), 1,
      sym_keyword_return,
    ACTIONS(11340), 1,
      sym_keyword_language,
    ACTIONS(11343), 1,
      sym_keyword_support,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11193), 2,
      sym_keyword_as,
      sym_keyword_begin,
    ACTIONS(11207), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6598), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [428505] = 16,
    ACTIONS(11273), 1,
      sym_keyword_not,
    ACTIONS(11275), 1,
      sym_keyword_rows,
    ACTIONS(11277), 1,
      sym_keyword_returns,
    ACTIONS(11279), 1,
      sym_keyword_language,
    ACTIONS(11283), 1,
      sym_keyword_leakproof,
    ACTIONS(11285), 1,
      sym_keyword_parallel,
    ACTIONS(11287), 1,
      sym_keyword_called,
    ACTIONS(11289), 1,
      sym_keyword_strict,
    ACTIONS(11291), 1,
      sym_keyword_cost,
    ACTIONS(11293), 1,
      sym_keyword_support,
    ACTIONS(11295), 1,
      sym_keyword_security,
    ACTIONS(11297), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11169), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11281), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6624), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [428568] = 16,
    ACTIONS(11273), 1,
      sym_keyword_not,
    ACTIONS(11275), 1,
      sym_keyword_rows,
    ACTIONS(11277), 1,
      sym_keyword_returns,
    ACTIONS(11279), 1,
      sym_keyword_language,
    ACTIONS(11283), 1,
      sym_keyword_leakproof,
    ACTIONS(11285), 1,
      sym_keyword_parallel,
    ACTIONS(11287), 1,
      sym_keyword_called,
    ACTIONS(11289), 1,
      sym_keyword_strict,
    ACTIONS(11291), 1,
      sym_keyword_cost,
    ACTIONS(11293), 1,
      sym_keyword_support,
    ACTIONS(11295), 1,
      sym_keyword_security,
    ACTIONS(11297), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11145), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11281), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6597), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [428631] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9454), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3503), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [428670] = 16,
    ACTIONS(11273), 1,
      sym_keyword_not,
    ACTIONS(11275), 1,
      sym_keyword_rows,
    ACTIONS(11277), 1,
      sym_keyword_returns,
    ACTIONS(11279), 1,
      sym_keyword_language,
    ACTIONS(11283), 1,
      sym_keyword_leakproof,
    ACTIONS(11285), 1,
      sym_keyword_parallel,
    ACTIONS(11287), 1,
      sym_keyword_called,
    ACTIONS(11289), 1,
      sym_keyword_strict,
    ACTIONS(11291), 1,
      sym_keyword_cost,
    ACTIONS(11293), 1,
      sym_keyword_support,
    ACTIONS(11295), 1,
      sym_keyword_security,
    ACTIONS(11297), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11151), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11281), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6617), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [428733] = 5,
    ACTIONS(11346), 1,
      aux_sym__single_quote_string_token2,
    STATE(6627), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1376), 19,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_cached,
      sym_keyword_uncached,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym_keyword_escaped,
      sym_keyword_lines,
      sym__identifier,
  [428774] = 7,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(11352), 1,
      sym_keyword_as,
    STATE(6738), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(11348), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
    ACTIONS(11350), 20,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [428819] = 16,
    ACTIONS(11273), 1,
      sym_keyword_not,
    ACTIONS(11275), 1,
      sym_keyword_rows,
    ACTIONS(11277), 1,
      sym_keyword_returns,
    ACTIONS(11279), 1,
      sym_keyword_language,
    ACTIONS(11283), 1,
      sym_keyword_leakproof,
    ACTIONS(11285), 1,
      sym_keyword_parallel,
    ACTIONS(11287), 1,
      sym_keyword_called,
    ACTIONS(11289), 1,
      sym_keyword_strict,
    ACTIONS(11291), 1,
      sym_keyword_cost,
    ACTIONS(11293), 1,
      sym_keyword_support,
    ACTIONS(11295), 1,
      sym_keyword_security,
    ACTIONS(11297), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11132), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11281), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6597), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [428882] = 16,
    ACTIONS(11273), 1,
      sym_keyword_not,
    ACTIONS(11275), 1,
      sym_keyword_rows,
    ACTIONS(11277), 1,
      sym_keyword_returns,
    ACTIONS(11279), 1,
      sym_keyword_language,
    ACTIONS(11283), 1,
      sym_keyword_leakproof,
    ACTIONS(11285), 1,
      sym_keyword_parallel,
    ACTIONS(11287), 1,
      sym_keyword_called,
    ACTIONS(11289), 1,
      sym_keyword_strict,
    ACTIONS(11291), 1,
      sym_keyword_cost,
    ACTIONS(11293), 1,
      sym_keyword_support,
    ACTIONS(11295), 1,
      sym_keyword_security,
    ACTIONS(11297), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11153), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11281), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6597), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [428945] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11001), 28,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_LPAREN,
      anon_sym_COMMA,
  [428980] = 5,
    ACTIONS(11354), 1,
      aux_sym__single_quote_string_token2,
    STATE(6603), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1363), 19,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_cached,
      sym_keyword_uncached,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym_keyword_escaped,
      sym_keyword_lines,
      sym__identifier,
  [429021] = 16,
    ACTIONS(11273), 1,
      sym_keyword_not,
    ACTIONS(11275), 1,
      sym_keyword_rows,
    ACTIONS(11277), 1,
      sym_keyword_returns,
    ACTIONS(11279), 1,
      sym_keyword_language,
    ACTIONS(11283), 1,
      sym_keyword_leakproof,
    ACTIONS(11285), 1,
      sym_keyword_parallel,
    ACTIONS(11287), 1,
      sym_keyword_called,
    ACTIONS(11289), 1,
      sym_keyword_strict,
    ACTIONS(11291), 1,
      sym_keyword_cost,
    ACTIONS(11293), 1,
      sym_keyword_support,
    ACTIONS(11295), 1,
      sym_keyword_security,
    ACTIONS(11297), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11151), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11281), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6621), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [429084] = 16,
    ACTIONS(11273), 1,
      sym_keyword_not,
    ACTIONS(11275), 1,
      sym_keyword_rows,
    ACTIONS(11277), 1,
      sym_keyword_returns,
    ACTIONS(11279), 1,
      sym_keyword_language,
    ACTIONS(11283), 1,
      sym_keyword_leakproof,
    ACTIONS(11285), 1,
      sym_keyword_parallel,
    ACTIONS(11287), 1,
      sym_keyword_called,
    ACTIONS(11289), 1,
      sym_keyword_strict,
    ACTIONS(11291), 1,
      sym_keyword_cost,
    ACTIONS(11293), 1,
      sym_keyword_support,
    ACTIONS(11295), 1,
      sym_keyword_security,
    ACTIONS(11297), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11167), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11281), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6605), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [429147] = 16,
    ACTIONS(11273), 1,
      sym_keyword_not,
    ACTIONS(11275), 1,
      sym_keyword_rows,
    ACTIONS(11277), 1,
      sym_keyword_returns,
    ACTIONS(11279), 1,
      sym_keyword_language,
    ACTIONS(11283), 1,
      sym_keyword_leakproof,
    ACTIONS(11285), 1,
      sym_keyword_parallel,
    ACTIONS(11287), 1,
      sym_keyword_called,
    ACTIONS(11289), 1,
      sym_keyword_strict,
    ACTIONS(11291), 1,
      sym_keyword_cost,
    ACTIONS(11293), 1,
      sym_keyword_support,
    ACTIONS(11295), 1,
      sym_keyword_security,
    ACTIONS(11297), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11149), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11281), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6597), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [429210] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9368), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3503), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [429249] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9597), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3503), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [429288] = 16,
    ACTIONS(11273), 1,
      sym_keyword_not,
    ACTIONS(11275), 1,
      sym_keyword_rows,
    ACTIONS(11277), 1,
      sym_keyword_returns,
    ACTIONS(11279), 1,
      sym_keyword_language,
    ACTIONS(11283), 1,
      sym_keyword_leakproof,
    ACTIONS(11285), 1,
      sym_keyword_parallel,
    ACTIONS(11287), 1,
      sym_keyword_called,
    ACTIONS(11289), 1,
      sym_keyword_strict,
    ACTIONS(11291), 1,
      sym_keyword_cost,
    ACTIONS(11293), 1,
      sym_keyword_support,
    ACTIONS(11295), 1,
      sym_keyword_security,
    ACTIONS(11297), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11134), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11281), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6597), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [429351] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9456), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3503), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [429390] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9050), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
    ACTIONS(3503), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 21,
      sym_keyword_when,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [429429] = 16,
    ACTIONS(11273), 1,
      sym_keyword_not,
    ACTIONS(11275), 1,
      sym_keyword_rows,
    ACTIONS(11277), 1,
      sym_keyword_returns,
    ACTIONS(11279), 1,
      sym_keyword_language,
    ACTIONS(11283), 1,
      sym_keyword_leakproof,
    ACTIONS(11285), 1,
      sym_keyword_parallel,
    ACTIONS(11287), 1,
      sym_keyword_called,
    ACTIONS(11289), 1,
      sym_keyword_strict,
    ACTIONS(11291), 1,
      sym_keyword_cost,
    ACTIONS(11293), 1,
      sym_keyword_support,
    ACTIONS(11295), 1,
      sym_keyword_security,
    ACTIONS(11297), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11147), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11281), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6597), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [429492] = 16,
    ACTIONS(11273), 1,
      sym_keyword_not,
    ACTIONS(11275), 1,
      sym_keyword_rows,
    ACTIONS(11277), 1,
      sym_keyword_returns,
    ACTIONS(11279), 1,
      sym_keyword_language,
    ACTIONS(11283), 1,
      sym_keyword_leakproof,
    ACTIONS(11285), 1,
      sym_keyword_parallel,
    ACTIONS(11287), 1,
      sym_keyword_called,
    ACTIONS(11289), 1,
      sym_keyword_strict,
    ACTIONS(11291), 1,
      sym_keyword_cost,
    ACTIONS(11293), 1,
      sym_keyword_support,
    ACTIONS(11295), 1,
      sym_keyword_security,
    ACTIONS(11297), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11147), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11281), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6606), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [429555] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11136), 28,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [429590] = 16,
    ACTIONS(11273), 1,
      sym_keyword_not,
    ACTIONS(11275), 1,
      sym_keyword_rows,
    ACTIONS(11277), 1,
      sym_keyword_returns,
    ACTIONS(11279), 1,
      sym_keyword_language,
    ACTIONS(11283), 1,
      sym_keyword_leakproof,
    ACTIONS(11285), 1,
      sym_keyword_parallel,
    ACTIONS(11287), 1,
      sym_keyword_called,
    ACTIONS(11289), 1,
      sym_keyword_strict,
    ACTIONS(11291), 1,
      sym_keyword_cost,
    ACTIONS(11293), 1,
      sym_keyword_support,
    ACTIONS(11295), 1,
      sym_keyword_security,
    ACTIONS(11297), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11167), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11281), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6597), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [429653] = 16,
    ACTIONS(11273), 1,
      sym_keyword_not,
    ACTIONS(11275), 1,
      sym_keyword_rows,
    ACTIONS(11277), 1,
      sym_keyword_returns,
    ACTIONS(11279), 1,
      sym_keyword_language,
    ACTIONS(11283), 1,
      sym_keyword_leakproof,
    ACTIONS(11285), 1,
      sym_keyword_parallel,
    ACTIONS(11287), 1,
      sym_keyword_called,
    ACTIONS(11289), 1,
      sym_keyword_strict,
    ACTIONS(11291), 1,
      sym_keyword_cost,
    ACTIONS(11293), 1,
      sym_keyword_support,
    ACTIONS(11295), 1,
      sym_keyword_security,
    ACTIONS(11297), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11147), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11281), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6597), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [429716] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10956), 28,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_LPAREN,
      anon_sym_COMMA,
  [429751] = 4,
    ACTIONS(11271), 1,
      anon_sym_LPAREN,
    STATE(6663), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11007), 26,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
  [429790] = 16,
    ACTIONS(11273), 1,
      sym_keyword_not,
    ACTIONS(11275), 1,
      sym_keyword_rows,
    ACTIONS(11277), 1,
      sym_keyword_returns,
    ACTIONS(11279), 1,
      sym_keyword_language,
    ACTIONS(11283), 1,
      sym_keyword_leakproof,
    ACTIONS(11285), 1,
      sym_keyword_parallel,
    ACTIONS(11287), 1,
      sym_keyword_called,
    ACTIONS(11289), 1,
      sym_keyword_strict,
    ACTIONS(11291), 1,
      sym_keyword_cost,
    ACTIONS(11293), 1,
      sym_keyword_support,
    ACTIONS(11295), 1,
      sym_keyword_security,
    ACTIONS(11297), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11165), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11281), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6597), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [429853] = 16,
    ACTIONS(11273), 1,
      sym_keyword_not,
    ACTIONS(11275), 1,
      sym_keyword_rows,
    ACTIONS(11277), 1,
      sym_keyword_returns,
    ACTIONS(11279), 1,
      sym_keyword_language,
    ACTIONS(11283), 1,
      sym_keyword_leakproof,
    ACTIONS(11285), 1,
      sym_keyword_parallel,
    ACTIONS(11287), 1,
      sym_keyword_called,
    ACTIONS(11289), 1,
      sym_keyword_strict,
    ACTIONS(11291), 1,
      sym_keyword_cost,
    ACTIONS(11293), 1,
      sym_keyword_support,
    ACTIONS(11295), 1,
      sym_keyword_security,
    ACTIONS(11297), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11147), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11281), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6576), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [429916] = 16,
    ACTIONS(11273), 1,
      sym_keyword_not,
    ACTIONS(11275), 1,
      sym_keyword_rows,
    ACTIONS(11277), 1,
      sym_keyword_returns,
    ACTIONS(11279), 1,
      sym_keyword_language,
    ACTIONS(11283), 1,
      sym_keyword_leakproof,
    ACTIONS(11285), 1,
      sym_keyword_parallel,
    ACTIONS(11287), 1,
      sym_keyword_called,
    ACTIONS(11289), 1,
      sym_keyword_strict,
    ACTIONS(11291), 1,
      sym_keyword_cost,
    ACTIONS(11293), 1,
      sym_keyword_support,
    ACTIONS(11295), 1,
      sym_keyword_security,
    ACTIONS(11297), 1,
      sym_keyword_external,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11269), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    ACTIONS(11281), 3,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
    STATE(6597), 10,
      sym_function_language,
      sym_function_volatility,
      sym_function_leakproof,
      sym_function_security,
      sym_function_safety,
      sym_function_strictness,
      sym_function_cost,
      sym_function_rows,
      sym_function_support,
      aux_sym_create_function_repeat1,
  [429979] = 5,
    ACTIONS(11356), 1,
      aux_sym__single_quote_string_token2,
    STATE(6627), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1369), 19,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_cached,
      sym_keyword_uncached,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym_keyword_escaped,
      sym_keyword_lines,
      sym__identifier,
  [430020] = 5,
    ACTIONS(11359), 1,
      aux_sym__single_quote_string_token2,
    STATE(6628), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1369), 19,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_cached,
      sym_keyword_uncached,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym_keyword_escaped,
      sym_keyword_lines,
      sym__identifier,
  [430060] = 19,
    ACTIONS(8878), 1,
      sym_keyword_cross,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10767), 1,
      sym_keyword_left,
    ACTIONS(10771), 1,
      sym_keyword_inner,
    ACTIONS(10773), 1,
      sym_keyword_join,
    ACTIONS(10775), 1,
      sym_keyword_natural,
    ACTIONS(10777), 1,
      sym_keyword_where,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(10781), 1,
      sym_keyword_group,
    ACTIONS(10783), 1,
      sym_keyword_window,
    STATE(7391), 1,
      sym_order_by,
    STATE(7435), 1,
      sym_where,
    STATE(7629), 1,
      sym_group_by,
    STATE(7693), 1,
      sym_limit,
    STATE(7917), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10769), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9046), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(6758), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [430128] = 4,
    ACTIONS(11362), 1,
      anon_sym_COMMA,
    STATE(6630), 1,
      aux_sym__mysql_update_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11136), 25,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [430166] = 5,
    ACTIONS(11365), 1,
      aux_sym__single_quote_string_token2,
    STATE(6628), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1376), 19,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_cached,
      sym_keyword_uncached,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym_keyword_escaped,
      sym_keyword_lines,
      sym__identifier,
  [430206] = 19,
    ACTIONS(8878), 1,
      sym_keyword_cross,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10767), 1,
      sym_keyword_left,
    ACTIONS(10771), 1,
      sym_keyword_inner,
    ACTIONS(10773), 1,
      sym_keyword_join,
    ACTIONS(10775), 1,
      sym_keyword_natural,
    ACTIONS(10777), 1,
      sym_keyword_where,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(10781), 1,
      sym_keyword_group,
    ACTIONS(10783), 1,
      sym_keyword_window,
    STATE(7353), 1,
      sym_where,
    STATE(7387), 1,
      sym_order_by,
    STATE(7670), 1,
      sym_group_by,
    STATE(7684), 1,
      sym_limit,
    STATE(7979), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10769), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(10958), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(6758), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [430274] = 19,
    ACTIONS(8878), 1,
      sym_keyword_cross,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10767), 1,
      sym_keyword_left,
    ACTIONS(10771), 1,
      sym_keyword_inner,
    ACTIONS(10773), 1,
      sym_keyword_join,
    ACTIONS(10775), 1,
      sym_keyword_natural,
    ACTIONS(10777), 1,
      sym_keyword_where,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(10781), 1,
      sym_keyword_group,
    ACTIONS(10783), 1,
      sym_keyword_window,
    STATE(7391), 1,
      sym_order_by,
    STATE(7435), 1,
      sym_where,
    STATE(7629), 1,
      sym_group_by,
    STATE(7693), 1,
      sym_limit,
    STATE(7917), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10769), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9046), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(6644), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [430342] = 5,
    ACTIONS(11367), 1,
      sym_keyword_preceding,
    ACTIONS(11369), 1,
      sym_keyword_following,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3581), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3579), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [430382] = 8,
    ACTIONS(2813), 1,
      sym_keyword_as,
    ACTIONS(11371), 1,
      sym_keyword_array,
    ACTIONS(11373), 1,
      anon_sym_LBRACK,
    STATE(288), 1,
      sym_array_size_definition,
    STATE(289), 1,
      sym__array_size_definition,
    STATE(6684), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2811), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [430428] = 8,
    ACTIONS(2880), 1,
      sym_keyword_as,
    ACTIONS(11371), 1,
      sym_keyword_array,
    ACTIONS(11373), 1,
      anon_sym_LBRACK,
    STATE(287), 1,
      sym_array_size_definition,
    STATE(289), 1,
      sym__array_size_definition,
    STATE(6684), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2878), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [430474] = 9,
    ACTIONS(11377), 1,
      sym_keyword_left,
    ACTIONS(11383), 1,
      sym_keyword_inner,
    ACTIONS(11386), 1,
      sym_keyword_cross,
    ACTIONS(11389), 1,
      sym_keyword_join,
    ACTIONS(11392), 1,
      sym_keyword_natural,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11380), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6637), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(11375), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [430522] = 5,
    ACTIONS(11009), 1,
      sym_keyword_preceding,
    ACTIONS(11011), 1,
      sym_keyword_following,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3453), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3451), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [430562] = 19,
    ACTIONS(8878), 1,
      sym_keyword_cross,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10767), 1,
      sym_keyword_left,
    ACTIONS(10771), 1,
      sym_keyword_inner,
    ACTIONS(10773), 1,
      sym_keyword_join,
    ACTIONS(10775), 1,
      sym_keyword_natural,
    ACTIONS(10777), 1,
      sym_keyword_where,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(10781), 1,
      sym_keyword_group,
    ACTIONS(10783), 1,
      sym_keyword_window,
    STATE(7412), 1,
      sym_order_by,
    STATE(7421), 1,
      sym_where,
    STATE(7733), 1,
      sym_limit,
    STATE(7739), 1,
      sym_group_by,
    STATE(8089), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10769), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(10960), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(6632), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [430630] = 7,
    ACTIONS(523), 1,
      sym__identifier,
    ACTIONS(11395), 1,
      sym_keyword_as,
    STATE(6770), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(581), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(11348), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(11350), 20,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [430674] = 19,
    ACTIONS(8878), 1,
      sym_keyword_cross,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10767), 1,
      sym_keyword_left,
    ACTIONS(10771), 1,
      sym_keyword_inner,
    ACTIONS(10773), 1,
      sym_keyword_join,
    ACTIONS(10775), 1,
      sym_keyword_natural,
    ACTIONS(10777), 1,
      sym_keyword_where,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(10781), 1,
      sym_keyword_group,
    ACTIONS(10783), 1,
      sym_keyword_window,
    STATE(7341), 1,
      sym_order_by,
    STATE(7476), 1,
      sym_where,
    STATE(7628), 1,
      sym_group_by,
    STATE(7723), 1,
      sym_limit,
    STATE(7962), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10769), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8938), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(6758), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [430742] = 5,
    ACTIONS(11397), 1,
      aux_sym__single_quote_string_token2,
    STATE(6631), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1363), 19,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_cached,
      sym_keyword_uncached,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym_keyword_escaped,
      sym_keyword_lines,
      sym__identifier,
  [430782] = 19,
    ACTIONS(8878), 1,
      sym_keyword_cross,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10767), 1,
      sym_keyword_left,
    ACTIONS(10771), 1,
      sym_keyword_inner,
    ACTIONS(10773), 1,
      sym_keyword_join,
    ACTIONS(10775), 1,
      sym_keyword_natural,
    ACTIONS(10777), 1,
      sym_keyword_where,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(10781), 1,
      sym_keyword_group,
    ACTIONS(10783), 1,
      sym_keyword_window,
    STATE(7341), 1,
      sym_order_by,
    STATE(7476), 1,
      sym_where,
    STATE(7628), 1,
      sym_group_by,
    STATE(7723), 1,
      sym_limit,
    STATE(7962), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10769), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8938), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(6629), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [430850] = 19,
    ACTIONS(8878), 1,
      sym_keyword_cross,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10767), 1,
      sym_keyword_left,
    ACTIONS(10771), 1,
      sym_keyword_inner,
    ACTIONS(10773), 1,
      sym_keyword_join,
    ACTIONS(10775), 1,
      sym_keyword_natural,
    ACTIONS(10777), 1,
      sym_keyword_where,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(10781), 1,
      sym_keyword_group,
    ACTIONS(10783), 1,
      sym_keyword_window,
    STATE(7412), 1,
      sym_order_by,
    STATE(7421), 1,
      sym_where,
    STATE(7733), 1,
      sym_limit,
    STATE(7739), 1,
      sym_group_by,
    STATE(8089), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10769), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(10960), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(6758), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [430918] = 4,
    ACTIONS(11399), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3453), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3451), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [430955] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1651), 26,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_merge,
      sym_keyword_show,
      sym_keyword_set,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_analyze,
      sym_keyword_explain,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_with,
      sym_keyword_rename,
      sym_keyword_reset,
      sym_keyword_commit,
      sym_keyword_rollback,
      sym_keyword_vacuum,
      sym_keyword_copy,
      sym_keyword_compute,
      sym_keyword_optimize,
      sym_keyword_comment,
      anon_sym_LPAREN,
  [430988] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7034), 26,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
  [431021] = 19,
    ACTIONS(9108), 1,
      sym_keyword_cross,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10983), 1,
      sym_keyword_left,
    ACTIONS(10987), 1,
      sym_keyword_inner,
    ACTIONS(10989), 1,
      sym_keyword_join,
    ACTIONS(10991), 1,
      sym_keyword_natural,
    ACTIONS(10993), 1,
      sym_keyword_where,
    ACTIONS(10995), 1,
      sym_keyword_order,
    ACTIONS(10997), 1,
      sym_keyword_group,
    STATE(7500), 1,
      sym_order_by,
    STATE(7538), 1,
      sym_where,
    STATE(7825), 1,
      sym_limit,
    STATE(7851), 1,
      sym_group_by,
    STATE(8127), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10985), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(10960), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
    STATE(6851), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [431088] = 9,
    ACTIONS(11401), 1,
      sym_keyword_left,
    ACTIONS(11407), 1,
      sym_keyword_inner,
    ACTIONS(11410), 1,
      sym_keyword_cross,
    ACTIONS(11413), 1,
      sym_keyword_join,
    ACTIONS(11416), 1,
      sym_keyword_natural,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11404), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6649), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(11375), 14,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [431135] = 19,
    ACTIONS(9108), 1,
      sym_keyword_cross,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10983), 1,
      sym_keyword_left,
    ACTIONS(10987), 1,
      sym_keyword_inner,
    ACTIONS(10989), 1,
      sym_keyword_join,
    ACTIONS(10991), 1,
      sym_keyword_natural,
    ACTIONS(10993), 1,
      sym_keyword_where,
    ACTIONS(10995), 1,
      sym_keyword_order,
    ACTIONS(10997), 1,
      sym_keyword_group,
    STATE(7551), 1,
      sym_where,
    STATE(7565), 1,
      sym_order_by,
    STATE(7862), 1,
      sym_group_by,
    STATE(7884), 1,
      sym_limit,
    STATE(8137), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10985), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9046), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
    STATE(6851), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [431202] = 4,
    ACTIONS(11419), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3453), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3451), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [431239] = 19,
    ACTIONS(9108), 1,
      sym_keyword_cross,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10983), 1,
      sym_keyword_left,
    ACTIONS(10987), 1,
      sym_keyword_inner,
    ACTIONS(10989), 1,
      sym_keyword_join,
    ACTIONS(10991), 1,
      sym_keyword_natural,
    ACTIONS(10993), 1,
      sym_keyword_where,
    ACTIONS(10995), 1,
      sym_keyword_order,
    ACTIONS(10997), 1,
      sym_keyword_group,
    STATE(7551), 1,
      sym_where,
    STATE(7565), 1,
      sym_order_by,
    STATE(7862), 1,
      sym_group_by,
    STATE(7884), 1,
      sym_limit,
    STATE(8137), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10985), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(9046), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
    STATE(6648), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [431306] = 19,
    ACTIONS(9108), 1,
      sym_keyword_cross,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10983), 1,
      sym_keyword_left,
    ACTIONS(10987), 1,
      sym_keyword_inner,
    ACTIONS(10989), 1,
      sym_keyword_join,
    ACTIONS(10991), 1,
      sym_keyword_natural,
    ACTIONS(10993), 1,
      sym_keyword_where,
    ACTIONS(10995), 1,
      sym_keyword_order,
    ACTIONS(10997), 1,
      sym_keyword_group,
    STATE(7526), 1,
      sym_where,
    STATE(7529), 1,
      sym_order_by,
    STATE(7833), 1,
      sym_group_by,
    STATE(7863), 1,
      sym_limit,
    STATE(8120), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10985), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(10958), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
    STATE(6851), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [431373] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11423), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11421), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [431408] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11136), 26,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
  [431441] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11161), 26,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
  [431474] = 8,
    ACTIONS(2880), 1,
      sym_keyword_as,
    ACTIONS(11425), 1,
      sym_keyword_array,
    ACTIONS(11427), 1,
      anon_sym_LBRACK,
    STATE(913), 1,
      sym__array_size_definition,
    STATE(916), 1,
      sym_array_size_definition,
    STATE(6719), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2878), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [431519] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11161), 26,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
  [431552] = 19,
    ACTIONS(9108), 1,
      sym_keyword_cross,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10983), 1,
      sym_keyword_left,
    ACTIONS(10987), 1,
      sym_keyword_inner,
    ACTIONS(10989), 1,
      sym_keyword_join,
    ACTIONS(10991), 1,
      sym_keyword_natural,
    ACTIONS(10993), 1,
      sym_keyword_where,
    ACTIONS(10995), 1,
      sym_keyword_order,
    ACTIONS(10997), 1,
      sym_keyword_group,
    STATE(7513), 1,
      sym_order_by,
    STATE(7563), 1,
      sym_where,
    STATE(7781), 1,
      sym_limit,
    STATE(7876), 1,
      sym_group_by,
    STATE(8139), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10985), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8938), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
    STATE(6650), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [431619] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3503), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 21,
      sym_keyword_then,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [431654] = 19,
    ACTIONS(9108), 1,
      sym_keyword_cross,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10983), 1,
      sym_keyword_left,
    ACTIONS(10987), 1,
      sym_keyword_inner,
    ACTIONS(10989), 1,
      sym_keyword_join,
    ACTIONS(10991), 1,
      sym_keyword_natural,
    ACTIONS(10993), 1,
      sym_keyword_where,
    ACTIONS(10995), 1,
      sym_keyword_order,
    ACTIONS(10997), 1,
      sym_keyword_group,
    STATE(7513), 1,
      sym_order_by,
    STATE(7563), 1,
      sym_where,
    STATE(7781), 1,
      sym_limit,
    STATE(7876), 1,
      sym_group_by,
    STATE(8139), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10985), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(8938), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
    STATE(6851), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [431721] = 4,
    ACTIONS(11429), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3453), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3451), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [431758] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11130), 26,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
  [431791] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11433), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11431), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [431826] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11437), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11435), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [431861] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11441), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11439), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [431896] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(7151), 26,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_COMMA,
  [431929] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11445), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11443), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [431964] = 8,
    ACTIONS(2813), 1,
      sym_keyword_as,
    ACTIONS(11425), 1,
      sym_keyword_array,
    ACTIONS(11427), 1,
      anon_sym_LBRACK,
    STATE(906), 1,
      sym_array_size_definition,
    STATE(913), 1,
      sym__array_size_definition,
    STATE(6719), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2811), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [432009] = 4,
    ACTIONS(11447), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3453), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3451), 20,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [432046] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11451), 9,
      sym__dollar_quoted_string,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      sym_op_unary_other,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym__decimal_number_token1,
      aux_sym__bit_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11449), 17,
      sym_keyword_cast,
      sym_keyword_case,
      sym_keyword_not,
      sym_keyword_exists,
      sym_keyword_all,
      sym_keyword_any,
      sym_keyword_some,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
      sym_keyword_interval,
      sym_keyword_array,
      sym_parameter,
      anon_sym_DASH,
      aux_sym__integer_token1,
      sym_bang,
      sym__identifier,
  [432081] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1380), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1382), 19,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_cached,
      sym_keyword_uncached,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym_keyword_escaped,
      sym_keyword_lines,
      sym__identifier,
  [432116] = 19,
    ACTIONS(9108), 1,
      sym_keyword_cross,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10983), 1,
      sym_keyword_left,
    ACTIONS(10987), 1,
      sym_keyword_inner,
    ACTIONS(10989), 1,
      sym_keyword_join,
    ACTIONS(10991), 1,
      sym_keyword_natural,
    ACTIONS(10993), 1,
      sym_keyword_where,
    ACTIONS(10995), 1,
      sym_keyword_order,
    ACTIONS(10997), 1,
      sym_keyword_group,
    STATE(7500), 1,
      sym_order_by,
    STATE(7538), 1,
      sym_where,
    STATE(7825), 1,
      sym_limit,
    STATE(7851), 1,
      sym_group_by,
    STATE(8127), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10985), 2,
      sym_keyword_right,
      sym_keyword_full,
    ACTIONS(10960), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
    STATE(6653), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
  [432183] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3503), 5,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_CARET,
    ACTIONS(3501), 21,
      sym_keyword_then,
      sym_keyword_in,
      sym_keyword_and,
      sym_keyword_or,
      sym_keyword_is,
      sym_keyword_not,
      sym_keyword_between,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      sym_keyword_similar,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      sym_op_other,
      anon_sym_PLUS,
      anon_sym_PERCENT,
      anon_sym_BANG_EQ,
      anon_sym_LT_GT,
  [432218] = 21,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1707), 1,
      sym_keyword_update,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(1719), 1,
      sym_keyword_copy,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(6904), 1,
      sym__cte,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(11494), 1,
      sym_update,
    STATE(11495), 1,
      sym_insert,
    STATE(11938), 1,
      sym_delete,
    STATE(14370), 1,
      sym__dml_write,
    STATE(14384), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1705), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(10564), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [432288] = 21,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1707), 1,
      sym_keyword_update,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(1719), 1,
      sym_keyword_copy,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(6904), 1,
      sym__cte,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(11494), 1,
      sym_update,
    STATE(11495), 1,
      sym_insert,
    STATE(11938), 1,
      sym_delete,
    STATE(14740), 1,
      sym__dml_write,
    STATE(14769), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1705), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(10564), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [432358] = 21,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1707), 1,
      sym_keyword_update,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(1719), 1,
      sym_keyword_copy,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(6904), 1,
      sym__cte,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(11494), 1,
      sym_update,
    STATE(11495), 1,
      sym_insert,
    STATE(11938), 1,
      sym_delete,
    STATE(12368), 1,
      sym__dml_read,
    STATE(14026), 1,
      sym__dml_write,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1705), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(10564), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [432428] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11455), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [432460] = 24,
    ACTIONS(11459), 1,
      sym_keyword_table,
    ACTIONS(11461), 1,
      sym_keyword_view,
    ACTIONS(11463), 1,
      sym_keyword_materialized,
    ACTIONS(11465), 1,
      sym_keyword_sequence,
    ACTIONS(11467), 1,
      sym_keyword_constraint,
    ACTIONS(11469), 1,
      sym_keyword_or,
    ACTIONS(11471), 1,
      sym_keyword_index,
    ACTIONS(11473), 1,
      sym_keyword_type,
    ACTIONS(11475), 1,
      sym_keyword_database,
    ACTIONS(11477), 1,
      sym_keyword_schema,
    ACTIONS(11479), 1,
      sym_keyword_temp,
    ACTIONS(11481), 1,
      sym_keyword_temporary,
    ACTIONS(11483), 1,
      sym_keyword_unlogged,
    ACTIONS(11485), 1,
      sym_keyword_unique,
    ACTIONS(11487), 1,
      sym_keyword_recursive,
    ACTIONS(11489), 1,
      sym_keyword_extension,
    ACTIONS(11491), 1,
      sym_keyword_trigger,
    ACTIONS(11493), 1,
      sym_keyword_function,
    ACTIONS(11495), 1,
      sym_keyword_definer,
    ACTIONS(11497), 1,
      sym_keyword_external,
    STATE(7743), 1,
      sym__or_replace,
    STATE(9935), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11457), 3,
      sym_keyword_group,
      sym_keyword_user,
      sym_keyword_role,
  [432536] = 4,
    ACTIONS(121), 1,
      sym_keyword_as,
    ACTIONS(11499), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(123), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [432572] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11501), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [432604] = 21,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1707), 1,
      sym_keyword_update,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(1719), 1,
      sym_keyword_copy,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(6904), 1,
      sym__cte,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(11494), 1,
      sym_update,
    STATE(11495), 1,
      sym_insert,
    STATE(11938), 1,
      sym_delete,
    STATE(12689), 1,
      sym__dml_write,
    STATE(12715), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1705), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(10564), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [432674] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11503), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [432706] = 6,
    ACTIONS(3302), 1,
      sym_keyword_as,
    ACTIONS(11373), 1,
      anon_sym_LBRACK,
    STATE(181), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(289), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3300), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [432746] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1468), 25,
      ts_builtin_sym_end,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_merge,
      sym_keyword_show,
      sym_keyword_set,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_analyze,
      sym_keyword_explain,
      sym_keyword_drop,
      sym_keyword_with,
      sym_keyword_rename,
      sym_keyword_reset,
      sym_keyword_begin,
      sym_keyword_vacuum,
      sym_keyword_copy,
      sym_keyword_compute,
      sym_keyword_optimize,
      sym_keyword_comment,
      anon_sym_LPAREN,
  [432778] = 24,
    ACTIONS(11469), 1,
      sym_keyword_or,
    ACTIONS(11507), 1,
      sym_keyword_table,
    ACTIONS(11509), 1,
      sym_keyword_view,
    ACTIONS(11511), 1,
      sym_keyword_materialized,
    ACTIONS(11513), 1,
      sym_keyword_sequence,
    ACTIONS(11515), 1,
      sym_keyword_constraint,
    ACTIONS(11517), 1,
      sym_keyword_index,
    ACTIONS(11519), 1,
      sym_keyword_type,
    ACTIONS(11521), 1,
      sym_keyword_database,
    ACTIONS(11523), 1,
      sym_keyword_schema,
    ACTIONS(11525), 1,
      sym_keyword_temp,
    ACTIONS(11527), 1,
      sym_keyword_temporary,
    ACTIONS(11529), 1,
      sym_keyword_unlogged,
    ACTIONS(11531), 1,
      sym_keyword_unique,
    ACTIONS(11533), 1,
      sym_keyword_recursive,
    ACTIONS(11535), 1,
      sym_keyword_extension,
    ACTIONS(11537), 1,
      sym_keyword_trigger,
    ACTIONS(11539), 1,
      sym_keyword_function,
    ACTIONS(11541), 1,
      sym_keyword_definer,
    ACTIONS(11543), 1,
      sym_keyword_external,
    STATE(7834), 1,
      sym__or_replace,
    STATE(9953), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11505), 3,
      sym_keyword_group,
      sym_keyword_user,
      sym_keyword_role,
  [432854] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1380), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1382), 19,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_cached,
      sym_keyword_uncached,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym_keyword_escaped,
      sym_keyword_lines,
      sym__identifier,
  [432888] = 21,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1707), 1,
      sym_keyword_update,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(1719), 1,
      sym_keyword_copy,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(6904), 1,
      sym__cte,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(11494), 1,
      sym_update,
    STATE(11495), 1,
      sym_insert,
    STATE(11938), 1,
      sym_delete,
    STATE(13960), 1,
      sym__dml_write,
    STATE(13970), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1705), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(10564), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [432958] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11545), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [432990] = 21,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1707), 1,
      sym_keyword_update,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(1719), 1,
      sym_keyword_copy,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(6904), 1,
      sym__cte,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(11494), 1,
      sym_update,
    STATE(11495), 1,
      sym_insert,
    STATE(11938), 1,
      sym_delete,
    STATE(13431), 1,
      sym__dml_read,
    STATE(13448), 1,
      sym__dml_write,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1705), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(10564), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [433060] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11547), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [433092] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11549), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [433124] = 21,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1707), 1,
      sym_keyword_update,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(1719), 1,
      sym_keyword_copy,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(6904), 1,
      sym__cte,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(11494), 1,
      sym_update,
    STATE(11495), 1,
      sym_insert,
    STATE(11938), 1,
      sym_delete,
    STATE(14350), 1,
      sym__dml_write,
    STATE(14356), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1705), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(10564), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [433194] = 21,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1707), 1,
      sym_keyword_update,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(1719), 1,
      sym_keyword_copy,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(6904), 1,
      sym__cte,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(11494), 1,
      sym_update,
    STATE(11495), 1,
      sym_insert,
    STATE(11938), 1,
      sym_delete,
    STATE(12545), 1,
      sym__dml_read,
    STATE(12546), 1,
      sym__dml_write,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1705), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(10564), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [433264] = 21,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1707), 1,
      sym_keyword_update,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(1719), 1,
      sym_keyword_copy,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(6904), 1,
      sym__cte,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(11494), 1,
      sym_update,
    STATE(11495), 1,
      sym_insert,
    STATE(11938), 1,
      sym_delete,
    STATE(13872), 1,
      sym__dml_write,
    STATE(13935), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1705), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(10564), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [433334] = 21,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1707), 1,
      sym_keyword_update,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(1719), 1,
      sym_keyword_copy,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(6904), 1,
      sym__cte,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(11494), 1,
      sym_update,
    STATE(11495), 1,
      sym_insert,
    STATE(11938), 1,
      sym_delete,
    STATE(13991), 1,
      sym__dml_write,
    STATE(14005), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1705), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(10564), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [433404] = 21,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1707), 1,
      sym_keyword_update,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(1719), 1,
      sym_keyword_copy,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(6904), 1,
      sym__cte,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(11494), 1,
      sym_update,
    STATE(11495), 1,
      sym_insert,
    STATE(11938), 1,
      sym_delete,
    STATE(14773), 1,
      sym__dml_write,
    STATE(14775), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1705), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(10564), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [433474] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11551), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [433506] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1580), 25,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_merge,
      sym_keyword_show,
      sym_keyword_set,
      sym_keyword_create,
      sym_keyword_alter,
      sym_keyword_analyze,
      sym_keyword_explain,
      sym_keyword_drop,
      sym_keyword_end,
      sym_keyword_with,
      sym_keyword_rename,
      sym_keyword_reset,
      sym_keyword_vacuum,
      sym_keyword_copy,
      sym_keyword_return,
      sym_keyword_compute,
      sym_keyword_optimize,
      sym_keyword_comment,
      anon_sym_LPAREN,
  [433538] = 9,
    ACTIONS(11386), 1,
      sym_keyword_cross,
    ACTIONS(11553), 1,
      sym_keyword_left,
    ACTIONS(11559), 1,
      sym_keyword_inner,
    ACTIONS(11562), 1,
      sym_keyword_join,
    ACTIONS(11565), 1,
      sym_keyword_natural,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11556), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6700), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(11375), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [433584] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11568), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_set,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_using,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [433616] = 24,
    ACTIONS(11465), 1,
      sym_keyword_sequence,
    ACTIONS(11467), 1,
      sym_keyword_constraint,
    ACTIONS(11469), 1,
      sym_keyword_or,
    ACTIONS(11473), 1,
      sym_keyword_type,
    ACTIONS(11475), 1,
      sym_keyword_database,
    ACTIONS(11477), 1,
      sym_keyword_schema,
    ACTIONS(11479), 1,
      sym_keyword_temp,
    ACTIONS(11481), 1,
      sym_keyword_temporary,
    ACTIONS(11489), 1,
      sym_keyword_extension,
    ACTIONS(11491), 1,
      sym_keyword_trigger,
    ACTIONS(11493), 1,
      sym_keyword_function,
    ACTIONS(11495), 1,
      sym_keyword_definer,
    ACTIONS(11570), 1,
      sym_keyword_table,
    ACTIONS(11572), 1,
      sym_keyword_view,
    ACTIONS(11574), 1,
      sym_keyword_materialized,
    ACTIONS(11576), 1,
      sym_keyword_index,
    ACTIONS(11578), 1,
      sym_keyword_unlogged,
    ACTIONS(11580), 1,
      sym_keyword_unique,
    ACTIONS(11582), 1,
      sym_keyword_recursive,
    ACTIONS(11584), 1,
      sym_keyword_external,
    STATE(7903), 1,
      sym__or_replace,
    STATE(10024), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11457), 3,
      sym_keyword_group,
      sym_keyword_user,
      sym_keyword_role,
  [433692] = 4,
    ACTIONS(11588), 1,
      sym_keyword_as,
    ACTIONS(11590), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11586), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [433727] = 17,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(1291), 1,
      aux_sym_identifier_token1,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(9790), 1,
      sym_identifier,
    STATE(12088), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(11592), 3,
      sym_keyword_on,
      sym_keyword_off,
      sym_keyword_default,
    STATE(4309), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [433788] = 5,
    ACTIONS(11598), 1,
      sym_keyword_escaped,
    ACTIONS(11600), 1,
      sym_keyword_lines,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11594), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11596), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [433825] = 3,
    ACTIONS(11604), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11602), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [433858] = 5,
    ACTIONS(11608), 1,
      sym_keyword_on,
    ACTIONS(11610), 1,
      sym_keyword_as,
    STATE(6720), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11606), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [433895] = 17,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(1291), 1,
      aux_sym_identifier_token1,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(9680), 1,
      sym_identifier,
    STATE(11868), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(11612), 3,
      sym_keyword_on,
      sym_keyword_off,
      sym_keyword_default,
    STATE(4309), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [433956] = 9,
    ACTIONS(11410), 1,
      sym_keyword_cross,
    ACTIONS(11614), 1,
      sym_keyword_left,
    ACTIONS(11620), 1,
      sym_keyword_inner,
    ACTIONS(11623), 1,
      sym_keyword_join,
    ACTIONS(11626), 1,
      sym_keyword_natural,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11617), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6709), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(11375), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [434001] = 4,
    ACTIONS(121), 1,
      sym_keyword_as,
    ACTIONS(11629), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(123), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_COMMA,
  [434036] = 17,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(8962), 1,
      sym_identifier,
    STATE(10839), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(11631), 3,
      sym_keyword_on,
      sym_keyword_off,
      sym_keyword_default,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [434097] = 5,
    ACTIONS(11608), 1,
      sym_keyword_on,
    ACTIONS(11635), 1,
      sym_keyword_as,
    STATE(6707), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11633), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [434134] = 5,
    ACTIONS(3483), 1,
      sym_keyword_as,
    ACTIONS(11373), 1,
      anon_sym_LBRACK,
    STATE(291), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3481), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [434171] = 5,
    ACTIONS(11641), 1,
      aux_sym_keyword_character_token1,
    STATE(13709), 1,
      sym_keyword_character,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11637), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11639), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [434208] = 17,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(9170), 1,
      sym_identifier,
    STATE(10954), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(11643), 3,
      sym_keyword_on,
      sym_keyword_off,
      sym_keyword_default,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [434269] = 5,
    ACTIONS(11608), 1,
      sym_keyword_on,
    ACTIONS(11647), 1,
      sym_keyword_as,
    STATE(6720), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11645), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [434306] = 5,
    ACTIONS(11653), 1,
      sym_keyword_fields,
    ACTIONS(11655), 1,
      sym_keyword_lines,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11649), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11651), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [434343] = 5,
    ACTIONS(11608), 1,
      sym_keyword_on,
    ACTIONS(11610), 1,
      sym_keyword_as,
    STATE(6716), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11606), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [434380] = 6,
    ACTIONS(3302), 1,
      sym_keyword_as,
    ACTIONS(11427), 1,
      anon_sym_LBRACK,
    STATE(709), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(913), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3300), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [434419] = 5,
    ACTIONS(11659), 1,
      sym_keyword_on,
    ACTIONS(11662), 1,
      sym_keyword_as,
    STATE(6720), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11657), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [434456] = 5,
    ACTIONS(11647), 1,
      sym_keyword_as,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(6744), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11645), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [434492] = 5,
    ACTIONS(3483), 1,
      sym_keyword_as,
    ACTIONS(11427), 1,
      anon_sym_LBRACK,
    STATE(918), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3481), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [434528] = 4,
    ACTIONS(11670), 1,
      sym_keyword_lines,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11666), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11668), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [434562] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11672), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [434592] = 3,
    ACTIONS(11676), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11674), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [434624] = 17,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(12088), 1,
      sym_literal,
    STATE(12182), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11592), 2,
      sym_keyword_default,
      sym_keyword_local,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4309), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [434684] = 3,
    ACTIONS(11680), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11678), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [434716] = 3,
    ACTIONS(11684), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11682), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [434748] = 17,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10839), 1,
      sym_literal,
    STATE(11622), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11631), 2,
      sym_keyword_default,
      sym_keyword_local,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [434808] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11686), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [434838] = 4,
    ACTIONS(11588), 1,
      sym_keyword_as,
    ACTIONS(11688), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11586), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [434872] = 17,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10954), 1,
      sym_literal,
    STATE(11622), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11643), 2,
      sym_keyword_default,
      sym_keyword_local,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [434932] = 5,
    ACTIONS(11690), 1,
      sym_keyword_fields,
    ACTIONS(11692), 1,
      sym_keyword_lines,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11649), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11651), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [434968] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11694), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [434998] = 5,
    ACTIONS(11641), 1,
      aux_sym_keyword_character_token1,
    STATE(13831), 1,
      sym_keyword_character,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11637), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11639), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [435034] = 4,
    ACTIONS(11700), 1,
      sym_keyword_cached,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11696), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11698), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [435068] = 5,
    ACTIONS(11706), 1,
      sym_keyword_with,
    ACTIONS(11708), 1,
      sym_keyword_uncached,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11702), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11704), 14,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [435104] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11710), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [435134] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11712), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [435164] = 23,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(1689), 1,
      sym_keyword_primary,
    ACTIONS(1725), 1,
      sym_keyword_key,
    ACTIONS(1727), 1,
      sym_keyword_constraint,
    ACTIONS(1729), 1,
      sym_keyword_index,
    ACTIONS(1731), 1,
      sym_keyword_unique,
    ACTIONS(1733), 1,
      sym_keyword_foreign,
    ACTIONS(1735), 1,
      sym_keyword_check,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(9726), 1,
      sym__key_constraint,
    STATE(9727), 1,
      sym__constraint_literal,
    STATE(11288), 1,
      sym_constraint,
    STATE(12122), 1,
      sym__primary_key,
    STATE(12253), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9729), 2,
      sym__check_constraint,
      sym__primary_key_constraint,
  [435236] = 3,
    ACTIONS(11716), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11714), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [435268] = 5,
    ACTIONS(11610), 1,
      sym_keyword_as,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(6721), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11606), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [435304] = 3,
    ACTIONS(11720), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11718), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [435336] = 5,
    ACTIONS(11662), 1,
      sym_keyword_as,
    ACTIONS(11722), 1,
      sym_keyword_on,
    STATE(6744), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11657), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [435372] = 5,
    ACTIONS(11635), 1,
      sym_keyword_as,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(6748), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11633), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [435408] = 5,
    ACTIONS(11725), 1,
      sym_keyword_escaped,
    ACTIONS(11727), 1,
      sym_keyword_lines,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11594), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11596), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [435444] = 17,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(11868), 1,
      sym_literal,
    STATE(12182), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11612), 2,
      sym_keyword_default,
      sym_keyword_local,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4309), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [435504] = 5,
    ACTIONS(11610), 1,
      sym_keyword_as,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(6744), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11606), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [435540] = 3,
    ACTIONS(11729), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11602), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [435572] = 3,
    ACTIONS(11588), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11586), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [435604] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11694), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [435633] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11731), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11733), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [435664] = 3,
    ACTIONS(11737), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11735), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [435695] = 3,
    ACTIONS(11741), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11739), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [435726] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11743), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11745), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [435757] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11686), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [435786] = 4,
    ACTIONS(11747), 1,
      sym_keyword_lines,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11666), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11668), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [435819] = 9,
    ACTIONS(11386), 1,
      sym_keyword_cross,
    ACTIONS(11749), 1,
      sym_keyword_left,
    ACTIONS(11755), 1,
      sym_keyword_inner,
    ACTIONS(11758), 1,
      sym_keyword_join,
    ACTIONS(11761), 1,
      sym_keyword_natural,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11752), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6758), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(11375), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [435862] = 17,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    ACTIONS(11764), 1,
      sym_keyword_no,
    ACTIONS(11768), 1,
      anon_sym_PLUS,
    ACTIONS(11770), 1,
      anon_sym_DASH,
    ACTIONS(11772), 1,
      sym__double_quote_string,
    ACTIONS(11774), 1,
      aux_sym__integer_token1,
    ACTIONS(11776), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11778), 1,
      aux_sym__bit_string_token1,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(7431), 1,
      sym_literal,
    STATE(12190), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11766), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7273), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [435921] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11780), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11782), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [435952] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11712), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [435981] = 3,
    ACTIONS(11786), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11784), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [436012] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11788), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11790), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [436043] = 3,
    ACTIONS(11794), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11792), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [436074] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11551), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [436103] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11455), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [436132] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11672), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [436161] = 3,
    ACTIONS(11798), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11796), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [436192] = 3,
    ACTIONS(11802), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11800), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [436223] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11710), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [436252] = 3,
    ACTIONS(11806), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11804), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [436283] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11808), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11810), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [436314] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11812), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11814), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [436345] = 3,
    ACTIONS(11818), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11816), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [436376] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11820), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(11822), 16,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_or,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym_keyword_immediate,
      sym_keyword_deferred,
      sym__identifier,
  [436407] = 17,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(11824), 1,
      anon_sym_LPAREN,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11622), 1,
      sym_identifier,
    STATE(14789), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [436466] = 3,
    ACTIONS(11828), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11826), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [436497] = 3,
    ACTIONS(11832), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11830), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [436528] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11834), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11836), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [436559] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11838), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11840), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [436590] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11120), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11122), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [436621] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11842), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11844), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [436652] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11846), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11848), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [436683] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11850), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11852), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [436714] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11141), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11143), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [436745] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11854), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11856), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [436776] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11503), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [436805] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11549), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [436834] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11858), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11860), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [436865] = 3,
    ACTIONS(11864), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11862), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [436896] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11866), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11868), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [436927] = 3,
    ACTIONS(11680), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11678), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [436958] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11870), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11872), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [436989] = 3,
    ACTIONS(11876), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11874), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [437020] = 3,
    ACTIONS(11880), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11878), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [437051] = 3,
    ACTIONS(11884), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11882), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [437082] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11886), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11888), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [437113] = 17,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    ACTIONS(11768), 1,
      anon_sym_PLUS,
    ACTIONS(11770), 1,
      anon_sym_DASH,
    ACTIONS(11772), 1,
      sym__double_quote_string,
    ACTIONS(11774), 1,
      aux_sym__integer_token1,
    ACTIONS(11776), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11778), 1,
      aux_sym__bit_string_token1,
    ACTIONS(11890), 1,
      sym_keyword_no,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(7431), 1,
      sym_literal,
    STATE(12190), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11766), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7273), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [437172] = 4,
    ACTIONS(11892), 1,
      sym_keyword_cached,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11696), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11698), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [437205] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11894), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11896), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [437236] = 3,
    ACTIONS(11900), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11898), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [437267] = 17,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(11902), 1,
      sym_keyword_default,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(9523), 1,
      sym_identifier,
    STATE(11332), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [437326] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11904), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11906), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [437357] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11568), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [437386] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11908), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11910), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [437417] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11912), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11914), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [437448] = 17,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    ACTIONS(11768), 1,
      anon_sym_PLUS,
    ACTIONS(11770), 1,
      anon_sym_DASH,
    ACTIONS(11772), 1,
      sym__double_quote_string,
    ACTIONS(11774), 1,
      aux_sym__integer_token1,
    ACTIONS(11776), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11778), 1,
      aux_sym__bit_string_token1,
    ACTIONS(11916), 1,
      sym_keyword_no,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(7357), 1,
      sym_literal,
    STATE(12190), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11766), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7273), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [437507] = 17,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    ACTIONS(11768), 1,
      anon_sym_PLUS,
    ACTIONS(11770), 1,
      anon_sym_DASH,
    ACTIONS(11772), 1,
      sym__double_quote_string,
    ACTIONS(11774), 1,
      aux_sym__integer_token1,
    ACTIONS(11776), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11778), 1,
      aux_sym__bit_string_token1,
    ACTIONS(11918), 1,
      sym_keyword_no,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(7357), 1,
      sym_literal,
    STATE(12190), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11766), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7273), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [437566] = 17,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    ACTIONS(11768), 1,
      anon_sym_PLUS,
    ACTIONS(11770), 1,
      anon_sym_DASH,
    ACTIONS(11772), 1,
      sym__double_quote_string,
    ACTIONS(11774), 1,
      aux_sym__integer_token1,
    ACTIONS(11776), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11778), 1,
      aux_sym__bit_string_token1,
    ACTIONS(11920), 1,
      sym_keyword_by,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(7357), 1,
      sym_literal,
    STATE(12190), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11766), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7273), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [437625] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11157), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11159), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [437656] = 3,
    ACTIONS(11676), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11674), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [437687] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11922), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11924), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [437718] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11926), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11928), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [437749] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11545), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [437778] = 17,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(11930), 1,
      sym_keyword_no,
    ACTIONS(11934), 1,
      anon_sym_PLUS,
    ACTIONS(11936), 1,
      anon_sym_DASH,
    ACTIONS(11938), 1,
      sym__double_quote_string,
    ACTIONS(11940), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(11942), 1,
      aux_sym__integer_token1,
    ACTIONS(11944), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11946), 1,
      aux_sym__bit_string_token1,
    ACTIONS(11948), 1,
      sym__dollar_quoted_string,
    STATE(7330), 1,
      sym__single_quote_string,
    STATE(7575), 1,
      sym_literal,
    STATE(12075), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11932), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7369), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [437837] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11950), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11952), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [437868] = 3,
    ACTIONS(11956), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11954), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [437899] = 17,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(11934), 1,
      anon_sym_PLUS,
    ACTIONS(11936), 1,
      anon_sym_DASH,
    ACTIONS(11938), 1,
      sym__double_quote_string,
    ACTIONS(11940), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(11942), 1,
      aux_sym__integer_token1,
    ACTIONS(11944), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11946), 1,
      aux_sym__bit_string_token1,
    ACTIONS(11948), 1,
      sym__dollar_quoted_string,
    ACTIONS(11958), 1,
      sym_keyword_no,
    STATE(7330), 1,
      sym__single_quote_string,
    STATE(7575), 1,
      sym_literal,
    STATE(12075), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11932), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7369), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [437958] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11960), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11962), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [437989] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11501), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [438018] = 3,
    ACTIONS(11966), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11964), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [438049] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11968), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11970), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [438080] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11972), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11974), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [438111] = 3,
    ACTIONS(11976), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11682), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [438142] = 3,
    ACTIONS(11980), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11978), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [438173] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1380), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1382), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [438204] = 17,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(11934), 1,
      anon_sym_PLUS,
    ACTIONS(11936), 1,
      anon_sym_DASH,
    ACTIONS(11938), 1,
      sym__double_quote_string,
    ACTIONS(11940), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(11942), 1,
      aux_sym__integer_token1,
    ACTIONS(11944), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11946), 1,
      aux_sym__bit_string_token1,
    ACTIONS(11948), 1,
      sym__dollar_quoted_string,
    ACTIONS(11982), 1,
      sym_keyword_by,
    STATE(7330), 1,
      sym__single_quote_string,
    STATE(7511), 1,
      sym_literal,
    STATE(12075), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11932), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7369), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [438263] = 17,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(1291), 1,
      aux_sym_identifier_token1,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    ACTIONS(11984), 1,
      sym_keyword_default,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(10322), 1,
      sym_identifier,
    STATE(11697), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4309), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [438322] = 17,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(11934), 1,
      anon_sym_PLUS,
    ACTIONS(11936), 1,
      anon_sym_DASH,
    ACTIONS(11938), 1,
      sym__double_quote_string,
    ACTIONS(11940), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(11942), 1,
      aux_sym__integer_token1,
    ACTIONS(11944), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11946), 1,
      aux_sym__bit_string_token1,
    ACTIONS(11948), 1,
      sym__dollar_quoted_string,
    ACTIONS(11986), 1,
      sym_keyword_no,
    STATE(7330), 1,
      sym__single_quote_string,
    STATE(7511), 1,
      sym_literal,
    STATE(12075), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11932), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7369), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [438381] = 3,
    ACTIONS(11720), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11718), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [438412] = 17,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(11934), 1,
      anon_sym_PLUS,
    ACTIONS(11936), 1,
      anon_sym_DASH,
    ACTIONS(11938), 1,
      sym__double_quote_string,
    ACTIONS(11940), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(11942), 1,
      aux_sym__integer_token1,
    ACTIONS(11944), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11946), 1,
      aux_sym__bit_string_token1,
    ACTIONS(11948), 1,
      sym__dollar_quoted_string,
    ACTIONS(11988), 1,
      sym_keyword_no,
    STATE(7330), 1,
      sym__single_quote_string,
    STATE(7511), 1,
      sym_literal,
    STATE(12075), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11932), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7369), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [438471] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11547), 22,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_inner,
      sym_keyword_full,
      sym_keyword_cross,
      sym_keyword_join,
      sym_keyword_natural,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [438500] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11990), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11992), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [438531] = 3,
    ACTIONS(11996), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11994), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [438562] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11998), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(12000), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [438593] = 5,
    ACTIONS(12002), 1,
      sym_keyword_with,
    ACTIONS(12004), 1,
      sym_keyword_uncached,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11702), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11704), 14,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [438628] = 3,
    ACTIONS(12008), 1,
      sym_keyword_return,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12006), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [438659] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12010), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(12012), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [438690] = 3,
    ACTIONS(11588), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11586), 21,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [438721] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12014), 7,
      sym__dollar_quoted_string,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(12016), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [438752] = 3,
    ACTIONS(11818), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11816), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [438782] = 16,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11487), 1,
      sym_literal,
    STATE(11622), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [438838] = 16,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(7694), 1,
      sym_literal,
    STATE(11622), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [438894] = 16,
    ACTIONS(489), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12030), 1,
      sym_keyword_float,
    ACTIONS(12032), 1,
      sym_keyword_double,
    STATE(2763), 1,
      sym_keyword_tinyint,
    STATE(2764), 1,
      sym_keyword_smallint,
    STATE(2765), 1,
      sym_keyword_mediumint,
    STATE(2766), 1,
      sym_keyword_int,
    STATE(2767), 1,
      sym_keyword_bigint,
    STATE(2768), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12018), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12020), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12022), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12024), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12026), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12028), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [438950] = 16,
    ACTIONS(977), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12046), 1,
      sym_keyword_float,
    ACTIONS(12048), 1,
      sym_keyword_double,
    STATE(5021), 1,
      sym_keyword_tinyint,
    STATE(5049), 1,
      sym_keyword_smallint,
    STATE(5087), 1,
      sym_keyword_mediumint,
    STATE(5088), 1,
      sym_keyword_int,
    STATE(5109), 1,
      sym_keyword_bigint,
    STATE(5111), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12034), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12036), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12038), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12040), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12042), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12044), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [439006] = 3,
    ACTIONS(11828), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11826), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [439036] = 3,
    ACTIONS(11716), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11714), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [439066] = 16,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10961), 1,
      sym_literal,
    STATE(11622), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [439122] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12010), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(12012), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [439152] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11731), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11733), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [439182] = 9,
    ACTIONS(11410), 1,
      sym_keyword_cross,
    ACTIONS(12050), 1,
      sym_keyword_left,
    ACTIONS(12056), 1,
      sym_keyword_inner,
    ACTIONS(12059), 1,
      sym_keyword_join,
    ACTIONS(12062), 1,
      sym_keyword_natural,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12053), 2,
      sym_keyword_right,
      sym_keyword_full,
    STATE(6851), 5,
      sym_join,
      sym_cross_join,
      sym_lateral_join,
      sym_lateral_cross_join,
      aux_sym_from_repeat1,
    ACTIONS(11375), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_group,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [439224] = 16,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11622), 1,
      sym_identifier,
    STATE(11837), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [439280] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11743), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11745), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [439310] = 3,
    ACTIONS(11980), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11978), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [439340] = 16,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(7492), 1,
      sym_literal,
    STATE(12182), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4309), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [439396] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11922), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11924), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [439426] = 16,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(12088), 1,
      sym_literal,
    STATE(12182), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4309), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [439482] = 16,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    ACTIONS(11768), 1,
      anon_sym_PLUS,
    ACTIONS(11770), 1,
      anon_sym_DASH,
    ACTIONS(11772), 1,
      sym__double_quote_string,
    ACTIONS(11774), 1,
      aux_sym__integer_token1,
    ACTIONS(11776), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11778), 1,
      aux_sym__bit_string_token1,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(7460), 1,
      sym_literal,
    STATE(12190), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11766), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7273), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [439538] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11904), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11906), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [439568] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11850), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11852), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [439598] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11990), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11992), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [439628] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11960), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11962), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [439658] = 16,
    ACTIONS(859), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12077), 1,
      sym_keyword_float,
    ACTIONS(12079), 1,
      sym_keyword_double,
    STATE(3581), 1,
      sym_keyword_tinyint,
    STATE(3586), 1,
      sym_keyword_smallint,
    STATE(3588), 1,
      sym_keyword_mediumint,
    STATE(3590), 1,
      sym_keyword_int,
    STATE(3592), 1,
      sym_keyword_bigint,
    STATE(3594), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12065), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12067), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12069), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12071), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12073), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12075), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [439714] = 16,
    ACTIONS(799), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12093), 1,
      sym_keyword_float,
    ACTIONS(12095), 1,
      sym_keyword_double,
    STATE(5163), 1,
      sym_keyword_tinyint,
    STATE(5165), 1,
      sym_keyword_smallint,
    STATE(5166), 1,
      sym_keyword_mediumint,
    STATE(5167), 1,
      sym_keyword_int,
    STATE(5170), 1,
      sym_keyword_bigint,
    STATE(5171), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12081), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12083), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12085), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12087), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12089), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12091), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [439770] = 3,
    ACTIONS(11996), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11994), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [439800] = 17,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(13), 1,
      sym_keyword_update,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(43), 1,
      sym_keyword_copy,
    ACTIONS(12097), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7702), 1,
      sym__select_statement,
    STATE(8159), 1,
      sym__show_statement,
    STATE(8161), 1,
      sym_set_operation,
    STATE(10025), 1,
      sym_update,
    STATE(10084), 1,
      sym_insert,
    STATE(11550), 1,
      sym_delete,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(10649), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [439858] = 16,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10839), 1,
      sym_literal,
    STATE(11622), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [439914] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11780), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11782), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [439944] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11788), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11790), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [439974] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11894), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11896), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [440004] = 16,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(11934), 1,
      anon_sym_PLUS,
    ACTIONS(11936), 1,
      anon_sym_DASH,
    ACTIONS(11938), 1,
      sym__double_quote_string,
    ACTIONS(11940), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(11942), 1,
      aux_sym__integer_token1,
    ACTIONS(11944), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(11946), 1,
      aux_sym__bit_string_token1,
    ACTIONS(11948), 1,
      sym__dollar_quoted_string,
    STATE(7330), 1,
      sym__single_quote_string,
    STATE(7545), 1,
      sym_literal,
    STATE(12075), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11932), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(7369), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [440060] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11908), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11910), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [440090] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11157), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11159), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [440120] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11834), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11836), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [440150] = 16,
    ACTIONS(305), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12111), 1,
      sym_keyword_float,
    ACTIONS(12113), 1,
      sym_keyword_double,
    STATE(2924), 1,
      sym_keyword_tinyint,
    STATE(2925), 1,
      sym_keyword_smallint,
    STATE(2926), 1,
      sym_keyword_mediumint,
    STATE(2927), 1,
      sym_keyword_int,
    STATE(2928), 1,
      sym_keyword_bigint,
    STATE(2929), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12099), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12101), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12103), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12105), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12107), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12109), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [440206] = 16,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11126), 1,
      sym_literal,
    STATE(11622), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [440262] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11912), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11914), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [440292] = 16,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(7850), 1,
      sym_literal,
    STATE(12182), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4309), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [440348] = 16,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11622), 1,
      sym_identifier,
    STATE(11758), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [440404] = 16,
    ACTIONS(739), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12127), 1,
      sym_keyword_float,
    ACTIONS(12129), 1,
      sym_keyword_double,
    STATE(1975), 1,
      sym_keyword_real,
    STATE(1976), 1,
      sym_keyword_bigint,
    STATE(1977), 1,
      sym_keyword_int,
    STATE(1984), 1,
      sym_keyword_mediumint,
    STATE(1991), 1,
      sym_keyword_smallint,
    STATE(1992), 1,
      sym_keyword_tinyint,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12115), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12117), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12119), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12121), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12123), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12125), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [440460] = 16,
    ACTIONS(161), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12143), 1,
      sym_keyword_float,
    ACTIONS(12145), 1,
      sym_keyword_double,
    STATE(6077), 1,
      sym_keyword_real,
    STATE(6080), 1,
      sym_keyword_bigint,
    STATE(6081), 1,
      sym_keyword_int,
    STATE(6082), 1,
      sym_keyword_mediumint,
    STATE(6083), 1,
      sym_keyword_smallint,
    STATE(6085), 1,
      sym_keyword_tinyint,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12131), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12133), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12135), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12137), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12139), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12141), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [440516] = 16,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11622), 1,
      sym_identifier,
    STATE(12202), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [440572] = 16,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11622), 1,
      sym_identifier,
    STATE(12201), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [440628] = 16,
    ACTIONS(679), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12159), 1,
      sym_keyword_float,
    ACTIONS(12161), 1,
      sym_keyword_double,
    STATE(5827), 1,
      sym_keyword_mediumint,
    STATE(5857), 1,
      sym_keyword_real,
    STATE(5860), 1,
      sym_keyword_bigint,
    STATE(5865), 1,
      sym_keyword_int,
    STATE(5878), 1,
      sym_keyword_smallint,
    STATE(5893), 1,
      sym_keyword_tinyint,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12147), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12149), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12151), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12153), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12155), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12157), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [440684] = 16,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11399), 1,
      sym_literal,
    STATE(11622), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [440740] = 16,
    ACTIONS(239), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12175), 1,
      sym_keyword_float,
    ACTIONS(12177), 1,
      sym_keyword_double,
    STATE(189), 1,
      sym_keyword_tinyint,
    STATE(191), 1,
      sym_keyword_smallint,
    STATE(201), 1,
      sym_keyword_mediumint,
    STATE(202), 1,
      sym_keyword_int,
    STATE(203), 1,
      sym_keyword_bigint,
    STATE(206), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12163), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12165), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12167), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12169), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12171), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12173), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [440796] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1380), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1382), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [440826] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11950), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11952), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [440856] = 17,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(1404), 1,
      sym_keyword_select,
    ACTIONS(1408), 1,
      sym_keyword_update,
    ACTIONS(1410), 1,
      sym_keyword_truncate,
    ACTIONS(1414), 1,
      sym_keyword_show,
    ACTIONS(1436), 1,
      sym_keyword_copy,
    ACTIONS(12179), 1,
      anon_sym_LPAREN,
    STATE(7640), 1,
      sym_select,
    STATE(7804), 1,
      sym__select_statement,
    STATE(8439), 1,
      sym__show_statement,
    STATE(8457), 1,
      sym_set_operation,
    STATE(9733), 1,
      sym_update,
    STATE(9737), 1,
      sym_insert,
    STATE(11752), 1,
      sym_delete,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1406), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(12212), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [440914] = 16,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11622), 1,
      sym_identifier,
    STATE(14301), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [440970] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11846), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11848), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [441000] = 16,
    ACTIONS(1035), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12193), 1,
      sym_keyword_float,
    ACTIONS(12195), 1,
      sym_keyword_double,
    STATE(3284), 1,
      sym_keyword_tinyint,
    STATE(3285), 1,
      sym_keyword_smallint,
    STATE(3286), 1,
      sym_keyword_mediumint,
    STATE(3287), 1,
      sym_keyword_int,
    STATE(3288), 1,
      sym_keyword_bigint,
    STATE(3291), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12181), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12183), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12185), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12187), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12189), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12191), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [441056] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(1386), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [441086] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11812), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11814), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [441116] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11838), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11840), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [441146] = 16,
    ACTIONS(1173), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12209), 1,
      sym_keyword_float,
    ACTIONS(12211), 1,
      sym_keyword_double,
    STATE(3663), 1,
      sym_keyword_real,
    STATE(3664), 1,
      sym_keyword_bigint,
    STATE(3665), 1,
      sym_keyword_int,
    STATE(3666), 1,
      sym_keyword_mediumint,
    STATE(3668), 1,
      sym_keyword_smallint,
    STATE(3669), 1,
      sym_keyword_tinyint,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12197), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12199), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12201), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12203), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12205), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12207), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [441202] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11120), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11122), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [441232] = 16,
    ACTIONS(83), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12225), 1,
      sym_keyword_float,
    ACTIONS(12227), 1,
      sym_keyword_double,
    STATE(2160), 1,
      sym_keyword_tinyint,
    STATE(2163), 1,
      sym_keyword_smallint,
    STATE(2165), 1,
      sym_keyword_mediumint,
    STATE(2167), 1,
      sym_keyword_int,
    STATE(2173), 1,
      sym_keyword_bigint,
    STATE(2177), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12213), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12215), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12217), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12219), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12221), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12223), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [441288] = 16,
    ACTIONS(1317), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12241), 1,
      sym_keyword_float,
    ACTIONS(12243), 1,
      sym_keyword_double,
    STATE(5157), 1,
      sym_keyword_smallint,
    STATE(5396), 1,
      sym_keyword_tinyint,
    STATE(5435), 1,
      sym_keyword_mediumint,
    STATE(5436), 1,
      sym_keyword_int,
    STATE(5452), 1,
      sym_keyword_bigint,
    STATE(5497), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12229), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12231), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12233), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12235), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12237), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12239), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [441344] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11926), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11928), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [441374] = 16,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(7339), 1,
      sym_literal,
    STATE(11622), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [441430] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12014), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(12016), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [441460] = 16,
    ACTIONS(365), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12257), 1,
      sym_keyword_float,
    ACTIONS(12259), 1,
      sym_keyword_double,
    STATE(3151), 1,
      sym_keyword_real,
    STATE(3152), 1,
      sym_keyword_bigint,
    STATE(3155), 1,
      sym_keyword_int,
    STATE(3161), 1,
      sym_keyword_mediumint,
    STATE(3169), 1,
      sym_keyword_smallint,
    STATE(3187), 1,
      sym_keyword_tinyint,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12245), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12247), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12249), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12251), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12253), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12255), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [441516] = 17,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(9), 1,
      sym_keyword_delete,
    ACTIONS(15), 1,
      sym_keyword_truncate,
    ACTIONS(1707), 1,
      sym_keyword_update,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(1719), 1,
      sym_keyword_copy,
    ACTIONS(12097), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7702), 1,
      sym__select_statement,
    STATE(8159), 1,
      sym__show_statement,
    STATE(8161), 1,
      sym_set_operation,
    STATE(11494), 1,
      sym_update,
    STATE(11495), 1,
      sym_insert,
    STATE(11938), 1,
      sym_delete,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1705), 2,
      sym_keyword_insert,
      sym_keyword_replace,
    STATE(10649), 5,
      sym__truncate_statement,
      sym__delete_statement,
      sym__copy_statement,
      sym__insert_statement,
      sym__update_statement,
  [441574] = 16,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11622), 1,
      sym_identifier,
    STATE(12044), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [441630] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11998), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(12000), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [441660] = 16,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11622), 1,
      sym_identifier,
    STATE(12033), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [441716] = 16,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11149), 1,
      sym_literal,
    STATE(11622), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [441772] = 16,
    ACTIONS(425), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12273), 1,
      sym_keyword_float,
    ACTIONS(12275), 1,
      sym_keyword_double,
    STATE(3846), 1,
      sym_keyword_tinyint,
    STATE(3847), 1,
      sym_keyword_smallint,
    STATE(3848), 1,
      sym_keyword_mediumint,
    STATE(3849), 1,
      sym_keyword_int,
    STATE(3850), 1,
      sym_keyword_bigint,
    STATE(3851), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12261), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12263), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12265), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12267), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12269), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12271), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [441828] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11972), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11974), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [441858] = 16,
    ACTIONS(921), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12289), 1,
      sym_keyword_float,
    ACTIONS(12291), 1,
      sym_keyword_double,
    STATE(4953), 1,
      sym_keyword_smallint,
    STATE(5042), 1,
      sym_keyword_tinyint,
    STATE(5047), 1,
      sym_keyword_mediumint,
    STATE(5054), 1,
      sym_keyword_int,
    STATE(5058), 1,
      sym_keyword_bigint,
    STATE(5059), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12277), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12279), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12281), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12283), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12285), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12287), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [441914] = 16,
    ACTIONS(1237), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12305), 1,
      sym_keyword_float,
    ACTIONS(12307), 1,
      sym_keyword_double,
    STATE(4083), 1,
      sym_keyword_tinyint,
    STATE(4085), 1,
      sym_keyword_smallint,
    STATE(4089), 1,
      sym_keyword_mediumint,
    STATE(4091), 1,
      sym_keyword_int,
    STATE(4092), 1,
      sym_keyword_bigint,
    STATE(4093), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12293), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12295), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12297), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12299), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12301), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12303), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [441970] = 16,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11622), 1,
      sym_identifier,
    STATE(12574), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [442026] = 16,
    ACTIONS(609), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12321), 1,
      sym_keyword_float,
    ACTIONS(12323), 1,
      sym_keyword_double,
    STATE(679), 1,
      sym_keyword_tinyint,
    STATE(680), 1,
      sym_keyword_smallint,
    STATE(682), 1,
      sym_keyword_mediumint,
    STATE(685), 1,
      sym_keyword_int,
    STATE(694), 1,
      sym_keyword_bigint,
    STATE(695), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12309), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12311), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12313), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12315), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12317), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12319), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [442082] = 16,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(8480), 1,
      sym_identifier,
    STATE(12574), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [442138] = 16,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11622), 1,
      sym_identifier,
    STATE(11812), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [442194] = 16,
    ACTIONS(549), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12337), 1,
      sym_keyword_float,
    ACTIONS(12339), 1,
      sym_keyword_double,
    STATE(7128), 1,
      sym_keyword_tinyint,
    STATE(7129), 1,
      sym_keyword_smallint,
    STATE(7130), 1,
      sym_keyword_mediumint,
    STATE(7131), 1,
      sym_keyword_int,
    STATE(7132), 1,
      sym_keyword_bigint,
    STATE(7133), 1,
      sym_keyword_real,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12325), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12327), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12329), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12331), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12333), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12335), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [442250] = 16,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11622), 1,
      sym_identifier,
    STATE(11815), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [442306] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11866), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11868), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [442336] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11858), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11860), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [442366] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11141), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11143), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [442396] = 16,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11622), 1,
      sym_identifier,
    STATE(11828), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [442452] = 16,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11622), 1,
      sym_identifier,
    STATE(11840), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [442508] = 3,
    ACTIONS(11832), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11830), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [442538] = 16,
    ACTIONS(1109), 1,
      aux_sym_keyword_int_token1,
    ACTIONS(12353), 1,
      sym_keyword_float,
    ACTIONS(12355), 1,
      sym_keyword_double,
    STATE(2211), 1,
      sym_keyword_real,
    STATE(2213), 1,
      sym_keyword_bigint,
    STATE(2214), 1,
      sym_keyword_int,
    STATE(2215), 1,
      sym_keyword_mediumint,
    STATE(2259), 1,
      sym_keyword_tinyint,
    STATE(2355), 1,
      sym_keyword_smallint,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12341), 2,
      aux_sym_keyword_tinyint_token1,
      aux_sym_keyword_tinyint_token2,
    ACTIONS(12343), 2,
      aux_sym_keyword_smallint_token1,
      aux_sym_keyword_smallint_token2,
    ACTIONS(12345), 2,
      aux_sym_keyword_mediumint_token1,
      aux_sym_keyword_mediumint_token2,
    ACTIONS(12347), 2,
      aux_sym_keyword_int_token2,
      aux_sym_keyword_int_token3,
    ACTIONS(12349), 2,
      aux_sym_keyword_bigint_token1,
      aux_sym_keyword_bigint_token2,
    ACTIONS(12351), 2,
      aux_sym_keyword_real_token1,
      aux_sym_keyword_real_token2,
  [442594] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11968), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11970), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [442624] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11842), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11844), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [442654] = 16,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11110), 1,
      sym_literal,
    STATE(11622), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [442710] = 16,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(8509), 1,
      sym_identifier,
    STATE(14301), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [442766] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11808), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11810), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [442796] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11854), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11856), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [442826] = 16,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3019), 1,
      anon_sym_PLUS,
    ACTIONS(3021), 1,
      anon_sym_DASH,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3029), 1,
      aux_sym__integer_token1,
    ACTIONS(3031), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3033), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10689), 1,
      sym_literal,
    STATE(11622), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3009), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(3445), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [442882] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11886), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11888), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [442912] = 4,
    ACTIONS(121), 1,
      sym_keyword_return,
    ACTIONS(12357), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(123), 19,
      sym_keyword_as,
      sym_keyword_not,
      sym_keyword_begin,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      sym_keyword_array,
      anon_sym_LBRACK,
  [442944] = 3,
    ACTIONS(11956), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11954), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [442974] = 3,
    ACTIONS(11966), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11964), 20,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_primary,
      sym_keyword_constraint,
      sym_keyword_not,
      sym_keyword_auto_increment,
      sym_keyword_generated,
      sym_keyword_default,
      sym_keyword_first,
      sym_keyword_after,
      sym_keyword_unique,
      sym_keyword_references,
      sym_keyword_check,
      sym_keyword_stored,
      sym_keyword_virtual,
      sym_keyword_comment,
      sym_keyword_null,
      anon_sym_COMMA,
  [443004] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11870), 6,
      sym__dollar_quoted_string_end_tag,
      sym__dollar_quoted_string,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
    ACTIONS(11872), 15,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_collate,
      sym_keyword_engine,
      sym_keyword_default,
      sym_keyword_with,
      sym_keyword_without,
      sym_keyword_row,
      sym_keyword_stored,
      sym_keyword_tblproperties,
      sym_keyword_location,
      sym_keyword_partitioned,
      sym_keyword_sort,
      sym__identifier,
  [443034] = 16,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3140), 1,
      anon_sym_PLUS,
    ACTIONS(3142), 1,
      anon_sym_DASH,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3150), 1,
      aux_sym__integer_token1,
    ACTIONS(3152), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3154), 1,
      aux_sym__bit_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(12182), 1,
      sym_identifier,
    STATE(12195), 1,
      sym_literal,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3130), 3,
      sym_keyword_null,
      sym_keyword_true,
      sym_keyword_false,
    STATE(4309), 5,
      sym__literal_string,
      sym__integer,
      sym__decimal_number,
      sym__bit_string,
      sym__string_casting,
  [443090] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12359), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12361), 14,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym__identifier,
  [443119] = 15,
    ACTIONS(129), 1,
      sym__identifier,
    ACTIONS(12365), 1,
      sym_keyword_create,
    ACTIONS(12367), 1,
      sym_keyword_in,
    ACTIONS(12369), 1,
      sym_keyword_with,
    ACTIONS(12373), 1,
      sym_keyword_password,
    ACTIONS(12375), 1,
      sym_keyword_encrypted,
    ACTIONS(12377), 1,
      sym_keyword_valid,
    ACTIONS(12379), 1,
      sym_keyword_connection,
    STATE(7227), 1,
      sym_identifier,
    STATE(7231), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(193), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(6946), 2,
      sym__user_access_role_config,
      aux_sym_create_role_repeat1,
    ACTIONS(12363), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
    ACTIONS(12371), 3,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_role,
  [443172] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12381), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12383), 14,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym__identifier,
  [443201] = 6,
    ACTIONS(12385), 1,
      sym_keyword_unsigned,
    ACTIONS(12387), 1,
      sym_keyword_zerofill,
    ACTIONS(12389), 1,
      sym_keyword_precision,
    ACTIONS(12391), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443235] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12393), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [443261] = 14,
    ACTIONS(129), 1,
      sym__identifier,
    ACTIONS(12367), 1,
      sym_keyword_in,
    ACTIONS(12373), 1,
      sym_keyword_password,
    ACTIONS(12375), 1,
      sym_keyword_encrypted,
    ACTIONS(12377), 1,
      sym_keyword_valid,
    ACTIONS(12379), 1,
      sym_keyword_connection,
    ACTIONS(12397), 1,
      sym_keyword_create,
    STATE(7227), 1,
      sym_identifier,
    STATE(7231), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(193), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(6960), 2,
      sym__user_access_role_config,
      aux_sym_create_role_repeat1,
    ACTIONS(12371), 3,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_role,
    ACTIONS(12395), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [443311] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12399), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [443337] = 14,
    ACTIONS(129), 1,
      sym__identifier,
    ACTIONS(12367), 1,
      sym_keyword_in,
    ACTIONS(12373), 1,
      sym_keyword_password,
    ACTIONS(12375), 1,
      sym_keyword_encrypted,
    ACTIONS(12377), 1,
      sym_keyword_valid,
    ACTIONS(12379), 1,
      sym_keyword_connection,
    ACTIONS(12403), 1,
      sym_keyword_create,
    STATE(7227), 1,
      sym_identifier,
    STATE(7231), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(193), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(6969), 2,
      sym__user_access_role_config,
      aux_sym_create_role_repeat1,
    ACTIONS(12371), 3,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_role,
    ACTIONS(12401), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [443387] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12405), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [443413] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12407), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [443439] = 20,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12411), 1,
      sym_keyword_set,
    ACTIONS(12413), 1,
      sym_keyword_partition,
    ACTIONS(12415), 1,
      sym_keyword_as,
    ACTIONS(12417), 1,
      sym_keyword_partitioned,
    ACTIONS(12419), 1,
      anon_sym_LPAREN,
    STATE(7112), 1,
      sym_table_partition,
    STATE(7578), 1,
      sym_select,
    STATE(7618), 1,
      sym__column_list,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8458), 1,
      sym__cte,
    STATE(8715), 1,
      sym__insert_values,
    STATE(8716), 1,
      sym__set_values,
    STATE(8738), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [443501] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12421), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [443527] = 6,
    ACTIONS(12423), 1,
      sym_keyword_with,
    ACTIONS(12425), 1,
      sym_keyword_without,
    ACTIONS(12427), 1,
      anon_sym_LPAREN,
    STATE(7193), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1859), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443561] = 20,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12413), 1,
      sym_keyword_partition,
    ACTIONS(12417), 1,
      sym_keyword_partitioned,
    ACTIONS(12429), 1,
      sym_keyword_set,
    ACTIONS(12431), 1,
      sym_keyword_as,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    STATE(7079), 1,
      sym_table_partition,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(7683), 1,
      sym__column_list,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(8738), 1,
      sym__dml_read,
    STATE(9594), 1,
      sym__set_values,
    STATE(9612), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [443623] = 20,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1404), 1,
      sym_keyword_select,
    ACTIONS(1414), 1,
      sym_keyword_show,
    ACTIONS(12413), 1,
      sym_keyword_partition,
    ACTIONS(12417), 1,
      sym_keyword_partitioned,
    ACTIONS(12435), 1,
      sym_keyword_values,
    ACTIONS(12437), 1,
      sym_keyword_set,
    ACTIONS(12439), 1,
      sym_keyword_as,
    ACTIONS(12441), 1,
      anon_sym_LPAREN,
    STATE(7073), 1,
      sym_table_partition,
    STATE(7640), 1,
      sym_select,
    STATE(7734), 1,
      sym__column_list,
    STATE(7758), 1,
      sym__select_statement,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(8481), 1,
      sym__cte,
    STATE(8756), 1,
      sym__set_values,
    STATE(8758), 1,
      sym__insert_values,
    STATE(9649), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [443685] = 20,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1404), 1,
      sym_keyword_select,
    ACTIONS(1414), 1,
      sym_keyword_show,
    ACTIONS(12413), 1,
      sym_keyword_partition,
    ACTIONS(12417), 1,
      sym_keyword_partitioned,
    ACTIONS(12435), 1,
      sym_keyword_values,
    ACTIONS(12437), 1,
      sym_keyword_set,
    ACTIONS(12441), 1,
      anon_sym_LPAREN,
    ACTIONS(12443), 1,
      sym_keyword_as,
    STATE(7069), 1,
      sym_table_partition,
    STATE(7640), 1,
      sym_select,
    STATE(7734), 1,
      sym__column_list,
    STATE(7758), 1,
      sym__select_statement,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(8481), 1,
      sym__cte,
    STATE(8510), 1,
      sym__set_values,
    STATE(8854), 1,
      sym__insert_values,
    STATE(9649), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [443747] = 6,
    ACTIONS(12423), 1,
      sym_keyword_with,
    ACTIONS(12425), 1,
      sym_keyword_without,
    ACTIONS(12445), 1,
      anon_sym_LPAREN,
    STATE(7192), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1889), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [443781] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12447), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [443807] = 20,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12411), 1,
      sym_keyword_set,
    ACTIONS(12413), 1,
      sym_keyword_partition,
    ACTIONS(12417), 1,
      sym_keyword_partitioned,
    ACTIONS(12419), 1,
      anon_sym_LPAREN,
    ACTIONS(12449), 1,
      sym_keyword_as,
    STATE(7067), 1,
      sym_table_partition,
    STATE(7578), 1,
      sym_select,
    STATE(7618), 1,
      sym__column_list,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8458), 1,
      sym__cte,
    STATE(8738), 1,
      sym__dml_read,
    STATE(8800), 1,
      sym__insert_values,
    STATE(8802), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [443869] = 20,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1404), 1,
      sym_keyword_select,
    ACTIONS(1414), 1,
      sym_keyword_show,
    ACTIONS(12413), 1,
      sym_keyword_partition,
    ACTIONS(12417), 1,
      sym_keyword_partitioned,
    ACTIONS(12435), 1,
      sym_keyword_values,
    ACTIONS(12437), 1,
      sym_keyword_set,
    ACTIONS(12441), 1,
      anon_sym_LPAREN,
    ACTIONS(12451), 1,
      sym_keyword_as,
    STATE(7075), 1,
      sym_table_partition,
    STATE(7640), 1,
      sym_select,
    STATE(7734), 1,
      sym__column_list,
    STATE(7758), 1,
      sym__select_statement,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(8481), 1,
      sym__cte,
    STATE(8698), 1,
      sym__set_values,
    STATE(8701), 1,
      sym__insert_values,
    STATE(9649), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [443931] = 20,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1404), 1,
      sym_keyword_select,
    ACTIONS(1414), 1,
      sym_keyword_show,
    ACTIONS(12413), 1,
      sym_keyword_partition,
    ACTIONS(12417), 1,
      sym_keyword_partitioned,
    ACTIONS(12435), 1,
      sym_keyword_values,
    ACTIONS(12437), 1,
      sym_keyword_set,
    ACTIONS(12441), 1,
      anon_sym_LPAREN,
    ACTIONS(12453), 1,
      sym_keyword_as,
    STATE(7108), 1,
      sym_table_partition,
    STATE(7640), 1,
      sym_select,
    STATE(7734), 1,
      sym__column_list,
    STATE(7758), 1,
      sym__select_statement,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(8481), 1,
      sym__cte,
    STATE(8679), 1,
      sym__insert_values,
    STATE(8680), 1,
      sym__set_values,
    STATE(9649), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [443993] = 14,
    ACTIONS(129), 1,
      sym__identifier,
    ACTIONS(12367), 1,
      sym_keyword_in,
    ACTIONS(12373), 1,
      sym_keyword_password,
    ACTIONS(12375), 1,
      sym_keyword_encrypted,
    ACTIONS(12377), 1,
      sym_keyword_valid,
    ACTIONS(12379), 1,
      sym_keyword_connection,
    ACTIONS(12457), 1,
      sym_keyword_create,
    STATE(7227), 1,
      sym_identifier,
    STATE(7231), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(193), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(6969), 2,
      sym__user_access_role_config,
      aux_sym_create_role_repeat1,
    ACTIONS(12371), 3,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_role,
    ACTIONS(12455), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [444043] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12459), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [444069] = 17,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(12463), 1,
      sym_keyword_set,
    ACTIONS(12465), 1,
      sym_keyword_in,
    ACTIONS(12467), 1,
      sym_keyword_with,
    ACTIONS(12469), 1,
      sym_keyword_rename,
    ACTIONS(12471), 1,
      sym_keyword_password,
    ACTIONS(12473), 1,
      sym_keyword_encrypted,
    ACTIONS(12475), 1,
      sym_keyword_valid,
    ACTIONS(12477), 1,
      sym_keyword_connection,
    ACTIONS(12479), 1,
      sym_keyword_reset,
    STATE(7227), 1,
      sym_identifier,
    STATE(7343), 1,
      aux_sym_alter_role_repeat1,
    STATE(7816), 1,
      sym__role_options,
    STATE(10875), 1,
      sym_rename_object,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12461), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [444125] = 20,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12413), 1,
      sym_keyword_partition,
    ACTIONS(12417), 1,
      sym_keyword_partitioned,
    ACTIONS(12429), 1,
      sym_keyword_set,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    ACTIONS(12481), 1,
      sym_keyword_as,
    STATE(7080), 1,
      sym_table_partition,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(7683), 1,
      sym__column_list,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(8738), 1,
      sym__dml_read,
    STATE(9604), 1,
      sym__set_values,
    STATE(9613), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [444187] = 8,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(5967), 1,
      sym_keyword_as,
    STATE(6466), 1,
      sym_identifier,
    STATE(7097), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(5963), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5965), 9,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [444225] = 20,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12411), 1,
      sym_keyword_set,
    ACTIONS(12413), 1,
      sym_keyword_partition,
    ACTIONS(12417), 1,
      sym_keyword_partitioned,
    ACTIONS(12419), 1,
      anon_sym_LPAREN,
    ACTIONS(12483), 1,
      sym_keyword_as,
    STATE(7093), 1,
      sym_table_partition,
    STATE(7578), 1,
      sym_select,
    STATE(7618), 1,
      sym__column_list,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8458), 1,
      sym__cte,
    STATE(8738), 1,
      sym__dml_read,
    STATE(8739), 1,
      sym__insert_values,
    STATE(8741), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [444287] = 15,
    ACTIONS(647), 1,
      sym__identifier,
    ACTIONS(12365), 1,
      sym_keyword_create,
    ACTIONS(12485), 1,
      sym_keyword_in,
    ACTIONS(12487), 1,
      sym_keyword_with,
    ACTIONS(12491), 1,
      sym_keyword_password,
    ACTIONS(12493), 1,
      sym_keyword_encrypted,
    ACTIONS(12495), 1,
      sym_keyword_valid,
    ACTIONS(12497), 1,
      sym_keyword_connection,
    STATE(7259), 1,
      sym_identifier,
    STATE(7290), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(651), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12363), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(7004), 2,
      sym__user_access_role_config,
      aux_sym_create_role_repeat1,
    ACTIONS(12489), 3,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_role,
  [444339] = 20,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12413), 1,
      sym_keyword_partition,
    ACTIONS(12417), 1,
      sym_keyword_partitioned,
    ACTIONS(12429), 1,
      sym_keyword_set,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    ACTIONS(12499), 1,
      sym_keyword_as,
    STATE(7091), 1,
      sym_table_partition,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(7683), 1,
      sym__column_list,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(8738), 1,
      sym__dml_read,
    STATE(9270), 1,
      sym__set_values,
    STATE(9281), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [444401] = 20,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12411), 1,
      sym_keyword_set,
    ACTIONS(12413), 1,
      sym_keyword_partition,
    ACTIONS(12417), 1,
      sym_keyword_partitioned,
    ACTIONS(12419), 1,
      anon_sym_LPAREN,
    ACTIONS(12501), 1,
      sym_keyword_as,
    STATE(7074), 1,
      sym_table_partition,
    STATE(7578), 1,
      sym_select,
    STATE(7618), 1,
      sym__column_list,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8458), 1,
      sym__cte,
    STATE(8511), 1,
      sym__insert_values,
    STATE(8738), 1,
      sym__dml_read,
    STATE(8895), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [444463] = 14,
    ACTIONS(12505), 1,
      sym__identifier,
    ACTIONS(12508), 1,
      sym_keyword_create,
    ACTIONS(12510), 1,
      sym_keyword_in,
    ACTIONS(12516), 1,
      sym_keyword_password,
    ACTIONS(12519), 1,
      sym_keyword_encrypted,
    ACTIONS(12522), 1,
      sym_keyword_valid,
    ACTIONS(12525), 1,
      sym_keyword_connection,
    STATE(7227), 1,
      sym_identifier,
    STATE(7231), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12528), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(6969), 2,
      sym__user_access_role_config,
      aux_sym_create_role_repeat1,
    ACTIONS(12503), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
    ACTIONS(12513), 3,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_role,
  [444513] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12531), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
      anon_sym_RPAREN,
  [444539] = 20,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12413), 1,
      sym_keyword_partition,
    ACTIONS(12417), 1,
      sym_keyword_partitioned,
    ACTIONS(12429), 1,
      sym_keyword_set,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    ACTIONS(12533), 1,
      sym_keyword_as,
    STATE(7100), 1,
      sym_table_partition,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(7683), 1,
      sym__column_list,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(8738), 1,
      sym__dml_read,
    STATE(9324), 1,
      sym__set_values,
    STATE(9325), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [444601] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11784), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [444626] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11796), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [444651] = 8,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(6222), 1,
      sym_keyword_as,
    STATE(6607), 1,
      sym_identifier,
    STATE(7509), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(5963), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
    ACTIONS(5965), 9,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [444688] = 5,
    ACTIONS(12535), 1,
      sym_keyword_unsigned,
    ACTIONS(12537), 1,
      sym_keyword_zerofill,
    ACTIONS(12539), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1815), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [444719] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11735), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [444744] = 14,
    ACTIONS(647), 1,
      sym__identifier,
    ACTIONS(12457), 1,
      sym_keyword_create,
    ACTIONS(12485), 1,
      sym_keyword_in,
    ACTIONS(12491), 1,
      sym_keyword_password,
    ACTIONS(12493), 1,
      sym_keyword_encrypted,
    ACTIONS(12495), 1,
      sym_keyword_valid,
    ACTIONS(12497), 1,
      sym_keyword_connection,
    STATE(7259), 1,
      sym_identifier,
    STATE(7290), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(651), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12455), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(6984), 2,
      sym__user_access_role_config,
      aux_sym_create_role_repeat1,
    ACTIONS(12489), 3,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_role,
  [444793] = 19,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(12541), 1,
      anon_sym_LPAREN,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8870), 1,
      sym_select,
    STATE(9018), 1,
      sym__select_statement,
    STATE(10825), 1,
      sym__column,
    STATE(13971), 1,
      sym_set_operation,
    STATE(13973), 1,
      sym__show_statement,
    STATE(14215), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [444852] = 5,
    ACTIONS(12543), 1,
      sym_keyword_unsigned,
    ACTIONS(12545), 1,
      sym_keyword_zerofill,
    ACTIONS(12547), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1895), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [444883] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1905), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [444908] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12447), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [444933] = 10,
    ACTIONS(8886), 1,
      sym_keyword_order,
    ACTIONS(8888), 1,
      sym_keyword_group,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    STATE(7078), 1,
      sym_group_by,
    STATE(7260), 1,
      sym_window_clause,
    STATE(7387), 1,
      sym_order_by,
    STATE(7684), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10958), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [444974] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1909), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [444999] = 14,
    ACTIONS(12508), 1,
      sym_keyword_create,
    ACTIONS(12549), 1,
      sym__identifier,
    ACTIONS(12552), 1,
      sym_keyword_in,
    ACTIONS(12558), 1,
      sym_keyword_password,
    ACTIONS(12561), 1,
      sym_keyword_encrypted,
    ACTIONS(12564), 1,
      sym_keyword_valid,
    ACTIONS(12567), 1,
      sym_keyword_connection,
    STATE(7259), 1,
      sym_identifier,
    STATE(7290), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12503), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(12570), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(6984), 2,
      sym__user_access_role_config,
      aux_sym_create_role_repeat1,
    ACTIONS(12555), 3,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_role,
  [445048] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1913), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [445073] = 7,
    ACTIONS(12573), 1,
      sym_keyword_array,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    STATE(7137), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(7305), 1,
      sym__array_size_definition,
    STATE(7466), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2878), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [445108] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1921), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [445133] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1825), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [445158] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1917), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_unsigned,
      sym_keyword_zerofill,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [445183] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11862), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [445208] = 3,
    ACTIONS(12579), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12577), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [445235] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11898), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [445260] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12421), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [445285] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12459), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [445310] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11739), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [445335] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12006), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [445360] = 17,
    ACTIONS(647), 1,
      sym__identifier,
    ACTIONS(12581), 1,
      sym_keyword_set,
    ACTIONS(12583), 1,
      sym_keyword_in,
    ACTIONS(12585), 1,
      sym_keyword_with,
    ACTIONS(12587), 1,
      sym_keyword_rename,
    ACTIONS(12589), 1,
      sym_keyword_password,
    ACTIONS(12591), 1,
      sym_keyword_encrypted,
    ACTIONS(12593), 1,
      sym_keyword_valid,
    ACTIONS(12595), 1,
      sym_keyword_connection,
    ACTIONS(12597), 1,
      sym_keyword_reset,
    STATE(7259), 1,
      sym_identifier,
    STATE(7598), 1,
      aux_sym_alter_role_repeat1,
    STATE(7957), 1,
      sym__role_options,
    STATE(12036), 1,
      sym_rename_object,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(651), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12461), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [445415] = 19,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(12541), 1,
      anon_sym_LPAREN,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8673), 1,
      sym_select,
    STATE(8939), 1,
      sym__select_statement,
    STATE(10825), 1,
      sym__column,
    STATE(14221), 1,
      sym_set_operation,
    STATE(14223), 1,
      sym__show_statement,
    STATE(14226), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [445474] = 14,
    ACTIONS(647), 1,
      sym__identifier,
    ACTIONS(12397), 1,
      sym_keyword_create,
    ACTIONS(12485), 1,
      sym_keyword_in,
    ACTIONS(12491), 1,
      sym_keyword_password,
    ACTIONS(12493), 1,
      sym_keyword_encrypted,
    ACTIONS(12495), 1,
      sym_keyword_valid,
    ACTIONS(12497), 1,
      sym_keyword_connection,
    STATE(7259), 1,
      sym_identifier,
    STATE(7290), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(651), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12395), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(6977), 2,
      sym__user_access_role_config,
      aux_sym_create_role_repeat1,
    ACTIONS(12489), 3,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_role,
  [445523] = 19,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(2423), 1,
      sym_keyword_select,
    ACTIONS(2425), 1,
      sym_keyword_show,
    ACTIONS(2435), 1,
      sym_keyword_with,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(12541), 1,
      anon_sym_LPAREN,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8673), 1,
      sym_select,
    STATE(8939), 1,
      sym__select_statement,
    STATE(10825), 1,
      sym__column,
    STATE(14210), 1,
      sym__cte,
    STATE(14221), 1,
      sym_set_operation,
    STATE(14223), 1,
      sym__show_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [445582] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12531), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [445607] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11874), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [445632] = 5,
    ACTIONS(12599), 1,
      sym_keyword_unsigned,
    ACTIONS(12601), 1,
      sym_keyword_zerofill,
    ACTIONS(12603), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1869), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445663] = 14,
    ACTIONS(647), 1,
      sym__identifier,
    ACTIONS(12403), 1,
      sym_keyword_create,
    ACTIONS(12485), 1,
      sym_keyword_in,
    ACTIONS(12491), 1,
      sym_keyword_password,
    ACTIONS(12493), 1,
      sym_keyword_encrypted,
    ACTIONS(12495), 1,
      sym_keyword_valid,
    ACTIONS(12497), 1,
      sym_keyword_connection,
    STATE(7259), 1,
      sym_identifier,
    STATE(7290), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(651), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12401), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(6984), 2,
      sym__user_access_role_config,
      aux_sym_create_role_repeat1,
    ACTIONS(12489), 3,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_role,
  [445712] = 5,
    ACTIONS(12605), 1,
      sym_keyword_unsigned,
    ACTIONS(12607), 1,
      sym_keyword_zerofill,
    ACTIONS(12609), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1879), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445743] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11878), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [445768] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12405), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [445793] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11882), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [445818] = 3,
    ACTIONS(12613), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12611), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [445845] = 5,
    ACTIONS(12615), 1,
      sym_keyword_unsigned,
    ACTIONS(12617), 1,
      sym_keyword_zerofill,
    ACTIONS(12619), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1839), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [445876] = 10,
    ACTIONS(8886), 1,
      sym_keyword_order,
    ACTIONS(8888), 1,
      sym_keyword_group,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    STATE(7107), 1,
      sym_group_by,
    STATE(7284), 1,
      sym_window_clause,
    STATE(7391), 1,
      sym_order_by,
    STATE(7693), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9046), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [445917] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12407), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [445942] = 10,
    ACTIONS(8886), 1,
      sym_keyword_order,
    ACTIONS(8888), 1,
      sym_keyword_group,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    STATE(7104), 1,
      sym_group_by,
    STATE(7299), 1,
      sym_window_clause,
    STATE(7341), 1,
      sym_order_by,
    STATE(7723), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8938), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [445983] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11792), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [446008] = 5,
    ACTIONS(12621), 1,
      sym_keyword_unsigned,
    ACTIONS(12623), 1,
      sym_keyword_zerofill,
    ACTIONS(12625), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1829), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [446039] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11830), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_nulls,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [446064] = 5,
    ACTIONS(12627), 1,
      sym_keyword_unsigned,
    ACTIONS(12629), 1,
      sym_keyword_zerofill,
    ACTIONS(12631), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1849), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [446095] = 10,
    ACTIONS(8886), 1,
      sym_keyword_order,
    ACTIONS(8888), 1,
      sym_keyword_group,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    STATE(7111), 1,
      sym_group_by,
    STATE(7258), 1,
      sym_window_clause,
    STATE(7355), 1,
      sym_order_by,
    STATE(7681), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12633), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [446136] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11800), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [446161] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11804), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [446186] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12399), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [446211] = 5,
    ACTIONS(12385), 1,
      sym_keyword_unsigned,
    ACTIONS(12387), 1,
      sym_keyword_zerofill,
    ACTIONS(12391), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [446242] = 10,
    ACTIONS(8886), 1,
      sym_keyword_order,
    ACTIONS(8888), 1,
      sym_keyword_group,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    STATE(7077), 1,
      sym_group_by,
    STATE(7270), 1,
      sym_window_clause,
    STATE(7412), 1,
      sym_order_by,
    STATE(7733), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10960), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [446283] = 7,
    ACTIONS(12573), 1,
      sym_keyword_array,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    STATE(7137), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(7305), 1,
      sym__array_size_definition,
    STATE(7452), 1,
      sym_array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2811), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [446318] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12393), 18,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_not,
      sym_keyword_rows,
      sym_keyword_returns,
      sym_keyword_language,
      sym_keyword_immutable,
      sym_keyword_stable,
      sym_keyword_volatile,
      sym_keyword_leakproof,
      sym_keyword_parallel,
      sym_keyword_called,
      sym_keyword_strict,
      sym_keyword_cost,
      sym_keyword_support,
      sym_keyword_security,
      sym_keyword_external,
  [446343] = 5,
    ACTIONS(12423), 1,
      sym_keyword_with,
    ACTIONS(12425), 1,
      sym_keyword_without,
    STATE(7207), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1977), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [446374] = 5,
    ACTIONS(12423), 1,
      sym_keyword_with,
    ACTIONS(12425), 1,
      sym_keyword_without,
    STATE(7208), 1,
      sym__include_time_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1961), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [446405] = 10,
    ACTIONS(9116), 1,
      sym_keyword_order,
    ACTIONS(9118), 1,
      sym_keyword_group,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    STATE(7242), 1,
      sym_group_by,
    STATE(7399), 1,
      sym_window_clause,
    STATE(7513), 1,
      sym_order_by,
    STATE(7781), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8938), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [446445] = 10,
    ACTIONS(9116), 1,
      sym_keyword_order,
    ACTIONS(9118), 1,
      sym_keyword_group,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    STATE(7222), 1,
      sym_group_by,
    STATE(7362), 1,
      sym_window_clause,
    STATE(7565), 1,
      sym_order_by,
    STATE(7884), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9046), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [446485] = 10,
    ACTIONS(9116), 1,
      sym_keyword_order,
    ACTIONS(9118), 1,
      sym_keyword_group,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    STATE(7223), 1,
      sym_group_by,
    STATE(7423), 1,
      sym_window_clause,
    STATE(7500), 1,
      sym_order_by,
    STATE(7825), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10960), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [446525] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12635), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [446549] = 4,
    ACTIONS(12637), 1,
      sym_keyword_unsigned,
    ACTIONS(12639), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2013), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [446577] = 5,
    ACTIONS(12645), 1,
      anon_sym_COMMA,
    STATE(7063), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12641), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12643), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [446607] = 4,
    ACTIONS(12647), 1,
      sym_keyword_unsigned,
    ACTIONS(12649), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1997), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [446635] = 4,
    ACTIONS(12651), 1,
      sym_keyword_unsigned,
    ACTIONS(12653), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1989), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [446663] = 4,
    ACTIONS(12655), 1,
      sym_keyword_unsigned,
    ACTIONS(12657), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1925), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [446691] = 10,
    ACTIONS(12659), 1,
      sym_keyword_table,
    ACTIONS(12663), 1,
      sym_keyword_column,
    ACTIONS(12665), 1,
      sym_keyword_materialized,
    ACTIONS(12669), 1,
      sym_keyword_cast,
    ACTIONS(12671), 1,
      sym_keyword_trigger,
    ACTIONS(12673), 1,
      sym_keyword_function,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13981), 2,
      sym__comment_target,
      sym_cast,
    ACTIONS(12661), 4,
      sym_keyword_view,
      sym_keyword_sequence,
      sym_keyword_index,
      sym_keyword_extension,
    ACTIONS(12667), 5,
      sym_keyword_tablespace,
      sym_keyword_type,
      sym_keyword_database,
      sym_keyword_schema,
      sym_keyword_role,
  [446731] = 4,
    ACTIONS(12677), 1,
      sym_keyword_create,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12675), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(7038), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [446759] = 10,
    ACTIONS(9116), 1,
      sym_keyword_order,
    ACTIONS(9118), 1,
      sym_keyword_group,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    STATE(7182), 1,
      sym_group_by,
    STATE(7386), 1,
      sym_window_clause,
    STATE(7529), 1,
      sym_order_by,
    STATE(7863), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10958), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [446799] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12680), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
    STATE(7038), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [446825] = 4,
    ACTIONS(1418), 1,
      sym_keyword_create,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12682), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(7046), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [446853] = 3,
    ACTIONS(12684), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(123), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_partition,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_with,
      sym_keyword_returning,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
  [446879] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11820), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(11822), 12,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [446905] = 5,
    ACTIONS(12645), 1,
      anon_sym_COMMA,
    STATE(7064), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12686), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12688), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [446935] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12690), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [446959] = 4,
    ACTIONS(1418), 1,
      sym_keyword_create,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12680), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(7060), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [446987] = 10,
    ACTIONS(9116), 1,
      sym_keyword_order,
    ACTIONS(9118), 1,
      sym_keyword_group,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    STATE(7200), 1,
      sym_group_by,
    STATE(7451), 1,
      sym_window_clause,
    STATE(7581), 1,
      sym_order_by,
    STATE(7832), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12633), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [447027] = 4,
    ACTIONS(12692), 1,
      sym_keyword_unsigned,
    ACTIONS(12694), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2005), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [447055] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12696), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [447079] = 4,
    ACTIONS(12698), 1,
      sym_keyword_precision,
    ACTIONS(12700), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1829), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [447107] = 4,
    ACTIONS(23), 1,
      sym_keyword_create,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12682), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(7052), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [447135] = 4,
    ACTIONS(23), 1,
      sym_keyword_create,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12680), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(7038), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [447163] = 6,
    ACTIONS(6403), 1,
      sym_keyword_having,
    ACTIONS(6407), 1,
      anon_sym_COMMA,
    STATE(7065), 1,
      aux_sym_array_repeat1,
    STATE(7294), 1,
      sym__having,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12702), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [447195] = 4,
    ACTIONS(12704), 1,
      sym_keyword_unsigned,
    ACTIONS(12706), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1969), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [447223] = 3,
    ACTIONS(12708), 1,
      sym_keyword_varying,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1939), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [447249] = 4,
    ACTIONS(12710), 1,
      sym_keyword_varying,
    ACTIONS(12712), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1981), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [447277] = 10,
    ACTIONS(12659), 1,
      sym_keyword_table,
    ACTIONS(12663), 1,
      sym_keyword_column,
    ACTIONS(12665), 1,
      sym_keyword_materialized,
    ACTIONS(12669), 1,
      sym_keyword_cast,
    ACTIONS(12671), 1,
      sym_keyword_trigger,
    ACTIONS(12673), 1,
      sym_keyword_function,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14232), 2,
      sym__comment_target,
      sym_cast,
    ACTIONS(12661), 4,
      sym_keyword_view,
      sym_keyword_sequence,
      sym_keyword_index,
      sym_keyword_extension,
    ACTIONS(12667), 5,
      sym_keyword_tablespace,
      sym_keyword_type,
      sym_keyword_database,
      sym_keyword_schema,
      sym_keyword_role,
  [447317] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12680), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
    STATE(7060), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [447343] = 5,
    ACTIONS(12714), 1,
      anon_sym_COMMA,
    STATE(7059), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11820), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(11822), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [447373] = 4,
    ACTIONS(12717), 1,
      sym_keyword_create,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12675), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(7060), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [447401] = 4,
    ACTIONS(12720), 1,
      sym_keyword_unsigned,
    ACTIONS(12722), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1953), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [447429] = 4,
    ACTIONS(12724), 1,
      sym_keyword_unsigned,
    ACTIONS(12726), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1945), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [447457] = 5,
    ACTIONS(12645), 1,
      anon_sym_COMMA,
    STATE(7059), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12686), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12688), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [447487] = 5,
    ACTIONS(12645), 1,
      anon_sym_COMMA,
    STATE(7059), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12728), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12730), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [447517] = 4,
    ACTIONS(12732), 1,
      anon_sym_COMMA,
    STATE(7065), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6707), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [447544] = 3,
    ACTIONS(12735), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2138), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [447569] = 17,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12411), 1,
      sym_keyword_set,
    ACTIONS(12415), 1,
      sym_keyword_as,
    ACTIONS(12419), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7618), 1,
      sym__column_list,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8458), 1,
      sym__cte,
    STATE(8716), 1,
      sym__set_values,
    STATE(8717), 1,
      sym__insert_values,
    STATE(8738), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [447622] = 5,
    ACTIONS(12737), 1,
      anon_sym_COMMA,
    STATE(7110), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12641), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12643), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [447651] = 17,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1404), 1,
      sym_keyword_select,
    ACTIONS(1414), 1,
      sym_keyword_show,
    ACTIONS(12435), 1,
      sym_keyword_values,
    ACTIONS(12437), 1,
      sym_keyword_set,
    ACTIONS(12441), 1,
      anon_sym_LPAREN,
    ACTIONS(12739), 1,
      sym_keyword_as,
    STATE(7640), 1,
      sym_select,
    STATE(7734), 1,
      sym__column_list,
    STATE(7758), 1,
      sym__select_statement,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(8481), 1,
      sym__cte,
    STATE(8872), 1,
      sym__set_values,
    STATE(8873), 1,
      sym__insert_values,
    STATE(9649), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [447704] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12381), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12383), 11,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym__identifier,
  [447729] = 8,
    ACTIONS(8886), 1,
      sym_keyword_order,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    STATE(7299), 1,
      sym_window_clause,
    STATE(7341), 1,
      sym_order_by,
    STATE(7723), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8938), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [447764] = 16,
    ACTIONS(12741), 1,
      sym_keyword_set,
    ACTIONS(12743), 1,
      sym_keyword_increment,
    ACTIONS(12745), 1,
      sym_keyword_minvalue,
    ACTIONS(12747), 1,
      sym_keyword_maxvalue,
    ACTIONS(12749), 1,
      sym_keyword_owned,
    ACTIONS(12751), 1,
      sym_keyword_start,
    ACTIONS(12753), 1,
      sym_keyword_restart,
    ACTIONS(12755), 1,
      sym_keyword_as,
    ACTIONS(12757), 1,
      sym_keyword_no,
    ACTIONS(12759), 1,
      sym_keyword_rename,
    ACTIONS(12761), 1,
      sym_keyword_owner,
    ACTIONS(12763), 1,
      sym_keyword_cycle,
    ACTIONS(12765), 1,
      sym_keyword_cache,
    STATE(7417), 1,
      aux_sym_alter_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11814), 2,
      sym_rename_object,
      sym_change_ownership,
  [447815] = 17,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1404), 1,
      sym_keyword_select,
    ACTIONS(1414), 1,
      sym_keyword_show,
    ACTIONS(12435), 1,
      sym_keyword_values,
    ACTIONS(12437), 1,
      sym_keyword_set,
    ACTIONS(12441), 1,
      anon_sym_LPAREN,
    ACTIONS(12443), 1,
      sym_keyword_as,
    STATE(7640), 1,
      sym_select,
    STATE(7734), 1,
      sym__column_list,
    STATE(7758), 1,
      sym__select_statement,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(8481), 1,
      sym__cte,
    STATE(8510), 1,
      sym__set_values,
    STATE(8853), 1,
      sym__insert_values,
    STATE(9649), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [447868] = 17,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12411), 1,
      sym_keyword_set,
    ACTIONS(12419), 1,
      anon_sym_LPAREN,
    ACTIONS(12449), 1,
      sym_keyword_as,
    STATE(7578), 1,
      sym_select,
    STATE(7618), 1,
      sym__column_list,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8458), 1,
      sym__cte,
    STATE(8738), 1,
      sym__dml_read,
    STATE(8802), 1,
      sym__set_values,
    STATE(8804), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [447921] = 17,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1404), 1,
      sym_keyword_select,
    ACTIONS(1414), 1,
      sym_keyword_show,
    ACTIONS(12435), 1,
      sym_keyword_values,
    ACTIONS(12437), 1,
      sym_keyword_set,
    ACTIONS(12439), 1,
      sym_keyword_as,
    ACTIONS(12441), 1,
      anon_sym_LPAREN,
    STATE(7640), 1,
      sym_select,
    STATE(7734), 1,
      sym__column_list,
    STATE(7758), 1,
      sym__select_statement,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(8481), 1,
      sym__cte,
    STATE(8754), 1,
      sym__insert_values,
    STATE(8756), 1,
      sym__set_values,
    STATE(9649), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [447974] = 3,
    ACTIONS(12767), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2096), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [447999] = 8,
    ACTIONS(8886), 1,
      sym_keyword_order,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    STATE(7260), 1,
      sym_window_clause,
    STATE(7387), 1,
      sym_order_by,
    STATE(7684), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10958), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [448034] = 8,
    ACTIONS(8886), 1,
      sym_keyword_order,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    STATE(7258), 1,
      sym_window_clause,
    STATE(7355), 1,
      sym_order_by,
    STATE(7681), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12633), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [448069] = 17,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12429), 1,
      sym_keyword_set,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    ACTIONS(12769), 1,
      sym_keyword_as,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(7683), 1,
      sym__column_list,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(8738), 1,
      sym__dml_read,
    STATE(9573), 1,
      sym__set_values,
    STATE(9579), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [448122] = 17,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12429), 1,
      sym_keyword_set,
    ACTIONS(12431), 1,
      sym_keyword_as,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(7683), 1,
      sym__column_list,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(8738), 1,
      sym__dml_read,
    STATE(9594), 1,
      sym__set_values,
    STATE(9650), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [448175] = 10,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    ACTIONS(9778), 1,
      sym_keyword_order,
    ACTIONS(9780), 1,
      sym_keyword_group,
    STATE(7322), 1,
      sym_group_by,
    STATE(7341), 1,
      sym_order_by,
    STATE(7596), 1,
      sym_window_clause,
    STATE(7723), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8938), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [448214] = 10,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    ACTIONS(9778), 1,
      sym_keyword_order,
    ACTIONS(9780), 1,
      sym_keyword_group,
    STATE(7320), 1,
      sym_group_by,
    STATE(7391), 1,
      sym_order_by,
    STATE(7594), 1,
      sym_window_clause,
    STATE(7693), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9046), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [448253] = 3,
    ACTIONS(12771), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2150), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [448278] = 10,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    ACTIONS(9778), 1,
      sym_keyword_order,
    ACTIONS(9780), 1,
      sym_keyword_group,
    STATE(7319), 1,
      sym_group_by,
    STATE(7412), 1,
      sym_order_by,
    STATE(7590), 1,
      sym_window_clause,
    STATE(7733), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10960), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [448317] = 10,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    ACTIONS(9778), 1,
      sym_keyword_order,
    ACTIONS(9780), 1,
      sym_keyword_group,
    STATE(7316), 1,
      sym_group_by,
    STATE(7387), 1,
      sym_order_by,
    STATE(7587), 1,
      sym_window_clause,
    STATE(7684), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10958), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [448356] = 3,
    ACTIONS(12773), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2202), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [448381] = 10,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    ACTIONS(9778), 1,
      sym_keyword_order,
    ACTIONS(9780), 1,
      sym_keyword_group,
    STATE(7291), 1,
      sym_group_by,
    STATE(7355), 1,
      sym_order_by,
    STATE(7580), 1,
      sym_window_clause,
    STATE(7681), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12633), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [448420] = 3,
    ACTIONS(12775), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2084), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [448445] = 5,
    ACTIONS(12777), 1,
      anon_sym_COMMA,
    STATE(7089), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11820), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(11822), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [448474] = 16,
    ACTIONS(12780), 1,
      sym_keyword_set,
    ACTIONS(12782), 1,
      sym_keyword_increment,
    ACTIONS(12784), 1,
      sym_keyword_minvalue,
    ACTIONS(12786), 1,
      sym_keyword_maxvalue,
    ACTIONS(12788), 1,
      sym_keyword_owned,
    ACTIONS(12790), 1,
      sym_keyword_start,
    ACTIONS(12792), 1,
      sym_keyword_restart,
    ACTIONS(12794), 1,
      sym_keyword_as,
    ACTIONS(12796), 1,
      sym_keyword_no,
    ACTIONS(12798), 1,
      sym_keyword_rename,
    ACTIONS(12800), 1,
      sym_keyword_owner,
    ACTIONS(12802), 1,
      sym_keyword_cycle,
    ACTIONS(12804), 1,
      sym_keyword_cache,
    STATE(7269), 1,
      aux_sym_alter_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10884), 2,
      sym_rename_object,
      sym_change_ownership,
  [448525] = 17,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12429), 1,
      sym_keyword_set,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    ACTIONS(12481), 1,
      sym_keyword_as,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(7683), 1,
      sym__column_list,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(8738), 1,
      sym__dml_read,
    STATE(9601), 1,
      sym__insert_values,
    STATE(9604), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [448578] = 3,
    ACTIONS(12806), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2144), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [448603] = 17,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12411), 1,
      sym_keyword_set,
    ACTIONS(12419), 1,
      anon_sym_LPAREN,
    ACTIONS(12501), 1,
      sym_keyword_as,
    STATE(7578), 1,
      sym_select,
    STATE(7618), 1,
      sym__column_list,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8458), 1,
      sym__cte,
    STATE(8738), 1,
      sym__dml_read,
    STATE(8883), 1,
      sym__insert_values,
    STATE(8895), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [448656] = 4,
    ACTIONS(1713), 1,
      sym_keyword_create,
    ACTIONS(12682), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7095), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [448683] = 4,
    ACTIONS(1713), 1,
      sym_keyword_create,
    ACTIONS(12680), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7102), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [448710] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12808), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [448733] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12808), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [448756] = 3,
    ACTIONS(12810), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2076), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [448781] = 16,
    ACTIONS(12782), 1,
      sym_keyword_increment,
    ACTIONS(12784), 1,
      sym_keyword_minvalue,
    ACTIONS(12786), 1,
      sym_keyword_maxvalue,
    ACTIONS(12788), 1,
      sym_keyword_owned,
    ACTIONS(12790), 1,
      sym_keyword_start,
    ACTIONS(12792), 1,
      sym_keyword_restart,
    ACTIONS(12794), 1,
      sym_keyword_as,
    ACTIONS(12796), 1,
      sym_keyword_no,
    ACTIONS(12798), 1,
      sym_keyword_rename,
    ACTIONS(12800), 1,
      sym_keyword_owner,
    ACTIONS(12804), 1,
      sym_keyword_cache,
    ACTIONS(12812), 1,
      sym_keyword_set,
    ACTIONS(12814), 1,
      sym_keyword_cycle,
    STATE(7276), 1,
      aux_sym_alter_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11041), 2,
      sym_rename_object,
      sym_change_ownership,
  [448832] = 17,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12429), 1,
      sym_keyword_set,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    ACTIONS(12499), 1,
      sym_keyword_as,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(7683), 1,
      sym__column_list,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(8738), 1,
      sym__dml_read,
    STATE(9270), 1,
      sym__set_values,
    STATE(9511), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [448885] = 3,
    ACTIONS(12816), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2156), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [448910] = 4,
    ACTIONS(12675), 1,
      anon_sym_RPAREN,
    ACTIONS(12818), 1,
      sym_keyword_create,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7102), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [448937] = 16,
    ACTIONS(12743), 1,
      sym_keyword_increment,
    ACTIONS(12745), 1,
      sym_keyword_minvalue,
    ACTIONS(12747), 1,
      sym_keyword_maxvalue,
    ACTIONS(12749), 1,
      sym_keyword_owned,
    ACTIONS(12751), 1,
      sym_keyword_start,
    ACTIONS(12753), 1,
      sym_keyword_restart,
    ACTIONS(12755), 1,
      sym_keyword_as,
    ACTIONS(12757), 1,
      sym_keyword_no,
    ACTIONS(12759), 1,
      sym_keyword_rename,
    ACTIONS(12761), 1,
      sym_keyword_owner,
    ACTIONS(12765), 1,
      sym_keyword_cache,
    ACTIONS(12821), 1,
      sym_keyword_set,
    ACTIONS(12823), 1,
      sym_keyword_cycle,
    STATE(7459), 1,
      aux_sym_alter_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(12017), 2,
      sym_rename_object,
      sym_change_ownership,
  [448988] = 8,
    ACTIONS(8886), 1,
      sym_keyword_order,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    STATE(7284), 1,
      sym_window_clause,
    STATE(7391), 1,
      sym_order_by,
    STATE(7693), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9046), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [449023] = 4,
    ACTIONS(1378), 1,
      aux_sym__single_quote_string_token2,
    STATE(87), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3304), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [449050] = 3,
    ACTIONS(12825), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2040), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [449075] = 8,
    ACTIONS(8886), 1,
      sym_keyword_order,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    STATE(7270), 1,
      sym_window_clause,
    STATE(7412), 1,
      sym_order_by,
    STATE(7733), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10960), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [449110] = 17,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1404), 1,
      sym_keyword_select,
    ACTIONS(1414), 1,
      sym_keyword_show,
    ACTIONS(12435), 1,
      sym_keyword_values,
    ACTIONS(12437), 1,
      sym_keyword_set,
    ACTIONS(12441), 1,
      anon_sym_LPAREN,
    ACTIONS(12451), 1,
      sym_keyword_as,
    STATE(7640), 1,
      sym_select,
    STATE(7734), 1,
      sym__column_list,
    STATE(7758), 1,
      sym__select_statement,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(8481), 1,
      sym__cte,
    STATE(8698), 1,
      sym__set_values,
    STATE(8702), 1,
      sym__insert_values,
    STATE(9649), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [449163] = 5,
    ACTIONS(12737), 1,
      anon_sym_COMMA,
    STATE(7113), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12686), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12688), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [449192] = 5,
    ACTIONS(12737), 1,
      anon_sym_COMMA,
    STATE(7089), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12686), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12688), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [449221] = 8,
    ACTIONS(8886), 1,
      sym_keyword_order,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    STATE(7303), 1,
      sym_window_clause,
    STATE(7363), 1,
      sym_order_by,
    STATE(7645), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12827), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [449256] = 17,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12411), 1,
      sym_keyword_set,
    ACTIONS(12419), 1,
      anon_sym_LPAREN,
    ACTIONS(12829), 1,
      sym_keyword_as,
    STATE(7578), 1,
      sym_select,
    STATE(7618), 1,
      sym__column_list,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8458), 1,
      sym__cte,
    STATE(8664), 1,
      sym__set_values,
    STATE(8665), 1,
      sym__insert_values,
    STATE(8738), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [449309] = 5,
    ACTIONS(12737), 1,
      anon_sym_COMMA,
    STATE(7089), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12728), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12730), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [449338] = 3,
    ACTIONS(12831), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2070), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [449363] = 3,
    ACTIONS(12833), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2108), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [449388] = 3,
    ACTIONS(12835), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2028), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [449413] = 3,
    ACTIONS(12837), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2170), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [449438] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1939), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [449461] = 3,
    ACTIONS(12839), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2196), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [449486] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2192), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [449509] = 3,
    ACTIONS(12841), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2186), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [449534] = 3,
    ACTIONS(12843), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2180), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [449559] = 3,
    ACTIONS(12845), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2132), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [449584] = 3,
    ACTIONS(12847), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2126), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [449609] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12680), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
    STATE(7102), 14,
      sym__create_statement,
      sym_create_table,
      sym_create_view,
      sym_create_materialized_view,
      sym_create_function,
      sym_create_index,
      sym_create_schema,
      sym_create_database,
      sym_create_role,
      sym_create_sequence,
      sym_create_extension,
      sym_create_trigger,
      sym_create_type,
      aux_sym__create_statement_repeat1,
  [449634] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2046), 16,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
  [449657] = 3,
    ACTIONS(12849), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2034), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [449682] = 3,
    ACTIONS(12851), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2056), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [449707] = 3,
    ACTIONS(12853), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [449732] = 3,
    ACTIONS(12855), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2090), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [449757] = 3,
    ACTIONS(12857), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2102), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [449782] = 3,
    ACTIONS(12859), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2114), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [449807] = 3,
    ACTIONS(12700), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1829), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [449832] = 3,
    ACTIONS(12861), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2162), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [449857] = 3,
    ACTIONS(12863), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2034), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [449882] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12359), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12361), 11,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_as,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym__identifier,
  [449907] = 5,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    STATE(7145), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(7305), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3300), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [449936] = 4,
    ACTIONS(12865), 1,
      aux_sym__single_quote_string_token2,
    STATE(7105), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3277), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [449963] = 6,
    ACTIONS(6654), 1,
      sym_keyword_having,
    ACTIONS(6658), 1,
      anon_sym_COMMA,
    STATE(7155), 1,
      aux_sym_array_repeat1,
    STATE(7482), 1,
      sym__having,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12702), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [449994] = 3,
    ACTIONS(12623), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1829), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450019] = 3,
    ACTIONS(12867), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2138), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450044] = 3,
    ACTIONS(12869), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2090), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450069] = 3,
    ACTIONS(12871), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2114), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450094] = 3,
    ACTIONS(12873), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2056), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450119] = 5,
    ACTIONS(12875), 1,
      anon_sym_LBRACK,
    STATE(7145), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(7305), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2021), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [450148] = 3,
    ACTIONS(12878), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2102), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450173] = 3,
    ACTIONS(12880), 1,
      sym_keyword_zerofill,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450198] = 10,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10056), 1,
      sym_keyword_order,
    ACTIONS(10058), 1,
      sym_keyword_group,
    STATE(7378), 1,
      sym_group_by,
    STATE(7529), 1,
      sym_order_by,
    STATE(7671), 1,
      sym_window_clause,
    STATE(7863), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10958), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [450236] = 16,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12411), 1,
      sym_keyword_set,
    ACTIONS(12419), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7618), 1,
      sym__column_list,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8458), 1,
      sym__cte,
    STATE(8627), 1,
      sym__set_values,
    STATE(8628), 1,
      sym__insert_values,
    STATE(8738), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [450286] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2352), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450308] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2348), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450330] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2344), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450352] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2340), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450374] = 4,
    ACTIONS(12882), 1,
      aux_sym__single_quote_string_token2,
    STATE(7183), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3304), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [450400] = 4,
    ACTIONS(12884), 1,
      anon_sym_COMMA,
    STATE(7155), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6707), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [450426] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2336), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450448] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2332), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450470] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2328), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450492] = 8,
    ACTIONS(9116), 1,
      sym_keyword_order,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    STATE(7399), 1,
      sym_window_clause,
    STATE(7513), 1,
      sym_order_by,
    STATE(7781), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8938), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [450526] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2300), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450548] = 16,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1404), 1,
      sym_keyword_select,
    ACTIONS(1414), 1,
      sym_keyword_show,
    ACTIONS(12435), 1,
      sym_keyword_values,
    ACTIONS(12437), 1,
      sym_keyword_set,
    ACTIONS(12441), 1,
      anon_sym_LPAREN,
    STATE(7640), 1,
      sym_select,
    STATE(7734), 1,
      sym__column_list,
    STATE(7758), 1,
      sym__select_statement,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(8481), 1,
      sym__cte,
    STATE(8798), 1,
      sym__set_values,
    STATE(8799), 1,
      sym__insert_values,
    STATE(9649), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [450598] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2324), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450620] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2320), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450642] = 16,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12411), 1,
      sym_keyword_set,
    ACTIONS(12419), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7618), 1,
      sym__column_list,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8458), 1,
      sym__cte,
    STATE(8564), 1,
      sym__set_values,
    STATE(8565), 1,
      sym__insert_values,
    STATE(8738), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [450692] = 16,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12411), 1,
      sym_keyword_set,
    ACTIONS(12419), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7618), 1,
      sym__column_list,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8458), 1,
      sym__cte,
    STATE(8719), 1,
      sym__set_values,
    STATE(8721), 1,
      sym__insert_values,
    STATE(8738), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [450742] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2150), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450764] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2084), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450786] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2202), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450808] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2216), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450830] = 4,
    ACTIONS(12882), 1,
      aux_sym__single_quote_string_token2,
    STATE(7183), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1374), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [450856] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12887), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12889), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [450880] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2260), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450902] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2256), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450924] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2208), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450946] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2252), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450968] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2248), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [450990] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2212), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451012] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2138), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451034] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2224), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451056] = 16,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12429), 1,
      sym_keyword_set,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(7683), 1,
      sym__column_list,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(8738), 1,
      sym__dml_read,
    STATE(9626), 1,
      sym__insert_values,
    STATE(9637), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [451106] = 16,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1404), 1,
      sym_keyword_select,
    ACTIONS(1414), 1,
      sym_keyword_show,
    ACTIONS(12435), 1,
      sym_keyword_values,
    ACTIONS(12437), 1,
      sym_keyword_set,
    ACTIONS(12441), 1,
      anon_sym_LPAREN,
    STATE(7640), 1,
      sym_select,
    STATE(7734), 1,
      sym__column_list,
    STATE(7758), 1,
      sym__select_statement,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(8481), 1,
      sym__cte,
    STATE(8727), 1,
      sym__set_values,
    STATE(8728), 1,
      sym__insert_values,
    STATE(9649), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [451156] = 8,
    ACTIONS(9116), 1,
      sym_keyword_order,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    STATE(7451), 1,
      sym_window_clause,
    STATE(7581), 1,
      sym_order_by,
    STATE(7832), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12633), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [451190] = 4,
    ACTIONS(12891), 1,
      aux_sym__single_quote_string_token2,
    STATE(7183), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1367), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [451216] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2114), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451238] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2102), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451260] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12894), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12896), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [451284] = 3,
    ACTIONS(1384), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1380), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [451308] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2090), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451330] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2064), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451352] = 4,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    STATE(7467), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3481), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [451378] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2056), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451400] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2376), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451422] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2380), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451444] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1829), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451466] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2034), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451488] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2144), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451510] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2280), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451532] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2360), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451554] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2292), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451576] = 8,
    ACTIONS(9116), 1,
      sym_keyword_order,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    STATE(7478), 1,
      sym_window_clause,
    STATE(7567), 1,
      sym_order_by,
    STATE(7875), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12827), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [451610] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2364), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451632] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2076), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451654] = 4,
    ACTIONS(12898), 1,
      aux_sym__single_quote_string_token2,
    STATE(7170), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1361), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [451680] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2156), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451702] = 16,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1404), 1,
      sym_keyword_select,
    ACTIONS(1414), 1,
      sym_keyword_show,
    ACTIONS(12435), 1,
      sym_keyword_values,
    ACTIONS(12437), 1,
      sym_keyword_set,
    ACTIONS(12441), 1,
      anon_sym_LPAREN,
    STATE(7640), 1,
      sym_select,
    STATE(7734), 1,
      sym__column_list,
    STATE(7758), 1,
      sym__select_statement,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(8481), 1,
      sym__cte,
    STATE(8879), 1,
      sym__set_values,
    STATE(8880), 1,
      sym__insert_values,
    STATE(9649), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [451752] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2276), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451774] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2220), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451796] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2240), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451818] = 16,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12411), 1,
      sym_keyword_set,
    ACTIONS(12419), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7618), 1,
      sym__column_list,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8458), 1,
      sym__cte,
    STATE(8738), 1,
      sym__dml_read,
    STATE(8793), 1,
      sym__set_values,
    STATE(8794), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [451868] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2388), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451890] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2384), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451912] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2244), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451934] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2264), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451956] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2284), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [451978] = 16,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12411), 1,
      sym_keyword_set,
    ACTIONS(12419), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7618), 1,
      sym__column_list,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8458), 1,
      sym__cte,
    STATE(8669), 1,
      sym__set_values,
    STATE(8670), 1,
      sym__insert_values,
    STATE(8738), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [452028] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2312), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [452050] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2272), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [452072] = 16,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12429), 1,
      sym_keyword_set,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(7683), 1,
      sym__column_list,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(8738), 1,
      sym__dml_read,
    STATE(9651), 1,
      sym__set_values,
    STATE(9672), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [452122] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2268), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [452144] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2236), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [452166] = 16,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1404), 1,
      sym_keyword_select,
    ACTIONS(1414), 1,
      sym_keyword_show,
    ACTIONS(12435), 1,
      sym_keyword_values,
    ACTIONS(12437), 1,
      sym_keyword_set,
    ACTIONS(12441), 1,
      anon_sym_LPAREN,
    STATE(7640), 1,
      sym_select,
    STATE(7734), 1,
      sym__column_list,
    STATE(7758), 1,
      sym__select_statement,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(8481), 1,
      sym__cte,
    STATE(8848), 1,
      sym__insert_values,
    STATE(8849), 1,
      sym__set_values,
    STATE(9649), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [452216] = 8,
    ACTIONS(9116), 1,
      sym_keyword_order,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    STATE(7423), 1,
      sym_window_clause,
    STATE(7500), 1,
      sym_order_by,
    STATE(7825), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10960), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [452250] = 8,
    ACTIONS(9116), 1,
      sym_keyword_order,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    STATE(7386), 1,
      sym_window_clause,
    STATE(7529), 1,
      sym_order_by,
    STATE(7863), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10958), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [452284] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2228), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [452306] = 7,
    ACTIONS(12900), 1,
      sym_keyword_array,
    ACTIONS(12902), 1,
      anon_sym_LBRACK,
    STATE(2683), 1,
      sym__array_size_definition,
    STATE(2710), 1,
      sym_array_size_definition,
    STATE(7361), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2878), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [452338] = 16,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12429), 1,
      sym_keyword_set,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(7683), 1,
      sym__column_list,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(8738), 1,
      sym__dml_read,
    STATE(9469), 1,
      sym__set_values,
    STATE(9471), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [452388] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12904), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12906), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [452412] = 6,
    ACTIONS(6769), 1,
      sym_keyword_having,
    ACTIONS(6771), 1,
      anon_sym_COMMA,
    STATE(7294), 1,
      sym__having,
    STATE(7297), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12702), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [452442] = 7,
    ACTIONS(12900), 1,
      sym_keyword_array,
    ACTIONS(12902), 1,
      anon_sym_LBRACK,
    STATE(2682), 1,
      sym_array_size_definition,
    STATE(2683), 1,
      sym__array_size_definition,
    STATE(7361), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2811), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [452474] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1969), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [452496] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12908), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12910), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [452520] = 4,
    ACTIONS(12912), 1,
      aux_sym__single_quote_string_token2,
    STATE(7154), 1,
      aux_sym__single_quote_string_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3277), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [452546] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2232), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [452568] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2356), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [452590] = 16,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1404), 1,
      sym_keyword_select,
    ACTIONS(1414), 1,
      sym_keyword_show,
    ACTIONS(12435), 1,
      sym_keyword_values,
    ACTIONS(12437), 1,
      sym_keyword_set,
    ACTIONS(12441), 1,
      anon_sym_LPAREN,
    STATE(7640), 1,
      sym_select,
    STATE(7734), 1,
      sym__column_list,
    STATE(7758), 1,
      sym__select_statement,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(8481), 1,
      sym__cte,
    STATE(8763), 1,
      sym__insert_values,
    STATE(8764), 1,
      sym__set_values,
    STATE(9649), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [452640] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1803), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [452662] = 10,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10056), 1,
      sym_keyword_order,
    ACTIONS(10058), 1,
      sym_keyword_group,
    STATE(7374), 1,
      sym_group_by,
    STATE(7581), 1,
      sym_order_by,
    STATE(7667), 1,
      sym_window_clause,
    STATE(7832), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12633), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [452700] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2096), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [452722] = 10,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10056), 1,
      sym_keyword_order,
    ACTIONS(10058), 1,
      sym_keyword_group,
    STATE(7393), 1,
      sym_group_by,
    STATE(7513), 1,
      sym_order_by,
    STATE(7705), 1,
      sym_window_clause,
    STATE(7781), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8938), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [452760] = 16,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12429), 1,
      sym_keyword_set,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(7683), 1,
      sym__column_list,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(8738), 1,
      sym__dml_read,
    STATE(9534), 1,
      sym__set_values,
    STATE(9547), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [452810] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12914), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12916), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [452834] = 8,
    ACTIONS(9116), 1,
      sym_keyword_order,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    STATE(7362), 1,
      sym_window_clause,
    STATE(7565), 1,
      sym_order_by,
    STATE(7884), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9046), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [452868] = 10,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10056), 1,
      sym_keyword_order,
    ACTIONS(10058), 1,
      sym_keyword_group,
    STATE(7390), 1,
      sym_group_by,
    STATE(7565), 1,
      sym_order_by,
    STATE(7690), 1,
      sym_window_clause,
    STATE(7884), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9046), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [452906] = 10,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10056), 1,
      sym_keyword_order,
    ACTIONS(10058), 1,
      sym_keyword_group,
    STATE(7388), 1,
      sym_group_by,
    STATE(7500), 1,
      sym_order_by,
    STATE(7685), 1,
      sym_window_clause,
    STATE(7825), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10960), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [452944] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12918), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12920), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [452968] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2372), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [452990] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2368), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [453012] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2296), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [453034] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2304), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [453056] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2308), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [453078] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2316), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [453100] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2288), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [453122] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2040), 15,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      sym_keyword_array,
      anon_sym_LBRACK,
  [453144] = 16,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12429), 1,
      sym_keyword_set,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(7683), 1,
      sym__column_list,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(8738), 1,
      sym__dml_read,
    STATE(9585), 1,
      sym__set_values,
    STATE(9586), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [453194] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12922), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12924), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [453218] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12926), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12928), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [453242] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12914), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12916), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [453265] = 6,
    ACTIONS(8886), 1,
      sym_keyword_order,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    STATE(7363), 1,
      sym_order_by,
    STATE(7645), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12827), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [453294] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12904), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12906), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [453317] = 6,
    ACTIONS(8886), 1,
      sym_keyword_order,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    STATE(7355), 1,
      sym_order_by,
    STATE(7681), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12633), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [453346] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12926), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12928), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [453369] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3447), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [453390] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(12940), 1,
      anon_sym_RPAREN,
    STATE(7266), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [453423] = 8,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    ACTIONS(9778), 1,
      sym_keyword_order,
    STATE(7341), 1,
      sym_order_by,
    STATE(7596), 1,
      sym_window_clause,
    STATE(7723), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8938), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [453456] = 12,
    ACTIONS(12944), 1,
      sym_keyword_increment,
    ACTIONS(12946), 1,
      sym_keyword_minvalue,
    ACTIONS(12948), 1,
      sym_keyword_maxvalue,
    ACTIONS(12950), 1,
      sym_keyword_owned,
    ACTIONS(12952), 1,
      sym_keyword_start,
    ACTIONS(12954), 1,
      sym_keyword_as,
    ACTIONS(12956), 1,
      sym_keyword_no,
    ACTIONS(12958), 1,
      sym_keyword_cycle,
    ACTIONS(12960), 1,
      sym_keyword_cache,
    STATE(7272), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12942), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [453497] = 8,
    ACTIONS(12965), 1,
      sym_keyword_freeze,
    ACTIONS(12971), 1,
      sym_keyword_header,
    ACTIONS(12974), 1,
      sym_keyword_format,
    ACTIONS(12977), 1,
      anon_sym_RPAREN,
    STATE(7266), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12968), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12962), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [453530] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(12979), 1,
      anon_sym_RPAREN,
    STATE(7266), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [453563] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3551), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [453584] = 13,
    ACTIONS(12782), 1,
      sym_keyword_increment,
    ACTIONS(12784), 1,
      sym_keyword_minvalue,
    ACTIONS(12786), 1,
      sym_keyword_maxvalue,
    ACTIONS(12788), 1,
      sym_keyword_owned,
    ACTIONS(12790), 1,
      sym_keyword_start,
    ACTIONS(12792), 1,
      sym_keyword_restart,
    ACTIONS(12794), 1,
      sym_keyword_as,
    ACTIONS(12796), 1,
      sym_keyword_no,
    ACTIONS(12804), 1,
      sym_keyword_cache,
    ACTIONS(12983), 1,
      sym_keyword_cycle,
    STATE(7318), 1,
      aux_sym_alter_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12981), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [453627] = 6,
    ACTIONS(8886), 1,
      sym_keyword_order,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    STATE(7387), 1,
      sym_order_by,
    STATE(7684), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10958), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [453656] = 15,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(4047), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4055), 1,
      sym__dollar_quoted_string,
    ACTIONS(12985), 1,
      anon_sym_LPAREN,
    ACTIONS(12987), 1,
      anon_sym_RPAREN,
    ACTIONS(12989), 1,
      sym__double_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(2112), 1,
      sym__single_quote_string,
    STATE(7570), 1,
      sym_invocation,
    STATE(7573), 1,
      sym__column,
    STATE(7649), 1,
      sym_identifier,
    STATE(11147), 1,
      sym__index_field,
    STATE(12879), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [453703] = 12,
    ACTIONS(12993), 1,
      sym_keyword_increment,
    ACTIONS(12996), 1,
      sym_keyword_minvalue,
    ACTIONS(12999), 1,
      sym_keyword_maxvalue,
    ACTIONS(13002), 1,
      sym_keyword_owned,
    ACTIONS(13005), 1,
      sym_keyword_start,
    ACTIONS(13008), 1,
      sym_keyword_as,
    ACTIONS(13011), 1,
      sym_keyword_no,
    ACTIONS(13014), 1,
      sym_keyword_cycle,
    ACTIONS(13017), 1,
      sym_keyword_cache,
    STATE(7272), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12991), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [453744] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [453765] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(13020), 1,
      anon_sym_RPAREN,
    STATE(7266), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [453798] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(13022), 1,
      anon_sym_RPAREN,
    STATE(7266), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [453831] = 13,
    ACTIONS(12782), 1,
      sym_keyword_increment,
    ACTIONS(12784), 1,
      sym_keyword_minvalue,
    ACTIONS(12786), 1,
      sym_keyword_maxvalue,
    ACTIONS(12788), 1,
      sym_keyword_owned,
    ACTIONS(12790), 1,
      sym_keyword_start,
    ACTIONS(12792), 1,
      sym_keyword_restart,
    ACTIONS(12794), 1,
      sym_keyword_as,
    ACTIONS(12796), 1,
      sym_keyword_no,
    ACTIONS(12804), 1,
      sym_keyword_cache,
    ACTIONS(12983), 1,
      sym_keyword_cycle,
    STATE(7318), 1,
      aux_sym_alter_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13024), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [453874] = 12,
    ACTIONS(12944), 1,
      sym_keyword_increment,
    ACTIONS(12946), 1,
      sym_keyword_minvalue,
    ACTIONS(12948), 1,
      sym_keyword_maxvalue,
    ACTIONS(12950), 1,
      sym_keyword_owned,
    ACTIONS(12952), 1,
      sym_keyword_start,
    ACTIONS(12954), 1,
      sym_keyword_as,
    ACTIONS(12956), 1,
      sym_keyword_no,
    ACTIONS(12958), 1,
      sym_keyword_cycle,
    ACTIONS(12960), 1,
      sym_keyword_cache,
    STATE(7272), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13026), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [453915] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(13028), 1,
      anon_sym_RPAREN,
    STATE(7266), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [453948] = 6,
    ACTIONS(8886), 1,
      sym_keyword_order,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    STATE(7341), 1,
      sym_order_by,
    STATE(7723), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8938), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [453977] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(13030), 1,
      anon_sym_RPAREN,
    STATE(7266), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [454010] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(13032), 1,
      anon_sym_RPAREN,
    STATE(7266), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [454043] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3459), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [454064] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12702), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [454085] = 6,
    ACTIONS(8886), 1,
      sym_keyword_order,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    STATE(7412), 1,
      sym_order_by,
    STATE(7733), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10960), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [454114] = 15,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(4047), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4055), 1,
      sym__dollar_quoted_string,
    ACTIONS(12985), 1,
      anon_sym_LPAREN,
    ACTIONS(12989), 1,
      sym__double_quote_string,
    ACTIONS(13034), 1,
      anon_sym_RPAREN,
    STATE(138), 1,
      sym__literal_string,
    STATE(2112), 1,
      sym__single_quote_string,
    STATE(7570), 1,
      sym_invocation,
    STATE(7573), 1,
      sym__column,
    STATE(7649), 1,
      sym_identifier,
    STATE(10995), 1,
      sym__index_field,
    STATE(12879), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [454161] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(13036), 1,
      anon_sym_RPAREN,
    STATE(7266), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [454194] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12922), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12924), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [454217] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3555), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [454238] = 12,
    ACTIONS(12944), 1,
      sym_keyword_increment,
    ACTIONS(12946), 1,
      sym_keyword_minvalue,
    ACTIONS(12948), 1,
      sym_keyword_maxvalue,
    ACTIONS(12950), 1,
      sym_keyword_owned,
    ACTIONS(12952), 1,
      sym_keyword_start,
    ACTIONS(12954), 1,
      sym_keyword_as,
    ACTIONS(12956), 1,
      sym_keyword_no,
    ACTIONS(12960), 1,
      sym_keyword_cache,
    ACTIONS(13040), 1,
      sym_keyword_cycle,
    STATE(7265), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13038), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [454279] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12908), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12910), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [454302] = 8,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    ACTIONS(9778), 1,
      sym_keyword_order,
    STATE(7363), 1,
      sym_order_by,
    STATE(7571), 1,
      sym_window_clause,
    STATE(7645), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12827), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [454335] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12918), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12920), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [454358] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(13042), 1,
      anon_sym_RPAREN,
    STATE(7266), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [454391] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13044), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [454412] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(13046), 1,
      anon_sym_RPAREN,
    STATE(7266), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [454445] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(13048), 1,
      anon_sym_RPAREN,
    STATE(7266), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [454478] = 4,
    ACTIONS(13050), 1,
      anon_sym_COMMA,
    STATE(7297), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6707), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
      anon_sym_RPAREN,
  [454503] = 15,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10693), 1,
      sym_keyword_if,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    ACTIONS(13053), 1,
      sym_keyword_column,
    ACTIONS(13055), 1,
      sym_keyword_constraint,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(123), 1,
      sym_identifier,
    STATE(138), 1,
      sym__literal_string,
    STATE(7837), 1,
      sym__if_not_exists,
    STATE(8286), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [454550] = 6,
    ACTIONS(8886), 1,
      sym_keyword_order,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    STATE(7391), 1,
      sym_order_by,
    STATE(7693), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9046), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [454579] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(13057), 1,
      anon_sym_RPAREN,
    STATE(7266), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [454612] = 12,
    ACTIONS(12944), 1,
      sym_keyword_increment,
    ACTIONS(12946), 1,
      sym_keyword_minvalue,
    ACTIONS(12948), 1,
      sym_keyword_maxvalue,
    ACTIONS(12950), 1,
      sym_keyword_owned,
    ACTIONS(12952), 1,
      sym_keyword_start,
    ACTIONS(12954), 1,
      sym_keyword_as,
    ACTIONS(12956), 1,
      sym_keyword_no,
    ACTIONS(12960), 1,
      sym_keyword_cache,
    ACTIONS(13061), 1,
      sym_keyword_cycle,
    STATE(7277), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13059), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [454653] = 4,
    ACTIONS(13063), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6707), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
  [454678] = 6,
    ACTIONS(8886), 1,
      sym_keyword_order,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    STATE(7360), 1,
      sym_order_by,
    STATE(7651), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13066), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [454707] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12894), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12896), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [454730] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2404), 14,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_LBRACK,
  [454751] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12887), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(12889), 10,
      sym_keyword_create,
      sym_keyword_in,
      sym_keyword_user,
      sym_keyword_admin,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym_keyword_role,
      sym__identifier,
  [454774] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(13068), 1,
      anon_sym_RPAREN,
    STATE(7266), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [454807] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(13070), 1,
      anon_sym_RPAREN,
    STATE(7266), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [454840] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(13072), 1,
      anon_sym_RPAREN,
    STATE(7266), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [454873] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2408), 14,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_LBRACK,
  [454894] = 12,
    ACTIONS(12944), 1,
      sym_keyword_increment,
    ACTIONS(12946), 1,
      sym_keyword_minvalue,
    ACTIONS(12948), 1,
      sym_keyword_maxvalue,
    ACTIONS(12950), 1,
      sym_keyword_owned,
    ACTIONS(12952), 1,
      sym_keyword_start,
    ACTIONS(12954), 1,
      sym_keyword_as,
    ACTIONS(12956), 1,
      sym_keyword_no,
    ACTIONS(12960), 1,
      sym_keyword_cache,
    ACTIONS(13076), 1,
      sym_keyword_cycle,
    STATE(7313), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13074), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [454935] = 3,
    ACTIONS(1384), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1380), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [454958] = 12,
    ACTIONS(12944), 1,
      sym_keyword_increment,
    ACTIONS(12946), 1,
      sym_keyword_minvalue,
    ACTIONS(12948), 1,
      sym_keyword_maxvalue,
    ACTIONS(12950), 1,
      sym_keyword_owned,
    ACTIONS(12952), 1,
      sym_keyword_start,
    ACTIONS(12954), 1,
      sym_keyword_as,
    ACTIONS(12956), 1,
      sym_keyword_no,
    ACTIONS(12958), 1,
      sym_keyword_cycle,
    ACTIONS(12960), 1,
      sym_keyword_cache,
    STATE(7272), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13078), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [454999] = 15,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10693), 1,
      sym_keyword_if,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    ACTIONS(13080), 1,
      sym_keyword_column,
    ACTIONS(13082), 1,
      sym_keyword_constraint,
    STATE(24), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(121), 1,
      sym_identifier,
    STATE(138), 1,
      sym__literal_string,
    STATE(7802), 1,
      sym__if_not_exists,
    STATE(8805), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [455046] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(13084), 1,
      anon_sym_RPAREN,
    STATE(7266), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [455079] = 8,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    ACTIONS(9778), 1,
      sym_keyword_order,
    STATE(7355), 1,
      sym_order_by,
    STATE(7580), 1,
      sym_window_clause,
    STATE(7681), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12633), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [455112] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(13086), 1,
      anon_sym_RPAREN,
    STATE(7266), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [455145] = 13,
    ACTIONS(13090), 1,
      sym_keyword_increment,
    ACTIONS(13093), 1,
      sym_keyword_minvalue,
    ACTIONS(13096), 1,
      sym_keyword_maxvalue,
    ACTIONS(13099), 1,
      sym_keyword_owned,
    ACTIONS(13102), 1,
      sym_keyword_start,
    ACTIONS(13105), 1,
      sym_keyword_restart,
    ACTIONS(13108), 1,
      sym_keyword_as,
    ACTIONS(13111), 1,
      sym_keyword_no,
    ACTIONS(13114), 1,
      sym_keyword_cycle,
    ACTIONS(13117), 1,
      sym_keyword_cache,
    STATE(7318), 1,
      aux_sym_alter_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13088), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [455188] = 8,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    ACTIONS(9778), 1,
      sym_keyword_order,
    STATE(7387), 1,
      sym_order_by,
    STATE(7587), 1,
      sym_window_clause,
    STATE(7684), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10958), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [455221] = 8,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    ACTIONS(9778), 1,
      sym_keyword_order,
    STATE(7412), 1,
      sym_order_by,
    STATE(7590), 1,
      sym_window_clause,
    STATE(7733), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10960), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [455254] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2392), 14,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_LBRACK,
  [455275] = 8,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(8894), 1,
      sym_keyword_window,
    ACTIONS(9778), 1,
      sym_keyword_order,
    STATE(7391), 1,
      sym_order_by,
    STATE(7594), 1,
      sym_window_clause,
    STATE(7693), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9046), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [455308] = 8,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    ACTIONS(13120), 1,
      anon_sym_RPAREN,
    STATE(7266), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [455341] = 6,
    ACTIONS(6961), 1,
      sym_keyword_having,
    ACTIONS(6963), 1,
      anon_sym_COMMA,
    STATE(7482), 1,
      sym__having,
    STATE(7490), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12702), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [455370] = 10,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13130), 1,
      sym_keyword_on,
    ACTIONS(13132), 1,
      sym_keyword_using,
    STATE(8099), 1,
      sym_index_hint,
    STATE(11969), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [455406] = 14,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12419), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7618), 1,
      sym__column_list,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8458), 1,
      sym__cte,
    STATE(8738), 1,
      sym__dml_read,
    STATE(9885), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [455450] = 4,
    ACTIONS(13136), 1,
      anon_sym_COMMA,
    STATE(7366), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13134), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [455474] = 12,
    ACTIONS(13138), 1,
      sym_keyword_increment,
    ACTIONS(13140), 1,
      sym_keyword_minvalue,
    ACTIONS(13142), 1,
      sym_keyword_maxvalue,
    ACTIONS(13144), 1,
      sym_keyword_owned,
    ACTIONS(13146), 1,
      sym_keyword_start,
    ACTIONS(13148), 1,
      sym_keyword_as,
    ACTIONS(13150), 1,
      sym_keyword_no,
    ACTIONS(13152), 1,
      sym_keyword_cycle,
    ACTIONS(13154), 1,
      sym_keyword_cache,
    STATE(7442), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12942), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [455514] = 10,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13156), 1,
      sym_keyword_on,
    ACTIONS(13158), 1,
      sym_keyword_using,
    STATE(8074), 1,
      sym_index_hint,
    STATE(12236), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [455550] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1380), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [455570] = 14,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10693), 1,
      sym_keyword_if,
    ACTIONS(13160), 1,
      sym_keyword_on,
    ACTIONS(13162), 1,
      sym_keyword_concurrently,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7947), 1,
      sym__if_not_exists,
    STATE(13512), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [455614] = 14,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12419), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7618), 1,
      sym__column_list,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8458), 1,
      sym__cte,
    STATE(8738), 1,
      sym__dml_read,
    STATE(9922), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [455658] = 14,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    ACTIONS(13164), 1,
      sym_keyword_column,
    ACTIONS(13166), 1,
      sym_keyword_if,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7828), 1,
      sym__if_exists,
    STATE(8288), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [455702] = 12,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(13170), 1,
      sym_keyword_role,
    ACTIONS(13172), 1,
      sym_keyword_transaction,
    ACTIONS(13174), 1,
      sym_keyword_local,
    ACTIONS(13176), 1,
      sym_keyword_session,
    ACTIONS(13178), 1,
      sym_keyword_constraints,
    ACTIONS(13180), 1,
      sym_keyword_time,
    STATE(5623), 1,
      sym_identifier,
    STATE(11763), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13168), 2,
      sym_keyword_schema,
      sym_keyword_names,
  [455742] = 14,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12419), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7618), 1,
      sym__column_list,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8458), 1,
      sym__cte,
    STATE(8738), 1,
      sym__dml_read,
    STATE(10012), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [455786] = 14,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12419), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7618), 1,
      sym__column_list,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8458), 1,
      sym__cte,
    STATE(8738), 1,
      sym__dml_read,
    STATE(10310), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [455830] = 14,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10693), 1,
      sym_keyword_if,
    ACTIONS(13182), 1,
      sym_keyword_on,
    ACTIONS(13184), 1,
      sym_keyword_concurrently,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7920), 1,
      sym__if_not_exists,
    STATE(14010), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [455874] = 10,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13186), 1,
      sym_keyword_on,
    ACTIONS(13188), 1,
      sym_keyword_using,
    STATE(7980), 1,
      sym_index_hint,
    STATE(12243), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [455910] = 4,
    ACTIONS(13192), 1,
      sym_keyword_offset,
    STATE(7720), 1,
      sym_offset,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13190), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [455934] = 10,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13194), 1,
      sym_keyword_on,
    ACTIONS(13196), 1,
      sym_keyword_using,
    STATE(7989), 1,
      sym_index_hint,
    STATE(12249), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [455970] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    STATE(7693), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9046), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [455994] = 14,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1404), 1,
      sym_keyword_select,
    ACTIONS(1414), 1,
      sym_keyword_show,
    ACTIONS(12435), 1,
      sym_keyword_values,
    ACTIONS(12441), 1,
      anon_sym_LPAREN,
    STATE(7640), 1,
      sym_select,
    STATE(7734), 1,
      sym__column_list,
    STATE(7758), 1,
      sym__select_statement,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(8481), 1,
      sym__cte,
    STATE(9649), 1,
      sym__dml_read,
    STATE(10557), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [456038] = 11,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(12471), 1,
      sym_keyword_password,
    ACTIONS(12473), 1,
      sym_keyword_encrypted,
    ACTIONS(12475), 1,
      sym_keyword_valid,
    ACTIONS(12477), 1,
      sym_keyword_connection,
    STATE(7227), 1,
      sym_identifier,
    STATE(7383), 1,
      aux_sym_alter_role_repeat1,
    STATE(7816), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13198), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [456076] = 4,
    ACTIONS(13202), 1,
      anon_sym_COMMA,
    STATE(7479), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13200), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [456100] = 14,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10693), 1,
      sym_keyword_if,
    ACTIONS(13204), 1,
      sym_keyword_on,
    ACTIONS(13206), 1,
      sym_keyword_concurrently,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7963), 1,
      sym__if_not_exists,
    STATE(13485), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [456144] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13208), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [456164] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13210), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [456184] = 4,
    ACTIONS(13202), 1,
      anon_sym_COMMA,
    STATE(7344), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13212), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [456208] = 10,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13196), 1,
      sym_keyword_using,
    ACTIONS(13214), 1,
      sym_keyword_on,
    STATE(7959), 1,
      sym_index_hint,
    STATE(12181), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [456244] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13216), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [456264] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13218), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [456284] = 10,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13158), 1,
      sym_keyword_using,
    ACTIONS(13220), 1,
      sym_keyword_on,
    STATE(7993), 1,
      sym_index_hint,
    STATE(12264), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [456320] = 10,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(10781), 1,
      sym_keyword_group,
    ACTIONS(10783), 1,
      sym_keyword_window,
    STATE(7355), 1,
      sym_order_by,
    STATE(7681), 1,
      sym_limit,
    STATE(7711), 1,
      sym_group_by,
    STATE(7951), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12633), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [456356] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13222), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [456376] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    STATE(7645), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12827), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [456400] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7307), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [456430] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13224), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [456450] = 10,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13196), 1,
      sym_keyword_using,
    ACTIONS(13226), 1,
      sym_keyword_on,
    STATE(7994), 1,
      sym_index_hint,
    STATE(11810), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [456486] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7296), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [456516] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    STATE(7653), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13228), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [456540] = 5,
    ACTIONS(12902), 1,
      anon_sym_LBRACK,
    STATE(2198), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(2683), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3300), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [456566] = 6,
    ACTIONS(9116), 1,
      sym_keyword_order,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    STATE(7500), 1,
      sym_order_by,
    STATE(7825), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10960), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [456594] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    STATE(7651), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13066), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [456618] = 10,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13230), 1,
      sym_keyword_on,
    ACTIONS(13232), 1,
      sym_keyword_using,
    STATE(7934), 1,
      sym_index_hint,
    STATE(12149), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [456654] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13234), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [456674] = 4,
    ACTIONS(13236), 1,
      anon_sym_COMMA,
    STATE(7366), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13234), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [456698] = 14,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12419), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7618), 1,
      sym__column_list,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8458), 1,
      sym__cte,
    STATE(8738), 1,
      sym__dml_read,
    STATE(10175), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [456742] = 14,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10693), 1,
      sym_keyword_if,
    ACTIONS(13239), 1,
      sym_keyword_on,
    ACTIONS(13241), 1,
      sym_keyword_concurrently,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7998), 1,
      sym__if_not_exists,
    STATE(14201), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [456786] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3579), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [456806] = 14,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10693), 1,
      sym_keyword_if,
    ACTIONS(13243), 1,
      sym_keyword_on,
    ACTIONS(13245), 1,
      sym_keyword_concurrently,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8014), 1,
      sym__if_not_exists,
    STATE(14227), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [456850] = 10,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(10781), 1,
      sym_keyword_group,
    ACTIONS(10783), 1,
      sym_keyword_window,
    STATE(7341), 1,
      sym_order_by,
    STATE(7628), 1,
      sym_group_by,
    STATE(7723), 1,
      sym_limit,
    STATE(7962), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8938), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [456886] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13247), 13,
      sym_keyword_default,
      sym_keyword_freeze,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_force_quote,
      sym_keyword_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
      sym_keyword_header,
      sym_keyword_format,
      sym_keyword_delimiter,
      sym_keyword_null,
      anon_sym_RPAREN,
  [456906] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12977), 13,
      sym_keyword_default,
      sym_keyword_freeze,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_force_quote,
      sym_keyword_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
      sym_keyword_header,
      sym_keyword_format,
      sym_keyword_delimiter,
      sym_keyword_null,
      anon_sym_RPAREN,
  [456926] = 8,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10056), 1,
      sym_keyword_order,
    STATE(7567), 1,
      sym_order_by,
    STATE(7665), 1,
      sym_window_clause,
    STATE(7875), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12827), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [456958] = 10,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13188), 1,
      sym_keyword_using,
    ACTIONS(13249), 1,
      sym_keyword_on,
    STATE(7919), 1,
      sym_index_hint,
    STATE(11869), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [456994] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3459), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [457014] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11830), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_nulls,
      anon_sym_COMMA,
  [457034] = 8,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10056), 1,
      sym_keyword_order,
    STATE(7581), 1,
      sym_order_by,
    STATE(7667), 1,
      sym_window_clause,
    STATE(7832), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12633), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [457066] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7286), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [457096] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3447), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [457116] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3555), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [457136] = 12,
    ACTIONS(13138), 1,
      sym_keyword_increment,
    ACTIONS(13140), 1,
      sym_keyword_minvalue,
    ACTIONS(13142), 1,
      sym_keyword_maxvalue,
    ACTIONS(13144), 1,
      sym_keyword_owned,
    ACTIONS(13146), 1,
      sym_keyword_start,
    ACTIONS(13148), 1,
      sym_keyword_as,
    ACTIONS(13150), 1,
      sym_keyword_no,
    ACTIONS(13154), 1,
      sym_keyword_cache,
    ACTIONS(13251), 1,
      sym_keyword_cycle,
    STATE(7433), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13074), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [457176] = 11,
    ACTIONS(13255), 1,
      sym__identifier,
    ACTIONS(13258), 1,
      sym_keyword_password,
    ACTIONS(13261), 1,
      sym_keyword_encrypted,
    ACTIONS(13264), 1,
      sym_keyword_valid,
    ACTIONS(13267), 1,
      sym_keyword_connection,
    STATE(7227), 1,
      sym_identifier,
    STATE(7383), 1,
      aux_sym_alter_role_repeat1,
    STATE(7816), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13270), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13253), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [457214] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3551), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [457234] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7267), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [457264] = 6,
    ACTIONS(9116), 1,
      sym_keyword_order,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    STATE(7581), 1,
      sym_order_by,
    STATE(7832), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12633), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [457292] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    STATE(7681), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12633), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [457316] = 8,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10056), 1,
      sym_keyword_order,
    STATE(7529), 1,
      sym_order_by,
    STATE(7671), 1,
      sym_window_clause,
    STATE(7863), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10958), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [457348] = 14,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1404), 1,
      sym_keyword_select,
    ACTIONS(1414), 1,
      sym_keyword_show,
    ACTIONS(12435), 1,
      sym_keyword_values,
    ACTIONS(12441), 1,
      anon_sym_LPAREN,
    STATE(7640), 1,
      sym_select,
    STATE(7734), 1,
      sym__column_list,
    STATE(7758), 1,
      sym__select_statement,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(8481), 1,
      sym__cte,
    STATE(9649), 1,
      sym__dml_read,
    STATE(10591), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [457392] = 8,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10056), 1,
      sym_keyword_order,
    STATE(7500), 1,
      sym_order_by,
    STATE(7685), 1,
      sym_window_clause,
    STATE(7825), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10960), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [457424] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    STATE(7733), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10960), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [457448] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7275), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [457478] = 8,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10056), 1,
      sym_keyword_order,
    STATE(7565), 1,
      sym_order_by,
    STATE(7690), 1,
      sym_window_clause,
    STATE(7884), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9046), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [457510] = 14,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12419), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7618), 1,
      sym__column_list,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8458), 1,
      sym__cte,
    STATE(8738), 1,
      sym__dml_read,
    STATE(10070), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [457554] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7274), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [457584] = 8,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10056), 1,
      sym_keyword_order,
    STATE(7513), 1,
      sym_order_by,
    STATE(7705), 1,
      sym_window_clause,
    STATE(7781), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8938), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [457616] = 11,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(12471), 1,
      sym_keyword_password,
    ACTIONS(12473), 1,
      sym_keyword_encrypted,
    ACTIONS(12475), 1,
      sym_keyword_valid,
    ACTIONS(12477), 1,
      sym_keyword_connection,
    STATE(7227), 1,
      sym_identifier,
    STATE(7408), 1,
      aux_sym_alter_role_repeat1,
    STATE(7816), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13273), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [457654] = 10,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13188), 1,
      sym_keyword_using,
    ACTIONS(13275), 1,
      sym_keyword_on,
    STATE(7958), 1,
      sym_index_hint,
    STATE(12171), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [457690] = 6,
    ACTIONS(9116), 1,
      sym_keyword_order,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    STATE(7565), 1,
      sym_order_by,
    STATE(7884), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9046), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [457718] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7295), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [457748] = 10,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13158), 1,
      sym_keyword_using,
    ACTIONS(13277), 1,
      sym_keyword_on,
    STATE(7949), 1,
      sym_index_hint,
    STATE(12165), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [457784] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7309), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [457814] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13279), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [457834] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13281), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [457854] = 10,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13132), 1,
      sym_keyword_using,
    ACTIONS(13283), 1,
      sym_keyword_on,
    STATE(8083), 1,
      sym_index_hint,
    STATE(12196), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [457890] = 10,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13132), 1,
      sym_keyword_using,
    ACTIONS(13285), 1,
      sym_keyword_on,
    STATE(7946), 1,
      sym_index_hint,
    STATE(12164), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [457926] = 14,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    ACTIONS(13166), 1,
      sym_keyword_if,
    ACTIONS(13287), 1,
      sym_keyword_column,
    STATE(24), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7801), 1,
      sym__if_exists,
    STATE(8795), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [457970] = 11,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(12471), 1,
      sym_keyword_password,
    ACTIONS(12473), 1,
      sym_keyword_encrypted,
    ACTIONS(12475), 1,
      sym_keyword_valid,
    ACTIONS(12477), 1,
      sym_keyword_connection,
    STATE(7227), 1,
      sym_identifier,
    STATE(7383), 1,
      aux_sym_alter_role_repeat1,
    STATE(7816), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13289), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [458008] = 10,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13132), 1,
      sym_keyword_using,
    ACTIONS(13291), 1,
      sym_keyword_on,
    STATE(7984), 1,
      sym_index_hint,
    STATE(12009), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [458044] = 14,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1404), 1,
      sym_keyword_select,
    ACTIONS(1414), 1,
      sym_keyword_show,
    ACTIONS(12435), 1,
      sym_keyword_values,
    ACTIONS(12441), 1,
      anon_sym_LPAREN,
    STATE(7640), 1,
      sym_select,
    STATE(7734), 1,
      sym__column_list,
    STATE(7758), 1,
      sym__select_statement,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(8481), 1,
      sym__cte,
    STATE(9649), 1,
      sym__dml_read,
    STATE(10571), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [458088] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13293), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [458108] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    STATE(7684), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10958), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [458132] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7278), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [458162] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7280), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [458192] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7281), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [458222] = 13,
    ACTIONS(13295), 1,
      sym_keyword_increment,
    ACTIONS(13298), 1,
      sym_keyword_minvalue,
    ACTIONS(13301), 1,
      sym_keyword_maxvalue,
    ACTIONS(13304), 1,
      sym_keyword_owned,
    ACTIONS(13307), 1,
      sym_keyword_start,
    ACTIONS(13310), 1,
      sym_keyword_restart,
    ACTIONS(13313), 1,
      sym_keyword_as,
    ACTIONS(13316), 1,
      sym_keyword_no,
    ACTIONS(13319), 1,
      sym_keyword_cycle,
    ACTIONS(13322), 1,
      sym_keyword_cache,
    STATE(7416), 1,
      aux_sym_alter_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13088), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [458264] = 13,
    ACTIONS(12743), 1,
      sym_keyword_increment,
    ACTIONS(12745), 1,
      sym_keyword_minvalue,
    ACTIONS(12747), 1,
      sym_keyword_maxvalue,
    ACTIONS(12749), 1,
      sym_keyword_owned,
    ACTIONS(12751), 1,
      sym_keyword_start,
    ACTIONS(12753), 1,
      sym_keyword_restart,
    ACTIONS(12755), 1,
      sym_keyword_as,
    ACTIONS(12757), 1,
      sym_keyword_no,
    ACTIONS(12765), 1,
      sym_keyword_cache,
    ACTIONS(13325), 1,
      sym_keyword_cycle,
    STATE(7416), 1,
      aux_sym_alter_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13024), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [458306] = 14,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10693), 1,
      sym_keyword_if,
    ACTIONS(13327), 1,
      sym_keyword_on,
    ACTIONS(13329), 1,
      sym_keyword_concurrently,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7950), 1,
      sym__if_not_exists,
    STATE(14457), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [458350] = 10,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13331), 1,
      sym_keyword_on,
    ACTIONS(13333), 1,
      sym_keyword_using,
    STATE(8080), 1,
      sym_index_hint,
    STATE(12105), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [458386] = 10,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13196), 1,
      sym_keyword_using,
    ACTIONS(13335), 1,
      sym_keyword_on,
    STATE(8048), 1,
      sym_index_hint,
    STATE(12215), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [458422] = 10,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(10781), 1,
      sym_keyword_group,
    ACTIONS(10783), 1,
      sym_keyword_window,
    STATE(7387), 1,
      sym_order_by,
    STATE(7670), 1,
      sym_group_by,
    STATE(7684), 1,
      sym_limit,
    STATE(7979), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10958), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [458458] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13337), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [458478] = 6,
    ACTIONS(9116), 1,
      sym_keyword_order,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    STATE(7529), 1,
      sym_order_by,
    STATE(7863), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10958), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [458506] = 10,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13188), 1,
      sym_keyword_using,
    ACTIONS(13339), 1,
      sym_keyword_on,
    STATE(7981), 1,
      sym_index_hint,
    STATE(12210), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [458542] = 3,
    ACTIONS(13341), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12577), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_COMMA,
  [458564] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7308), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [458594] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    STATE(7723), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8938), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [458618] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13343), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [458638] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13345), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [458658] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7315), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [458688] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13347), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [458708] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13349), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [458728] = 12,
    ACTIONS(13138), 1,
      sym_keyword_increment,
    ACTIONS(13140), 1,
      sym_keyword_minvalue,
    ACTIONS(13142), 1,
      sym_keyword_maxvalue,
    ACTIONS(13144), 1,
      sym_keyword_owned,
    ACTIONS(13146), 1,
      sym_keyword_start,
    ACTIONS(13148), 1,
      sym_keyword_as,
    ACTIONS(13150), 1,
      sym_keyword_no,
    ACTIONS(13152), 1,
      sym_keyword_cycle,
    ACTIONS(13154), 1,
      sym_keyword_cache,
    STATE(7442), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13078), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [458768] = 10,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13232), 1,
      sym_keyword_using,
    ACTIONS(13351), 1,
      sym_keyword_on,
    STATE(8088), 1,
      sym_index_hint,
    STATE(12106), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [458804] = 10,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(10781), 1,
      sym_keyword_group,
    ACTIONS(10783), 1,
      sym_keyword_window,
    STATE(7412), 1,
      sym_order_by,
    STATE(7733), 1,
      sym_limit,
    STATE(7739), 1,
      sym_group_by,
    STATE(8089), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10960), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [458840] = 12,
    ACTIONS(13138), 1,
      sym_keyword_increment,
    ACTIONS(13140), 1,
      sym_keyword_minvalue,
    ACTIONS(13142), 1,
      sym_keyword_maxvalue,
    ACTIONS(13144), 1,
      sym_keyword_owned,
    ACTIONS(13146), 1,
      sym_keyword_start,
    ACTIONS(13148), 1,
      sym_keyword_as,
    ACTIONS(13150), 1,
      sym_keyword_no,
    ACTIONS(13154), 1,
      sym_keyword_cache,
    ACTIONS(13353), 1,
      sym_keyword_cycle,
    STATE(7328), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13038), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [458880] = 14,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(7683), 1,
      sym__column_list,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(8738), 1,
      sym__dml_read,
    STATE(10310), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [458924] = 3,
    ACTIONS(13355), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12611), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_COMMA,
  [458946] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7300), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [458976] = 10,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13357), 1,
      sym_keyword_on,
    ACTIONS(13359), 1,
      sym_keyword_using,
    STATE(8076), 1,
      sym_index_hint,
    STATE(12116), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [459012] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7263), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [459042] = 12,
    ACTIONS(13361), 1,
      sym_keyword_increment,
    ACTIONS(13364), 1,
      sym_keyword_minvalue,
    ACTIONS(13367), 1,
      sym_keyword_maxvalue,
    ACTIONS(13370), 1,
      sym_keyword_owned,
    ACTIONS(13373), 1,
      sym_keyword_start,
    ACTIONS(13376), 1,
      sym_keyword_as,
    ACTIONS(13379), 1,
      sym_keyword_no,
    ACTIONS(13382), 1,
      sym_keyword_cycle,
    ACTIONS(13385), 1,
      sym_keyword_cache,
    STATE(7442), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12991), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [459082] = 3,
    ACTIONS(2853), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2849), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_is,
      sym_keyword_with,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
      anon_sym_RPAREN,
      anon_sym_EQ,
  [459104] = 10,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13388), 1,
      sym_keyword_on,
    ACTIONS(13390), 1,
      sym_keyword_using,
    STATE(7911), 1,
      sym_index_hint,
    STATE(12156), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [459140] = 10,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13390), 1,
      sym_keyword_using,
    ACTIONS(13392), 1,
      sym_keyword_on,
    STATE(8073), 1,
      sym_index_hint,
    STATE(12121), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [459176] = 14,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1404), 1,
      sym_keyword_select,
    ACTIONS(1414), 1,
      sym_keyword_show,
    ACTIONS(12435), 1,
      sym_keyword_values,
    ACTIONS(12441), 1,
      anon_sym_LPAREN,
    STATE(7640), 1,
      sym_select,
    STATE(7734), 1,
      sym__column_list,
    STATE(7758), 1,
      sym__select_statement,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(8481), 1,
      sym__cte,
    STATE(9649), 1,
      sym__dml_read,
    STATE(10581), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [459220] = 14,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1404), 1,
      sym_keyword_select,
    ACTIONS(1414), 1,
      sym_keyword_show,
    ACTIONS(12435), 1,
      sym_keyword_values,
    ACTIONS(12441), 1,
      anon_sym_LPAREN,
    STATE(7640), 1,
      sym_select,
    STATE(7734), 1,
      sym__column_list,
    STATE(7758), 1,
      sym__select_statement,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(8481), 1,
      sym__cte,
    STATE(9649), 1,
      sym__dml_read,
    STATE(10516), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [459264] = 14,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(4047), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4055), 1,
      sym__dollar_quoted_string,
    ACTIONS(12985), 1,
      anon_sym_LPAREN,
    ACTIONS(12989), 1,
      sym__double_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(2112), 1,
      sym__single_quote_string,
    STATE(7570), 1,
      sym_invocation,
    STATE(7573), 1,
      sym__column,
    STATE(7649), 1,
      sym_identifier,
    STATE(11951), 1,
      sym__index_field,
    STATE(12879), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [459308] = 10,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13359), 1,
      sym_keyword_using,
    ACTIONS(13394), 1,
      sym_keyword_on,
    STATE(7912), 1,
      sym_index_hint,
    STATE(12151), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [459344] = 12,
    ACTIONS(13138), 1,
      sym_keyword_increment,
    ACTIONS(13140), 1,
      sym_keyword_minvalue,
    ACTIONS(13142), 1,
      sym_keyword_maxvalue,
    ACTIONS(13144), 1,
      sym_keyword_owned,
    ACTIONS(13146), 1,
      sym_keyword_start,
    ACTIONS(13148), 1,
      sym_keyword_as,
    ACTIONS(13150), 1,
      sym_keyword_no,
    ACTIONS(13152), 1,
      sym_keyword_cycle,
    ACTIONS(13154), 1,
      sym_keyword_cache,
    STATE(7442), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13026), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [459384] = 6,
    ACTIONS(9116), 1,
      sym_keyword_order,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    STATE(7567), 1,
      sym_order_by,
    STATE(7875), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12827), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [459412] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2400), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [459432] = 12,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(13398), 1,
      sym_keyword_role,
    ACTIONS(13400), 1,
      sym_keyword_transaction,
    ACTIONS(13402), 1,
      sym_keyword_local,
    ACTIONS(13404), 1,
      sym_keyword_session,
    ACTIONS(13406), 1,
      sym_keyword_constraints,
    ACTIONS(13408), 1,
      sym_keyword_time,
    STATE(5623), 1,
      sym_identifier,
    STATE(11566), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13396), 2,
      sym_keyword_schema,
      sym_keyword_names,
  [459472] = 14,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1404), 1,
      sym_keyword_select,
    ACTIONS(1414), 1,
      sym_keyword_show,
    ACTIONS(12435), 1,
      sym_keyword_values,
    ACTIONS(12441), 1,
      anon_sym_LPAREN,
    STATE(7640), 1,
      sym_select,
    STATE(7734), 1,
      sym__column_list,
    STATE(7758), 1,
      sym__select_statement,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(8481), 1,
      sym__cte,
    STATE(9649), 1,
      sym__dml_read,
    STATE(10551), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [459516] = 10,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13333), 1,
      sym_keyword_using,
    ACTIONS(13410), 1,
      sym_keyword_on,
    STATE(8021), 1,
      sym_index_hint,
    STATE(12129), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [459552] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7293), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [459582] = 14,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(7683), 1,
      sym__column_list,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(8738), 1,
      sym__dml_read,
    STATE(10175), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [459626] = 10,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(13414), 1,
      sym_keyword_table,
    ACTIONS(13418), 1,
      sym_keyword_only,
    STATE(5623), 1,
      sym_identifier,
    STATE(8206), 1,
      sym_object_reference,
    STATE(10585), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13416), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(13412), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [459662] = 13,
    ACTIONS(12743), 1,
      sym_keyword_increment,
    ACTIONS(12745), 1,
      sym_keyword_minvalue,
    ACTIONS(12747), 1,
      sym_keyword_maxvalue,
    ACTIONS(12749), 1,
      sym_keyword_owned,
    ACTIONS(12751), 1,
      sym_keyword_start,
    ACTIONS(12753), 1,
      sym_keyword_restart,
    ACTIONS(12755), 1,
      sym_keyword_as,
    ACTIONS(12757), 1,
      sym_keyword_no,
    ACTIONS(12765), 1,
      sym_keyword_cache,
    ACTIONS(13325), 1,
      sym_keyword_cycle,
    STATE(7416), 1,
      aux_sym_alter_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12981), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [459704] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13420), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [459724] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13422), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [459744] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12702), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [459764] = 10,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13158), 1,
      sym_keyword_using,
    ACTIONS(13424), 1,
      sym_keyword_on,
    STATE(8102), 1,
      sym_index_hint,
    STATE(12205), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [459800] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13426), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
      anon_sym_RPAREN,
  [459820] = 10,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13132), 1,
      sym_keyword_using,
    ACTIONS(13428), 1,
      sym_keyword_on,
    STATE(8069), 1,
      sym_index_hint,
    STATE(12234), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [459856] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2396), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [459876] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2412), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [459896] = 10,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13232), 1,
      sym_keyword_using,
    ACTIONS(13430), 1,
      sym_keyword_on,
    STATE(8020), 1,
      sym_index_hint,
    STATE(12130), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [459932] = 14,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(7683), 1,
      sym__column_list,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(8738), 1,
      sym__dml_read,
    STATE(10070), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [459976] = 14,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(7683), 1,
      sym__column_list,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(8738), 1,
      sym__dml_read,
    STATE(10012), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [460020] = 14,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(7683), 1,
      sym__column_list,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(8738), 1,
      sym__dml_read,
    STATE(9922), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [460064] = 14,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(12409), 1,
      sym_keyword_values,
    ACTIONS(12433), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(7683), 1,
      sym__column_list,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(8738), 1,
      sym__dml_read,
    STATE(9885), 1,
      sym__insert_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [460108] = 10,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13196), 1,
      sym_keyword_using,
    ACTIONS(13432), 1,
      sym_keyword_on,
    STATE(7923), 1,
      sym_index_hint,
    STATE(11835), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [460144] = 10,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13359), 1,
      sym_keyword_using,
    ACTIONS(13434), 1,
      sym_keyword_on,
    STATE(8008), 1,
      sym_index_hint,
    STATE(12134), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [460180] = 10,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13390), 1,
      sym_keyword_using,
    ACTIONS(13436), 1,
      sym_keyword_on,
    STATE(7968), 1,
      sym_index_hint,
    STATE(12139), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [460216] = 10,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(10781), 1,
      sym_keyword_group,
    ACTIONS(10783), 1,
      sym_keyword_window,
    STATE(7391), 1,
      sym_order_by,
    STATE(7629), 1,
      sym_group_by,
    STATE(7693), 1,
      sym_limit,
    STATE(7917), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9046), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [460252] = 10,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13333), 1,
      sym_keyword_using,
    ACTIONS(13438), 1,
      sym_keyword_on,
    STATE(7955), 1,
      sym_index_hint,
    STATE(12148), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [460288] = 6,
    ACTIONS(9116), 1,
      sym_keyword_order,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    STATE(7543), 1,
      sym_order_by,
    STATE(7853), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13066), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [460316] = 4,
    ACTIONS(13440), 1,
      anon_sym_COMMA,
    STATE(7479), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12690), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [460340] = 4,
    ACTIONS(13136), 1,
      anon_sym_COMMA,
    STATE(7327), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13443), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [460364] = 10,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13158), 1,
      sym_keyword_using,
    ACTIONS(13445), 1,
      sym_keyword_on,
    STATE(7921), 1,
      sym_index_hint,
    STATE(11920), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [460400] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13044), 13,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      sym_keyword_window,
  [460420] = 13,
    ACTIONS(11057), 1,
      sym_keyword_primary,
    ACTIONS(11189), 1,
      sym_keyword_check,
    ACTIONS(13447), 1,
      sym_keyword_key,
    ACTIONS(13449), 1,
      sym_keyword_constraint,
    ACTIONS(13451), 1,
      sym_keyword_index,
    ACTIONS(13453), 1,
      sym_keyword_unique,
    ACTIONS(13455), 1,
      sym_keyword_foreign,
    STATE(10751), 1,
      sym_constraint,
    STATE(10810), 1,
      sym__key_constraint,
    STATE(10812), 1,
      sym__constraint_literal,
    STATE(11895), 1,
      sym__primary_key,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10815), 2,
      sym__check_constraint,
      sym__primary_key_constraint,
  [460462] = 6,
    ACTIONS(9116), 1,
      sym_keyword_order,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    STATE(7513), 1,
      sym_order_by,
    STATE(7781), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8938), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [460490] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7323), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [460520] = 12,
    ACTIONS(13138), 1,
      sym_keyword_increment,
    ACTIONS(13140), 1,
      sym_keyword_minvalue,
    ACTIONS(13142), 1,
      sym_keyword_maxvalue,
    ACTIONS(13144), 1,
      sym_keyword_owned,
    ACTIONS(13146), 1,
      sym_keyword_start,
    ACTIONS(13148), 1,
      sym_keyword_as,
    ACTIONS(13150), 1,
      sym_keyword_no,
    ACTIONS(13154), 1,
      sym_keyword_cache,
    ACTIONS(13457), 1,
      sym_keyword_cycle,
    STATE(7450), 1,
      aux_sym_create_sequence_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13059), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [460560] = 7,
    ACTIONS(12932), 1,
      sym_keyword_freeze,
    ACTIONS(12936), 1,
      sym_keyword_header,
    ACTIONS(12938), 1,
      sym_keyword_format,
    STATE(7317), 1,
      aux_sym__copy_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12934), 3,
      sym_keyword_force_quote,
      sym_keyword_force_null,
      sym_keyword_force_not_null,
    ACTIONS(12930), 6,
      sym_keyword_default,
      sym_keyword_escape,
      sym_keyword_encoding,
      sym_keyword_quote,
      sym_keyword_delimiter,
      sym_keyword_null,
  [460590] = 13,
    ACTIONS(11057), 1,
      sym_keyword_primary,
    ACTIONS(11073), 1,
      sym_keyword_check,
    ACTIONS(13459), 1,
      sym_keyword_key,
    ACTIONS(13461), 1,
      sym_keyword_constraint,
    ACTIONS(13463), 1,
      sym_keyword_index,
    ACTIONS(13465), 1,
      sym_keyword_unique,
    ACTIONS(13467), 1,
      sym_keyword_foreign,
    STATE(9726), 1,
      sym__key_constraint,
    STATE(9727), 1,
      sym__constraint_literal,
    STATE(11832), 1,
      sym_constraint,
    STATE(12122), 1,
      sym__primary_key,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9729), 2,
      sym__check_constraint,
      sym__primary_key_constraint,
  [460632] = 10,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13188), 1,
      sym_keyword_using,
    ACTIONS(13469), 1,
      sym_keyword_on,
    STATE(8015), 1,
      sym_index_hint,
    STATE(12024), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [460668] = 4,
    ACTIONS(13471), 1,
      anon_sym_COMMA,
    STATE(7490), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6707), 11,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_window,
  [460692] = 13,
    ACTIONS(11057), 1,
      sym_keyword_primary,
    ACTIONS(11073), 1,
      sym_keyword_check,
    ACTIONS(13459), 1,
      sym_keyword_key,
    ACTIONS(13461), 1,
      sym_keyword_constraint,
    ACTIONS(13463), 1,
      sym_keyword_index,
    ACTIONS(13465), 1,
      sym_keyword_unique,
    ACTIONS(13467), 1,
      sym_keyword_foreign,
    STATE(9726), 1,
      sym__key_constraint,
    STATE(9727), 1,
      sym__constraint_literal,
    STATE(9830), 1,
      sym_constraint,
    STATE(12122), 1,
      sym__primary_key,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9729), 2,
      sym__check_constraint,
      sym__primary_key_constraint,
  [460734] = 4,
    ACTIONS(13474), 1,
      sym_keyword_offset,
    STATE(7892), 1,
      sym_offset,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13190), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [460757] = 13,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(1795), 1,
      anon_sym_RPAREN,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(143), 1,
      sym_identifier,
    STATE(9766), 1,
      sym_column_definition,
    STATE(11335), 1,
      sym__key_value_pair,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [460798] = 13,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    ACTIONS(13476), 1,
      anon_sym_RPAREN,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(142), 1,
      sym_identifier,
    STATE(10226), 1,
      sym_column_definition,
    STATE(10938), 1,
      sym__key_value_pair,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [460839] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13279), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [460858] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13281), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [460877] = 11,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(13480), 1,
      sym_keyword_role,
    ACTIONS(13482), 1,
      sym_keyword_authorization,
    ACTIONS(13484), 1,
      sym_keyword_session,
    ACTIONS(13486), 1,
      sym_keyword_characteristics,
    ACTIONS(13488), 1,
      sym_keyword_time,
    STATE(5623), 1,
      sym_identifier,
    STATE(11625), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13478), 2,
      sym_keyword_schema,
      sym_keyword_names,
  [460914] = 12,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(13490), 1,
      sym_keyword_collate,
    ACTIONS(13492), 1,
      sym_keyword_engine,
    ACTIONS(13494), 1,
      sym_keyword_default,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11017), 1,
      sym_table_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13899), 2,
      sym__literal_string,
      sym_identifier,
  [460953] = 10,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(13496), 1,
      sym_keyword_only,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7528), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    STATE(9984), 2,
      sym__mysql_update_statement,
      sym__postgres_update_statement,
  [460988] = 4,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    STATE(7863), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10958), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [461011] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13208), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [461030] = 13,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10693), 1,
      sym_keyword_if,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7837), 1,
      sym__if_not_exists,
    STATE(8286), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [461071] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13293), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [461090] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13216), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [461109] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13218), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [461128] = 4,
    ACTIONS(13500), 1,
      anon_sym_COMMA,
    STATE(7506), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13234), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [461151] = 10,
    ACTIONS(8896), 1,
      anon_sym_COMMA,
    ACTIONS(12437), 1,
      sym_keyword_set,
    ACTIONS(13505), 1,
      sym_keyword_inner,
    ACTIONS(13507), 1,
      sym_keyword_join,
    ACTIONS(13509), 1,
      sym_keyword_natural,
    STATE(6536), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(9563), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7752), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13503), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [461186] = 13,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    ACTIONS(13511), 1,
      sym_keyword_values,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(13763), 1,
      sym__dml_read,
    STATE(14030), 1,
      sym_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [461227] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12808), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_COMMA,
  [461246] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13222), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [461265] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13224), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [461284] = 10,
    ACTIONS(8896), 1,
      anon_sym_COMMA,
    ACTIONS(12429), 1,
      sym_keyword_set,
    ACTIONS(13505), 1,
      sym_keyword_inner,
    ACTIONS(13507), 1,
      sym_keyword_join,
    ACTIONS(13509), 1,
      sym_keyword_natural,
    STATE(7556), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(8581), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7877), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13503), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [461319] = 4,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    STATE(7884), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9046), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [461342] = 4,
    ACTIONS(13515), 1,
      anon_sym_COMMA,
    STATE(7589), 1,
      aux_sym__cte_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13513), 10,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [461365] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12696), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_COMMA,
  [461384] = 12,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(13490), 1,
      sym_keyword_collate,
    ACTIONS(13492), 1,
      sym_keyword_engine,
    ACTIONS(13494), 1,
      sym_keyword_default,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11992), 1,
      sym_table_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13899), 2,
      sym__literal_string,
      sym_identifier,
  [461423] = 4,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    STATE(7781), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8938), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [461446] = 11,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(13519), 1,
      sym_keyword_role,
    ACTIONS(13521), 1,
      sym_keyword_authorization,
    ACTIONS(13523), 1,
      sym_keyword_session,
    ACTIONS(13525), 1,
      sym_keyword_characteristics,
    ACTIONS(13527), 1,
      sym_keyword_time,
    STATE(5623), 1,
      sym_identifier,
    STATE(11777), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13517), 2,
      sym_keyword_schema,
      sym_keyword_names,
  [461483] = 13,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(1781), 1,
      anon_sym_RPAREN,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(146), 1,
      sym_identifier,
    STATE(10206), 1,
      sym_column_definition,
    STATE(11284), 1,
      sym__key_value_pair,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [461524] = 4,
    ACTIONS(13529), 1,
      anon_sym_COMMA,
    STATE(7522), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13200), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [461547] = 13,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(1789), 1,
      anon_sym_RPAREN,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(144), 1,
      sym_identifier,
    STATE(10226), 1,
      sym_column_definition,
    STATE(10991), 1,
      sym__key_value_pair,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [461588] = 4,
    ACTIONS(13531), 1,
      anon_sym_COMMA,
    STATE(7522), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12690), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [461611] = 10,
    ACTIONS(8896), 1,
      anon_sym_COMMA,
    ACTIONS(12437), 1,
      sym_keyword_set,
    ACTIONS(13505), 1,
      sym_keyword_inner,
    ACTIONS(13507), 1,
      sym_keyword_join,
    ACTIONS(13509), 1,
      sym_keyword_natural,
    STATE(7507), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(8353), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7795), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13503), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [461646] = 11,
    ACTIONS(13534), 1,
      sym__identifier,
    ACTIONS(13537), 1,
      sym_keyword_password,
    ACTIONS(13540), 1,
      sym_keyword_encrypted,
    ACTIONS(13543), 1,
      sym_keyword_valid,
    ACTIONS(13546), 1,
      sym_keyword_connection,
    STATE(7259), 1,
      sym_identifier,
    STATE(7524), 1,
      aux_sym_alter_role_repeat1,
    STATE(7957), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13253), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(13549), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [461683] = 13,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(1791), 1,
      anon_sym_RPAREN,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(141), 1,
      sym_identifier,
    STATE(9766), 1,
      sym_column_definition,
    STATE(11340), 1,
      sym__key_value_pair,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [461724] = 10,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10995), 1,
      sym_keyword_order,
    ACTIONS(10997), 1,
      sym_keyword_group,
    STATE(7581), 1,
      sym_order_by,
    STATE(7821), 1,
      sym_group_by,
    STATE(7832), 1,
      sym_limit,
    STATE(8114), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12633), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [461759] = 9,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(13556), 1,
      sym_keyword_only,
    STATE(5623), 1,
      sym_identifier,
    STATE(8208), 1,
      sym_object_reference,
    STATE(10687), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13554), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(13552), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [461792] = 10,
    ACTIONS(8896), 1,
      anon_sym_COMMA,
    ACTIONS(12411), 1,
      sym_keyword_set,
    ACTIONS(13505), 1,
      sym_keyword_inner,
    ACTIONS(13507), 1,
      sym_keyword_join,
    ACTIONS(13509), 1,
      sym_keyword_natural,
    STATE(7547), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(8368), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7864), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13503), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [461827] = 4,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    STATE(7832), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12633), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [461850] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12690), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_COMMA,
  [461869] = 11,
    ACTIONS(647), 1,
      sym__identifier,
    ACTIONS(12589), 1,
      sym_keyword_password,
    ACTIONS(12591), 1,
      sym_keyword_encrypted,
    ACTIONS(12593), 1,
      sym_keyword_valid,
    ACTIONS(12595), 1,
      sym_keyword_connection,
    STATE(7259), 1,
      sym_identifier,
    STATE(7524), 1,
      aux_sym_alter_role_repeat1,
    STATE(7957), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(651), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13289), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [461906] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13558), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [461925] = 13,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    ACTIONS(13166), 1,
      sym_keyword_if,
    STATE(24), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7878), 1,
      sym__if_exists,
    STATE(8887), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [461966] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12808), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_COMMA,
  [461985] = 4,
    ACTIONS(13560), 1,
      anon_sym_COMMA,
    STATE(7506), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13134), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [462008] = 13,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    ACTIONS(13511), 1,
      sym_keyword_values,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(13954), 1,
      sym__dml_read,
    STATE(14529), 1,
      sym_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [462049] = 13,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10693), 1,
      sym_keyword_if,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(24), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7802), 1,
      sym__if_not_exists,
    STATE(8805), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [462090] = 10,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10995), 1,
      sym_keyword_order,
    ACTIONS(10997), 1,
      sym_keyword_group,
    STATE(7529), 1,
      sym_order_by,
    STATE(7833), 1,
      sym_group_by,
    STATE(7863), 1,
      sym_limit,
    STATE(8120), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10958), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [462125] = 12,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(13490), 1,
      sym_keyword_collate,
    ACTIONS(13492), 1,
      sym_keyword_engine,
    ACTIONS(13494), 1,
      sym_keyword_default,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11217), 1,
      sym_table_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13899), 2,
      sym__literal_string,
      sym_identifier,
  [462164] = 10,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    ACTIONS(13562), 1,
      sym_keyword_only,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7523), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    STATE(11277), 2,
      sym__mysql_update_statement,
      sym__postgres_update_statement,
  [462199] = 13,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10693), 1,
      sym_keyword_if,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(24), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7865), 1,
      sym__if_not_exists,
    STATE(8890), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [462240] = 13,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10693), 1,
      sym_keyword_if,
    ACTIONS(13160), 1,
      sym_keyword_on,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7947), 1,
      sym__if_not_exists,
    STATE(13512), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [462281] = 4,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    STATE(7747), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13228), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [462304] = 4,
    ACTIONS(13566), 1,
      anon_sym_COMMA,
    STATE(7544), 1,
      aux_sym__cte_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13564), 10,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [462327] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13420), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [462346] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13422), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [462365] = 10,
    ACTIONS(8896), 1,
      anon_sym_COMMA,
    ACTIONS(12411), 1,
      sym_keyword_set,
    ACTIONS(13505), 1,
      sym_keyword_inner,
    ACTIONS(13507), 1,
      sym_keyword_join,
    ACTIONS(13509), 1,
      sym_keyword_natural,
    STATE(6536), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(8949), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7819), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13503), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [462400] = 4,
    ACTIONS(13515), 1,
      anon_sym_COMMA,
    STATE(7544), 1,
      aux_sym__cte_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13569), 10,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [462423] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13426), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_restart,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [462442] = 10,
    ACTIONS(653), 1,
      sym__identifier,
    ACTIONS(13573), 1,
      sym_keyword_collate,
    ACTIONS(13575), 1,
      sym_keyword_nulls,
    STATE(8557), 1,
      sym__operator_class,
    STATE(8658), 1,
      sym_identifier,
    STATE(11333), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(711), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13571), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(13577), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [462477] = 10,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10995), 1,
      sym_keyword_order,
    ACTIONS(10997), 1,
      sym_keyword_group,
    STATE(7500), 1,
      sym_order_by,
    STATE(7825), 1,
      sym_limit,
    STATE(7851), 1,
      sym_group_by,
    STATE(8127), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10960), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [462512] = 12,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(13490), 1,
      sym_keyword_collate,
    ACTIONS(13492), 1,
      sym_keyword_engine,
    ACTIONS(13494), 1,
      sym_keyword_default,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11135), 1,
      sym_table_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13899), 2,
      sym__literal_string,
      sym_identifier,
  [462551] = 13,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    ACTIONS(13579), 1,
      anon_sym_RPAREN,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(145), 1,
      sym_identifier,
    STATE(9766), 1,
      sym_column_definition,
    STATE(11297), 1,
      sym__key_value_pair,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [462592] = 10,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(13581), 1,
      sym_keyword_table,
    ACTIONS(13585), 1,
      sym_keyword_only,
    STATE(7042), 1,
      sym_identifier,
    STATE(8436), 1,
      sym_object_reference,
    STATE(12232), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13412), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(13583), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [462627] = 13,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    ACTIONS(13166), 1,
      sym_keyword_if,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7768), 1,
      sym__if_exists,
    STATE(8350), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [462668] = 10,
    ACTIONS(8896), 1,
      anon_sym_COMMA,
    ACTIONS(12429), 1,
      sym_keyword_set,
    ACTIONS(13505), 1,
      sym_keyword_inner,
    ACTIONS(13507), 1,
      sym_keyword_join,
    ACTIONS(13509), 1,
      sym_keyword_natural,
    STATE(6536), 1,
      aux_sym__mysql_update_statement_repeat1,
    STATE(10308), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7897), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13503), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [462703] = 13,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10693), 1,
      sym_keyword_if,
    ACTIONS(13182), 1,
      sym_keyword_on,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7920), 1,
      sym__if_not_exists,
    STATE(14010), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [462744] = 13,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10693), 1,
      sym_keyword_if,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7787), 1,
      sym__if_not_exists,
    STATE(8362), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [462785] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13337), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [462804] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13343), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [462823] = 13,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    ACTIONS(13587), 1,
      anon_sym_RPAREN,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(147), 1,
      sym_identifier,
    STATE(10206), 1,
      sym_column_definition,
    STATE(10942), 1,
      sym__key_value_pair,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [462864] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13234), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_COMMA,
  [462883] = 10,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10995), 1,
      sym_keyword_order,
    ACTIONS(10997), 1,
      sym_keyword_group,
    STATE(7565), 1,
      sym_order_by,
    STATE(7862), 1,
      sym_group_by,
    STATE(7884), 1,
      sym_limit,
    STATE(8137), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9046), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [462918] = 13,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(1799), 1,
      anon_sym_RPAREN,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(140), 1,
      sym_identifier,
    STATE(10206), 1,
      sym_column_definition,
    STATE(11130), 1,
      sym__key_value_pair,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [462959] = 4,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    STATE(7825), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10960), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [462982] = 4,
    ACTIONS(13529), 1,
      anon_sym_COMMA,
    STATE(7520), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13212), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [463005] = 4,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    STATE(7853), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13066), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [463028] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13345), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [463047] = 4,
    ACTIONS(12902), 1,
      anon_sym_LBRACK,
    STATE(2691), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3481), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_collate,
      sym_keyword_default,
      sym_keyword_cascade,
      sym_keyword_restrict,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [463070] = 10,
    ACTIONS(653), 1,
      sym__identifier,
    ACTIONS(13589), 1,
      sym_keyword_collate,
    ACTIONS(13591), 1,
      sym_keyword_nulls,
    STATE(8657), 1,
      sym__operator_class,
    STATE(8658), 1,
      sym_identifier,
    STATE(11316), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(711), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13571), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(13593), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [463105] = 6,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(9778), 1,
      sym_keyword_order,
    STATE(7360), 1,
      sym_order_by,
    STATE(7651), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13066), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [463132] = 10,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10995), 1,
      sym_keyword_order,
    ACTIONS(10997), 1,
      sym_keyword_group,
    STATE(7513), 1,
      sym_order_by,
    STATE(7781), 1,
      sym_limit,
    STATE(7876), 1,
      sym_group_by,
    STATE(8139), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8938), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [463167] = 10,
    ACTIONS(653), 1,
      sym__identifier,
    ACTIONS(13595), 1,
      sym_keyword_collate,
    ACTIONS(13597), 1,
      sym_keyword_nulls,
    STATE(8658), 1,
      sym_identifier,
    STATE(8659), 1,
      sym__operator_class,
    STATE(11313), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(711), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13571), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(13599), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [463202] = 12,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(13490), 1,
      sym_keyword_collate,
    ACTIONS(13492), 1,
      sym_keyword_engine,
    ACTIONS(13494), 1,
      sym_keyword_default,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10993), 1,
      sym_table_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(13899), 2,
      sym__literal_string,
      sym_identifier,
  [463241] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13347), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [463260] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13349), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_increment,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_owned,
      sym_keyword_start,
      sym_keyword_as,
      sym_keyword_no,
      sym_keyword_cycle,
      sym_keyword_cache,
  [463279] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13210), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [463298] = 4,
    ACTIONS(13603), 1,
      sym_keyword_from,
    STATE(7699), 1,
      sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13601), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [463321] = 10,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    ACTIONS(13605), 1,
      sym_keyword_only,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7512), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    STATE(9984), 2,
      sym__mysql_update_statement,
      sym__postgres_update_statement,
  [463356] = 6,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(9778), 1,
      sym_keyword_order,
    STATE(7363), 1,
      sym_order_by,
    STATE(7645), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12827), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [463383] = 4,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    STATE(7875), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12827), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [463406] = 4,
    ACTIONS(13607), 1,
      anon_sym_COMMA,
    STATE(7582), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12690), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
  [463429] = 13,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10693), 1,
      sym_keyword_if,
    ACTIONS(13243), 1,
      sym_keyword_on,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8014), 1,
      sym__if_not_exists,
    STATE(14227), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [463470] = 13,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(1793), 1,
      anon_sym_RPAREN,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(148), 1,
      sym_identifier,
    STATE(10226), 1,
      sym_column_definition,
    STATE(11035), 1,
      sym__key_value_pair,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [463511] = 13,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10693), 1,
      sym_keyword_if,
    ACTIONS(13610), 1,
      sym_keyword_on,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(7932), 1,
      sym__if_not_exists,
    STATE(12267), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [463552] = 11,
    ACTIONS(647), 1,
      sym__identifier,
    ACTIONS(12589), 1,
      sym_keyword_password,
    ACTIONS(12591), 1,
      sym_keyword_encrypted,
    ACTIONS(12593), 1,
      sym_keyword_valid,
    ACTIONS(12595), 1,
      sym_keyword_connection,
    STATE(7259), 1,
      sym_identifier,
    STATE(7531), 1,
      aux_sym_alter_role_repeat1,
    STATE(7957), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(651), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13273), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [463589] = 6,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(9778), 1,
      sym_keyword_order,
    STATE(7355), 1,
      sym_order_by,
    STATE(7681), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12633), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [463616] = 4,
    ACTIONS(13515), 1,
      anon_sym_COMMA,
    STATE(7548), 1,
      aux_sym__cte_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13612), 10,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [463639] = 4,
    ACTIONS(13515), 1,
      anon_sym_COMMA,
    STATE(7544), 1,
      aux_sym__cte_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13612), 10,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
  [463662] = 6,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(9778), 1,
      sym_keyword_order,
    STATE(7387), 1,
      sym_order_by,
    STATE(7684), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10958), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [463689] = 4,
    ACTIONS(13560), 1,
      anon_sym_COMMA,
    STATE(7535), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13443), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [463712] = 4,
    ACTIONS(13614), 1,
      anon_sym_COMMA,
    STATE(7593), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13212), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
  [463735] = 4,
    ACTIONS(13614), 1,
      anon_sym_COMMA,
    STATE(7582), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13200), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_separator,
      sym_keyword_returning,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
  [463758] = 6,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(9778), 1,
      sym_keyword_order,
    STATE(7412), 1,
      sym_order_by,
    STATE(7733), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10960), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [463785] = 13,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10693), 1,
      sym_keyword_if,
    ACTIONS(13616), 1,
      sym_keyword_on,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8023), 1,
      sym__if_not_exists,
    STATE(14253), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [463826] = 6,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(9778), 1,
      sym_keyword_order,
    STATE(7391), 1,
      sym_order_by,
    STATE(7693), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9046), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [463853] = 13,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    ACTIONS(10693), 1,
      sym_keyword_if,
    ACTIONS(13618), 1,
      sym_keyword_on,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8082), 1,
      sym__if_not_exists,
    STATE(13650), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [463894] = 11,
    ACTIONS(647), 1,
      sym__identifier,
    ACTIONS(12589), 1,
      sym_keyword_password,
    ACTIONS(12591), 1,
      sym_keyword_encrypted,
    ACTIONS(12593), 1,
      sym_keyword_valid,
    ACTIONS(12595), 1,
      sym_keyword_connection,
    STATE(7259), 1,
      sym_identifier,
    STATE(7524), 1,
      aux_sym_alter_role_repeat1,
    STATE(7957), 1,
      sym__role_options,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(651), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13198), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [463931] = 6,
    ACTIONS(7491), 1,
      sym_keyword_having,
    ACTIONS(7493), 1,
      anon_sym_COMMA,
    STATE(7294), 1,
      sym__having,
    STATE(7302), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12702), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
      anon_sym_RPAREN,
  [463958] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13620), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [463977] = 6,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(9778), 1,
      sym_keyword_order,
    STATE(7341), 1,
      sym_order_by,
    STATE(7723), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8938), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [464004] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12635), 12,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_COMMA,
  [464023] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13622), 1,
      sym_keyword_select,
    ACTIONS(13624), 1,
      sym_keyword_show,
    ACTIONS(13626), 1,
      anon_sym_LPAREN,
    STATE(7858), 1,
      sym_select,
    STATE(8027), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8292), 1,
      sym__cte,
    STATE(9194), 1,
      sym__dml_read,
    STATE(9217), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464061] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13628), 1,
      sym_keyword_select,
    ACTIONS(13630), 1,
      sym_keyword_show,
    ACTIONS(13632), 1,
      anon_sym_LPAREN,
    STATE(7927), 1,
      sym_select,
    STATE(8240), 1,
      sym__select_statement,
    STATE(8389), 1,
      sym__cte,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(9890), 1,
      sym_create_query,
    STATE(10103), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464099] = 12,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13634), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8458), 1,
      sym__cte,
    STATE(9194), 1,
      sym__dml_read,
    STATE(10170), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464137] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13628), 1,
      sym_keyword_select,
    ACTIONS(13630), 1,
      sym_keyword_show,
    ACTIONS(13632), 1,
      anon_sym_LPAREN,
    STATE(7927), 1,
      sym_select,
    STATE(8240), 1,
      sym__select_statement,
    STATE(8389), 1,
      sym__cte,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(10103), 1,
      sym__dml_read,
    STATE(10380), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464175] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13636), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [464193] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13628), 1,
      sym_keyword_select,
    ACTIONS(13630), 1,
      sym_keyword_show,
    ACTIONS(13632), 1,
      anon_sym_LPAREN,
    STATE(7927), 1,
      sym_select,
    STATE(8240), 1,
      sym__select_statement,
    STATE(8389), 1,
      sym__cte,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(9934), 1,
      sym_create_query,
    STATE(10103), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464231] = 7,
    ACTIONS(13638), 1,
      sym_keyword_array,
    ACTIONS(13640), 1,
      anon_sym_LBRACK,
    STATE(3347), 1,
      sym_array_size_definition,
    STATE(3348), 1,
      sym__array_size_definition,
    STATE(8097), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2811), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      anon_sym_COMMA,
  [464259] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13622), 1,
      sym_keyword_select,
    ACTIONS(13624), 1,
      sym_keyword_show,
    ACTIONS(13626), 1,
      anon_sym_LPAREN,
    STATE(7858), 1,
      sym_select,
    STATE(8027), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8292), 1,
      sym__cte,
    STATE(9097), 1,
      sym_create_query,
    STATE(9194), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464297] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13628), 1,
      sym_keyword_select,
    ACTIONS(13630), 1,
      sym_keyword_show,
    ACTIONS(13632), 1,
      anon_sym_LPAREN,
    STATE(7927), 1,
      sym_select,
    STATE(8240), 1,
      sym__select_statement,
    STATE(8389), 1,
      sym__cte,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(10103), 1,
      sym__dml_read,
    STATE(10383), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464335] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1404), 1,
      sym_keyword_select,
    ACTIONS(1414), 1,
      sym_keyword_show,
    ACTIONS(13642), 1,
      anon_sym_LPAREN,
    STATE(7640), 1,
      sym_select,
    STATE(7758), 1,
      sym__select_statement,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(8481), 1,
      sym__cte,
    STATE(10103), 1,
      sym__dml_read,
    STATE(10783), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464373] = 8,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(10783), 1,
      sym_keyword_window,
    STATE(7341), 1,
      sym_order_by,
    STATE(7723), 1,
      sym_limit,
    STATE(7962), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8938), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [464403] = 8,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(8026), 1,
      sym_keyword_as,
    STATE(6466), 1,
      sym_identifier,
    STATE(7097), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(5963), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(5965), 3,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_separator,
  [464433] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13644), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [464451] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13622), 1,
      sym_keyword_select,
    ACTIONS(13646), 1,
      sym_keyword_show,
    ACTIONS(13648), 1,
      anon_sym_LPAREN,
    STATE(7858), 1,
      sym_select,
    STATE(8027), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8373), 1,
      sym__cte,
    STATE(9194), 1,
      sym__dml_read,
    STATE(9304), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464489] = 4,
    ACTIONS(13650), 1,
      anon_sym_COMMA,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11820), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_or,
      sym_keyword_cascade,
      sym_keyword_restrict,
      sym_keyword_immediate,
      sym_keyword_deferred,
      anon_sym_RPAREN,
  [464511] = 12,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13634), 1,
      anon_sym_LPAREN,
    ACTIONS(13653), 1,
      sym_keyword_values,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8458), 1,
      sym__cte,
    STATE(8884), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464549] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13620), 11,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [464567] = 12,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13634), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8458), 1,
      sym__cte,
    STATE(9194), 1,
      sym__dml_read,
    STATE(9756), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464605] = 12,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13634), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8458), 1,
      sym__cte,
    STATE(9194), 1,
      sym__dml_read,
    STATE(9855), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464643] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13622), 1,
      sym_keyword_select,
    ACTIONS(13646), 1,
      sym_keyword_show,
    ACTIONS(13648), 1,
      anon_sym_LPAREN,
    STATE(7858), 1,
      sym_select,
    STATE(8027), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8373), 1,
      sym__cte,
    STATE(9194), 1,
      sym__dml_read,
    STATE(9574), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464681] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13655), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [464699] = 9,
    ACTIONS(653), 1,
      sym__identifier,
    ACTIONS(13657), 1,
      sym_keyword_nulls,
    STATE(8512), 1,
      sym__operator_class,
    STATE(8658), 1,
      sym_identifier,
    STATE(10513), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(711), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13571), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(13659), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [464731] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13628), 1,
      sym_keyword_select,
    ACTIONS(13630), 1,
      sym_keyword_show,
    ACTIONS(13632), 1,
      anon_sym_LPAREN,
    STATE(7927), 1,
      sym_select,
    STATE(8240), 1,
      sym__select_statement,
    STATE(8389), 1,
      sym__cte,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(9748), 1,
      sym_create_query,
    STATE(10103), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464769] = 9,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(13663), 1,
      sym_keyword_only,
    STATE(7042), 1,
      sym_identifier,
    STATE(8305), 1,
      sym_object_reference,
    STATE(12197), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13552), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(13661), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [464801] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13665), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [464819] = 8,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(10783), 1,
      sym_keyword_window,
    STATE(7391), 1,
      sym_order_by,
    STATE(7693), 1,
      sym_limit,
    STATE(7917), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9046), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [464849] = 8,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(10783), 1,
      sym_keyword_window,
    STATE(7412), 1,
      sym_order_by,
    STATE(7733), 1,
      sym_limit,
    STATE(8089), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10960), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [464879] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13628), 1,
      sym_keyword_select,
    ACTIONS(13630), 1,
      sym_keyword_show,
    ACTIONS(13632), 1,
      anon_sym_LPAREN,
    STATE(7927), 1,
      sym_select,
    STATE(8240), 1,
      sym__select_statement,
    STATE(8389), 1,
      sym__cte,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(10031), 1,
      sym_create_query,
    STATE(10103), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464917] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13667), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [464935] = 5,
    ACTIONS(13671), 1,
      sym_keyword_union,
    STATE(7632), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13674), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13669), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [464959] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13622), 1,
      sym_keyword_select,
    ACTIONS(13624), 1,
      sym_keyword_show,
    ACTIONS(13626), 1,
      anon_sym_LPAREN,
    STATE(7858), 1,
      sym_select,
    STATE(8027), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8292), 1,
      sym__cte,
    STATE(9194), 1,
      sym__dml_read,
    STATE(9219), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [464997] = 5,
    ACTIONS(13679), 1,
      sym_keyword_union,
    STATE(7700), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13681), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13677), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [465021] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13628), 1,
      sym_keyword_select,
    ACTIONS(13630), 1,
      sym_keyword_show,
    ACTIONS(13632), 1,
      anon_sym_LPAREN,
    STATE(7927), 1,
      sym_select,
    STATE(8240), 1,
      sym__select_statement,
    STATE(8389), 1,
      sym__cte,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(9985), 1,
      sym_create_query,
    STATE(10103), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [465059] = 7,
    ACTIONS(13638), 1,
      sym_keyword_array,
    ACTIONS(13640), 1,
      anon_sym_LBRACK,
    STATE(3348), 1,
      sym__array_size_definition,
    STATE(3365), 1,
      sym_array_size_definition,
    STATE(8097), 1,
      aux_sym_array_size_definition_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2878), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      anon_sym_COMMA,
  [465087] = 12,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(9194), 1,
      sym__dml_read,
    STATE(10170), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [465125] = 9,
    ACTIONS(653), 1,
      sym__identifier,
    ACTIONS(13683), 1,
      sym_keyword_nulls,
    STATE(8553), 1,
      sym__operator_class,
    STATE(8658), 1,
      sym_identifier,
    STATE(11256), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(711), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13571), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(13685), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [465157] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13622), 1,
      sym_keyword_select,
    ACTIONS(13646), 1,
      sym_keyword_show,
    ACTIONS(13648), 1,
      anon_sym_LPAREN,
    STATE(7858), 1,
      sym_select,
    STATE(8027), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8373), 1,
      sym__cte,
    STATE(9194), 1,
      sym__dml_read,
    STATE(9567), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [465195] = 4,
    ACTIONS(13687), 1,
      sym_keyword_from,
    STATE(7775), 1,
      sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13601), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [465217] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13689), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [465235] = 8,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(13693), 1,
      sym_keyword_ignore,
    STATE(5623), 1,
      sym_identifier,
    STATE(6959), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13691), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
    ACTIONS(13695), 3,
      sym_keyword_high_priority,
      sym_keyword_low_priority,
      sym_keyword_delayed,
  [465265] = 4,
    ACTIONS(13697), 1,
      anon_sym_COMMA,
    STATE(7643), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12690), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [465287] = 4,
    ACTIONS(13700), 1,
      anon_sym_COMMA,
    STATE(7644), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13234), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [465309] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13066), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [465327] = 4,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(1380), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1382), 5,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_collate,
      sym_keyword_nulls,
      sym__identifier,
  [465349] = 9,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(13705), 1,
      sym_keyword_create,
    ACTIONS(13707), 1,
      sym_keyword_with,
    STATE(7754), 1,
      aux_sym_create_database_repeat1,
    STATE(8482), 1,
      sym__with_settings,
    STATE(8483), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13703), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [465381] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13622), 1,
      sym_keyword_select,
    ACTIONS(13646), 1,
      sym_keyword_show,
    ACTIONS(13648), 1,
      anon_sym_LPAREN,
    STATE(7858), 1,
      sym_select,
    STATE(8027), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8373), 1,
      sym__cte,
    STATE(9194), 1,
      sym__dml_read,
    STATE(9219), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [465419] = 5,
    ACTIONS(123), 1,
      anon_sym_LPAREN,
    ACTIONS(125), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1703), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(1687), 5,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_collate,
      sym_keyword_nulls,
      sym__identifier,
  [465443] = 12,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(9194), 1,
      sym__dml_read,
    STATE(9855), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [465481] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13228), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [465499] = 9,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(13711), 1,
      sym_keyword_create,
    ACTIONS(13713), 1,
      sym_keyword_with,
    STATE(7820), 1,
      aux_sym_create_database_repeat1,
    STATE(8482), 1,
      sym__with_settings,
    STATE(8483), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13709), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [465531] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13715), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [465549] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13622), 1,
      sym_keyword_select,
    ACTIONS(13624), 1,
      sym_keyword_show,
    ACTIONS(13626), 1,
      anon_sym_LPAREN,
    STATE(7858), 1,
      sym_select,
    STATE(8027), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8292), 1,
      sym__cte,
    STATE(9194), 1,
      sym__dml_read,
    STATE(9493), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [465587] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13622), 1,
      sym_keyword_select,
    ACTIONS(13624), 1,
      sym_keyword_show,
    ACTIONS(13626), 1,
      anon_sym_LPAREN,
    STATE(7858), 1,
      sym_select,
    STATE(8027), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8292), 1,
      sym__cte,
    STATE(9194), 1,
      sym__dml_read,
    STATE(9497), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [465625] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13717), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [465643] = 4,
    ACTIONS(13719), 1,
      anon_sym_COMMA,
    STATE(7644), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13134), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [465665] = 8,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7512), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    STATE(10059), 2,
      sym__mysql_update_statement,
      sym__postgres_update_statement,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [465695] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13622), 1,
      sym_keyword_select,
    ACTIONS(13646), 1,
      sym_keyword_show,
    ACTIONS(13648), 1,
      anon_sym_LPAREN,
    STATE(7858), 1,
      sym_select,
    STATE(8027), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8373), 1,
      sym__cte,
    STATE(8950), 1,
      sym_create_query,
    STATE(9194), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [465733] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13721), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [465751] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13622), 1,
      sym_keyword_select,
    ACTIONS(13624), 1,
      sym_keyword_show,
    ACTIONS(13626), 1,
      anon_sym_LPAREN,
    STATE(7858), 1,
      sym_select,
    STATE(8027), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8292), 1,
      sym__cte,
    STATE(8950), 1,
      sym_create_query,
    STATE(9194), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [465789] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13723), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [465807] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13725), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [465825] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13727), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [465843] = 6,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(10056), 1,
      sym_keyword_order,
    STATE(7543), 1,
      sym_order_by,
    STATE(7853), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13066), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [465869] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13729), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [465887] = 6,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(10056), 1,
      sym_keyword_order,
    STATE(7567), 1,
      sym_order_by,
    STATE(7875), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12827), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [465913] = 8,
    ACTIONS(119), 1,
      sym__identifier,
    STATE(5623), 1,
      sym_identifier,
    STATE(8257), 1,
      sym_object_reference,
    STATE(10836), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13733), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(13731), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [465943] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13564), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [465961] = 8,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(10783), 1,
      sym_keyword_window,
    STATE(7355), 1,
      sym_order_by,
    STATE(7681), 1,
      sym_limit,
    STATE(7951), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12633), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [465991] = 6,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(10056), 1,
      sym_keyword_order,
    STATE(7581), 1,
      sym_order_by,
    STATE(7832), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12633), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [466017] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13735), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [466035] = 4,
    ACTIONS(13737), 1,
      anon_sym_COMMA,
    STATE(7643), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13200), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [466057] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13739), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [466075] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13741), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [466093] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13743), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [466111] = 8,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7528), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    STATE(10059), 2,
      sym__mysql_update_statement,
      sym__postgres_update_statement,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [466141] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13745), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [466159] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13747), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [466177] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13749), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [466195] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12827), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [466213] = 10,
    ACTIONS(13753), 1,
      sym_keyword_table,
    ACTIONS(13755), 1,
      sym_keyword_view,
    ACTIONS(13757), 1,
      sym_keyword_sequence,
    ACTIONS(13759), 1,
      sym_keyword_index,
    ACTIONS(13761), 1,
      sym_keyword_type,
    ACTIONS(13763), 1,
      sym_keyword_database,
    ACTIONS(13765), 1,
      sym_keyword_schema,
    ACTIONS(13767), 1,
      sym_keyword_extension,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13751), 3,
      sym_keyword_group,
      sym_keyword_user,
      sym_keyword_role,
  [466247] = 12,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    ACTIONS(13653), 1,
      sym_keyword_values,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(8884), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466285] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12633), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [466303] = 6,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(10056), 1,
      sym_keyword_order,
    STATE(7529), 1,
      sym_order_by,
    STATE(7863), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10958), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [466329] = 10,
    ACTIONS(13771), 1,
      sym_keyword_table,
    ACTIONS(13773), 1,
      sym_keyword_view,
    ACTIONS(13775), 1,
      sym_keyword_sequence,
    ACTIONS(13777), 1,
      sym_keyword_index,
    ACTIONS(13779), 1,
      sym_keyword_type,
    ACTIONS(13781), 1,
      sym_keyword_database,
    ACTIONS(13783), 1,
      sym_keyword_schema,
    ACTIONS(13785), 1,
      sym_keyword_extension,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13769), 3,
      sym_keyword_group,
      sym_keyword_user,
      sym_keyword_role,
  [466363] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13622), 1,
      sym_keyword_select,
    ACTIONS(13646), 1,
      sym_keyword_show,
    ACTIONS(13648), 1,
      anon_sym_LPAREN,
    STATE(7858), 1,
      sym_select,
    STATE(8027), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8373), 1,
      sym__cte,
    STATE(9194), 1,
      sym__dml_read,
    STATE(9493), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466401] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13622), 1,
      sym_keyword_select,
    ACTIONS(13624), 1,
      sym_keyword_show,
    ACTIONS(13626), 1,
      anon_sym_LPAREN,
    STATE(7858), 1,
      sym_select,
    STATE(8027), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8292), 1,
      sym__cte,
    STATE(8980), 1,
      sym_create_query,
    STATE(9194), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466439] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13622), 1,
      sym_keyword_select,
    ACTIONS(13646), 1,
      sym_keyword_show,
    ACTIONS(13648), 1,
      anon_sym_LPAREN,
    STATE(7858), 1,
      sym_select,
    STATE(8027), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8373), 1,
      sym__cte,
    STATE(9194), 1,
      sym__dml_read,
    STATE(9497), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466477] = 6,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(10056), 1,
      sym_keyword_order,
    STATE(7500), 1,
      sym_order_by,
    STATE(7825), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10960), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [466503] = 12,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(9194), 1,
      sym__dml_read,
    STATE(9756), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466541] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13622), 1,
      sym_keyword_select,
    ACTIONS(13624), 1,
      sym_keyword_show,
    ACTIONS(13626), 1,
      anon_sym_LPAREN,
    STATE(7858), 1,
      sym_select,
    STATE(8027), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8292), 1,
      sym__cte,
    STATE(9194), 1,
      sym__dml_read,
    STATE(9574), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466579] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10960), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [466597] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13787), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [466615] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13622), 1,
      sym_keyword_select,
    ACTIONS(13624), 1,
      sym_keyword_show,
    ACTIONS(13626), 1,
      anon_sym_LPAREN,
    STATE(7858), 1,
      sym_select,
    STATE(8027), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8292), 1,
      sym__cte,
    STATE(9144), 1,
      sym_create_query,
    STATE(9194), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466653] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13628), 1,
      sym_keyword_select,
    ACTIONS(13630), 1,
      sym_keyword_show,
    ACTIONS(13632), 1,
      anon_sym_LPAREN,
    STATE(7927), 1,
      sym_select,
    STATE(8240), 1,
      sym__select_statement,
    STATE(8389), 1,
      sym__cte,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(10103), 1,
      sym__dml_read,
    STATE(10375), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466691] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13628), 1,
      sym_keyword_select,
    ACTIONS(13630), 1,
      sym_keyword_show,
    ACTIONS(13632), 1,
      anon_sym_LPAREN,
    STATE(7927), 1,
      sym_select,
    STATE(8240), 1,
      sym__select_statement,
    STATE(8389), 1,
      sym__cte,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(10103), 1,
      sym__dml_read,
    STATE(10372), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466729] = 8,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7523), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    STATE(11263), 2,
      sym__mysql_update_statement,
      sym__postgres_update_statement,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [466759] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13789), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [466777] = 5,
    ACTIONS(13679), 1,
      sym_keyword_union,
    STATE(7632), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13681), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13791), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [466801] = 8,
    ACTIONS(119), 1,
      sym__identifier,
    STATE(5623), 1,
      sym_identifier,
    STATE(8208), 1,
      sym_object_reference,
    STATE(10687), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13554), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(13552), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [466831] = 5,
    ACTIONS(13679), 1,
      sym_keyword_union,
    STATE(7700), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13681), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13793), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [466855] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1404), 1,
      sym_keyword_select,
    ACTIONS(1414), 1,
      sym_keyword_show,
    ACTIONS(13642), 1,
      anon_sym_LPAREN,
    STATE(7640), 1,
      sym_select,
    STATE(7758), 1,
      sym__select_statement,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(8481), 1,
      sym__cte,
    STATE(10103), 1,
      sym__dml_read,
    STATE(10848), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466893] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13622), 1,
      sym_keyword_select,
    ACTIONS(13624), 1,
      sym_keyword_show,
    ACTIONS(13626), 1,
      anon_sym_LPAREN,
    STATE(7858), 1,
      sym_select,
    STATE(8027), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8292), 1,
      sym__cte,
    STATE(9194), 1,
      sym__dml_read,
    STATE(9567), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [466931] = 6,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(10056), 1,
      sym_keyword_order,
    STATE(7565), 1,
      sym_order_by,
    STATE(7884), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9046), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [466957] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13795), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [466975] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8938), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [466993] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1404), 1,
      sym_keyword_select,
    ACTIONS(1414), 1,
      sym_keyword_show,
    ACTIONS(13642), 1,
      anon_sym_LPAREN,
    STATE(7640), 1,
      sym_select,
    STATE(7758), 1,
      sym__select_statement,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(8481), 1,
      sym__cte,
    STATE(10103), 1,
      sym__dml_read,
    STATE(10720), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467031] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13797), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [467049] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13799), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [467067] = 8,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(10783), 1,
      sym_keyword_window,
    STATE(7363), 1,
      sym_order_by,
    STATE(7645), 1,
      sym_limit,
    STATE(7965), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12827), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [467097] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13801), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [467115] = 6,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(10056), 1,
      sym_keyword_order,
    STATE(7513), 1,
      sym_order_by,
    STATE(7781), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8938), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [467141] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13803), 11,
      sym_keyword_select,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_replace,
      sym_keyword_update,
      sym_keyword_truncate,
      sym_keyword_show,
      sym_keyword_copy,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [467159] = 12,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13634), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8458), 1,
      sym__cte,
    STATE(9194), 1,
      sym__dml_read,
    STATE(9931), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467197] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13622), 1,
      sym_keyword_select,
    ACTIONS(13646), 1,
      sym_keyword_show,
    ACTIONS(13648), 1,
      anon_sym_LPAREN,
    STATE(7858), 1,
      sym_select,
    STATE(8027), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8373), 1,
      sym__cte,
    STATE(9097), 1,
      sym_create_query,
    STATE(9194), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467235] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13622), 1,
      sym_keyword_select,
    ACTIONS(13646), 1,
      sym_keyword_show,
    ACTIONS(13648), 1,
      anon_sym_LPAREN,
    STATE(7858), 1,
      sym_select,
    STATE(8027), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8373), 1,
      sym__cte,
    STATE(9194), 1,
      sym__dml_read,
    STATE(9217), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467273] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13805), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [467291] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13622), 1,
      sym_keyword_select,
    ACTIONS(13646), 1,
      sym_keyword_show,
    ACTIONS(13648), 1,
      anon_sym_LPAREN,
    STATE(7858), 1,
      sym_select,
    STATE(8027), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8373), 1,
      sym__cte,
    STATE(9194), 1,
      sym__dml_read,
    STATE(9395), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467329] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13807), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [467347] = 9,
    ACTIONS(653), 1,
      sym__identifier,
    ACTIONS(13809), 1,
      sym_keyword_nulls,
    STATE(8556), 1,
      sym__operator_class,
    STATE(8658), 1,
      sym_identifier,
    STATE(11304), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(711), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13571), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(13811), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [467379] = 4,
    ACTIONS(13719), 1,
      anon_sym_COMMA,
    STATE(7657), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13443), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [467401] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9046), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [467419] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13628), 1,
      sym_keyword_select,
    ACTIONS(13630), 1,
      sym_keyword_show,
    ACTIONS(13632), 1,
      anon_sym_LPAREN,
    STATE(7927), 1,
      sym_select,
    STATE(8240), 1,
      sym__select_statement,
    STATE(8389), 1,
      sym__cte,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(10103), 1,
      sym__dml_read,
    STATE(10283), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467457] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13628), 1,
      sym_keyword_select,
    ACTIONS(13630), 1,
      sym_keyword_show,
    ACTIONS(13632), 1,
      anon_sym_LPAREN,
    STATE(7927), 1,
      sym_select,
    STATE(8240), 1,
      sym__select_statement,
    STATE(8389), 1,
      sym__cte,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(10082), 1,
      sym_create_query,
    STATE(10103), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467495] = 4,
    ACTIONS(13737), 1,
      anon_sym_COMMA,
    STATE(7673), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13212), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [467517] = 6,
    ACTIONS(7958), 1,
      sym_keyword_having,
    ACTIONS(7974), 1,
      anon_sym_COMMA,
    STATE(7482), 1,
      sym__having,
    STATE(7779), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12702), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [467543] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13558), 11,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [467561] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13622), 1,
      sym_keyword_select,
    ACTIONS(13624), 1,
      sym_keyword_show,
    ACTIONS(13626), 1,
      anon_sym_LPAREN,
    STATE(7858), 1,
      sym_select,
    STATE(8027), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8292), 1,
      sym__cte,
    STATE(9194), 1,
      sym__dml_read,
    STATE(9395), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467599] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13813), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [467617] = 5,
    ACTIONS(13679), 1,
      sym_keyword_union,
    STATE(7700), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13681), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13815), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [467641] = 8,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(13819), 1,
      sym_keyword_ignore,
    STATE(5623), 1,
      sym_identifier,
    STATE(6965), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13817), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
    ACTIONS(13821), 3,
      sym_keyword_high_priority,
      sym_keyword_low_priority,
      sym_keyword_delayed,
  [467671] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10958), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [467689] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1404), 1,
      sym_keyword_select,
    ACTIONS(1414), 1,
      sym_keyword_show,
    ACTIONS(13642), 1,
      anon_sym_LPAREN,
    ACTIONS(13823), 1,
      sym_keyword_values,
    STATE(7640), 1,
      sym_select,
    STATE(7758), 1,
      sym__select_statement,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(8481), 1,
      sym__cte,
    STATE(9570), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467727] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13622), 1,
      sym_keyword_select,
    ACTIONS(13624), 1,
      sym_keyword_show,
    ACTIONS(13626), 1,
      anon_sym_LPAREN,
    STATE(7858), 1,
      sym_select,
    STATE(8027), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8292), 1,
      sym__cte,
    STATE(9194), 1,
      sym__dml_read,
    STATE(9304), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467765] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13622), 1,
      sym_keyword_select,
    ACTIONS(13646), 1,
      sym_keyword_show,
    ACTIONS(13648), 1,
      anon_sym_LPAREN,
    STATE(7858), 1,
      sym_select,
    STATE(8027), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8373), 1,
      sym__cte,
    STATE(8980), 1,
      sym_create_query,
    STATE(9194), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467803] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13622), 1,
      sym_keyword_select,
    ACTIONS(13646), 1,
      sym_keyword_show,
    ACTIONS(13648), 1,
      anon_sym_LPAREN,
    STATE(7858), 1,
      sym_select,
    STATE(8027), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8373), 1,
      sym__cte,
    STATE(9144), 1,
      sym_create_query,
    STATE(9194), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467841] = 8,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(13827), 1,
      sym_keyword_ignore,
    STATE(5623), 1,
      sym_identifier,
    STATE(6971), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13825), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
    ACTIONS(13829), 3,
      sym_keyword_high_priority,
      sym_keyword_low_priority,
      sym_keyword_delayed,
  [467871] = 8,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(10783), 1,
      sym_keyword_window,
    STATE(7387), 1,
      sym_order_by,
    STATE(7684), 1,
      sym_limit,
    STATE(7979), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10958), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [467901] = 12,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(9194), 1,
      sym__dml_read,
    STATE(9931), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467939] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(13628), 1,
      sym_keyword_select,
    ACTIONS(13630), 1,
      sym_keyword_show,
    ACTIONS(13632), 1,
      anon_sym_LPAREN,
    STATE(7927), 1,
      sym_select,
    STATE(8240), 1,
      sym__select_statement,
    STATE(8389), 1,
      sym__cte,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(10103), 1,
      sym__dml_read,
    STATE(10110), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [467977] = 12,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1404), 1,
      sym_keyword_select,
    ACTIONS(1414), 1,
      sym_keyword_show,
    ACTIONS(13642), 1,
      anon_sym_LPAREN,
    STATE(7640), 1,
      sym_select,
    STATE(7758), 1,
      sym__select_statement,
    STATE(8395), 1,
      sym__show_statement,
    STATE(8398), 1,
      sym_set_operation,
    STATE(8481), 1,
      sym__cte,
    STATE(10103), 1,
      sym__dml_read,
    STATE(10988), 1,
      sym_create_query,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468015] = 11,
    ACTIONS(13831), 1,
      sym_keyword_view,
    ACTIONS(13833), 1,
      sym_keyword_materialized,
    ACTIONS(13835), 1,
      sym_keyword_constraint,
    ACTIONS(13837), 1,
      sym_keyword_temp,
    ACTIONS(13839), 1,
      sym_keyword_temporary,
    ACTIONS(13841), 1,
      sym_keyword_recursive,
    ACTIONS(13843), 1,
      sym_keyword_trigger,
    ACTIONS(13845), 1,
      sym_keyword_function,
    ACTIONS(13847), 1,
      sym_keyword_definer,
    STATE(10716), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468050] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(8147), 1,
      sym__cte,
    STATE(8673), 1,
      sym_select,
    STATE(9605), 1,
      sym__select_statement,
    STATE(14611), 1,
      sym_set_operation,
    STATE(14616), 1,
      sym__show_statement,
    STATE(14617), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468085] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(13763), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468120] = 9,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    ACTIONS(13849), 1,
      sym_keyword_lateral,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7398), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
  [468151] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13715), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [468168] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(14361), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468203] = 11,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(24), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8805), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468238] = 3,
    ACTIONS(2853), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2849), 9,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [468257] = 8,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(13853), 1,
      sym_keyword_create,
    STATE(7817), 1,
      aux_sym_create_database_repeat1,
    STATE(8482), 1,
      sym__with_settings,
    STATE(8483), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13851), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [468286] = 8,
    ACTIONS(12437), 1,
      sym_keyword_set,
    ACTIONS(13505), 1,
      sym_keyword_inner,
    ACTIONS(13507), 1,
      sym_keyword_join,
    ACTIONS(13509), 1,
      sym_keyword_natural,
    STATE(9272), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8062), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13503), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [468315] = 11,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(24), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8761), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468350] = 8,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(13857), 1,
      sym_keyword_create,
    STATE(7766), 1,
      aux_sym_create_database_repeat1,
    STATE(8482), 1,
      sym__with_settings,
    STATE(8483), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13855), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [468379] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(12573), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468414] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(12961), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468449] = 9,
    ACTIONS(13861), 1,
      sym_keyword_table,
    ACTIONS(13863), 1,
      sym_keyword_view,
    ACTIONS(13865), 1,
      sym_keyword_sequence,
    ACTIONS(13867), 1,
      sym_keyword_index,
    ACTIONS(13869), 1,
      sym_keyword_type,
    ACTIONS(13871), 1,
      sym_keyword_database,
    ACTIONS(13873), 1,
      sym_keyword_schema,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13859), 3,
      sym_keyword_group,
      sym_keyword_user,
      sym_keyword_role,
  [468480] = 5,
    ACTIONS(13875), 1,
      sym_keyword_union,
    STATE(7784), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13877), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13677), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
  [468503] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(12615), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468538] = 4,
    ACTIONS(13879), 1,
      anon_sym_COMMA,
    STATE(7760), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13234), 8,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [468559] = 9,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    ACTIONS(13882), 1,
      sym_keyword_lateral,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7401), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
  [468590] = 4,
    ACTIONS(13884), 1,
      anon_sym_COMMA,
    STATE(7760), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13134), 8,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [468611] = 8,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(13857), 1,
      sym_keyword_create,
    STATE(7766), 1,
      aux_sym_create_database_repeat1,
    STATE(8482), 1,
      sym__with_settings,
    STATE(8483), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13855), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [468640] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(13843), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468675] = 9,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(13480), 1,
      sym_keyword_role,
    ACTIONS(13484), 1,
      sym_keyword_session,
    ACTIONS(13488), 1,
      sym_keyword_time,
    STATE(5623), 1,
      sym_identifier,
    STATE(11625), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13478), 2,
      sym_keyword_schema,
      sym_keyword_names,
  [468706] = 8,
    ACTIONS(13888), 1,
      sym__identifier,
    ACTIONS(13891), 1,
      sym_keyword_create,
    STATE(7766), 1,
      aux_sym_create_database_repeat1,
    STATE(8482), 1,
      sym__with_settings,
    STATE(8483), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13893), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13886), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [468735] = 11,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8501), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468770] = 11,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8504), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468805] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(12522), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468840] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(12509), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468875] = 9,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    ACTIONS(13896), 1,
      sym_keyword_lateral,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7434), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
  [468906] = 9,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    ACTIONS(13898), 1,
      sym_keyword_lateral,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(6728), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
  [468937] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(8204), 1,
      sym__cte,
    STATE(8870), 1,
      sym_select,
    STATE(8963), 1,
      sym__select_statement,
    STATE(13725), 1,
      sym__dml_read,
    STATE(14080), 1,
      sym_set_operation,
    STATE(14086), 1,
      sym__show_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [468972] = 9,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    ACTIONS(13900), 1,
      sym_keyword_lateral,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7375), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
  [469003] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13789), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [469020] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(14785), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469055] = 9,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    ACTIONS(13902), 1,
      sym_keyword_lateral,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7463), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
  [469086] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(14781), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469121] = 4,
    ACTIONS(13904), 1,
      anon_sym_COMMA,
    STATE(7779), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6707), 8,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_order,
      sym_keyword_having,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
      sym_keyword_window,
  [469142] = 11,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(9928), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469177] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9046), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [469194] = 11,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8286), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469229] = 9,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    ACTIONS(13907), 1,
      sym_keyword_lateral,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7349), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
  [469260] = 5,
    ACTIONS(13875), 1,
      sym_keyword_union,
    STATE(7807), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13877), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13791), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
  [469283] = 9,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    ACTIONS(13909), 1,
      sym_keyword_lateral,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7358), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
  [469314] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13655), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [469331] = 11,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8491), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469366] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(13598), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469401] = 8,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(13913), 1,
      sym_keyword_where,
    STATE(8108), 1,
      sym_where,
    STATE(8724), 1,
      sym_order_by,
    STATE(9936), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13911), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [469430] = 5,
    ACTIONS(13917), 1,
      sym_keyword_from,
    STATE(1293), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(13915), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
  [469453] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(13747), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469488] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(14793), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469523] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(13998), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469558] = 9,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(13705), 1,
      sym_keyword_create,
    ACTIONS(13919), 1,
      sym_keyword_with,
    STATE(8029), 1,
      aux_sym_create_database_repeat1,
    STATE(8336), 1,
      sym_identifier,
    STATE(8706), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13703), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [469589] = 8,
    ACTIONS(12437), 1,
      sym_keyword_set,
    ACTIONS(13505), 1,
      sym_keyword_inner,
    ACTIONS(13507), 1,
      sym_keyword_join,
    ACTIONS(13509), 1,
      sym_keyword_natural,
    STATE(9563), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8062), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13503), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [469618] = 5,
    ACTIONS(13875), 1,
      sym_keyword_union,
    STATE(7784), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13877), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13815), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
  [469641] = 11,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(24), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8886), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469676] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13813), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [469693] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13805), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [469710] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13923), 2,
      sym_keyword_follows,
      sym_keyword_precedes,
    ACTIONS(13921), 8,
      sym_keyword_from,
      sym_keyword_when,
      sym_keyword_not,
      sym_keyword_for,
      sym_keyword_deferrable,
      sym_keyword_initially,
      sym_keyword_referencing,
      sym_keyword_execute,
  [469729] = 11,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(24), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8887), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469764] = 11,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(24), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8890), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469799] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(8147), 1,
      sym__cte,
    STATE(8673), 1,
      sym_select,
    STATE(9605), 1,
      sym__select_statement,
    STATE(14352), 1,
      sym__dml_read,
    STATE(14611), 1,
      sym_set_operation,
    STATE(14616), 1,
      sym__show_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469834] = 5,
    ACTIONS(13875), 1,
      sym_keyword_union,
    STATE(7784), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13877), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13793), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
  [469857] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(14629), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [469892] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8938), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [469909] = 5,
    ACTIONS(13925), 1,
      sym_keyword_union,
    STATE(7807), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13928), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13669), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
  [469932] = 9,
    ACTIONS(523), 1,
      sym__identifier,
    ACTIONS(13931), 1,
      sym_keyword_only,
    ACTIONS(13933), 1,
      anon_sym_LPAREN,
    STATE(3556), 1,
      sym_identifier,
    STATE(5022), 1,
      sym_relation,
    STATE(6380), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(581), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(6409), 2,
      sym_invocation,
      sym_subquery,
  [469963] = 9,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    ACTIONS(13935), 1,
      sym_keyword_only,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(6232), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
  [469994] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(12906), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470029] = 11,
    ACTIONS(339), 1,
      sym__identifier,
    ACTIONS(397), 1,
      aux_sym_identifier_token1,
    ACTIONS(4045), 1,
      sym__double_quote_string,
    ACTIONS(4047), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4055), 1,
      sym__dollar_quoted_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(2112), 1,
      sym__single_quote_string,
    STATE(9268), 1,
      sym__column,
    STATE(11480), 1,
      sym_ordered_column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470064] = 9,
    ACTIONS(523), 1,
      sym__identifier,
    ACTIONS(13933), 1,
      anon_sym_LPAREN,
    ACTIONS(13937), 1,
      sym_keyword_lateral,
    STATE(3556), 1,
      sym_identifier,
    STATE(6380), 1,
      sym_object_reference,
    STATE(6824), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(581), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(6409), 2,
      sym_invocation,
      sym_subquery,
  [470095] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(13509), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470130] = 9,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(13519), 1,
      sym_keyword_role,
    ACTIONS(13523), 1,
      sym_keyword_session,
    ACTIONS(13527), 1,
      sym_keyword_time,
    STATE(5623), 1,
      sym_identifier,
    STATE(11777), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13517), 2,
      sym_keyword_schema,
      sym_keyword_names,
  [470161] = 9,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    ACTIONS(13939), 1,
      sym_keyword_lateral,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7424), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
  [470192] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13941), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13943), 5,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym__identifier,
  [470211] = 8,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(13947), 1,
      sym_keyword_create,
    STATE(7766), 1,
      aux_sym_create_database_repeat1,
    STATE(8482), 1,
      sym__with_settings,
    STATE(8483), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13945), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [470240] = 11,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(9766), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470275] = 8,
    ACTIONS(12411), 1,
      sym_keyword_set,
    ACTIONS(13505), 1,
      sym_keyword_inner,
    ACTIONS(13507), 1,
      sym_keyword_join,
    ACTIONS(13509), 1,
      sym_keyword_natural,
    STATE(9162), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8062), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13503), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [470304] = 8,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(13951), 1,
      sym_keyword_create,
    STATE(7766), 1,
      aux_sym_create_database_repeat1,
    STATE(8482), 1,
      sym__with_settings,
    STATE(8483), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13949), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [470333] = 8,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10995), 1,
      sym_keyword_order,
    STATE(7567), 1,
      sym_order_by,
    STATE(7875), 1,
      sym_limit,
    STATE(8106), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12827), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [470362] = 11,
    ACTIONS(339), 1,
      sym__identifier,
    ACTIONS(397), 1,
      aux_sym_identifier_token1,
    ACTIONS(4045), 1,
      sym__double_quote_string,
    ACTIONS(4047), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4055), 1,
      sym__dollar_quoted_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(2112), 1,
      sym__single_quote_string,
    STATE(9268), 1,
      sym__column,
    STATE(11121), 1,
      sym_ordered_column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470397] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(14351), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470432] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(14341), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470467] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10958), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [470484] = 11,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8341), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470519] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(14618), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470554] = 11,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8350), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470589] = 4,
    ACTIONS(13953), 1,
      anon_sym_COMMA,
    STATE(7829), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12690), 8,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [470610] = 11,
    ACTIONS(339), 1,
      sym__identifier,
    ACTIONS(397), 1,
      aux_sym_identifier_token1,
    ACTIONS(4045), 1,
      sym__double_quote_string,
    ACTIONS(4047), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(4055), 1,
      sym__dollar_quoted_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(2112), 1,
      sym__single_quote_string,
    STATE(9268), 1,
      sym__column,
    STATE(11585), 1,
      sym_ordered_column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470645] = 9,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    ACTIONS(13956), 1,
      sym_keyword_only,
    STATE(1898), 1,
      sym_identifier,
    STATE(4868), 1,
      sym_relation,
    STATE(5411), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
  [470676] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12827), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [470693] = 8,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10995), 1,
      sym_keyword_order,
    STATE(7581), 1,
      sym_order_by,
    STATE(7832), 1,
      sym_limit,
    STATE(8114), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12633), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [470722] = 11,
    ACTIONS(13958), 1,
      sym_keyword_view,
    ACTIONS(13960), 1,
      sym_keyword_materialized,
    ACTIONS(13962), 1,
      sym_keyword_constraint,
    ACTIONS(13964), 1,
      sym_keyword_temp,
    ACTIONS(13966), 1,
      sym_keyword_temporary,
    ACTIONS(13968), 1,
      sym_keyword_recursive,
    ACTIONS(13970), 1,
      sym_keyword_trigger,
    ACTIONS(13972), 1,
      sym_keyword_function,
    ACTIONS(13974), 1,
      sym_keyword_definer,
    STATE(10799), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470757] = 9,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    ACTIONS(13976), 1,
      sym_keyword_lateral,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7481), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
  [470788] = 9,
    ACTIONS(523), 1,
      sym__identifier,
    ACTIONS(13933), 1,
      anon_sym_LPAREN,
    ACTIONS(13978), 1,
      sym_keyword_only,
    STATE(3556), 1,
      sym_identifier,
    STATE(5635), 1,
      sym_relation,
    STATE(6380), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(581), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(6409), 2,
      sym_invocation,
      sym_subquery,
  [470819] = 11,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8362), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470854] = 9,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    ACTIONS(13980), 1,
      sym_keyword_lateral,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7449), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
  [470885] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(8204), 1,
      sym__cte,
    STATE(8870), 1,
      sym_select,
    STATE(8963), 1,
      sym__select_statement,
    STATE(13984), 1,
      sym__dml_read,
    STATE(14080), 1,
      sym_set_operation,
    STATE(14086), 1,
      sym__show_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470920] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(14572), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470955] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(13749), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [470990] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(12933), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471025] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(14189), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471060] = 4,
    ACTIONS(13982), 1,
      anon_sym_COMMA,
    STATE(7829), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13200), 8,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [471081] = 9,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    ACTIONS(13984), 1,
      sym_keyword_lateral,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7445), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
  [471112] = 9,
    ACTIONS(13863), 1,
      sym_keyword_view,
    ACTIONS(13865), 1,
      sym_keyword_sequence,
    ACTIONS(13867), 1,
      sym_keyword_index,
    ACTIONS(13869), 1,
      sym_keyword_type,
    ACTIONS(13871), 1,
      sym_keyword_database,
    ACTIONS(13873), 1,
      sym_keyword_schema,
    ACTIONS(13986), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13859), 3,
      sym_keyword_group,
      sym_keyword_user,
      sym_keyword_role,
  [471143] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(12931), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471178] = 9,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    ACTIONS(13988), 1,
      sym_keyword_lateral,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7440), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
  [471209] = 8,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(13705), 1,
      sym_keyword_create,
    STATE(7763), 1,
      aux_sym_create_database_repeat1,
    STATE(8482), 1,
      sym__with_settings,
    STATE(8483), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13703), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [471238] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13787), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [471255] = 8,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10995), 1,
      sym_keyword_order,
    STATE(7529), 1,
      sym_order_by,
    STATE(7863), 1,
      sym_limit,
    STATE(8120), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10958), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [471284] = 9,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    ACTIONS(13990), 1,
      sym_keyword_only,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(5430), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
  [471315] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13228), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [471332] = 9,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    ACTIONS(13992), 1,
      sym_keyword_lateral,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7444), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
  [471363] = 4,
    ACTIONS(13982), 1,
      anon_sym_COMMA,
    STATE(7844), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13212), 8,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [471384] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(12345), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471419] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(8265), 1,
      sym__cte,
    STATE(8673), 1,
      sym_select,
    STATE(9605), 1,
      sym__select_statement,
    STATE(14352), 1,
      sym__dml_read,
    STATE(14611), 1,
      sym_set_operation,
    STATE(14616), 1,
      sym__show_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471454] = 4,
    ACTIONS(13994), 1,
      sym_keyword_from,
    STATE(7699), 1,
      sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13601), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      anon_sym_RPAREN,
  [471475] = 8,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(13913), 1,
      sym_keyword_where,
    STATE(8205), 1,
      sym_where,
    STATE(8814), 1,
      sym_order_by,
    STATE(10251), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13996), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [471504] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(8265), 1,
      sym__cte,
    STATE(8673), 1,
      sym_select,
    STATE(9605), 1,
      sym__select_statement,
    STATE(14611), 1,
      sym_set_operation,
    STATE(14616), 1,
      sym__show_statement,
    STATE(14617), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471539] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(14053), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471574] = 8,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10995), 1,
      sym_keyword_order,
    STATE(7500), 1,
      sym_order_by,
    STATE(7825), 1,
      sym_limit,
    STATE(8127), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10960), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [471603] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12633), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [471620] = 8,
    ACTIONS(12411), 1,
      sym_keyword_set,
    ACTIONS(13505), 1,
      sym_keyword_inner,
    ACTIONS(13507), 1,
      sym_keyword_join,
    ACTIONS(13509), 1,
      sym_keyword_natural,
    STATE(8949), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8062), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13503), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [471649] = 11,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(24), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8834), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471684] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(12357), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471719] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(13518), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471754] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(8265), 1,
      sym__cte,
    STATE(8673), 1,
      sym_select,
    STATE(9605), 1,
      sym__select_statement,
    STATE(13891), 1,
      sym__dml_read,
    STATE(14611), 1,
      sym_set_operation,
    STATE(14616), 1,
      sym__show_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471789] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(8204), 1,
      sym__cte,
    STATE(8870), 1,
      sym_select,
    STATE(8963), 1,
      sym__select_statement,
    STATE(13825), 1,
      sym__dml_read,
    STATE(14080), 1,
      sym_set_operation,
    STATE(14086), 1,
      sym__show_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471824] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(13458), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471859] = 11,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8298), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471894] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(14024), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471929] = 9,
    ACTIONS(523), 1,
      sym__identifier,
    ACTIONS(13933), 1,
      anon_sym_LPAREN,
    ACTIONS(13998), 1,
      sym_keyword_only,
    STATE(3556), 1,
      sym_identifier,
    STATE(6380), 1,
      sym_object_reference,
    STATE(6455), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(581), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(6409), 2,
      sym_invocation,
      sym_subquery,
  [471960] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(13957), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [471995] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13066), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [472012] = 8,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10995), 1,
      sym_keyword_order,
    STATE(7565), 1,
      sym_order_by,
    STATE(7884), 1,
      sym_limit,
    STATE(8137), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9046), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [472041] = 8,
    ACTIONS(12429), 1,
      sym_keyword_set,
    ACTIONS(13505), 1,
      sym_keyword_inner,
    ACTIONS(13507), 1,
      sym_keyword_join,
    ACTIONS(13509), 1,
      sym_keyword_natural,
    STATE(10308), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8062), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13503), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [472070] = 11,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(24), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8839), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472105] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(8204), 1,
      sym__cte,
    STATE(8870), 1,
      sym_select,
    STATE(8963), 1,
      sym__select_statement,
    STATE(14080), 1,
      sym_set_operation,
    STATE(14086), 1,
      sym__show_statement,
    STATE(14087), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472140] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(8265), 1,
      sym__cte,
    STATE(8673), 1,
      sym_select,
    STATE(9605), 1,
      sym__select_statement,
    STATE(13476), 1,
      sym__dml_read,
    STATE(14611), 1,
      sym_set_operation,
    STATE(14616), 1,
      sym__show_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472175] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(12876), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472210] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(13954), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472245] = 5,
    ACTIONS(14000), 1,
      sym_keyword_from,
    STATE(1652), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(13915), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
  [472268] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10960), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [472285] = 9,
    ACTIONS(14004), 1,
      sym_keyword_table,
    ACTIONS(14006), 1,
      sym_keyword_view,
    ACTIONS(14008), 1,
      sym_keyword_sequence,
    ACTIONS(14010), 1,
      sym_keyword_index,
    ACTIONS(14012), 1,
      sym_keyword_type,
    ACTIONS(14014), 1,
      sym_keyword_database,
    ACTIONS(14016), 1,
      sym_keyword_schema,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14002), 3,
      sym_keyword_group,
      sym_keyword_user,
      sym_keyword_role,
  [472316] = 9,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(13711), 1,
      sym_keyword_create,
    ACTIONS(14018), 1,
      sym_keyword_with,
    STATE(8017), 1,
      aux_sym_create_database_repeat1,
    STATE(8336), 1,
      sym_identifier,
    STATE(8706), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13709), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [472347] = 8,
    ACTIONS(1287), 1,
      sym__identifier,
    STATE(7042), 1,
      sym_identifier,
    STATE(8399), 1,
      sym_object_reference,
    STATE(12131), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13731), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(14020), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [472376] = 9,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    ACTIONS(14022), 1,
      sym_keyword_lateral,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7420), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
  [472407] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(8147), 1,
      sym__cte,
    STATE(8673), 1,
      sym_select,
    STATE(9605), 1,
      sym__select_statement,
    STATE(13891), 1,
      sym__dml_read,
    STATE(14611), 1,
      sym_set_operation,
    STATE(14616), 1,
      sym__show_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472442] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(14635), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472477] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7634), 1,
      sym__select_statement,
    STATE(8128), 1,
      sym__show_statement,
    STATE(8151), 1,
      sym_set_operation,
    STATE(8413), 1,
      sym__cte,
    STATE(14404), 1,
      sym__dml_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472512] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13807), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [472529] = 8,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(9124), 1,
      sym_keyword_window,
    ACTIONS(10995), 1,
      sym_keyword_order,
    STATE(7513), 1,
      sym_order_by,
    STATE(7781), 1,
      sym_limit,
    STATE(8139), 1,
      sym_window_clause,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8938), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [472558] = 4,
    ACTIONS(13884), 1,
      anon_sym_COMMA,
    STATE(7762), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13443), 8,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [472579] = 11,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(12253), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472614] = 9,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    ACTIONS(14024), 1,
      sym_keyword_lateral,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7364), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
  [472645] = 8,
    ACTIONS(12429), 1,
      sym_keyword_set,
    ACTIONS(13505), 1,
      sym_keyword_inner,
    ACTIONS(13507), 1,
      sym_keyword_join,
    ACTIONS(13509), 1,
      sym_keyword_natural,
    STATE(10214), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8062), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(13503), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [472674] = 11,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(24), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(8841), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472709] = 11,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(11453), 1,
      anon_sym_LPAREN,
    STATE(8147), 1,
      sym__cte,
    STATE(8673), 1,
      sym_select,
    STATE(9605), 1,
      sym__select_statement,
    STATE(13476), 1,
      sym__dml_read,
    STATE(14611), 1,
      sym_set_operation,
    STATE(14616), 1,
      sym__show_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472744] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14028), 2,
      sym_keyword_follows,
      sym_keyword_precedes,
    ACTIONS(14026), 8,
      sym_keyword_from,
      sym_keyword_when,
      sym_keyword_not,
      sym_keyword_for,
      sym_keyword_deferrable,
      sym_keyword_initially,
      sym_keyword_referencing,
      sym_keyword_execute,
  [472763] = 11,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(10206), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472798] = 9,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    ACTIONS(14030), 1,
      sym_keyword_lateral,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7475), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
  [472829] = 11,
    ACTIONS(13835), 1,
      sym_keyword_constraint,
    ACTIONS(13843), 1,
      sym_keyword_trigger,
    ACTIONS(13845), 1,
      sym_keyword_function,
    ACTIONS(13847), 1,
      sym_keyword_definer,
    ACTIONS(14032), 1,
      sym_keyword_view,
    ACTIONS(14034), 1,
      sym_keyword_materialized,
    ACTIONS(14036), 1,
      sym_keyword_temp,
    ACTIONS(14038), 1,
      sym_keyword_temporary,
    ACTIONS(14040), 1,
      sym_keyword_recursive,
    STATE(10574), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472864] = 9,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    ACTIONS(14042), 1,
      sym_keyword_lateral,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7468), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
  [472895] = 8,
    ACTIONS(1287), 1,
      sym__identifier,
    STATE(7042), 1,
      sym_identifier,
    STATE(8305), 1,
      sym_object_reference,
    STATE(12197), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13552), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(13661), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [472924] = 11,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(117), 1,
      aux_sym_identifier_token1,
    ACTIONS(10699), 1,
      sym__double_quote_string,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(10703), 1,
      sym__dollar_quoted_string,
    STATE(67), 1,
      sym__column,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(10226), 1,
      sym_column_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [472959] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13667), 10,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
      sym_keyword_returning,
  [472976] = 9,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    ACTIONS(14044), 1,
      sym_keyword_lateral,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7474), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
  [473007] = 8,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14046), 1,
      sym_keyword_partition,
    ACTIONS(14050), 1,
      anon_sym_RPAREN,
    STATE(8421), 1,
      sym_partition_by,
    STATE(8999), 1,
      sym_order_by,
    STATE(13990), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [473035] = 7,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7474), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [473061] = 8,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13359), 1,
      sym_keyword_using,
    ACTIONS(13394), 1,
      sym_keyword_on,
    STATE(12151), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [473089] = 8,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13230), 1,
      sym_keyword_on,
    ACTIONS(13232), 1,
      sym_keyword_using,
    STATE(12149), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [473117] = 7,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7401), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [473143] = 7,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7406), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [473169] = 7,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7489), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [473195] = 6,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    STATE(7341), 1,
      sym_order_by,
    STATE(7723), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8938), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [473219] = 6,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    STATE(7412), 1,
      sym_order_by,
    STATE(7733), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10960), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [473243] = 8,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14046), 1,
      sym_keyword_partition,
    ACTIONS(14052), 1,
      anon_sym_RPAREN,
    STATE(8429), 1,
      sym_partition_by,
    STATE(9103), 1,
      sym_order_by,
    STATE(12843), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [473271] = 8,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13158), 1,
      sym_keyword_using,
    ACTIONS(13445), 1,
      sym_keyword_on,
    STATE(11920), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [473299] = 10,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(13650), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [473331] = 8,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13130), 1,
      sym_keyword_on,
    ACTIONS(13132), 1,
      sym_keyword_using,
    STATE(11969), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [473359] = 7,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7398), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [473385] = 8,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13188), 1,
      sym_keyword_using,
    ACTIONS(13469), 1,
      sym_keyword_on,
    STATE(12024), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [473413] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14062), 1,
      sym_keyword_deferrable,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14068), 1,
      sym_keyword_execute,
    STATE(7939), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [473445] = 8,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14046), 1,
      sym_keyword_partition,
    ACTIONS(14070), 1,
      anon_sym_RPAREN,
    STATE(8296), 1,
      sym_partition_by,
    STATE(9047), 1,
      sym_order_by,
    STATE(13497), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [473473] = 7,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7352), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [473499] = 4,
    ACTIONS(14072), 1,
      sym_keyword_from,
    STATE(7775), 1,
      sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13601), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [473519] = 10,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(10825), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [473551] = 8,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14046), 1,
      sym_keyword_partition,
    ACTIONS(14074), 1,
      anon_sym_RPAREN,
    STATE(8291), 1,
      sym_partition_by,
    STATE(9183), 1,
      sym_order_by,
    STATE(13767), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [473579] = 7,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7405), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [473605] = 10,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(10885), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [473637] = 10,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(13597), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [473669] = 5,
    ACTIONS(14076), 1,
      sym_keyword_union,
    STATE(8057), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14078), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13815), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      anon_sym_RPAREN,
  [473691] = 8,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13333), 1,
      sym_keyword_using,
    ACTIONS(13438), 1,
      sym_keyword_on,
    STATE(12148), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [473719] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14080), 1,
      sym_keyword_deferrable,
    ACTIONS(14082), 1,
      sym_keyword_execute,
    STATE(8084), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [473751] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14068), 1,
      sym_keyword_execute,
    ACTIONS(14084), 1,
      sym_keyword_deferrable,
    STATE(8007), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [473783] = 8,
    ACTIONS(12800), 1,
      sym_keyword_owner,
    ACTIONS(14086), 1,
      sym_keyword_set,
    ACTIONS(14088), 1,
      sym_keyword_alter,
    ACTIONS(14090), 1,
      sym_keyword_drop,
    ACTIONS(14092), 1,
      sym_keyword_add,
    ACTIONS(14094), 1,
      sym_keyword_rename,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10889), 3,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [473811] = 4,
    STATE(1195), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(14096), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
  [473831] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14084), 1,
      sym_keyword_deferrable,
    ACTIONS(14098), 1,
      sym_keyword_execute,
    STATE(8007), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [473863] = 10,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(12541), 1,
      anon_sym_LPAREN,
    STATE(8870), 1,
      sym_select,
    STATE(9018), 1,
      sym__select_statement,
    STATE(13818), 1,
      sym__cte,
    STATE(13971), 1,
      sym_set_operation,
    STATE(13973), 1,
      sym__show_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [473895] = 7,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7440), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [473921] = 10,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(12018), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [473953] = 7,
    ACTIONS(13933), 1,
      anon_sym_LPAREN,
    STATE(3556), 1,
      sym_identifier,
    STATE(5064), 1,
      sym_relation,
    STATE(6380), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6409), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(581), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [473979] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14100), 1,
      sym_keyword_deferrable,
    ACTIONS(14102), 1,
      sym_keyword_execute,
    STATE(8036), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [474011] = 7,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7419), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [474037] = 8,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(14104), 1,
      sym_keyword_on,
    ACTIONS(14106), 1,
      sym_keyword_using,
    STATE(12161), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [474065] = 10,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(12267), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [474097] = 7,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7449), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [474123] = 8,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13132), 1,
      sym_keyword_using,
    ACTIONS(13285), 1,
      sym_keyword_on,
    STATE(12164), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [474151] = 10,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(14010), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [474183] = 6,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    STATE(7363), 1,
      sym_order_by,
    STATE(7645), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12827), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [474207] = 3,
    ACTIONS(14110), 1,
      sym_keyword_temp,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14108), 8,
      sym_keyword_view,
      sym_keyword_materialized,
      sym_keyword_constraint,
      sym_keyword_temporary,
      sym_keyword_recursive,
      sym_keyword_trigger,
      sym_keyword_function,
      sym_keyword_definer,
  [474225] = 7,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7340), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [474251] = 7,
    ACTIONS(13933), 1,
      anon_sym_LPAREN,
    STATE(3556), 1,
      sym_identifier,
    STATE(6380), 1,
      sym_object_reference,
    STATE(6465), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6409), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(581), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [474277] = 8,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(14112), 1,
      sym_keyword_on,
    ACTIONS(14114), 1,
      sym_keyword_using,
    STATE(12146), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [474305] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14098), 1,
      sym_keyword_execute,
    ACTIONS(14116), 1,
      sym_keyword_deferrable,
    STATE(8081), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [474337] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13941), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13943), 5,
      sym_keyword_password,
      sym_keyword_encrypted,
      sym_keyword_valid,
      sym_keyword_connection,
      sym__identifier,
  [474355] = 8,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13158), 1,
      sym_keyword_using,
    ACTIONS(13277), 1,
      sym_keyword_on,
    STATE(12165), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [474383] = 8,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13188), 1,
      sym_keyword_using,
    ACTIONS(13275), 1,
      sym_keyword_on,
    STATE(12171), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [474411] = 7,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(5418), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [474437] = 4,
    ACTIONS(14120), 1,
      anon_sym_COMMA,
    STATE(8030), 1,
      aux_sym_assignment_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14118), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
  [474457] = 6,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    STATE(7391), 1,
      sym_order_by,
    STATE(7693), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9046), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [474481] = 10,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(13512), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [474513] = 8,
    ACTIONS(14122), 1,
      anon_sym_LPAREN,
    STATE(7443), 1,
      sym_identifier,
    STATE(9910), 1,
      sym_assignment_list,
    STATE(9946), 1,
      sym_assignment,
    STATE(14142), 1,
      sym_object_reference,
    STATE(14196), 1,
      sym__qualified_field,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [474541] = 6,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    STATE(7360), 1,
      sym_order_by,
    STATE(7651), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13066), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [474565] = 8,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14046), 1,
      sym_keyword_partition,
    ACTIONS(14124), 1,
      anon_sym_RPAREN,
    STATE(8411), 1,
      sym_partition_by,
    STATE(8965), 1,
      sym_order_by,
    STATE(14312), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [474593] = 4,
    ACTIONS(14126), 1,
      anon_sym_COMMA,
    STATE(8024), 1,
      aux_sym_assignment_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14118), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
  [474613] = 8,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13359), 1,
      sym_keyword_using,
    ACTIONS(13434), 1,
      sym_keyword_on,
    STATE(12134), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [474641] = 7,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(6619), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [474667] = 7,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7473), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [474693] = 7,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(4882), 1,
      sym_relation,
    STATE(5411), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [474719] = 7,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(6221), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [474745] = 10,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(12541), 1,
      anon_sym_LPAREN,
    STATE(8870), 1,
      sym_select,
    STATE(9018), 1,
      sym__select_statement,
    STATE(13971), 1,
      sym_set_operation,
    STATE(13973), 1,
      sym__show_statement,
    STATE(14215), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [474777] = 5,
    ACTIONS(14128), 1,
      sym_keyword_union,
    STATE(7974), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14131), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13669), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      anon_sym_RPAREN,
  [474799] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14084), 1,
      sym_keyword_deferrable,
    ACTIONS(14134), 1,
      sym_keyword_execute,
    STATE(8007), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [474831] = 8,
    ACTIONS(14122), 1,
      anon_sym_LPAREN,
    STATE(7443), 1,
      sym_identifier,
    STATE(9438), 1,
      sym_assignment,
    STATE(9910), 1,
      sym_assignment_list,
    STATE(14141), 1,
      sym__qualified_field,
    STATE(14142), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [474859] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14084), 1,
      sym_keyword_deferrable,
    ACTIONS(14136), 1,
      sym_keyword_execute,
    STATE(8007), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [474891] = 7,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7434), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [474917] = 6,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    STATE(7355), 1,
      sym_order_by,
    STATE(7681), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12633), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [474941] = 8,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13156), 1,
      sym_keyword_on,
    ACTIONS(13158), 1,
      sym_keyword_using,
    STATE(12236), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [474969] = 8,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13158), 1,
      sym_keyword_using,
    ACTIONS(13424), 1,
      sym_keyword_on,
    STATE(12205), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [474997] = 8,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14140), 1,
      sym_keyword_nulls,
    ACTIONS(14142), 1,
      anon_sym_LPAREN,
    STATE(10421), 1,
      sym_ordered_columns,
    STATE(11935), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14138), 2,
      sym_keyword_key,
      sym_keyword_index,
  [475025] = 7,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7409), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [475051] = 8,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(14106), 1,
      sym_keyword_using,
    ACTIONS(14144), 1,
      sym_keyword_on,
    STATE(11873), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [475079] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1384), 9,
      sym_keyword_from,
      sym_keyword_when,
      sym_keyword_not,
      sym_keyword_for,
      sym_keyword_deferrable,
      sym_keyword_initially,
      sym_keyword_referencing,
      sym_keyword_execute,
      anon_sym_DOT,
  [475095] = 10,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(12541), 1,
      anon_sym_LPAREN,
    STATE(8673), 1,
      sym_select,
    STATE(8939), 1,
      sym__select_statement,
    STATE(14210), 1,
      sym__cte,
    STATE(14221), 1,
      sym_set_operation,
    STATE(14223), 1,
      sym__show_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [475127] = 7,
    ACTIONS(14146), 1,
      anon_sym_RPAREN,
    ACTIONS(14148), 1,
      anon_sym_COMMA,
    STATE(9087), 1,
      sym_identifier,
    STATE(11095), 1,
      aux_sym__compute_stats_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8134), 2,
      sym_field,
      aux_sym__compute_stats_repeat1,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [475153] = 8,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14046), 1,
      sym_keyword_partition,
    ACTIONS(14150), 1,
      anon_sym_RPAREN,
    STATE(8400), 1,
      sym_partition_by,
    STATE(9132), 1,
      sym_order_by,
    STATE(12436), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [475181] = 8,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13186), 1,
      sym_keyword_on,
    ACTIONS(13188), 1,
      sym_keyword_using,
    STATE(12243), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [475209] = 7,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7463), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [475235] = 7,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7481), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [475261] = 7,
    ACTIONS(14148), 1,
      anon_sym_COMMA,
    ACTIONS(14152), 1,
      anon_sym_RPAREN,
    STATE(9087), 1,
      sym_identifier,
    STATE(11370), 1,
      aux_sym__compute_stats_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8134), 2,
      sym_field,
      aux_sym__compute_stats_repeat1,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [475287] = 8,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13132), 1,
      sym_keyword_using,
    ACTIONS(13291), 1,
      sym_keyword_on,
    STATE(12009), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [475315] = 8,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13188), 1,
      sym_keyword_using,
    ACTIONS(13249), 1,
      sym_keyword_on,
    STATE(11869), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [475343] = 5,
    ACTIONS(14076), 1,
      sym_keyword_union,
    STATE(8057), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14078), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13793), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      anon_sym_RPAREN,
  [475365] = 8,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14046), 1,
      sym_keyword_partition,
    ACTIONS(14154), 1,
      anon_sym_RPAREN,
    STATE(8466), 1,
      sym_partition_by,
    STATE(9434), 1,
      sym_order_by,
    STATE(13022), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [475393] = 8,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14046), 1,
      sym_keyword_partition,
    ACTIONS(14156), 1,
      anon_sym_RPAREN,
    STATE(8318), 1,
      sym_partition_by,
    STATE(9020), 1,
      sym_order_by,
    STATE(13734), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [475421] = 10,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(14227), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [475453] = 8,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14046), 1,
      sym_keyword_partition,
    ACTIONS(14158), 1,
      anon_sym_RPAREN,
    STATE(8397), 1,
      sym_partition_by,
    STATE(9057), 1,
      sym_order_by,
    STATE(13489), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [475481] = 7,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7364), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [475507] = 8,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14046), 1,
      sym_keyword_partition,
    ACTIONS(14160), 1,
      anon_sym_RPAREN,
    STATE(8485), 1,
      sym_partition_by,
    STATE(9149), 1,
      sym_order_by,
    STATE(12727), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [475535] = 7,
    ACTIONS(1287), 1,
      sym__identifier,
    STATE(7042), 1,
      sym_identifier,
    STATE(9623), 1,
      sym__vacuum_option,
    STATE(11274), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14162), 3,
      sym_keyword_full,
      sym_keyword_analyze,
      sym_keyword_parallel,
  [475561] = 4,
    ACTIONS(14126), 1,
      anon_sym_COMMA,
    STATE(7967), 1,
      aux_sym_assignment_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14164), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
  [475581] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14166), 1,
      sym_keyword_deferrable,
    ACTIONS(14168), 1,
      sym_keyword_execute,
    STATE(7975), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [475613] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14170), 1,
      sym_keyword_deferrable,
    ACTIONS(14172), 1,
      sym_keyword_execute,
    STATE(8042), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [475645] = 3,
    ACTIONS(14174), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(123), 8,
      sym_keyword_from,
      sym_keyword_when,
      sym_keyword_not,
      sym_keyword_for,
      sym_keyword_deferrable,
      sym_keyword_initially,
      sym_keyword_referencing,
      sym_keyword_execute,
  [475663] = 10,
    ACTIONS(14026), 1,
      sym_keyword_execute,
    ACTIONS(14176), 1,
      sym_keyword_from,
    ACTIONS(14179), 1,
      sym_keyword_when,
    ACTIONS(14182), 1,
      sym_keyword_not,
    ACTIONS(14185), 1,
      sym_keyword_for,
    ACTIONS(14188), 1,
      sym_keyword_deferrable,
    ACTIONS(14191), 1,
      sym_keyword_initially,
    ACTIONS(14194), 1,
      sym_keyword_referencing,
    STATE(8007), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [475695] = 8,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13232), 1,
      sym_keyword_using,
    ACTIONS(13430), 1,
      sym_keyword_on,
    STATE(12130), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [475723] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14136), 1,
      sym_keyword_execute,
    ACTIONS(14197), 1,
      sym_keyword_deferrable,
    STATE(8038), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [475755] = 4,
    ACTIONS(14120), 1,
      anon_sym_COMMA,
    STATE(7961), 1,
      aux_sym_assignment_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14164), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
  [475775] = 8,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14046), 1,
      sym_keyword_partition,
    ACTIONS(14199), 1,
      anon_sym_RPAREN,
    STATE(8404), 1,
      sym_partition_by,
    STATE(9126), 1,
      sym_order_by,
    STATE(13804), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [475803] = 8,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14046), 1,
      sym_keyword_partition,
    ACTIONS(14201), 1,
      anon_sym_RPAREN,
    STATE(8468), 1,
      sym_partition_by,
    STATE(9199), 1,
      sym_order_by,
    STATE(13853), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [475831] = 7,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7477), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [475857] = 10,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(14253), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [475889] = 8,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13158), 1,
      sym_keyword_using,
    ACTIONS(13220), 1,
      sym_keyword_on,
    STATE(12264), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [475917] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    STATE(5623), 1,
      sym_identifier,
    STATE(9468), 1,
      sym__vacuum_option,
    STATE(9888), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14162), 3,
      sym_keyword_full,
      sym_keyword_analyze,
      sym_keyword_parallel,
  [475943] = 8,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(13951), 1,
      sym_keyword_create,
    STATE(8059), 1,
      aux_sym_create_database_repeat1,
    STATE(8336), 1,
      sym_identifier,
    STATE(8706), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13949), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [475971] = 8,
    ACTIONS(12761), 1,
      sym_keyword_owner,
    ACTIONS(14203), 1,
      sym_keyword_set,
    ACTIONS(14205), 1,
      sym_keyword_alter,
    ACTIONS(14207), 1,
      sym_keyword_drop,
    ACTIONS(14209), 1,
      sym_keyword_add,
    ACTIONS(14211), 1,
      sym_keyword_rename,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(12010), 3,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [475999] = 7,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7424), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [476025] = 8,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13333), 1,
      sym_keyword_using,
    ACTIONS(13410), 1,
      sym_keyword_on,
    STATE(12129), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [476053] = 8,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(14114), 1,
      sym_keyword_using,
    ACTIONS(14213), 1,
      sym_keyword_on,
    STATE(12127), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [476081] = 8,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(13853), 1,
      sym_keyword_create,
    STATE(8045), 1,
      aux_sym_create_database_repeat1,
    STATE(8336), 1,
      sym_identifier,
    STATE(8706), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13851), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [476109] = 10,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(14276), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [476141] = 4,
    ACTIONS(14217), 1,
      anon_sym_COMMA,
    STATE(8024), 1,
      aux_sym_assignment_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14215), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
  [476161] = 4,
    STATE(1478), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(14096), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
  [476181] = 8,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14046), 1,
      sym_keyword_partition,
    ACTIONS(14220), 1,
      anon_sym_RPAREN,
    STATE(8424), 1,
      sym_partition_by,
    STATE(9275), 1,
      sym_order_by,
    STATE(14191), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [476209] = 5,
    ACTIONS(14076), 1,
      sym_keyword_union,
    STATE(8057), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14078), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13677), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      anon_sym_RPAREN,
  [476231] = 8,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(10993), 1,
      sym_keyword_where,
    ACTIONS(10995), 1,
      sym_keyword_order,
    STATE(8492), 1,
      sym_where,
    STATE(9332), 1,
      sym_order_by,
    STATE(11037), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13996), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [476259] = 8,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(13857), 1,
      sym_keyword_create,
    STATE(8059), 1,
      aux_sym_create_database_repeat1,
    STATE(8336), 1,
      sym_identifier,
    STATE(8706), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13855), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [476287] = 4,
    ACTIONS(14222), 1,
      anon_sym_COMMA,
    STATE(8030), 1,
      aux_sym_assignment_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14215), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
  [476307] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14215), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [476323] = 7,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7455), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [476349] = 7,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7468), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [476375] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14134), 1,
      sym_keyword_execute,
    ACTIONS(14225), 1,
      sym_keyword_deferrable,
    STATE(8040), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [476407] = 10,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(12541), 1,
      anon_sym_LPAREN,
    STATE(8673), 1,
      sym_select,
    STATE(8939), 1,
      sym__select_statement,
    STATE(14221), 1,
      sym_set_operation,
    STATE(14223), 1,
      sym__show_statement,
    STATE(14226), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [476439] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14084), 1,
      sym_keyword_deferrable,
    ACTIONS(14227), 1,
      sym_keyword_execute,
    STATE(8007), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [476471] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14227), 1,
      sym_keyword_execute,
    ACTIONS(14229), 1,
      sym_keyword_deferrable,
    STATE(8093), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [476503] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14084), 1,
      sym_keyword_deferrable,
    ACTIONS(14102), 1,
      sym_keyword_execute,
    STATE(8007), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [476535] = 8,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14046), 1,
      sym_keyword_partition,
    ACTIONS(14231), 1,
      anon_sym_RPAREN,
    STATE(8479), 1,
      sym_partition_by,
    STATE(8943), 1,
      sym_order_by,
    STATE(14368), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [476563] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14084), 1,
      sym_keyword_deferrable,
    ACTIONS(14233), 1,
      sym_keyword_execute,
    STATE(8007), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [476595] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14235), 1,
      sym_keyword_deferrable,
    ACTIONS(14237), 1,
      sym_keyword_execute,
    STATE(8047), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [476627] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14084), 1,
      sym_keyword_deferrable,
    ACTIONS(14237), 1,
      sym_keyword_execute,
    STATE(8007), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [476659] = 8,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(10993), 1,
      sym_keyword_where,
    ACTIONS(10995), 1,
      sym_keyword_order,
    STATE(8310), 1,
      sym_where,
    STATE(9033), 1,
      sym_order_by,
    STATE(10876), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13911), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [476687] = 8,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(13857), 1,
      sym_keyword_create,
    STATE(8059), 1,
      aux_sym_create_database_repeat1,
    STATE(8336), 1,
      sym_identifier,
    STATE(8706), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13855), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [476715] = 8,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(13947), 1,
      sym_keyword_create,
    STATE(8059), 1,
      aux_sym_create_database_repeat1,
    STATE(8336), 1,
      sym_identifier,
    STATE(8706), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13945), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [476743] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14239), 1,
      sym_keyword_deferrable,
    ACTIONS(14241), 1,
      sym_keyword_execute,
    STATE(8050), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [476775] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14084), 1,
      sym_keyword_deferrable,
    ACTIONS(14241), 1,
      sym_keyword_execute,
    STATE(8007), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [476807] = 8,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13188), 1,
      sym_keyword_using,
    ACTIONS(13339), 1,
      sym_keyword_on,
    STATE(12210), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [476835] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14084), 1,
      sym_keyword_deferrable,
    ACTIONS(14243), 1,
      sym_keyword_execute,
    STATE(8007), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [476867] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14084), 1,
      sym_keyword_deferrable,
    ACTIONS(14245), 1,
      sym_keyword_execute,
    STATE(8007), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [476899] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14245), 1,
      sym_keyword_execute,
    ACTIONS(14247), 1,
      sym_keyword_deferrable,
    STATE(8052), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [476931] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14084), 1,
      sym_keyword_deferrable,
    ACTIONS(14249), 1,
      sym_keyword_execute,
    STATE(8007), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [476963] = 7,
    ACTIONS(14148), 1,
      anon_sym_COMMA,
    ACTIONS(14251), 1,
      anon_sym_RPAREN,
    STATE(9087), 1,
      sym_identifier,
    STATE(11023), 1,
      aux_sym__compute_stats_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8134), 2,
      sym_field,
      aux_sym__compute_stats_repeat1,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [476989] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14249), 1,
      sym_keyword_execute,
    ACTIONS(14253), 1,
      sym_keyword_deferrable,
    STATE(8065), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477021] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14243), 1,
      sym_keyword_execute,
    ACTIONS(14255), 1,
      sym_keyword_deferrable,
    STATE(8098), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477053] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14084), 1,
      sym_keyword_deferrable,
    ACTIONS(14168), 1,
      sym_keyword_execute,
    STATE(8007), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477085] = 5,
    ACTIONS(14076), 1,
      sym_keyword_union,
    STATE(7974), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14078), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13791), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      anon_sym_RPAREN,
  [477107] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14257), 1,
      sym_keyword_deferrable,
    ACTIONS(14259), 1,
      sym_keyword_execute,
    STATE(8056), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477139] = 8,
    ACTIONS(13888), 1,
      sym__identifier,
    ACTIONS(13891), 1,
      sym_keyword_create,
    STATE(8059), 1,
      aux_sym_create_database_repeat1,
    STATE(8336), 1,
      sym_identifier,
    STATE(8706), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13886), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(13893), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [477167] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14084), 1,
      sym_keyword_deferrable,
    ACTIONS(14259), 1,
      sym_keyword_execute,
    STATE(8007), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477199] = 8,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14263), 1,
      sym_keyword_nulls,
    ACTIONS(14265), 1,
      anon_sym_LPAREN,
    STATE(9496), 1,
      sym_ordered_columns,
    STATE(12155), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14261), 2,
      sym_keyword_key,
      sym_keyword_index,
  [477227] = 7,
    ACTIONS(14267), 1,
      sym_keyword_set,
    ACTIONS(14272), 1,
      sym_keyword_inner,
    ACTIONS(14275), 1,
      sym_keyword_join,
    ACTIONS(14278), 1,
      sym_keyword_natural,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8062), 2,
      sym_join,
      aux_sym__mysql_update_statement_repeat2,
    ACTIONS(14269), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [477253] = 7,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7325), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [477279] = 10,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(12541), 1,
      anon_sym_LPAREN,
    STATE(8673), 1,
      sym_select,
    STATE(8939), 1,
      sym__select_statement,
    STATE(14221), 1,
      sym_set_operation,
    STATE(14223), 1,
      sym__show_statement,
    STATE(14367), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477311] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14084), 1,
      sym_keyword_deferrable,
    ACTIONS(14281), 1,
      sym_keyword_execute,
    STATE(8007), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477343] = 7,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7375), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [477369] = 8,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(13705), 1,
      sym_keyword_create,
    STATE(8044), 1,
      aux_sym_create_database_repeat1,
    STATE(8336), 1,
      sym_identifier,
    STATE(8706), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(13703), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [477397] = 7,
    ACTIONS(13933), 1,
      anon_sym_LPAREN,
    STATE(3556), 1,
      sym_identifier,
    STATE(5639), 1,
      sym_relation,
    STATE(6380), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6409), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(581), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [477423] = 8,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(14106), 1,
      sym_keyword_using,
    ACTIONS(14283), 1,
      sym_keyword_on,
    STATE(12230), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [477451] = 7,
    ACTIONS(14148), 1,
      anon_sym_COMMA,
    ACTIONS(14285), 1,
      anon_sym_RPAREN,
    STATE(9087), 1,
      sym_identifier,
    STATE(11257), 1,
      aux_sym__compute_stats_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8134), 2,
      sym_field,
      aux_sym__compute_stats_repeat1,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [477477] = 8,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14046), 1,
      sym_keyword_partition,
    ACTIONS(14287), 1,
      anon_sym_RPAREN,
    STATE(8383), 1,
      sym_partition_by,
    STATE(9578), 1,
      sym_order_by,
    STATE(12277), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [477505] = 10,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(33), 1,
      sym_keyword_with,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(12541), 1,
      anon_sym_LPAREN,
    STATE(8673), 1,
      sym_select,
    STATE(8939), 1,
      sym__select_statement,
    STATE(14221), 1,
      sym_set_operation,
    STATE(14223), 1,
      sym__show_statement,
    STATE(14385), 1,
      sym__cte,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477537] = 8,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13357), 1,
      sym_keyword_on,
    ACTIONS(13359), 1,
      sym_keyword_using,
    STATE(12116), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [477565] = 8,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13132), 1,
      sym_keyword_using,
    ACTIONS(13428), 1,
      sym_keyword_on,
    STATE(12234), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [477593] = 7,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7338), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [477619] = 8,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13232), 1,
      sym_keyword_using,
    ACTIONS(13351), 1,
      sym_keyword_on,
    STATE(12106), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [477647] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14289), 1,
      sym_keyword_deferrable,
    ACTIONS(14291), 1,
      sym_keyword_execute,
    STATE(7936), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477679] = 8,
    ACTIONS(14122), 1,
      anon_sym_LPAREN,
    STATE(7443), 1,
      sym_identifier,
    STATE(9160), 1,
      sym_assignment,
    STATE(10722), 1,
      sym_assignment_list,
    STATE(12285), 1,
      sym__qualified_field,
    STATE(14142), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [477707] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14281), 1,
      sym_keyword_execute,
    ACTIONS(14293), 1,
      sym_keyword_deferrable,
    STATE(8085), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477739] = 8,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(14114), 1,
      sym_keyword_using,
    ACTIONS(14295), 1,
      sym_keyword_on,
    STATE(12103), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [477767] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14084), 1,
      sym_keyword_deferrable,
    ACTIONS(14297), 1,
      sym_keyword_execute,
    STATE(8007), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477799] = 10,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(138), 1,
      sym__literal_string,
    STATE(139), 1,
      sym_identifier,
    STATE(12819), 1,
      sym__column,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477831] = 8,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(14106), 1,
      sym_keyword_using,
    ACTIONS(14299), 1,
      sym_keyword_on,
    STATE(12194), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [477859] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14084), 1,
      sym_keyword_deferrable,
    ACTIONS(14291), 1,
      sym_keyword_execute,
    STATE(8007), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477891] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14084), 1,
      sym_keyword_deferrable,
    ACTIONS(14301), 1,
      sym_keyword_execute,
    STATE(8007), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477923] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14301), 1,
      sym_keyword_execute,
    ACTIONS(14303), 1,
      sym_keyword_deferrable,
    STATE(8060), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477955] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14297), 1,
      sym_keyword_execute,
    ACTIONS(14305), 1,
      sym_keyword_deferrable,
    STATE(7977), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [477987] = 8,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13331), 1,
      sym_keyword_on,
    ACTIONS(13333), 1,
      sym_keyword_using,
    STATE(12105), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [478015] = 6,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    STATE(7387), 1,
      sym_order_by,
    STATE(7684), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10958), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [478039] = 5,
    ACTIONS(14307), 1,
      sym_keyword_from,
    STATE(1178), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(13915), 5,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [478061] = 8,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14046), 1,
      sym_keyword_partition,
    ACTIONS(14309), 1,
      anon_sym_RPAREN,
    STATE(8306), 1,
      sym_partition_by,
    STATE(8911), 1,
      sym_order_by,
    STATE(14776), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [478089] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14311), 1,
      sym_keyword_deferrable,
    ACTIONS(14313), 1,
      sym_keyword_execute,
    STATE(8049), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [478121] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14084), 1,
      sym_keyword_deferrable,
    ACTIONS(14313), 1,
      sym_keyword_execute,
    STATE(8007), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [478153] = 8,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14046), 1,
      sym_keyword_partition,
    ACTIONS(14315), 1,
      anon_sym_RPAREN,
    STATE(8355), 1,
      sym_partition_by,
    STATE(9122), 1,
      sym_order_by,
    STATE(13811), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [478181] = 7,
    ACTIONS(13933), 1,
      anon_sym_LPAREN,
    STATE(3556), 1,
      sym_identifier,
    STATE(6380), 1,
      sym_object_reference,
    STATE(6655), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6409), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(581), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [478207] = 7,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7465), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [478233] = 5,
    ACTIONS(13640), 1,
      anon_sym_LBRACK,
    STATE(2779), 1,
      aux_sym_array_size_definition_repeat1,
    STATE(3348), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3300), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      anon_sym_COMMA,
  [478255] = 10,
    ACTIONS(14054), 1,
      sym_keyword_from,
    ACTIONS(14056), 1,
      sym_keyword_when,
    ACTIONS(14058), 1,
      sym_keyword_not,
    ACTIONS(14060), 1,
      sym_keyword_for,
    ACTIONS(14064), 1,
      sym_keyword_initially,
    ACTIONS(14066), 1,
      sym_keyword_referencing,
    ACTIONS(14084), 1,
      sym_keyword_deferrable,
    ACTIONS(14317), 1,
      sym_keyword_execute,
    STATE(8007), 1,
      aux_sym_create_trigger_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [478287] = 8,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(14106), 1,
      sym_keyword_using,
    ACTIONS(14319), 1,
      sym_keyword_on,
    STATE(12012), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [478315] = 8,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14046), 1,
      sym_keyword_partition,
    ACTIONS(14321), 1,
      anon_sym_RPAREN,
    STATE(8352), 1,
      sym_partition_by,
    STATE(8927), 1,
      sym_order_by,
    STATE(14613), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [478343] = 7,
    ACTIONS(13498), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(5411), 1,
      sym_object_reference,
    STATE(7329), 1,
      sym_relation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5540), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [478369] = 8,
    ACTIONS(13124), 1,
      sym_keyword_inner,
    ACTIONS(13126), 1,
      sym_keyword_join,
    ACTIONS(13128), 1,
      sym_keyword_natural,
    ACTIONS(13132), 1,
      sym_keyword_using,
    ACTIONS(13283), 1,
      sym_keyword_on,
    STATE(12196), 1,
      sym_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13122), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [478397] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14215), 8,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_COMMA,
  [478412] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14323), 1,
      sym_keyword_separator,
    ACTIONS(14325), 1,
      anon_sym_RPAREN,
    ACTIONS(14327), 1,
      anon_sym_COMMA,
    STATE(8562), 1,
      sym_order_by,
    STATE(11440), 1,
      aux_sym_invocation_repeat1,
    STATE(13638), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [478441] = 6,
    ACTIONS(14333), 1,
      anon_sym_COMMA,
    STATE(8428), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(10951), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14331), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14329), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [478464] = 6,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(10995), 1,
      sym_keyword_order,
    STATE(7543), 1,
      sym_order_by,
    STATE(7853), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13066), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [478487] = 6,
    ACTIONS(14335), 1,
      anon_sym_LPAREN,
    STATE(5623), 1,
      sym_identifier,
    STATE(13633), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8686), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [478510] = 6,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    STATE(8685), 1,
      sym_order_by,
    STATE(9686), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14337), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [478533] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2052), 8,
      sym_keyword_from,
      sym_keyword_when,
      sym_keyword_not,
      sym_keyword_for,
      sym_keyword_deferrable,
      sym_keyword_initially,
      sym_keyword_referencing,
      sym_keyword_execute,
  [478548] = 5,
    ACTIONS(14339), 1,
      sym_keyword_from,
    STATE(1780), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(13915), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
  [478569] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14341), 1,
      sym_keyword_separator,
    ACTIONS(14343), 1,
      anon_sym_RPAREN,
    ACTIONS(14345), 1,
      anon_sym_COMMA,
    STATE(8515), 1,
      sym_order_by,
    STATE(10534), 1,
      aux_sym_invocation_repeat1,
    STATE(14777), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [478598] = 7,
    ACTIONS(14349), 1,
      sym_keyword_delete,
    ACTIONS(14351), 1,
      sym_keyword_insert,
    ACTIONS(14353), 1,
      sym_keyword_update,
    ACTIONS(14355), 1,
      sym_keyword_where,
    STATE(10307), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14347), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
  [478623] = 8,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14357), 1,
      sym_keyword_column,
    ACTIONS(14359), 1,
      sym_keyword_constraint,
    ACTIONS(14361), 1,
      sym_keyword_if,
    STATE(10035), 1,
      sym_identifier,
    STATE(10037), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [478650] = 6,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(10995), 1,
      sym_keyword_order,
    STATE(7567), 1,
      sym_order_by,
    STATE(7875), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12827), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [478673] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14363), 1,
      sym_keyword_separator,
    ACTIONS(14365), 1,
      anon_sym_RPAREN,
    ACTIONS(14367), 1,
      anon_sym_COMMA,
    STATE(8560), 1,
      sym_order_by,
    STATE(11372), 1,
      aux_sym_invocation_repeat1,
    STATE(12752), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [478702] = 6,
    ACTIONS(14369), 1,
      anon_sym_LPAREN,
    STATE(5623), 1,
      sym_identifier,
    STATE(13612), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6604), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [478725] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14371), 1,
      sym_keyword_separator,
    ACTIONS(14373), 1,
      anon_sym_RPAREN,
    ACTIONS(14375), 1,
      anon_sym_COMMA,
    STATE(8530), 1,
      sym_order_by,
    STATE(10868), 1,
      aux_sym_invocation_repeat1,
    STATE(13992), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [478754] = 7,
    ACTIONS(14122), 1,
      anon_sym_LPAREN,
    STATE(7443), 1,
      sym_identifier,
    STATE(8003), 1,
      sym_assignment,
    STATE(12285), 1,
      sym__qualified_field,
    STATE(14142), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [478779] = 6,
    ACTIONS(14335), 1,
      anon_sym_LPAREN,
    STATE(5623), 1,
      sym_identifier,
    STATE(13633), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8649), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [478802] = 6,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(10995), 1,
      sym_keyword_order,
    STATE(7581), 1,
      sym_order_by,
    STATE(7832), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12633), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [478825] = 7,
    ACTIONS(14379), 1,
      sym_keyword_delete,
    ACTIONS(14381), 1,
      sym_keyword_insert,
    ACTIONS(14383), 1,
      sym_keyword_update,
    ACTIONS(14385), 1,
      sym_keyword_where,
    STATE(10601), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14377), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [478850] = 9,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(1291), 1,
      aux_sym_identifier_token1,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(9783), 1,
      sym__literal_string,
    STATE(10078), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [478879] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14387), 1,
      sym_keyword_separator,
    ACTIONS(14389), 1,
      anon_sym_RPAREN,
    ACTIONS(14391), 1,
      anon_sym_COMMA,
    STATE(8567), 1,
      sym_order_by,
    STATE(11458), 1,
      aux_sym_invocation_repeat1,
    STATE(13773), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [478908] = 8,
    ACTIONS(14361), 1,
      sym_keyword_if,
    ACTIONS(14393), 1,
      sym__identifier,
    ACTIONS(14395), 1,
      sym_keyword_only,
    STATE(6351), 1,
      sym_object_reference,
    STATE(6488), 1,
      sym_identifier,
    STATE(8583), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [478935] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14399), 1,
      sym_keyword_separator,
    ACTIONS(14401), 1,
      anon_sym_RPAREN,
    ACTIONS(14403), 1,
      anon_sym_COMMA,
    STATE(8522), 1,
      sym_order_by,
    STATE(10711), 1,
      aux_sym_invocation_repeat1,
    STATE(14401), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [478964] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14407), 1,
      sym_keyword_session,
    STATE(5623), 1,
      sym_identifier,
    STATE(10611), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14405), 2,
      sym_keyword_role,
      sym_keyword_all,
  [478989] = 6,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(10995), 1,
      sym_keyword_order,
    STATE(7529), 1,
      sym_order_by,
    STATE(7863), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10958), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [479012] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14409), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [479027] = 7,
    ACTIONS(14355), 1,
      sym_keyword_where,
    ACTIONS(14411), 1,
      sym_keyword_delete,
    ACTIONS(14413), 1,
      sym_keyword_insert,
    ACTIONS(14415), 1,
      sym_keyword_update,
    STATE(10466), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14377), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
  [479052] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14417), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [479067] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14419), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [479082] = 6,
    ACTIONS(14421), 1,
      anon_sym_LPAREN,
    STATE(5623), 1,
      sym_identifier,
    STATE(12335), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6640), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [479105] = 8,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14142), 1,
      anon_sym_LPAREN,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(8726), 1,
      sym__if_not_exists,
    STATE(10421), 1,
      sym_ordered_columns,
    STATE(11935), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [479132] = 5,
    STATE(9087), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14428), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(8134), 2,
      sym_field,
      aux_sym__compute_stats_repeat1,
    ACTIONS(14425), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [479153] = 4,
    ACTIONS(14432), 1,
      anon_sym_COMMA,
    STATE(8150), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14430), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [479172] = 7,
    ACTIONS(14122), 1,
      anon_sym_LPAREN,
    STATE(7443), 1,
      sym_identifier,
    STATE(8031), 1,
      sym_assignment,
    STATE(14141), 1,
      sym__qualified_field,
    STATE(14142), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [479197] = 6,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(10995), 1,
      sym_keyword_order,
    STATE(7500), 1,
      sym_order_by,
    STATE(7825), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10960), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [479220] = 8,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14265), 1,
      anon_sym_LPAREN,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(8580), 1,
      sym__if_not_exists,
    STATE(9262), 1,
      sym_ordered_columns,
    STATE(11712), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [479247] = 6,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(10995), 1,
      sym_keyword_order,
    STATE(7565), 1,
      sym_order_by,
    STATE(7884), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9046), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [479270] = 3,
    ACTIONS(14436), 1,
      sym_keyword_materialized,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14434), 7,
      sym_keyword_table,
      sym_keyword_view,
      sym_keyword_schema,
      sym_keyword_user,
      sym_keyword_trigger,
      sym_keyword_function,
      sym_keyword_procedure,
  [479287] = 4,
    ACTIONS(14432), 1,
      anon_sym_COMMA,
    STATE(8165), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14438), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [479306] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14440), 8,
      sym_keyword_from,
      sym_keyword_when,
      sym_keyword_not,
      sym_keyword_for,
      sym_keyword_deferrable,
      sym_keyword_initially,
      sym_keyword_referencing,
      sym_keyword_execute,
  [479321] = 6,
    ACTIONS(14335), 1,
      anon_sym_LPAREN,
    STATE(5623), 1,
      sym_identifier,
    STATE(13633), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8828), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [479344] = 6,
    ACTIONS(14335), 1,
      anon_sym_LPAREN,
    STATE(5623), 1,
      sym_identifier,
    STATE(13633), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8840), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [479367] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14442), 1,
      sym_keyword_separator,
    ACTIONS(14444), 1,
      anon_sym_RPAREN,
    ACTIONS(14446), 1,
      anon_sym_COMMA,
    STATE(8524), 1,
      sym_order_by,
    STATE(10719), 1,
      aux_sym_invocation_repeat1,
    STATE(14366), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [479396] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14450), 1,
      sym_keyword_ignore,
    STATE(5623), 1,
      sym_identifier,
    STATE(6958), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14448), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
  [479421] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(12097), 1,
      anon_sym_LPAREN,
    ACTIONS(14452), 1,
      anon_sym_RPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7702), 1,
      sym__select_statement,
    STATE(8159), 1,
      sym__show_statement,
    STATE(8161), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [479450] = 6,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(10995), 1,
      sym_keyword_order,
    STATE(7513), 1,
      sym_order_by,
    STATE(7781), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8938), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_returning,
  [479473] = 6,
    ACTIONS(14333), 1,
      anon_sym_COMMA,
    STATE(8428), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(11132), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14456), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14454), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [479496] = 4,
    ACTIONS(14460), 1,
      anon_sym_COMMA,
    STATE(8150), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14458), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [479515] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13677), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [479530] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14463), 1,
      sym_keyword_separator,
    ACTIONS(14465), 1,
      anon_sym_RPAREN,
    ACTIONS(14467), 1,
      anon_sym_COMMA,
    STATE(8528), 1,
      sym_order_by,
    STATE(10766), 1,
      aux_sym_invocation_repeat1,
    STATE(14296), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [479559] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14469), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [479574] = 6,
    ACTIONS(14335), 1,
      anon_sym_LPAREN,
    STATE(5623), 1,
      sym_identifier,
    STATE(13633), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8857), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [479597] = 8,
    ACTIONS(14361), 1,
      sym_keyword_if,
    ACTIONS(14393), 1,
      sym__identifier,
    ACTIONS(14471), 1,
      sym_keyword_only,
    STATE(6337), 1,
      sym_object_reference,
    STATE(6488), 1,
      sym_identifier,
    STATE(8587), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [479624] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14473), 1,
      sym_keyword_separator,
    ACTIONS(14475), 1,
      anon_sym_RPAREN,
    ACTIONS(14477), 1,
      anon_sym_COMMA,
    STATE(8568), 1,
      sym_order_by,
    STATE(11469), 1,
      aux_sym_invocation_repeat1,
    STATE(14104), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [479653] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14479), 1,
      sym_keyword_separator,
    ACTIONS(14481), 1,
      anon_sym_RPAREN,
    ACTIONS(14483), 1,
      anon_sym_COMMA,
    STATE(8554), 1,
      sym_order_by,
    STATE(11264), 1,
      aux_sym_invocation_repeat1,
    STATE(12456), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [479682] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14485), 1,
      sym_keyword_separator,
    ACTIONS(14487), 1,
      anon_sym_RPAREN,
    ACTIONS(14489), 1,
      anon_sym_COMMA,
    STATE(8585), 1,
      sym_order_by,
    STATE(11473), 1,
      aux_sym_invocation_repeat1,
    STATE(14118), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [479711] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14491), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [479726] = 7,
    ACTIONS(14122), 1,
      anon_sym_LPAREN,
    STATE(7443), 1,
      sym_identifier,
    STATE(8031), 1,
      sym_assignment,
    STATE(14142), 1,
      sym_object_reference,
    STATE(14196), 1,
      sym__qualified_field,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [479751] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13793), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [479766] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14493), 1,
      sym_keyword_separator,
    ACTIONS(14495), 1,
      anon_sym_RPAREN,
    ACTIONS(14497), 1,
      anon_sym_COMMA,
    STATE(8559), 1,
      sym_order_by,
    STATE(11361), 1,
      aux_sym_invocation_repeat1,
    STATE(12680), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [479795] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14499), 1,
      sym_keyword_separator,
    ACTIONS(14501), 1,
      anon_sym_RPAREN,
    ACTIONS(14503), 1,
      anon_sym_COMMA,
    STATE(8549), 1,
      sym_order_by,
    STATE(11176), 1,
      aux_sym_invocation_repeat1,
    STATE(12785), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [479824] = 9,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(1291), 1,
      aux_sym_identifier_token1,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(10345), 1,
      sym_identifier,
    STATE(10346), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [479853] = 4,
    ACTIONS(14432), 1,
      anon_sym_COMMA,
    STATE(8150), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14505), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [479872] = 6,
    ACTIONS(14335), 1,
      anon_sym_LPAREN,
    STATE(5623), 1,
      sym_identifier,
    STATE(13633), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8667), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [479895] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14507), 1,
      sym_keyword_separator,
    ACTIONS(14509), 1,
      anon_sym_RPAREN,
    ACTIONS(14511), 1,
      anon_sym_COMMA,
    STATE(8584), 1,
      sym_order_by,
    STATE(11476), 1,
      aux_sym_invocation_repeat1,
    STATE(14199), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [479924] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14513), 1,
      sym_keyword_separator,
    ACTIONS(14515), 1,
      anon_sym_RPAREN,
    ACTIONS(14517), 1,
      anon_sym_COMMA,
    STATE(8548), 1,
      sym_order_by,
    STATE(11165), 1,
      aux_sym_invocation_repeat1,
    STATE(12847), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [479953] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14026), 8,
      sym_keyword_from,
      sym_keyword_when,
      sym_keyword_not,
      sym_keyword_for,
      sym_keyword_deferrable,
      sym_keyword_initially,
      sym_keyword_referencing,
      sym_keyword_execute,
  [479968] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14519), 1,
      sym_keyword_separator,
    ACTIONS(14521), 1,
      anon_sym_RPAREN,
    ACTIONS(14523), 1,
      anon_sym_COMMA,
    STATE(8531), 1,
      sym_order_by,
    STATE(10879), 1,
      aux_sym_invocation_repeat1,
    STATE(13952), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [479997] = 7,
    ACTIONS(14122), 1,
      anon_sym_LPAREN,
    STATE(7443), 1,
      sym_identifier,
    STATE(8215), 1,
      sym_assignment,
    STATE(14142), 1,
      sym_object_reference,
    STATE(14196), 1,
      sym__qualified_field,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [480022] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14525), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [480037] = 7,
    ACTIONS(14122), 1,
      anon_sym_LPAREN,
    STATE(7443), 1,
      sym_identifier,
    STATE(8103), 1,
      sym_assignment,
    STATE(12285), 1,
      sym__qualified_field,
    STATE(14142), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [480062] = 8,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    ACTIONS(14527), 1,
      sym_keyword_column,
    ACTIONS(14529), 1,
      sym_keyword_constraint,
    STATE(10216), 1,
      sym__if_exists,
    STATE(10940), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [480089] = 8,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14142), 1,
      anon_sym_LPAREN,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(8718), 1,
      sym__if_not_exists,
    STATE(10054), 1,
      sym_ordered_columns,
    STATE(11999), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [480116] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14531), 1,
      sym_keyword_separator,
    ACTIONS(14533), 1,
      anon_sym_RPAREN,
    ACTIONS(14535), 1,
      anon_sym_COMMA,
    STATE(8619), 1,
      sym_order_by,
    STATE(11405), 1,
      aux_sym_invocation_repeat1,
    STATE(13140), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [480145] = 9,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(9070), 1,
      sym__literal_string,
    STATE(9082), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [480174] = 6,
    ACTIONS(14335), 1,
      anon_sym_LPAREN,
    STATE(5623), 1,
      sym_identifier,
    STATE(13633), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8682), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [480197] = 4,
    ACTIONS(14537), 1,
      anon_sym_COMMA,
    STATE(8179), 1,
      aux_sym_assignment_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14215), 6,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [480216] = 8,
    ACTIONS(14393), 1,
      sym__identifier,
    ACTIONS(14397), 1,
      aux_sym_identifier_token1,
    ACTIONS(14540), 1,
      sym__double_quote_string,
    ACTIONS(14542), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(14544), 1,
      sym__dollar_quoted_string,
    STATE(6672), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6793), 2,
      sym__literal_string,
      sym_identifier,
  [480243] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14546), 1,
      sym_keyword_separator,
    ACTIONS(14548), 1,
      anon_sym_RPAREN,
    ACTIONS(14550), 1,
      anon_sym_COMMA,
    STATE(8555), 1,
      sym_order_by,
    STATE(11275), 1,
      aux_sym_invocation_repeat1,
    STATE(12413), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [480272] = 7,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(14554), 1,
      sym_keyword_session,
    STATE(7042), 1,
      sym_identifier,
    STATE(12254), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14552), 2,
      sym_keyword_role,
      sym_keyword_all,
  [480297] = 9,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(1291), 1,
      aux_sym_identifier_token1,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(10191), 1,
      sym__literal_string,
    STATE(10192), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [480326] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14556), 1,
      sym_keyword_separator,
    ACTIONS(14558), 1,
      anon_sym_RPAREN,
    ACTIONS(14560), 1,
      anon_sym_COMMA,
    STATE(8527), 1,
      sym_order_by,
    STATE(10755), 1,
      aux_sym_invocation_repeat1,
    STATE(14314), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [480355] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14562), 1,
      sym_keyword_separator,
    ACTIONS(14564), 1,
      anon_sym_RPAREN,
    ACTIONS(14566), 1,
      anon_sym_COMMA,
    STATE(8662), 1,
      sym_order_by,
    STATE(11293), 1,
      aux_sym_invocation_repeat1,
    STATE(12407), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [480384] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14568), 1,
      sym_keyword_separator,
    ACTIONS(14570), 1,
      anon_sym_RPAREN,
    ACTIONS(14572), 1,
      anon_sym_COMMA,
    STATE(8543), 1,
      sym_order_by,
    STATE(11077), 1,
      aux_sym_invocation_repeat1,
    STATE(13470), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [480413] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14576), 1,
      sym_keyword_ignore,
    STATE(5623), 1,
      sym_identifier,
    STATE(6968), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14574), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
  [480438] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14578), 1,
      sym_keyword_separator,
    ACTIONS(14580), 1,
      anon_sym_RPAREN,
    ACTIONS(14582), 1,
      anon_sym_COMMA,
    STATE(8723), 1,
      sym_order_by,
    STATE(11103), 1,
      aux_sym_invocation_repeat1,
    STATE(13233), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [480467] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14584), 8,
      sym_keyword_parquet,
      sym_keyword_rcfile,
      sym_keyword_csv,
      sym_keyword_textfile,
      sym_keyword_avro,
      sym_keyword_sequencefile,
      sym_keyword_orc,
      sym_keyword_jsonfile,
  [480482] = 6,
    ACTIONS(14335), 1,
      anon_sym_LPAREN,
    STATE(5623), 1,
      sym_identifier,
    STATE(13633), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8678), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [480505] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14586), 1,
      sym_keyword_separator,
    ACTIONS(14588), 1,
      anon_sym_RPAREN,
    ACTIONS(14590), 1,
      anon_sym_COMMA,
    STATE(8660), 1,
      sym_order_by,
    STATE(11309), 1,
      aux_sym_invocation_repeat1,
    STATE(12334), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [480534] = 8,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11772), 2,
      sym__literal_string,
      sym_identifier,
  [480561] = 5,
    STATE(9087), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14592), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(8134), 2,
      sym_field,
      aux_sym__compute_stats_repeat1,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [480582] = 7,
    ACTIONS(14385), 1,
      sym_keyword_where,
    ACTIONS(14594), 1,
      sym_keyword_delete,
    ACTIONS(14596), 1,
      sym_keyword_insert,
    ACTIONS(14598), 1,
      sym_keyword_update,
    STATE(10590), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14347), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [480607] = 8,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14265), 1,
      anon_sym_LPAREN,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(8652), 1,
      sym__if_not_exists,
    STATE(9496), 1,
      sym_ordered_columns,
    STATE(12155), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [480634] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14600), 1,
      sym_keyword_separator,
    ACTIONS(14602), 1,
      anon_sym_RPAREN,
    ACTIONS(14604), 1,
      anon_sym_COMMA,
    STATE(8542), 1,
      sym_order_by,
    STATE(11066), 1,
      aux_sym_invocation_repeat1,
    STATE(13490), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [480663] = 9,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(1291), 1,
      aux_sym_identifier_token1,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(10416), 1,
      sym__literal_string,
    STATE(10419), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [480692] = 7,
    ACTIONS(14122), 1,
      anon_sym_LPAREN,
    STATE(7443), 1,
      sym_identifier,
    STATE(8010), 1,
      sym_assignment,
    STATE(14141), 1,
      sym__qualified_field,
    STATE(14142), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [480717] = 7,
    ACTIONS(14385), 1,
      sym_keyword_where,
    ACTIONS(14608), 1,
      sym_keyword_delete,
    ACTIONS(14610), 1,
      sym_keyword_insert,
    ACTIONS(14612), 1,
      sym_keyword_update,
    STATE(10615), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14606), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [480742] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14614), 1,
      sym_keyword_separator,
    ACTIONS(14616), 1,
      anon_sym_RPAREN,
    ACTIONS(14618), 1,
      anon_sym_COMMA,
    STATE(8514), 1,
      sym_order_by,
    STATE(10541), 1,
      aux_sym_invocation_repeat1,
    STATE(14772), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [480771] = 4,
    ACTIONS(14432), 1,
      anon_sym_COMMA,
    STATE(8135), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14620), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [480790] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14622), 8,
      sym_keyword_parquet,
      sym_keyword_rcfile,
      sym_keyword_csv,
      sym_keyword_textfile,
      sym_keyword_avro,
      sym_keyword_sequencefile,
      sym_keyword_orc,
      sym_keyword_jsonfile,
  [480805] = 8,
    ACTIONS(14624), 1,
      sym__identifier,
    ACTIONS(14626), 1,
      sym__double_quote_string,
    ACTIONS(14628), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(14630), 1,
      aux_sym_identifier_token1,
    ACTIONS(14632), 1,
      sym__dollar_quoted_string,
    STATE(6687), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6937), 2,
      sym__literal_string,
      sym_identifier,
  [480832] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(12097), 1,
      anon_sym_LPAREN,
    ACTIONS(14634), 1,
      anon_sym_RPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7702), 1,
      sym__select_statement,
    STATE(8159), 1,
      sym__show_statement,
    STATE(8161), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [480861] = 6,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    STATE(8724), 1,
      sym_order_by,
    STATE(9936), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13911), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [480884] = 6,
    ACTIONS(14333), 1,
      anon_sym_COMMA,
    STATE(8210), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(10687), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14636), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(13552), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [480907] = 3,
    ACTIONS(14640), 1,
      sym_keyword_materialized,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14638), 7,
      sym_keyword_table,
      sym_keyword_view,
      sym_keyword_schema,
      sym_keyword_user,
      sym_keyword_trigger,
      sym_keyword_function,
      sym_keyword_procedure,
  [480924] = 6,
    ACTIONS(14333), 1,
      anon_sym_COMMA,
    STATE(8105), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(10836), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14642), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(13731), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [480947] = 9,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(9277), 1,
      sym__literal_string,
    STATE(9278), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [480976] = 6,
    ACTIONS(14333), 1,
      anon_sym_COMMA,
    STATE(8428), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(10836), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14642), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(13731), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [480999] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14644), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [481014] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14646), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [481029] = 6,
    ACTIONS(14335), 1,
      anon_sym_LPAREN,
    STATE(5623), 1,
      sym_identifier,
    STATE(13633), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8622), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [481052] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14648), 1,
      sym_keyword_separator,
    ACTIONS(14650), 1,
      anon_sym_RPAREN,
    ACTIONS(14652), 1,
      anon_sym_COMMA,
    STATE(8783), 1,
      sym_order_by,
    STATE(10974), 1,
      aux_sym_invocation_repeat1,
    STATE(13708), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [481081] = 4,
    ACTIONS(14654), 1,
      anon_sym_COMMA,
    STATE(8259), 1,
      aux_sym_assignment_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14164), 6,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [481100] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14656), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [481115] = 7,
    ACTIONS(14385), 1,
      sym_keyword_where,
    ACTIONS(14660), 1,
      sym_keyword_delete,
    ACTIONS(14662), 1,
      sym_keyword_insert,
    ACTIONS(14664), 1,
      sym_keyword_update,
    STATE(10568), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14658), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [481140] = 9,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(9344), 1,
      sym_identifier,
    STATE(9345), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [481169] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13815), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [481184] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14666), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [481199] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14668), 1,
      sym_keyword_separator,
    ACTIONS(14670), 1,
      anon_sym_RPAREN,
    ACTIONS(14672), 1,
      anon_sym_COMMA,
    STATE(8521), 1,
      sym_order_by,
    STATE(10653), 1,
      aux_sym_invocation_repeat1,
    STATE(14596), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [481228] = 6,
    ACTIONS(14335), 1,
      anon_sym_LPAREN,
    STATE(5623), 1,
      sym_identifier,
    STATE(13633), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8666), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [481251] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14676), 2,
      sym_keyword_create,
      sym__identifier,
    ACTIONS(14674), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [481268] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14680), 2,
      sym_keyword_create,
      sym__identifier,
    ACTIONS(14678), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [481285] = 6,
    ACTIONS(14684), 1,
      sym_keyword_cascade,
    ACTIONS(14686), 1,
      sym_keyword_with,
    ACTIONS(14688), 1,
      sym_keyword_schema,
    ACTIONS(14690), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14682), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [481308] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14692), 1,
      sym_keyword_separator,
    ACTIONS(14694), 1,
      anon_sym_RPAREN,
    ACTIONS(14696), 1,
      anon_sym_COMMA,
    STATE(8808), 1,
      sym_order_by,
    STATE(10933), 1,
      aux_sym_invocation_repeat1,
    STATE(13760), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [481337] = 6,
    ACTIONS(14335), 1,
      anon_sym_LPAREN,
    STATE(5623), 1,
      sym_identifier,
    STATE(13633), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8671), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [481360] = 6,
    ACTIONS(14335), 1,
      anon_sym_LPAREN,
    STATE(5623), 1,
      sym_identifier,
    STATE(13633), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8612), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [481383] = 9,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(9545), 1,
      sym__literal_string,
    STATE(9546), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [481412] = 6,
    ACTIONS(14335), 1,
      anon_sym_LPAREN,
    STATE(5623), 1,
      sym_identifier,
    STATE(13633), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8694), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [481435] = 6,
    ACTIONS(14335), 1,
      anon_sym_LPAREN,
    STATE(5623), 1,
      sym_identifier,
    STATE(13633), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8604), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [481458] = 8,
    ACTIONS(14361), 1,
      sym_keyword_if,
    ACTIONS(14393), 1,
      sym__identifier,
    ACTIONS(14698), 1,
      sym_keyword_only,
    STATE(6287), 1,
      sym_object_reference,
    STATE(6488), 1,
      sym_identifier,
    STATE(8788), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [481485] = 5,
    ACTIONS(14700), 1,
      sym_keyword_union,
    STATE(8237), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14702), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13815), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
  [481506] = 5,
    ACTIONS(14704), 1,
      sym_keyword_union,
    STATE(8234), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14707), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13669), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
  [481527] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14710), 8,
      sym_keyword_from,
      sym_keyword_when,
      sym_keyword_not,
      sym_keyword_for,
      sym_keyword_deferrable,
      sym_keyword_initially,
      sym_keyword_referencing,
      sym_keyword_execute,
  [481542] = 9,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(127), 1,
      aux_sym_identifier_token1,
    ACTIONS(3025), 1,
      sym__double_quote_string,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3035), 1,
      sym__dollar_quoted_string,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(9532), 1,
      sym_identifier,
    STATE(9533), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [481571] = 5,
    ACTIONS(14700), 1,
      sym_keyword_union,
    STATE(8234), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14702), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13791), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
  [481592] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14714), 1,
      sym_keyword_ignore,
    STATE(5623), 1,
      sym_identifier,
    STATE(6967), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14712), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
  [481617] = 5,
    ACTIONS(14700), 1,
      sym_keyword_union,
    STATE(8237), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14702), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13793), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
  [481638] = 5,
    ACTIONS(14700), 1,
      sym_keyword_union,
    STATE(8237), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14702), 2,
      sym_keyword_except,
      sym_keyword_intersect,
    ACTIONS(13677), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
  [481659] = 4,
    STATE(1111), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(14096), 5,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [481678] = 7,
    ACTIONS(14355), 1,
      sym_keyword_where,
    ACTIONS(14716), 1,
      sym_keyword_delete,
    ACTIONS(14718), 1,
      sym_keyword_insert,
    ACTIONS(14720), 1,
      sym_keyword_update,
    STATE(10179), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14606), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
  [481703] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14722), 1,
      sym_keyword_separator,
    ACTIONS(14724), 1,
      anon_sym_RPAREN,
    ACTIONS(14726), 1,
      anon_sym_COMMA,
    STATE(8538), 1,
      sym_order_by,
    STATE(10978), 1,
      aux_sym_invocation_repeat1,
    STATE(13700), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [481732] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14730), 2,
      sym_keyword_create,
      sym__identifier,
    ACTIONS(14728), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [481749] = 6,
    ACTIONS(14335), 1,
      anon_sym_LPAREN,
    STATE(5623), 1,
      sym_identifier,
    STATE(13633), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8692), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [481772] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14732), 1,
      sym_keyword_separator,
    ACTIONS(14734), 1,
      anon_sym_RPAREN,
    ACTIONS(14736), 1,
      anon_sym_COMMA,
    STATE(8540), 1,
      sym_order_by,
    STATE(11048), 1,
      aux_sym_invocation_repeat1,
    STATE(13611), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [481801] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14740), 2,
      sym_keyword_create,
      sym__identifier,
    ACTIONS(14738), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [481818] = 5,
    ACTIONS(14742), 1,
      sym_keyword_from,
    STATE(1134), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(13915), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
  [481839] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14744), 1,
      sym_keyword_separator,
    ACTIONS(14746), 1,
      anon_sym_RPAREN,
    ACTIONS(14748), 1,
      anon_sym_COMMA,
    STATE(8807), 1,
      sym_order_by,
    STATE(10934), 1,
      aux_sym_invocation_repeat1,
    STATE(13810), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [481868] = 6,
    ACTIONS(14335), 1,
      anon_sym_LPAREN,
    STATE(5623), 1,
      sym_identifier,
    STATE(13633), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8691), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [481891] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14750), 1,
      sym_keyword_separator,
    ACTIONS(14752), 1,
      anon_sym_RPAREN,
    ACTIONS(14754), 1,
      anon_sym_COMMA,
    STATE(8623), 1,
      sym_order_by,
    STATE(11393), 1,
      aux_sym_invocation_repeat1,
    STATE(13020), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [481920] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14756), 1,
      sym_keyword_separator,
    ACTIONS(14758), 1,
      anon_sym_RPAREN,
    ACTIONS(14760), 1,
      anon_sym_COMMA,
    STATE(8566), 1,
      sym_order_by,
    STATE(11400), 1,
      aux_sym_invocation_repeat1,
    STATE(13770), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [481949] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14762), 1,
      sym_keyword_separator,
    ACTIONS(14764), 1,
      anon_sym_RPAREN,
    ACTIONS(14766), 1,
      anon_sym_COMMA,
    STATE(8541), 1,
      sym_order_by,
    STATE(11057), 1,
      aux_sym_invocation_repeat1,
    STATE(13495), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [481978] = 6,
    ACTIONS(14335), 1,
      anon_sym_LPAREN,
    STATE(5623), 1,
      sym_identifier,
    STATE(13633), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8681), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [482001] = 6,
    ACTIONS(14770), 1,
      sym_keyword_cascade,
    ACTIONS(14772), 1,
      sym_keyword_with,
    ACTIONS(14774), 1,
      sym_keyword_schema,
    ACTIONS(14776), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14768), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [482024] = 6,
    ACTIONS(14335), 1,
      anon_sym_LPAREN,
    STATE(5623), 1,
      sym_identifier,
    STATE(13633), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8572), 2,
      sym_invocation,
      sym_subquery,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [482047] = 6,
    ACTIONS(14333), 1,
      anon_sym_COMMA,
    STATE(8149), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(10951), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14331), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14329), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [482070] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14778), 1,
      sym_keyword_separator,
    ACTIONS(14780), 1,
      anon_sym_RPAREN,
    ACTIONS(14782), 1,
      anon_sym_COMMA,
    STATE(8520), 1,
      sym_order_by,
    STATE(10642), 1,
      aux_sym_invocation_repeat1,
    STATE(14615), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [482099] = 4,
    ACTIONS(14654), 1,
      anon_sym_COMMA,
    STATE(8179), 1,
      aux_sym_assignment_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14118), 6,
      sym_keyword_from,
      sym_keyword_on,
      sym_keyword_where,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [482118] = 7,
    ACTIONS(14355), 1,
      sym_keyword_where,
    ACTIONS(14784), 1,
      sym_keyword_delete,
    ACTIONS(14786), 1,
      sym_keyword_insert,
    ACTIONS(14788), 1,
      sym_keyword_update,
    STATE(10065), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14658), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
  [482143] = 9,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(1291), 1,
      aux_sym_identifier_token1,
    ACTIONS(3146), 1,
      sym__double_quote_string,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3156), 1,
      sym__dollar_quoted_string,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(10085), 1,
      sym_identifier,
    STATE(10086), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [482172] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14790), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [482187] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14792), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [482202] = 9,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14794), 1,
      sym_keyword_separator,
    ACTIONS(14796), 1,
      anon_sym_RPAREN,
    ACTIONS(14798), 1,
      anon_sym_COMMA,
    STATE(8536), 1,
      sym_order_by,
    STATE(10967), 1,
      aux_sym_invocation_repeat1,
    STATE(13741), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [482231] = 9,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(12097), 1,
      anon_sym_LPAREN,
    ACTIONS(14800), 1,
      anon_sym_RPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7702), 1,
      sym__select_statement,
    STATE(8159), 1,
      sym__show_statement,
    STATE(8161), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [482260] = 4,
    ACTIONS(13640), 1,
      anon_sym_LBRACK,
    STATE(3369), 1,
      sym__array_size_definition,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3481), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_collate,
      sym_keyword_cascade,
      sym_keyword_restrict,
      anon_sym_COMMA,
  [482279] = 7,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    STATE(7042), 1,
      sym_identifier,
    STATE(9667), 1,
      sym_object_reference,
    STATE(9668), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [482303] = 7,
    ACTIONS(14411), 1,
      sym_keyword_delete,
    ACTIONS(14802), 1,
      sym_keyword_insert,
    ACTIONS(14804), 1,
      sym_keyword_update,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(10466), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14377), 2,
      sym_keyword_when,
      anon_sym_RPAREN,
  [482327] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(5967), 1,
      sym_keyword_as,
    ACTIONS(14808), 1,
      sym_keyword_on,
    STATE(6466), 1,
      sym_identifier,
    STATE(12278), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [482351] = 8,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(14810), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7731), 1,
      sym__select_statement,
    STATE(8219), 1,
      sym_set_operation,
    STATE(8220), 1,
      sym__show_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [482377] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(5623), 1,
      sym_identifier,
    STATE(9310), 1,
      sym__if_not_exists,
    STATE(13679), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [482401] = 6,
    ACTIONS(14335), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(8308), 1,
      sym_object_reference,
    STATE(8309), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [482423] = 7,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(14812), 1,
      sym_keyword_stdin,
    ACTIONS(14814), 1,
      sym_keyword_program,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11892), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [482447] = 6,
    ACTIONS(14816), 1,
      sym_keyword_cascade,
    ACTIONS(14818), 1,
      sym_keyword_with,
    ACTIONS(14820), 1,
      sym_keyword_schema,
    ACTIONS(14822), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14682), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [482469] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11854), 7,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [482483] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    STATE(5623), 1,
      sym_identifier,
    STATE(6963), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14824), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
  [482505] = 4,
    ACTIONS(14826), 1,
      anon_sym_COMMA,
    STATE(8337), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13212), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
  [482523] = 6,
    ACTIONS(14122), 1,
      anon_sym_LPAREN,
    STATE(7443), 1,
      sym_identifier,
    STATE(13838), 1,
      sym__qualified_field,
    STATE(14142), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [482545] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(5623), 1,
      sym_identifier,
    STATE(9311), 1,
      sym__if_not_exists,
    STATE(11827), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [482569] = 4,
    STATE(1089), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(14096), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
  [482587] = 5,
    ACTIONS(14830), 1,
      sym_keyword_on,
    STATE(9960), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14832), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14828), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [482607] = 7,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(1898), 1,
      sym_identifier,
    STATE(9054), 1,
      sym__if_not_exists,
    STATE(11067), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [482631] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(5967), 1,
      sym_keyword_as,
    ACTIONS(14834), 1,
      sym_keyword_on,
    STATE(6466), 1,
      sym_identifier,
    STATE(12279), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [482655] = 5,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    STATE(8300), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14838), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14836), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [482675] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(5967), 1,
      sym_keyword_as,
    ACTIONS(14840), 1,
      sym_keyword_on,
    STATE(6466), 1,
      sym_identifier,
    STATE(13581), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [482699] = 5,
    ACTIONS(14844), 1,
      sym_keyword_first,
    ACTIONS(14846), 1,
      sym_keyword_after,
    STATE(9731), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14842), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [482719] = 5,
    ACTIONS(14850), 1,
      sym_keyword_on,
    STATE(10281), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14852), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14848), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [482739] = 5,
    ACTIONS(14844), 1,
      sym_keyword_first,
    ACTIONS(14846), 1,
      sym_keyword_after,
    STATE(9745), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14854), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [482759] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(5623), 1,
      sym_identifier,
    STATE(9279), 1,
      sym__if_not_exists,
    STATE(11889), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [482783] = 8,
    ACTIONS(13622), 1,
      sym_keyword_select,
    ACTIONS(13624), 1,
      sym_keyword_show,
    ACTIONS(14810), 1,
      anon_sym_LPAREN,
    STATE(7858), 1,
      sym_select,
    STATE(7933), 1,
      sym__select_statement,
    STATE(8219), 1,
      sym_set_operation,
    STATE(8220), 1,
      sym__show_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [482809] = 6,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14856), 1,
      anon_sym_RPAREN,
    STATE(9157), 1,
      sym_order_by,
    STATE(13493), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [482831] = 8,
    ACTIONS(12097), 1,
      anon_sym_LPAREN,
    ACTIONS(13622), 1,
      sym_keyword_select,
    ACTIONS(13624), 1,
      sym_keyword_show,
    STATE(7858), 1,
      sym_select,
    STATE(7995), 1,
      sym__select_statement,
    STATE(8159), 1,
      sym__show_statement,
    STATE(8161), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [482857] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    STATE(5623), 1,
      sym_identifier,
    STATE(6967), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14712), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
  [482879] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(14858), 1,
      sym_keyword_begin,
    STATE(52), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(8446), 2,
      sym_function_declaration,
      aux_sym_function_body_repeat2,
  [482901] = 7,
    ACTIONS(14361), 1,
      sym_keyword_if,
    ACTIONS(14393), 1,
      sym__identifier,
    ACTIONS(14860), 1,
      sym_keyword_column,
    STATE(7797), 1,
      sym_identifier,
    STATE(10011), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [482925] = 6,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14862), 1,
      anon_sym_RPAREN,
    STATE(9037), 1,
      sym_order_by,
    STATE(13533), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [482947] = 6,
    ACTIONS(14866), 1,
      anon_sym_COMMA,
    STATE(8703), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(12131), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13731), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(14864), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [482969] = 5,
    ACTIONS(14844), 1,
      sym_keyword_first,
    ACTIONS(14846), 1,
      sym_keyword_after,
    STATE(10314), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14868), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [482989] = 5,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    STATE(8370), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14872), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14870), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [483009] = 5,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14872), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14870), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [483029] = 7,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    STATE(1898), 1,
      sym_identifier,
    STATE(7090), 1,
      sym_object_reference,
    STATE(9182), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483053] = 6,
    ACTIONS(14874), 1,
      anon_sym_LPAREN,
    STATE(7750), 1,
      sym_identifier,
    STATE(8447), 1,
      sym__qualified_field,
    STATE(12728), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [483075] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    STATE(5623), 1,
      sym_identifier,
    STATE(8319), 1,
      sym_object_reference,
    STATE(9189), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483099] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    STATE(5623), 1,
      sym_identifier,
    STATE(6957), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14876), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
  [483121] = 6,
    ACTIONS(14866), 1,
      anon_sym_COMMA,
    STATE(8345), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(12131), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13731), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(14864), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [483143] = 6,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14878), 1,
      anon_sym_RPAREN,
    STATE(8907), 1,
      sym_order_by,
    STATE(14770), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [483165] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(5623), 1,
      sym_identifier,
    STATE(9576), 1,
      sym__if_not_exists,
    STATE(12100), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483189] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(5967), 1,
      sym_keyword_as,
    ACTIONS(14880), 1,
      sym_keyword_on,
    STATE(6466), 1,
      sym_identifier,
    STATE(13621), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483213] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(5967), 1,
      sym_keyword_as,
    ACTIONS(14882), 1,
      sym_keyword_on,
    STATE(6466), 1,
      sym_identifier,
    STATE(13622), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483237] = 6,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(10995), 1,
      sym_keyword_order,
    STATE(9101), 1,
      sym_order_by,
    STATE(10793), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14337), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [483259] = 7,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(1898), 1,
      sym_identifier,
    STATE(9572), 1,
      sym__if_not_exists,
    STATE(11141), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483283] = 7,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(1898), 1,
      sym_identifier,
    STATE(9261), 1,
      sym__if_not_exists,
    STATE(10708), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483307] = 7,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(1898), 1,
      sym_identifier,
    STATE(9529), 1,
      sym__if_not_exists,
    STATE(11331), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483331] = 7,
    ACTIONS(14784), 1,
      sym_keyword_delete,
    ACTIONS(14806), 1,
      sym_keyword_where,
    ACTIONS(14884), 1,
      sym_keyword_insert,
    ACTIONS(14886), 1,
      sym_keyword_update,
    STATE(10065), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14658), 2,
      sym_keyword_when,
      anon_sym_RPAREN,
  [483355] = 7,
    ACTIONS(12798), 1,
      sym_keyword_rename,
    ACTIONS(12800), 1,
      sym_keyword_owner,
    ACTIONS(14888), 1,
      sym_keyword_set,
    ACTIONS(14890), 1,
      sym_keyword_with,
    ACTIONS(14892), 1,
      sym_keyword_reset,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10890), 2,
      sym_rename_object,
      sym_change_ownership,
  [483379] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    ACTIONS(14894), 1,
      sym_keyword_authorization,
    STATE(9276), 1,
      sym_identifier,
    STATE(10290), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483403] = 5,
    ACTIONS(14898), 1,
      sym_keyword_cascade,
    ACTIONS(14900), 1,
      sym_keyword_schema,
    ACTIONS(14902), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14896), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [483423] = 6,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14904), 1,
      anon_sym_RPAREN,
    STATE(9027), 1,
      sym_order_by,
    STATE(13649), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [483445] = 5,
    ACTIONS(12800), 1,
      sym_keyword_owner,
    ACTIONS(14086), 1,
      sym_keyword_set,
    ACTIONS(14906), 1,
      sym_keyword_rename,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10881), 4,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [483465] = 5,
    ACTIONS(14910), 1,
      sym_keyword_collate,
    STATE(10819), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14912), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14908), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [483485] = 7,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(1898), 1,
      sym_identifier,
    STATE(7311), 1,
      sym_object_reference,
    STATE(9286), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483509] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14525), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [483523] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(5623), 1,
      sym_identifier,
    STATE(9288), 1,
      sym__if_not_exists,
    STATE(11627), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483547] = 7,
    ACTIONS(14393), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(6438), 1,
      sym_object_reference,
    STATE(6488), 1,
      sym_identifier,
    STATE(9294), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483571] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14417), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [483585] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    STATE(5623), 1,
      sym_identifier,
    STATE(6958), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14448), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
  [483607] = 7,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(14914), 1,
      sym_keyword_stdin,
    ACTIONS(14916), 1,
      sym_keyword_program,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11956), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [483631] = 5,
    ACTIONS(14918), 1,
      anon_sym_RPAREN,
    STATE(9087), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8070), 2,
      sym_field,
      aux_sym__compute_stats_repeat1,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [483651] = 8,
    ACTIONS(14920), 1,
      sym_keyword_not,
    ACTIONS(14922), 1,
      sym_keyword_default,
    ACTIONS(14924), 1,
      sym_keyword_data,
    ACTIONS(14926), 1,
      sym_keyword_storage,
    ACTIONS(14928), 1,
      sym_keyword_compression,
    ACTIONS(14930), 1,
      sym_keyword_statistics,
    ACTIONS(14932), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [483677] = 3,
    ACTIONS(14934), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(123), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_where,
      sym_keyword_order,
      sym_keyword_limit,
      sym_keyword_returning,
  [483693] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14419), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [483707] = 7,
    ACTIONS(14393), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(6451), 1,
      sym_object_reference,
    STATE(6488), 1,
      sym_identifier,
    STATE(9290), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483731] = 7,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    ACTIONS(14936), 1,
      sym_keyword_authorization,
    STATE(9772), 1,
      sym_identifier,
    STATE(10079), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483755] = 5,
    ACTIONS(14251), 1,
      anon_sym_RPAREN,
    STATE(9087), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7987), 2,
      sym_field,
      aux_sym__compute_stats_repeat1,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [483775] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(5623), 1,
      sym_identifier,
    STATE(9008), 1,
      sym__if_not_exists,
    STATE(11771), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483799] = 7,
    ACTIONS(647), 1,
      sym__identifier,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(14938), 1,
      anon_sym_EQ,
    STATE(8784), 1,
      sym__single_quote_string,
    STATE(8785), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(651), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483823] = 4,
    ACTIONS(14826), 1,
      anon_sym_COMMA,
    STATE(8356), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13200), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
  [483841] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    STATE(5623), 1,
      sym_identifier,
    STATE(9267), 1,
      sym__if_exists,
    STATE(10871), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483865] = 5,
    ACTIONS(12761), 1,
      sym_keyword_owner,
    ACTIONS(14203), 1,
      sym_keyword_set,
    ACTIONS(14940), 1,
      sym_keyword_rename,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11817), 4,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [483885] = 7,
    ACTIONS(14393), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(6393), 1,
      sym_object_reference,
    STATE(6488), 1,
      sym_identifier,
    STATE(9006), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483909] = 5,
    ACTIONS(14844), 1,
      sym_keyword_first,
    ACTIONS(14846), 1,
      sym_keyword_after,
    STATE(9825), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14942), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [483929] = 7,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(1898), 1,
      sym_identifier,
    STATE(7301), 1,
      sym_object_reference,
    STATE(8898), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483953] = 7,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(1898), 1,
      sym_identifier,
    STATE(8989), 1,
      sym__if_not_exists,
    STATE(10860), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [483977] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(5623), 1,
      sym_identifier,
    STATE(8984), 1,
      sym__if_not_exists,
    STATE(14032), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [484001] = 6,
    ACTIONS(14866), 1,
      anon_sym_COMMA,
    STATE(8703), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(11871), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14329), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(14944), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [484023] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    STATE(5623), 1,
      sym_identifier,
    STATE(6953), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14946), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
  [484045] = 5,
    ACTIONS(14948), 1,
      anon_sym_RPAREN,
    STATE(9087), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8053), 2,
      sym_field,
      aux_sym__compute_stats_repeat1,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [484065] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14790), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [484079] = 8,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(12541), 1,
      anon_sym_LPAREN,
    STATE(8870), 1,
      sym_select,
    STATE(9201), 1,
      sym__select_statement,
    STATE(13714), 1,
      sym_set_operation,
    STATE(13716), 1,
      sym__show_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [484105] = 5,
    ACTIONS(14844), 1,
      sym_keyword_first,
    ACTIONS(14846), 1,
      sym_keyword_after,
    STATE(9826), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14950), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [484125] = 8,
    ACTIONS(1404), 1,
      sym_keyword_select,
    ACTIONS(1414), 1,
      sym_keyword_show,
    ACTIONS(14952), 1,
      anon_sym_LPAREN,
    STATE(7640), 1,
      sym_select,
    STATE(7796), 1,
      sym__select_statement,
    STATE(8494), 1,
      sym_set_operation,
    STATE(8495), 1,
      sym__show_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [484151] = 6,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14954), 1,
      anon_sym_RPAREN,
    STATE(8936), 1,
      sym_order_by,
    STATE(14594), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [484173] = 6,
    ACTIONS(14385), 1,
      sym_keyword_where,
    ACTIONS(14958), 1,
      sym_keyword_from,
    STATE(11175), 1,
      sym_where,
    STATE(11178), 1,
      sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14956), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [484195] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14792), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [484209] = 6,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(14960), 1,
      anon_sym_RPAREN,
    STATE(9215), 1,
      sym_order_by,
    STATE(13698), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [484231] = 4,
    ACTIONS(14962), 1,
      anon_sym_COMMA,
    STATE(8356), 1,
      aux_sym_order_by_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12690), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_limit,
      sym_keyword_create,
      sym_keyword_returning,
  [484249] = 5,
    ACTIONS(14967), 1,
      sym_keyword_collate,
    STATE(10478), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14969), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14965), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [484269] = 7,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    STATE(7042), 1,
      sym_identifier,
    STATE(9669), 1,
      sym_object_reference,
    STATE(9670), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [484293] = 8,
    ACTIONS(13622), 1,
      sym_keyword_select,
    ACTIONS(13646), 1,
      sym_keyword_show,
    ACTIONS(14810), 1,
      anon_sym_LPAREN,
    STATE(7858), 1,
      sym_select,
    STATE(7933), 1,
      sym__select_statement,
    STATE(8219), 1,
      sym_set_operation,
    STATE(8220), 1,
      sym__show_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [484319] = 4,
    STATE(9828), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14973), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14971), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [484337] = 6,
    ACTIONS(14866), 1,
      anon_sym_COMMA,
    STATE(8703), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(11775), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14454), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(14975), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [484359] = 5,
    ACTIONS(14844), 1,
      sym_keyword_first,
    ACTIONS(14846), 1,
      sym_keyword_after,
    STATE(9829), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14977), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [484379] = 5,
    ACTIONS(14981), 1,
      sym_keyword_collate,
    STATE(11490), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14983), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14979), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [484399] = 6,
    ACTIONS(14122), 1,
      anon_sym_LPAREN,
    STATE(7443), 1,
      sym_identifier,
    STATE(7938), 1,
      sym__qualified_field,
    STATE(14142), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [484421] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(5967), 1,
      sym_keyword_as,
    ACTIONS(14985), 1,
      sym_keyword_using,
    STATE(6466), 1,
      sym_identifier,
    STATE(14096), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [484445] = 6,
    ACTIONS(14122), 1,
      anon_sym_LPAREN,
    STATE(7443), 1,
      sym_identifier,
    STATE(8809), 1,
      sym__qualified_field,
    STATE(14142), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [484467] = 5,
    ACTIONS(14770), 1,
      sym_keyword_cascade,
    ACTIONS(14774), 1,
      sym_keyword_schema,
    ACTIONS(14776), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14768), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [484487] = 6,
    ACTIONS(14355), 1,
      sym_keyword_where,
    ACTIONS(14987), 1,
      sym_keyword_from,
    STATE(10407), 1,
      sym_where,
    STATE(10411), 1,
      sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14956), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [484509] = 7,
    ACTIONS(12759), 1,
      sym_keyword_rename,
    ACTIONS(12761), 1,
      sym_keyword_owner,
    ACTIONS(14989), 1,
      sym_keyword_set,
    ACTIONS(14991), 1,
      sym_keyword_with,
    ACTIONS(14993), 1,
      sym_keyword_reset,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(12008), 2,
      sym_rename_object,
      sym_change_ownership,
  [484533] = 5,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14997), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14995), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [484553] = 8,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(14810), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7731), 1,
      sym__select_statement,
    STATE(8219), 1,
      sym_set_operation,
    STATE(8220), 1,
      sym__show_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [484579] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(5623), 1,
      sym_identifier,
    STATE(9334), 1,
      sym__if_not_exists,
    STATE(11754), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [484603] = 8,
    ACTIONS(12097), 1,
      anon_sym_LPAREN,
    ACTIONS(13622), 1,
      sym_keyword_select,
    ACTIONS(13646), 1,
      sym_keyword_show,
    STATE(7858), 1,
      sym_select,
    STATE(7995), 1,
      sym__select_statement,
    STATE(8159), 1,
      sym__show_statement,
    STATE(8161), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [484629] = 5,
    ACTIONS(14999), 1,
      sym_keyword_from,
    STATE(1658), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(13915), 3,
      sym_keyword_create,
      sym_keyword_with,
      anon_sym_RPAREN,
  [484649] = 7,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    STATE(7042), 1,
      sym_identifier,
    STATE(9663), 1,
      sym_object_reference,
    STATE(9666), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [484673] = 7,
    ACTIONS(14393), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(6439), 1,
      sym_object_reference,
    STATE(6488), 1,
      sym_identifier,
    STATE(9330), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [484697] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(5623), 1,
      sym_identifier,
    STATE(9459), 1,
      sym__if_not_exists,
    STATE(11736), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [484721] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(5623), 1,
      sym_identifier,
    STATE(9297), 1,
      sym__if_not_exists,
    STATE(11875), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [484745] = 4,
    ACTIONS(7493), 1,
      anon_sym_COMMA,
    STATE(7302), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15001), 5,
      sym_keyword_order,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
      anon_sym_RPAREN,
  [484763] = 8,
    ACTIONS(13628), 1,
      sym_keyword_select,
    ACTIONS(13630), 1,
      sym_keyword_show,
    ACTIONS(14952), 1,
      anon_sym_LPAREN,
    STATE(7927), 1,
      sym_select,
    STATE(8233), 1,
      sym__select_statement,
    STATE(8494), 1,
      sym_set_operation,
    STATE(8495), 1,
      sym__show_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [484789] = 5,
    ACTIONS(14285), 1,
      anon_sym_RPAREN,
    STATE(9087), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(7992), 2,
      sym_field,
      aux_sym__compute_stats_repeat1,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [484809] = 7,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    ACTIONS(15003), 1,
      sym_keyword_concurrently,
    STATE(8688), 1,
      sym_identifier,
    STATE(9692), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [484833] = 6,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(15005), 1,
      anon_sym_RPAREN,
    STATE(9548), 1,
      sym_order_by,
    STATE(12355), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [484855] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(5623), 1,
      sym_identifier,
    STATE(9298), 1,
      sym__if_not_exists,
    STATE(13683), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [484879] = 7,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    STATE(7042), 1,
      sym_identifier,
    STATE(9658), 1,
      sym_object_reference,
    STATE(9659), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [484903] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11812), 7,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [484917] = 7,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(1898), 1,
      sym_identifier,
    STATE(8968), 1,
      sym__if_not_exists,
    STATE(10504), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [484941] = 5,
    ACTIONS(14335), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8285), 2,
      sym_object_reference,
      sym_subquery,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [484961] = 8,
    ACTIONS(12179), 1,
      anon_sym_LPAREN,
    ACTIONS(13628), 1,
      sym_keyword_select,
    ACTIONS(13630), 1,
      sym_keyword_show,
    STATE(7927), 1,
      sym_select,
    STATE(8239), 1,
      sym__select_statement,
    STATE(8439), 1,
      sym__show_statement,
    STATE(8457), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [484987] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(5623), 1,
      sym_identifier,
    STATE(9340), 1,
      sym__if_not_exists,
    STATE(14125), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [485011] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15007), 1,
      anon_sym_EQ,
    STATE(8223), 1,
      sym__single_quote_string,
    STATE(8224), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [485035] = 7,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(1898), 1,
      sym_identifier,
    STATE(9307), 1,
      sym__if_not_exists,
    STATE(11459), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [485059] = 6,
    ACTIONS(15009), 1,
      sym_keyword_cascade,
    ACTIONS(15011), 1,
      sym_keyword_with,
    ACTIONS(15013), 1,
      sym_keyword_schema,
    ACTIONS(15015), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14768), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [485081] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11950), 7,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [485095] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14409), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [485109] = 6,
    ACTIONS(14122), 1,
      anon_sym_LPAREN,
    STATE(7443), 1,
      sym_identifier,
    STATE(8241), 1,
      sym__qualified_field,
    STATE(14142), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [485131] = 6,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(15017), 1,
      anon_sym_RPAREN,
    STATE(9068), 1,
      sym_order_by,
    STATE(13460), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [485153] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13677), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [485167] = 6,
    ACTIONS(14866), 1,
      anon_sym_COMMA,
    STATE(8361), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(11871), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14329), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(14944), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [485189] = 6,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(15019), 1,
      anon_sym_RPAREN,
    STATE(9135), 1,
      sym_order_by,
    STATE(12351), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [485211] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(5967), 1,
      sym_keyword_as,
    ACTIONS(15021), 1,
      sym_keyword_using,
    STATE(6466), 1,
      sym_identifier,
    STATE(14577), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [485235] = 4,
    STATE(10076), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15025), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15023), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [485253] = 6,
    ACTIONS(14122), 1,
      anon_sym_LPAREN,
    STATE(7443), 1,
      sym_identifier,
    STATE(8280), 1,
      sym__qualified_field,
    STATE(14142), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [485275] = 6,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(15027), 1,
      anon_sym_RPAREN,
    STATE(9425), 1,
      sym_order_by,
    STATE(13208), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [485297] = 5,
    ACTIONS(15031), 1,
      sym_keyword_collate,
    STATE(11351), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15033), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15029), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [485317] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    STATE(5623), 1,
      sym_identifier,
    STATE(8812), 1,
      sym_object_reference,
    STATE(9140), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [485341] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(5623), 1,
      sym_identifier,
    STATE(9518), 1,
      sym__if_not_exists,
    STATE(14225), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [485365] = 7,
    ACTIONS(14393), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(6441), 1,
      sym_object_reference,
    STATE(6488), 1,
      sym_identifier,
    STATE(9527), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [485389] = 6,
    ACTIONS(53), 1,
      sym__identifier,
    ACTIONS(15035), 1,
      sym_keyword_begin,
    STATE(52), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(8446), 2,
      sym_function_declaration,
      aux_sym_function_body_repeat2,
  [485411] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    STATE(5623), 1,
      sym_identifier,
    STATE(6968), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    ACTIONS(14574), 2,
      sym_keyword_into,
      sym_keyword_overwrite,
  [485433] = 6,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(15037), 1,
      anon_sym_RPAREN,
    STATE(8969), 1,
      sym_order_by,
    STATE(14294), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [485455] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(5623), 1,
      sym_identifier,
    STATE(9538), 1,
      sym__if_not_exists,
    STATE(11721), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [485479] = 8,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(12097), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7702), 1,
      sym__select_statement,
    STATE(8159), 1,
      sym__show_statement,
    STATE(8161), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [485505] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15039), 1,
      sym_keyword_table,
    ACTIONS(15041), 1,
      sym_keyword_local,
    STATE(5623), 1,
      sym_identifier,
    STATE(14185), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [485529] = 8,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(12541), 1,
      anon_sym_LPAREN,
    STATE(8673), 1,
      sym_select,
    STATE(9407), 1,
      sym__select_statement,
    STATE(13280), 1,
      sym_set_operation,
    STATE(13284), 1,
      sym__show_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [485555] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11838), 7,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [485569] = 5,
    ACTIONS(14844), 1,
      sym_keyword_first,
    ACTIONS(14846), 1,
      sym_keyword_after,
    STATE(10022), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15043), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [485589] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(5623), 1,
      sym_identifier,
    STATE(9660), 1,
      sym__if_not_exists,
    STATE(11710), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [485613] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11834), 7,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [485627] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14469), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [485641] = 6,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(15045), 1,
      anon_sym_RPAREN,
    STATE(9005), 1,
      sym_order_by,
    STATE(13944), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [485663] = 8,
    ACTIONS(14920), 1,
      sym_keyword_not,
    ACTIONS(14924), 1,
      sym_keyword_data,
    ACTIONS(14926), 1,
      sym_keyword_storage,
    ACTIONS(14928), 1,
      sym_keyword_compression,
    ACTIONS(14930), 1,
      sym_keyword_statistics,
    ACTIONS(14932), 1,
      anon_sym_LPAREN,
    ACTIONS(15047), 1,
      sym_keyword_default,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [485689] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(5623), 1,
      sym_identifier,
    STATE(9662), 1,
      sym__if_not_exists,
    STATE(14252), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [485713] = 6,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(15049), 1,
      anon_sym_RPAREN,
    STATE(9269), 1,
      sym_order_by,
    STATE(14212), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [485735] = 5,
    ACTIONS(14335), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8444), 2,
      sym_object_reference,
      sym_subquery,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [485755] = 7,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(1898), 1,
      sym_identifier,
    STATE(9237), 1,
      sym__if_not_exists,
    STATE(10986), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [485779] = 7,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    STATE(1898), 1,
      sym_identifier,
    STATE(7103), 1,
      sym_object_reference,
    STATE(8899), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [485803] = 4,
    ACTIONS(15053), 1,
      anon_sym_COMMA,
    STATE(8428), 1,
      aux_sym__truncate_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15051), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_cascade,
      sym_keyword_restrict,
      anon_sym_RPAREN,
  [485821] = 6,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(15056), 1,
      anon_sym_RPAREN,
    STATE(9108), 1,
      sym_order_by,
    STATE(12772), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [485843] = 7,
    ACTIONS(14716), 1,
      sym_keyword_delete,
    ACTIONS(14806), 1,
      sym_keyword_where,
    ACTIONS(15058), 1,
      sym_keyword_insert,
    ACTIONS(15060), 1,
      sym_keyword_update,
    STATE(10179), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14606), 2,
      sym_keyword_when,
      anon_sym_RPAREN,
  [485867] = 7,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15062), 1,
      sym_keyword_stdin,
    ACTIONS(15064), 1,
      sym_keyword_program,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11706), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [485891] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(5623), 1,
      sym_identifier,
    STATE(9599), 1,
      sym__if_not_exists,
    STATE(11702), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [485915] = 8,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(12541), 1,
      anon_sym_LPAREN,
    STATE(8673), 1,
      sym_select,
    STATE(8908), 1,
      sym__select_statement,
    STATE(14208), 1,
      sym_set_operation,
    STATE(14211), 1,
      sym__show_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [485941] = 8,
    ACTIONS(15066), 1,
      sym_keyword_not,
    ACTIONS(15068), 1,
      sym_keyword_default,
    ACTIONS(15070), 1,
      sym_keyword_data,
    ACTIONS(15072), 1,
      sym_keyword_storage,
    ACTIONS(15074), 1,
      sym_keyword_compression,
    ACTIONS(15076), 1,
      sym_keyword_statistics,
    ACTIONS(15078), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [485967] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15080), 1,
      sym_keyword_table,
    ACTIONS(15082), 1,
      sym_keyword_local,
    STATE(5623), 1,
      sym_identifier,
    STATE(14558), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [485991] = 6,
    ACTIONS(14866), 1,
      anon_sym_COMMA,
    STATE(8297), 1,
      aux_sym__truncate_statement_repeat1,
    STATE(12197), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13552), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15084), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [486013] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11866), 7,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [486027] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(5967), 1,
      sym_keyword_as,
    ACTIONS(15086), 1,
      sym_keyword_on,
    STATE(6466), 1,
      sym_identifier,
    STATE(14609), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486051] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14491), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [486065] = 6,
    ACTIONS(14335), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(8442), 1,
      sym_object_reference,
    STATE(8443), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [486087] = 6,
    ACTIONS(14335), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    STATE(8269), 1,
      sym_subquery,
    STATE(8283), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [486109] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(5967), 1,
      sym_keyword_as,
    ACTIONS(15088), 1,
      sym_keyword_on,
    STATE(6466), 1,
      sym_identifier,
    STATE(14622), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486133] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(5967), 1,
      sym_keyword_as,
    ACTIONS(15090), 1,
      sym_keyword_on,
    STATE(6466), 1,
      sym_identifier,
    STATE(14623), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486157] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(5967), 1,
      sym_keyword_as,
    ACTIONS(15092), 1,
      sym_keyword_on,
    STATE(6466), 1,
      sym_identifier,
    STATE(12985), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486181] = 8,
    ACTIONS(15094), 1,
      sym_keyword_not,
    ACTIONS(15096), 1,
      sym_keyword_default,
    ACTIONS(15098), 1,
      sym_keyword_data,
    ACTIONS(15100), 1,
      sym_keyword_storage,
    ACTIONS(15102), 1,
      sym_keyword_compression,
    ACTIONS(15104), 1,
      sym_keyword_statistics,
    ACTIONS(15106), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [486207] = 6,
    ACTIONS(15108), 1,
      sym__identifier,
    ACTIONS(15111), 1,
      sym_keyword_begin,
    STATE(52), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15113), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
    STATE(8446), 2,
      sym_function_declaration,
      aux_sym_function_body_repeat2,
  [486229] = 4,
    STATE(1774), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(14096), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
  [486247] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14458), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [486261] = 5,
    ACTIONS(12761), 1,
      sym_keyword_owner,
    ACTIONS(14203), 1,
      sym_keyword_set,
    ACTIONS(14940), 1,
      sym_keyword_rename,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(12029), 4,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [486281] = 7,
    ACTIONS(523), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(3556), 1,
      sym_identifier,
    STATE(7486), 1,
      sym_object_reference,
    STATE(9072), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(581), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486305] = 4,
    ACTIONS(15116), 1,
      anon_sym_COMMA,
    STATE(8507), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14438), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
  [486323] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11908), 7,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [486337] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11904), 7,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [486351] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11780), 7,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [486365] = 4,
    ACTIONS(15118), 1,
      anon_sym_COMMA,
    STATE(8455), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14458), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
  [486383] = 8,
    ACTIONS(15094), 1,
      sym_keyword_not,
    ACTIONS(15098), 1,
      sym_keyword_data,
    ACTIONS(15100), 1,
      sym_keyword_storage,
    ACTIONS(15102), 1,
      sym_keyword_compression,
    ACTIONS(15104), 1,
      sym_keyword_statistics,
    ACTIONS(15106), 1,
      anon_sym_LPAREN,
    ACTIONS(15121), 1,
      sym_keyword_default,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [486409] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13793), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [486423] = 8,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(19), 1,
      sym_keyword_show,
    ACTIONS(12097), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7702), 1,
      sym__select_statement,
    STATE(8159), 1,
      sym__show_statement,
    STATE(8161), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [486449] = 7,
    ACTIONS(523), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(3556), 1,
      sym_identifier,
    STATE(7382), 1,
      sym_object_reference,
    STATE(9000), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(581), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486473] = 4,
    ACTIONS(15116), 1,
      anon_sym_COMMA,
    STATE(8455), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14430), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
  [486491] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    STATE(5623), 1,
      sym_identifier,
    STATE(9030), 1,
      sym__if_exists,
    STATE(10805), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486515] = 8,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(1711), 1,
      sym_keyword_show,
    ACTIONS(12541), 1,
      anon_sym_LPAREN,
    STATE(8870), 1,
      sym_select,
    STATE(9023), 1,
      sym__select_statement,
    STATE(13959), 1,
      sym_set_operation,
    STATE(13961), 1,
      sym__show_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [486541] = 5,
    ACTIONS(15125), 1,
      sym_keyword_on,
    STATE(9708), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15127), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15123), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [486561] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    STATE(5623), 1,
      sym_identifier,
    STATE(8449), 1,
      sym_object_reference,
    STATE(9265), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486585] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11858), 7,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [486599] = 6,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(15129), 1,
      anon_sym_RPAREN,
    STATE(9404), 1,
      sym_order_by,
    STATE(13200), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [486621] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(5623), 1,
      sym_identifier,
    STATE(9363), 1,
      sym__if_not_exists,
    STATE(11715), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486645] = 6,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(15131), 1,
      anon_sym_RPAREN,
    STATE(9204), 1,
      sym_order_by,
    STATE(14120), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [486667] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11998), 7,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [486681] = 5,
    ACTIONS(14335), 1,
      anon_sym_LPAREN,
    STATE(1898), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8438), 2,
      sym_object_reference,
      sym_subquery,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [486701] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15080), 1,
      sym_keyword_table,
    ACTIONS(15082), 1,
      sym_keyword_local,
    STATE(5623), 1,
      sym_identifier,
    STATE(14626), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486725] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(5967), 1,
      sym_keyword_as,
    ACTIONS(15133), 1,
      sym_keyword_using,
    STATE(6466), 1,
      sym_identifier,
    STATE(14763), 1,
      sym__alias,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486749] = 7,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(1898), 1,
      sym_identifier,
    STATE(9025), 1,
      sym__if_not_exists,
    STATE(10510), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486773] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(12014), 7,
      sym_keyword_select,
      sym_keyword_show,
      sym_keyword_values,
      sym_keyword_set,
      sym_keyword_as,
      sym_keyword_with,
      anon_sym_LPAREN,
  [486787] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    STATE(5623), 1,
      sym_identifier,
    STATE(8803), 1,
      sym_object_reference,
    STATE(9142), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486811] = 7,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(1898), 1,
      sym_identifier,
    STATE(9015), 1,
      sym__if_not_exists,
    STATE(10509), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486835] = 7,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(1898), 1,
      sym_identifier,
    STATE(9011), 1,
      sym__if_not_exists,
    STATE(10508), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486859] = 5,
    ACTIONS(12800), 1,
      sym_keyword_owner,
    ACTIONS(14086), 1,
      sym_keyword_set,
    ACTIONS(14906), 1,
      sym_keyword_rename,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11038), 4,
      sym_rename_column,
      sym_rename_object,
      sym_set_schema,
      sym_change_ownership,
  [486879] = 6,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(15135), 1,
      anon_sym_RPAREN,
    STATE(8935), 1,
      sym_order_by,
    STATE(14561), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [486901] = 8,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(11057), 1,
      sym_keyword_primary,
    ACTIONS(11061), 1,
      sym_keyword_constraint,
    ACTIONS(11073), 1,
      sym_keyword_check,
    STATE(3325), 1,
      sym__single_quote_string,
    STATE(10094), 1,
      sym__check_constraint,
    STATE(11704), 1,
      sym__primary_key,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [486927] = 8,
    ACTIONS(1404), 1,
      sym_keyword_select,
    ACTIONS(1414), 1,
      sym_keyword_show,
    ACTIONS(12179), 1,
      anon_sym_LPAREN,
    STATE(7640), 1,
      sym_select,
    STATE(7804), 1,
      sym__select_statement,
    STATE(8439), 1,
      sym__show_statement,
    STATE(8457), 1,
      sym_set_operation,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [486953] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15139), 2,
      sym_keyword_create,
      sym__identifier,
    ACTIONS(15137), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486969] = 7,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15141), 1,
      anon_sym_EQ,
    STATE(8223), 1,
      sym__single_quote_string,
    STATE(8224), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [486993] = 6,
    ACTIONS(14874), 1,
      anon_sym_LPAREN,
    STATE(7750), 1,
      sym_identifier,
    STATE(8025), 1,
      sym__qualified_field,
    STATE(12728), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487015] = 6,
    ACTIONS(10779), 1,
      sym_keyword_order,
    ACTIONS(15143), 1,
      anon_sym_RPAREN,
    STATE(9155), 1,
      sym_order_by,
    STATE(12997), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [487037] = 5,
    ACTIONS(15147), 1,
      sym_keyword_collate,
    STATE(10948), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15149), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15145), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [487057] = 7,
    ACTIONS(14393), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(6440), 1,
      sym_object_reference,
    STATE(6488), 1,
      sym_identifier,
    STATE(9257), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [487081] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    STATE(5623), 1,
      sym_identifier,
    STATE(8815), 1,
      sym_object_reference,
    STATE(9107), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [487105] = 7,
    ACTIONS(14361), 1,
      sym_keyword_if,
    ACTIONS(14393), 1,
      sym__identifier,
    ACTIONS(15151), 1,
      sym_keyword_column,
    STATE(7826), 1,
      sym_identifier,
    STATE(10041), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [487129] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14646), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [487143] = 5,
    ACTIONS(14844), 1,
      sym_keyword_first,
    ACTIONS(14846), 1,
      sym_keyword_after,
    STATE(10077), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15153), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [487163] = 6,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    ACTIONS(10995), 1,
      sym_keyword_order,
    STATE(9033), 1,
      sym_order_by,
    STATE(10876), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13911), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [487185] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14656), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [487199] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13815), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [487213] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14666), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [487227] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    ACTIONS(15155), 1,
      sym_keyword_concurrently,
    STATE(8287), 1,
      sym_identifier,
    STATE(10257), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [487251] = 7,
    ACTIONS(14349), 1,
      sym_keyword_delete,
    ACTIONS(14806), 1,
      sym_keyword_where,
    ACTIONS(15157), 1,
      sym_keyword_insert,
    ACTIONS(15159), 1,
      sym_keyword_update,
    STATE(10307), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14347), 2,
      sym_keyword_when,
      anon_sym_RPAREN,
  [487275] = 7,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(1898), 1,
      sym_identifier,
    STATE(9009), 1,
      sym__if_not_exists,
    STATE(10507), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [487299] = 7,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    STATE(5623), 1,
      sym_identifier,
    STATE(8827), 1,
      sym_object_reference,
    STATE(9102), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [487323] = 4,
    ACTIONS(15116), 1,
      anon_sym_COMMA,
    STATE(8460), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14620), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
  [487341] = 5,
    ACTIONS(14844), 1,
      sym_keyword_first,
    ACTIONS(14846), 1,
      sym_keyword_after,
    STATE(10074), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15161), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [487361] = 7,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(1898), 1,
      sym_identifier,
    STATE(9004), 1,
      sym__if_not_exists,
    STATE(10506), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [487385] = 7,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(1898), 1,
      sym_identifier,
    STATE(8995), 1,
      sym__if_not_exists,
    STATE(10505), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [487409] = 5,
    ACTIONS(14844), 1,
      sym_keyword_first,
    ACTIONS(14846), 1,
      sym_keyword_after,
    STATE(10075), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15163), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [487429] = 8,
    ACTIONS(15165), 1,
      sym_keyword_not,
    ACTIONS(15167), 1,
      sym_keyword_default,
    ACTIONS(15169), 1,
      sym_keyword_data,
    ACTIONS(15171), 1,
      sym_keyword_storage,
    ACTIONS(15173), 1,
      sym_keyword_compression,
    ACTIONS(15175), 1,
      sym_keyword_statistics,
    ACTIONS(15177), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [487455] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14644), 7,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_create,
      sym_keyword_when,
      sym_keyword_with,
      sym_keyword_returning,
  [487469] = 4,
    ACTIONS(15116), 1,
      anon_sym_COMMA,
    STATE(8455), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14505), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
  [487487] = 5,
    ACTIONS(15179), 1,
      sym_keyword_and,
    ACTIONS(15181), 1,
      sym_keyword_exclude,
    ACTIONS(15183), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(12808), 4,
      sym__exclude_current_row,
      sym__exclude_group,
      sym__exclude_no_others,
      sym__exclude_ties,
  [487507] = 8,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(11057), 1,
      sym_keyword_primary,
    ACTIONS(11177), 1,
      sym_keyword_constraint,
    ACTIONS(11189), 1,
      sym_keyword_check,
    STATE(3325), 1,
      sym__single_quote_string,
    STATE(10691), 1,
      sym__check_constraint,
    STATE(12000), 1,
      sym__primary_key,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [487533] = 4,
    ACTIONS(15187), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10787), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15185), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [487550] = 5,
    ACTIONS(15191), 1,
      sym_keyword_on,
    STATE(10131), 1,
      sym__on_conflict,
    STATE(10228), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15189), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [487569] = 5,
    ACTIONS(15193), 1,
      sym_keyword_nulls,
    STATE(11137), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6496), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(15195), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [487588] = 4,
    ACTIONS(15197), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(885), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(1279), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487605] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15199), 1,
      sym_keyword_separator,
    ACTIONS(15201), 1,
      anon_sym_RPAREN,
    ACTIONS(15203), 1,
      anon_sym_COMMA,
    STATE(10572), 1,
      aux_sym_invocation_repeat1,
    STATE(14738), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [487628] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15205), 1,
      sym_keyword_separator,
    ACTIONS(15207), 1,
      anon_sym_RPAREN,
    ACTIONS(15209), 1,
      anon_sym_COMMA,
    STATE(10544), 1,
      aux_sym_invocation_repeat1,
    STATE(14771), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [487651] = 4,
    ACTIONS(15211), 1,
      anon_sym_COMMA,
    STATE(8516), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11820), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [487668] = 6,
    ACTIONS(647), 1,
      sym__identifier,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    STATE(8875), 1,
      sym__single_quote_string,
    STATE(8878), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(651), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [487689] = 4,
    STATE(10824), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15216), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15214), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [487706] = 4,
    ACTIONS(15218), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5985), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(645), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487723] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15220), 1,
      sym_keyword_separator,
    ACTIONS(15222), 1,
      anon_sym_RPAREN,
    ACTIONS(15224), 1,
      anon_sym_COMMA,
    STATE(10656), 1,
      aux_sym_invocation_repeat1,
    STATE(14595), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [487746] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15226), 1,
      sym_keyword_separator,
    ACTIONS(15228), 1,
      anon_sym_RPAREN,
    ACTIONS(15230), 1,
      anon_sym_COMMA,
    STATE(10685), 1,
      aux_sym_invocation_repeat1,
    STATE(14556), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [487769] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15232), 1,
      sym_keyword_separator,
    ACTIONS(15234), 1,
      anon_sym_RPAREN,
    ACTIONS(15236), 1,
      anon_sym_COMMA,
    STATE(10481), 1,
      aux_sym_invocation_repeat1,
    STATE(14720), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [487792] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15238), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [487805] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15240), 1,
      sym_keyword_separator,
    ACTIONS(15242), 1,
      anon_sym_RPAREN,
    ACTIONS(15244), 1,
      anon_sym_COMMA,
    STATE(10697), 1,
      aux_sym_invocation_repeat1,
    STATE(14458), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [487828] = 4,
    ACTIONS(15246), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2617), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(771), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487845] = 4,
    ACTIONS(15248), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4429), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(457), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487862] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15250), 1,
      sym_keyword_separator,
    ACTIONS(15252), 1,
      anon_sym_RPAREN,
    ACTIONS(15254), 1,
      anon_sym_COMMA,
    STATE(10769), 1,
      aux_sym_invocation_repeat1,
    STATE(14295), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [487885] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15256), 1,
      sym_keyword_separator,
    ACTIONS(15258), 1,
      anon_sym_RPAREN,
    ACTIONS(15260), 1,
      anon_sym_COMMA,
    STATE(10798), 1,
      aux_sym_invocation_repeat1,
    STATE(14220), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [487908] = 4,
    ACTIONS(15262), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4056), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(1067), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [487925] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15264), 1,
      sym_keyword_separator,
    ACTIONS(15266), 1,
      anon_sym_RPAREN,
    ACTIONS(15268), 1,
      anon_sym_COMMA,
    STATE(10882), 1,
      aux_sym_invocation_repeat1,
    STATE(13951), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [487948] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15270), 1,
      sym_keyword_separator,
    ACTIONS(15272), 1,
      anon_sym_RPAREN,
    ACTIONS(15274), 1,
      anon_sym_COMMA,
    STATE(10911), 1,
      aux_sym_invocation_repeat1,
    STATE(13871), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [487971] = 4,
    STATE(10598), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15278), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15276), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [487988] = 4,
    STATE(10500), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15282), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15280), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [488005] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15284), 1,
      sym_keyword_recursive,
    STATE(7514), 1,
      sym_cte,
    STATE(11572), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [488026] = 4,
    ACTIONS(15286), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4489), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(521), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488043] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15288), 1,
      sym_keyword_separator,
    ACTIONS(15290), 1,
      anon_sym_RPAREN,
    ACTIONS(15292), 1,
      anon_sym_COMMA,
    STATE(10981), 1,
      aux_sym_invocation_repeat1,
    STATE(13692), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [488066] = 5,
    ACTIONS(14265), 1,
      anon_sym_LPAREN,
    STATE(8918), 1,
      sym_ordered_columns,
    STATE(11605), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488085] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15294), 1,
      sym_keyword_separator,
    ACTIONS(15296), 1,
      anon_sym_RPAREN,
    ACTIONS(15298), 1,
      anon_sym_COMMA,
    STATE(11010), 1,
      aux_sym_invocation_repeat1,
    STATE(13609), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [488108] = 4,
    ACTIONS(15300), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4840), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(641), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488125] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15302), 1,
      sym_keyword_separator,
    ACTIONS(15304), 1,
      anon_sym_RPAREN,
    ACTIONS(15306), 1,
      anon_sym_COMMA,
    STATE(10907), 1,
      aux_sym_invocation_repeat1,
    STATE(13835), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [488148] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15308), 1,
      sym_keyword_separator,
    ACTIONS(15310), 1,
      anon_sym_RPAREN,
    ACTIONS(15312), 1,
      anon_sym_COMMA,
    STATE(11040), 1,
      aux_sym_invocation_repeat1,
    STATE(13525), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [488171] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15314), 1,
      sym_keyword_separator,
    ACTIONS(15316), 1,
      anon_sym_RPAREN,
    ACTIONS(15318), 1,
      anon_sym_COMMA,
    STATE(11080), 1,
      aux_sym_invocation_repeat1,
    STATE(13469), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [488194] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15320), 1,
      sym_keyword_separator,
    ACTIONS(15322), 1,
      anon_sym_RPAREN,
    ACTIONS(15324), 1,
      anon_sym_COMMA,
    STATE(11109), 1,
      aux_sym_invocation_repeat1,
    STATE(13221), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [488217] = 4,
    ACTIONS(15326), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6424), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(711), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488234] = 4,
    STATE(52), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8409), 2,
      sym_function_declaration,
      aux_sym_function_body_repeat2,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488251] = 4,
    ACTIONS(15300), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4840), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(831), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488268] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15328), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [488281] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15330), 1,
      sym_keyword_separator,
    ACTIONS(15332), 1,
      anon_sym_RPAREN,
    ACTIONS(15334), 1,
      anon_sym_COMMA,
    STATE(11179), 1,
      aux_sym_invocation_repeat1,
    STATE(12784), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [488304] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15336), 1,
      sym_keyword_separator,
    ACTIONS(15338), 1,
      anon_sym_RPAREN,
    ACTIONS(15340), 1,
      anon_sym_COMMA,
    STATE(11208), 1,
      aux_sym_invocation_repeat1,
    STATE(12642), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [488327] = 4,
    ACTIONS(11608), 1,
      sym_keyword_on,
    STATE(8574), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15342), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [488344] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15344), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [488357] = 4,
    ACTIONS(15346), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4528), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(891), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488374] = 5,
    ACTIONS(15348), 1,
      sym_keyword_nulls,
    STATE(10731), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6496), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(15350), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [488393] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15352), 1,
      sym_keyword_separator,
    ACTIONS(15354), 1,
      anon_sym_RPAREN,
    ACTIONS(15356), 1,
      anon_sym_COMMA,
    STATE(11278), 1,
      aux_sym_invocation_repeat1,
    STATE(12284), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [488416] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15358), 1,
      sym_keyword_separator,
    ACTIONS(15360), 1,
      anon_sym_RPAREN,
    ACTIONS(15362), 1,
      anon_sym_COMMA,
    STATE(11307), 1,
      aux_sym_invocation_repeat1,
    STATE(12320), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [488439] = 5,
    ACTIONS(15364), 1,
      sym_keyword_nulls,
    STATE(10746), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6496), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(15366), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [488458] = 5,
    ACTIONS(15368), 1,
      sym_keyword_nulls,
    STATE(10752), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6496), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(15370), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [488477] = 4,
    ACTIONS(15372), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5638), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(651), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488494] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15374), 1,
      sym_keyword_separator,
    ACTIONS(15376), 1,
      anon_sym_RPAREN,
    ACTIONS(15378), 1,
      anon_sym_COMMA,
    STATE(11375), 1,
      aux_sym_invocation_repeat1,
    STATE(12758), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [488517] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15380), 1,
      sym_keyword_separator,
    ACTIONS(15382), 1,
      anon_sym_RPAREN,
    ACTIONS(15384), 1,
      anon_sym_COMMA,
    STATE(11404), 1,
      aux_sym_invocation_repeat1,
    STATE(13081), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [488540] = 4,
    ACTIONS(15386), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4753), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(1269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488557] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15388), 1,
      sym_keyword_separator,
    ACTIONS(15390), 1,
      anon_sym_RPAREN,
    ACTIONS(15392), 1,
      anon_sym_COMMA,
    STATE(11280), 1,
      aux_sym_invocation_repeat1,
    STATE(12350), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [488580] = 4,
    STATE(11425), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15396), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15394), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [488597] = 4,
    ACTIONS(15191), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10364), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15398), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [488614] = 5,
    ACTIONS(15191), 1,
      sym_keyword_on,
    STATE(10362), 1,
      sym__on_conflict,
    STATE(10363), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15400), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [488633] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15402), 1,
      sym_keyword_separator,
    ACTIONS(15404), 1,
      anon_sym_RPAREN,
    ACTIONS(15406), 1,
      anon_sym_COMMA,
    STATE(11430), 1,
      aux_sym_invocation_repeat1,
    STATE(14012), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [488656] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15408), 1,
      sym_keyword_separator,
    ACTIONS(15410), 1,
      anon_sym_RPAREN,
    ACTIONS(15412), 1,
      anon_sym_COMMA,
    STATE(11472), 1,
      aux_sym_invocation_repeat1,
    STATE(14110), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [488679] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15414), 1,
      sym_keyword_separator,
    ACTIONS(15416), 1,
      anon_sym_RPAREN,
    ACTIONS(15418), 1,
      anon_sym_COMMA,
    STATE(11501), 1,
      aux_sym_invocation_repeat1,
    STATE(14347), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [488702] = 4,
    ACTIONS(15420), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(3477), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(337), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488719] = 4,
    ACTIONS(15181), 1,
      sym_keyword_exclude,
    ACTIONS(15422), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(14013), 4,
      sym__exclude_current_row,
      sym__exclude_group,
      sym__exclude_no_others,
      sym__exclude_ties,
  [488736] = 4,
    ACTIONS(15424), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2137), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(1081), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488753] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15426), 1,
      sym_keyword_on,
    ACTIONS(15428), 1,
      sym_keyword_as,
    STATE(14039), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [488774] = 4,
    ACTIONS(11608), 1,
      sym_keyword_on,
    STATE(8593), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15430), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [488791] = 4,
    ACTIONS(11608), 1,
      sym_keyword_on,
    STATE(6720), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15430), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [488808] = 4,
    ACTIONS(11608), 1,
      sym_keyword_on,
    STATE(8596), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15432), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [488825] = 4,
    ACTIONS(15434), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2662), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(1141), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488842] = 4,
    ACTIONS(15436), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4661), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(1205), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488859] = 4,
    STATE(10945), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15440), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15438), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [488876] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    STATE(9007), 1,
      sym_identifier,
    STATE(10081), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [488897] = 5,
    ACTIONS(14265), 1,
      anon_sym_LPAREN,
    STATE(9021), 1,
      sym_ordered_columns,
    STATE(11851), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [488916] = 6,
    ACTIONS(14806), 1,
      sym_keyword_where,
    ACTIONS(14987), 1,
      sym_keyword_from,
    STATE(10407), 1,
      sym_where,
    STATE(10411), 1,
      sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14956), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [488937] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15442), 1,
      sym_keyword_only,
    STATE(5623), 1,
      sym_identifier,
    STATE(10904), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [488958] = 6,
    ACTIONS(14393), 1,
      sym__identifier,
    ACTIONS(15444), 1,
      sym_keyword_only,
    STATE(6238), 1,
      sym_object_reference,
    STATE(6488), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [488979] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15446), 1,
      sym_keyword_separator,
    ACTIONS(15448), 1,
      anon_sym_RPAREN,
    ACTIONS(15450), 1,
      anon_sym_COMMA,
    STATE(11491), 1,
      aux_sym_invocation_repeat1,
    STATE(14328), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [489002] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15452), 1,
      sym_keyword_separator,
    ACTIONS(15454), 1,
      anon_sym_RPAREN,
    ACTIONS(15456), 1,
      anon_sym_COMMA,
    STATE(11478), 1,
      aux_sym_invocation_repeat1,
    STATE(14203), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [489025] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15458), 1,
      sym_keyword_only,
    STATE(5623), 1,
      sym_identifier,
    STATE(10947), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [489046] = 6,
    ACTIONS(14393), 1,
      sym__identifier,
    ACTIONS(15460), 1,
      sym_keyword_only,
    STATE(6343), 1,
      sym_object_reference,
    STATE(6488), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [489067] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15462), 1,
      sym_keyword_only,
    STATE(5623), 1,
      sym_identifier,
    STATE(10949), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [489088] = 4,
    ACTIONS(15464), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4306), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(397), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [489105] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15466), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [489118] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15468), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [489131] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15470), 1,
      sym_keyword_only,
    STATE(5623), 1,
      sym_identifier,
    STATE(10999), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [489152] = 4,
    ACTIONS(11608), 1,
      sym_keyword_on,
    STATE(6720), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15472), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [489169] = 4,
    ACTIONS(11608), 1,
      sym_keyword_on,
    STATE(8601), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15472), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [489186] = 4,
    ACTIONS(11608), 1,
      sym_keyword_on,
    STATE(8606), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15474), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [489203] = 4,
    ACTIONS(11608), 1,
      sym_keyword_on,
    STATE(6720), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15476), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [489220] = 4,
    ACTIONS(11608), 1,
      sym_keyword_on,
    STATE(8613), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15476), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [489237] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15478), 1,
      sym_keyword_only,
    STATE(5623), 1,
      sym_identifier,
    STATE(10998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [489258] = 6,
    ACTIONS(14361), 1,
      sym_keyword_if,
    ACTIONS(14393), 1,
      sym__identifier,
    STATE(7898), 1,
      sym_identifier,
    STATE(9979), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [489279] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15480), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [489292] = 4,
    ACTIONS(11608), 1,
      sym_keyword_on,
    STATE(6720), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15482), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [489309] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15484), 1,
      sym_keyword_only,
    STATE(5623), 1,
      sym_identifier,
    STATE(11056), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [489330] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15486), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [489343] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15488), 1,
      sym_keyword_on,
    ACTIONS(15490), 1,
      sym_keyword_as,
    STATE(13283), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [489364] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15492), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [489377] = 4,
    ACTIONS(11608), 1,
      sym_keyword_on,
    STATE(6720), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15494), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [489394] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15496), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [489407] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15498), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [489420] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15500), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [489433] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15502), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [489446] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15504), 1,
      sym_keyword_only,
    STATE(5623), 1,
      sym_identifier,
    STATE(11117), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [489467] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15506), 1,
      sym_keyword_on,
    ACTIONS(15508), 1,
      sym_keyword_as,
    STATE(13048), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [489488] = 4,
    ACTIONS(11608), 1,
      sym_keyword_on,
    STATE(6720), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15510), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [489505] = 6,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(7652), 1,
      sym_identifier,
    STATE(10055), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [489526] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15512), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [489539] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15514), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [489552] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(8225), 1,
      sym_identifier,
    STATE(10164), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [489573] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15516), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [489586] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15518), 1,
      sym_keyword_separator,
    ACTIONS(15520), 1,
      anon_sym_RPAREN,
    ACTIONS(15522), 1,
      anon_sym_COMMA,
    STATE(11427), 1,
      aux_sym_invocation_repeat1,
    STATE(13514), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [489609] = 4,
    ACTIONS(11608), 1,
      sym_keyword_on,
    STATE(8635), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15482), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [489626] = 4,
    ACTIONS(11608), 1,
      sym_keyword_on,
    STATE(8637), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15524), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [489643] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15526), 1,
      sym_keyword_on,
    ACTIONS(15528), 1,
      sym_keyword_as,
    STATE(12902), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [489664] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15530), 1,
      sym_keyword_separator,
    ACTIONS(15532), 1,
      anon_sym_RPAREN,
    ACTIONS(15534), 1,
      anon_sym_COMMA,
    STATE(11411), 1,
      aux_sym_invocation_repeat1,
    STATE(13198), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [489687] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    STATE(9151), 1,
      sym_identifier,
    STATE(10202), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [489708] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15536), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [489721] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15538), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [489734] = 4,
    ACTIONS(15191), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10181), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15540), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [489751] = 5,
    ACTIONS(15191), 1,
      sym_keyword_on,
    STATE(10169), 1,
      sym__on_conflict,
    STATE(10176), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15542), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [489770] = 4,
    ACTIONS(15420), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(3477), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(645), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [489787] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15544), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [489800] = 4,
    ACTIONS(11608), 1,
      sym_keyword_on,
    STATE(6720), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15546), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [489817] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    STATE(10207), 1,
      sym__if_exists,
    STATE(10734), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [489838] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    STATE(9066), 1,
      sym_identifier,
    STATE(10279), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [489859] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    STATE(8837), 1,
      sym_identifier,
    STATE(10336), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [489880] = 4,
    ACTIONS(11608), 1,
      sym_keyword_on,
    STATE(6720), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15548), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [489897] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    STATE(8284), 1,
      sym_identifier,
    STATE(10297), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [489918] = 4,
    ACTIONS(11608), 1,
      sym_keyword_on,
    STATE(6720), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15550), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [489935] = 4,
    ACTIONS(11608), 1,
      sym_keyword_on,
    STATE(8643), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15550), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [489952] = 4,
    STATE(52), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8294), 2,
      sym_function_declaration,
      aux_sym_function_body_repeat2,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [489969] = 4,
    ACTIONS(11608), 1,
      sym_keyword_on,
    STATE(8644), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15548), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [489986] = 4,
    ACTIONS(11608), 1,
      sym_keyword_on,
    STATE(8645), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15552), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [490003] = 5,
    ACTIONS(15554), 1,
      sym_keyword_collate,
    STATE(11562), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14908), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15556), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [490022] = 4,
    ACTIONS(11608), 1,
      sym_keyword_on,
    STATE(6720), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15558), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [490039] = 4,
    ACTIONS(11608), 1,
      sym_keyword_on,
    STATE(6720), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15560), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [490056] = 4,
    ACTIONS(11608), 1,
      sym_keyword_on,
    STATE(6720), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15562), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [490073] = 4,
    ACTIONS(11608), 1,
      sym_keyword_on,
    STATE(8650), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15562), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [490090] = 4,
    ACTIONS(15564), 1,
      anon_sym_COMMA,
    STATE(8684), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13443), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
  [490107] = 4,
    ACTIONS(11608), 1,
      sym_keyword_on,
    STATE(8631), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15494), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [490124] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15566), 1,
      sym_keyword_on,
    ACTIONS(15568), 1,
      sym_keyword_as,
    STATE(14792), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [490145] = 4,
    ACTIONS(11608), 1,
      sym_keyword_on,
    STATE(6720), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15570), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [490162] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15572), 1,
      sym_keyword_only,
    STATE(5623), 1,
      sym_identifier,
    STATE(11439), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [490183] = 5,
    ACTIONS(14265), 1,
      anon_sym_LPAREN,
    STATE(9262), 1,
      sym_ordered_columns,
    STATE(11712), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [490202] = 4,
    ACTIONS(15576), 1,
      sym_keyword_cascade,
    ACTIONS(15578), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15574), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [490219] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15580), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [490232] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15582), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [490245] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15584), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [490258] = 5,
    ACTIONS(15586), 1,
      sym_keyword_nulls,
    STATE(11423), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6496), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(15588), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [490277] = 3,
    ACTIONS(15592), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15590), 5,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_nulls,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [490292] = 5,
    ACTIONS(15594), 1,
      sym_keyword_nulls,
    STATE(11422), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(6496), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(15596), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [490311] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15598), 1,
      sym_keyword_separator,
    ACTIONS(15600), 1,
      anon_sym_RPAREN,
    ACTIONS(15602), 1,
      anon_sym_COMMA,
    STATE(11337), 1,
      aux_sym_invocation_repeat1,
    STATE(12510), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [490334] = 6,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15604), 1,
      sym_keyword_null,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(7292), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3156), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [490355] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15606), 1,
      sym_keyword_separator,
    ACTIONS(15608), 1,
      anon_sym_RPAREN,
    ACTIONS(15610), 1,
      anon_sym_COMMA,
    STATE(11314), 1,
      aux_sym_invocation_repeat1,
    STATE(12339), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [490378] = 6,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15612), 1,
      sym_keyword_null,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(7304), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3156), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [490399] = 4,
    ACTIONS(15191), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9908), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15614), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [490416] = 5,
    ACTIONS(15191), 1,
      sym_keyword_on,
    STATE(9907), 1,
      sym__on_duplicate_key_update,
    STATE(9926), 1,
      sym__on_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15616), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [490435] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15618), 1,
      sym_keyword_on,
    ACTIONS(15620), 1,
      sym_keyword_as,
    STATE(12349), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [490456] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15622), 1,
      sym_keyword_on,
    ACTIONS(15624), 1,
      sym_keyword_as,
    STATE(12358), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [490477] = 4,
    ACTIONS(15626), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2470), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(193), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [490494] = 4,
    ACTIONS(15191), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9901), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15628), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [490511] = 5,
    ACTIONS(15191), 1,
      sym_keyword_on,
    STATE(9892), 1,
      sym__on_conflict,
    STATE(9896), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15630), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [490530] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15632), 1,
      sym_keyword_on,
    ACTIONS(15634), 1,
      sym_keyword_as,
    STATE(12362), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [490551] = 6,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(8274), 1,
      sym_identifier,
    STATE(9683), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [490572] = 5,
    ACTIONS(13603), 1,
      sym_keyword_from,
    ACTIONS(15636), 1,
      anon_sym_RPAREN,
    STATE(10448), 1,
      sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13601), 3,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [490591] = 6,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    STATE(9690), 1,
      sym__if_exists,
    STATE(12217), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [490612] = 6,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    STATE(9693), 1,
      sym__if_exists,
    STATE(9694), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [490633] = 6,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    STATE(9654), 1,
      sym_identifier,
    STATE(9695), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [490654] = 6,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    STATE(8689), 1,
      sym_identifier,
    STATE(9696), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [490675] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15638), 1,
      sym_keyword_on,
    ACTIONS(15640), 1,
      sym_keyword_as,
    STATE(12438), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [490696] = 5,
    ACTIONS(15187), 1,
      sym_keyword_on,
    STATE(11186), 1,
      sym__on_duplicate_key_update,
    STATE(11187), 1,
      sym__on_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15642), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [490715] = 4,
    ACTIONS(15187), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11123), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15644), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [490732] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15646), 1,
      sym_keyword_on,
    ACTIONS(15648), 1,
      sym_keyword_as,
    STATE(12447), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [490753] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15650), 1,
      sym_keyword_on,
    ACTIONS(15652), 1,
      sym_keyword_as,
    STATE(12451), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [490774] = 4,
    ACTIONS(15654), 1,
      anon_sym_COMMA,
    STATE(8683), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13234), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
  [490791] = 4,
    ACTIONS(15564), 1,
      anon_sym_COMMA,
    STATE(8683), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13134), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
  [490808] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    STATE(9861), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15657), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [490825] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15659), 1,
      sym_keyword_on,
    ACTIONS(15661), 1,
      sym_keyword_as,
    STATE(12763), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [490846] = 6,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    STATE(8725), 1,
      sym_identifier,
    STATE(9942), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [490867] = 5,
    ACTIONS(15663), 1,
      sym_keyword_on,
    STATE(11098), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14848), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15665), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [490886] = 5,
    ACTIONS(15669), 1,
      anon_sym_COMMA,
    STATE(8730), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14836), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15667), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [490905] = 4,
    STATE(9087), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(8193), 2,
      sym_field,
      aux_sym__compute_stats_repeat1,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [490922] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15671), 1,
      sym_keyword_on,
    ACTIONS(15673), 1,
      sym_keyword_as,
    STATE(12520), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [490943] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15675), 1,
      sym_keyword_on,
    ACTIONS(15677), 1,
      sym_keyword_as,
    STATE(12529), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [490964] = 5,
    STATE(5623), 1,
      sym_identifier,
    STATE(9852), 1,
      sym__rename_table_names,
    STATE(12733), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [490983] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15679), 1,
      sym_keyword_on,
    ACTIONS(15681), 1,
      sym_keyword_as,
    STATE(12533), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [491004] = 5,
    ACTIONS(14152), 1,
      sym_keyword_noscan,
    ACTIONS(15685), 1,
      sym_keyword_for,
    ACTIONS(15687), 1,
      sym_keyword_cache,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15683), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [491023] = 4,
    ACTIONS(15689), 1,
      anon_sym_COMMA,
    STATE(8696), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13234), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
  [491040] = 4,
    ACTIONS(15692), 1,
      anon_sym_COMMA,
    STATE(8696), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13134), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
  [491057] = 4,
    ACTIONS(15187), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11024), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15694), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [491074] = 5,
    ACTIONS(14265), 1,
      anon_sym_LPAREN,
    STATE(9496), 1,
      sym_ordered_columns,
    STATE(12155), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [491093] = 6,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(15696), 1,
      sym_keyword_only,
    STATE(1898), 1,
      sym_identifier,
    STATE(7859), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [491114] = 5,
    ACTIONS(15187), 1,
      sym_keyword_on,
    STATE(11028), 1,
      sym__on_duplicate_key_update,
    STATE(11030), 1,
      sym__on_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15189), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [491133] = 5,
    ACTIONS(15187), 1,
      sym_keyword_on,
    STATE(11005), 1,
      sym__on_duplicate_key_update,
    STATE(11006), 1,
      sym__on_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15189), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [491152] = 4,
    ACTIONS(15698), 1,
      anon_sym_COMMA,
    STATE(8703), 1,
      aux_sym__truncate_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15051), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [491169] = 4,
    ACTIONS(15703), 1,
      sym_keyword_cascade,
    ACTIONS(15705), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15701), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [491186] = 6,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15707), 1,
      sym_keyword_null,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(7186), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [491207] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15139), 2,
      sym_keyword_create,
      sym__identifier,
    ACTIONS(15137), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [491222] = 5,
    ACTIONS(15009), 1,
      sym_keyword_cascade,
    ACTIONS(15013), 1,
      sym_keyword_schema,
    ACTIONS(15015), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14768), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [491241] = 6,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15709), 1,
      anon_sym_RPAREN,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11321), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [491262] = 5,
    ACTIONS(15711), 1,
      anon_sym_RPAREN,
    STATE(8391), 1,
      sym_identifier,
    STATE(11320), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [491281] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15713), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [491294] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15715), 1,
      sym_keyword_only,
    STATE(5623), 1,
      sym_identifier,
    STATE(11317), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [491315] = 5,
    ACTIONS(14142), 1,
      anon_sym_LPAREN,
    STATE(9869), 1,
      sym_ordered_columns,
    STATE(12083), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [491334] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15717), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [491347] = 5,
    ACTIONS(15719), 1,
      sym_keyword_first,
    ACTIONS(15721), 1,
      sym_keyword_after,
    STATE(10935), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15043), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [491366] = 5,
    ACTIONS(15191), 1,
      sym_keyword_on,
    STATE(9739), 1,
      sym__on_conflict,
    STATE(9740), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15723), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [491385] = 4,
    ACTIONS(15191), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9736), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15185), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [491402] = 5,
    ACTIONS(15191), 1,
      sym_keyword_on,
    STATE(9732), 1,
      sym__on_conflict,
    STATE(9735), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15723), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [491421] = 5,
    ACTIONS(14142), 1,
      anon_sym_LPAREN,
    STATE(9699), 1,
      sym_ordered_columns,
    STATE(12061), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [491440] = 4,
    ACTIONS(15191), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9725), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15725), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [491457] = 6,
    ACTIONS(15727), 1,
      sym_keyword_in,
    ACTIONS(15729), 1,
      sym_keyword_between,
    ACTIONS(15731), 1,
      sym_keyword_similar,
    STATE(6668), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [491478] = 5,
    ACTIONS(15191), 1,
      sym_keyword_on,
    STATE(9718), 1,
      sym__on_conflict,
    STATE(9720), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15733), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [491497] = 4,
    ACTIONS(15181), 1,
      sym_keyword_exclude,
    ACTIONS(15735), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(12426), 4,
      sym__exclude_current_row,
      sym__exclude_group,
      sym__exclude_no_others,
      sym__exclude_ties,
  [491514] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15737), 1,
      sym_keyword_separator,
    ACTIONS(15739), 1,
      anon_sym_RPAREN,
    ACTIONS(15741), 1,
      anon_sym_COMMA,
    STATE(11262), 1,
      aux_sym_invocation_repeat1,
    STATE(12457), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [491537] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    STATE(9686), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14337), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [491554] = 5,
    ACTIONS(15743), 1,
      sym_keyword_on,
    STATE(10900), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14828), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15745), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [491573] = 5,
    ACTIONS(14142), 1,
      anon_sym_LPAREN,
    STATE(10054), 1,
      sym_ordered_columns,
    STATE(11999), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [491592] = 4,
    ACTIONS(15187), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10639), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15398), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [491609] = 5,
    ACTIONS(15187), 1,
      sym_keyword_on,
    STATE(10640), 1,
      sym__on_duplicate_key_update,
    STATE(10641), 1,
      sym__on_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15400), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [491628] = 5,
    ACTIONS(15669), 1,
      anon_sym_COMMA,
    STATE(8845), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14870), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15747), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [491647] = 5,
    ACTIONS(15669), 1,
      anon_sym_COMMA,
    STATE(8516), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14870), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15747), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [491666] = 6,
    ACTIONS(15727), 1,
      sym_keyword_in,
    ACTIONS(15731), 1,
      sym_keyword_similar,
    ACTIONS(15749), 1,
      sym_keyword_between,
    STATE(6668), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [491687] = 5,
    ACTIONS(14285), 1,
      sym_keyword_noscan,
    ACTIONS(15753), 1,
      sym_keyword_for,
    ACTIONS(15755), 1,
      sym_keyword_cache,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15751), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [491706] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15757), 1,
      sym_keyword_only,
    STATE(5623), 1,
      sym_identifier,
    STATE(11471), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [491727] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15759), 1,
      sym_keyword_tablespace,
    STATE(11019), 1,
      sym_identifier,
    STATE(11213), 1,
      sym_set_configuration,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [491748] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    STATE(8405), 1,
      sym_identifier,
    STATE(9710), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [491769] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15761), 1,
      sym_keyword_only,
    STATE(5623), 1,
      sym_identifier,
    STATE(11457), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [491790] = 6,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15763), 1,
      sym_keyword_null,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(11786), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3156), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [491811] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15765), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [491824] = 5,
    ACTIONS(15191), 1,
      sym_keyword_on,
    STATE(10429), 1,
      sym__on_duplicate_key_update,
    STATE(10431), 1,
      sym__on_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15642), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [491843] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15767), 1,
      sym_keyword_only,
    STATE(5623), 1,
      sym_identifier,
    STATE(11454), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [491864] = 4,
    ACTIONS(15191), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10422), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15644), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [491881] = 4,
    ACTIONS(15769), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4171), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(277), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [491898] = 6,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(15771), 1,
      sym_keyword_none,
    STATE(1898), 1,
      sym_identifier,
    STATE(7460), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [491919] = 6,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(8244), 1,
      sym_identifier,
    STATE(8247), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [491940] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    STATE(8360), 1,
      sym_identifier,
    STATE(9738), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [491961] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15773), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [491974] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15775), 1,
      sym_keyword_only,
    STATE(5623), 1,
      sym_identifier,
    STATE(11436), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [491995] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15777), 1,
      sym_keyword_only,
    STATE(5623), 1,
      sym_identifier,
    STATE(11437), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492016] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    STATE(9741), 1,
      sym_identifier,
    STATE(9743), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492037] = 5,
    ACTIONS(15779), 1,
      sym_keyword_collate,
    STATE(11596), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15145), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15781), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [492056] = 6,
    ACTIONS(14361), 1,
      sym_keyword_if,
    ACTIONS(14393), 1,
      sym__identifier,
    STATE(7767), 1,
      sym_identifier,
    STATE(9746), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492077] = 5,
    STATE(5623), 1,
      sym_identifier,
    STATE(10704), 1,
      sym__rename_table_names,
    STATE(13328), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [492096] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15783), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [492109] = 5,
    ACTIONS(15187), 1,
      sym_keyword_on,
    STATE(10869), 1,
      sym__on_duplicate_key_update,
    STATE(10873), 1,
      sym__on_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15785), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [492128] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15787), 1,
      sym_keyword_only,
    STATE(5623), 1,
      sym_identifier,
    STATE(11421), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492149] = 4,
    ACTIONS(15187), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10867), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15789), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [492166] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15791), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [492179] = 5,
    ACTIONS(15187), 1,
      sym_keyword_on,
    STATE(10865), 1,
      sym__on_duplicate_key_update,
    STATE(10866), 1,
      sym__on_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15785), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [492198] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15793), 1,
      sym_keyword_only,
    STATE(5623), 1,
      sym_identifier,
    STATE(10862), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492219] = 4,
    ACTIONS(15797), 1,
      sym_keyword_as,
    ACTIONS(15799), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15795), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [492236] = 5,
    ACTIONS(15719), 1,
      sym_keyword_first,
    ACTIONS(15721), 1,
      sym_keyword_after,
    STATE(10655), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14868), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [492255] = 5,
    ACTIONS(14142), 1,
      anon_sym_LPAREN,
    STATE(10421), 1,
      sym_ordered_columns,
    STATE(11935), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [492274] = 5,
    ACTIONS(15187), 1,
      sym_keyword_on,
    STATE(10828), 1,
      sym__on_conflict,
    STATE(10861), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15801), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [492293] = 4,
    ACTIONS(15187), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10855), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15803), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [492310] = 4,
    ACTIONS(14898), 1,
      sym_keyword_cascade,
    ACTIONS(14902), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14896), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [492327] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15805), 1,
      sym_keyword_only,
    STATE(5623), 1,
      sym_identifier,
    STATE(11150), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492348] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15807), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [492361] = 6,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15809), 1,
      anon_sym_RPAREN,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11064), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [492382] = 5,
    ACTIONS(15811), 1,
      anon_sym_RPAREN,
    STATE(8391), 1,
      sym_identifier,
    STATE(11060), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [492401] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15813), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [492414] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15815), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [492427] = 6,
    ACTIONS(1281), 1,
      sym__identifier,
    ACTIONS(15817), 1,
      sym_keyword_none,
    STATE(1898), 1,
      sym_identifier,
    STATE(7411), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492448] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15819), 1,
      sym_keyword_only,
    STATE(5623), 1,
      sym_identifier,
    STATE(11409), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492469] = 6,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15821), 1,
      sym_keyword_null,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(7245), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [492490] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15823), 1,
      sym_keyword_only,
    STATE(5623), 1,
      sym_identifier,
    STATE(11152), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492511] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15825), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [492524] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15827), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [492537] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15829), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [492550] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15831), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [492563] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15833), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [492576] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15835), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [492589] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15837), 6,
      sym_keyword_btree,
      sym_keyword_hash,
      sym_keyword_gist,
      sym_keyword_spgist,
      sym_keyword_gin,
      sym_keyword_brin,
  [492602] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15839), 1,
      sym_keyword_separator,
    ACTIONS(15841), 1,
      anon_sym_RPAREN,
    ACTIONS(15843), 1,
      anon_sym_COMMA,
    STATE(11031), 1,
      aux_sym_invocation_repeat1,
    STATE(13557), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [492625] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14676), 2,
      sym_keyword_create,
      sym__identifier,
    ACTIONS(14674), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492640] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14680), 2,
      sym_keyword_create,
      sym__identifier,
    ACTIONS(14678), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492655] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(8244), 1,
      sym_identifier,
    STATE(8247), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492676] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15845), 1,
      sym_keyword_tablespace,
    STATE(10960), 1,
      sym_identifier,
    STATE(11741), 1,
      sym_set_configuration,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492697] = 6,
    ACTIONS(14393), 1,
      sym__identifier,
    ACTIONS(15847), 1,
      sym_keyword_only,
    STATE(6251), 1,
      sym_object_reference,
    STATE(6488), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492718] = 6,
    ACTIONS(523), 1,
      sym__identifier,
    ACTIONS(15849), 1,
      sym_keyword_none,
    STATE(3556), 1,
      sym_identifier,
    STATE(7545), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(581), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492739] = 6,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15821), 1,
      sym_keyword_null,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(7245), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2467), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [492760] = 5,
    ACTIONS(15851), 1,
      sym_keyword_cascade,
    ACTIONS(15853), 1,
      sym_keyword_schema,
    ACTIONS(15855), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14896), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [492779] = 6,
    ACTIONS(523), 1,
      sym__identifier,
    ACTIONS(15857), 1,
      sym_keyword_none,
    STATE(3556), 1,
      sym_identifier,
    STATE(7503), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(581), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492800] = 4,
    ACTIONS(15191), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9865), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15803), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [492817] = 5,
    ACTIONS(15191), 1,
      sym_keyword_on,
    STATE(9870), 1,
      sym__on_duplicate_key_update,
    STATE(9876), 1,
      sym__on_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15801), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [492836] = 5,
    ACTIONS(15719), 1,
      sym_keyword_first,
    ACTIONS(15721), 1,
      sym_keyword_after,
    STATE(10821), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14854), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [492855] = 6,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    STATE(10435), 1,
      sym__if_exists,
    STATE(10818), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492876] = 6,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15604), 1,
      sym_keyword_null,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(7292), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2997), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [492897] = 4,
    ACTIONS(15187), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10680), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15540), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [492914] = 5,
    ACTIONS(15187), 1,
      sym_keyword_on,
    STATE(10681), 1,
      sym__on_duplicate_key_update,
    STATE(10682), 1,
      sym__on_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15542), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [492933] = 5,
    ACTIONS(15191), 1,
      sym_keyword_on,
    STATE(9898), 1,
      sym__on_duplicate_key_update,
    STATE(9899), 1,
      sym__on_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15785), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [492952] = 6,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    STATE(8889), 1,
      sym_identifier,
    STATE(10444), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [492973] = 4,
    ACTIONS(15191), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(9900), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15789), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [492990] = 4,
    STATE(10899), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15861), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15859), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [493007] = 5,
    ACTIONS(15191), 1,
      sym_keyword_on,
    STATE(9902), 1,
      sym__on_duplicate_key_update,
    STATE(9905), 1,
      sym__on_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15785), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [493026] = 5,
    ACTIONS(15719), 1,
      sym_keyword_first,
    ACTIONS(15721), 1,
      sym_keyword_after,
    STATE(10816), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14842), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [493045] = 5,
    ACTIONS(15865), 1,
      sym_keyword_partition,
    ACTIONS(15867), 1,
      anon_sym_LPAREN,
    STATE(11097), 1,
      sym__partition_spec,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15863), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [493064] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15869), 1,
      sym_keyword_separator,
    ACTIONS(15871), 1,
      anon_sym_RPAREN,
    ACTIONS(15873), 1,
      anon_sym_COMMA,
    STATE(11105), 1,
      aux_sym_invocation_repeat1,
    STATE(13226), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [493087] = 7,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(15875), 1,
      sym_keyword_separator,
    ACTIONS(15877), 1,
      anon_sym_RPAREN,
    ACTIONS(15879), 1,
      anon_sym_COMMA,
    STATE(10976), 1,
      aux_sym_invocation_repeat1,
    STATE(13701), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [493110] = 4,
    STATE(1702), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
    ACTIONS(14096), 3,
      sym_keyword_create,
      sym_keyword_with,
      anon_sym_RPAREN,
  [493127] = 6,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    STATE(8896), 1,
      sym_identifier,
    STATE(10467), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [493148] = 5,
    ACTIONS(15881), 1,
      anon_sym_RPAREN,
    STATE(9087), 1,
      sym_identifier,
    STATE(10970), 1,
      sym_field,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [493167] = 4,
    STATE(10901), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15885), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15883), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [493184] = 6,
    ACTIONS(15727), 1,
      sym_keyword_in,
    ACTIONS(15731), 1,
      sym_keyword_similar,
    ACTIONS(15887), 1,
      sym_keyword_between,
    STATE(6668), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [493205] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    STATE(9936), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13911), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [493222] = 4,
    STATE(10903), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15891), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15889), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [493239] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(14361), 1,
      sym_keyword_if,
    STATE(8281), 1,
      sym_identifier,
    STATE(10288), 1,
      sym__if_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [493260] = 6,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15893), 1,
      sym_keyword_null,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11101), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [493281] = 6,
    ACTIONS(12759), 1,
      sym_keyword_rename,
    ACTIONS(12761), 1,
      sym_keyword_owner,
    ACTIONS(15895), 1,
      sym_keyword_set,
    ACTIONS(15897), 1,
      sym_keyword_reset,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11805), 2,
      sym_rename_object,
      sym_change_ownership,
  [493302] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15899), 1,
      sym_keyword_tablespace,
    STATE(10960), 1,
      sym_identifier,
    STATE(11805), 1,
      sym_set_configuration,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [493323] = 5,
    ACTIONS(15901), 1,
      sym_keyword_collate,
    STATE(11615), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14965), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15903), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [493342] = 5,
    ACTIONS(15905), 1,
      anon_sym_RPAREN,
    STATE(9087), 1,
      sym_identifier,
    STATE(11094), 1,
      sym_field,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [493361] = 4,
    STATE(11083), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15909), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15907), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [493378] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15911), 1,
      sym_keyword_column,
    ACTIONS(15913), 1,
      sym_keyword_to,
    STATE(13740), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [493399] = 6,
    ACTIONS(15727), 1,
      sym_keyword_in,
    ACTIONS(15731), 1,
      sym_keyword_similar,
    ACTIONS(15915), 1,
      sym_keyword_between,
    STATE(6668), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [493420] = 5,
    ACTIONS(15917), 1,
      sym_keyword_collate,
    STATE(11620), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14979), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15919), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [493439] = 5,
    ACTIONS(15921), 1,
      sym_keyword_on,
    STATE(10800), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15123), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15923), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [493458] = 4,
    STATE(10905), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15927), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15925), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [493475] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15929), 1,
      sym_keyword_on,
    ACTIONS(15931), 1,
      sym_keyword_as,
    STATE(14325), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [493496] = 4,
    STATE(11081), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15935), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15933), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [493513] = 5,
    ACTIONS(15937), 1,
      anon_sym_RPAREN,
    STATE(8391), 1,
      sym_identifier,
    STATE(10956), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [493532] = 4,
    STATE(11076), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15941), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15939), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [493549] = 4,
    STATE(11073), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15945), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15943), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [493566] = 4,
    STATE(11072), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15949), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15947), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [493583] = 5,
    ACTIONS(15719), 1,
      sym_keyword_first,
    ACTIONS(15721), 1,
      sym_keyword_after,
    STATE(10692), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15153), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [493602] = 6,
    ACTIONS(15727), 1,
      sym_keyword_in,
    ACTIONS(15731), 1,
      sym_keyword_similar,
    ACTIONS(15951), 1,
      sym_keyword_between,
    STATE(6668), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [493623] = 4,
    STATE(10693), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15953), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15023), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [493640] = 4,
    STATE(10910), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15957), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(15955), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [493657] = 6,
    ACTIONS(12798), 1,
      sym_keyword_rename,
    ACTIONS(12800), 1,
      sym_keyword_owner,
    ACTIONS(15959), 1,
      sym_keyword_set,
    ACTIONS(15961), 1,
      sym_keyword_reset,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(11068), 2,
      sym_rename_object,
      sym_change_ownership,
  [493678] = 5,
    ACTIONS(15719), 1,
      sym_keyword_first,
    ACTIONS(15721), 1,
      sym_keyword_after,
    STATE(10694), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15163), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [493697] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15963), 1,
      sym_keyword_on,
    ACTIONS(15965), 1,
      sym_keyword_as,
    STATE(14317), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [493718] = 5,
    ACTIONS(15719), 1,
      sym_keyword_first,
    ACTIONS(15721), 1,
      sym_keyword_after,
    STATE(10695), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15161), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [493737] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15967), 1,
      sym_keyword_tablespace,
    STATE(11019), 1,
      sym_identifier,
    STATE(11068), 1,
      sym_set_configuration,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [493758] = 6,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15612), 1,
      sym_keyword_null,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(7304), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2997), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [493779] = 6,
    ACTIONS(15727), 1,
      sym_keyword_in,
    ACTIONS(15731), 1,
      sym_keyword_similar,
    ACTIONS(15969), 1,
      sym_keyword_between,
    STATE(6668), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [493800] = 5,
    ACTIONS(15669), 1,
      anon_sym_COMMA,
    STATE(8516), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14995), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(15971), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [493819] = 6,
    ACTIONS(15727), 1,
      sym_keyword_in,
    ACTIONS(15731), 1,
      sym_keyword_similar,
    ACTIONS(15973), 1,
      sym_keyword_between,
    STATE(6668), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [493840] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15975), 1,
      sym_keyword_column,
    ACTIONS(15977), 1,
      sym_keyword_to,
    STATE(13541), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [493861] = 5,
    ACTIONS(15187), 1,
      sym_keyword_on,
    STATE(10791), 1,
      sym__on_duplicate_key_update,
    STATE(10792), 1,
      sym__on_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15733), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [493880] = 4,
    ACTIONS(15187), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10790), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15725), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [493897] = 6,
    ACTIONS(15727), 1,
      sym_keyword_in,
    ACTIONS(15731), 1,
      sym_keyword_similar,
    ACTIONS(15979), 1,
      sym_keyword_between,
    STATE(6668), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [493918] = 5,
    ACTIONS(15981), 1,
      anon_sym_RPAREN,
    STATE(9087), 1,
      sym_identifier,
    STATE(10928), 1,
      sym_field,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [493937] = 6,
    ACTIONS(15727), 1,
      sym_keyword_in,
    ACTIONS(15731), 1,
      sym_keyword_similar,
    ACTIONS(15983), 1,
      sym_keyword_between,
    STATE(6668), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [493958] = 5,
    ACTIONS(15187), 1,
      sym_keyword_on,
    STATE(10788), 1,
      sym__on_duplicate_key_update,
    STATE(10789), 1,
      sym__on_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15723), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [493977] = 5,
    ACTIONS(15187), 1,
      sym_keyword_on,
    STATE(10785), 1,
      sym__on_duplicate_key_update,
    STATE(10786), 1,
      sym__on_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15723), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [493996] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14458), 6,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_COMMA,
  [494009] = 5,
    ACTIONS(15985), 1,
      anon_sym_RPAREN,
    STATE(8391), 1,
      sym_identifier,
    STATE(10997), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [494028] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15987), 1,
      sym_keyword_on,
    ACTIONS(15989), 1,
      sym_keyword_as,
    STATE(14307), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [494049] = 6,
    ACTIONS(15727), 1,
      sym_keyword_in,
    ACTIONS(15731), 1,
      sym_keyword_similar,
    ACTIONS(15991), 1,
      sym_keyword_between,
    STATE(6668), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [494070] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15993), 1,
      sym_keyword_only,
    STATE(5623), 1,
      sym_identifier,
    STATE(10992), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [494091] = 5,
    ACTIONS(15995), 1,
      anon_sym_RPAREN,
    STATE(9087), 1,
      sym_identifier,
    STATE(10918), 1,
      sym_field,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [494110] = 6,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(15997), 1,
      sym_keyword_only,
    STATE(5623), 1,
      sym_identifier,
    STATE(10987), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [494131] = 6,
    ACTIONS(15727), 1,
      sym_keyword_in,
    ACTIONS(15731), 1,
      sym_keyword_similar,
    ACTIONS(15999), 1,
      sym_keyword_between,
    STATE(6668), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [494152] = 6,
    ACTIONS(15727), 1,
      sym_keyword_in,
    ACTIONS(15731), 1,
      sym_keyword_similar,
    ACTIONS(16001), 1,
      sym_keyword_between,
    STATE(6668), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [494173] = 6,
    ACTIONS(15727), 1,
      sym_keyword_in,
    ACTIONS(15731), 1,
      sym_keyword_similar,
    ACTIONS(16003), 1,
      sym_keyword_between,
    STATE(6668), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [494194] = 4,
    ACTIONS(15626), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2470), 2,
      sym_window_specification,
      sym_identifier,
    ACTIONS(271), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [494211] = 6,
    ACTIONS(15727), 1,
      sym_keyword_in,
    ACTIONS(15731), 1,
      sym_keyword_similar,
    ACTIONS(16005), 1,
      sym_keyword_between,
    STATE(6668), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [494232] = 6,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(15707), 1,
      sym_keyword_null,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(7186), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2467), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [494253] = 6,
    ACTIONS(647), 1,
      sym__identifier,
    ACTIONS(16007), 1,
      sym_keyword_only,
    STATE(8028), 1,
      sym_object_reference,
    STATE(8330), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(651), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [494274] = 5,
    ACTIONS(15865), 1,
      sym_keyword_partition,
    ACTIONS(16011), 1,
      anon_sym_LPAREN,
    STATE(10919), 1,
      sym__partition_spec,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16009), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [494293] = 5,
    ACTIONS(13603), 1,
      sym_keyword_from,
    ACTIONS(16013), 1,
      anon_sym_RPAREN,
    STATE(10329), 1,
      sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13601), 3,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [494312] = 6,
    ACTIONS(15727), 1,
      sym_keyword_in,
    ACTIONS(15731), 1,
      sym_keyword_similar,
    ACTIONS(16015), 1,
      sym_keyword_between,
    STATE(6668), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [494333] = 4,
    ACTIONS(15187), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10723), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15614), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [494350] = 5,
    ACTIONS(15187), 1,
      sym_keyword_on,
    STATE(10725), 1,
      sym__on_duplicate_key_update,
    STATE(10733), 1,
      sym__on_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15616), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [494369] = 6,
    ACTIONS(647), 1,
      sym__identifier,
    ACTIONS(14423), 1,
      sym_keyword_if,
    STATE(7886), 1,
      sym_identifier,
    STATE(10347), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(651), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [494390] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14740), 2,
      sym_keyword_create,
      sym__identifier,
    ACTIONS(14738), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [494405] = 6,
    ACTIONS(15727), 1,
      sym_keyword_in,
    ACTIONS(15731), 1,
      sym_keyword_similar,
    ACTIONS(16017), 1,
      sym_keyword_between,
    STATE(6668), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [494426] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15051), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_cascade,
      sym_keyword_restrict,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [494439] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14730), 2,
      sym_keyword_create,
      sym__identifier,
    ACTIONS(14728), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [494454] = 4,
    ACTIONS(15187), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10735), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15628), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [494471] = 5,
    ACTIONS(15187), 1,
      sym_keyword_on,
    STATE(10736), 1,
      sym__on_duplicate_key_update,
    STATE(10742), 1,
      sym__on_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15630), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [494490] = 4,
    ACTIONS(15692), 1,
      anon_sym_COMMA,
    STATE(8697), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13443), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_from,
      sym_keyword_create,
  [494507] = 6,
    ACTIONS(15727), 1,
      sym_keyword_in,
    ACTIONS(15731), 1,
      sym_keyword_similar,
    ACTIONS(16019), 1,
      sym_keyword_between,
    STATE(6668), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [494528] = 5,
    ACTIONS(15191), 1,
      sym_keyword_on,
    STATE(10197), 1,
      sym__on_duplicate_key_update,
    STATE(10199), 1,
      sym__on_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15189), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [494547] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16021), 6,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [494560] = 6,
    ACTIONS(15727), 1,
      sym_keyword_in,
    ACTIONS(15731), 1,
      sym_keyword_similar,
    ACTIONS(16023), 1,
      sym_keyword_between,
    STATE(6668), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [494581] = 5,
    ACTIONS(15719), 1,
      sym_keyword_first,
    ACTIONS(15721), 1,
      sym_keyword_after,
    STATE(10758), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14942), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [494600] = 5,
    ACTIONS(15719), 1,
      sym_keyword_first,
    ACTIONS(15721), 1,
      sym_keyword_after,
    STATE(10757), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14950), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [494619] = 6,
    ACTIONS(15727), 1,
      sym_keyword_in,
    ACTIONS(15731), 1,
      sym_keyword_similar,
    ACTIONS(16025), 1,
      sym_keyword_between,
    STATE(6668), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [494640] = 4,
    STATE(10754), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16027), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
    ACTIONS(14971), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [494657] = 5,
    ACTIONS(15719), 1,
      sym_keyword_first,
    ACTIONS(15721), 1,
      sym_keyword_after,
    STATE(10753), 1,
      sym_column_position,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14977), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [494676] = 6,
    ACTIONS(15727), 1,
      sym_keyword_in,
    ACTIONS(15731), 1,
      sym_keyword_similar,
    ACTIONS(16029), 1,
      sym_keyword_between,
    STATE(6668), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [494697] = 6,
    ACTIONS(15727), 1,
      sym_keyword_in,
    ACTIONS(15731), 1,
      sym_keyword_similar,
    ACTIONS(16031), 1,
      sym_keyword_between,
    STATE(6668), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [494718] = 6,
    ACTIONS(15727), 1,
      sym_keyword_in,
    ACTIONS(15731), 1,
      sym_keyword_similar,
    ACTIONS(16033), 1,
      sym_keyword_between,
    STATE(6668), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [494739] = 6,
    ACTIONS(15727), 1,
      sym_keyword_in,
    ACTIONS(15731), 1,
      sym_keyword_similar,
    ACTIONS(16035), 1,
      sym_keyword_between,
    STATE(6668), 1,
      sym_keyword_like,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2485), 2,
      aux_sym_keyword_like_token1,
      aux_sym_keyword_like_token2,
  [494760] = 4,
    ACTIONS(15191), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10227), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
    ACTIONS(15694), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [494777] = 5,
    ACTIONS(16037), 1,
      sym_keyword_collate,
    STATE(11685), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15029), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16039), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [494796] = 4,
    ACTIONS(14987), 1,
      sym_keyword_from,
    STATE(7699), 1,
      sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13601), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [494813] = 4,
    STATE(1898), 1,
      sym_identifier,
    STATE(7289), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [494829] = 4,
    STATE(1898), 1,
      sym_identifier,
    STATE(7072), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [494845] = 5,
    ACTIONS(14146), 1,
      sym_keyword_noscan,
    ACTIONS(16041), 1,
      sym_keyword_for,
    ACTIONS(16043), 1,
      sym_keyword_cache,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15683), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [494863] = 4,
    ACTIONS(16047), 1,
      sym_keyword_inner,
    ACTIONS(16049), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16045), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [494879] = 4,
    ACTIONS(9628), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16051), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(9161), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [494895] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(6963), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [494911] = 6,
    ACTIONS(16053), 1,
      anon_sym_RBRACK,
    ACTIONS(16055), 1,
      anon_sym_PLUS,
    ACTIONS(16057), 1,
      anon_sym_DASH,
    ACTIONS(16059), 1,
      aux_sym__integer_token1,
    STATE(14768), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [494931] = 5,
    ACTIONS(4047), 1,
      aux_sym__single_quote_string_token1,
    STATE(2112), 1,
      sym__single_quote_string,
    STATE(4313), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4055), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [494949] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16061), 5,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_nulls,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [494961] = 4,
    ACTIONS(16063), 1,
      anon_sym_RPAREN,
    STATE(14733), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [494977] = 5,
    ACTIONS(13679), 1,
      sym_keyword_union,
    ACTIONS(16065), 1,
      anon_sym_RPAREN,
    STATE(7700), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13681), 2,
      sym_keyword_except,
      sym_keyword_intersect,
  [494995] = 5,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(4484), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3156), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [495013] = 4,
    ACTIONS(9628), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16067), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(9161), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [495029] = 4,
    ACTIONS(14878), 1,
      anon_sym_RPAREN,
    STATE(14770), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [495045] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(6967), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495061] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(13481), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495077] = 4,
    ACTIONS(9628), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16051), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(9161), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [495093] = 5,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(4835), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2997), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [495111] = 4,
    STATE(7042), 1,
      sym_identifier,
    STATE(11677), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495127] = 5,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(16069), 1,
      sym_keyword_column,
    STATE(11029), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [495145] = 3,
    ACTIONS(16073), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16071), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [495159] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(6949), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495175] = 4,
    STATE(7042), 1,
      sym_identifier,
    STATE(11676), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495191] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11901), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495207] = 3,
    ACTIONS(16077), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16075), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [495221] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(14233), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495237] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(14292), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495253] = 4,
    STATE(7042), 1,
      sym_identifier,
    STATE(10237), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495269] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16079), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_references,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [495281] = 4,
    ACTIONS(14954), 1,
      anon_sym_RPAREN,
    STATE(14594), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [495297] = 4,
    ACTIONS(16083), 1,
      sym_keyword_update,
    STATE(10741), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16081), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [495313] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(13769), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495329] = 6,
    ACTIONS(16085), 1,
      sym_keyword_create,
    ACTIONS(16087), 1,
      sym_keyword_tables,
    ACTIONS(16089), 1,
      sym_keyword_all,
    STATE(8490), 1,
      sym__show_tables,
    STATE(8506), 1,
      sym__show_create,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [495349] = 4,
    STATE(7042), 1,
      sym_identifier,
    STATE(10225), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495365] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(6952), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495381] = 6,
    ACTIONS(16055), 1,
      anon_sym_PLUS,
    ACTIONS(16057), 1,
      anon_sym_DASH,
    ACTIONS(16059), 1,
      aux_sym__integer_token1,
    ACTIONS(16091), 1,
      anon_sym_RBRACK,
    STATE(14590), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [495401] = 5,
    ACTIONS(2920), 1,
      aux_sym__single_quote_string_token1,
    STATE(3453), 1,
      sym__single_quote_string,
    STATE(3468), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2928), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [495419] = 4,
    ACTIONS(16093), 1,
      anon_sym_RPAREN,
    STATE(14834), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [495435] = 4,
    ACTIONS(16095), 1,
      anon_sym_RPAREN,
    STATE(14520), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [495451] = 5,
    ACTIONS(16097), 1,
      sym__identifier,
    ACTIONS(16099), 1,
      sym_keyword_as,
    STATE(8142), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16101), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [495469] = 6,
    ACTIONS(16055), 1,
      anon_sym_PLUS,
    ACTIONS(16057), 1,
      anon_sym_DASH,
    ACTIONS(16059), 1,
      aux_sym__integer_token1,
    ACTIONS(16103), 1,
      anon_sym_RBRACK,
    STATE(14600), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [495489] = 5,
    ACTIONS(13679), 1,
      sym_keyword_union,
    ACTIONS(16105), 1,
      anon_sym_RPAREN,
    STATE(7700), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13681), 2,
      sym_keyword_except,
      sym_keyword_intersect,
  [495507] = 5,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(4513), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3753), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [495525] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(10921), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495541] = 4,
    ACTIONS(14355), 1,
      sym_keyword_where,
    STATE(10271), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16107), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [495557] = 4,
    ACTIONS(15135), 1,
      anon_sym_RPAREN,
    STATE(14561), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [495573] = 4,
    ACTIONS(14355), 1,
      sym_keyword_where,
    STATE(10408), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16109), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [495589] = 4,
    ACTIONS(16111), 1,
      sym_keyword_cascade,
    ACTIONS(16113), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15701), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [495605] = 6,
    ACTIONS(16115), 1,
      sym_keyword_constraint,
    ACTIONS(16117), 1,
      sym_keyword_temp,
    ACTIONS(16119), 1,
      sym_keyword_temporary,
    ACTIONS(16121), 1,
      sym_keyword_trigger,
    STATE(14833), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [495625] = 4,
    ACTIONS(14355), 1,
      sym_keyword_where,
    STATE(10410), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16123), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [495641] = 4,
    ACTIONS(14355), 1,
      sym_keyword_where,
    STATE(10269), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16125), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [495657] = 4,
    ACTIONS(14355), 1,
      sym_keyword_where,
    STATE(10196), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16127), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [495673] = 3,
    ACTIONS(16131), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16129), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [495687] = 4,
    ACTIONS(14355), 1,
      sym_keyword_where,
    STATE(10413), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16133), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [495703] = 4,
    ACTIONS(14355), 1,
      sym_keyword_where,
    STATE(10417), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16135), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [495719] = 6,
    ACTIONS(16137), 1,
      sym_keyword_constraint,
    ACTIONS(16139), 1,
      sym_keyword_temp,
    ACTIONS(16141), 1,
      sym_keyword_temporary,
    ACTIONS(16143), 1,
      sym_keyword_trigger,
    STATE(14831), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [495739] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(13839), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495755] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(9099), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495771] = 5,
    ACTIONS(647), 1,
      sym__identifier,
    ACTIONS(16145), 1,
      sym_keyword_all,
    STATE(6997), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(651), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [495789] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(8153), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495805] = 5,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(11643), 1,
      sym_keyword_default,
    STATE(10954), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [495823] = 4,
    ACTIONS(16083), 1,
      sym_keyword_update,
    STATE(11168), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16147), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [495839] = 4,
    ACTIONS(14333), 1,
      anon_sym_COMMA,
    STATE(9098), 1,
      aux_sym__truncate_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16149), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [495855] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16151), 5,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_nulls,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [495867] = 4,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(3325), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16153), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [495883] = 5,
    ACTIONS(13679), 1,
      sym_keyword_union,
    ACTIONS(16155), 1,
      anon_sym_RPAREN,
    STATE(7700), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13681), 2,
      sym_keyword_except,
      sym_keyword_intersect,
  [495901] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(8806), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495917] = 4,
    ACTIONS(15037), 1,
      anon_sym_RPAREN,
    STATE(14294), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [495933] = 6,
    ACTIONS(1404), 1,
      sym_keyword_select,
    ACTIONS(16157), 1,
      sym_keyword_all,
    ACTIONS(16159), 1,
      anon_sym_LPAREN,
    STATE(7640), 1,
      sym_select,
    STATE(7907), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [495953] = 6,
    ACTIONS(16055), 1,
      anon_sym_PLUS,
    ACTIONS(16057), 1,
      anon_sym_DASH,
    ACTIONS(16059), 1,
      aux_sym__integer_token1,
    ACTIONS(16161), 1,
      anon_sym_RBRACK,
    STATE(14290), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [495973] = 4,
    STATE(1898), 1,
      sym_identifier,
    STATE(10503), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [495989] = 4,
    ACTIONS(16163), 1,
      anon_sym_RPAREN,
    STATE(14074), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [496005] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11879), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [496023] = 4,
    ACTIONS(14385), 1,
      sym_keyword_where,
    STATE(10778), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16165), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [496039] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(14791), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496055] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(14750), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496071] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(13326), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496087] = 4,
    ACTIONS(14385), 1,
      sym_keyword_where,
    STATE(10779), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16167), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [496103] = 4,
    ACTIONS(16169), 1,
      anon_sym_STAR,
    STATE(2471), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(193), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496119] = 3,
    ACTIONS(16173), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16171), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [496133] = 4,
    STATE(8006), 1,
      sym_identifier,
    STATE(8087), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16101), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496149] = 5,
    ACTIONS(4351), 1,
      aux_sym__single_quote_string_token1,
    STATE(4050), 1,
      sym__literal_string,
    STATE(4301), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4359), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [496167] = 3,
    ACTIONS(16177), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16175), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [496181] = 5,
    ACTIONS(14542), 1,
      aux_sym__single_quote_string_token1,
    STATE(6672), 1,
      sym__single_quote_string,
    STATE(6736), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14544), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [496199] = 5,
    ACTIONS(4299), 1,
      aux_sym__single_quote_string_token1,
    STATE(5629), 1,
      sym__single_quote_string,
    STATE(5648), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4309), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [496217] = 4,
    ACTIONS(16179), 1,
      anon_sym_RPAREN,
    STATE(10982), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496233] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(13683), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496249] = 4,
    ACTIONS(14385), 1,
      sym_keyword_where,
    STATE(10714), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16181), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [496265] = 6,
    ACTIONS(16183), 1,
      sym_keyword_by,
    ACTIONS(16185), 1,
      anon_sym_PLUS,
    ACTIONS(16187), 1,
      anon_sym_DASH,
    ACTIONS(16189), 1,
      aux_sym__integer_token1,
    STATE(7432), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [496285] = 6,
    ACTIONS(16185), 1,
      anon_sym_PLUS,
    ACTIONS(16187), 1,
      anon_sym_DASH,
    ACTIONS(16189), 1,
      aux_sym__integer_token1,
    ACTIONS(16191), 1,
      sym_keyword_with,
    STATE(7429), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [496305] = 4,
    ACTIONS(9628), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16193), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(9161), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [496321] = 4,
    STATE(1898), 1,
      sym_identifier,
    STATE(10986), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496337] = 4,
    ACTIONS(9628), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16193), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(9161), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [496353] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(10987), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496369] = 4,
    ACTIONS(14385), 1,
      sym_keyword_where,
    STATE(10713), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16195), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [496385] = 4,
    ACTIONS(14385), 1,
      sym_keyword_where,
    STATE(10712), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16197), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [496401] = 4,
    ACTIONS(9628), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16199), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(9161), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [496417] = 4,
    STATE(1898), 1,
      sym_identifier,
    STATE(10504), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496433] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(13639), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496449] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(14647), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496465] = 4,
    ACTIONS(16203), 1,
      anon_sym_COMMA,
    STATE(9480), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16201), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [496481] = 4,
    ACTIONS(15045), 1,
      anon_sym_RPAREN,
    STATE(13944), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [496497] = 4,
    STATE(3556), 1,
      sym_identifier,
    STATE(7486), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(581), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496513] = 6,
    ACTIONS(16055), 1,
      anon_sym_PLUS,
    ACTIONS(16057), 1,
      anon_sym_DASH,
    ACTIONS(16059), 1,
      aux_sym__integer_token1,
    ACTIONS(16205), 1,
      anon_sym_RBRACK,
    STATE(13930), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [496533] = 4,
    ACTIONS(16207), 1,
      sym_keyword_cascade,
    ACTIONS(16209), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15574), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [496549] = 4,
    STATE(8006), 1,
      sym_identifier,
    STATE(8009), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16101), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496565] = 4,
    STATE(1898), 1,
      sym_identifier,
    STATE(10505), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496581] = 4,
    ACTIONS(16211), 1,
      anon_sym_RPAREN,
    STATE(13863), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [496597] = 4,
    STATE(6411), 1,
      sym_object_reference,
    STATE(6488), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496613] = 6,
    ACTIONS(12759), 1,
      sym_keyword_rename,
    ACTIONS(16213), 1,
      sym_keyword_set,
    ACTIONS(16215), 1,
      sym_keyword_alter,
    ACTIONS(16217), 1,
      sym_keyword_reset,
    STATE(12011), 1,
      sym_rename_object,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [496633] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11875), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496649] = 4,
    STATE(1898), 1,
      sym_identifier,
    STATE(10506), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496665] = 5,
    ACTIONS(3911), 1,
      aux_sym__single_quote_string_token1,
    STATE(4740), 1,
      sym__single_quote_string,
    STATE(4769), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3919), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [496683] = 4,
    STATE(1898), 1,
      sym_identifier,
    STATE(10507), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496699] = 4,
    ACTIONS(16083), 1,
      sym_keyword_update,
    STATE(11009), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16219), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [496715] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(9067), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15548), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [496731] = 6,
    ACTIONS(16221), 1,
      sym_keyword_constraint,
    ACTIONS(16223), 1,
      sym_keyword_temp,
    ACTIONS(16225), 1,
      sym_keyword_temporary,
    ACTIONS(16227), 1,
      sym_keyword_trigger,
    STATE(13585), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [496751] = 4,
    STATE(1898), 1,
      sym_identifier,
    STATE(10508), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496767] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(6744), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15570), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [496783] = 4,
    STATE(11018), 1,
      sym_set_configuration,
    STATE(11019), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496799] = 5,
    ACTIONS(13679), 1,
      sym_keyword_union,
    ACTIONS(16155), 1,
      anon_sym_RPAREN,
    STATE(7700), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13681), 2,
      sym_keyword_except,
      sym_keyword_intersect,
  [496817] = 5,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(16229), 1,
      sym_keyword_all,
    STATE(11022), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [496835] = 4,
    ACTIONS(14904), 1,
      anon_sym_RPAREN,
    STATE(13649), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [496851] = 3,
    ACTIONS(16233), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16231), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [496865] = 4,
    STATE(6164), 1,
      sym_object_reference,
    STATE(6488), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496881] = 5,
    ACTIONS(13679), 1,
      sym_keyword_union,
    ACTIONS(16235), 1,
      anon_sym_RPAREN,
    STATE(7700), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13681), 2,
      sym_keyword_except,
      sym_keyword_intersect,
  [496899] = 6,
    ACTIONS(16055), 1,
      anon_sym_PLUS,
    ACTIONS(16057), 1,
      anon_sym_DASH,
    ACTIONS(16059), 1,
      aux_sym__integer_token1,
    ACTIONS(16237), 1,
      anon_sym_RBRACK,
    STATE(13669), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [496919] = 4,
    STATE(1898), 1,
      sym_identifier,
    STATE(10509), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496935] = 4,
    STATE(8043), 1,
      sym_object_reference,
    STATE(8330), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(651), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [496951] = 4,
    ACTIONS(16239), 1,
      anon_sym_RPAREN,
    STATE(13592), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [496967] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(6753), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [496985] = 5,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(16241), 1,
      sym_keyword_column,
    STATE(11027), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [497003] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(10915), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497019] = 3,
    ACTIONS(16245), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16243), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [497033] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(14636), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497049] = 4,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    STATE(10793), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14337), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [497065] = 6,
    ACTIONS(16185), 1,
      anon_sym_PLUS,
    ACTIONS(16187), 1,
      anon_sym_DASH,
    ACTIONS(16189), 1,
      aux_sym__integer_token1,
    ACTIONS(16247), 1,
      sym_keyword_with,
    STATE(7354), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [497085] = 6,
    ACTIONS(16185), 1,
      anon_sym_PLUS,
    ACTIONS(16187), 1,
      anon_sym_DASH,
    ACTIONS(16189), 1,
      aux_sym__integer_token1,
    ACTIONS(16249), 1,
      sym_keyword_with,
    STATE(7351), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [497105] = 4,
    ACTIONS(16251), 1,
      anon_sym_RPAREN,
    STATE(11451), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497121] = 4,
    ACTIONS(16253), 1,
      anon_sym_RPAREN,
    STATE(14316), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [497137] = 6,
    ACTIONS(12798), 1,
      sym_keyword_rename,
    ACTIONS(16255), 1,
      sym_keyword_set,
    ACTIONS(16257), 1,
      sym_keyword_alter,
    ACTIONS(16259), 1,
      sym_keyword_reset,
    STATE(11053), 1,
      sym_rename_object,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [497157] = 3,
    ACTIONS(16263), 1,
      sym_keyword_authorization,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16261), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [497171] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16265), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_references,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [497183] = 4,
    STATE(7042), 1,
      sym_identifier,
    STATE(10445), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497199] = 5,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(16267), 1,
      sym_keyword_all,
    STATE(11631), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [497217] = 5,
    ACTIONS(3649), 1,
      aux_sym__single_quote_string_token1,
    STATE(2170), 1,
      sym__single_quote_string,
    STATE(2216), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3657), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [497235] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11582), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497251] = 4,
    STATE(1898), 1,
      sym_identifier,
    STATE(8472), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497267] = 6,
    ACTIONS(16055), 1,
      anon_sym_PLUS,
    ACTIONS(16057), 1,
      anon_sym_DASH,
    ACTIONS(16059), 1,
      aux_sym__integer_token1,
    ACTIONS(16269), 1,
      anon_sym_RBRACK,
    STATE(13535), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [497287] = 4,
    ACTIONS(14862), 1,
      anon_sym_RPAREN,
    STATE(13533), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [497303] = 4,
    ACTIONS(9628), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16271), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(9161), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [497319] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(9016), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15562), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [497335] = 4,
    ACTIONS(9628), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16271), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(9161), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [497351] = 4,
    ACTIONS(16273), 1,
      anon_sym_RPAREN,
    STATE(10913), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497367] = 4,
    STATE(7669), 1,
      sym_cte,
    STATE(11572), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497383] = 5,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(16275), 1,
      sym_keyword_all,
    STATE(11069), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [497401] = 4,
    STATE(1898), 1,
      sym_identifier,
    STATE(10635), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497417] = 5,
    ACTIONS(14542), 1,
      aux_sym__single_quote_string_token1,
    STATE(6672), 1,
      sym__single_quote_string,
    STATE(6723), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14544), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [497435] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(6744), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15562), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [497451] = 4,
    ACTIONS(15017), 1,
      anon_sym_RPAREN,
    STATE(13460), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [497467] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(13791), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497483] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(13693), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497499] = 5,
    ACTIONS(14628), 1,
      aux_sym__single_quote_string_token1,
    STATE(6687), 1,
      sym__single_quote_string,
    STATE(6799), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14632), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [497517] = 4,
    ACTIONS(16083), 1,
      sym_keyword_update,
    STATE(10647), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16277), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [497533] = 6,
    ACTIONS(16279), 1,
      sym_keyword_by,
    ACTIONS(16281), 1,
      anon_sym_PLUS,
    ACTIONS(16283), 1,
      anon_sym_DASH,
    ACTIONS(16285), 1,
      aux_sym__integer_token1,
    STATE(7576), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [497553] = 4,
    STATE(7042), 1,
      sym_identifier,
    STATE(11730), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497569] = 6,
    ACTIONS(16055), 1,
      anon_sym_PLUS,
    ACTIONS(16057), 1,
      anon_sym_DASH,
    ACTIONS(16059), 1,
      aux_sym__integer_token1,
    ACTIONS(16287), 1,
      anon_sym_RBRACK,
    STATE(13455), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [497589] = 6,
    ACTIONS(16281), 1,
      anon_sym_PLUS,
    ACTIONS(16283), 1,
      anon_sym_DASH,
    ACTIONS(16285), 1,
      aux_sym__integer_token1,
    ACTIONS(16289), 1,
      sym_keyword_with,
    STATE(7568), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [497609] = 4,
    ACTIONS(16293), 1,
      sym_keyword_force,
    ACTIONS(16295), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16291), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [497625] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(6744), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15560), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [497641] = 4,
    ACTIONS(16297), 1,
      anon_sym_RPAREN,
    STATE(13201), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [497657] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11079), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497673] = 3,
    ACTIONS(16301), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16299), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [497687] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(6744), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15558), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [497703] = 4,
    STATE(3556), 1,
      sym_identifier,
    STATE(7436), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(581), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497719] = 4,
    STATE(10960), 1,
      sym_identifier,
    STATE(11839), 1,
      sym_set_configuration,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497735] = 4,
    ACTIONS(16083), 1,
      sym_keyword_update,
    STATE(10525), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16303), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [497751] = 4,
    STATE(7042), 1,
      sym_identifier,
    STATE(11731), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497767] = 4,
    STATE(6301), 1,
      sym_object_reference,
    STATE(6488), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497783] = 5,
    ACTIONS(4195), 1,
      aux_sym__single_quote_string_token1,
    STATE(2630), 1,
      sym__single_quote_string,
    STATE(2668), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4203), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [497801] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(14559), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497817] = 4,
    ACTIONS(16307), 1,
      sym_keyword_force,
    ACTIONS(16309), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16305), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [497833] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(13706), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497849] = 4,
    ACTIONS(16083), 1,
      sym_keyword_update,
    STATE(10528), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16311), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [497865] = 3,
    ACTIONS(16315), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16313), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [497879] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(13707), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497895] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(9390), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497911] = 5,
    ACTIONS(14251), 1,
      sym_keyword_noscan,
    ACTIONS(16317), 1,
      sym_keyword_for,
    ACTIONS(16319), 1,
      sym_keyword_cache,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15751), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [497929] = 4,
    ACTIONS(14355), 1,
      sym_keyword_where,
    STATE(10418), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16321), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [497945] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16323), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [497957] = 4,
    ACTIONS(14355), 1,
      sym_keyword_where,
    STATE(10154), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16325), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [497973] = 5,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(16327), 1,
      sym_keyword_all,
    STATE(11740), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [497991] = 4,
    ACTIONS(16083), 1,
      sym_keyword_update,
    STATE(10533), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16329), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [498007] = 6,
    ACTIONS(16281), 1,
      anon_sym_PLUS,
    ACTIONS(16283), 1,
      anon_sym_DASH,
    ACTIONS(16285), 1,
      aux_sym__integer_token1,
    ACTIONS(16331), 1,
      sym_keyword_with,
    STATE(7510), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [498027] = 6,
    ACTIONS(16281), 1,
      anon_sym_PLUS,
    ACTIONS(16283), 1,
      anon_sym_DASH,
    ACTIONS(16285), 1,
      aux_sym__integer_token1,
    ACTIONS(16333), 1,
      sym_keyword_with,
    STATE(7505), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [498047] = 4,
    STATE(7944), 1,
      sym_object_reference,
    STATE(8006), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16101), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498063] = 5,
    ACTIONS(4259), 1,
      aux_sym__single_quote_string_token1,
    STATE(2547), 1,
      sym__single_quote_string,
    STATE(2622), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4267), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [498081] = 4,
    ACTIONS(16083), 1,
      sym_keyword_update,
    STATE(10537), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16335), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [498097] = 6,
    ACTIONS(12759), 1,
      sym_keyword_rename,
    ACTIONS(16337), 1,
      sym_keyword_set,
    ACTIONS(16339), 1,
      sym_keyword_alter,
    ACTIONS(16341), 1,
      sym_keyword_reset,
    STATE(11813), 1,
      sym_rename_object,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [498117] = 3,
    ACTIONS(16345), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16343), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [498131] = 4,
    ACTIONS(14333), 1,
      anon_sym_COMMA,
    STATE(8428), 1,
      aux_sym__truncate_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16347), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [498147] = 4,
    ACTIONS(14333), 1,
      anon_sym_COMMA,
    STATE(9400), 1,
      aux_sym__truncate_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16347), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [498163] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(13290), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498179] = 4,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    STATE(10744), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15657), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [498195] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(8829), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498211] = 4,
    ACTIONS(15056), 1,
      anon_sym_RPAREN,
    STATE(12772), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [498227] = 4,
    ACTIONS(16083), 1,
      sym_keyword_update,
    STATE(11516), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16349), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [498243] = 6,
    ACTIONS(16055), 1,
      anon_sym_PLUS,
    ACTIONS(16057), 1,
      anon_sym_DASH,
    ACTIONS(16059), 1,
      aux_sym__integer_token1,
    ACTIONS(16351), 1,
      anon_sym_RBRACK,
    STATE(12742), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [498263] = 4,
    ACTIONS(16083), 1,
      sym_keyword_update,
    STATE(10539), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16353), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [498279] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(8831), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498295] = 4,
    ACTIONS(16355), 1,
      anon_sym_RPAREN,
    STATE(12619), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [498311] = 6,
    ACTIONS(16357), 1,
      sym_keyword_create,
    ACTIONS(16359), 1,
      sym_keyword_tables,
    ACTIONS(16361), 1,
      sym_keyword_all,
    STATE(8211), 1,
      sym__show_create,
    STATE(8212), 1,
      sym__show_tables,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [498331] = 4,
    STATE(7042), 1,
      sym_identifier,
    STATE(11612), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498347] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(9056), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15552), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [498363] = 4,
    ACTIONS(14355), 1,
      sym_keyword_where,
    STATE(10409), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16363), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [498379] = 4,
    STATE(7042), 1,
      sym_identifier,
    STATE(10003), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498395] = 4,
    ACTIONS(14355), 1,
      sym_keyword_where,
    STATE(10404), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16365), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [498411] = 5,
    ACTIONS(4103), 1,
      aux_sym__single_quote_string_token1,
    STATE(4482), 1,
      sym__single_quote_string,
    STATE(4668), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4111), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [498429] = 4,
    ACTIONS(14355), 1,
      sym_keyword_where,
    STATE(10401), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16367), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [498445] = 4,
    ACTIONS(9607), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16051), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(9415), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [498461] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11104), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [498479] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(13719), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498495] = 4,
    ACTIONS(14355), 1,
      sym_keyword_where,
    STATE(10399), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16369), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [498511] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(9071), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15550), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [498527] = 4,
    ACTIONS(14960), 1,
      anon_sym_RPAREN,
    STATE(13698), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [498543] = 6,
    ACTIONS(13628), 1,
      sym_keyword_select,
    ACTIONS(16159), 1,
      anon_sym_LPAREN,
    ACTIONS(16371), 1,
      sym_keyword_all,
    STATE(7907), 1,
      sym__select_statement,
    STATE(7927), 1,
      sym_select,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [498563] = 6,
    ACTIONS(16085), 1,
      sym_keyword_create,
    ACTIONS(16089), 1,
      sym_keyword_all,
    ACTIONS(16373), 1,
      sym_keyword_tables,
    STATE(8490), 1,
      sym__show_tables,
    STATE(8506), 1,
      sym__show_create,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [498583] = 6,
    ACTIONS(16055), 1,
      anon_sym_PLUS,
    ACTIONS(16057), 1,
      anon_sym_DASH,
    ACTIONS(16059), 1,
      aux_sym__integer_token1,
    ACTIONS(16375), 1,
      anon_sym_RBRACK,
    STATE(13696), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [498603] = 4,
    ACTIONS(15027), 1,
      anon_sym_RPAREN,
    STATE(13208), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [498619] = 6,
    ACTIONS(16055), 1,
      anon_sym_PLUS,
    ACTIONS(16057), 1,
      anon_sym_DASH,
    ACTIONS(16059), 1,
      aux_sym__integer_token1,
    ACTIONS(16377), 1,
      anon_sym_RBRACK,
    STATE(13168), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [498639] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(6744), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15550), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [498655] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16379), 5,
      sym_keyword_desc,
      sym_keyword_asc,
      sym_keyword_nulls,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [498667] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11118), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [498685] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(6744), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15548), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [498701] = 4,
    ACTIONS(15019), 1,
      anon_sym_RPAREN,
    STATE(12351), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [498717] = 6,
    ACTIONS(16055), 1,
      anon_sym_PLUS,
    ACTIONS(16057), 1,
      anon_sym_DASH,
    ACTIONS(16059), 1,
      aux_sym__integer_token1,
    ACTIONS(16381), 1,
      anon_sym_RBRACK,
    STATE(12348), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [498737] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(6744), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15546), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [498753] = 4,
    ACTIONS(16383), 1,
      anon_sym_RPAREN,
    STATE(12336), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [498769] = 4,
    ACTIONS(16083), 1,
      sym_keyword_update,
    STATE(10543), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16385), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [498785] = 6,
    ACTIONS(16357), 1,
      sym_keyword_create,
    ACTIONS(16361), 1,
      sym_keyword_all,
    ACTIONS(16387), 1,
      sym_keyword_tables,
    STATE(8211), 1,
      sym__show_create,
    STATE(8212), 1,
      sym__show_tables,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [498805] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(13720), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498821] = 4,
    ACTIONS(16083), 1,
      sym_keyword_update,
    STATE(10549), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16389), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [498837] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(8832), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498853] = 4,
    STATE(7956), 1,
      sym_object_reference,
    STATE(8006), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16101), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498869] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(8833), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498885] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(13728), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498901] = 3,
    ACTIONS(16393), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16391), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [498915] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(13729), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498931] = 5,
    ACTIONS(2989), 1,
      aux_sym__single_quote_string_token1,
    STATE(2821), 1,
      sym__single_quote_string,
    STATE(7261), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2997), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [498949] = 4,
    ACTIONS(16083), 1,
      sym_keyword_update,
    STATE(10550), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16395), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [498965] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(13733), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [498981] = 4,
    ACTIONS(15143), 1,
      anon_sym_RPAREN,
    STATE(12997), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [498997] = 5,
    ACTIONS(14542), 1,
      aux_sym__single_quote_string_token1,
    STATE(6672), 1,
      sym__single_quote_string,
    STATE(6763), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14544), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [499015] = 6,
    ACTIONS(12798), 1,
      sym_keyword_rename,
    ACTIONS(16397), 1,
      sym_keyword_set,
    ACTIONS(16399), 1,
      sym_keyword_alter,
    ACTIONS(16401), 1,
      sym_keyword_reset,
    STATE(10887), 1,
      sym_rename_object,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [499035] = 5,
    ACTIONS(14542), 1,
      aux_sym__single_quote_string_token1,
    STATE(6672), 1,
      sym__single_quote_string,
    STATE(6705), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14544), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [499053] = 6,
    ACTIONS(16055), 1,
      anon_sym_PLUS,
    ACTIONS(16057), 1,
      anon_sym_DASH,
    ACTIONS(16059), 1,
      aux_sym__integer_token1,
    ACTIONS(16403), 1,
      anon_sym_RBRACK,
    STATE(12870), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [499073] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11543), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499089] = 4,
    ACTIONS(16405), 1,
      anon_sym_RPAREN,
    STATE(13024), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [499105] = 4,
    ACTIONS(9628), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16407), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(9161), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [499121] = 4,
    ACTIONS(16409), 1,
      anon_sym_RPAREN,
    STATE(12459), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [499137] = 4,
    ACTIONS(9628), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16407), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(9161), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [499153] = 4,
    ACTIONS(9628), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16411), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(9161), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [499169] = 4,
    ACTIONS(14126), 1,
      anon_sym_COMMA,
    STATE(9403), 1,
      aux_sym_assignment_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16413), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [499185] = 4,
    ACTIONS(16417), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16415), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(9161), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [499201] = 4,
    ACTIONS(14355), 1,
      sym_keyword_where,
    STATE(9856), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16420), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [499217] = 4,
    STATE(7042), 1,
      sym_identifier,
    STATE(10794), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499233] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11552), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499249] = 4,
    ACTIONS(14958), 1,
      sym_keyword_from,
    STATE(7775), 1,
      sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13601), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [499265] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(12844), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499281] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(12845), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499297] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(12846), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499313] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(12854), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499329] = 4,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(3325), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16422), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [499345] = 4,
    STATE(8006), 1,
      sym_identifier,
    STATE(8034), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16101), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499361] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(14420), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499377] = 4,
    ACTIONS(15851), 1,
      sym_keyword_cascade,
    ACTIONS(15855), 1,
      sym_keyword_version,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14896), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [499393] = 6,
    ACTIONS(16055), 1,
      anon_sym_PLUS,
    ACTIONS(16057), 1,
      anon_sym_DASH,
    ACTIONS(16059), 1,
      aux_sym__integer_token1,
    ACTIONS(16424), 1,
      anon_sym_RBRACK,
    STATE(13319), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [499413] = 4,
    ACTIONS(14385), 1,
      sym_keyword_where,
    STATE(10679), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16426), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [499429] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(12855), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499445] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(12857), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499461] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(9128), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15524), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [499477] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(12867), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499493] = 4,
    ACTIONS(9607), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16428), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(9415), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [499509] = 5,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(7256), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2467), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [499527] = 4,
    STATE(1898), 1,
      sym_identifier,
    STATE(7099), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499543] = 4,
    ACTIONS(14856), 1,
      anon_sym_RPAREN,
    STATE(13493), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [499559] = 4,
    ACTIONS(14120), 1,
      anon_sym_COMMA,
    STATE(8030), 1,
      aux_sym_assignment_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16430), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [499575] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(12871), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499591] = 4,
    ACTIONS(16432), 1,
      anon_sym_RPAREN,
    STATE(13604), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499607] = 4,
    ACTIONS(16432), 1,
      anon_sym_RPAREN,
    STATE(11012), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499623] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(9131), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15482), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [499639] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(8478), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499655] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(6744), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15510), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [499671] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(9134), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15494), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [499687] = 5,
    ACTIONS(14542), 1,
      aux_sym__single_quote_string_token1,
    STATE(6672), 1,
      sym__single_quote_string,
    STATE(6812), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14544), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [499705] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(6744), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15494), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [499721] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16434), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
      anon_sym_RPAREN,
  [499733] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(14108), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499749] = 4,
    ACTIONS(16438), 1,
      sym_keyword_inner,
    ACTIONS(16440), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16436), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [499765] = 4,
    ACTIONS(16444), 1,
      sym_keyword_inner,
    ACTIONS(16446), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16442), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [499781] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(12890), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499797] = 4,
    ACTIONS(15131), 1,
      anon_sym_RPAREN,
    STATE(14120), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [499813] = 6,
    ACTIONS(16055), 1,
      anon_sym_PLUS,
    ACTIONS(16057), 1,
      anon_sym_DASH,
    ACTIONS(16059), 1,
      aux_sym__integer_token1,
    ACTIONS(16448), 1,
      anon_sym_RBRACK,
    STATE(14194), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [499833] = 5,
    ACTIONS(13679), 1,
      sym_keyword_union,
    ACTIONS(16450), 1,
      anon_sym_RPAREN,
    STATE(7700), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13681), 2,
      sym_keyword_except,
      sym_keyword_intersect,
  [499851] = 4,
    STATE(6251), 1,
      sym_object_reference,
    STATE(6488), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499867] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(6744), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15482), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [499883] = 4,
    ACTIONS(16452), 1,
      anon_sym_RPAREN,
    STATE(14644), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [499899] = 4,
    STATE(8004), 1,
      sym_object_reference,
    STATE(8006), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16101), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499915] = 4,
    STATE(8006), 1,
      sym_identifier,
    STATE(8058), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16101), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499931] = 4,
    ACTIONS(14385), 1,
      sym_keyword_where,
    STATE(10674), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16454), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [499947] = 4,
    ACTIONS(16458), 1,
      sym_keyword_inner,
    ACTIONS(16460), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16456), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [499963] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(12916), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [499979] = 4,
    ACTIONS(16203), 1,
      anon_sym_COMMA,
    STATE(9480), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16462), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [499995] = 4,
    STATE(8006), 1,
      sym_identifier,
    STATE(8086), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16101), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500011] = 4,
    STATE(8006), 1,
      sym_identifier,
    STATE(8079), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16101), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500027] = 4,
    ACTIONS(14385), 1,
      sym_keyword_where,
    STATE(10843), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16464), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [500043] = 4,
    STATE(8006), 1,
      sym_identifier,
    STATE(8037), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16101), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500059] = 4,
    ACTIONS(16466), 1,
      anon_sym_RPAREN,
    STATE(13551), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [500075] = 6,
    ACTIONS(16055), 1,
      anon_sym_PLUS,
    ACTIONS(16057), 1,
      anon_sym_DASH,
    ACTIONS(16059), 1,
      aux_sym__integer_token1,
    ACTIONS(16468), 1,
      anon_sym_RBRACK,
    STATE(14787), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [500095] = 3,
    ACTIONS(16472), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16470), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [500109] = 4,
    ACTIONS(16474), 1,
      anon_sym_RPAREN,
    STATE(11136), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500125] = 3,
    ACTIONS(16478), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16476), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [500139] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(12937), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500155] = 4,
    STATE(8006), 1,
      sym_identifier,
    STATE(8054), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16101), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500171] = 4,
    ACTIONS(14385), 1,
      sym_keyword_where,
    STATE(10672), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16480), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [500187] = 5,
    ACTIONS(4007), 1,
      aux_sym__single_quote_string_token1,
    STATE(5873), 1,
      sym__single_quote_string,
    STATE(6004), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4017), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [500205] = 4,
    STATE(8006), 1,
      sym_identifier,
    STATE(8051), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16101), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500221] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(9190), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15476), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [500237] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(6744), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15476), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [500253] = 4,
    ACTIONS(16203), 1,
      anon_sym_COMMA,
    STATE(9480), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16482), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [500269] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(10352), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500285] = 6,
    ACTIONS(16055), 1,
      anon_sym_PLUS,
    ACTIONS(16057), 1,
      anon_sym_DASH,
    ACTIONS(16059), 1,
      aux_sym__integer_token1,
    ACTIONS(16484), 1,
      anon_sym_RBRACK,
    STATE(14631), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [500305] = 4,
    ACTIONS(16486), 1,
      anon_sym_RPAREN,
    STATE(10977), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500321] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11392), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500337] = 4,
    ACTIONS(14385), 1,
      sym_keyword_where,
    STATE(10671), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16488), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [500353] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11785), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500369] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(9193), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15474), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [500385] = 4,
    ACTIONS(16203), 1,
      anon_sym_COMMA,
    STATE(8998), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16490), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [500401] = 4,
    ACTIONS(16083), 1,
      sym_keyword_update,
    STATE(11140), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16492), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [500417] = 4,
    STATE(1898), 1,
      sym_identifier,
    STATE(11141), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500433] = 4,
    ACTIONS(16496), 1,
      sym_keyword_cache,
    ACTIONS(16498), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16494), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [500449] = 4,
    ACTIONS(14385), 1,
      sym_keyword_where,
    STATE(10670), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16500), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [500465] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(6958), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500481] = 4,
    ACTIONS(14355), 1,
      sym_keyword_where,
    STATE(9822), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16464), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [500497] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11150), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500513] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(9203), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15472), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [500529] = 5,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(16502), 1,
      sym_keyword_all,
    STATE(10351), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [500547] = 4,
    ACTIONS(16506), 1,
      sym_keyword_inner,
    ACTIONS(16508), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16504), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [500563] = 3,
    ACTIONS(16512), 1,
      sym_keyword_sequence,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16510), 4,
      sym_keyword_table,
      sym_keyword_view,
      sym_keyword_recursive,
      sym_keyword_trigger,
  [500577] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11154), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500593] = 3,
    ACTIONS(16514), 1,
      sym__identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16516), 4,
      sym__dollar_quoted_string,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
  [500607] = 3,
    ACTIONS(16520), 1,
      sym_keyword_collate,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16518), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [500621] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(6744), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15472), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [500637] = 4,
    ACTIONS(16083), 1,
      sym_keyword_update,
    STATE(10547), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16522), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [500653] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(6953), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500669] = 3,
    ACTIONS(16526), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16524), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [500683] = 4,
    STATE(8006), 1,
      sym_identifier,
    STATE(8041), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16101), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500699] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(13610), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500715] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(7256), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [500733] = 4,
    STATE(6451), 1,
      sym_object_reference,
    STATE(6488), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500749] = 4,
    STATE(8005), 1,
      sym_object_reference,
    STATE(8006), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16101), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500765] = 4,
    ACTIONS(16528), 1,
      anon_sym_RPAREN,
    STATE(10984), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500781] = 4,
    ACTIONS(16532), 1,
      sym_keyword_inner,
    ACTIONS(16534), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16530), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [500797] = 4,
    STATE(1898), 1,
      sym_identifier,
    STATE(10860), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500813] = 3,
    ACTIONS(16538), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16536), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [500827] = 4,
    STATE(6238), 1,
      sym_object_reference,
    STATE(6488), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500843] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11412), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500859] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(8339), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500875] = 4,
    STATE(1898), 1,
      sym_identifier,
    STATE(7789), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500891] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(10925), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500907] = 4,
    STATE(11898), 1,
      sym_direction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11055), 2,
      sym_keyword_desc,
      sym_keyword_asc,
    ACTIONS(16540), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [500923] = 4,
    ACTIONS(16542), 1,
      anon_sym_RPAREN,
    STATE(14338), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [500939] = 4,
    ACTIONS(16544), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15694), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(10227), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
  [500955] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(6954), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [500971] = 4,
    ACTIONS(14385), 1,
      sym_keyword_where,
    STATE(10853), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16420), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [500987] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(13800), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501003] = 6,
    ACTIONS(16055), 1,
      anon_sym_PLUS,
    ACTIONS(16057), 1,
      anon_sym_DASH,
    ACTIONS(16059), 1,
      aux_sym__integer_token1,
    ACTIONS(16546), 1,
      anon_sym_RBRACK,
    STATE(14217), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [501023] = 4,
    ACTIONS(15049), 1,
      anon_sym_RPAREN,
    STATE(14212), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [501039] = 3,
    ACTIONS(16550), 1,
      sym_keyword_authorization,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16548), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [501053] = 3,
    ACTIONS(16554), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16552), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [501067] = 3,
    ACTIONS(14898), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14896), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [501081] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11940), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501097] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(10947), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501113] = 5,
    ACTIONS(16544), 1,
      sym_keyword_on,
    STATE(10131), 1,
      sym__on_conflict,
    STATE(10228), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15189), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [501131] = 4,
    ACTIONS(16556), 1,
      anon_sym_RPAREN,
    STATE(10996), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501147] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11418), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501163] = 4,
    ACTIONS(16560), 1,
      sym_keyword_inner,
    ACTIONS(16562), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16558), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [501179] = 4,
    STATE(6343), 1,
      sym_object_reference,
    STATE(6488), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501195] = 4,
    STATE(1898), 1,
      sym_identifier,
    STATE(7301), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501211] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11420), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501227] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11771), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501243] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(9226), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15432), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [501259] = 4,
    STATE(6457), 1,
      sym_object_reference,
    STATE(6488), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501275] = 5,
    ACTIONS(3745), 1,
      aux_sym__single_quote_string_token1,
    STATE(421), 1,
      sym__single_quote_string,
    STATE(6865), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3753), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [501293] = 4,
    ACTIONS(16564), 1,
      anon_sym_RPAREN,
    STATE(13640), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501309] = 4,
    ACTIONS(16564), 1,
      anon_sym_RPAREN,
    STATE(11096), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501325] = 4,
    STATE(6393), 1,
      sym_object_reference,
    STATE(6488), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501341] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(13702), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501357] = 5,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(16566), 1,
      sym_keyword_column,
    STATE(10963), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [501375] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(12100), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501391] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(12756), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501407] = 6,
    ACTIONS(16568), 1,
      sym_keyword_constraint,
    ACTIONS(16570), 1,
      sym_keyword_temp,
    ACTIONS(16572), 1,
      sym_keyword_temporary,
    ACTIONS(16574), 1,
      sym_keyword_trigger,
    STATE(12760), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [501427] = 4,
    STATE(11052), 1,
      sym__key_value_pair,
    STATE(12318), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501443] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(9762), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501459] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16576), 5,
      sym_keyword_default,
      sym_keyword_plain,
      sym_keyword_extended,
      sym_keyword_main,
      sym_keyword_external,
  [501471] = 4,
    ACTIONS(16578), 1,
      anon_sym_RPAREN,
    STATE(11058), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501487] = 3,
    ACTIONS(16582), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16580), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [501501] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10975), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [501519] = 5,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(11631), 1,
      sym_keyword_default,
    STATE(10839), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [501537] = 4,
    STATE(1898), 1,
      sym_identifier,
    STATE(11067), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501553] = 5,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(11631), 1,
      sym_keyword_none,
    STATE(10839), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [501571] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(6744), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15430), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [501587] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(13591), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501603] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11889), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501619] = 4,
    ACTIONS(16584), 1,
      anon_sym_STAR,
    STATE(4839), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(831), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501635] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11435), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501651] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(8172), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501667] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11437), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501683] = 4,
    STATE(11595), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15438), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16586), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [501699] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(8877), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501715] = 4,
    ACTIONS(16588), 1,
      anon_sym_RPAREN,
    STATE(11016), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501731] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10983), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [501749] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(9250), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15430), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [501765] = 4,
    ACTIONS(16592), 1,
      sym_keyword_inner,
    ACTIONS(16594), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16590), 3,
      sym_keyword_left,
      sym_keyword_right,
      sym_keyword_full,
  [501781] = 4,
    STATE(8006), 1,
      sym_identifier,
    STATE(8092), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16101), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501797] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(10998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501813] = 4,
    ACTIONS(16544), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15644), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(10422), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
  [501829] = 5,
    ACTIONS(16544), 1,
      sym_keyword_on,
    STATE(10429), 1,
      sym__on_duplicate_key_update,
    STATE(10431), 1,
      sym__on_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15642), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [501847] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11000), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501863] = 4,
    STATE(1898), 1,
      sym_identifier,
    STATE(8401), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501879] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(4178), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [501897] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(6968), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501913] = 4,
    STATE(6441), 1,
      sym_object_reference,
    STATE(6488), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501929] = 5,
    ACTIONS(2856), 1,
      aux_sym__single_quote_string_token1,
    STATE(894), 1,
      sym__single_quote_string,
    STATE(905), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3541), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [501947] = 4,
    ACTIONS(9120), 1,
      sym_keyword_limit,
    STATE(10876), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13911), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [501963] = 4,
    STATE(11551), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15394), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16596), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [501979] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11827), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [501995] = 6,
    ACTIONS(16357), 1,
      sym_keyword_create,
    ACTIONS(16361), 1,
      sym_keyword_all,
    ACTIONS(16598), 1,
      sym_keyword_tables,
    STATE(8211), 1,
      sym__show_create,
    STATE(8212), 1,
      sym__show_tables,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [502015] = 4,
    STATE(8006), 1,
      sym_identifier,
    STATE(8169), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16101), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502031] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11086), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502049] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11032), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502067] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11457), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502083] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(13679), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502099] = 5,
    ACTIONS(14628), 1,
      aux_sym__single_quote_string_token1,
    STATE(6687), 1,
      sym__single_quote_string,
    STATE(6836), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14632), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502117] = 4,
    ACTIONS(16600), 1,
      anon_sym_RPAREN,
    STATE(11033), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502133] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(12962), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502149] = 3,
    ACTIONS(16604), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16602), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [502163] = 3,
    ACTIONS(16608), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16606), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [502177] = 4,
    ACTIONS(16610), 1,
      anon_sym_RPAREN,
    STATE(12620), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502193] = 4,
    ACTIONS(16610), 1,
      anon_sym_RPAREN,
    STATE(11212), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502209] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11158), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502225] = 4,
    STATE(8006), 1,
      sym_identifier,
    STATE(8055), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16101), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502241] = 4,
    ACTIONS(11664), 1,
      sym_keyword_on,
    STATE(9309), 1,
      aux_sym__column_constraint_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15342), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [502257] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11059), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502273] = 4,
    STATE(1898), 1,
      sym_identifier,
    STATE(8365), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502289] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11065), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502305] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(12084), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502323] = 4,
    ACTIONS(14355), 1,
      sym_keyword_where,
    STATE(10248), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16500), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [502339] = 4,
    ACTIONS(14385), 1,
      sym_keyword_where,
    STATE(10576), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16325), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [502355] = 4,
    ACTIONS(14355), 1,
      sym_keyword_where,
    STATE(10243), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16488), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [502371] = 5,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(16612), 1,
      sym_keyword_none,
    STATE(10689), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [502389] = 4,
    STATE(7042), 1,
      sym_identifier,
    STATE(10645), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502405] = 5,
    ACTIONS(16614), 1,
      sym_keyword_partition,
    ACTIONS(16616), 1,
      anon_sym_LPAREN,
    STATE(11788), 1,
      sym__partition_spec,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15863), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [502423] = 5,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(16618), 1,
      sym_keyword_all,
    STATE(11215), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [502441] = 5,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(16620), 1,
      sym_keyword_all,
    STATE(10047), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [502459] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11754), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502475] = 4,
    ACTIONS(14355), 1,
      sym_keyword_where,
    STATE(10240), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16480), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [502491] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11099), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502509] = 4,
    STATE(8006), 1,
      sym_identifier,
    STATE(8046), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16101), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502525] = 5,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(6976), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3156), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502543] = 4,
    ACTIONS(9607), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16271), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(9415), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [502559] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11226), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502575] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11114), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502591] = 4,
    ACTIONS(16622), 1,
      sym_keyword_from,
    STATE(14709), 1,
      sym_index_hint,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(8892), 3,
      sym_keyword_force,
      sym_keyword_ignore,
      sym_keyword_use,
  [502607] = 4,
    STATE(7042), 1,
      sym_identifier,
    STATE(10316), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502623] = 4,
    STATE(10960), 1,
      sym_identifier,
    STATE(11601), 1,
      sym_set_configuration,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502639] = 4,
    STATE(11119), 1,
      sym__key_value_pair,
    STATE(12318), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502655] = 6,
    ACTIONS(12541), 1,
      anon_sym_LPAREN,
    ACTIONS(13622), 1,
      sym_keyword_select,
    ACTIONS(16624), 1,
      sym_keyword_all,
    STATE(7631), 1,
      sym__select_statement,
    STATE(7858), 1,
      sym_select,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [502675] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11481), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502691] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16626), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_where,
      sym_keyword_create,
      anon_sym_RPAREN,
  [502703] = 4,
    ACTIONS(14355), 1,
      sym_keyword_where,
    STATE(10217), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16454), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [502719] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16628), 5,
      sym_keyword_default,
      sym_keyword_plain,
      sym_keyword_extended,
      sym_keyword_main,
      sym_keyword_external,
  [502731] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11228), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502747] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11732), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502763] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(6957), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502779] = 4,
    ACTIONS(16083), 1,
      sym_keyword_update,
    STATE(11342), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16630), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [502795] = 4,
    STATE(7924), 1,
      sym_object_reference,
    STATE(8006), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16101), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502811] = 4,
    STATE(11793), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15907), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16632), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [502827] = 6,
    ACTIONS(16357), 1,
      sym_keyword_create,
    ACTIONS(16361), 1,
      sym_keyword_all,
    ACTIONS(16634), 1,
      sym_keyword_tables,
    STATE(8211), 1,
      sym__show_create,
    STATE(8212), 1,
      sym__show_tables,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [502847] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(8760), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502863] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11506), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502881] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11514), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502899] = 4,
    ACTIONS(16203), 1,
      anon_sym_COMMA,
    STATE(9621), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16636), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [502915] = 4,
    STATE(9087), 1,
      sym_identifier,
    STATE(12166), 1,
      sym_field,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [502931] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11511), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502949] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11504), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502967] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(12174), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [502985] = 3,
    ACTIONS(16640), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16638), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [502999] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11499), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503017] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11485), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503035] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11470), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503053] = 4,
    STATE(11799), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15933), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16642), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [503069] = 4,
    ACTIONS(14333), 1,
      anon_sym_COMMA,
    STATE(8428), 1,
      aux_sym__truncate_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16644), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [503085] = 3,
    ACTIONS(16646), 1,
      sym_keyword_sequence,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16510), 4,
      sym_keyword_table,
      sym_keyword_view,
      sym_keyword_recursive,
      sym_keyword_trigger,
  [503099] = 4,
    STATE(7042), 1,
      sym_identifier,
    STATE(11779), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503115] = 4,
    ACTIONS(14126), 1,
      anon_sym_COMMA,
    STATE(8024), 1,
      aux_sym_assignment_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16430), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [503131] = 4,
    ACTIONS(16648), 1,
      anon_sym_RPAREN,
    STATE(13527), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [503147] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11636), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503163] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(9635), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503179] = 5,
    ACTIONS(13679), 1,
      sym_keyword_union,
    ACTIONS(16650), 1,
      anon_sym_RPAREN,
    STATE(7700), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13681), 2,
      sym_keyword_except,
      sym_keyword_intersect,
  [503197] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11419), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503215] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11139), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503231] = 4,
    STATE(11142), 1,
      sym__key_value_pair,
    STATE(12318), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503247] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11407), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503265] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11402), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503283] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11261), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503301] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11388), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503319] = 4,
    ACTIONS(16652), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16415), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(9415), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [503335] = 4,
    ACTIONS(14385), 1,
      sym_keyword_where,
    STATE(10584), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16125), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [503351] = 4,
    STATE(11800), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15939), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16655), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [503367] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11373), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503385] = 5,
    ACTIONS(129), 1,
      sym__identifier,
    ACTIONS(16657), 1,
      sym_keyword_all,
    STATE(6962), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(193), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [503403] = 4,
    STATE(11801), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15943), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16659), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [503419] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11265), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503437] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11322), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503455] = 4,
    ACTIONS(9607), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16411), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(9415), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [503471] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11310), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503489] = 4,
    ACTIONS(16661), 1,
      anon_sym_RPAREN,
    STATE(12410), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [503505] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11305), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503523] = 4,
    STATE(11802), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15947), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16663), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [503539] = 4,
    ACTIONS(9628), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16428), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
    STATE(9161), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [503555] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11291), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503573] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11276), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503591] = 6,
    ACTIONS(16055), 1,
      anon_sym_PLUS,
    ACTIONS(16057), 1,
      anon_sym_DASH,
    ACTIONS(16059), 1,
      aux_sym__integer_token1,
    ACTIONS(16665), 1,
      anon_sym_RBRACK,
    STATE(13210), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [503611] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(12469), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503627] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11223), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503645] = 4,
    ACTIONS(15129), 1,
      anon_sym_RPAREN,
    STATE(13200), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [503661] = 4,
    ACTIONS(14355), 1,
      sym_keyword_where,
    STATE(10187), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16426), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [503677] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11211), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503695] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11206), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503713] = 4,
    ACTIONS(14120), 1,
      anon_sym_COMMA,
    STATE(9184), 1,
      aux_sym_assignment_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16413), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
  [503729] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11192), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503747] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11177), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503765] = 4,
    ACTIONS(14385), 1,
      sym_keyword_where,
    STATE(10586), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16107), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [503781] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11124), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503799] = 5,
    ACTIONS(14542), 1,
      aux_sym__single_quote_string_token1,
    STATE(6672), 1,
      sym__single_quote_string,
    STATE(6783), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14544), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503817] = 4,
    ACTIONS(9607), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16407), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(9415), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [503833] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11112), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503851] = 4,
    ACTIONS(9607), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16407), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(9415), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [503867] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16667), 5,
      sym_keyword_default,
      sym_keyword_plain,
      sym_keyword_extended,
      sym_keyword_main,
      sym_keyword_external,
  [503879] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11107), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503897] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(10726), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503913] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11093), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503931] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(12869), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503947] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11078), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [503965] = 4,
    STATE(6259), 1,
      sym_object_reference,
    STATE(6488), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [503981] = 4,
    ACTIONS(9607), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16051), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(9415), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [503997] = 4,
    ACTIONS(16584), 1,
      anon_sym_STAR,
    STATE(4488), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(521), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504013] = 4,
    ACTIONS(9607), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16067), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(9415), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [504029] = 4,
    STATE(7588), 1,
      sym_cte,
    STATE(11572), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504045] = 4,
    ACTIONS(9607), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16271), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(9415), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [504061] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11721), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504077] = 4,
    STATE(11561), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15214), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16669), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [504093] = 4,
    STATE(12248), 1,
      sym__key_value_pair,
    STATE(12318), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504109] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(12739), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504125] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(12256), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [504143] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11025), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [504161] = 5,
    ACTIONS(3865), 1,
      aux_sym__single_quote_string_token1,
    STATE(4421), 1,
      sym__literal_string,
    STATE(4477), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3873), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [504179] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11013), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [504197] = 5,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(16671), 1,
      sym_keyword_all,
    STATE(11804), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [504215] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(10378), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504231] = 4,
    ACTIONS(16544), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15398), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(10364), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
  [504247] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11008), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [504265] = 5,
    ACTIONS(16544), 1,
      sym_keyword_on,
    STATE(10362), 1,
      sym__on_conflict,
    STATE(10363), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15400), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [504283] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10994), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [504301] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10979), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [504319] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(7372), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [504337] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10926), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [504355] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(12506), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504371] = 4,
    ACTIONS(16203), 1,
      anon_sym_COMMA,
    STATE(9227), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16673), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [504387] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10914), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [504405] = 4,
    ACTIONS(14385), 1,
      sym_keyword_where,
    STATE(10629), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16369), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [504421] = 4,
    ACTIONS(16677), 1,
      anon_sym_COMMA,
    STATE(9480), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16675), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [504437] = 4,
    ACTIONS(16203), 1,
      anon_sym_COMMA,
    STATE(9210), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16680), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [504453] = 3,
    ACTIONS(16682), 1,
      sym__identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16684), 4,
      sym__dollar_quoted_string,
      sym__double_quote_string,
      aux_sym__single_quote_string_token1,
      aux_sym_identifier_token1,
  [504467] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10909), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [504485] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(9235), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504501] = 5,
    ACTIONS(14628), 1,
      aux_sym__single_quote_string_token1,
    STATE(6687), 1,
      sym__single_quote_string,
    STATE(6746), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14632), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [504519] = 5,
    ACTIONS(14628), 1,
      aux_sym__single_quote_string_token1,
    STATE(6687), 1,
      sym__single_quote_string,
    STATE(6869), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14632), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [504537] = 4,
    ACTIONS(16203), 1,
      anon_sym_COMMA,
    STATE(9480), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16680), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [504553] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10895), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [504571] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10880), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [504589] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11498), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504605] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16688), 2,
      sym_keyword_after,
      sym_keyword_before,
    ACTIONS(16686), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [504619] = 4,
    ACTIONS(16692), 1,
      sym_keyword_cache,
    ACTIONS(16694), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16690), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [504635] = 3,
    ACTIONS(16698), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16696), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [504649] = 4,
    ACTIONS(16700), 1,
      anon_sym_RPAREN,
    STATE(10613), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504665] = 4,
    ACTIONS(16702), 1,
      sym__identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16704), 2,
      sym_keyword_true,
      sym_keyword_false,
    ACTIONS(16706), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [504681] = 3,
    ACTIONS(16710), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16708), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [504695] = 3,
    ACTIONS(16714), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16712), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [504709] = 4,
    ACTIONS(16083), 1,
      sym_keyword_update,
    STATE(11302), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16716), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [504725] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(8960), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504741] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10813), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [504759] = 5,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(16718), 1,
      sym_keyword_all,
    STATE(11831), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [504777] = 4,
    ACTIONS(14385), 1,
      sym_keyword_where,
    STATE(10628), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16367), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [504793] = 4,
    ACTIONS(14355), 1,
      sym_keyword_where,
    STATE(9778), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16167), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [504809] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10801), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [504827] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10796), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [504845] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16720), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_where,
      sym_keyword_create,
      anon_sym_RPAREN,
  [504857] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10782), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [504875] = 4,
    ACTIONS(16169), 1,
      anon_sym_STAR,
    STATE(4172), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(277), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504891] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10767), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [504909] = 4,
    STATE(11475), 1,
      sym__key_value_pair,
    STATE(12318), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504925] = 5,
    ACTIONS(16544), 1,
      sym_keyword_on,
    STATE(10197), 1,
      sym__on_duplicate_key_update,
    STATE(10199), 1,
      sym__on_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15189), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [504943] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11319), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [504959] = 4,
    ACTIONS(14385), 1,
      sym_keyword_where,
    STATE(10626), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16365), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [504975] = 4,
    ACTIONS(14355), 1,
      sym_keyword_where,
    STATE(9795), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16165), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [504991] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16722), 5,
      sym_keyword_default,
      sym_keyword_plain,
      sym_keyword_extended,
      sym_keyword_main,
      sym_keyword_external,
  [505003] = 4,
    ACTIONS(14385), 1,
      sym_keyword_where,
    STATE(10624), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16363), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [505019] = 4,
    ACTIONS(16724), 1,
      anon_sym_RPAREN,
    STATE(10652), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505035] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(14252), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505051] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(12319), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505067] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10700), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [505085] = 5,
    ACTIONS(119), 1,
      sym__identifier,
    ACTIONS(16726), 1,
      sym_keyword_all,
    STATE(11466), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [505103] = 4,
    STATE(11019), 1,
      sym_identifier,
    STATE(11465), 1,
      sym_set_configuration,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505119] = 4,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(3325), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16728), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [505135] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10688), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [505153] = 4,
    STATE(8391), 1,
      sym_identifier,
    STATE(12216), 1,
      sym__with_settings,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505169] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10683), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [505187] = 4,
    STATE(6397), 1,
      sym_object_reference,
    STATE(6488), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505203] = 4,
    ACTIONS(16730), 1,
      anon_sym_RPAREN,
    STATE(11463), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505219] = 4,
    STATE(1898), 1,
      sym_identifier,
    STATE(11459), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505235] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10669), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [505253] = 5,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    STATE(89), 1,
      sym__single_quote_string,
    STATE(6753), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10703), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [505271] = 3,
    ACTIONS(15576), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15574), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [505285] = 3,
    ACTIONS(16734), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16732), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [505299] = 4,
    ACTIONS(16544), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15540), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(10181), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
  [505315] = 4,
    ACTIONS(14355), 1,
      sym_keyword_where,
    STATE(9974), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16197), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [505331] = 4,
    ACTIONS(14385), 1,
      sym_keyword_where,
    STATE(10595), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16109), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [505347] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10654), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [505365] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11710), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505381] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11324), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505397] = 4,
    ACTIONS(16736), 1,
      anon_sym_RPAREN,
    STATE(11326), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505413] = 4,
    ACTIONS(14355), 1,
      sym_keyword_where,
    STATE(9972), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16195), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [505429] = 4,
    ACTIONS(14385), 1,
      sym_keyword_where,
    STATE(10596), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16123), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [505445] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11424), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505461] = 4,
    ACTIONS(14385), 1,
      sym_keyword_where,
    STATE(10623), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16321), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [505477] = 3,
    ACTIONS(16740), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16738), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [505491] = 3,
    ACTIONS(15703), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15701), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [505505] = 5,
    ACTIONS(16544), 1,
      sym_keyword_on,
    STATE(10169), 1,
      sym__on_conflict,
    STATE(10176), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15542), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [505523] = 4,
    ACTIONS(16742), 1,
      anon_sym_RPAREN,
    STATE(12528), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [505539] = 5,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(11612), 1,
      sym_keyword_default,
    STATE(11868), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [505557] = 4,
    ACTIONS(14385), 1,
      sym_keyword_where,
    STATE(10597), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16133), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [505573] = 4,
    STATE(7935), 1,
      sym_object_reference,
    STATE(8006), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16101), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505589] = 4,
    STATE(7042), 1,
      sym_identifier,
    STATE(8420), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505605] = 4,
    ACTIONS(14385), 1,
      sym_keyword_where,
    STATE(10599), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16135), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [505621] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15051), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_cascade,
      sym_keyword_restrict,
      anon_sym_COMMA,
  [505633] = 4,
    ACTIONS(16083), 1,
      sym_keyword_update,
    STATE(12204), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16744), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [505649] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10587), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [505667] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16746), 5,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_where,
      sym_keyword_create,
      anon_sym_RPAREN,
  [505679] = 4,
    ACTIONS(14355), 1,
      sym_keyword_where,
    STATE(9954), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16181), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
  [505695] = 4,
    ACTIONS(16748), 1,
      anon_sym_RPAREN,
    STATE(10619), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505711] = 4,
    STATE(8006), 1,
      sym_identifier,
    STATE(8077), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16101), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505727] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10575), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [505745] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10570), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [505763] = 4,
    ACTIONS(14385), 1,
      sym_keyword_where,
    STATE(11004), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16127), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [505779] = 4,
    ACTIONS(16083), 1,
      sym_keyword_update,
    STATE(11414), 1,
      sym__create_trigger_event,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16750), 3,
      sym_keyword_delete,
      sym_keyword_insert,
      sym_keyword_truncate,
  [505795] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10556), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [505813] = 4,
    ACTIONS(16752), 1,
      anon_sym_RPAREN,
    STATE(11184), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505829] = 3,
    ACTIONS(16756), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16754), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [505843] = 5,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    STATE(384), 1,
      sym__single_quote_string,
    STATE(7261), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3156), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [505861] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10542), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [505879] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16021), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
  [505891] = 5,
    ACTIONS(14628), 1,
      aux_sym__single_quote_string_token1,
    STATE(6687), 1,
      sym__single_quote_string,
    STATE(6757), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14632), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [505909] = 4,
    STATE(1898), 1,
      sym_identifier,
    STATE(11331), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505925] = 4,
    ACTIONS(16544), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15614), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(9908), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
  [505941] = 3,
    ACTIONS(16760), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16758), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [505955] = 5,
    ACTIONS(14542), 1,
      aux_sym__single_quote_string_token1,
    STATE(6672), 1,
      sym__single_quote_string,
    STATE(6737), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14544), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [505973] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(12178), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [505989] = 6,
    ACTIONS(16055), 1,
      anon_sym_PLUS,
    ACTIONS(16057), 1,
      anon_sym_DASH,
    ACTIONS(16059), 1,
      aux_sym__integer_token1,
    ACTIONS(16762), 1,
      anon_sym_RBRACK,
    STATE(12361), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [506009] = 4,
    ACTIONS(15005), 1,
      anon_sym_RPAREN,
    STATE(12355), 1,
      sym_window_frame,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14048), 3,
      sym_keyword_range,
      sym_keyword_rows,
      sym_keyword_groups,
  [506025] = 5,
    ACTIONS(16544), 1,
      sym_keyword_on,
    STATE(9907), 1,
      sym__on_duplicate_key_update,
    STATE(9926), 1,
      sym__on_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15616), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [506043] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11311), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [506061] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11341), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [506079] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11336), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [506097] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10494), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [506115] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11338), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [506133] = 4,
    ACTIONS(16544), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15628), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(9901), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
  [506149] = 5,
    ACTIONS(16544), 1,
      sym_keyword_on,
    STATE(9892), 1,
      sym__on_conflict,
    STATE(9896), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15630), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [506167] = 5,
    ACTIONS(14628), 1,
      aux_sym__single_quote_string_token1,
    STATE(6687), 1,
      sym__single_quote_string,
    STATE(6856), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14632), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [506185] = 4,
    ACTIONS(9607), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16193), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(9415), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [506201] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10484), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [506219] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11355), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [506237] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10952), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [506255] = 5,
    ACTIONS(2459), 1,
      aux_sym__single_quote_string_token1,
    STATE(821), 1,
      sym__single_quote_string,
    STATE(2555), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(2467), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [506273] = 4,
    ACTIONS(9607), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16193), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(9415), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [506289] = 4,
    ACTIONS(16544), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15185), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(9736), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
  [506305] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10627), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [506323] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10706), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [506341] = 4,
    ACTIONS(9607), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16199), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    STATE(9415), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [506357] = 4,
    ACTIONS(16169), 1,
      anon_sym_STAR,
    STATE(3476), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(645), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506373] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11698), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506389] = 4,
    ACTIONS(16764), 1,
      anon_sym_RPAREN,
    STATE(10632), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506405] = 5,
    ACTIONS(16544), 1,
      sym_keyword_on,
    STATE(9902), 1,
      sym__on_duplicate_key_update,
    STATE(9905), 1,
      sym__on_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15785), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [506423] = 5,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(16766), 1,
      sym_keyword_none,
    STATE(12195), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [506441] = 4,
    ACTIONS(16768), 1,
      anon_sym_COMMA,
    STATE(9653), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13443), 3,
      sym_keyword_from,
      sym_keyword_create,
      anon_sym_RPAREN,
  [506457] = 4,
    ACTIONS(16544), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15789), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(9900), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
  [506473] = 5,
    ACTIONS(13679), 1,
      sym_keyword_union,
    ACTIONS(16105), 1,
      anon_sym_RPAREN,
    STATE(7700), 1,
      aux_sym_set_operation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13681), 2,
      sym_keyword_except,
      sym_keyword_intersect,
  [506491] = 4,
    STATE(7042), 1,
      sym_identifier,
    STATE(9679), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506507] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(12606), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506523] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(12049), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [506541] = 5,
    ACTIONS(4153), 1,
      aux_sym__single_quote_string_token1,
    STATE(1023), 1,
      sym__single_quote_string,
    STATE(6834), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4161), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [506559] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11410), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [506577] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10850), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [506595] = 5,
    ACTIONS(16544), 1,
      sym_keyword_on,
    STATE(9739), 1,
      sym__on_conflict,
    STATE(9740), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15723), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [506613] = 5,
    ACTIONS(16544), 1,
      sym_keyword_on,
    STATE(9898), 1,
      sym__on_duplicate_key_update,
    STATE(9899), 1,
      sym__on_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15785), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [506631] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(8869), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506647] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10874), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [506665] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10937), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [506683] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11416), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [506701] = 4,
    ACTIONS(16770), 1,
      anon_sym_RPAREN,
    STATE(11346), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506717] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(10972), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [506735] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11047), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [506753] = 4,
    ACTIONS(16203), 1,
      anon_sym_COMMA,
    STATE(9480), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16772), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [506769] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16776), 2,
      sym_keyword_after,
      sym_keyword_before,
    ACTIONS(16774), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [506783] = 4,
    STATE(7042), 1,
      sym_identifier,
    STATE(11255), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506799] = 5,
    ACTIONS(14628), 1,
      aux_sym__single_quote_string_token1,
    STATE(6687), 1,
      sym__single_quote_string,
    STATE(6891), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14632), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [506817] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11236), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [506835] = 5,
    ACTIONS(16544), 1,
      sym_keyword_on,
    STATE(9870), 1,
      sym__on_duplicate_key_update,
    STATE(9876), 1,
      sym__on_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15801), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [506853] = 4,
    ACTIONS(16770), 1,
      anon_sym_RPAREN,
    STATE(12608), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506869] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11359), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506885] = 4,
    STATE(7042), 1,
      sym_identifier,
    STATE(9645), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506901] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11267), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [506919] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11303), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [506937] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11360), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [506953] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11358), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [506971] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11434), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [506989] = 4,
    ACTIONS(16203), 1,
      anon_sym_COMMA,
    STATE(9487), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16772), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [507005] = 4,
    STATE(7042), 1,
      sym_identifier,
    STATE(9998), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507021] = 4,
    ACTIONS(16544), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15803), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(9865), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
  [507037] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(9481), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507053] = 4,
    STATE(7042), 1,
      sym_identifier,
    STATE(9707), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507069] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11426), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [507087] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11428), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [507105] = 4,
    STATE(7042), 1,
      sym_identifier,
    STATE(9360), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507121] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(9477), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507137] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11503), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [507155] = 5,
    ACTIONS(16614), 1,
      sym_keyword_partition,
    ACTIONS(16778), 1,
      anon_sym_LPAREN,
    STATE(11926), 1,
      sym__partition_spec,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16009), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [507173] = 4,
    ACTIONS(16780), 1,
      anon_sym_RPAREN,
    STATE(10644), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507189] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11493), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [507207] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11489), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [507225] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15765), 5,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_on,
      sym_keyword_when,
      sym_keyword_returning,
  [507237] = 5,
    ACTIONS(16544), 1,
      sym_keyword_on,
    STATE(9732), 1,
      sym__on_conflict,
    STATE(9735), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15723), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [507255] = 4,
    ACTIONS(16544), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15725), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
    STATE(9725), 2,
      sym__on_conflict,
      sym__on_duplicate_key_update,
  [507271] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11438), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [507289] = 4,
    ACTIONS(16768), 1,
      anon_sym_COMMA,
    STATE(9665), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13134), 3,
      sym_keyword_from,
      sym_keyword_create,
      anon_sym_RPAREN,
  [507305] = 4,
    STATE(11937), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15955), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16782), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [507321] = 5,
    ACTIONS(4153), 1,
      aux_sym__single_quote_string_token1,
    STATE(1023), 1,
      sym__single_quote_string,
    STATE(6460), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(4161), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [507339] = 4,
    STATE(11575), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15276), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16784), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [507355] = 4,
    STATE(7042), 1,
      sym_identifier,
    STATE(9554), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507371] = 4,
    STATE(11966), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15925), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16786), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [507387] = 4,
    STATE(7042), 1,
      sym_identifier,
    STATE(9399), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507403] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(11702), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507419] = 4,
    STATE(7042), 1,
      sym_identifier,
    STATE(8322), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507435] = 4,
    STATE(5623), 1,
      sym_identifier,
    STATE(14278), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507451] = 4,
    STATE(11965), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15889), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16788), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [507467] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11482), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [507485] = 4,
    ACTIONS(16790), 1,
      anon_sym_COMMA,
    STATE(9665), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13234), 3,
      sym_keyword_from,
      sym_keyword_create,
      anon_sym_RPAREN,
  [507501] = 4,
    STATE(7042), 1,
      sym_identifier,
    STATE(9417), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507517] = 4,
    STATE(11968), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15883), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16793), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [507533] = 4,
    STATE(7042), 1,
      sym_identifier,
    STATE(9420), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507549] = 4,
    STATE(11973), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15859), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16795), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [507565] = 4,
    STATE(7042), 1,
      sym_identifier,
    STATE(9427), 1,
      sym_object_reference,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507581] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11477), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [507599] = 5,
    ACTIONS(16544), 1,
      sym_keyword_on,
    STATE(9718), 1,
      sym__on_conflict,
    STATE(9720), 1,
      sym__on_duplicate_key_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15733), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [507617] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11700), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [507635] = 6,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(12541), 1,
      anon_sym_LPAREN,
    ACTIONS(16797), 1,
      sym_keyword_all,
    STATE(7578), 1,
      sym_select,
    STATE(7631), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [507655] = 4,
    STATE(11577), 1,
      sym__drop_behavior,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15280), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(16799), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [507671] = 5,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(11592), 1,
      sym_keyword_none,
    STATE(12088), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [507689] = 5,
    ACTIONS(1287), 1,
      sym__identifier,
    ACTIONS(11592), 1,
      sym_keyword_default,
    STATE(12088), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [507707] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(137), 1,
      sym__single_quote_string,
    STATE(11377), 1,
      sym__literal_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(3035), 2,
      sym__dollar_quoted_string,
      sym__double_quote_string,
  [507725] = 4,
    ACTIONS(16801), 1,
      sym_keyword_as,
    ACTIONS(16803), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15795), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [507741] = 4,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    STATE(4321), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16422), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [507756] = 4,
    ACTIONS(16807), 1,
      sym_keyword_check,
    STATE(10579), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16805), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [507771] = 3,
    STATE(11162), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507784] = 3,
    STATE(8393), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507797] = 3,
    STATE(7043), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507810] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9494), 1,
      sym_keyword_else,
    ACTIONS(9496), 1,
      sym_keyword_end,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [507827] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15657), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [507838] = 3,
    STATE(6622), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(581), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507851] = 3,
    STATE(3728), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(277), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507864] = 3,
    STATE(9460), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507877] = 3,
    STATE(11997), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507890] = 4,
    ACTIONS(10779), 1,
      sym_keyword_order,
    STATE(12090), 1,
      sym_order_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16809), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [507905] = 3,
    STATE(8725), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507918] = 3,
    STATE(9945), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507931] = 4,
    ACTIONS(16811), 1,
      sym_keyword_force,
    ACTIONS(16813), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16291), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [507946] = 3,
    STATE(9385), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507959] = 3,
    STATE(8729), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [507972] = 5,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(12541), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7631), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [507989] = 4,
    ACTIONS(14355), 1,
      sym_keyword_where,
    STATE(11371), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16815), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [508004] = 3,
    ACTIONS(16817), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16231), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [508017] = 3,
    STATE(188), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508030] = 3,
    STATE(6414), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508043] = 5,
    ACTIONS(16819), 1,
      sym_keyword_group,
    ACTIONS(16821), 1,
      sym_keyword_no,
    ACTIONS(16823), 1,
      sym_keyword_current,
    ACTIONS(16825), 1,
      sym_keyword_ties,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508060] = 4,
    ACTIONS(16827), 1,
      anon_sym_COMMA,
    STATE(10231), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16201), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [508075] = 3,
    ACTIONS(16829), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16243), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [508088] = 4,
    ACTIONS(16833), 1,
      sym_keyword_returning,
    STATE(12150), 1,
      sym_returning,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16831), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [508103] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16265), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_references,
      anon_sym_COMMA,
  [508114] = 4,
    ACTIONS(14866), 1,
      anon_sym_COMMA,
    STATE(9970), 1,
      aux_sym__truncate_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16149), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [508129] = 3,
    ACTIONS(16837), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16835), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [508142] = 3,
    STATE(11353), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508155] = 3,
    STATE(8363), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508168] = 3,
    STATE(4172), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508181] = 3,
    STATE(11345), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508194] = 4,
    ACTIONS(14385), 1,
      sym_keyword_where,
    STATE(11570), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16839), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [508209] = 3,
    STATE(11343), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508222] = 4,
    ACTIONS(14385), 1,
      sym_keyword_where,
    STATE(11569), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16841), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [508237] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16843), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [508248] = 4,
    ACTIONS(16807), 1,
      sym_keyword_check,
    STATE(10552), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16845), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [508263] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16847), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [508274] = 4,
    ACTIONS(14385), 1,
      sym_keyword_where,
    STATE(11568), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16849), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [508289] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16847), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [508300] = 4,
    ACTIONS(16853), 1,
      anon_sym_COMMA,
    STATE(9721), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16851), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [508315] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16851), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [508326] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16856), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [508337] = 3,
    STATE(9836), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508350] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16858), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [508361] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16860), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [508372] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16860), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [508383] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16862), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [508394] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16864), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [508405] = 4,
    ACTIONS(16807), 1,
      sym_keyword_check,
    STATE(10561), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16866), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [508420] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14977), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [508431] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16868), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [508442] = 4,
    ACTIONS(16833), 1,
      sym_keyword_returning,
    STATE(12209), 1,
      sym_returning,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16870), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [508457] = 3,
    STATE(2471), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(193), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508470] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16868), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [508481] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15614), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [508492] = 4,
    ACTIONS(16833), 1,
      sym_keyword_returning,
    STATE(12208), 1,
      sym_returning,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16872), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [508507] = 3,
    STATE(8402), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508520] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16868), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [508531] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16868), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [508542] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16874), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [508553] = 3,
    STATE(7164), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508566] = 3,
    STATE(9827), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508579] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16876), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [508590] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14950), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [508601] = 3,
    STATE(7871), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508614] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16878), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [508625] = 3,
    ACTIONS(16880), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16175), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [508638] = 4,
    ACTIONS(16882), 1,
      sym_keyword_set,
    ACTIONS(16886), 1,
      sym_keyword_no,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16884), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [508653] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16888), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [508664] = 3,
    STATE(2371), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(193), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508677] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16890), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [508688] = 4,
    ACTIONS(16894), 1,
      anon_sym_COMMA,
    STATE(9819), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16892), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [508703] = 4,
    ACTIONS(16894), 1,
      anon_sym_COMMA,
    STATE(9721), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16892), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [508718] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16896), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [508729] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10649), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [508740] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16898), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [508751] = 5,
    ACTIONS(12541), 1,
      anon_sym_LPAREN,
    ACTIONS(16900), 1,
      sym_keyword_select,
    STATE(8897), 1,
      sym_select,
    STATE(9931), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508768] = 4,
    ACTIONS(16902), 1,
      sym_keyword_returning,
    STATE(10802), 1,
      sym_returning,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16831), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [508783] = 3,
    STATE(11398), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508796] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16904), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [508807] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16906), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [508818] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16908), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [508829] = 3,
    STATE(9656), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [508842] = 4,
    ACTIONS(16912), 1,
      sym_keyword_check,
    STATE(9944), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16910), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [508857] = 5,
    ACTIONS(16914), 1,
      anon_sym_RPAREN,
    ACTIONS(16916), 1,
      anon_sym_COMMA,
    STATE(9813), 1,
      aux_sym_column_definitions_repeat1,
    STATE(12493), 1,
      sym_constraints,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508874] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16758), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [508885] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16918), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [508896] = 4,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(10154), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16325), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [508911] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16920), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [508922] = 5,
    ACTIONS(16922), 1,
      sym_keyword_temp,
    ACTIONS(16924), 1,
      sym_keyword_temporary,
    ACTIONS(16926), 1,
      sym_keyword_trigger,
    STATE(12494), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508939] = 3,
    ACTIONS(16928), 1,
      sym_keyword_authorization,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16548), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [508952] = 5,
    ACTIONS(16930), 1,
      anon_sym_PLUS,
    ACTIONS(16932), 1,
      anon_sym_DASH,
    ACTIONS(16934), 1,
      aux_sym__integer_token1,
    STATE(7287), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [508969] = 4,
    ACTIONS(16936), 1,
      sym_keyword_default,
    ACTIONS(16940), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16938), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [508984] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16942), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [508995] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16944), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509006] = 4,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(10269), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16125), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509021] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16181), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509032] = 4,
    ACTIONS(16946), 1,
      sym_keyword_default,
    ACTIONS(16948), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16938), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [509047] = 4,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(10271), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16107), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509062] = 4,
    ACTIONS(16807), 1,
      sym_keyword_check,
    STATE(10588), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16950), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [509077] = 3,
    STATE(7721), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509090] = 3,
    ACTIONS(16952), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16299), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [509103] = 3,
    STATE(9804), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509116] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16954), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509127] = 3,
    STATE(7638), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509140] = 3,
    STATE(6775), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(193), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509153] = 3,
    STATE(14317), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509166] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16956), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509177] = 4,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    STATE(4321), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16153), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [509192] = 3,
    STATE(8653), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509205] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15701), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509216] = 4,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(10408), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16109), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509231] = 4,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(10410), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16123), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509246] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16197), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509257] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16958), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509268] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16960), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509279] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16962), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509290] = 4,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(10413), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16133), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509305] = 4,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(10417), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16135), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509320] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16964), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509331] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15574), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509342] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16966), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509353] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    STATE(10002), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16968), 2,
      sym_keyword_on,
      sym_keyword_or,
  [509368] = 4,
    ACTIONS(16970), 1,
      sym_keyword_default,
    ACTIONS(16974), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16972), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [509383] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(16976), 1,
      sym__double_quote_string,
    ACTIONS(16978), 1,
      sym__dollar_quoted_string_start_tag,
    STATE(6945), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509400] = 3,
    STATE(6764), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(193), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509413] = 4,
    ACTIONS(16807), 1,
      sym_keyword_check,
    STATE(10600), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16980), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [509428] = 3,
    STATE(11859), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509441] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16982), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509452] = 4,
    ACTIONS(16984), 1,
      aux_sym_keyword_character_token1,
    STATE(13771), 1,
      sym_keyword_character,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11637), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [509467] = 3,
    ACTIONS(16986), 1,
      sym_keyword_authorization,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16261), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [509480] = 5,
    ACTIONS(16916), 1,
      anon_sym_COMMA,
    ACTIONS(16988), 1,
      anon_sym_RPAREN,
    STATE(11289), 1,
      aux_sym_column_definitions_repeat1,
    STATE(12587), 1,
      sym_constraints,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509497] = 3,
    STATE(9796), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509510] = 3,
    STATE(10968), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509523] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16990), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509534] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16992), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509545] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9146), 1,
      sym_keyword_else,
    ACTIONS(9148), 1,
      sym_keyword_end,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509562] = 4,
    ACTIONS(16894), 1,
      anon_sym_COMMA,
    STATE(9721), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16994), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [509577] = 3,
    STATE(9173), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509590] = 5,
    ACTIONS(16055), 1,
      anon_sym_PLUS,
    ACTIONS(16057), 1,
      anon_sym_DASH,
    ACTIONS(16059), 1,
      aux_sym__integer_token1,
    STATE(10064), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509607] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16167), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509618] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16996), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [509629] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16998), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [509640] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17000), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [509651] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15163), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [509662] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17002), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [509673] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15023), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [509684] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15153), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [509695] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17004), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [509706] = 4,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(10418), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16321), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509721] = 4,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(10409), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16363), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509736] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17006), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [509747] = 3,
    STATE(10096), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509760] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17008), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509771] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17010), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [509782] = 3,
    STATE(8578), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509795] = 4,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(10404), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16365), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509810] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17012), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509821] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17014), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_compute,
      anon_sym_RPAREN,
  [509832] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17016), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509843] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17018), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509854] = 4,
    ACTIONS(16912), 1,
      sym_keyword_check,
    STATE(9767), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17020), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [509869] = 4,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(10401), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16367), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509884] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(10514), 1,
      sym_keyword_end,
    ACTIONS(17022), 1,
      sym_keyword_else,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509901] = 3,
    ACTIONS(16694), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16690), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [509914] = 4,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(10399), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16369), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [509929] = 3,
    STATE(11298), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [509942] = 4,
    ACTIONS(16807), 1,
      sym_keyword_check,
    STATE(10638), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17024), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [509957] = 5,
    ACTIONS(17026), 1,
      anon_sym_RPAREN,
    ACTIONS(17028), 1,
      anon_sym_COMMA,
    ACTIONS(17030), 1,
      anon_sym_EQ,
    STATE(11325), 1,
      aux_sym_storage_parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [509974] = 4,
    ACTIONS(17034), 1,
      anon_sym_COMMA,
    STATE(10230), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17032), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [509989] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16675), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [510000] = 3,
    STATE(6782), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510013] = 5,
    ACTIONS(12541), 1,
      anon_sym_LPAREN,
    ACTIONS(16900), 1,
      sym_keyword_select,
    STATE(8897), 1,
      sym_select,
    STATE(9756), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510030] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10749), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [510041] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17036), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [510052] = 3,
    STATE(14325), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510065] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17038), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [510076] = 3,
    STATE(14792), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510089] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17040), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(17042), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [510102] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17044), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [510113] = 4,
    ACTIONS(17046), 1,
      sym_keyword_when,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17049), 2,
      sym_keyword_else,
      sym_keyword_end,
  [510128] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(10248), 1,
      sym_keyword_end,
    ACTIONS(17051), 1,
      sym_keyword_else,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510145] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17053), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [510156] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17055), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [510167] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16079), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_references,
      anon_sym_COMMA,
  [510178] = 3,
    ACTIONS(17057), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16075), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [510191] = 3,
    STATE(11222), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510204] = 3,
    ACTIONS(17059), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16071), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [510217] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17061), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [510228] = 3,
    STATE(6751), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(581), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510241] = 3,
    STATE(11210), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510254] = 3,
    STATE(7043), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(651), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510267] = 3,
    STATE(504), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(397), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510280] = 3,
    STATE(11200), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510293] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17061), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [510304] = 5,
    ACTIONS(16916), 1,
      anon_sym_COMMA,
    ACTIONS(17063), 1,
      anon_sym_RPAREN,
    STATE(11289), 1,
      aux_sym_column_definitions_repeat1,
    STATE(12293), 1,
      sym_constraints,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510321] = 3,
    STATE(11199), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510334] = 3,
    STATE(11194), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510347] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17065), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [510358] = 3,
    STATE(11191), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510371] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17067), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [510382] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17069), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [510393] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17071), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [510404] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17073), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [510415] = 3,
    STATE(11183), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510428] = 3,
    STATE(11181), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510441] = 3,
    ACTIONS(17077), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17075), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [510454] = 3,
    STATE(6414), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510467] = 3,
    ACTIONS(17079), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16391), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [510480] = 3,
    STATE(14335), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510493] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17081), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [510504] = 3,
    STATE(7149), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510517] = 3,
    STATE(11174), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510530] = 4,
    ACTIONS(14385), 1,
      sym_keyword_where,
    STATE(11559), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17083), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [510545] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17081), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [510556] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17085), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [510567] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17087), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [510578] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17087), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [510589] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15185), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [510600] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17089), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [510611] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17087), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [510622] = 3,
    STATE(3476), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(645), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510635] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17091), 2,
      sym_keyword_begin,
      sym__identifier,
    ACTIONS(17093), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [510648] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17087), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [510659] = 3,
    STATE(11653), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510672] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17095), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [510683] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17097), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [510694] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17099), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [510705] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17101), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [510716] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17103), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [510727] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17105), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [510738] = 3,
    STATE(12365), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510751] = 5,
    ACTIONS(16159), 1,
      anon_sym_LPAREN,
    ACTIONS(17107), 1,
      sym_keyword_select,
    STATE(9165), 1,
      sym_select,
    STATE(10664), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510768] = 3,
    STATE(8315), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510781] = 3,
    STATE(3504), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(645), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510794] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17109), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [510805] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17111), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [510816] = 3,
    STATE(7937), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510829] = 4,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(10248), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16500), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [510844] = 4,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(10243), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16488), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [510859] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17113), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [510870] = 4,
    ACTIONS(14654), 1,
      anon_sym_COMMA,
    STATE(8179), 1,
      aux_sym_assignment_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16430), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [510885] = 4,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(10240), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16480), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [510900] = 3,
    STATE(11380), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [510913] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17095), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [510924] = 4,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(10217), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16454), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [510939] = 5,
    ACTIONS(16916), 1,
      anon_sym_COMMA,
    ACTIONS(17115), 1,
      anon_sym_RPAREN,
    STATE(9966), 1,
      aux_sym_column_definitions_repeat1,
    STATE(13508), 1,
      sym_constraints,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [510956] = 4,
    ACTIONS(16807), 1,
      sym_keyword_check,
    STATE(10677), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17117), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [510971] = 4,
    ACTIONS(10779), 1,
      sym_keyword_order,
    STATE(12200), 1,
      sym_order_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17119), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [510986] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17121), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [510997] = 4,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(10187), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16426), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [511012] = 3,
    STATE(11146), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511025] = 3,
    ACTIONS(17123), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16129), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [511038] = 5,
    ACTIONS(13831), 1,
      sym_keyword_view,
    ACTIONS(13841), 1,
      sym_keyword_recursive,
    ACTIONS(13843), 1,
      sym_keyword_trigger,
    ACTIONS(17125), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511055] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14337), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [511066] = 3,
    STATE(188), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511079] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(10196), 1,
      sym_keyword_end,
    ACTIONS(17127), 1,
      sym_keyword_else,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511096] = 5,
    ACTIONS(12541), 1,
      anon_sym_LPAREN,
    ACTIONS(17129), 1,
      sym_keyword_select,
    STATE(8897), 1,
      sym_select,
    STATE(10262), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511113] = 3,
    ACTIONS(17131), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16171), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [511126] = 3,
    STATE(9333), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511139] = 3,
    STATE(8826), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511152] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17133), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(17135), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
  [511165] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16638), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [511176] = 4,
    ACTIONS(17137), 1,
      sym_keyword_force,
    ACTIONS(17139), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16305), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [511191] = 4,
    ACTIONS(14654), 1,
      anon_sym_COMMA,
    STATE(9923), 1,
      aux_sym_assignment_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16413), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [511206] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17141), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [511217] = 4,
    ACTIONS(16912), 1,
      sym_keyword_check,
    STATE(10209), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17143), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [511232] = 3,
    STATE(12158), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511245] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16580), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [511256] = 3,
    STATE(7491), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511269] = 3,
    ACTIONS(17147), 1,
      sym_keyword_force,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17145), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [511282] = 5,
    ACTIONS(13958), 1,
      sym_keyword_view,
    ACTIONS(13968), 1,
      sym_keyword_recursive,
    ACTIONS(13970), 1,
      sym_keyword_trigger,
    ACTIONS(17149), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511299] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16454), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [511310] = 3,
    STATE(11723), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511323] = 3,
    STATE(7209), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511336] = 5,
    ACTIONS(13843), 1,
      sym_keyword_trigger,
    ACTIONS(17151), 1,
      sym_keyword_temp,
    ACTIONS(17153), 1,
      sym_keyword_temporary,
    STATE(14464), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511353] = 3,
    STATE(6940), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(193), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511366] = 5,
    ACTIONS(12541), 1,
      anon_sym_LPAREN,
    ACTIONS(13622), 1,
      sym_keyword_select,
    STATE(7631), 1,
      sym__select_statement,
    STATE(7858), 1,
      sym_select,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511383] = 3,
    ACTIONS(17157), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17155), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [511396] = 4,
    ACTIONS(14385), 1,
      sym_keyword_where,
    STATE(11589), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17159), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [511411] = 5,
    ACTIONS(12541), 1,
      anon_sym_LPAREN,
    ACTIONS(17129), 1,
      sym_keyword_select,
    STATE(8897), 1,
      sym_select,
    STATE(9931), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511428] = 3,
    STATE(7181), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511441] = 4,
    ACTIONS(14385), 1,
      sym_keyword_where,
    STATE(11593), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17161), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [511456] = 3,
    STATE(11216), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511469] = 5,
    ACTIONS(16916), 1,
      anon_sym_COMMA,
    ACTIONS(17163), 1,
      anon_sym_RPAREN,
    STATE(11289), 1,
      aux_sym_column_definitions_repeat1,
    STATE(13607), 1,
      sym_constraints,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511486] = 3,
    STATE(7014), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511499] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9511), 1,
      sym_keyword_else,
    ACTIONS(9513), 1,
      sym_keyword_end,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511516] = 4,
    ACTIONS(16827), 1,
      anon_sym_COMMA,
    STATE(10231), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16482), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [511531] = 4,
    ACTIONS(14866), 1,
      anon_sym_COMMA,
    STATE(8703), 1,
      aux_sym__truncate_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16347), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [511546] = 3,
    STATE(11213), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511559] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16488), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [511570] = 5,
    ACTIONS(12541), 1,
      anon_sym_LPAREN,
    ACTIONS(13622), 1,
      sym_keyword_select,
    STATE(7718), 1,
      sym__select_statement,
    STATE(7858), 1,
      sym_select,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511587] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16500), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [511598] = 3,
    STATE(12610), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511611] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17165), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [511622] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17167), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [511633] = 4,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(9974), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16197), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [511648] = 3,
    STATE(7753), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511661] = 5,
    ACTIONS(12541), 1,
      anon_sym_LPAREN,
    ACTIONS(16900), 1,
      sym_keyword_select,
    STATE(8897), 1,
      sym_select,
    STATE(10262), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511678] = 4,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(9972), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16195), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [511693] = 3,
    STATE(53), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511706] = 5,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(17169), 1,
      sym_keyword_if,
    STATE(9622), 1,
      sym__single_quote_string,
    STATE(12142), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511723] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17171), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [511734] = 3,
    ACTIONS(17173), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16343), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [511747] = 4,
    ACTIONS(16827), 1,
      anon_sym_COMMA,
    STATE(10231), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16462), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [511762] = 4,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(9954), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16181), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [511777] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17175), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [511788] = 3,
    STATE(11051), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511801] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(10338), 1,
      sym_keyword_end,
    ACTIONS(17177), 1,
      sym_keyword_else,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511818] = 5,
    ACTIONS(12541), 1,
      anon_sym_LPAREN,
    ACTIONS(17129), 1,
      sym_keyword_select,
    STATE(8897), 1,
      sym_select,
    STATE(9756), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511835] = 3,
    STATE(12140), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511848] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16602), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [511859] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17179), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [511870] = 3,
    STATE(11207), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511883] = 3,
    STATE(7161), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511896] = 3,
    STATE(13539), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [511909] = 4,
    ACTIONS(14866), 1,
      anon_sym_COMMA,
    STATE(10318), 1,
      aux_sym__truncate_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16347), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [511924] = 4,
    ACTIONS(16807), 1,
      sym_keyword_check,
    STATE(10718), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17181), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [511939] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17183), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [511950] = 5,
    ACTIONS(16159), 1,
      anon_sym_LPAREN,
    ACTIONS(17107), 1,
      sym_keyword_select,
    STATE(9165), 1,
      sym_select,
    STATE(10720), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [511967] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17185), 2,
      sym_keyword_on,
      sym_keyword_or,
  [511982] = 4,
    ACTIONS(16827), 1,
      anon_sym_COMMA,
    STATE(9703), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16490), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [511997] = 4,
    ACTIONS(17187), 1,
      sym_keyword_cache,
    ACTIONS(17189), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16494), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [512012] = 3,
    STATE(13586), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512025] = 3,
    STATE(11887), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512038] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17191), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512049] = 3,
    STATE(13594), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512062] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17193), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512073] = 3,
    STATE(7483), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512086] = 3,
    STATE(7898), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512099] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17195), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [512110] = 5,
    ACTIONS(16185), 1,
      anon_sym_PLUS,
    ACTIONS(16187), 1,
      anon_sym_DASH,
    ACTIONS(16189), 1,
      aux_sym__integer_token1,
    STATE(7464), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512127] = 3,
    STATE(2131), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(193), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512140] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17197), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [512151] = 5,
    ACTIONS(16185), 1,
      anon_sym_PLUS,
    ACTIONS(16187), 1,
      anon_sym_DASH,
    ACTIONS(16189), 1,
      aux_sym__integer_token1,
    STATE(7461), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512168] = 3,
    STATE(11431), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512181] = 3,
    STATE(11003), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512194] = 3,
    STATE(11874), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512207] = 3,
    STATE(13731), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512220] = 3,
    STATE(11201), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512233] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14842), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [512244] = 3,
    STATE(9716), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512257] = 5,
    ACTIONS(13843), 1,
      sym_keyword_trigger,
    ACTIONS(14032), 1,
      sym_keyword_view,
    ACTIONS(14040), 1,
      sym_keyword_recursive,
    ACTIONS(17199), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512274] = 4,
    ACTIONS(16902), 1,
      sym_keyword_returning,
    STATE(10666), 1,
      sym_returning,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16870), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [512289] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17201), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [512300] = 4,
    ACTIONS(16912), 1,
      sym_keyword_check,
    STATE(9988), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17203), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [512315] = 4,
    ACTIONS(16894), 1,
      anon_sym_COMMA,
    STATE(9721), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17205), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [512330] = 3,
    STATE(9723), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512343] = 3,
    STATE(12683), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512356] = 3,
    ACTIONS(17207), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16470), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [512369] = 5,
    ACTIONS(12541), 1,
      anon_sym_LPAREN,
    ACTIONS(17129), 1,
      sym_keyword_select,
    STATE(8897), 1,
      sym_select,
    STATE(9855), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512386] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17209), 2,
      sym_keyword_begin,
      sym__identifier,
    ACTIONS(17211), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [512399] = 3,
    STATE(10092), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512412] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17213), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [512423] = 3,
    STATE(7205), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512436] = 3,
    STATE(9741), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512449] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17215), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512460] = 3,
    STATE(9675), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512473] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9344), 1,
      sym_keyword_else,
    ACTIONS(9346), 1,
      sym_keyword_end,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512490] = 3,
    STATE(7767), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512503] = 3,
    STATE(11185), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512516] = 3,
    STATE(4307), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(397), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512529] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17217), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512540] = 3,
    STATE(9750), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512553] = 4,
    ACTIONS(16894), 1,
      anon_sym_COMMA,
    STATE(9754), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17205), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [512568] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    STATE(10394), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17219), 2,
      sym_keyword_immediate,
      sym_keyword_deferred,
  [512583] = 5,
    ACTIONS(16055), 1,
      anon_sym_PLUS,
    ACTIONS(16057), 1,
      anon_sym_DASH,
    ACTIONS(16059), 1,
      aux_sym__integer_token1,
    STATE(10304), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512600] = 3,
    STATE(12104), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512613] = 5,
    ACTIONS(16570), 1,
      sym_keyword_temp,
    ACTIONS(16572), 1,
      sym_keyword_temporary,
    ACTIONS(16574), 1,
      sym_keyword_trigger,
    STATE(12760), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512630] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17221), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512641] = 4,
    ACTIONS(17223), 1,
      sym_keyword_default,
    ACTIONS(17227), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17225), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [512656] = 3,
    ACTIONS(17229), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16524), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [512669] = 3,
    ACTIONS(17231), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16536), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [512682] = 3,
    STATE(7647), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512695] = 3,
    STATE(4250), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(397), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512708] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17233), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512719] = 3,
    STATE(10355), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512732] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17235), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [512743] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17237), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [512754] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9587), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [512765] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17239), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [512776] = 3,
    STATE(8704), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512789] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17241), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [512800] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17243), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [512811] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14896), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512822] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17245), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [512833] = 5,
    ACTIONS(16930), 1,
      anon_sym_PLUS,
    ACTIONS(16932), 1,
      anon_sym_DASH,
    ACTIONS(16934), 1,
      aux_sym__integer_token1,
    STATE(10646), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [512850] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17247), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [512861] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17249), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [512872] = 3,
    STATE(9801), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512885] = 3,
    STATE(7221), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512898] = 3,
    STATE(13807), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512911] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17251), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [512922] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17253), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [512933] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17255), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [512944] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17257), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [512955] = 3,
    ACTIONS(17259), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16313), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [512968] = 3,
    STATE(9812), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512981] = 3,
    STATE(4112), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [512994] = 3,
    STATE(9096), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513007] = 3,
    ACTIONS(17261), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16580), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [513020] = 4,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(9795), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16165), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [513035] = 4,
    ACTIONS(16902), 1,
      sym_keyword_returning,
    STATE(10665), 1,
      sym_returning,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16872), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [513050] = 3,
    ACTIONS(17263), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16602), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [513063] = 3,
    ACTIONS(17265), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16606), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [513076] = 4,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(9778), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16167), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [513091] = 3,
    STATE(9014), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513104] = 4,
    ACTIONS(16807), 1,
      sym_keyword_check,
    STATE(10780), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17267), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [513119] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16518), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [513130] = 3,
    STATE(7235), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513143] = 5,
    ACTIONS(17028), 1,
      anon_sym_COMMA,
    ACTIONS(17269), 1,
      anon_sym_RPAREN,
    ACTIONS(17271), 1,
      anon_sym_EQ,
    STATE(11045), 1,
      aux_sym_storage_parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513160] = 3,
    STATE(6927), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14630), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513173] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17273), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [513184] = 5,
    ACTIONS(16055), 1,
      anon_sym_PLUS,
    ACTIONS(16057), 1,
      anon_sym_DASH,
    ACTIONS(16059), 1,
      aux_sym__integer_token1,
    STATE(7255), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513201] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17275), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [513212] = 3,
    STATE(10964), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513225] = 3,
    STATE(8369), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513238] = 3,
    STATE(8018), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513251] = 5,
    ACTIONS(16159), 1,
      anon_sym_LPAREN,
    ACTIONS(17107), 1,
      sym_keyword_select,
    STATE(9165), 1,
      sym_select,
    STATE(10783), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513268] = 3,
    STATE(8533), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513281] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9473), 1,
      sym_keyword_else,
    ACTIONS(9475), 1,
      sym_keyword_end,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513298] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16434), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_with,
  [513309] = 3,
    STATE(13048), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513322] = 5,
    ACTIONS(16916), 1,
      anon_sym_COMMA,
    ACTIONS(17277), 1,
      anon_sym_RPAREN,
    STATE(11289), 1,
      aux_sym_column_definitions_repeat1,
    STATE(13529), 1,
      sym_constraints,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513339] = 3,
    STATE(8532), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513352] = 4,
    ACTIONS(9681), 1,
      sym_keyword_when,
    ACTIONS(16428), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10135), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [513367] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11120), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_collate,
  [513378] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17279), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_compute,
      anon_sym_RPAREN,
  [513389] = 3,
    ACTIONS(17281), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16476), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [513402] = 3,
    ACTIONS(16498), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16494), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [513415] = 3,
    STATE(3998), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1205), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513428] = 3,
    STATE(2475), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1141), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513441] = 3,
    STATE(810), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1081), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513454] = 3,
    STATE(4580), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513467] = 3,
    STATE(5220), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(651), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513480] = 3,
    STATE(4325), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(891), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513493] = 3,
    STATE(5758), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(831), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513506] = 3,
    STATE(4631), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1205), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513519] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(10206), 1,
      sym_keyword_end,
    ACTIONS(17283), 1,
      sym_keyword_else,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513536] = 3,
    STATE(4662), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1205), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513549] = 5,
    ACTIONS(16185), 1,
      anon_sym_PLUS,
    ACTIONS(16187), 1,
      anon_sym_DASH,
    ACTIONS(16189), 1,
      aux_sym__integer_token1,
    STATE(7404), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513566] = 3,
    STATE(810), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(651), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513579] = 3,
    STATE(2650), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1141), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513592] = 3,
    STATE(2663), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1141), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513605] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17285), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [513616] = 5,
    ACTIONS(17287), 1,
      sym_keyword_temp,
    ACTIONS(17289), 1,
      sym_keyword_temporary,
    ACTIONS(17291), 1,
      sym_keyword_trigger,
    STATE(13976), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513633] = 3,
    STATE(11447), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513646] = 3,
    STATE(11449), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513659] = 3,
    STATE(810), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(641), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513672] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17293), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [513683] = 3,
    STATE(2223), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1081), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513696] = 3,
    STATE(12902), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513709] = 3,
    STATE(2141), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1081), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513722] = 4,
    ACTIONS(16415), 1,
      anon_sym_RPAREN,
    ACTIONS(17295), 1,
      sym_keyword_when,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10135), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [513737] = 4,
    ACTIONS(9681), 1,
      sym_keyword_when,
    ACTIONS(16411), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10135), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [513752] = 4,
    ACTIONS(9681), 1,
      sym_keyword_when,
    ACTIONS(16407), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10135), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [513767] = 3,
    STATE(3204), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(645), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513780] = 5,
    ACTIONS(16185), 1,
      anon_sym_PLUS,
    ACTIONS(16187), 1,
      anon_sym_DASH,
    ACTIONS(16189), 1,
      aux_sym__integer_token1,
    STATE(7403), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513797] = 4,
    ACTIONS(9681), 1,
      sym_keyword_when,
    ACTIONS(16407), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10135), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [513812] = 4,
    ACTIONS(14355), 1,
      sym_keyword_where,
    STATE(10859), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17161), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [513827] = 3,
    STATE(4084), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(521), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513840] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16626), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_where,
      sym_keyword_create,
  [513851] = 3,
    STATE(12932), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513864] = 5,
    ACTIONS(12541), 1,
      anon_sym_LPAREN,
    ACTIONS(16900), 1,
      sym_keyword_select,
    STATE(8897), 1,
      sym_select,
    STATE(9855), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [513881] = 4,
    ACTIONS(16912), 1,
      sym_keyword_check,
    STATE(10044), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17298), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [513896] = 4,
    ACTIONS(14355), 1,
      sym_keyword_where,
    STATE(10854), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17159), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [513911] = 3,
    STATE(12930), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513924] = 3,
    STATE(4770), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513937] = 4,
    ACTIONS(9681), 1,
      sym_keyword_when,
    ACTIONS(16199), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10135), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [513952] = 3,
    STATE(14039), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513965] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17300), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [513976] = 3,
    STATE(4754), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1269), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [513989] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17302), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [514000] = 3,
    STATE(6734), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1283), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514013] = 4,
    ACTIONS(9681), 1,
      sym_keyword_when,
    ACTIONS(16193), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10135), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [514028] = 4,
    ACTIONS(9681), 1,
      sym_keyword_when,
    ACTIONS(16193), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10135), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [514043] = 3,
    STATE(2823), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(651), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514056] = 3,
    ACTIONS(17304), 1,
      sym_keyword_collate,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16518), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [514069] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(10310), 1,
      sym_keyword_end,
    ACTIONS(17306), 1,
      sym_keyword_else,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514086] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9286), 1,
      sym_keyword_else,
    ACTIONS(9288), 1,
      sym_keyword_end,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514103] = 3,
    STATE(9850), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514116] = 4,
    ACTIONS(9681), 1,
      sym_keyword_when,
    ACTIONS(16067), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10135), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [514131] = 3,
    STATE(8255), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514144] = 3,
    STATE(3476), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(337), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514157] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17308), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [514168] = 4,
    ACTIONS(9681), 1,
      sym_keyword_when,
    ACTIONS(16051), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10135), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [514183] = 4,
    ACTIONS(9681), 1,
      sym_keyword_when,
    ACTIONS(16051), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10135), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [514198] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17310), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [514209] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10883), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [514220] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16516), 4,
      anon_sym_LPAREN,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514231] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16470), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [514242] = 5,
    ACTIONS(17312), 1,
      anon_sym_PLUS,
    ACTIONS(17314), 1,
      anon_sym_DASH,
    ACTIONS(17316), 1,
      aux_sym__integer_token1,
    STATE(7255), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514259] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17318), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [514270] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17320), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [514281] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17310), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [514292] = 3,
    STATE(5595), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(651), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514305] = 3,
    STATE(3504), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(337), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514318] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17322), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [514329] = 4,
    ACTIONS(9681), 1,
      sym_keyword_when,
    ACTIONS(16271), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10135), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [514344] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17324), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [514355] = 4,
    ACTIONS(9681), 1,
      sym_keyword_when,
    ACTIONS(16271), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(10135), 2,
      sym_when_clause,
      aux_sym__merge_statement_repeat1,
  [514370] = 3,
    STATE(69), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514383] = 5,
    ACTIONS(16281), 1,
      anon_sym_PLUS,
    ACTIONS(16283), 1,
      anon_sym_DASH,
    ACTIONS(16285), 1,
      aux_sym__integer_token1,
    STATE(7549), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514400] = 5,
    ACTIONS(16281), 1,
      anon_sym_PLUS,
    ACTIONS(16283), 1,
      anon_sym_DASH,
    ACTIONS(16285), 1,
      aux_sym__integer_token1,
    STATE(7546), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514417] = 3,
    STATE(7044), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(193), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514430] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17326), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [514441] = 3,
    STATE(8945), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514454] = 4,
    ACTIONS(17328), 1,
      sym_keyword_set,
    ACTIONS(17332), 1,
      sym_keyword_no,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17330), 2,
      sym_keyword_cascade,
      sym_keyword_restrict,
  [514469] = 3,
    STATE(5640), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(651), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514482] = 3,
    ACTIONS(17334), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16552), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [514495] = 3,
    ACTIONS(15851), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14896), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [514508] = 4,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(9822), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16464), 2,
      sym_keyword_create,
      anon_sym_RPAREN,
  [514523] = 5,
    ACTIONS(16281), 1,
      anon_sym_PLUS,
    ACTIONS(16283), 1,
      anon_sym_DASH,
    ACTIONS(16285), 1,
      aux_sym__integer_token1,
    STATE(7496), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514540] = 3,
    STATE(2823), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(581), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514553] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16420), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [514564] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17293), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [514575] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(10278), 1,
      sym_keyword_end,
    ACTIONS(17336), 1,
      sym_keyword_else,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514592] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17293), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [514603] = 5,
    ACTIONS(16281), 1,
      anon_sym_PLUS,
    ACTIONS(16283), 1,
      anon_sym_DASH,
    ACTIONS(16285), 1,
      aux_sym__integer_token1,
    STATE(7495), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514620] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9498), 1,
      sym_keyword_else,
    ACTIONS(9500), 1,
      sym_keyword_end,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514637] = 3,
    STATE(9038), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514650] = 4,
    ACTIONS(17034), 1,
      anon_sym_COMMA,
    STATE(10432), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17205), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [514665] = 5,
    ACTIONS(16159), 1,
      anon_sym_LPAREN,
    ACTIONS(17107), 1,
      sym_keyword_select,
    STATE(9165), 1,
      sym_select,
    STATE(10848), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514682] = 3,
    STATE(10823), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514695] = 5,
    ACTIONS(16916), 1,
      anon_sym_COMMA,
    ACTIONS(17338), 1,
      anon_sym_RPAREN,
    STATE(9877), 1,
      aux_sym_column_definitions_repeat1,
    STATE(13040), 1,
      sym_constraints,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514712] = 3,
    STATE(10898), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514725] = 5,
    ACTIONS(17340), 1,
      anon_sym_PLUS,
    ACTIONS(17342), 1,
      anon_sym_DASH,
    ACTIONS(17344), 1,
      aux_sym__integer_token1,
    STATE(7287), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514742] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16391), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [514753] = 3,
    STATE(4549), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(891), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514766] = 4,
    ACTIONS(16912), 1,
      sym_keyword_check,
    STATE(10368), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17346), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [514781] = 3,
    STATE(7109), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(651), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514794] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17348), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [514805] = 4,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(9856), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16420), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [514820] = 3,
    STATE(4522), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(891), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514833] = 3,
    STATE(10818), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514846] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16369), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [514857] = 3,
    STATE(7624), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(117), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514870] = 3,
    STATE(3450), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1067), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514883] = 3,
    STATE(7215), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514896] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(10164), 1,
      sym_keyword_end,
    ACTIONS(17350), 1,
      sym_keyword_else,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514913] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9411), 1,
      sym_keyword_else,
    ACTIONS(9413), 1,
      sym_keyword_end,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514930] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9400), 1,
      sym_keyword_else,
    ACTIONS(9402), 1,
      sym_keyword_end,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514947] = 3,
    STATE(11507), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [514960] = 4,
    ACTIONS(16827), 1,
      anon_sym_COMMA,
    STATE(9969), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16673), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [514975] = 5,
    ACTIONS(16916), 1,
      anon_sym_COMMA,
    ACTIONS(17352), 1,
      anon_sym_RPAREN,
    STATE(10105), 1,
      aux_sym_column_definitions_repeat1,
    STATE(13653), 1,
      sym_constraints,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [514992] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15789), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [515003] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17293), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [515014] = 3,
    STATE(10808), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515027] = 4,
    ACTIONS(17034), 1,
      anon_sym_COMMA,
    STATE(10450), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17205), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [515042] = 4,
    ACTIONS(17354), 1,
      anon_sym_COMMA,
    STATE(10231), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16675), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [515057] = 3,
    STATE(4418), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515070] = 3,
    STATE(10806), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515083] = 3,
    STATE(4839), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(831), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515096] = 5,
    ACTIONS(13628), 1,
      sym_keyword_select,
    ACTIONS(16159), 1,
      anon_sym_LPAREN,
    STATE(7907), 1,
      sym__select_statement,
    STATE(7927), 1,
      sym_select,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515113] = 3,
    STATE(11746), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515126] = 4,
    ACTIONS(16827), 1,
      anon_sym_COMMA,
    STATE(9986), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16680), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [515141] = 5,
    ACTIONS(13628), 1,
      sym_keyword_select,
    ACTIONS(16159), 1,
      anon_sym_LPAREN,
    STATE(7799), 1,
      sym__select_statement,
    STATE(7927), 1,
      sym_select,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515158] = 3,
    STATE(4112), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(277), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515171] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16367), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [515182] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(10326), 1,
      sym_keyword_end,
    ACTIONS(17357), 1,
      sym_keyword_else,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515199] = 3,
    STATE(2823), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515212] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16365), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [515223] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(10597), 1,
      sym_keyword_end,
    ACTIONS(17359), 1,
      sym_keyword_else,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515240] = 3,
    STATE(2371), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(271), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515253] = 3,
    STATE(11744), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515266] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9220), 1,
      sym_keyword_else,
    ACTIONS(9222), 1,
      sym_keyword_end,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515283] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16363), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [515294] = 4,
    ACTIONS(16827), 1,
      anon_sym_COMMA,
    STATE(10231), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16680), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [515309] = 3,
    STATE(11509), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515322] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13911), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [515333] = 4,
    ACTIONS(17361), 1,
      sym_keyword_cache,
    ACTIONS(17363), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16690), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [515348] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17365), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [515359] = 5,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(17169), 1,
      sym_keyword_if,
    STATE(10471), 1,
      sym__single_quote_string,
    STATE(11743), 1,
      sym__if_not_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515376] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17367), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [515387] = 3,
    STATE(13270), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515400] = 3,
    STATE(8281), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515413] = 3,
    STATE(12358), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515426] = 3,
    STATE(1954), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(193), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515439] = 5,
    ACTIONS(16281), 1,
      anon_sym_PLUS,
    ACTIONS(16283), 1,
      anon_sym_DASH,
    ACTIONS(16285), 1,
      aux_sym__integer_token1,
    STATE(7501), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515456] = 3,
    STATE(12362), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515469] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17369), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [515480] = 3,
    STATE(11741), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515493] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17371), 2,
      sym_keyword_begin,
      sym__identifier,
    ACTIONS(17373), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [515506] = 3,
    STATE(4849), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(831), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515519] = 3,
    STATE(12363), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515532] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17375), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [515543] = 4,
    ACTIONS(16912), 1,
      sym_keyword_check,
    STATE(10172), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17377), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [515558] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16325), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [515569] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16686), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(17379), 2,
      sym_keyword_after,
      sym_keyword_before,
  [515582] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17381), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [515593] = 3,
    STATE(11767), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515606] = 3,
    ACTIONS(16307), 1,
      sym_keyword_force,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16305), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [515619] = 3,
    STATE(4488), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515632] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17383), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [515643] = 3,
    STATE(9316), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515656] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16313), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [515667] = 3,
    STATE(10690), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515680] = 3,
    STATE(9079), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515693] = 3,
    STATE(2251), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(771), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515706] = 3,
    ACTIONS(17387), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17385), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [515719] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(10518), 1,
      sym_keyword_end,
    ACTIONS(17389), 1,
      sym_keyword_else,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515736] = 3,
    ACTIONS(17391), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16638), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [515749] = 5,
    ACTIONS(17393), 1,
      sym_keyword_range,
    ACTIONS(17395), 1,
      sym_keyword_enum,
    ACTIONS(17397), 1,
      anon_sym_LPAREN,
    STATE(10159), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515766] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9230), 1,
      sym_keyword_else,
    ACTIONS(9232), 1,
      sym_keyword_end,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515783] = 3,
    STATE(6402), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(711), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515796] = 5,
    ACTIONS(16281), 1,
      anon_sym_PLUS,
    ACTIONS(16283), 1,
      anon_sym_DASH,
    ACTIONS(16285), 1,
      aux_sym__integer_token1,
    STATE(7559), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515813] = 3,
    STATE(8463), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515826] = 3,
    STATE(10835), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515839] = 3,
    STATE(9039), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515852] = 3,
    STATE(12447), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515865] = 3,
    STATE(6870), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14630), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515878] = 3,
    STATE(12451), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515891] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16343), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [515902] = 3,
    STATE(4849), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(641), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515915] = 3,
    STATE(12452), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515928] = 3,
    STATE(8299), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515941] = 3,
    STATE(6464), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(711), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515954] = 5,
    ACTIONS(16930), 1,
      anon_sym_PLUS,
    ACTIONS(16932), 1,
      anon_sym_DASH,
    ACTIONS(16934), 1,
      aux_sym__integer_token1,
    STATE(10707), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [515971] = 3,
    STATE(7068), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(651), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [515984] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9541), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [515995] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17399), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [516006] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17401), 2,
      sym_keyword_immediate,
      sym_keyword_deferred,
  [516021] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17403), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [516032] = 3,
    STATE(12529), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516045] = 3,
    STATE(4488), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(521), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516058] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17405), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [516069] = 4,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(10196), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16127), 2,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [516084] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17407), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [516095] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17409), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [516106] = 3,
    STATE(12533), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516119] = 3,
    STATE(12534), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516132] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17411), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [516143] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17413), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [516154] = 4,
    ACTIONS(17034), 1,
      anon_sym_COMMA,
    STATE(10450), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16994), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [516169] = 4,
    ACTIONS(16827), 1,
      anon_sym_COMMA,
    STATE(10436), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16636), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [516184] = 3,
    STATE(5729), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(645), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516197] = 4,
    ACTIONS(14866), 1,
      anon_sym_COMMA,
    STATE(8703), 1,
      aux_sym__truncate_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16644), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [516212] = 5,
    ACTIONS(16185), 1,
      anon_sym_PLUS,
    ACTIONS(16187), 1,
      anon_sym_DASH,
    ACTIONS(16189), 1,
      aux_sym__integer_token1,
    STATE(7346), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516229] = 4,
    ACTIONS(16894), 1,
      anon_sym_COMMA,
    STATE(10028), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17032), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [516244] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(10440), 1,
      sym_keyword_end,
    ACTIONS(17415), 1,
      sym_keyword_else,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516261] = 4,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    STATE(4321), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16728), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [516276] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9280), 1,
      sym_keyword_else,
    ACTIONS(9282), 1,
      sym_keyword_end,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516293] = 3,
    STATE(4172), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(277), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516306] = 3,
    STATE(6764), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516319] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17417), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [516330] = 5,
    ACTIONS(1404), 1,
      sym_keyword_select,
    ACTIONS(16159), 1,
      anon_sym_LPAREN,
    STATE(7640), 1,
      sym_select,
    STATE(7799), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516347] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16682), 2,
      sym_keyword_only,
      sym__identifier,
    ACTIONS(16684), 2,
      sym__double_quote_string,
      aux_sym_identifier_token1,
  [516360] = 3,
    ACTIONS(17419), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13789), 3,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [516373] = 5,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(17421), 1,
      sym__double_quote_string,
    ACTIONS(17423), 1,
      sym__dollar_quoted_string_start_tag,
    STATE(7021), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516390] = 3,
    STATE(9299), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516403] = 3,
    STATE(4418), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(521), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516416] = 3,
    STATE(14663), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516429] = 3,
    STATE(4839), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(641), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516442] = 3,
    STATE(8518), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516455] = 3,
    STATE(8822), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516468] = 3,
    STATE(8765), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516481] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14768), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [516492] = 3,
    STATE(7226), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516505] = 3,
    STATE(735), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1279), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516518] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9419), 1,
      sym_keyword_else,
    ACTIONS(9421), 1,
      sym_keyword_end,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516535] = 3,
    ACTIONS(17427), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17425), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [516548] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(10266), 1,
      sym_keyword_end,
    ACTIONS(17429), 1,
      sym_keyword_else,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516565] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9388), 1,
      sym_keyword_else,
    ACTIONS(9390), 1,
      sym_keyword_end,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516582] = 3,
    ACTIONS(16207), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15574), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [516595] = 3,
    ACTIONS(17431), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16732), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [516608] = 3,
    STATE(7794), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(651), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516621] = 3,
    STATE(10069), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516634] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11157), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_collate,
  [516645] = 3,
    STATE(4118), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1067), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516658] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    STATE(10303), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17433), 2,
      sym_keyword_immediate,
      sym_keyword_deferred,
  [516673] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17435), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [516684] = 4,
    ACTIONS(14355), 1,
      sym_keyword_where,
    STATE(10536), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16839), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [516699] = 4,
    ACTIONS(14355), 1,
      sym_keyword_where,
    STATE(10532), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16841), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [516714] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16261), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [516725] = 3,
    STATE(4055), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1067), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516738] = 3,
    STATE(14778), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516751] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(10192), 1,
      sym_keyword_end,
    ACTIONS(17437), 1,
      sym_keyword_else,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516768] = 3,
    STATE(7240), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516781] = 3,
    STATE(14779), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516794] = 4,
    ACTIONS(14355), 1,
      sym_keyword_where,
    STATE(10530), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16849), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [516809] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17439), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [516820] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17439), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [516831] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17441), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [516842] = 5,
    ACTIONS(17443), 1,
      sym_keyword_range,
    ACTIONS(17445), 1,
      sym_keyword_enum,
    ACTIONS(17447), 1,
      anon_sym_LPAREN,
    STATE(9249), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516859] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16746), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_where,
      sym_keyword_create,
  [516870] = 5,
    ACTIONS(16185), 1,
      anon_sym_PLUS,
    ACTIONS(16187), 1,
      anon_sym_DASH,
    ACTIONS(16189), 1,
      aux_sym__integer_token1,
    STATE(7422), 1,
      sym__integer,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [516887] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16175), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [516898] = 3,
    STATE(11707), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516911] = 4,
    ACTIONS(16912), 1,
      sym_keyword_check,
    STATE(10463), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17449), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [516926] = 3,
    STATE(504), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(457), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516939] = 3,
    ACTIONS(17451), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16696), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [516952] = 3,
    STATE(8109), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16101), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [516965] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17453), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [516976] = 3,
    ACTIONS(17455), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16712), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [516989] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(10392), 1,
      sym_keyword_end,
    ACTIONS(17457), 1,
      sym_keyword_else,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517006] = 3,
    STATE(8563), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517019] = 3,
    ACTIONS(17461), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17459), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [517032] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9186), 1,
      sym_keyword_else,
    ACTIONS(9188), 1,
      sym_keyword_end,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517049] = 3,
    ACTIONS(17463), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16754), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [517062] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16720), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_where,
      sym_keyword_create,
  [517073] = 3,
    STATE(6800), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517086] = 3,
    ACTIONS(17465), 1,
      sym_keyword_with,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16758), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [517099] = 3,
    STATE(11242), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517112] = 3,
    STATE(11011), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517125] = 3,
    STATE(10773), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517138] = 3,
    STATE(11171), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517151] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17467), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [517162] = 5,
    ACTIONS(1404), 1,
      sym_keyword_select,
    ACTIONS(16159), 1,
      anon_sym_LPAREN,
    STATE(7640), 1,
      sym_select,
    STATE(7907), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517179] = 3,
    STATE(7033), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(193), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517192] = 5,
    ACTIONS(13970), 1,
      sym_keyword_trigger,
    ACTIONS(17469), 1,
      sym_keyword_temp,
    ACTIONS(17471), 1,
      sym_keyword_temporary,
    STATE(14826), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517209] = 3,
    STATE(2592), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(771), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517222] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17473), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [517233] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17475), 2,
      sym_keyword_immediate,
      sym_keyword_deferred,
  [517248] = 3,
    STATE(6775), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517261] = 3,
    STATE(2618), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(771), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517274] = 5,
    ACTIONS(17477), 1,
      sym_keyword_temp,
    ACTIONS(17479), 1,
      sym_keyword_temporary,
    ACTIONS(17481), 1,
      sym_keyword_trigger,
    STATE(14829), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517291] = 3,
    STATE(6966), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(651), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517304] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16123), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [517315] = 3,
    STATE(4427), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(457), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517328] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16135), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [517339] = 3,
    STATE(7254), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517352] = 3,
    STATE(13839), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517365] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16133), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [517376] = 3,
    STATE(8235), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16101), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517389] = 3,
    STATE(13836), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517402] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16127), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [517413] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16125), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [517424] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17483), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [517435] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17485), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [517446] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17487), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [517457] = 3,
    STATE(4441), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(457), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517470] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17489), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [517481] = 5,
    ACTIONS(16117), 1,
      sym_keyword_temp,
    ACTIONS(16119), 1,
      sym_keyword_temporary,
    ACTIONS(16121), 1,
      sym_keyword_trigger,
    STATE(14833), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517498] = 3,
    STATE(9002), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517511] = 3,
    ACTIONS(17491), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16738), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [517524] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16107), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [517535] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16109), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [517546] = 3,
    ACTIONS(16111), 1,
      sym_keyword_cascade,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15701), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [517559] = 3,
    STATE(13571), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517572] = 3,
    ACTIONS(17493), 1,
      sym_keyword_references,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16708), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [517585] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15694), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [517596] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17495), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [517607] = 3,
    STATE(1954), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(711), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517620] = 5,
    ACTIONS(17497), 1,
      sym_keyword_temp,
    ACTIONS(17499), 1,
      sym_keyword_temporary,
    ACTIONS(17501), 1,
      sym_keyword_trigger,
    STATE(14835), 1,
      sym__temporary,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517637] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17503), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [517648] = 3,
    STATE(8142), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16101), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517661] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(10446), 1,
      sym_keyword_end,
    ACTIONS(17505), 1,
      sym_keyword_else,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517678] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17507), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [517689] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9172), 1,
      sym_keyword_else,
    ACTIONS(9174), 1,
      sym_keyword_end,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [517706] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17507), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_returning,
      anon_sym_RPAREN,
  [517717] = 4,
    ACTIONS(17034), 1,
      anon_sym_COMMA,
    STATE(10450), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16892), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [517732] = 4,
    ACTIONS(17034), 1,
      anon_sym_COMMA,
    STATE(10315), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16892), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [517747] = 4,
    ACTIONS(14385), 1,
      sym_keyword_where,
    STATE(11671), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16815), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [517762] = 3,
    STATE(10756), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517775] = 4,
    ACTIONS(16827), 1,
      anon_sym_COMMA,
    STATE(10231), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16772), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [517790] = 3,
    STATE(6622), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517803] = 3,
    STATE(5886), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(645), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517816] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17509), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [517827] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17511), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [517838] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17513), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [517849] = 3,
    STATE(5987), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(645), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517862] = 3,
    STATE(6538), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14397), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517875] = 3,
    STATE(8836), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517888] = 4,
    ACTIONS(16827), 1,
      anon_sym_COMMA,
    STATE(10249), 1,
      aux_sym__rename_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16772), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [517903] = 3,
    STATE(10772), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517916] = 3,
    STATE(7218), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517929] = 3,
    ACTIONS(17515), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13789), 3,
      sym_keyword_union,
      sym_keyword_except,
      sym_keyword_intersect,
  [517942] = 3,
    STATE(10748), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517955] = 4,
    ACTIONS(17517), 1,
      anon_sym_COMMA,
    STATE(10450), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16851), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [517970] = 3,
    STATE(8953), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517983] = 3,
    STATE(3204), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(337), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [517996] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(10627), 1,
      sym_keyword_end,
    ACTIONS(17520), 1,
      sym_keyword_else,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518013] = 3,
    ACTIONS(17524), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17522), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [518026] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9467), 1,
      sym_keyword_else,
    ACTIONS(9469), 1,
      sym_keyword_end,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518043] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(9086), 1,
      sym_keyword_else,
    ACTIONS(9088), 1,
      sym_keyword_end,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518060] = 5,
    ACTIONS(7), 1,
      sym_keyword_select,
    ACTIONS(12541), 1,
      anon_sym_LPAREN,
    STATE(7578), 1,
      sym_select,
    STATE(7718), 1,
      sym__select_statement,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518077] = 3,
    STATE(890), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1279), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [518090] = 3,
    STATE(11687), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [518103] = 4,
    ACTIONS(16912), 1,
      sym_keyword_check,
    STATE(10294), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17526), 2,
      sym_keyword_cascaded,
      sym_keyword_local,
  [518118] = 3,
    STATE(11686), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [518131] = 3,
    STATE(7165), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [518144] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16129), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_create,
      anon_sym_RPAREN,
  [518155] = 3,
    STATE(8946), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [518168] = 3,
    STATE(3692), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(397), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [518181] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14347), 4,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      sym_keyword_when,
      anon_sym_RPAREN,
  [518192] = 3,
    STATE(8825), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [518205] = 3,
    STATE(2131), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(271), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [518218] = 3,
    STATE(13778), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [518231] = 4,
    ACTIONS(14355), 1,
      sym_keyword_where,
    STATE(10939), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17083), 2,
      ts_builtin_sym_end,
      anon_sym_SEMI,
  [518246] = 3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16774), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
    ACTIONS(17528), 2,
      sym_keyword_after,
      sym_keyword_before,
  [518259] = 5,
    ACTIONS(9074), 1,
      sym_keyword_when,
    ACTIONS(10296), 1,
      sym_keyword_end,
    ACTIONS(17530), 1,
      sym_keyword_else,
    STATE(9862), 1,
      aux_sym_case_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518276] = 3,
    STATE(2471), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(271), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [518289] = 3,
    STATE(11683), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1291), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [518302] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11141), 4,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
      sym_keyword_collate,
  [518313] = 3,
    STATE(7180), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(127), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [518326] = 3,
    STATE(887), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(1279), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [518339] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17532), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [518349] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(17534), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518363] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17016), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [518373] = 4,
    ACTIONS(17536), 1,
      anon_sym_RPAREN,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518387] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16876), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [518397] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16878), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [518407] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(17540), 1,
      anon_sym_RPAREN,
    STATE(14821), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518421] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16890), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [518431] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16898), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [518441] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16904), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [518451] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16908), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [518461] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16918), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [518471] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16920), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [518481] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16942), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [518491] = 4,
    ACTIONS(17542), 1,
      anon_sym_RPAREN,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    STATE(11382), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518505] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16954), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [518515] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(17546), 1,
      anon_sym_RPAREN,
    STATE(14814), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518529] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16982), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [518539] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16990), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [518549] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17012), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [518559] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17018), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [518569] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17038), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [518579] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17548), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [518589] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17053), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [518599] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17008), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [518609] = 3,
    ACTIONS(17552), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17550), 2,
      sym_keyword_after,
      sym_keyword_before,
  [518621] = 3,
    ACTIONS(17556), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17554), 2,
      sym_keyword_after,
      sym_keyword_before,
  [518633] = 3,
    ACTIONS(17560), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17558), 2,
      sym_keyword_after,
      sym_keyword_before,
  [518645] = 3,
    ACTIONS(17564), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17562), 2,
      sym_keyword_after,
      sym_keyword_before,
  [518657] = 3,
    ACTIONS(17568), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17566), 2,
      sym_keyword_after,
      sym_keyword_before,
  [518669] = 3,
    ACTIONS(17572), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17570), 2,
      sym_keyword_after,
      sym_keyword_before,
  [518681] = 3,
    ACTIONS(17576), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17574), 2,
      sym_keyword_after,
      sym_keyword_before,
  [518693] = 3,
    ACTIONS(17580), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17578), 2,
      sym_keyword_after,
      sym_keyword_before,
  [518705] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17065), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [518715] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17067), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [518725] = 3,
    ACTIONS(17582), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17584), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [518737] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17069), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [518747] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17071), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [518757] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17073), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [518767] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17085), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [518777] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17099), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [518787] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17103), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [518797] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17105), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [518807] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17109), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [518817] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17111), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [518827] = 4,
    ACTIONS(17586), 1,
      sym_keyword_on,
    ACTIONS(17588), 1,
      sym_keyword_or,
    STATE(11327), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518841] = 3,
    ACTIONS(17590), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2616), 2,
      sym_subquery,
      sym_list,
  [518853] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(17592), 1,
      sym_keyword_on,
    STATE(10523), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518867] = 4,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(17594), 1,
      anon_sym_RPAREN,
    STATE(10932), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518881] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(17592), 1,
      sym_keyword_on,
    STATE(11327), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518895] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(17596), 1,
      sym_keyword_on,
    STATE(10527), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518909] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(17596), 1,
      sym_keyword_on,
    STATE(11327), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518923] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17598), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [518933] = 4,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(17600), 1,
      anon_sym_RBRACK,
    STATE(10930), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518947] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17083), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [518957] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(17602), 1,
      sym_keyword_on,
    STATE(10529), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518971] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(17604), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518985] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(17602), 1,
      sym_keyword_on,
    STATE(11327), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [518999] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17606), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519009] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(17608), 1,
      sym_keyword_on,
    STATE(10535), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519023] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(17608), 1,
      sym_keyword_on,
    STATE(11327), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519037] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(17610), 1,
      sym_keyword_on,
    STATE(10538), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519051] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(17610), 1,
      sym_keyword_on,
    STATE(11327), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519065] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(17612), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519079] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(17614), 1,
      anon_sym_RPAREN,
    STATE(14734), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519093] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(17616), 1,
      sym_keyword_on,
    STATE(10540), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519107] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(17618), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519121] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(17616), 1,
      sym_keyword_on,
    STATE(11327), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519135] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(17620), 1,
      sym_keyword_on,
    STATE(11327), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519149] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(17620), 1,
      sym_keyword_on,
    STATE(10545), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519163] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(17622), 1,
      sym_keyword_on,
    STATE(11327), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519177] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(17622), 1,
      sym_keyword_on,
    STATE(10546), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519191] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(17624), 1,
      sym_keyword_on,
    STATE(10548), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519205] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17113), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [519215] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17175), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519225] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17183), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519235] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17191), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519245] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17193), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519255] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(17626), 1,
      anon_sym_RPAREN,
    STATE(10583), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519269] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17195), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [519279] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17197), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [519289] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17215), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519299] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17628), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519309] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17217), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519319] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17630), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519329] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17632), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519339] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17634), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519349] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17221), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519359] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17233), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519369] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17636), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519379] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17243), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [519389] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17245), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [519399] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(17638), 1,
      anon_sym_RPAREN,
    STATE(14705), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519413] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17249), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [519423] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(17640), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519437] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17300), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519447] = 4,
    ACTIONS(17291), 1,
      sym_keyword_trigger,
    ACTIONS(17642), 1,
      sym_keyword_view,
    ACTIONS(17644), 1,
      sym_keyword_recursive,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519461] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(17646), 1,
      anon_sym_RPAREN,
    STATE(14703), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519475] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17302), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519485] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17308), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519495] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17648), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519505] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16470), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519515] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17318), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [519525] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17320), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [519535] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17375), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519545] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(17650), 1,
      anon_sym_RPAREN,
    STATE(11382), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519559] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16325), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519569] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13552), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519579] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17381), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519589] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(17652), 1,
      anon_sym_RPAREN,
    STATE(14679), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519603] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16343), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519613] = 4,
    ACTIONS(17654), 1,
      sym_keyword_isolation,
    ACTIONS(17656), 1,
      sym_keyword_snapshot,
    STATE(10689), 1,
      sym__transaction_mode,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519627] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17405), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [519637] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17409), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [519647] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17467), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [519657] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17522), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519667] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17473), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519677] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16125), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519687] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17485), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519697] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17489), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519707] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17658), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519717] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16107), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519727] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16129), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519737] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14347), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [519747] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17660), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519757] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17662), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519767] = 4,
    ACTIONS(17664), 1,
      anon_sym_RPAREN,
    ACTIONS(17666), 1,
      anon_sym_COMMA,
    STATE(10604), 1,
      aux_sym_alter_index_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519781] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17669), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519791] = 3,
    ACTIONS(17671), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17522), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [519803] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17673), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519813] = 4,
    ACTIONS(17675), 1,
      anon_sym_RPAREN,
    ACTIONS(17677), 1,
      anon_sym_COMMA,
    STATE(10604), 1,
      aux_sym_alter_index_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519827] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17679), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519837] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(17681), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519851] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17683), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [519861] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(17685), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519875] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(17687), 1,
      anon_sym_RPAREN,
    STATE(10612), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519889] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(17687), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519903] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17322), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_when,
  [519913] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17511), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [519923] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17509), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [519933] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17503), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519943] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16700), 1,
      anon_sym_RPAREN,
    STATE(10614), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519957] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17495), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [519967] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16700), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519981] = 4,
    ACTIONS(17689), 1,
      anon_sym_RPAREN,
    ACTIONS(17691), 1,
      anon_sym_COMMA,
    STATE(10622), 1,
      aux_sym_ordered_columns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [519995] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16109), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520005] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17483), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520015] = 3,
    ACTIONS(17694), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4057), 2,
      sym_subquery,
      sym_list,
  [520027] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16133), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520037] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(17696), 1,
      anon_sym_RPAREN,
    STATE(10492), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520051] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16135), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520061] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16123), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520071] = 4,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(17698), 1,
      anon_sym_RPAREN,
    STATE(10932), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520085] = 4,
    ACTIONS(17700), 1,
      anon_sym_RPAREN,
    ACTIONS(17702), 1,
      anon_sym_COMMA,
    STATE(11286), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520099] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16748), 1,
      anon_sym_RPAREN,
    STATE(10621), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520113] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16748), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520127] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(17704), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520141] = 3,
    ACTIONS(17708), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17706), 2,
      sym_keyword_after,
      sym_keyword_before,
  [520153] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17453), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520163] = 4,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(17710), 1,
      anon_sym_RBRACK,
    STATE(10930), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520177] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16175), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520187] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17441), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [520197] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17439), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [520207] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17439), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [520217] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(17712), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520231] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16764), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520245] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16764), 1,
      anon_sym_RPAREN,
    STATE(10633), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520259] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17435), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [520269] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17403), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [520279] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(17714), 1,
      sym_keyword_on,
    STATE(10737), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520293] = 3,
    ACTIONS(17716), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17425), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520305] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17718), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [520315] = 4,
    ACTIONS(17205), 1,
      anon_sym_RPAREN,
    ACTIONS(17720), 1,
      anon_sym_COMMA,
    STATE(10776), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520329] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17417), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [520339] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16780), 1,
      anon_sym_RPAREN,
    STATE(10643), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520353] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(17722), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520367] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(17724), 1,
      anon_sym_RPAREN,
    STATE(14550), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520381] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17413), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [520391] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(17726), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520405] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17411), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [520415] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17407), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [520425] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17399), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [520435] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9541), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [520445] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16313), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520455] = 4,
    ACTIONS(17032), 1,
      anon_sym_RPAREN,
    ACTIONS(17720), 1,
      anon_sym_COMMA,
    STATE(10781), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520469] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17383), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520479] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17369), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520489] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17728), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [520499] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17730), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [520509] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17513), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [520519] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17365), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520529] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(17732), 1,
      anon_sym_RPAREN,
    STATE(10696), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520543] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16363), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520553] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16365), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520563] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16367), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520573] = 4,
    ACTIONS(17734), 1,
      anon_sym_LPAREN,
    ACTIONS(17736), 1,
      anon_sym_RPAREN,
    ACTIONS(17738), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520587] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16369), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520597] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17348), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520607] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17740), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [520617] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16391), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520627] = 3,
    ACTIONS(17742), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4170), 2,
      sym_subquery,
      sym_list,
  [520639] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17326), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [520649] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17324), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [520659] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17310), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [520669] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17310), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [520679] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(17744), 1,
      anon_sym_RPAREN,
    STATE(14343), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520693] = 4,
    ACTIONS(17746), 1,
      sym_keyword_by,
    ACTIONS(17748), 1,
      anon_sym_LPAREN,
    STATE(8394), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520707] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(17750), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520721] = 3,
    ACTIONS(17189), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16494), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [520733] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13731), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [520743] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(17752), 1,
      anon_sym_RPAREN,
    STATE(14447), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520757] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17754), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [520767] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17275), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [520777] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17273), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [520787] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17257), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [520797] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17255), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [520807] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17253), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [520817] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17251), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [520827] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(17756), 1,
      anon_sym_RPAREN,
    STATE(11382), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520841] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(17758), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520855] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17367), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520865] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17239), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [520875] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(17760), 1,
      anon_sym_RPAREN,
    STATE(14431), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520889] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(9587), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [520899] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17285), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [520909] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17237), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [520919] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16675), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [520929] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17179), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520939] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(17762), 1,
      anon_sym_RPAREN,
    STATE(14836), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [520953] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17241), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [520963] = 3,
    ACTIONS(17766), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17764), 2,
      sym_keyword_after,
      sym_keyword_before,
  [520975] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17167), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520985] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17165), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [520995] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(17768), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521009] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16500), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521019] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16488), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521029] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16454), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521039] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16580), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521049] = 4,
    ACTIONS(17291), 1,
      sym_keyword_trigger,
    ACTIONS(17770), 1,
      sym_keyword_view,
    ACTIONS(17772), 1,
      sym_keyword_recursive,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521063] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17141), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521073] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16638), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521083] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(17774), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521097] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17121), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521107] = 4,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(17776), 1,
      anon_sym_RBRACK,
    STATE(10930), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521121] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17101), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [521131] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17097), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [521141] = 4,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(17778), 1,
      anon_sym_RPAREN,
    STATE(10932), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521155] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17095), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [521165] = 4,
    ACTIONS(15865), 1,
      sym_keyword_partition,
    ACTIONS(17780), 1,
      sym_keyword_compute,
    STATE(13904), 1,
      sym__partition_spec,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521179] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17782), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [521189] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17784), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [521199] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17786), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [521209] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17782), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [521219] = 3,
    ACTIONS(17788), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17790), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [521231] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17786), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [521241] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17095), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [521251] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17792), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [521261] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17089), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [521271] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17081), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [521281] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(17794), 1,
      sym_keyword_on,
    STATE(11327), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521295] = 3,
    ACTIONS(17796), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4490), 2,
      sym_subquery,
      sym_list,
  [521307] = 4,
    ACTIONS(16768), 1,
      anon_sym_COMMA,
    ACTIONS(17798), 1,
      anon_sym_RPAREN,
    STATE(9665), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521321] = 3,
    ACTIONS(17800), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5982), 2,
      sym_subquery,
      sym_list,
  [521333] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(17794), 1,
      sym_keyword_on,
    STATE(11163), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521347] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17081), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [521357] = 4,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(17802), 1,
      anon_sym_RPAREN,
    STATE(10932), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521371] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17044), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [521381] = 3,
    ACTIONS(17363), 1,
      sym_keyword_noscan,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16690), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [521393] = 3,
    ACTIONS(17804), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17806), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [521405] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16602), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521415] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17010), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [521425] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17006), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [521435] = 4,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(17808), 1,
      anon_sym_RBRACK,
    STATE(10930), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521449] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17004), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [521459] = 3,
    ACTIONS(17810), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17812), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [521471] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15153), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [521481] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15023), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [521491] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(17814), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521505] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17002), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [521515] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15163), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [521525] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17000), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [521535] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16998), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [521545] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16996), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [521555] = 4,
    ACTIONS(17816), 1,
      sym_keyword_materialized,
    ACTIONS(17818), 1,
      sym_keyword_not,
    ACTIONS(17820), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521569] = 4,
    ACTIONS(16994), 1,
      anon_sym_RPAREN,
    ACTIONS(17720), 1,
      anon_sym_COMMA,
    STATE(10774), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521583] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(17714), 1,
      sym_keyword_on,
    STATE(11327), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521597] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16966), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521607] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15574), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521617] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(17822), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521631] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(17824), 1,
      anon_sym_RPAREN,
    STATE(14207), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521645] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17826), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [521655] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(17828), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521669] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16962), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521679] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16960), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521689] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(17830), 1,
      anon_sym_RPAREN,
    STATE(11238), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521703] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16958), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521713] = 4,
    ACTIONS(16851), 1,
      anon_sym_RPAREN,
    ACTIONS(17832), 1,
      anon_sym_COMMA,
    STATE(10774), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521727] = 4,
    ACTIONS(16892), 1,
      anon_sym_RPAREN,
    ACTIONS(17720), 1,
      anon_sym_COMMA,
    STATE(10762), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521741] = 4,
    ACTIONS(16892), 1,
      anon_sym_RPAREN,
    ACTIONS(17720), 1,
      anon_sym_COMMA,
    STATE(10774), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521755] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17835), 3,
      sym__double_quote_string,
      aux_sym_identifier_token1,
      sym__identifier,
  [521765] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16197), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521775] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16181), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521785] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16758), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521795] = 4,
    ACTIONS(17205), 1,
      anon_sym_RPAREN,
    ACTIONS(17720), 1,
      anon_sym_COMMA,
    STATE(10774), 1,
      aux_sym_alter_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521809] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(17837), 1,
      anon_sym_RPAREN,
    STATE(10809), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521823] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10649), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [521833] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16896), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [521843] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16868), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [521853] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16868), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [521863] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15614), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [521873] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16868), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [521883] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16868), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [521893] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16858), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [521903] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16847), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [521913] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16847), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [521923] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15657), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [521933] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16906), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [521943] = 4,
    ACTIONS(17839), 1,
      sym_keyword_serializable,
    ACTIONS(17841), 1,
      sym_keyword_repeatable,
    ACTIONS(17843), 1,
      sym_keyword_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521957] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(17845), 1,
      anon_sym_RPAREN,
    STATE(14170), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521971] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17847), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [521981] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(17849), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [521995] = 4,
    ACTIONS(17481), 1,
      sym_keyword_trigger,
    ACTIONS(17851), 1,
      sym_keyword_view,
    ACTIONS(17853), 1,
      sym_keyword_recursive,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522009] = 3,
    ACTIONS(17855), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16835), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [522021] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(17857), 1,
      anon_sym_RPAREN,
    STATE(14169), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522035] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17859), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [522045] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17861), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [522055] = 4,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(17863), 1,
      anon_sym_RPAREN,
    STATE(10932), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522069] = 4,
    ACTIONS(17865), 1,
      sym_keyword_to,
    ACTIONS(17867), 1,
      sym_keyword_wait,
    ACTIONS(17869), 1,
      sym_keyword_nowait,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522083] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16843), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [522093] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16851), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [522103] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16856), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [522113] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(17871), 1,
      anon_sym_RPAREN,
    STATE(11382), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522127] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16860), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [522137] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17873), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [522147] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16860), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [522157] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(17875), 1,
      anon_sym_RPAREN,
    STATE(14158), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522171] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16862), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [522181] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16864), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [522191] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14977), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [522201] = 4,
    ACTIONS(17734), 1,
      anon_sym_LPAREN,
    ACTIONS(17738), 1,
      anon_sym_DOT,
    ACTIONS(17877), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522215] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16874), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [522225] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17879), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [522235] = 4,
    ACTIONS(17734), 1,
      anon_sym_LPAREN,
    ACTIONS(17738), 1,
      anon_sym_DOT,
    ACTIONS(17881), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522249] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14950), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [522259] = 4,
    ACTIONS(17734), 1,
      anon_sym_LPAREN,
    ACTIONS(17738), 1,
      anon_sym_DOT,
    ACTIONS(17883), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522273] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16888), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [522283] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17885), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [522293] = 4,
    ACTIONS(17887), 1,
      anon_sym_RPAREN,
    ACTIONS(17889), 1,
      anon_sym_COMMA,
    STATE(10944), 1,
      aux_sym__column_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522307] = 4,
    ACTIONS(17734), 1,
      anon_sym_LPAREN,
    ACTIONS(17738), 1,
      anon_sym_DOT,
    ACTIONS(17891), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522321] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17893), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [522331] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17061), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [522341] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16956), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [522351] = 4,
    ACTIONS(14432), 1,
      anon_sym_COMMA,
    ACTIONS(17895), 1,
      anon_sym_RPAREN,
    STATE(10946), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522365] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15701), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [522375] = 4,
    ACTIONS(17734), 1,
      anon_sym_LPAREN,
    ACTIONS(17738), 1,
      anon_sym_DOT,
    ACTIONS(17897), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522389] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17899), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [522399] = 4,
    ACTIONS(17901), 1,
      sym_keyword_isolation,
    ACTIONS(17903), 1,
      sym_keyword_snapshot,
    STATE(12195), 1,
      sym__transaction_mode,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522413] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16964), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [522423] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14329), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [522433] = 4,
    ACTIONS(17734), 1,
      anon_sym_LPAREN,
    ACTIONS(17738), 1,
      anon_sym_DOT,
    ACTIONS(17905), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522447] = 4,
    ACTIONS(17907), 1,
      sym_keyword_serializable,
    ACTIONS(17909), 1,
      sym_keyword_repeatable,
    ACTIONS(17911), 1,
      sym_keyword_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522461] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16153), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [522471] = 4,
    ACTIONS(17734), 1,
      anon_sym_LPAREN,
    ACTIONS(17738), 1,
      anon_sym_DOT,
    ACTIONS(17913), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522485] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16944), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [522495] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16992), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [522505] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16167), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [522515] = 4,
    ACTIONS(17734), 1,
      anon_sym_LPAREN,
    ACTIONS(17738), 1,
      anon_sym_DOT,
    ACTIONS(17915), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522529] = 3,
    ACTIONS(17917), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2468), 2,
      sym_subquery,
      sym_list,
  [522541] = 4,
    ACTIONS(17734), 1,
      anon_sym_LPAREN,
    ACTIONS(17738), 1,
      anon_sym_DOT,
    ACTIONS(17919), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522555] = 4,
    ACTIONS(17921), 1,
      sym_keyword_by,
    ACTIONS(17923), 1,
      anon_sym_LPAREN,
    STATE(6816), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522569] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10749), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [522579] = 4,
    ACTIONS(17734), 1,
      anon_sym_LPAREN,
    ACTIONS(17738), 1,
      anon_sym_DOT,
    ACTIONS(17925), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522593] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(17927), 1,
      anon_sym_RPAREN,
    STATE(14109), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522607] = 3,
    ACTIONS(17929), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4841), 2,
      sym_subquery,
      sym_list,
  [522619] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17931), 3,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_cycle,
  [522629] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17036), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [522639] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16849), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [522649] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17055), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [522659] = 4,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(17933), 1,
      anon_sym_RPAREN,
    STATE(10932), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522673] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(17935), 1,
      anon_sym_RPAREN,
    STATE(11382), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522687] = 4,
    ACTIONS(17734), 1,
      anon_sym_LPAREN,
    ACTIONS(17738), 1,
      anon_sym_DOT,
    ACTIONS(17937), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522701] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16839), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [522711] = 3,
    ACTIONS(17941), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17939), 2,
      sym_keyword_after,
      sym_keyword_before,
  [522723] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17061), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [522733] = 4,
    ACTIONS(17943), 1,
      sym_keyword_using,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    STATE(9241), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522747] = 4,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(17947), 1,
      anon_sym_RBRACK,
    STATE(10930), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522761] = 4,
    ACTIONS(17734), 1,
      anon_sym_LPAREN,
    ACTIONS(17738), 1,
      anon_sym_DOT,
    ACTIONS(17949), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522775] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17087), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [522785] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17087), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [522795] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15185), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [522805] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(17951), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522819] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17087), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [522829] = 4,
    ACTIONS(17734), 1,
      anon_sym_LPAREN,
    ACTIONS(17738), 1,
      anon_sym_DOT,
    ACTIONS(17953), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522843] = 4,
    ACTIONS(17955), 1,
      sym_keyword_to,
    ACTIONS(17957), 1,
      sym_keyword_wait,
    ACTIONS(17959), 1,
      sym_keyword_nowait,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522857] = 4,
    ACTIONS(17734), 1,
      anon_sym_LPAREN,
    ACTIONS(17738), 1,
      anon_sym_DOT,
    ACTIONS(17961), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522871] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17087), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [522881] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(17963), 1,
      anon_sym_RPAREN,
    STATE(14045), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522895] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13273), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [522905] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14337), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [522915] = 4,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(17965), 1,
      anon_sym_RPAREN,
    STATE(10932), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522929] = 4,
    ACTIONS(17734), 1,
      anon_sym_LPAREN,
    ACTIONS(17738), 1,
      anon_sym_DOT,
    ACTIONS(17967), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522943] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(17969), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522957] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(17971), 1,
      anon_sym_RPAREN,
    STATE(13867), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522971] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17973), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [522981] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(17975), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [522995] = 3,
    ACTIONS(17977), 1,
      sym_keyword_schema,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17979), 2,
      sym_keyword_unlogged,
      sym_keyword_logged,
  [523007] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17981), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523017] = 4,
    ACTIONS(17889), 1,
      anon_sym_COMMA,
    ACTIONS(17983), 1,
      anon_sym_RPAREN,
    STATE(10941), 1,
      aux_sym__column_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523031] = 4,
    ACTIONS(17734), 1,
      anon_sym_LPAREN,
    ACTIONS(17738), 1,
      anon_sym_DOT,
    ACTIONS(17985), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523045] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17987), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523055] = 4,
    ACTIONS(17989), 1,
      sym_keyword_value,
    ACTIONS(17991), 1,
      sym_keyword_to,
    ACTIONS(17993), 1,
      sym_keyword_attribute,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523069] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17995), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523079] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17997), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523089] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17999), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523099] = 3,
    ACTIONS(18001), 1,
      sym_keyword_force,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17145), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [523111] = 4,
    ACTIONS(17734), 1,
      anon_sym_LPAREN,
    ACTIONS(17738), 1,
      anon_sym_DOT,
    ACTIONS(18003), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523125] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18005), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523135] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18007), 1,
      anon_sym_RPAREN,
    STATE(10922), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523149] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18009), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523159] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18011), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523169] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18013), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523179] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15947), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523189] = 3,
    ACTIONS(18015), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17155), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [523201] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15943), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523211] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18017), 3,
      sym_keyword_minvalue,
      sym_keyword_maxvalue,
      sym_keyword_cycle,
  [523221] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15939), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523231] = 4,
    ACTIONS(18019), 1,
      sym_keyword_using,
    ACTIONS(18021), 1,
      anon_sym_LPAREN,
    STATE(9213), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523245] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15933), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523255] = 4,
    ACTIONS(17734), 1,
      anon_sym_LPAREN,
    ACTIONS(17738), 1,
      anon_sym_DOT,
    ACTIONS(18023), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523269] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18025), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523283] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16305), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523293] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18027), 1,
      anon_sym_RPAREN,
    STATE(13833), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523307] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15907), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523317] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18029), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523331] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14870), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523341] = 4,
    ACTIONS(18031), 1,
      anon_sym_RPAREN,
    ACTIONS(18033), 1,
      anon_sym_COMMA,
    STATE(11088), 1,
      aux_sym_cte_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523355] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18035), 1,
      anon_sym_RPAREN,
    STATE(13824), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523369] = 4,
    ACTIONS(18037), 1,
      sym_keyword_to,
    ACTIONS(18039), 1,
      sym_keyword_wait,
    ACTIONS(18041), 1,
      sym_keyword_nowait,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523383] = 3,
    ACTIONS(18043), 1,
      sym_keyword_schema,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18045), 2,
      sym_keyword_unlogged,
      sym_keyword_logged,
  [523395] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18047), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523405] = 4,
    ACTIONS(15905), 1,
      anon_sym_RPAREN,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    STATE(11092), 1,
      aux_sym__vacuum_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523419] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15863), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523429] = 4,
    ACTIONS(18051), 1,
      sym_keyword_value,
    ACTIONS(18053), 1,
      sym_keyword_to,
    ACTIONS(18055), 1,
      sym_keyword_attribute,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523443] = 4,
    ACTIONS(18057), 1,
      sym_keyword_is,
    ACTIONS(18059), 1,
      anon_sym_LPAREN,
    STATE(13290), 1,
      sym_function_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523457] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18061), 1,
      anon_sym_RPAREN,
    STATE(11382), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523471] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17425), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523481] = 4,
    ACTIONS(14987), 1,
      sym_keyword_from,
    ACTIONS(15636), 1,
      anon_sym_RPAREN,
    STATE(13285), 1,
      sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523495] = 4,
    ACTIONS(18063), 1,
      sym_keyword_to,
    ACTIONS(18065), 1,
      sym_keyword_wait,
    ACTIONS(18067), 1,
      sym_keyword_nowait,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523509] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18069), 1,
      anon_sym_RPAREN,
    STATE(13691), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523523] = 4,
    ACTIONS(17734), 1,
      anon_sym_LPAREN,
    ACTIONS(17738), 1,
      anon_sym_DOT,
    ACTIONS(18071), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523537] = 4,
    ACTIONS(15881), 1,
      anon_sym_RPAREN,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    STATE(10969), 1,
      aux_sym__vacuum_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523551] = 4,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(18073), 1,
      anon_sym_RBRACK,
    STATE(10930), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523565] = 4,
    ACTIONS(6707), 1,
      anon_sym_RBRACK,
    ACTIONS(18075), 1,
      anon_sym_COMMA,
    STATE(10930), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523579] = 4,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(18078), 1,
      anon_sym_RBRACK,
    STATE(10930), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523593] = 4,
    ACTIONS(6707), 1,
      anon_sym_RPAREN,
    ACTIONS(18080), 1,
      anon_sym_COMMA,
    STATE(10932), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523607] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18083), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523621] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18085), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523635] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14842), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [523645] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17201), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [523655] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18087), 1,
      anon_sym_RPAREN,
    STATE(14037), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523669] = 4,
    ACTIONS(17702), 1,
      anon_sym_COMMA,
    ACTIONS(18089), 1,
      anon_sym_RPAREN,
    STATE(10989), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523683] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18091), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523693] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17213), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      anon_sym_COMMA,
  [523703] = 4,
    ACTIONS(17889), 1,
      anon_sym_COMMA,
    ACTIONS(18093), 1,
      anon_sym_RPAREN,
    STATE(11131), 1,
      aux_sym__column_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523717] = 4,
    ACTIONS(17702), 1,
      anon_sym_COMMA,
    ACTIONS(18095), 1,
      anon_sym_RPAREN,
    STATE(11127), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523731] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18097), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523741] = 4,
    ACTIONS(17889), 1,
      anon_sym_COMMA,
    ACTIONS(18099), 1,
      anon_sym_RPAREN,
    STATE(11131), 1,
      aux_sym__column_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523755] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15280), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523765] = 4,
    ACTIONS(14432), 1,
      anon_sym_COMMA,
    ACTIONS(18101), 1,
      anon_sym_RPAREN,
    STATE(8150), 1,
      aux_sym__insert_values_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523779] = 4,
    ACTIONS(18021), 1,
      anon_sym_LPAREN,
    ACTIONS(18103), 1,
      sym_keyword_using,
    STATE(8975), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523793] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18105), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523803] = 4,
    ACTIONS(18021), 1,
      anon_sym_LPAREN,
    ACTIONS(18107), 1,
      sym_keyword_using,
    STATE(8971), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523817] = 3,
    ACTIONS(18109), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4529), 2,
      sym_subquery,
      sym_list,
  [523829] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14454), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523839] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18111), 1,
      anon_sym_RPAREN,
    STATE(14822), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523853] = 4,
    ACTIONS(17677), 1,
      anon_sym_COMMA,
    ACTIONS(18113), 1,
      anon_sym_RPAREN,
    STATE(10604), 1,
      aux_sym_alter_index_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523867] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16422), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523877] = 4,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(18115), 1,
      anon_sym_RPAREN,
    STATE(10932), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523891] = 4,
    ACTIONS(18117), 1,
      anon_sym_RPAREN,
    ACTIONS(18119), 1,
      anon_sym_COMMA,
    STATE(11001), 1,
      aux_sym_create_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523905] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18121), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523915] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18123), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523925] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18125), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [523935] = 3,
    ACTIONS(18127), 1,
      sym_keyword_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18129), 2,
      sym_keyword_to,
      anon_sym_EQ,
  [523947] = 4,
    ACTIONS(17677), 1,
      anon_sym_COMMA,
    ACTIONS(18131), 1,
      anon_sym_RPAREN,
    STATE(10608), 1,
      aux_sym_alter_index_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523961] = 4,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(18133), 1,
      anon_sym_RBRACK,
    STATE(10930), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523975] = 4,
    ACTIONS(18135), 1,
      sym_keyword_set,
    ACTIONS(18137), 1,
      sym_keyword_drop,
    ACTIONS(18139), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [523989] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18141), 1,
      anon_sym_RPAREN,
    STATE(10610), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524003] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14896), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [524013] = 3,
    ACTIONS(18143), 1,
      sym_keyword_schema,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18145), 2,
      sym_keyword_unlogged,
      sym_keyword_logged,
  [524025] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18147), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524039] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17247), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [524049] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18149), 1,
      anon_sym_RPAREN,
    STATE(11250), 1,
      aux_sym__vacuum_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524063] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18149), 1,
      anon_sym_RPAREN,
    STATE(11020), 1,
      aux_sym__vacuum_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524077] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16518), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [524087] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18151), 1,
      anon_sym_RPAREN,
    STATE(10857), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524101] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18153), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524115] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18155), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524129] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18157), 1,
      anon_sym_RPAREN,
    STATE(13554), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524143] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18159), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524157] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18161), 1,
      anon_sym_RPAREN,
    STATE(10973), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524171] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18163), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524185] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18165), 1,
      anon_sym_RPAREN,
    STATE(13600), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524199] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18161), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524213] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18167), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524227] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16474), 1,
      anon_sym_RPAREN,
    STATE(11138), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524241] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18169), 1,
      anon_sym_RPAREN,
    STATE(11034), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524255] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16486), 1,
      anon_sym_RPAREN,
    STATE(10980), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524269] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16486), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524283] = 3,
    ACTIONS(18173), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18171), 2,
      sym_keyword_after,
      sym_keyword_before,
  [524295] = 4,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    ACTIONS(18175), 1,
      sym_keyword_using,
    STATE(9503), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524309] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(10883), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [524319] = 4,
    ACTIONS(17702), 1,
      anon_sym_COMMA,
    ACTIONS(18177), 1,
      anon_sym_RPAREN,
    STATE(11286), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524333] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(1793), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524347] = 4,
    ACTIONS(17702), 1,
      anon_sym_COMMA,
    ACTIONS(18179), 1,
      anon_sym_RPAREN,
    STATE(11042), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524361] = 4,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    ACTIONS(18181), 1,
      sym_keyword_using,
    STATE(9514), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524375] = 4,
    ACTIONS(18183), 1,
      anon_sym_RPAREN,
    ACTIONS(18185), 1,
      anon_sym_COMMA,
    STATE(11050), 1,
      aux_sym__table_settings_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524389] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18187), 1,
      anon_sym_RPAREN,
    STATE(11021), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524403] = 4,
    ACTIONS(18189), 1,
      anon_sym_RPAREN,
    ACTIONS(18191), 1,
      anon_sym_COMMA,
    STATE(11055), 1,
      aux_sym_index_fields_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524417] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16528), 1,
      anon_sym_RPAREN,
    STATE(10985), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524431] = 4,
    ACTIONS(18119), 1,
      anon_sym_COMMA,
    ACTIONS(18193), 1,
      anon_sym_RPAREN,
    STATE(11164), 1,
      aux_sym_create_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524445] = 4,
    ACTIONS(18021), 1,
      anon_sym_LPAREN,
    ACTIONS(18195), 1,
      sym_keyword_using,
    STATE(8985), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524459] = 4,
    ACTIONS(18021), 1,
      anon_sym_LPAREN,
    ACTIONS(18197), 1,
      sym_keyword_using,
    STATE(8992), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524473] = 4,
    ACTIONS(18021), 1,
      anon_sym_LPAREN,
    ACTIONS(18199), 1,
      sym_keyword_using,
    STATE(8993), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524487] = 4,
    ACTIONS(18119), 1,
      anon_sym_COMMA,
    ACTIONS(18201), 1,
      anon_sym_RPAREN,
    STATE(11323), 1,
      aux_sym_create_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524501] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16528), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524515] = 4,
    ACTIONS(18203), 1,
      sym_keyword_set,
    ACTIONS(18205), 1,
      sym_keyword_drop,
    ACTIONS(18207), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524529] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16420), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [524539] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17293), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [524549] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17293), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [524559] = 3,
    ACTIONS(18211), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18209), 2,
      sym_keyword_on,
      sym_keyword_or,
  [524571] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18213), 1,
      anon_sym_RPAREN,
    STATE(13569), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524585] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(18215), 1,
      sym_keyword_on,
    STATE(11172), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524599] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18217), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524613] = 4,
    ACTIONS(18219), 1,
      sym_keyword_set,
    ACTIONS(18221), 1,
      sym_keyword_drop,
    ACTIONS(18223), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524627] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16564), 1,
      anon_sym_RPAREN,
    STATE(11089), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524641] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18225), 1,
      anon_sym_RPAREN,
    STATE(13568), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524655] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16556), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524669] = 4,
    ACTIONS(18227), 1,
      anon_sym_RPAREN,
    ACTIONS(18229), 1,
      anon_sym_COMMA,
    STATE(11203), 1,
      aux_sym_function_arguments_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524683] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16556), 1,
      anon_sym_RPAREN,
    STATE(11002), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524697] = 4,
    ACTIONS(18185), 1,
      anon_sym_COMMA,
    ACTIONS(18231), 1,
      anon_sym_RPAREN,
    STATE(11090), 1,
      aux_sym__table_settings_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524711] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18233), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [524721] = 3,
    ACTIONS(18235), 1,
      sym_keyword_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18237), 2,
      sym_keyword_to,
      anon_sym_EQ,
  [524733] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18239), 1,
      anon_sym_RPAREN,
    STATE(11250), 1,
      aux_sym__vacuum_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524747] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18241), 1,
      anon_sym_RPAREN,
    STATE(11382), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524761] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18243), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [524771] = 4,
    ACTIONS(14146), 1,
      anon_sym_RPAREN,
    ACTIONS(14148), 1,
      anon_sym_COMMA,
    STATE(11369), 1,
      aux_sym__compute_stats_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524785] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15789), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [524795] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18245), 1,
      anon_sym_RPAREN,
    STATE(13556), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524809] = 4,
    ACTIONS(14806), 1,
      sym_keyword_where,
    ACTIONS(16815), 1,
      anon_sym_RPAREN,
    STATE(11371), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524823] = 4,
    ACTIONS(18247), 1,
      sym_keyword_set,
    ACTIONS(18249), 1,
      sym_keyword_drop,
    ACTIONS(18251), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524837] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17293), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [524847] = 4,
    ACTIONS(18249), 1,
      sym_keyword_drop,
    ACTIONS(18251), 1,
      sym_keyword_type,
    ACTIONS(18253), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524861] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17293), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [524871] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18255), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524885] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18257), 1,
      anon_sym_RPAREN,
    STATE(13276), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524899] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16588), 1,
      anon_sym_RPAREN,
    STATE(11014), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524913] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18259), 1,
      anon_sym_RPAREN,
    STATE(11382), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524927] = 4,
    ACTIONS(17702), 1,
      anon_sym_COMMA,
    ACTIONS(18261), 1,
      anon_sym_RPAREN,
    STATE(11113), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524941] = 4,
    ACTIONS(18263), 1,
      anon_sym_RPAREN,
    ACTIONS(18265), 1,
      anon_sym_COMMA,
    STATE(10622), 1,
      aux_sym_ordered_columns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [524955] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13911), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [524965] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18267), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [524975] = 3,
    ACTIONS(18269), 1,
      sym_keyword_schema,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18271), 2,
      sym_keyword_unlogged,
      sym_keyword_logged,
  [524987] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18273), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525001] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18275), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [525011] = 4,
    ACTIONS(17702), 1,
      anon_sym_COMMA,
    ACTIONS(18277), 1,
      anon_sym_RPAREN,
    STATE(11286), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525025] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(1801), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525039] = 4,
    ACTIONS(14987), 1,
      sym_keyword_from,
    ACTIONS(16013), 1,
      anon_sym_RPAREN,
    STATE(13814), 1,
      sym_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525053] = 4,
    ACTIONS(17028), 1,
      anon_sym_COMMA,
    ACTIONS(18279), 1,
      anon_sym_RPAREN,
    STATE(11403), 1,
      aux_sym_storage_parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525067] = 4,
    ACTIONS(17702), 1,
      anon_sym_COMMA,
    ACTIONS(18281), 1,
      anon_sym_RPAREN,
    STATE(11286), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525081] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18283), 1,
      anon_sym_RPAREN,
    STATE(13953), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525095] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18285), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525109] = 3,
    ACTIONS(18287), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(5637), 2,
      sym_subquery,
      sym_list,
  [525121] = 4,
    ACTIONS(18185), 1,
      anon_sym_COMMA,
    ACTIONS(18289), 1,
      anon_sym_RPAREN,
    STATE(11406), 1,
      aux_sym__table_settings_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525135] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18291), 1,
      anon_sym_RPAREN,
    STATE(11111), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525149] = 4,
    ACTIONS(17702), 1,
      anon_sym_COMMA,
    ACTIONS(18293), 1,
      anon_sym_RPAREN,
    STATE(10631), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525163] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18295), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [525173] = 4,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(18297), 1,
      anon_sym_RPAREN,
    STATE(10932), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525187] = 4,
    ACTIONS(18191), 1,
      anon_sym_COMMA,
    ACTIONS(18299), 1,
      anon_sym_RPAREN,
    STATE(11417), 1,
      aux_sym_index_fields_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525201] = 4,
    ACTIONS(18021), 1,
      anon_sym_LPAREN,
    ACTIONS(18301), 1,
      sym_keyword_using,
    STATE(9222), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525215] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18303), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525229] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18305), 1,
      anon_sym_RPAREN,
    STATE(10634), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525243] = 4,
    ACTIONS(18021), 1,
      anon_sym_LPAREN,
    ACTIONS(18307), 1,
      sym_keyword_using,
    STATE(9232), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525257] = 4,
    ACTIONS(18119), 1,
      anon_sym_COMMA,
    ACTIONS(18309), 1,
      anon_sym_RPAREN,
    STATE(11115), 1,
      aux_sym_create_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525271] = 4,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(18311), 1,
      anon_sym_RBRACK,
    STATE(10930), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525285] = 4,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(18313), 1,
      anon_sym_RBRACK,
    STATE(10930), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525299] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18305), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525313] = 4,
    ACTIONS(18315), 1,
      anon_sym_RPAREN,
    ACTIONS(18317), 1,
      anon_sym_COMMA,
    STATE(11116), 1,
      aux_sym_enum_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525327] = 4,
    ACTIONS(18021), 1,
      anon_sym_LPAREN,
    ACTIONS(18319), 1,
      sym_keyword_using,
    STATE(9207), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525341] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18321), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525355] = 3,
    ACTIONS(18325), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18323), 2,
      sym_keyword_after,
      sym_keyword_before,
  [525367] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18327), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [525377] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18329), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [525387] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18331), 3,
      sym_keyword_safe,
      sym_keyword_unsafe,
      sym_keyword_restricted,
  [525397] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18333), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [525407] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18335), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [525417] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18337), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [525427] = 4,
    ACTIONS(17734), 1,
      anon_sym_LPAREN,
    ACTIONS(17738), 1,
      anon_sym_DOT,
    ACTIONS(18339), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525441] = 4,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(18341), 1,
      anon_sym_RPAREN,
    STATE(10932), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525455] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18343), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [525465] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18345), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525479] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18347), 1,
      anon_sym_RPAREN,
    STATE(13209), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525493] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18349), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [525503] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18351), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525517] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18353), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [525527] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17145), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [525537] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18355), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [525547] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14995), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [525557] = 3,
    ACTIONS(17137), 1,
      sym_keyword_force,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16305), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [525569] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18357), 1,
      anon_sym_RPAREN,
    STATE(13292), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525583] = 4,
    ACTIONS(18359), 1,
      sym_keyword_materialized,
    ACTIONS(18361), 1,
      sym_keyword_not,
    ACTIONS(18363), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525597] = 4,
    ACTIONS(18033), 1,
      anon_sym_COMMA,
    ACTIONS(18365), 1,
      anon_sym_RPAREN,
    STATE(11234), 1,
      aux_sym_cte_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525611] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18367), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525625] = 4,
    ACTIONS(18185), 1,
      anon_sym_COMMA,
    ACTIONS(18369), 1,
      anon_sym_RPAREN,
    STATE(11406), 1,
      aux_sym__table_settings_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525639] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18371), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [525649] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18373), 1,
      anon_sym_RPAREN,
    STATE(11250), 1,
      aux_sym__vacuum_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525663] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18375), 1,
      anon_sym_RPAREN,
    STATE(11120), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525677] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18373), 1,
      anon_sym_RPAREN,
    STATE(11251), 1,
      aux_sym__vacuum_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525691] = 4,
    ACTIONS(14148), 1,
      anon_sym_COMMA,
    ACTIONS(17363), 1,
      anon_sym_RPAREN,
    STATE(11369), 1,
      aux_sym__compute_stats_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525705] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18367), 1,
      anon_sym_RPAREN,
    STATE(11125), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525719] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15751), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [525729] = 3,
    ACTIONS(18377), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17385), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [525741] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18379), 1,
      anon_sym_RPAREN,
    STATE(13008), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525755] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18381), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [525765] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18383), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [525775] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18385), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525789] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18387), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525803] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18389), 1,
      anon_sym_RPAREN,
    STATE(12445), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525817] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18391), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525831] = 4,
    ACTIONS(18393), 1,
      anon_sym_RPAREN,
    ACTIONS(18395), 1,
      anon_sym_COMMA,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525845] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18398), 1,
      anon_sym_RPAREN,
    STATE(13079), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525859] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18400), 3,
      sym_keyword_and,
      sym_keyword_exclude,
      anon_sym_RPAREN,
  [525869] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18402), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525883] = 4,
    ACTIONS(17028), 1,
      anon_sym_COMMA,
    ACTIONS(18404), 1,
      anon_sym_RPAREN,
    STATE(11134), 1,
      aux_sym_storage_parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525897] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18406), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525911] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18408), 1,
      anon_sym_RPAREN,
    STATE(13057), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525925] = 4,
    ACTIONS(17702), 1,
      anon_sym_COMMA,
    ACTIONS(18410), 1,
      anon_sym_RPAREN,
    STATE(11286), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525939] = 4,
    ACTIONS(18021), 1,
      anon_sym_LPAREN,
    ACTIONS(18412), 1,
      sym_keyword_using,
    STATE(9502), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525953] = 4,
    ACTIONS(18119), 1,
      anon_sym_COMMA,
    ACTIONS(18414), 1,
      anon_sym_RPAREN,
    STATE(11323), 1,
      aux_sym_create_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525967] = 4,
    ACTIONS(18317), 1,
      anon_sym_COMMA,
    ACTIONS(18416), 1,
      anon_sym_RPAREN,
    STATE(11166), 1,
      aux_sym_enum_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525981] = 4,
    ACTIONS(18021), 1,
      anon_sym_LPAREN,
    ACTIONS(18418), 1,
      sym_keyword_using,
    STATE(9544), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [525995] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18420), 1,
      anon_sym_RPAREN,
    STATE(11295), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526009] = 4,
    ACTIONS(17702), 1,
      anon_sym_COMMA,
    ACTIONS(18422), 1,
      anon_sym_RPAREN,
    STATE(11143), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526023] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18424), 1,
      anon_sym_RPAREN,
    STATE(11382), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526037] = 4,
    ACTIONS(18265), 1,
      anon_sym_COMMA,
    ACTIONS(18426), 1,
      anon_sym_RPAREN,
    STATE(11145), 1,
      aux_sym_ordered_columns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526051] = 3,
    ACTIONS(18428), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(883), 2,
      sym_subquery,
      sym_list,
  [526063] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15694), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [526073] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18430), 1,
      anon_sym_RPAREN,
    STATE(12999), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526087] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18432), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526101] = 4,
    ACTIONS(17677), 1,
      anon_sym_COMMA,
    ACTIONS(18434), 1,
      anon_sym_RPAREN,
    STATE(11151), 1,
      aux_sym_alter_index_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526115] = 4,
    ACTIONS(17702), 1,
      anon_sym_COMMA,
    ACTIONS(18436), 1,
      anon_sym_RPAREN,
    STATE(11286), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526129] = 4,
    ACTIONS(14806), 1,
      sym_keyword_where,
    ACTIONS(17161), 1,
      anon_sym_RPAREN,
    STATE(10859), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526143] = 4,
    ACTIONS(14806), 1,
      sym_keyword_where,
    ACTIONS(17159), 1,
      anon_sym_RPAREN,
    STATE(10854), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526157] = 4,
    ACTIONS(17702), 1,
      anon_sym_COMMA,
    ACTIONS(18438), 1,
      anon_sym_RPAREN,
    STATE(11290), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526171] = 4,
    ACTIONS(18440), 1,
      anon_sym_RPAREN,
    ACTIONS(18442), 1,
      anon_sym_COMMA,
    STATE(11131), 1,
      aux_sym__column_list_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526185] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18445), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [526195] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18447), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [526205] = 4,
    ACTIONS(17028), 1,
      anon_sym_COMMA,
    ACTIONS(18449), 1,
      anon_sym_RPAREN,
    STATE(11403), 1,
      aux_sym_storage_parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526219] = 4,
    ACTIONS(18185), 1,
      anon_sym_COMMA,
    ACTIONS(18451), 1,
      anon_sym_RPAREN,
    STATE(11296), 1,
      aux_sym__table_settings_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526233] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16736), 1,
      anon_sym_RPAREN,
    STATE(11300), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526247] = 3,
    ACTIONS(18453), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18455), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [526259] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16736), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526273] = 4,
    ACTIONS(18021), 1,
      anon_sym_LPAREN,
    ACTIONS(18457), 1,
      sym_keyword_using,
    STATE(9536), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526287] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(18459), 1,
      sym_keyword_on,
    STATE(11308), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526301] = 3,
    ACTIONS(18463), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18461), 2,
      sym_keyword_after,
      sym_keyword_before,
  [526313] = 4,
    ACTIONS(17702), 1,
      anon_sym_COMMA,
    ACTIONS(18465), 1,
      anon_sym_RPAREN,
    STATE(11173), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526327] = 4,
    ACTIONS(17702), 1,
      anon_sym_COMMA,
    ACTIONS(18467), 1,
      anon_sym_RPAREN,
    STATE(11286), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526341] = 4,
    ACTIONS(1781), 1,
      anon_sym_RPAREN,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526355] = 4,
    ACTIONS(18265), 1,
      anon_sym_COMMA,
    ACTIONS(18469), 1,
      anon_sym_RPAREN,
    STATE(10622), 1,
      aux_sym_ordered_columns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526369] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18471), 1,
      anon_sym_RPAREN,
    STATE(11167), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526383] = 4,
    ACTIONS(18191), 1,
      anon_sym_COMMA,
    ACTIONS(18473), 1,
      anon_sym_RPAREN,
    STATE(11312), 1,
      aux_sym_index_fields_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526397] = 3,
    ACTIONS(18475), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4752), 2,
      sym_subquery,
      sym_list,
  [526409] = 4,
    ACTIONS(17677), 1,
      anon_sym_COMMA,
    ACTIONS(18477), 1,
      anon_sym_RPAREN,
    STATE(11169), 1,
      aux_sym_alter_index_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526423] = 4,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    ACTIONS(18479), 1,
      sym_keyword_using,
    STATE(9558), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526437] = 4,
    ACTIONS(17677), 1,
      anon_sym_COMMA,
    ACTIONS(18481), 1,
      anon_sym_RPAREN,
    STATE(10604), 1,
      aux_sym_alter_index_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526451] = 4,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    ACTIONS(18483), 1,
      sym_keyword_using,
    STATE(9541), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526465] = 4,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(18485), 1,
      anon_sym_RPAREN,
    STATE(10932), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526479] = 4,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    ACTIONS(18487), 1,
      sym_keyword_using,
    STATE(9535), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526493] = 4,
    ACTIONS(14806), 1,
      sym_keyword_where,
    ACTIONS(16839), 1,
      anon_sym_RPAREN,
    STATE(10536), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526507] = 4,
    ACTIONS(14806), 1,
      sym_keyword_where,
    ACTIONS(16841), 1,
      anon_sym_RPAREN,
    STATE(10532), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526521] = 4,
    ACTIONS(14806), 1,
      sym_keyword_where,
    ACTIONS(16849), 1,
      anon_sym_RPAREN,
    STATE(10530), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526535] = 4,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    ACTIONS(18489), 1,
      sym_keyword_using,
    STATE(8944), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526549] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14768), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [526559] = 4,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(18491), 1,
      anon_sym_RBRACK,
    STATE(10930), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526573] = 4,
    ACTIONS(18493), 1,
      anon_sym_RPAREN,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    STATE(11512), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526587] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16261), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_create,
  [526597] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(18497), 1,
      sym_keyword_on,
    STATE(11327), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526611] = 4,
    ACTIONS(18119), 1,
      anon_sym_COMMA,
    ACTIONS(18499), 1,
      anon_sym_RPAREN,
    STATE(11323), 1,
      aux_sym_create_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526625] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18501), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526639] = 4,
    ACTIONS(18503), 1,
      anon_sym_RPAREN,
    ACTIONS(18505), 1,
      anon_sym_COMMA,
    STATE(11166), 1,
      aux_sym_enum_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526653] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18508), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526667] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(18497), 1,
      sym_keyword_on,
    STATE(11513), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526681] = 4,
    ACTIONS(17677), 1,
      anon_sym_COMMA,
    ACTIONS(18510), 1,
      anon_sym_RPAREN,
    STATE(10604), 1,
      aux_sym_alter_index_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526695] = 4,
    ACTIONS(14806), 1,
      sym_keyword_where,
    ACTIONS(17083), 1,
      anon_sym_RPAREN,
    STATE(10939), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526709] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18512), 1,
      anon_sym_RPAREN,
    STATE(10479), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526723] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(18459), 1,
      sym_keyword_on,
    STATE(11327), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526737] = 4,
    ACTIONS(17702), 1,
      anon_sym_COMMA,
    ACTIONS(18514), 1,
      anon_sym_RPAREN,
    STATE(11286), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526751] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18516), 1,
      anon_sym_RPAREN,
    STATE(11182), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526765] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16127), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [526775] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18518), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526789] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18520), 1,
      anon_sym_RPAREN,
    STATE(12629), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526803] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17487), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [526813] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18522), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526827] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18524), 1,
      anon_sym_RPAREN,
    STATE(11189), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526841] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18526), 1,
      anon_sym_RPAREN,
    STATE(11190), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526855] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18526), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526869] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18528), 1,
      anon_sym_RPAREN,
    STATE(11193), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526883] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18530), 1,
      anon_sym_RPAREN,
    STATE(11195), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526897] = 4,
    ACTIONS(18221), 1,
      sym_keyword_drop,
    ACTIONS(18223), 1,
      sym_keyword_type,
    ACTIONS(18532), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526911] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17507), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [526921] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17507), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [526931] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18534), 1,
      anon_sym_RPAREN,
    STATE(11197), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526945] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18536), 1,
      anon_sym_RPAREN,
    STATE(11460), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526959] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18538), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526973] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18540), 1,
      anon_sym_RPAREN,
    STATE(11198), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [526987] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18542), 1,
      anon_sym_RPAREN,
    STATE(11219), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527001] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18544), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527015] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18538), 1,
      anon_sym_RPAREN,
    STATE(11235), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527029] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18546), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527043] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18548), 1,
      anon_sym_RPAREN,
    STATE(11202), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527057] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18550), 1,
      anon_sym_RPAREN,
    STATE(11460), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527071] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18552), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527085] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_RPAREN,
    STATE(11205), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527099] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18556), 1,
      anon_sym_RPAREN,
    STATE(11209), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527113] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18558), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [527123] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18560), 1,
      anon_sym_RPAREN,
    STATE(11460), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527137] = 4,
    ACTIONS(18229), 1,
      anon_sym_COMMA,
    ACTIONS(18562), 1,
      anon_sym_RPAREN,
    STATE(11328), 1,
      aux_sym_function_arguments_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527151] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18564), 1,
      anon_sym_RPAREN,
    STATE(11214), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527165] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18566), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527179] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18568), 1,
      anon_sym_RPAREN,
    STATE(12586), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527193] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18570), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [527203] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18572), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527217] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18574), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527231] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18576), 1,
      anon_sym_RPAREN,
    STATE(11221), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527245] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18578), 1,
      anon_sym_RPAREN,
    STATE(12584), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527259] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16770), 1,
      anon_sym_RPAREN,
    STATE(11348), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527273] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18580), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [527283] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18582), 1,
      anon_sym_RPAREN,
    STATE(11460), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527297] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18584), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [527307] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18586), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [527317] = 4,
    ACTIONS(18185), 1,
      anon_sym_COMMA,
    ACTIONS(18588), 1,
      anon_sym_RPAREN,
    STATE(11354), 1,
      aux_sym__table_settings_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527331] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15683), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [527341] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18590), 1,
      anon_sym_RPAREN,
    STATE(11382), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527355] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18592), 1,
      anon_sym_RPAREN,
    STATE(11224), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527369] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18594), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527383] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18596), 1,
      anon_sym_RPAREN,
    STATE(11227), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527397] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18598), 1,
      anon_sym_RPAREN,
    STATE(12569), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527411] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18600), 1,
      anon_sym_RPAREN,
    STATE(11460), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527425] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18602), 1,
      anon_sym_RPAREN,
    STATE(11230), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527439] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18604), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [527449] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18606), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527463] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18608), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [527473] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18610), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [527483] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18612), 1,
      anon_sym_RPAREN,
    STATE(11460), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527497] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18614), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [527507] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18616), 1,
      anon_sym_RPAREN,
    STATE(11260), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527521] = 4,
    ACTIONS(18618), 1,
      sym_keyword_materialized,
    ACTIONS(18620), 1,
      sym_keyword_not,
    ACTIONS(18622), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527535] = 4,
    ACTIONS(18624), 1,
      anon_sym_RPAREN,
    ACTIONS(18626), 1,
      anon_sym_COMMA,
    STATE(11234), 1,
      aux_sym_cte_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527549] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18556), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527563] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18629), 1,
      anon_sym_RPAREN,
    STATE(12747), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527577] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18631), 1,
      anon_sym_RPAREN,
    STATE(11239), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527591] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18512), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527605] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18633), 1,
      anon_sym_RPAREN,
    STATE(11460), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527619] = 4,
    ACTIONS(17028), 1,
      anon_sym_COMMA,
    ACTIONS(18635), 1,
      anon_sym_RPAREN,
    STATE(11403), 1,
      aux_sym_storage_parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527633] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18637), 1,
      anon_sym_RPAREN,
    STATE(11245), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527647] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18639), 1,
      anon_sym_RPAREN,
    STATE(11508), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527661] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18641), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [527671] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18643), 1,
      anon_sym_RPAREN,
    STATE(11382), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527685] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18645), 1,
      anon_sym_RPAREN,
    STATE(11460), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527699] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18647), 1,
      anon_sym_RPAREN,
    STATE(11249), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527713] = 3,
    ACTIONS(18649), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2105), 2,
      sym_subquery,
      sym_list,
  [527725] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18651), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [527735] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18653), 1,
      anon_sym_RPAREN,
    STATE(11460), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527749] = 4,
    ACTIONS(18655), 1,
      anon_sym_RPAREN,
    ACTIONS(18657), 1,
      anon_sym_COMMA,
    STATE(11250), 1,
      aux_sym__vacuum_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527763] = 4,
    ACTIONS(18049), 1,
      anon_sym_COMMA,
    ACTIONS(18660), 1,
      anon_sym_RPAREN,
    STATE(11250), 1,
      aux_sym__vacuum_table_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527777] = 4,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(18662), 1,
      anon_sym_RPAREN,
    STATE(10932), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527791] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18664), 1,
      anon_sym_RPAREN,
    STATE(11254), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527805] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18666), 1,
      anon_sym_RPAREN,
    STATE(11460), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527819] = 3,
    ACTIONS(18668), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17459), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [527831] = 3,
    ACTIONS(18670), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18672), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [527843] = 4,
    ACTIONS(14148), 1,
      anon_sym_COMMA,
    ACTIONS(14152), 1,
      anon_sym_RPAREN,
    STATE(11369), 1,
      aux_sym__compute_stats_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527857] = 4,
    ACTIONS(16768), 1,
      anon_sym_COMMA,
    ACTIONS(18674), 1,
      anon_sym_RPAREN,
    STATE(10739), 1,
      aux_sym_select_expression_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527871] = 4,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(18676), 1,
      anon_sym_RBRACK,
    STATE(10930), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527885] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18678), 1,
      anon_sym_RPAREN,
    STATE(11460), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527899] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18680), 1,
      anon_sym_RPAREN,
    STATE(12797), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527913] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18682), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527927] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17235), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [527937] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18684), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527951] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18686), 1,
      anon_sym_RPAREN,
    STATE(12804), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527965] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18688), 3,
      sym_keyword_and,
      sym_keyword_exclude,
      anon_sym_RPAREN,
  [527975] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18690), 1,
      anon_sym_RPAREN,
    STATE(12570), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [527989] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18692), 3,
      sym_keyword_and,
      sym_keyword_exclude,
      anon_sym_RPAREN,
  [527999] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18694), 1,
      anon_sym_RPAREN,
    STATE(11315), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528013] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18696), 3,
      sym_keyword_and,
      sym_keyword_exclude,
      anon_sym_RPAREN,
  [528023] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18698), 3,
      sym_keyword_and,
      sym_keyword_exclude,
      anon_sym_RPAREN,
  [528033] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18700), 3,
      sym_keyword_and,
      sym_keyword_exclude,
      anon_sym_RPAREN,
  [528043] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18702), 3,
      sym_keyword_and,
      sym_keyword_exclude,
      anon_sym_RPAREN,
  [528053] = 3,
    ACTIONS(18704), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17075), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [528065] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18706), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528079] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18708), 1,
      anon_sym_RPAREN,
    STATE(12331), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528093] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17171), 3,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
      sym_keyword_returning,
  [528103] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18710), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528117] = 3,
    ACTIONS(18712), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(3479), 2,
      sym_subquery,
      sym_list,
  [528129] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18714), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528143] = 4,
    ACTIONS(18716), 1,
      sym_keyword_by,
    ACTIONS(18718), 1,
      anon_sym_LPAREN,
    STATE(6888), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528157] = 4,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(18720), 1,
      anon_sym_RPAREN,
    STATE(10932), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528171] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18722), 1,
      anon_sym_RPAREN,
    STATE(11460), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528185] = 4,
    ACTIONS(17702), 1,
      anon_sym_COMMA,
    ACTIONS(18724), 1,
      anon_sym_RPAREN,
    STATE(11387), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528199] = 4,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(18726), 1,
      anon_sym_RBRACK,
    STATE(10930), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528213] = 4,
    ACTIONS(18728), 1,
      anon_sym_RPAREN,
    ACTIONS(18730), 1,
      anon_sym_COMMA,
    STATE(11286), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528227] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18733), 1,
      anon_sym_RPAREN,
    STATE(11283), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528241] = 4,
    ACTIONS(18735), 1,
      anon_sym_RPAREN,
    ACTIONS(18737), 1,
      anon_sym_COMMA,
    STATE(11390), 1,
      aux_sym_constraints_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528255] = 4,
    ACTIONS(18739), 1,
      anon_sym_RPAREN,
    ACTIONS(18741), 1,
      anon_sym_COMMA,
    STATE(11289), 1,
      aux_sym_column_definitions_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528269] = 4,
    ACTIONS(17702), 1,
      anon_sym_COMMA,
    ACTIONS(18744), 1,
      anon_sym_RPAREN,
    STATE(11286), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528283] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18746), 1,
      anon_sym_RPAREN,
    STATE(11318), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528297] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(1797), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528311] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18748), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528325] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18750), 1,
      anon_sym_RPAREN,
    STATE(11460), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528339] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18752), 1,
      anon_sym_RPAREN,
    STATE(11382), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528353] = 4,
    ACTIONS(18185), 1,
      anon_sym_COMMA,
    ACTIONS(18754), 1,
      anon_sym_RPAREN,
    STATE(11406), 1,
      aux_sym__table_settings_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528367] = 4,
    ACTIONS(17702), 1,
      anon_sym_COMMA,
    ACTIONS(18756), 1,
      anon_sym_RPAREN,
    STATE(11330), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528381] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18758), 1,
      anon_sym_RPAREN,
    STATE(11408), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528395] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18760), 1,
      anon_sym_RPAREN,
    STATE(11294), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528409] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16730), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528423] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18762), 1,
      anon_sym_RPAREN,
    STATE(11460), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528437] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(18764), 1,
      sym_keyword_on,
    STATE(11413), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528451] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18766), 1,
      anon_sym_RPAREN,
    STATE(12518), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528465] = 3,
    ACTIONS(18768), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18770), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [528477] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18772), 1,
      anon_sym_RPAREN,
    STATE(12395), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528491] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18774), 1,
      anon_sym_RPAREN,
    STATE(11301), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528505] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18776), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528519] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(18764), 1,
      sym_keyword_on,
    STATE(11327), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528533] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18778), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528547] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18780), 1,
      anon_sym_RPAREN,
    STATE(12409), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528561] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18782), 1,
      anon_sym_RPAREN,
    STATE(12526), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528575] = 4,
    ACTIONS(18191), 1,
      anon_sym_COMMA,
    ACTIONS(18784), 1,
      anon_sym_RPAREN,
    STATE(11417), 1,
      aux_sym_index_fields_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528589] = 3,
    ACTIONS(18786), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18788), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [528601] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18790), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528615] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18792), 1,
      anon_sym_RPAREN,
    STATE(11460), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528629] = 3,
    ACTIONS(18794), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18796), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [528641] = 4,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    ACTIONS(18798), 1,
      sym_keyword_using,
    STATE(9364), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528655] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18800), 1,
      anon_sym_RPAREN,
    STATE(11382), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528669] = 4,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    ACTIONS(18802), 1,
      sym_keyword_using,
    STATE(9357), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528683] = 4,
    ACTIONS(18119), 1,
      anon_sym_COMMA,
    ACTIONS(18804), 1,
      anon_sym_RPAREN,
    STATE(11429), 1,
      aux_sym_create_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528697] = 4,
    ACTIONS(18317), 1,
      anon_sym_COMMA,
    ACTIONS(18806), 1,
      anon_sym_RPAREN,
    STATE(11432), 1,
      aux_sym_enum_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528711] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18808), 1,
      anon_sym_RPAREN,
    STATE(12444), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528725] = 4,
    ACTIONS(18810), 1,
      anon_sym_RPAREN,
    ACTIONS(18812), 1,
      anon_sym_COMMA,
    STATE(11323), 1,
      aux_sym_create_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528739] = 4,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    ACTIONS(18815), 1,
      sym_keyword_using,
    STATE(9378), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528753] = 4,
    ACTIONS(17028), 1,
      anon_sym_COMMA,
    ACTIONS(18817), 1,
      anon_sym_RPAREN,
    STATE(11403), 1,
      aux_sym_storage_parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528767] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16730), 1,
      anon_sym_RPAREN,
    STATE(11442), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528781] = 4,
    ACTIONS(18819), 1,
      sym_keyword_on,
    ACTIONS(18821), 1,
      sym_keyword_or,
    STATE(11327), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528795] = 4,
    ACTIONS(18824), 1,
      anon_sym_RPAREN,
    ACTIONS(18826), 1,
      anon_sym_COMMA,
    STATE(11328), 1,
      aux_sym_function_arguments_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528809] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18829), 3,
      sym_keyword_safe,
      sym_keyword_unsafe,
      sym_keyword_restricted,
  [528819] = 4,
    ACTIONS(17702), 1,
      anon_sym_COMMA,
    ACTIONS(18831), 1,
      anon_sym_RPAREN,
    STATE(11286), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528833] = 3,
    ACTIONS(18835), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18833), 2,
      sym_keyword_after,
      sym_keyword_before,
  [528845] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18837), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [528855] = 3,
    ACTIONS(18839), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18841), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [528867] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(1791), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528881] = 4,
    ACTIONS(17702), 1,
      anon_sym_COMMA,
    ACTIONS(18843), 1,
      anon_sym_RPAREN,
    STATE(11391), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528895] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18845), 1,
      anon_sym_RPAREN,
    STATE(12667), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528909] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18847), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528923] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18849), 1,
      anon_sym_RPAREN,
    STATE(12675), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528937] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18851), 1,
      anon_sym_RPAREN,
    STATE(11382), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528951] = 4,
    ACTIONS(17702), 1,
      anon_sym_COMMA,
    ACTIONS(18853), 1,
      anon_sym_RPAREN,
    STATE(11363), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528965] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18855), 1,
      anon_sym_RPAREN,
    STATE(11339), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528979] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(18857), 1,
      sym_keyword_on,
    STATE(10763), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [528993] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18859), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [529003] = 3,
    ACTIONS(18861), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(2661), 2,
      sym_subquery,
      sym_list,
  [529015] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18863), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [529025] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18865), 1,
      anon_sym_RPAREN,
    STATE(11486), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529039] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(18857), 1,
      sym_keyword_on,
    STATE(11327), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529053] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18865), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529067] = 4,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(18867), 1,
      anon_sym_RPAREN,
    STATE(10932), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529081] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(1787), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529095] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14979), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [529105] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18869), 1,
      anon_sym_RPAREN,
    STATE(11460), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529119] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18871), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [529129] = 4,
    ACTIONS(18185), 1,
      anon_sym_COMMA,
    ACTIONS(18873), 1,
      anon_sym_RPAREN,
    STATE(11406), 1,
      aux_sym__table_settings_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529143] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18875), 1,
      anon_sym_RPAREN,
    STATE(12762), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529157] = 4,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(18877), 1,
      anon_sym_RBRACK,
    STATE(10930), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529171] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16690), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [529181] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18879), 1,
      anon_sym_RPAREN,
    STATE(11244), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529195] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18881), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [529205] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18883), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [529215] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18885), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529229] = 4,
    ACTIONS(18887), 1,
      sym_keyword_materialized,
    ACTIONS(18889), 1,
      sym_keyword_not,
    ACTIONS(18891), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529243] = 4,
    ACTIONS(17702), 1,
      anon_sym_COMMA,
    ACTIONS(18893), 1,
      anon_sym_RPAREN,
    STATE(11286), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529257] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18895), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529271] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18897), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [529281] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18899), 1,
      anon_sym_RPAREN,
    STATE(11352), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529295] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18901), 3,
      sym_keyword_match,
      sym_keyword_true,
      sym_keyword_false,
  [529305] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18901), 3,
      sym_keyword_csv,
      sym_keyword_binary,
      sym_keyword_text,
  [529315] = 4,
    ACTIONS(14592), 1,
      anon_sym_RPAREN,
    ACTIONS(18903), 1,
      anon_sym_COMMA,
    STATE(11369), 1,
      aux_sym__compute_stats_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529329] = 4,
    ACTIONS(14148), 1,
      anon_sym_COMMA,
    ACTIONS(16694), 1,
      anon_sym_RPAREN,
    STATE(11369), 1,
      aux_sym__compute_stats_repeat2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529343] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18906), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [529353] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18908), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529367] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18910), 1,
      anon_sym_RPAREN,
    STATE(13150), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529381] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18912), 1,
      anon_sym_RPAREN,
    STATE(11460), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529395] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18914), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529409] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18916), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529423] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18918), 1,
      anon_sym_RPAREN,
    STATE(14795), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529437] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18920), 1,
      anon_sym_RPAREN,
    STATE(11374), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529451] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18922), 1,
      anon_sym_RPAREN,
    STATE(11460), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529465] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18924), 1,
      anon_sym_RPAREN,
    STATE(11376), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529479] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18926), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529493] = 4,
    ACTIONS(18928), 1,
      anon_sym_RPAREN,
    ACTIONS(18930), 1,
      anon_sym_COMMA,
    STATE(11382), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529507] = 3,
    ACTIONS(18933), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4305), 2,
      sym_subquery,
      sym_list,
  [529519] = 4,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(18935), 1,
      anon_sym_RPAREN,
    STATE(10932), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529533] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18937), 1,
      anon_sym_RPAREN,
    STATE(11379), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529547] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(18939), 1,
      anon_sym_RPAREN,
    STATE(11460), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529561] = 4,
    ACTIONS(17702), 1,
      anon_sym_COMMA,
    ACTIONS(18941), 1,
      anon_sym_RPAREN,
    STATE(11286), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529575] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(18943), 1,
      anon_sym_RPAREN,
    STATE(11415), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529589] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18945), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529603] = 4,
    ACTIONS(18737), 1,
      anon_sym_COMMA,
    ACTIONS(18947), 1,
      anon_sym_RPAREN,
    STATE(11448), 1,
      aux_sym_constraints_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529617] = 4,
    ACTIONS(17702), 1,
      anon_sym_COMMA,
    ACTIONS(18949), 1,
      anon_sym_RPAREN,
    STATE(11286), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529631] = 4,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    ACTIONS(18951), 1,
      sym_keyword_using,
    STATE(9793), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529645] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18953), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529659] = 4,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(18955), 1,
      anon_sym_RBRACK,
    STATE(10930), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529673] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18957), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529687] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18959), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529701] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18961), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [529711] = 3,
    ACTIONS(18965), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18963), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [529723] = 4,
    ACTIONS(17028), 1,
      anon_sym_COMMA,
    ACTIONS(18967), 1,
      anon_sym_RPAREN,
    STATE(11240), 1,
      aux_sym_storage_parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529737] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18969), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529751] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18971), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [529761] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18973), 1,
      anon_sym_RPAREN,
    STATE(13420), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529775] = 4,
    ACTIONS(18963), 1,
      anon_sym_RPAREN,
    ACTIONS(18975), 1,
      anon_sym_COMMA,
    STATE(11403), 1,
      aux_sym_storage_parameters_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529789] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18978), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529803] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18980), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529817] = 4,
    ACTIONS(18982), 1,
      anon_sym_RPAREN,
    ACTIONS(18984), 1,
      anon_sym_COMMA,
    STATE(11406), 1,
      aux_sym__table_settings_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529831] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18987), 1,
      anon_sym_RPAREN,
    STATE(13459), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529845] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(18989), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529859] = 4,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    ACTIONS(18991), 1,
      sym_keyword_using,
    STATE(9831), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529873] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(18993), 1,
      anon_sym_RPAREN,
    STATE(13417), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529887] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(18995), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529901] = 4,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    ACTIONS(18997), 1,
      sym_keyword_using,
    STATE(9844), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529915] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(18999), 1,
      sym_keyword_on,
    STATE(11327), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529929] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(18999), 1,
      sym_keyword_on,
    STATE(11347), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529943] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(19001), 1,
      anon_sym_RPAREN,
    STATE(11382), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529957] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(19003), 1,
      anon_sym_RPAREN,
    STATE(11433), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529971] = 4,
    ACTIONS(19005), 1,
      anon_sym_RPAREN,
    ACTIONS(19007), 1,
      anon_sym_COMMA,
    STATE(11417), 1,
      aux_sym_index_fields_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529985] = 4,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    ACTIONS(19010), 1,
      sym_keyword_using,
    STATE(9927), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [529999] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(19012), 1,
      anon_sym_RPAREN,
    STATE(13511), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530013] = 4,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    ACTIONS(19014), 1,
      sym_keyword_using,
    STATE(9921), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530027] = 4,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    ACTIONS(19016), 1,
      sym_keyword_using,
    STATE(9924), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530041] = 3,
    ACTIONS(19018), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19020), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [530053] = 3,
    ACTIONS(19022), 1,
      sym_keyword_nulls,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19024), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [530065] = 4,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    ACTIONS(19026), 1,
      sym_keyword_using,
    STATE(9116), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530079] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19028), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [530089] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(19030), 1,
      anon_sym_RPAREN,
    STATE(13619), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530103] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(19032), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530117] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(19034), 1,
      anon_sym_RPAREN,
    STATE(13627), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530131] = 4,
    ACTIONS(18119), 1,
      anon_sym_COMMA,
    ACTIONS(19036), 1,
      anon_sym_RPAREN,
    STATE(11323), 1,
      aux_sym_create_type_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530145] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(19038), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530159] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(19040), 1,
      anon_sym_RPAREN,
    STATE(11381), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530173] = 4,
    ACTIONS(18317), 1,
      anon_sym_COMMA,
    ACTIONS(19042), 1,
      anon_sym_RPAREN,
    STATE(11166), 1,
      aux_sym_enum_elements_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530187] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(19044), 1,
      anon_sym_RPAREN,
    STATE(11382), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530201] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(19046), 1,
      anon_sym_RPAREN,
    STATE(12425), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530215] = 4,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    ACTIONS(19048), 1,
      sym_keyword_using,
    STATE(9978), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530229] = 4,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    ACTIONS(19050), 1,
      sym_keyword_using,
    STATE(9981), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530243] = 4,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    ACTIONS(19052), 1,
      sym_keyword_using,
    STATE(9987), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530257] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(19054), 1,
      anon_sym_RPAREN,
    STATE(13710), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530271] = 4,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    ACTIONS(19056), 1,
      sym_keyword_using,
    STATE(9086), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530285] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(19058), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530299] = 3,
    ACTIONS(19060), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4660), 2,
      sym_subquery,
      sym_list,
  [530311] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16578), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530325] = 3,
    ACTIONS(19064), 1,
      sym_keyword_each,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19062), 2,
      sym_keyword_row,
      sym_keyword_statement,
  [530337] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(19066), 1,
      anon_sym_RPAREN,
    STATE(11386), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530351] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(19068), 1,
      anon_sym_RPAREN,
    STATE(11460), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530365] = 4,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(19070), 1,
      anon_sym_RPAREN,
    STATE(10932), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530379] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(19072), 1,
      anon_sym_RPAREN,
    STATE(11395), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530393] = 4,
    ACTIONS(19074), 1,
      anon_sym_RPAREN,
    ACTIONS(19076), 1,
      anon_sym_COMMA,
    STATE(11448), 1,
      aux_sym_constraints_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530407] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(19079), 1,
      anon_sym_RPAREN,
    STATE(11396), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530421] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(19072), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530435] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(19081), 1,
      anon_sym_RPAREN,
    STATE(11479), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530449] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(19083), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530463] = 4,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(19085), 1,
      anon_sym_RBRACK,
    STATE(10930), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530477] = 4,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    ACTIONS(19087), 1,
      sym_keyword_using,
    STATE(10083), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530491] = 4,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(19089), 1,
      anon_sym_RBRACK,
    STATE(10930), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530505] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(19091), 1,
      sym_keyword_on,
    STATE(11327), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530519] = 4,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    ACTIONS(19093), 1,
      sym_keyword_using,
    STATE(10087), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530533] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(19095), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530547] = 3,
    ACTIONS(19099), 1,
      sym_keyword_instead,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19097), 2,
      sym_keyword_after,
      sym_keyword_before,
  [530559] = 4,
    ACTIONS(19101), 1,
      anon_sym_RPAREN,
    ACTIONS(19103), 1,
      anon_sym_COMMA,
    STATE(11460), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530573] = 4,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(19106), 1,
      anon_sym_RPAREN,
    STATE(10932), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530587] = 3,
    ACTIONS(19108), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(6431), 2,
      sym_subquery,
      sym_list,
  [530599] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(16578), 1,
      anon_sym_RPAREN,
    STATE(11063), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530613] = 4,
    ACTIONS(9527), 1,
      anon_sym_COMMA,
    ACTIONS(19110), 1,
      anon_sym_RPAREN,
    STATE(10932), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530627] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19112), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [530637] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19114), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [530647] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(19116), 1,
      anon_sym_RPAREN,
    STATE(11460), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530661] = 4,
    ACTIONS(9521), 1,
      anon_sym_COMMA,
    ACTIONS(19118), 1,
      anon_sym_RBRACK,
    STATE(10930), 1,
      aux_sym_array_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530675] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(19120), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530689] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(19122), 1,
      anon_sym_RPAREN,
    STATE(14436), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530703] = 4,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    ACTIONS(19124), 1,
      sym_keyword_using,
    STATE(10193), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530717] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(19126), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530731] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(19128), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530745] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(19130), 1,
      anon_sym_RPAREN,
    STATE(11467), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530759] = 4,
    ACTIONS(17702), 1,
      anon_sym_COMMA,
    ACTIONS(19132), 1,
      anon_sym_RPAREN,
    STATE(11046), 1,
      aux_sym_alter_column_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530773] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(19134), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530787] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(19136), 1,
      anon_sym_RPAREN,
    STATE(14333), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530801] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(19138), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530815] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(19140), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530829] = 4,
    ACTIONS(18265), 1,
      anon_sym_COMMA,
    ACTIONS(19142), 1,
      anon_sym_RPAREN,
    STATE(11036), 1,
      aux_sym_ordered_columns_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530843] = 4,
    ACTIONS(15865), 1,
      sym_keyword_partition,
    ACTIONS(19144), 1,
      sym_keyword_compute,
    STATE(14077), 1,
      sym__partition_spec,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530857] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(19146), 1,
      anon_sym_RPAREN,
    STATE(11500), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530871] = 4,
    ACTIONS(16831), 1,
      anon_sym_RPAREN,
    ACTIONS(19148), 1,
      sym_keyword_returning,
    STATE(10802), 1,
      sym_returning,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530885] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19150), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [530895] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(19152), 1,
      anon_sym_RPAREN,
    STATE(11510), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530909] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(19154), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530923] = 4,
    ACTIONS(17677), 1,
      anon_sym_COMMA,
    ACTIONS(19156), 1,
      anon_sym_RPAREN,
    STATE(10953), 1,
      aux_sym_alter_index_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530937] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19158), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [530947] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(19160), 1,
      anon_sym_RPAREN,
    STATE(14434), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530961] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15438), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [530971] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(19162), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [530985] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19164), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [530995] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(19166), 1,
      anon_sym_RPAREN,
    STATE(14445), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531009] = 4,
    ACTIONS(16870), 1,
      anon_sym_RPAREN,
    ACTIONS(19148), 1,
      sym_keyword_returning,
    STATE(10666), 1,
      sym_returning,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531023] = 4,
    ACTIONS(16872), 1,
      anon_sym_RPAREN,
    ACTIONS(19148), 1,
      sym_keyword_returning,
    STATE(10665), 1,
      sym_returning,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531037] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16494), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [531047] = 3,
    ACTIONS(19168), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    STATE(4430), 2,
      sym_subquery,
      sym_list,
  [531059] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19170), 3,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_RPAREN,
  [531069] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(19172), 1,
      anon_sym_RPAREN,
    STATE(14664), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531083] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(19174), 1,
      anon_sym_RPAREN,
    STATE(11382), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531097] = 4,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(19176), 1,
      anon_sym_RPAREN,
    STATE(11106), 1,
      aux_sym_invocation_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531111] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(19178), 1,
      anon_sym_RPAREN,
    STATE(11445), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531125] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(19180), 1,
      anon_sym_RPAREN,
    STATE(14505), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531139] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(19182), 1,
      anon_sym_RPAREN,
    STATE(14646), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531153] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(19184), 1,
      anon_sym_RPAREN,
    STATE(11382), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531167] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(19186), 1,
      anon_sym_RPAREN,
    STATE(11505), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531181] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(17534), 1,
      anon_sym_RPAREN,
    STATE(11450), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531195] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(19188), 1,
      anon_sym_RPAREN,
    STATE(7617), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531209] = 4,
    ACTIONS(1783), 1,
      anon_sym_COMMA,
    ACTIONS(19190), 1,
      anon_sym_RPAREN,
    STATE(11452), 1,
      aux_sym_set_statement_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531223] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(19192), 1,
      anon_sym_RPAREN,
    STATE(11382), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531237] = 4,
    ACTIONS(8890), 1,
      sym_keyword_limit,
    ACTIONS(19194), 1,
      anon_sym_RPAREN,
    STATE(14806), 1,
      sym_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531251] = 4,
    ACTIONS(18495), 1,
      anon_sym_COMMA,
    ACTIONS(19196), 1,
      anon_sym_RPAREN,
    STATE(11460), 1,
      aux_sym_create_trigger_repeat3,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531265] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(19198), 1,
      sym_keyword_on,
    STATE(11327), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531279] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(19200), 1,
      anon_sym_RPAREN,
    STATE(11515), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531293] = 4,
    ACTIONS(17544), 1,
      anon_sym_COMMA,
    ACTIONS(19202), 1,
      anon_sym_RPAREN,
    STATE(11382), 1,
      aux_sym_enum_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531307] = 4,
    ACTIONS(17588), 1,
      sym_keyword_or,
    ACTIONS(19198), 1,
      sym_keyword_on,
    STATE(11456), 1,
      aux_sym_create_trigger_repeat1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531321] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19204), 2,
      sym_keyword_committed,
      sym_keyword_uncommitted,
  [531330] = 3,
    ACTIONS(11005), 1,
      anon_sym_LPAREN,
    STATE(6689), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531341] = 3,
    ACTIONS(19206), 1,
      sym_keyword_table,
    ACTIONS(19208), 1,
      sym_keyword_tables,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531352] = 3,
    ACTIONS(19210), 1,
      sym_keyword_stats,
    ACTIONS(19212), 1,
      sym_keyword_incremental,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531363] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19214), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [531372] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19216), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [531381] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19214), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [531390] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19218), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [531399] = 3,
    ACTIONS(19220), 1,
      sym_keyword_first,
    ACTIONS(19222), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531410] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19224), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [531419] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19224), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [531428] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17584), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [531437] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19226), 2,
      sym_keyword_first,
      sym_keyword_last,
  [531446] = 3,
    ACTIONS(19228), 1,
      aux_sym__integer_token1,
    ACTIONS(19230), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531457] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19216), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [531466] = 3,
    ACTIONS(19232), 1,
      aux_sym__integer_token1,
    ACTIONS(19234), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531477] = 3,
    ACTIONS(19236), 1,
      sym_keyword_first,
    ACTIONS(19238), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531488] = 3,
    ACTIONS(19240), 1,
      anon_sym_LPAREN,
    STATE(4420), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531499] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19242), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [531508] = 3,
    ACTIONS(16912), 1,
      sym_keyword_check,
    STATE(10044), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531519] = 3,
    ACTIONS(16912), 1,
      sym_keyword_check,
    STATE(10294), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531530] = 3,
    ACTIONS(14369), 1,
      anon_sym_LPAREN,
    STATE(2623), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531541] = 3,
    ACTIONS(19244), 1,
      anon_sym_SEMI,
    ACTIONS(19246), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531552] = 3,
    ACTIONS(19248), 1,
      aux_sym__integer_token1,
    ACTIONS(19250), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531563] = 3,
    ACTIONS(12411), 1,
      sym_keyword_set,
    STATE(10307), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531574] = 3,
    ACTIONS(19252), 1,
      anon_sym_RPAREN,
    ACTIONS(19254), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531585] = 3,
    ACTIONS(11005), 1,
      anon_sym_LPAREN,
    STATE(14736), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531596] = 3,
    ACTIONS(19256), 1,
      anon_sym_RPAREN,
    ACTIONS(19258), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531607] = 3,
    ACTIONS(19260), 1,
      anon_sym_RPAREN,
    ACTIONS(19262), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531618] = 3,
    ACTIONS(19264), 1,
      anon_sym_RPAREN,
    ACTIONS(19266), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531629] = 3,
    ACTIONS(19268), 1,
      anon_sym_RPAREN,
    ACTIONS(19270), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531640] = 3,
    ACTIONS(19272), 1,
      anon_sym_RPAREN,
    ACTIONS(19274), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531651] = 3,
    ACTIONS(1460), 1,
      ts_builtin_sym_end,
    ACTIONS(19276), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531662] = 3,
    ACTIONS(19278), 1,
      sym_keyword_from,
    STATE(9759), 1,
      sym__delete_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531673] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19028), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [531682] = 3,
    ACTIONS(11005), 1,
      anon_sym_LPAREN,
    STATE(14573), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531693] = 3,
    ACTIONS(16646), 1,
      sym_keyword_sequence,
    ACTIONS(17199), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531704] = 3,
    ACTIONS(14335), 1,
      anon_sym_LPAREN,
    STATE(4179), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531715] = 3,
    ACTIONS(19280), 1,
      anon_sym_LBRACK,
    ACTIONS(19282), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531726] = 3,
    ACTIONS(19284), 1,
      aux_sym__integer_token1,
    ACTIONS(19286), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531737] = 3,
    ACTIONS(19288), 1,
      anon_sym_LPAREN,
    ACTIONS(19290), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531748] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19292), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [531757] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18091), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [531766] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17893), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [531775] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17885), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [531784] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17879), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [531793] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17873), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [531802] = 3,
    ACTIONS(16646), 1,
      sym_keyword_sequence,
    ACTIONS(17125), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531813] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17425), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [531822] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19294), 2,
      sym_keyword_to,
      anon_sym_EQ,
  [531831] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19296), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [531840] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17598), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [531849] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17083), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [531858] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17606), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [531867] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17522), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [531876] = 3,
    ACTIONS(19298), 1,
      sym_keyword_as,
    ACTIONS(19300), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531887] = 3,
    ACTIONS(19302), 1,
      anon_sym_SEMI,
    ACTIONS(19304), 1,
      sym_keyword_transaction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531898] = 3,
    ACTIONS(19306), 1,
      anon_sym_SEMI,
    ACTIONS(19308), 1,
      sym_keyword_transaction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531909] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17658), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [531918] = 3,
    ACTIONS(19310), 1,
      anon_sym_RPAREN,
    ACTIONS(19312), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531929] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17548), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [531938] = 3,
    ACTIONS(19314), 1,
      aux_sym__integer_token1,
    ACTIONS(19316), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531949] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17669), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [531958] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17673), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [531967] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17679), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [531976] = 3,
    ACTIONS(11005), 1,
      anon_sym_LPAREN,
    STATE(14266), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531987] = 3,
    ACTIONS(19318), 1,
      anon_sym_LPAREN,
    STATE(4044), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [531998] = 3,
    ACTIONS(19320), 1,
      aux_sym__integer_token1,
    ACTIONS(19322), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532009] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17689), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [532018] = 3,
    ACTIONS(19324), 1,
      anon_sym_RPAREN,
    ACTIONS(19326), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532029] = 3,
    ACTIONS(19328), 1,
      anon_sym_RPAREN,
    ACTIONS(19330), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532040] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17899), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [532049] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16849), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [532058] = 3,
    ACTIONS(19332), 1,
      anon_sym_RPAREN,
    ACTIONS(19334), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532069] = 3,
    ACTIONS(19336), 1,
      anon_sym_RPAREN,
    ACTIONS(19338), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532080] = 3,
    ACTIONS(19340), 1,
      anon_sym_RPAREN,
    ACTIONS(19342), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532091] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16839), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [532100] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18097), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [532109] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15280), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [532118] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18105), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [532127] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18121), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [532136] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18123), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [532145] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18125), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [532154] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19344), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [532163] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19112), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [532172] = 3,
    ACTIONS(19346), 1,
      anon_sym_RPAREN,
    ACTIONS(19348), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532183] = 3,
    ACTIONS(19350), 1,
      anon_sym_RPAREN,
    ACTIONS(19352), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532194] = 3,
    ACTIONS(19354), 1,
      anon_sym_RPAREN,
    ACTIONS(19356), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532205] = 3,
    ACTIONS(14265), 1,
      anon_sym_LPAREN,
    STATE(8977), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532216] = 3,
    ACTIONS(19276), 1,
      anon_sym_SEMI,
    ACTIONS(19358), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532227] = 3,
    ACTIONS(19360), 1,
      sym_keyword_duplicate,
    ACTIONS(19362), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532238] = 3,
    ACTIONS(17734), 1,
      anon_sym_LPAREN,
    ACTIONS(17738), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532249] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18971), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [532258] = 3,
    ACTIONS(19364), 1,
      sym_keyword_for,
    ACTIONS(19366), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532269] = 3,
    ACTIONS(19368), 1,
      anon_sym_LPAREN,
    STATE(8201), 1,
      sym_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532280] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19170), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [532289] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16494), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [532298] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17279), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [532307] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17532), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [532316] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19164), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [532325] = 3,
    ACTIONS(19368), 1,
      anon_sym_LPAREN,
    STATE(10830), 1,
      sym_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532336] = 3,
    ACTIONS(16592), 1,
      sym_keyword_outer,
    ACTIONS(16594), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532347] = 3,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    STATE(11594), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532358] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15438), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [532367] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19158), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [532376] = 3,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(3325), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532387] = 3,
    ACTIONS(17654), 1,
      sym_keyword_isolation,
    STATE(10839), 1,
      sym__transaction_mode,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532398] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19150), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [532407] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19370), 2,
      sym_keyword_to,
      anon_sym_EQ,
  [532416] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17219), 2,
      sym_keyword_immediate,
      sym_keyword_deferred,
  [532425] = 3,
    ACTIONS(19372), 1,
      sym_keyword_as,
    ACTIONS(19374), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532436] = 3,
    ACTIONS(19376), 1,
      sym_keyword_outer,
    ACTIONS(19378), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532447] = 3,
    ACTIONS(16560), 1,
      sym_keyword_outer,
    ACTIONS(16562), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532458] = 3,
    ACTIONS(19380), 1,
      sym_keyword_outer,
    ACTIONS(19382), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532469] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19114), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [532478] = 3,
    ACTIONS(16438), 1,
      sym_keyword_outer,
    ACTIONS(16440), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532489] = 3,
    ACTIONS(19384), 1,
      sym_keyword_outer,
    ACTIONS(19386), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532500] = 3,
    ACTIONS(19388), 1,
      sym_keyword_outer,
    ACTIONS(19390), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532511] = 3,
    ACTIONS(16532), 1,
      sym_keyword_outer,
    ACTIONS(16534), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532522] = 3,
    ACTIONS(18059), 1,
      anon_sym_LPAREN,
    STATE(13979), 1,
      sym_function_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532533] = 3,
    ACTIONS(19392), 1,
      sym_keyword_outer,
    ACTIONS(19394), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532544] = 3,
    ACTIONS(19396), 1,
      sym_keyword_outer,
    ACTIONS(19398), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532555] = 3,
    ACTIONS(16506), 1,
      sym_keyword_outer,
    ACTIONS(16508), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532566] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19344), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [532575] = 3,
    ACTIONS(19400), 1,
      sym_keyword_outer,
    ACTIONS(19402), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532586] = 3,
    ACTIONS(19404), 1,
      sym_keyword_outer,
    ACTIONS(19406), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532597] = 3,
    ACTIONS(19408), 1,
      sym_keyword_first,
    ACTIONS(19410), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532608] = 3,
    ACTIONS(16458), 1,
      sym_keyword_outer,
    ACTIONS(16460), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532619] = 3,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    STATE(8948), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532630] = 3,
    ACTIONS(19412), 1,
      sym_keyword_outer,
    ACTIONS(19414), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532641] = 3,
    ACTIONS(19416), 1,
      sym_keyword_outer,
    ACTIONS(19418), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532652] = 3,
    ACTIONS(16444), 1,
      sym_keyword_outer,
    ACTIONS(16446), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532663] = 3,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    STATE(9088), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532674] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18961), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [532683] = 3,
    ACTIONS(19420), 1,
      anon_sym_SEMI,
    ACTIONS(19422), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532694] = 3,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    STATE(8942), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532705] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19424), 2,
      sym_keyword_rename,
      sym_keyword_owner,
  [532714] = 3,
    ACTIONS(19426), 1,
      anon_sym_SEMI,
    ACTIONS(19428), 1,
      anon_sym_COLON_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532725] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19296), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [532734] = 3,
    ACTIONS(19430), 1,
      anon_sym_LPAREN,
    STATE(4483), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532745] = 3,
    ACTIONS(19432), 1,
      aux_sym__integer_token1,
    ACTIONS(19434), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532756] = 3,
    ACTIONS(19436), 1,
      sym_keyword_first,
    ACTIONS(19438), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532767] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19440), 2,
      sym_keyword_first,
      sym_keyword_last,
  [532776] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19442), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [532785] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19444), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [532794] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19446), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [532803] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19448), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [532812] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19450), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [532821] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19452), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [532830] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19454), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [532839] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19456), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [532848] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19458), 2,
      sym_keyword_first,
      sym_keyword_last,
  [532857] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19460), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [532866] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19456), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [532875] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18906), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [532884] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18897), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [532893] = 3,
    ACTIONS(19462), 1,
      anon_sym_LBRACK,
    ACTIONS(19464), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532904] = 3,
    ACTIONS(17734), 1,
      anon_sym_LPAREN,
    ACTIONS(19466), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532915] = 3,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    STATE(11616), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532926] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18883), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [532935] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18881), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [532944] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19468), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [532953] = 3,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(10943), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532964] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16690), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [532973] = 3,
    ACTIONS(19470), 1,
      sym_keyword_first,
    ACTIONS(19472), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [532984] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19474), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [532993] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18871), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [533002] = 3,
    ACTIONS(16512), 1,
      sym_keyword_sequence,
    ACTIONS(17149), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533013] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14979), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [533022] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18863), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [533031] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18859), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [533040] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19476), 2,
      sym_keyword_default,
      sym_keyword_null,
  [533049] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19478), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [533058] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19480), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [533067] = 3,
    ACTIONS(19482), 1,
      aux_sym__integer_token1,
    ACTIONS(19484), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533078] = 3,
    ACTIONS(19486), 1,
      sym_keyword_first,
    ACTIONS(19488), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533089] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19490), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [533098] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19492), 2,
      sym_keyword_first,
      sym_keyword_last,
  [533107] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13659), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [533116] = 3,
    ACTIONS(19494), 1,
      anon_sym_LPAREN,
    STATE(6010), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533127] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18837), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [533136] = 3,
    ACTIONS(19496), 1,
      sym_keyword_as,
    ACTIONS(19498), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533147] = 3,
    ACTIONS(19288), 1,
      anon_sym_LPAREN,
    ACTIONS(19500), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533158] = 3,
    ACTIONS(19502), 1,
      sym_keyword_with,
    ACTIONS(19504), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533169] = 3,
    ACTIONS(19506), 1,
      anon_sym_RPAREN,
    ACTIONS(19508), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533180] = 3,
    ACTIONS(19510), 1,
      sym_keyword_as,
    ACTIONS(19512), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533191] = 3,
    ACTIONS(19514), 1,
      anon_sym_RPAREN,
    ACTIONS(19516), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533202] = 3,
    ACTIONS(14265), 1,
      anon_sym_LPAREN,
    STATE(10326), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533213] = 3,
    ACTIONS(19518), 1,
      anon_sym_RPAREN,
    ACTIONS(19520), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533224] = 3,
    ACTIONS(19522), 1,
      sym_keyword_with,
    ACTIONS(19524), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533235] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11842), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [533244] = 3,
    ACTIONS(19526), 1,
      sym_keyword_with,
    ACTIONS(19528), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533255] = 3,
    ACTIONS(19530), 1,
      sym_keyword_column,
    ACTIONS(19532), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533266] = 3,
    ACTIONS(19534), 1,
      sym_keyword_as,
    ACTIONS(19536), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533277] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19538), 2,
      sym_keyword_committed,
      sym_keyword_uncommitted,
  [533286] = 3,
    ACTIONS(14265), 1,
      anon_sym_LPAREN,
    STATE(9031), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533297] = 3,
    ACTIONS(19540), 1,
      sym_keyword_outer,
    ACTIONS(19542), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533308] = 3,
    ACTIONS(19544), 1,
      sym_keyword_column,
    ACTIONS(19546), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533319] = 3,
    ACTIONS(19548), 1,
      sym_keyword_as,
    ACTIONS(19550), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533330] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19552), 2,
      sym_keyword_delete,
      sym_keyword_update,
  [533339] = 3,
    ACTIONS(17129), 1,
      sym_keyword_select,
    STATE(10924), 1,
      sym_select,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533350] = 3,
    ACTIONS(19554), 1,
      anon_sym_RPAREN,
    ACTIONS(19556), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533361] = 3,
    ACTIONS(19558), 1,
      anon_sym_RPAREN,
    ACTIONS(19560), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533372] = 3,
    ACTIONS(19562), 1,
      anon_sym_RPAREN,
    ACTIONS(19564), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533383] = 3,
    ACTIONS(19566), 1,
      sym_keyword_as,
    ACTIONS(19568), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533394] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18651), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [533403] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19570), 2,
      sym_keyword_rename,
      sym_keyword_owner,
  [533412] = 3,
    ACTIONS(19572), 1,
      anon_sym_RPAREN,
    ACTIONS(19574), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533423] = 3,
    ACTIONS(19576), 1,
      anon_sym_RPAREN,
    ACTIONS(19578), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533434] = 3,
    ACTIONS(19580), 1,
      sym_keyword_outer,
    ACTIONS(19582), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533445] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18614), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [533454] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18610), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [533463] = 3,
    ACTIONS(19584), 1,
      anon_sym_RPAREN,
    ACTIONS(19586), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533474] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18608), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [533483] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18604), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [533492] = 3,
    ACTIONS(18059), 1,
      anon_sym_LPAREN,
    STATE(13516), 1,
      sym_function_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533503] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19588), 2,
      sym_keyword_first,
      sym_keyword_last,
  [533512] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18641), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [533521] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17014), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [533530] = 3,
    ACTIONS(19590), 1,
      sym_keyword_as,
    ACTIONS(19592), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533541] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15683), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [533550] = 3,
    ACTIONS(16047), 1,
      sym_keyword_outer,
    ACTIONS(16049), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533561] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19594), 2,
      sym_keyword_range,
      sym_keyword_hash,
  [533570] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18584), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [533579] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18580), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [533588] = 3,
    ACTIONS(12411), 1,
      sym_keyword_set,
    STATE(10015), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533599] = 3,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    STATE(10270), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533610] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18570), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [533619] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19596), 2,
      sym_keyword_group,
      sym_keyword_role,
  [533628] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18558), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [533637] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19598), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [533646] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19600), 2,
      sym_keyword_range,
      sym_keyword_hash,
  [533655] = 3,
    ACTIONS(19602), 1,
      anon_sym_LPAREN,
    STATE(8454), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533666] = 3,
    ACTIONS(19604), 1,
      sym_keyword_duplicate,
    ACTIONS(19606), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533677] = 3,
    ACTIONS(19608), 1,
      sym_keyword_stats,
    ACTIONS(19610), 1,
      sym_keyword_incremental,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533688] = 3,
    ACTIONS(19612), 1,
      sym_keyword_from,
    STATE(9705), 1,
      sym__delete_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533699] = 3,
    ACTIONS(19614), 1,
      anon_sym_LPAREN,
    STATE(2556), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533710] = 3,
    ACTIONS(19616), 1,
      sym_keyword_as,
    ACTIONS(19618), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533721] = 3,
    ACTIONS(19368), 1,
      anon_sym_LPAREN,
    STATE(8141), 1,
      sym_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533732] = 3,
    ACTIONS(16912), 1,
      sym_keyword_check,
    STATE(10463), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533743] = 3,
    ACTIONS(19620), 1,
      aux_sym__integer_token1,
    ACTIONS(19622), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533754] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19624), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [533763] = 3,
    ACTIONS(19626), 1,
      sym_keyword_outer,
    ACTIONS(19628), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533774] = 3,
    ACTIONS(19630), 1,
      sym_keyword_then,
    ACTIONS(19632), 1,
      sym_keyword_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533785] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19634), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [533794] = 3,
    ACTIONS(19636), 1,
      sym_keyword_first,
    ACTIONS(19638), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533805] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19640), 2,
      sym_keyword_to,
      anon_sym_EQ,
  [533814] = 3,
    ACTIONS(11005), 1,
      anon_sym_LPAREN,
    STATE(6681), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533825] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19642), 2,
      sym_keyword_group,
      sym_keyword_role,
  [533834] = 3,
    ACTIONS(19644), 1,
      anon_sym_LPAREN,
    STATE(4834), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533845] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18586), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [533854] = 3,
    ACTIONS(19646), 1,
      aux_sym__integer_token1,
    ACTIONS(19648), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533865] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19650), 2,
      sym_keyword_first,
      sym_keyword_last,
  [533874] = 3,
    ACTIONS(19652), 1,
      anon_sym_LPAREN,
    STATE(8500), 1,
      sym_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533885] = 3,
    ACTIONS(19654), 1,
      sym_keyword_as,
    ACTIONS(19656), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533896] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11870), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [533905] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18447), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [533914] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19658), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [533923] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18445), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [533932] = 3,
    ACTIONS(17901), 1,
      sym_keyword_isolation,
    STATE(12088), 1,
      sym__transaction_mode,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533943] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19660), 2,
      sym_keyword_to,
      anon_sym_EQ,
  [533952] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17433), 2,
      sym_keyword_immediate,
      sym_keyword_deferred,
  [533961] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18349), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [533970] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19658), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [533979] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19662), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [533988] = 3,
    ACTIONS(19664), 1,
      anon_sym_RPAREN,
    ACTIONS(19666), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [533999] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19668), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [534008] = 3,
    ACTIONS(17129), 1,
      sym_keyword_select,
    STATE(11044), 1,
      sym_select,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534019] = 3,
    ACTIONS(18059), 1,
      anon_sym_LPAREN,
    STATE(13580), 1,
      sym_function_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534030] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18383), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534039] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18381), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534048] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15751), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534057] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18371), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534066] = 3,
    ACTIONS(19670), 1,
      sym_keyword_tablespace,
    ACTIONS(19672), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534077] = 3,
    ACTIONS(19674), 1,
      anon_sym_LPAREN,
    STATE(6760), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534088] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14995), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534097] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18355), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534106] = 3,
    ACTIONS(19676), 1,
      sym_keyword_value,
    ACTIONS(19678), 1,
      sym_keyword_attribute,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534117] = 3,
    ACTIONS(19680), 1,
      anon_sym_RPAREN,
    ACTIONS(19682), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534128] = 3,
    ACTIONS(19684), 1,
      anon_sym_RPAREN,
    ACTIONS(19686), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534139] = 3,
    ACTIONS(19688), 1,
      anon_sym_RPAREN,
    ACTIONS(19690), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534150] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17145), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534159] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18353), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534168] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18343), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534177] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18337), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534186] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18335), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534195] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18333), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534204] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18329), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534213] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18327), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534222] = 3,
    ACTIONS(19692), 1,
      sym_keyword_tablespace,
    ACTIONS(19694), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534233] = 3,
    ACTIONS(19696), 1,
      sym_keyword_column,
    ACTIONS(19698), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534244] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19700), 2,
      sym_keyword_definer,
      sym_keyword_invoker,
  [534253] = 3,
    ACTIONS(19702), 1,
      sym_keyword_value,
    ACTIONS(19704), 1,
      sym_keyword_attribute,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534264] = 3,
    ACTIONS(13188), 1,
      sym_keyword_using,
    ACTIONS(13249), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534275] = 3,
    ACTIONS(19706), 1,
      sym_keyword_outer,
    ACTIONS(19708), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534286] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19710), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [534295] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18295), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534304] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18275), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534313] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19710), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [534322] = 3,
    ACTIONS(19712), 1,
      aux_sym__integer_token1,
    ACTIONS(19714), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534333] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18267), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534342] = 3,
    ACTIONS(19716), 1,
      anon_sym_LPAREN,
    STATE(6791), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534353] = 3,
    ACTIONS(19718), 1,
      anon_sym_LPAREN,
    STATE(4512), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534364] = 3,
    ACTIONS(19720), 1,
      anon_sym_LPAREN,
    STATE(6452), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534375] = 3,
    ACTIONS(11271), 1,
      anon_sym_LPAREN,
    STATE(6765), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534386] = 3,
    ACTIONS(16912), 1,
      sym_keyword_check,
    STATE(9988), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534397] = 3,
    ACTIONS(17901), 1,
      sym_keyword_isolation,
    STATE(11773), 1,
      sym__transaction_mode,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534408] = 3,
    ACTIONS(12411), 1,
      sym_keyword_set,
    STATE(10067), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534419] = 3,
    ACTIONS(19368), 1,
      anon_sym_LPAREN,
    STATE(8448), 1,
      sym_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534430] = 3,
    ACTIONS(19722), 1,
      anon_sym_LPAREN,
    STATE(8437), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534441] = 3,
    ACTIONS(19724), 1,
      sym_keyword_as,
    ACTIONS(19726), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534452] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19710), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [534461] = 3,
    ACTIONS(19728), 1,
      aux_sym__integer_token1,
    ACTIONS(19730), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534472] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19732), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [534481] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18243), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534490] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19074), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [534499] = 3,
    ACTIONS(12411), 1,
      sym_keyword_set,
    STATE(9918), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534510] = 3,
    ACTIONS(11005), 1,
      anon_sym_LPAREN,
    STATE(6698), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534521] = 3,
    ACTIONS(13188), 1,
      sym_keyword_using,
    ACTIONS(13469), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534532] = 3,
    ACTIONS(19734), 1,
      anon_sym_LPAREN,
    STATE(10842), 1,
      sym_enum_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534543] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19736), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [534552] = 3,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(13590), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534563] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18233), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534572] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19710), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [534581] = 3,
    ACTIONS(12429), 1,
      sym_keyword_set,
    STATE(9884), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534592] = 3,
    ACTIONS(12429), 1,
      sym_keyword_set,
    STATE(9918), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534603] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19738), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [534612] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19740), 2,
      sym_keyword_old,
      sym_keyword_new,
  [534621] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19742), 2,
      sym_keyword_immediate,
      sym_keyword_deferred,
  [534630] = 3,
    ACTIONS(17654), 1,
      sym_keyword_isolation,
    STATE(11133), 1,
      sym__transaction_mode,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534641] = 3,
    ACTIONS(12429), 1,
      sym_keyword_set,
    STATE(10015), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534652] = 3,
    ACTIONS(12429), 1,
      sym_keyword_set,
    STATE(10067), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534663] = 3,
    ACTIONS(19744), 1,
      sym_keyword_tablespace,
    ACTIONS(19746), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534674] = 3,
    ACTIONS(12429), 1,
      sym_keyword_set,
    STATE(10174), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534685] = 3,
    ACTIONS(14265), 1,
      anon_sym_LPAREN,
    STATE(8922), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534696] = 3,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(13555), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534707] = 3,
    ACTIONS(12429), 1,
      sym_keyword_set,
    STATE(10307), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534718] = 3,
    ACTIONS(19748), 1,
      anon_sym_RPAREN,
    ACTIONS(19750), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534729] = 3,
    ACTIONS(19752), 1,
      anon_sym_RPAREN,
    ACTIONS(19754), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534740] = 3,
    ACTIONS(19756), 1,
      anon_sym_RPAREN,
    ACTIONS(19758), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534751] = 3,
    ACTIONS(19760), 1,
      anon_sym_RPAREN,
    ACTIONS(19762), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534762] = 3,
    ACTIONS(1456), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(19764), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534773] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(11894), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [534782] = 3,
    ACTIONS(19766), 1,
      anon_sym_RPAREN,
    ACTIONS(19768), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534793] = 3,
    ACTIONS(19770), 1,
      anon_sym_RPAREN,
    ACTIONS(19772), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534804] = 3,
    ACTIONS(19774), 1,
      sym_keyword_matched,
    ACTIONS(19776), 1,
      sym_keyword_not,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534815] = 3,
    ACTIONS(19778), 1,
      anon_sym_RPAREN,
    ACTIONS(19780), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534826] = 3,
    ACTIONS(19782), 1,
      sym_keyword_update,
    ACTIONS(19784), 1,
      sym_keyword_nothing,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534837] = 3,
    ACTIONS(11271), 1,
      anon_sym_LPAREN,
    STATE(6788), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534848] = 3,
    ACTIONS(19786), 1,
      anon_sym_LPAREN,
    STATE(9817), 1,
      sym_enum_elements,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534859] = 3,
    ACTIONS(18021), 1,
      anon_sym_LPAREN,
    STATE(8985), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534870] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16422), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534879] = 3,
    ACTIONS(13158), 1,
      sym_keyword_using,
    ACTIONS(13445), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534890] = 3,
    ACTIONS(11005), 1,
      anon_sym_LPAREN,
    STATE(6701), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534901] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14454), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [534910] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19788), 2,
      sym_keyword_only,
      sym_keyword_write,
  [534919] = 3,
    ACTIONS(19790), 1,
      sym_keyword_on,
    ACTIONS(19792), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534930] = 3,
    ACTIONS(19794), 1,
      sym_keyword_set,
    ACTIONS(19796), 1,
      sym_keyword_reset,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534941] = 3,
    ACTIONS(19798), 1,
      sym_keyword_as,
    ACTIONS(19800), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534952] = 3,
    ACTIONS(15066), 1,
      sym_keyword_not,
    ACTIONS(19802), 1,
      sym_keyword_default,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534963] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19804), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [534972] = 3,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    STATE(9987), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534983] = 3,
    ACTIONS(19806), 1,
      sym_keyword_with,
    ACTIONS(19808), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [534994] = 3,
    ACTIONS(19810), 1,
      sym_keyword_then,
    ACTIONS(19812), 1,
      sym_keyword_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535005] = 3,
    ACTIONS(16912), 1,
      sym_keyword_check,
    STATE(9897), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535016] = 3,
    ACTIONS(19652), 1,
      anon_sym_LPAREN,
    STATE(8855), 1,
      sym_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535027] = 3,
    ACTIONS(19814), 1,
      anon_sym_RPAREN,
    ACTIONS(19816), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535038] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19818), 2,
      sym_keyword_is,
      sym_keyword_returns,
  [535047] = 3,
    ACTIONS(19820), 1,
      aux_sym__integer_token1,
    ACTIONS(19822), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535058] = 3,
    ACTIONS(19824), 1,
      sym_keyword_matched,
    ACTIONS(19826), 1,
      sym_keyword_not,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535069] = 3,
    ACTIONS(19828), 1,
      sym_keyword_set,
    ACTIONS(19830), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535080] = 3,
    ACTIONS(17447), 1,
      anon_sym_LPAREN,
    STATE(6498), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535091] = 3,
    ACTIONS(19832), 1,
      sym_keyword_as,
    ACTIONS(19834), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535102] = 3,
    ACTIONS(19836), 1,
      sym_keyword_update,
    ACTIONS(19838), 1,
      sym_keyword_nothing,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535113] = 3,
    ACTIONS(15346), 1,
      anon_sym_LPAREN,
    STATE(7577), 1,
      sym_window_specification,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535124] = 3,
    ACTIONS(19840), 1,
      sym_keyword_with,
    ACTIONS(19842), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535135] = 3,
    ACTIONS(19844), 1,
      anon_sym_LPAREN,
    STATE(4669), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535146] = 3,
    ACTIONS(19846), 1,
      sym_keyword_with,
    ACTIONS(19848), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535157] = 3,
    ACTIONS(14142), 1,
      anon_sym_LPAREN,
    STATE(10749), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535168] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18047), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [535177] = 3,
    ACTIONS(19850), 1,
      anon_sym_LPAREN,
    STATE(5649), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535188] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19852), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [535197] = 3,
    ACTIONS(19854), 1,
      aux_sym__integer_token1,
    ACTIONS(19856), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535208] = 3,
    ACTIONS(12437), 1,
      sym_keyword_set,
    STATE(9175), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535219] = 3,
    ACTIONS(18059), 1,
      anon_sym_LPAREN,
    STATE(13768), 1,
      sym_function_arguments,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535230] = 3,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    STATE(9112), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535241] = 3,
    ACTIONS(19858), 1,
      sym_keyword_tablespace,
    ACTIONS(19860), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535252] = 3,
    ACTIONS(11271), 1,
      anon_sym_LPAREN,
    STATE(6814), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535263] = 3,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    STATE(9114), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535274] = 3,
    ACTIONS(19862), 1,
      sym_keyword_column,
    ACTIONS(19864), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535285] = 3,
    ACTIONS(15420), 1,
      anon_sym_LPAREN,
    STATE(7347), 1,
      sym_window_specification,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535296] = 3,
    ACTIONS(19866), 1,
      sym_keyword_not,
    ACTIONS(19868), 1,
      sym_keyword_deferrable,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535307] = 3,
    ACTIONS(19870), 1,
      sym_keyword_first,
    ACTIONS(19872), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535318] = 3,
    ACTIONS(16807), 1,
      sym_keyword_check,
    STATE(10718), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535329] = 3,
    ACTIONS(12411), 1,
      sym_keyword_set,
    STATE(10174), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535340] = 3,
    ACTIONS(19874), 1,
      sym_keyword_no,
    ACTIONS(19876), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535351] = 3,
    ACTIONS(19878), 1,
      sym_keyword_duplicate,
    ACTIONS(19880), 1,
      sym_keyword_conflict,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535362] = 3,
    ACTIONS(18021), 1,
      anon_sym_LPAREN,
    STATE(9207), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535373] = 3,
    ACTIONS(19882), 1,
      sym_keyword_no,
    ACTIONS(19884), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535384] = 3,
    ACTIONS(18021), 1,
      anon_sym_LPAREN,
    STATE(9239), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535395] = 3,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(12611), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535406] = 3,
    ACTIONS(12429), 1,
      sym_keyword_set,
    STATE(9932), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535417] = 3,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    STATE(9120), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535428] = 3,
    ACTIONS(13130), 1,
      sym_keyword_on,
    ACTIONS(13132), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535439] = 3,
    ACTIONS(16912), 1,
      sym_keyword_check,
    STATE(10172), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535450] = 3,
    ACTIONS(19886), 1,
      sym_keyword_first,
    ACTIONS(19888), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535461] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19890), 2,
      sym_keyword_first,
      sym_keyword_last,
  [535470] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13685), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [535479] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19892), 2,
      sym_keyword_only,
      sym_keyword_write,
  [535488] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15863), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [535497] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19894), 2,
      sym_keyword_definer,
      sym_keyword_invoker,
  [535506] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19896), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [535515] = 3,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    STATE(9927), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535526] = 3,
    ACTIONS(19898), 1,
      sym_keyword_for,
    ACTIONS(19900), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535537] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18011), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [535546] = 3,
    ACTIONS(17447), 1,
      anon_sym_LPAREN,
    STATE(6499), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535557] = 3,
    ACTIONS(15165), 1,
      sym_keyword_not,
    ACTIONS(19902), 1,
      sym_keyword_default,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535568] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14870), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [535577] = 3,
    ACTIONS(14142), 1,
      anon_sym_LPAREN,
    STATE(10053), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535588] = 3,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    STATE(9920), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535599] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15907), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [535608] = 3,
    ACTIONS(19278), 1,
      sym_keyword_from,
    STATE(11483), 1,
      sym__delete_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535619] = 3,
    ACTIONS(19904), 1,
      sym_keyword_table,
    ACTIONS(19906), 1,
      sym_keyword_tables,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535630] = 3,
    ACTIONS(19908), 1,
      sym_keyword_as,
    ACTIONS(19910), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535641] = 3,
    ACTIONS(19912), 1,
      sym_keyword_first,
    ACTIONS(19914), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535652] = 3,
    ACTIONS(19916), 1,
      anon_sym_LPAREN,
    ACTIONS(19918), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535663] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19920), 2,
      sym_keyword_first,
      sym_keyword_last,
  [535672] = 3,
    ACTIONS(19922), 1,
      sym_keyword_distinct,
    ACTIONS(19924), 1,
      sym_keyword_not,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535683] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13811), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [535692] = 3,
    ACTIONS(10939), 1,
      anon_sym_LPAREN,
    ACTIONS(19926), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535703] = 3,
    ACTIONS(19928), 1,
      anon_sym_RPAREN,
    ACTIONS(19930), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535714] = 3,
    ACTIONS(17738), 1,
      anon_sym_DOT,
    ACTIONS(19932), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535725] = 3,
    ACTIONS(19934), 1,
      anon_sym_RPAREN,
    ACTIONS(19936), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535736] = 3,
    ACTIONS(19932), 1,
      anon_sym_LPAREN,
    ACTIONS(19938), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535747] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19940), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [535756] = 3,
    ACTIONS(19942), 1,
      anon_sym_LPAREN,
    ACTIONS(19944), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535767] = 3,
    ACTIONS(19946), 1,
      sym_keyword_with,
    ACTIONS(19948), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535778] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16305), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [535787] = 3,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(14388), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535798] = 3,
    ACTIONS(19950), 1,
      sym_keyword_with,
    ACTIONS(19952), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535809] = 3,
    ACTIONS(19954), 1,
      anon_sym_RPAREN,
    ACTIONS(19956), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535820] = 3,
    ACTIONS(19958), 1,
      anon_sym_LPAREN,
    ACTIONS(19960), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535831] = 3,
    ACTIONS(19962), 1,
      anon_sym_RPAREN,
    ACTIONS(19964), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535842] = 3,
    ACTIONS(19966), 1,
      anon_sym_LBRACK,
    ACTIONS(19968), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535853] = 3,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(13090), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535864] = 3,
    ACTIONS(19970), 1,
      sym_keyword_no,
    ACTIONS(19972), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535875] = 3,
    ACTIONS(19974), 1,
      anon_sym_RPAREN,
    ACTIONS(19976), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535886] = 3,
    ACTIONS(19978), 1,
      anon_sym_RPAREN,
    ACTIONS(19980), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535897] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15939), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [535906] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15933), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [535915] = 3,
    ACTIONS(11271), 1,
      anon_sym_LPAREN,
    STATE(6787), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535926] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15943), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [535935] = 3,
    ACTIONS(14106), 1,
      sym_keyword_using,
    ACTIONS(14319), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535946] = 3,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(12448), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535957] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19982), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [535966] = 3,
    ACTIONS(19984), 1,
      sym_keyword_matched,
    ACTIONS(19986), 1,
      sym_keyword_not,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535977] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(15947), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [535986] = 3,
    ACTIONS(16912), 1,
      sym_keyword_check,
    STATE(10209), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [535997] = 3,
    ACTIONS(19988), 1,
      anon_sym_LPAREN,
    ACTIONS(19990), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536008] = 3,
    ACTIONS(19992), 1,
      anon_sym_LBRACK,
    ACTIONS(19994), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536019] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(19996), 2,
      sym_keyword_preceding,
      sym_keyword_following,
  [536028] = 3,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    STATE(9847), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536039] = 3,
    ACTIONS(19998), 1,
      sym_keyword_not,
    ACTIONS(20000), 1,
      sym_keyword_deferrable,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536050] = 3,
    ACTIONS(16807), 1,
      sym_keyword_check,
    STATE(10677), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536061] = 3,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(12322), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536072] = 3,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    STATE(9838), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536083] = 3,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    STATE(9832), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536094] = 3,
    ACTIONS(20002), 1,
      sym_keyword_no,
    ACTIONS(20004), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536105] = 3,
    ACTIONS(20006), 1,
      anon_sym_LPAREN,
    ACTIONS(20008), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536116] = 3,
    ACTIONS(20010), 1,
      anon_sym_LBRACK,
    ACTIONS(20012), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536127] = 3,
    ACTIONS(20014), 1,
      anon_sym_RPAREN,
    ACTIONS(20016), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536138] = 3,
    ACTIONS(20018), 1,
      anon_sym_RPAREN,
    ACTIONS(20020), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536149] = 3,
    ACTIONS(18021), 1,
      anon_sym_LPAREN,
    STATE(9513), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536160] = 3,
    ACTIONS(20022), 1,
      anon_sym_RPAREN,
    ACTIONS(20024), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536171] = 3,
    ACTIONS(18021), 1,
      anon_sym_LPAREN,
    STATE(9516), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536182] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18982), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [536191] = 3,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(12641), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536202] = 3,
    ACTIONS(20026), 1,
      anon_sym_LPAREN,
    ACTIONS(20028), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536213] = 3,
    ACTIONS(20030), 1,
      anon_sym_LBRACK,
    ACTIONS(20032), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536224] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20034), 2,
      sym_keyword_definer,
      sym_keyword_invoker,
  [536233] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18013), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536242] = 3,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(13211), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536253] = 3,
    ACTIONS(14142), 1,
      anon_sym_LPAREN,
    STATE(9704), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536264] = 3,
    ACTIONS(14142), 1,
      anon_sym_LPAREN,
    STATE(10651), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536275] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18009), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536284] = 3,
    ACTIONS(20036), 1,
      sym_keyword_not,
    ACTIONS(20038), 1,
      sym_keyword_deferrable,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536295] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20040), 2,
      sym_keyword_first,
      sym_keyword_last,
  [536304] = 3,
    ACTIONS(18021), 1,
      anon_sym_LPAREN,
    STATE(9479), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536315] = 3,
    ACTIONS(20006), 1,
      anon_sym_LPAREN,
    ACTIONS(20042), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536326] = 3,
    ACTIONS(20044), 1,
      anon_sym_LBRACK,
    ACTIONS(20046), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536337] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17999), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536346] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17997), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536355] = 3,
    ACTIONS(14106), 1,
      sym_keyword_using,
    ACTIONS(14144), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536366] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17995), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536375] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17987), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536384] = 3,
    ACTIONS(19792), 1,
      sym_keyword_using,
    ACTIONS(20048), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536395] = 3,
    ACTIONS(20050), 1,
      sym_keyword_then,
    ACTIONS(20052), 1,
      sym_keyword_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536406] = 3,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(13606), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536417] = 3,
    ACTIONS(11005), 1,
      anon_sym_LPAREN,
    STATE(6683), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536428] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20054), 2,
      sym_keyword_first,
      sym_keyword_last,
  [536437] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17981), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536446] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20056), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [536455] = 3,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    STATE(9800), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536466] = 3,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    STATE(9799), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536477] = 3,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    STATE(9794), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536488] = 3,
    ACTIONS(19838), 1,
      sym_keyword_nothing,
    ACTIONS(20058), 1,
      sym_keyword_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536499] = 3,
    ACTIONS(11005), 1,
      anon_sym_LPAREN,
    STATE(6692), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536510] = 3,
    ACTIONS(13158), 1,
      sym_keyword_using,
    ACTIONS(13220), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536521] = 3,
    ACTIONS(20060), 1,
      anon_sym_LPAREN,
    ACTIONS(20062), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536532] = 3,
    ACTIONS(12411), 1,
      sym_keyword_set,
    STATE(9884), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536543] = 3,
    ACTIONS(20064), 1,
      anon_sym_LBRACK,
    ACTIONS(20066), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536554] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20068), 2,
      sym_keyword_only,
      sym_keyword_write,
  [536563] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17973), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536572] = 3,
    ACTIONS(11271), 1,
      anon_sym_LPAREN,
    STATE(6804), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536583] = 3,
    ACTIONS(20070), 1,
      sym_keyword_then,
    ACTIONS(20072), 1,
      sym_keyword_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536594] = 3,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(13868), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536605] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20074), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [536614] = 3,
    ACTIONS(20076), 1,
      anon_sym_RPAREN,
    ACTIONS(20078), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536625] = 3,
    ACTIONS(20080), 1,
      sym_keyword_then,
    ACTIONS(20082), 1,
      sym_keyword_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536636] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13273), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536645] = 3,
    ACTIONS(16807), 1,
      sym_keyword_check,
    STATE(10638), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536656] = 3,
    ACTIONS(18021), 1,
      anon_sym_LPAREN,
    STATE(9553), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536667] = 3,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    STATE(9780), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536678] = 3,
    ACTIONS(20084), 1,
      anon_sym_RPAREN,
    ACTIONS(20086), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536689] = 3,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    STATE(9777), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536700] = 3,
    ACTIONS(18021), 1,
      anon_sym_LPAREN,
    STATE(9550), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536711] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20088), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [536720] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20074), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [536729] = 3,
    ACTIONS(18021), 1,
      anon_sym_LPAREN,
    STATE(9542), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536740] = 3,
    ACTIONS(20090), 1,
      aux_sym__integer_token1,
    ACTIONS(20092), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536751] = 3,
    ACTIONS(20094), 1,
      anon_sym_RPAREN,
    ACTIONS(20096), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536762] = 3,
    ACTIONS(20098), 1,
      anon_sym_LPAREN,
    STATE(4772), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536773] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20100), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [536782] = 3,
    ACTIONS(9790), 1,
      anon_sym_LPAREN,
    ACTIONS(20102), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536793] = 3,
    ACTIONS(20104), 1,
      anon_sym_LBRACK,
    ACTIONS(20106), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536804] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18005), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [536813] = 3,
    ACTIONS(20108), 1,
      aux_sym__integer_token1,
    ACTIONS(20110), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536824] = 3,
    ACTIONS(20112), 1,
      sym_keyword_no,
    ACTIONS(20114), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536835] = 3,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    STATE(9769), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536846] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20116), 2,
      sym_keyword_row,
      sym_keyword_statement,
  [536855] = 3,
    ACTIONS(20118), 1,
      anon_sym_LPAREN,
    STATE(4314), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536866] = 3,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(14218), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536877] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20120), 2,
      sym_keyword_delete,
      sym_keyword_update,
  [536886] = 3,
    ACTIONS(20122), 1,
      aux_sym__integer_token1,
    ACTIONS(20124), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536897] = 3,
    ACTIONS(14142), 1,
      anon_sym_LPAREN,
    STATE(9867), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536908] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20126), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [536917] = 3,
    ACTIONS(20128), 1,
      anon_sym_LPAREN,
    STATE(869), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536928] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20130), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [536937] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20130), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [536946] = 3,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    STATE(8952), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536957] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20132), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [536966] = 3,
    ACTIONS(17738), 1,
      anon_sym_DOT,
    ACTIONS(20134), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536977] = 3,
    ACTIONS(20136), 1,
      anon_sym_LBRACK,
    ACTIONS(20138), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [536988] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20132), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [536997] = 3,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    STATE(8947), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537008] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20140), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [537017] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20142), 2,
      sym_keyword_first,
      sym_keyword_last,
  [537026] = 3,
    ACTIONS(11271), 1,
      anon_sym_LPAREN,
    STATE(6820), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537037] = 3,
    ACTIONS(11940), 1,
      aux_sym__single_quote_string_token1,
    STATE(7384), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537048] = 3,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    STATE(9558), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537059] = 3,
    ACTIONS(20144), 1,
      sym_keyword_then,
    ACTIONS(20146), 1,
      sym_keyword_and,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537070] = 3,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(14554), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537081] = 3,
    ACTIONS(16807), 1,
      sym_keyword_check,
    STATE(10600), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537092] = 3,
    ACTIONS(18021), 1,
      anon_sym_LPAREN,
    STATE(9441), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537103] = 3,
    ACTIONS(18021), 1,
      anon_sym_LPAREN,
    STATE(9416), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537114] = 3,
    ACTIONS(1466), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(20148), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537125] = 3,
    ACTIONS(14142), 1,
      anon_sym_LPAREN,
    STATE(9940), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537136] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20150), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [537145] = 3,
    ACTIONS(20152), 1,
      anon_sym_LPAREN,
    ACTIONS(20154), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537156] = 3,
    ACTIONS(20156), 1,
      anon_sym_LBRACK,
    ACTIONS(20158), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537167] = 3,
    ACTIONS(12437), 1,
      sym_keyword_set,
    STATE(10590), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537178] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(16153), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [537187] = 3,
    ACTIONS(16807), 1,
      sym_keyword_check,
    STATE(10588), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537198] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20160), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [537207] = 3,
    ACTIONS(18021), 1,
      anon_sym_LPAREN,
    STATE(9356), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537218] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20126), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [537227] = 3,
    ACTIONS(20162), 1,
      anon_sym_SEMI,
    ACTIONS(20164), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537238] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20166), 2,
      sym_keyword_is,
      sym_keyword_returns,
  [537247] = 3,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(14737), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537258] = 3,
    ACTIONS(12437), 1,
      sym_keyword_set,
    STATE(10580), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537269] = 3,
    ACTIONS(16807), 1,
      sym_keyword_check,
    STATE(10579), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537280] = 3,
    ACTIONS(17447), 1,
      anon_sym_LPAREN,
    STATE(6525), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537291] = 3,
    ACTIONS(19652), 1,
      anon_sym_LPAREN,
    STATE(8451), 1,
      sym_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537302] = 3,
    ACTIONS(20168), 1,
      sym_keyword_as,
    ACTIONS(20170), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537313] = 3,
    ACTIONS(20134), 1,
      anon_sym_LPAREN,
    ACTIONS(20172), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537324] = 3,
    ACTIONS(20174), 1,
      anon_sym_LBRACK,
    ACTIONS(20176), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537335] = 3,
    ACTIONS(20178), 1,
      sym_keyword_on,
    ACTIONS(20180), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537346] = 3,
    ACTIONS(20182), 1,
      sym_keyword_set,
    ACTIONS(20184), 1,
      sym_keyword_reset,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537357] = 3,
    ACTIONS(14114), 1,
      sym_keyword_using,
    ACTIONS(14295), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537368] = 3,
    ACTIONS(13331), 1,
      sym_keyword_on,
    ACTIONS(13333), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537379] = 3,
    ACTIONS(11005), 1,
      anon_sym_LPAREN,
    STATE(7373), 1,
      sym__column_list,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537390] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18901), 2,
      sym_keyword_true,
      sym_keyword_false,
  [537399] = 3,
    ACTIONS(20186), 1,
      anon_sym_RPAREN,
    ACTIONS(20188), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537410] = 3,
    ACTIONS(20190), 1,
      anon_sym_RPAREN,
    ACTIONS(20192), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537421] = 3,
    ACTIONS(14920), 1,
      sym_keyword_not,
    ACTIONS(20194), 1,
      sym_keyword_default,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537432] = 3,
    ACTIONS(20196), 1,
      anon_sym_RPAREN,
    ACTIONS(20198), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537443] = 3,
    ACTIONS(20200), 1,
      anon_sym_RPAREN,
    ACTIONS(20202), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537454] = 3,
    ACTIONS(12437), 1,
      sym_keyword_set,
    STATE(10569), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537465] = 3,
    ACTIONS(20204), 1,
      anon_sym_RPAREN,
    ACTIONS(20206), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537476] = 3,
    ACTIONS(13232), 1,
      sym_keyword_using,
    ACTIONS(13351), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537487] = 3,
    ACTIONS(20208), 1,
      anon_sym_RPAREN,
    ACTIONS(20210), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537498] = 3,
    ACTIONS(16807), 1,
      sym_keyword_check,
    STATE(10561), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537509] = 3,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(14837), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537520] = 3,
    ACTIONS(20212), 1,
      anon_sym_SEMI,
    ACTIONS(20214), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537531] = 3,
    ACTIONS(13357), 1,
      sym_keyword_on,
    ACTIONS(13359), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537542] = 3,
    ACTIONS(14265), 1,
      anon_sym_LPAREN,
    STATE(9833), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537553] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20216), 2,
      sym_keyword_default,
      sym_keyword_null,
  [537562] = 3,
    ACTIONS(12437), 1,
      sym_keyword_set,
    STATE(10558), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537573] = 3,
    ACTIONS(20218), 1,
      anon_sym_LPAREN,
    ACTIONS(20220), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537584] = 3,
    ACTIONS(20222), 1,
      anon_sym_LBRACK,
    ACTIONS(20224), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537595] = 3,
    ACTIONS(20180), 1,
      sym_keyword_using,
    ACTIONS(20226), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537606] = 3,
    ACTIONS(16807), 1,
      sym_keyword_check,
    STATE(10552), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537617] = 3,
    ACTIONS(14114), 1,
      sym_keyword_using,
    ACTIONS(14213), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537628] = 3,
    ACTIONS(13333), 1,
      sym_keyword_using,
    ACTIONS(13410), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537639] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(14329), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [537648] = 3,
    ACTIONS(12437), 1,
      sym_keyword_set,
    STATE(10522), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537659] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20228), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [537668] = 3,
    ACTIONS(13232), 1,
      sym_keyword_using,
    ACTIONS(13430), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537679] = 3,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(11492), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537690] = 3,
    ACTIONS(16912), 1,
      sym_keyword_check,
    STATE(10368), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537701] = 3,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(13815), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537712] = 3,
    ACTIONS(16807), 1,
      sym_keyword_check,
    STATE(10517), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537723] = 3,
    ACTIONS(13359), 1,
      sym_keyword_using,
    ACTIONS(13434), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537734] = 3,
    ACTIONS(20230), 1,
      sym_keyword_set,
    ACTIONS(20232), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537745] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17861), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [537754] = 3,
    ACTIONS(3027), 1,
      aux_sym__single_quote_string_token1,
    STATE(9491), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537765] = 3,
    ACTIONS(12437), 1,
      sym_keyword_set,
    STATE(10515), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537776] = 3,
    ACTIONS(20234), 1,
      anon_sym_LPAREN,
    ACTIONS(20236), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537787] = 3,
    ACTIONS(20238), 1,
      anon_sym_LBRACK,
    ACTIONS(20240), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537798] = 3,
    ACTIONS(20180), 1,
      sym_keyword_using,
    ACTIONS(20242), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537809] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20244), 2,
      sym_keyword_function,
      sym_keyword_procedure,
  [537818] = 3,
    ACTIONS(14112), 1,
      sym_keyword_on,
    ACTIONS(14114), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537829] = 3,
    ACTIONS(13333), 1,
      sym_keyword_using,
    ACTIONS(13438), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537840] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17859), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [537849] = 3,
    ACTIONS(13230), 1,
      sym_keyword_on,
    ACTIONS(13232), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537860] = 3,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(12421), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537871] = 3,
    ACTIONS(20246), 1,
      sym_keyword_distinct,
    ACTIONS(20248), 1,
      sym_keyword_not,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537882] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17847), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [537891] = 3,
    ACTIONS(14265), 1,
      anon_sym_LPAREN,
    STATE(9253), 1,
      sym_ordered_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537902] = 3,
    ACTIONS(13359), 1,
      sym_keyword_using,
    ACTIONS(13394), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537913] = 3,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    STATE(8951), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537924] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20250), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [537933] = 3,
    ACTIONS(20252), 1,
      anon_sym_LPAREN,
    ACTIONS(20254), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537944] = 3,
    ACTIONS(20256), 1,
      anon_sym_LBRACK,
    ACTIONS(20258), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537955] = 3,
    ACTIONS(19792), 1,
      sym_keyword_using,
    ACTIONS(20260), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537966] = 3,
    ACTIONS(20262), 1,
      anon_sym_LPAREN,
    STATE(2221), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537977] = 3,
    ACTIONS(20264), 1,
      aux_sym__integer_token1,
    ACTIONS(20266), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537988] = 3,
    ACTIONS(14104), 1,
      sym_keyword_on,
    ACTIONS(14106), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [537999] = 3,
    ACTIONS(13132), 1,
      sym_keyword_using,
    ACTIONS(13285), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538010] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18655), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [538019] = 3,
    ACTIONS(20268), 1,
      aux_sym__integer_token1,
    ACTIONS(20270), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538030] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20272), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [538039] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20272), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [538048] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18672), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [538057] = 3,
    ACTIONS(13158), 1,
      sym_keyword_using,
    ACTIONS(13277), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538068] = 3,
    ACTIONS(15094), 1,
      sym_keyword_not,
    ACTIONS(20274), 1,
      sym_keyword_default,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538079] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20276), 2,
      sym_keyword_first,
      sym_keyword_last,
  [538088] = 3,
    ACTIONS(20278), 1,
      sym_keyword_with,
    ACTIONS(20280), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538099] = 3,
    ACTIONS(14421), 1,
      anon_sym_LPAREN,
    STATE(2669), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538110] = 3,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(14332), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538121] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20282), 2,
      sym_keyword_first,
      sym_keyword_last,
  [538130] = 3,
    ACTIONS(20284), 1,
      sym_keyword_as,
    ACTIONS(20286), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538141] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17826), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538150] = 3,
    ACTIONS(17447), 1,
      anon_sym_LPAREN,
    STATE(6517), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538161] = 3,
    ACTIONS(13188), 1,
      sym_keyword_using,
    ACTIONS(13275), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538172] = 3,
    ACTIONS(3148), 1,
      aux_sym__single_quote_string_token1,
    STATE(4321), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538183] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17786), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538192] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17782), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538201] = 3,
    ACTIONS(15464), 1,
      anon_sym_LPAREN,
    STATE(7347), 1,
      sym_window_specification,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538212] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20288), 2,
      sym_keyword_definer,
      sym_keyword_invoker,
  [538221] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17786), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538230] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17784), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538239] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17782), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538248] = 3,
    ACTIONS(10701), 1,
      aux_sym__single_quote_string_token1,
    STATE(7268), 1,
      sym__single_quote_string,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538259] = 3,
    ACTIONS(20290), 1,
      anon_sym_LPAREN,
    ACTIONS(20292), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538270] = 3,
    ACTIONS(20006), 1,
      anon_sym_LPAREN,
    ACTIONS(20294), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538281] = 3,
    ACTIONS(20296), 1,
      anon_sym_LBRACK,
    ACTIONS(20298), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538292] = 3,
    ACTIONS(19792), 1,
      sym_keyword_using,
    ACTIONS(20300), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538303] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17754), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538312] = 3,
    ACTIONS(14106), 1,
      sym_keyword_using,
    ACTIONS(14299), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538323] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13731), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538332] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20302), 2,
      sym_keyword_is,
      sym_keyword_returns,
  [538341] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18824), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [538350] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20304), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [538359] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20306), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [538368] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20306), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [538377] = 3,
    ACTIONS(20308), 1,
      sym_keyword_first,
    ACTIONS(20310), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538388] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18819), 2,
      sym_keyword_on,
      sym_keyword_or,
  [538397] = 3,
    ACTIONS(13132), 1,
      sym_keyword_using,
    ACTIONS(13283), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538408] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20312), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [538417] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20312), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [538426] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17728), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538435] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17730), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538444] = 3,
    ACTIONS(13158), 1,
      sym_keyword_using,
    ACTIONS(13424), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538455] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18770), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [538464] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17718), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538473] = 3,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(13517), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538484] = 3,
    ACTIONS(20314), 1,
      sym_keyword_first,
    ACTIONS(20316), 1,
      sym_keyword_last,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538495] = 3,
    ACTIONS(13188), 1,
      sym_keyword_using,
    ACTIONS(13339), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538506] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20318), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [538515] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17792), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538524] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17662), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538533] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17660), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538542] = 3,
    ACTIONS(20252), 1,
      anon_sym_LPAREN,
    ACTIONS(20320), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538553] = 3,
    ACTIONS(20026), 1,
      anon_sym_LPAREN,
    ACTIONS(20322), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538564] = 3,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    STATE(9355), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538575] = 3,
    ACTIONS(20324), 1,
      anon_sym_RPAREN,
    ACTIONS(20326), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538586] = 3,
    ACTIONS(20328), 1,
      anon_sym_RPAREN,
    ACTIONS(20330), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538597] = 3,
    ACTIONS(20332), 1,
      anon_sym_RPAREN,
    ACTIONS(20334), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538608] = 3,
    ACTIONS(20336), 1,
      anon_sym_LBRACK,
    ACTIONS(20338), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538619] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17740), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538628] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20340), 2,
      sym_keyword_first,
      sym_keyword_last,
  [538637] = 3,
    ACTIONS(20342), 1,
      anon_sym_LPAREN,
    STATE(3467), 1,
      sym_subquery,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538648] = 3,
    ACTIONS(19792), 1,
      sym_keyword_using,
    ACTIONS(20344), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538659] = 3,
    ACTIONS(20346), 1,
      aux_sym__integer_token1,
    ACTIONS(20348), 1,
      aux_sym__decimal_number_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538670] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(13552), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538679] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20350), 2,
      sym_keyword_first,
      sym_keyword_last,
  [538688] = 3,
    ACTIONS(14106), 1,
      sym_keyword_using,
    ACTIONS(14283), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538699] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17648), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538708] = 3,
    ACTIONS(13132), 1,
      sym_keyword_using,
    ACTIONS(13428), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538719] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17636), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538728] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20352), 2,
      sym_keyword_first,
      sym_keyword_last,
  [538737] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17634), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538746] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17632), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538755] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17630), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538764] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17628), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538773] = 3,
    ACTIONS(13156), 1,
      sym_keyword_on,
    ACTIONS(13158), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538784] = 3,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    STATE(9378), 1,
      sym_index_fields,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538795] = 3,
    ACTIONS(20354), 1,
      anon_sym_LPAREN,
    STATE(6868), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538806] = 3,
    ACTIONS(14806), 1,
      sym_keyword_where,
    STATE(12517), 1,
      sym_where,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538817] = 3,
    ACTIONS(20356), 1,
      anon_sym_RPAREN,
    ACTIONS(20358), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538828] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20360), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [538837] = 3,
    ACTIONS(13186), 1,
      sym_keyword_on,
    ACTIONS(13188), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538848] = 3,
    ACTIONS(20362), 1,
      sym_keyword_no,
    ACTIONS(20364), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538859] = 3,
    ACTIONS(20366), 1,
      anon_sym_RPAREN,
    ACTIONS(20368), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538870] = 3,
    ACTIONS(20370), 1,
      anon_sym_RPAREN,
    ACTIONS(20372), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538881] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(18739), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [538890] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(17683), 2,
      sym__dollar_quoted_string_end_tag,
      anon_sym_SEMI,
  [538899] = 3,
    ACTIONS(16912), 1,
      sym_keyword_check,
    STATE(9944), 1,
      sym__check_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538910] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20374), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [538919] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20376), 2,
      sym_keyword_only,
      sym_keyword_write,
  [538928] = 3,
    ACTIONS(20378), 1,
      sym_keyword_not,
    ACTIONS(20380), 1,
      sym_keyword_deferrable,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538939] = 3,
    ACTIONS(12411), 1,
      sym_keyword_set,
    STATE(9435), 1,
      sym__set_values,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538950] = 3,
    ACTIONS(20382), 1,
      anon_sym_LBRACK,
    ACTIONS(20384), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538961] = 3,
    ACTIONS(20252), 1,
      anon_sym_LPAREN,
    ACTIONS(20386), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538972] = 3,
    ACTIONS(17734), 1,
      anon_sym_LPAREN,
    ACTIONS(20388), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [538983] = 2,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
    ACTIONS(20390), 2,
      sym_keyword_range,
      sym_keyword_hash,
  [538992] = 3,
    ACTIONS(13132), 1,
      sym_keyword_using,
    ACTIONS(13291), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539003] = 3,
    ACTIONS(20392), 1,
      anon_sym_LPAREN,
    STATE(6919), 1,
      sym_column_definitions,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539014] = 2,
    ACTIONS(20394), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539022] = 2,
    ACTIONS(20396), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539030] = 2,
    ACTIONS(20284), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539038] = 2,
    ACTIONS(20398), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539046] = 2,
    ACTIONS(20400), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539054] = 2,
    ACTIONS(20402), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539062] = 2,
    ACTIONS(20404), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539070] = 2,
    ACTIONS(20406), 1,
      sym_keyword_terminated,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539078] = 2,
    ACTIONS(20408), 1,
      sym_keyword_terminated,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539086] = 2,
    ACTIONS(20410), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539094] = 2,
    ACTIONS(20412), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539102] = 2,
    ACTIONS(15005), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539110] = 2,
    ACTIONS(20414), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539118] = 2,
    ACTIONS(20416), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539126] = 2,
    ACTIONS(20418), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539134] = 2,
    ACTIONS(20420), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539142] = 2,
    ACTIONS(20422), 1,
      sym_keyword_not,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539150] = 2,
    ACTIONS(20424), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539158] = 2,
    ACTIONS(20426), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539166] = 2,
    ACTIONS(20428), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539174] = 2,
    ACTIONS(20430), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539182] = 2,
    ACTIONS(20432), 1,
      sym_keyword_password,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539190] = 2,
    ACTIONS(20434), 1,
      sym_keyword_until,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539198] = 2,
    ACTIONS(20436), 1,
      sym_keyword_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539206] = 2,
    ACTIONS(20438), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539214] = 2,
    ACTIONS(20440), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539222] = 2,
    ACTIONS(20442), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539230] = 2,
    ACTIONS(20444), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539238] = 2,
    ACTIONS(20446), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539246] = 2,
    ACTIONS(20448), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539254] = 2,
    ACTIONS(20450), 1,
      sym_keyword_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539262] = 2,
    ACTIONS(20452), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539270] = 2,
    ACTIONS(20454), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539278] = 2,
    ACTIONS(20456), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539286] = 2,
    ACTIONS(20458), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539294] = 2,
    ACTIONS(20460), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539302] = 2,
    ACTIONS(20462), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539310] = 2,
    ACTIONS(20464), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539318] = 2,
    ACTIONS(20466), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539326] = 2,
    ACTIONS(20468), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539334] = 2,
    ACTIONS(20470), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539342] = 2,
    ACTIONS(20472), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539350] = 2,
    ACTIONS(20474), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539358] = 2,
    ACTIONS(20476), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539366] = 2,
    ACTIONS(20478), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539374] = 2,
    ACTIONS(20480), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539382] = 2,
    ACTIONS(20482), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539390] = 2,
    ACTIONS(20484), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539398] = 2,
    ACTIONS(20486), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539406] = 2,
    ACTIONS(20488), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539414] = 2,
    ACTIONS(20490), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539422] = 2,
    ACTIONS(20492), 1,
      aux_sym__integer_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539430] = 2,
    ACTIONS(1785), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539438] = 2,
    ACTIONS(20494), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539446] = 2,
    ACTIONS(20496), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539454] = 2,
    ACTIONS(20498), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539462] = 2,
    ACTIONS(20500), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539470] = 2,
    ACTIONS(20502), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539478] = 2,
    ACTIONS(20504), 1,
      sym_keyword_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539486] = 2,
    ACTIONS(20506), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539494] = 2,
    ACTIONS(20508), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539502] = 2,
    ACTIONS(20510), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539510] = 2,
    ACTIONS(20512), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539518] = 2,
    ACTIONS(20514), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539526] = 2,
    ACTIONS(20516), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539534] = 2,
    ACTIONS(20518), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539542] = 2,
    ACTIONS(20520), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539550] = 2,
    ACTIONS(18833), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539558] = 2,
    ACTIONS(15600), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539566] = 2,
    ACTIONS(10939), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539574] = 2,
    ACTIONS(20522), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539582] = 2,
    ACTIONS(20524), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539590] = 2,
    ACTIONS(20526), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539598] = 2,
    ACTIONS(20528), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539606] = 2,
    ACTIONS(20530), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539614] = 2,
    ACTIONS(20532), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539622] = 2,
    ACTIONS(20534), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539630] = 2,
    ACTIONS(20536), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539638] = 2,
    ACTIONS(20538), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539646] = 2,
    ACTIONS(20540), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539654] = 2,
    ACTIONS(20542), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539662] = 2,
    ACTIONS(20544), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539670] = 2,
    ACTIONS(20546), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539678] = 2,
    ACTIONS(20548), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539686] = 2,
    ACTIONS(20550), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539694] = 2,
    ACTIONS(16383), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539702] = 2,
    ACTIONS(20552), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539710] = 2,
    ACTIONS(20554), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539718] = 2,
    ACTIONS(20556), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539726] = 2,
    ACTIONS(16742), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539734] = 2,
    ACTIONS(20558), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539742] = 2,
    ACTIONS(20560), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539750] = 2,
    ACTIONS(20562), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539758] = 2,
    ACTIONS(20564), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539766] = 2,
    ACTIONS(20566), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539774] = 2,
    ACTIONS(20568), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539782] = 2,
    ACTIONS(20570), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539790] = 2,
    ACTIONS(20572), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539798] = 2,
    ACTIONS(20574), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539806] = 2,
    ACTIONS(20576), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539814] = 2,
    ACTIONS(20578), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539822] = 2,
    ACTIONS(20580), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539830] = 2,
    ACTIONS(20582), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539838] = 2,
    ACTIONS(20584), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539846] = 2,
    ACTIONS(20586), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539854] = 2,
    ACTIONS(20588), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539862] = 2,
    ACTIONS(20590), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539870] = 2,
    ACTIONS(20592), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539878] = 2,
    ACTIONS(20594), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539886] = 2,
    ACTIONS(20596), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539894] = 2,
    ACTIONS(20598), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539902] = 2,
    ACTIONS(20600), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539910] = 2,
    ACTIONS(20602), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539918] = 2,
    ACTIONS(20604), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539926] = 2,
    ACTIONS(20606), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539934] = 2,
    ACTIONS(20608), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539942] = 2,
    ACTIONS(20610), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539950] = 2,
    ACTIONS(20612), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539958] = 2,
    ACTIONS(20614), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539966] = 2,
    ACTIONS(20616), 1,
      sym__identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539974] = 2,
    ACTIONS(20618), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539982] = 2,
    ACTIONS(20620), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539990] = 2,
    ACTIONS(20622), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [539998] = 2,
    ACTIONS(20624), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540006] = 2,
    ACTIONS(20626), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540014] = 2,
    ACTIONS(20628), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540022] = 2,
    ACTIONS(20630), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540030] = 2,
    ACTIONS(20632), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540038] = 2,
    ACTIONS(20634), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540046] = 2,
    ACTIONS(20636), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540054] = 2,
    ACTIONS(20638), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540062] = 2,
    ACTIONS(20640), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540070] = 2,
    ACTIONS(20642), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540078] = 2,
    ACTIONS(20644), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540086] = 2,
    ACTIONS(20646), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540094] = 2,
    ACTIONS(20648), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540102] = 2,
    ACTIONS(20650), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540110] = 2,
    ACTIONS(20652), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540118] = 2,
    ACTIONS(20654), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540126] = 2,
    ACTIONS(20656), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540134] = 2,
    ACTIONS(20658), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540142] = 2,
    ACTIONS(15608), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540150] = 2,
    ACTIONS(20660), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540158] = 2,
    ACTIONS(20662), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540166] = 2,
    ACTIONS(20664), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540174] = 2,
    ACTIONS(20666), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540182] = 2,
    ACTIONS(20668), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540190] = 2,
    ACTIONS(15360), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540198] = 2,
    ACTIONS(20670), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540206] = 2,
    ACTIONS(20672), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540214] = 2,
    ACTIONS(20674), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540222] = 2,
    ACTIONS(20676), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540230] = 2,
    ACTIONS(20678), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540238] = 2,
    ACTIONS(20680), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540246] = 2,
    ACTIONS(20682), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540254] = 2,
    ACTIONS(20684), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540262] = 2,
    ACTIONS(20686), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540270] = 2,
    ACTIONS(20688), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540278] = 2,
    ACTIONS(20690), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540286] = 2,
    ACTIONS(20692), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540294] = 2,
    ACTIONS(15183), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540302] = 2,
    ACTIONS(20694), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540310] = 2,
    ACTIONS(20696), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540318] = 2,
    ACTIONS(20698), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540326] = 2,
    ACTIONS(20700), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540334] = 2,
    ACTIONS(20702), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540342] = 2,
    ACTIONS(20704), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540350] = 2,
    ACTIONS(20706), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540358] = 2,
    ACTIONS(20708), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540366] = 2,
    ACTIONS(20710), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540374] = 2,
    ACTIONS(15019), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540382] = 2,
    ACTIONS(20712), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540390] = 2,
    ACTIONS(20714), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540398] = 2,
    ACTIONS(20716), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540406] = 2,
    ACTIONS(20718), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540414] = 2,
    ACTIONS(20720), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540422] = 2,
    ACTIONS(20722), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540430] = 2,
    ACTIONS(20724), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540438] = 2,
    ACTIONS(20726), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540446] = 2,
    ACTIONS(20728), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540454] = 2,
    ACTIONS(20730), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540462] = 2,
    ACTIONS(20732), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540470] = 2,
    ACTIONS(20734), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540478] = 2,
    ACTIONS(20736), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540486] = 2,
    ACTIONS(20738), 1,
      sym_keyword_leakproof,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540494] = 2,
    ACTIONS(20740), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540502] = 2,
    ACTIONS(20742), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540510] = 2,
    ACTIONS(20744), 1,
      sym_keyword_atomic,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540518] = 2,
    ACTIONS(20746), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540526] = 2,
    ACTIONS(20748), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540534] = 2,
    ACTIONS(15354), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540542] = 2,
    ACTIONS(20750), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540550] = 2,
    ACTIONS(20752), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540558] = 2,
    ACTIONS(20754), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540566] = 2,
    ACTIONS(20756), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540574] = 2,
    ACTIONS(20758), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540582] = 2,
    ACTIONS(20760), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540590] = 2,
    ACTIONS(20762), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540598] = 2,
    ACTIONS(20764), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540606] = 2,
    ACTIONS(20766), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540614] = 2,
    ACTIONS(20768), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540622] = 2,
    ACTIONS(20770), 1,
      sym_keyword_security,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540630] = 2,
    ACTIONS(20772), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540638] = 2,
    ACTIONS(20774), 1,
      sym_keyword_is,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540646] = 2,
    ACTIONS(20776), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540654] = 2,
    ACTIONS(20778), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540662] = 2,
    ACTIONS(20780), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540670] = 2,
    ACTIONS(20782), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540678] = 2,
    ACTIONS(20784), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540686] = 2,
    ACTIONS(20786), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540694] = 2,
    ACTIONS(20788), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540702] = 2,
    ACTIONS(20790), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540710] = 2,
    ACTIONS(20792), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540718] = 2,
    ACTIONS(20794), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540726] = 2,
    ACTIONS(20796), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540734] = 2,
    ACTIONS(20798), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540742] = 2,
    ACTIONS(20800), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540750] = 2,
    ACTIONS(20802), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540758] = 2,
    ACTIONS(20804), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540766] = 2,
    ACTIONS(20806), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540774] = 2,
    ACTIONS(20808), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540782] = 2,
    ACTIONS(20810), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540790] = 2,
    ACTIONS(20812), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540798] = 2,
    ACTIONS(20814), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540806] = 2,
    ACTIONS(20816), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540814] = 2,
    ACTIONS(20818), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540822] = 2,
    ACTIONS(20820), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540830] = 2,
    ACTIONS(16988), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540838] = 2,
    ACTIONS(20822), 1,
      sym_keyword_trigger,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540846] = 2,
    ACTIONS(20824), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540854] = 2,
    ACTIONS(20826), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540862] = 2,
    ACTIONS(20828), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540870] = 2,
    ACTIONS(20830), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540878] = 2,
    ACTIONS(20832), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540886] = 2,
    ACTIONS(20834), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540894] = 2,
    ACTIONS(20836), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540902] = 2,
    ACTIONS(20838), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540910] = 2,
    ACTIONS(20840), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540918] = 2,
    ACTIONS(20842), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540926] = 2,
    ACTIONS(20844), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540934] = 2,
    ACTIONS(20846), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540942] = 2,
    ACTIONS(16722), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540950] = 2,
    ACTIONS(20848), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540958] = 2,
    ACTIONS(20850), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540966] = 2,
    ACTIONS(20852), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540974] = 2,
    ACTIONS(20854), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540982] = 2,
    ACTIONS(20856), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540990] = 2,
    ACTIONS(20858), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [540998] = 2,
    ACTIONS(20860), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541006] = 2,
    ACTIONS(20862), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541014] = 2,
    ACTIONS(20864), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541022] = 2,
    ACTIONS(20866), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541030] = 2,
    ACTIONS(20868), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541038] = 2,
    ACTIONS(20870), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541046] = 2,
    ACTIONS(20872), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541054] = 2,
    ACTIONS(20874), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541062] = 2,
    ACTIONS(20876), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541070] = 2,
    ACTIONS(20878), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541078] = 2,
    ACTIONS(20880), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541086] = 2,
    ACTIONS(20882), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541094] = 2,
    ACTIONS(20884), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541102] = 2,
    ACTIONS(20886), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541110] = 2,
    ACTIONS(20888), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541118] = 2,
    ACTIONS(20890), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541126] = 2,
    ACTIONS(20892), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541134] = 2,
    ACTIONS(20894), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541142] = 2,
    ACTIONS(20896), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541150] = 2,
    ACTIONS(20898), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541158] = 2,
    ACTIONS(20900), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541166] = 2,
    ACTIONS(20902), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541174] = 2,
    ACTIONS(20904), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541182] = 2,
    ACTIONS(20906), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541190] = 2,
    ACTIONS(20908), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541198] = 2,
    ACTIONS(20910), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541206] = 2,
    ACTIONS(20912), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541214] = 2,
    ACTIONS(20914), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541222] = 2,
    ACTIONS(20916), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541230] = 2,
    ACTIONS(20918), 1,
      sym_keyword_materialized,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541238] = 2,
    ACTIONS(20920), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541246] = 2,
    ACTIONS(20922), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541254] = 2,
    ACTIONS(20924), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541262] = 2,
    ACTIONS(20926), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541270] = 2,
    ACTIONS(20928), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541278] = 2,
    ACTIONS(20930), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541286] = 2,
    ACTIONS(20932), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541294] = 2,
    ACTIONS(20934), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541302] = 2,
    ACTIONS(20936), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541310] = 2,
    ACTIONS(20938), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541318] = 2,
    ACTIONS(20940), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541326] = 2,
    ACTIONS(20942), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541334] = 2,
    ACTIONS(20944), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541342] = 2,
    ACTIONS(20946), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541350] = 2,
    ACTIONS(20948), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541358] = 2,
    ACTIONS(20950), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541366] = 2,
    ACTIONS(20952), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541374] = 2,
    ACTIONS(20954), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541382] = 2,
    ACTIONS(20956), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541390] = 2,
    ACTIONS(20958), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541398] = 2,
    ACTIONS(20960), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541406] = 2,
    ACTIONS(20962), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541414] = 2,
    ACTIONS(20964), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541422] = 2,
    ACTIONS(20966), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541430] = 2,
    ACTIONS(20968), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541438] = 2,
    ACTIONS(20970), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541446] = 2,
    ACTIONS(20972), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541454] = 2,
    ACTIONS(20974), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541462] = 2,
    ACTIONS(20976), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541470] = 2,
    ACTIONS(20978), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541478] = 2,
    ACTIONS(20980), 1,
      sym_keyword_check,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541486] = 2,
    ACTIONS(20982), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541494] = 2,
    ACTIONS(20984), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541502] = 2,
    ACTIONS(20986), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541510] = 2,
    ACTIONS(20988), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541518] = 2,
    ACTIONS(20990), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541526] = 2,
    ACTIONS(20992), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541534] = 2,
    ACTIONS(20994), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541542] = 2,
    ACTIONS(20996), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541550] = 2,
    ACTIONS(20998), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541558] = 2,
    ACTIONS(21000), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541566] = 2,
    ACTIONS(21002), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541574] = 2,
    ACTIONS(21004), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541582] = 2,
    ACTIONS(21006), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541590] = 2,
    ACTIONS(21008), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541598] = 2,
    ACTIONS(21010), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541606] = 2,
    ACTIONS(21012), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541614] = 2,
    ACTIONS(21014), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541622] = 2,
    ACTIONS(21016), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541630] = 2,
    ACTIONS(21018), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541638] = 2,
    ACTIONS(21020), 1,
      sym_keyword_metadata,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541646] = 2,
    ACTIONS(21022), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541654] = 2,
    ACTIONS(21024), 1,
      sym_keyword_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541662] = 2,
    ACTIONS(21026), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541670] = 2,
    ACTIONS(21028), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541678] = 2,
    ACTIONS(21030), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541686] = 2,
    ACTIONS(21032), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541694] = 2,
    ACTIONS(21034), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541702] = 2,
    ACTIONS(21036), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541710] = 2,
    ACTIONS(21038), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541718] = 2,
    ACTIONS(21040), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541726] = 2,
    ACTIONS(21042), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541734] = 2,
    ACTIONS(21044), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541742] = 2,
    ACTIONS(21046), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541750] = 2,
    ACTIONS(21048), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541758] = 2,
    ACTIONS(21050), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541766] = 2,
    ACTIONS(15031), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541774] = 2,
    ACTIONS(16776), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541782] = 2,
    ACTIONS(21052), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541790] = 2,
    ACTIONS(21054), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541798] = 2,
    ACTIONS(21056), 1,
      sym_keyword_statistics,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541806] = 2,
    ACTIONS(21058), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541814] = 2,
    ACTIONS(21060), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541822] = 2,
    ACTIONS(21062), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541830] = 2,
    ACTIONS(21064), 1,
      sym_keyword_statistics,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541838] = 2,
    ACTIONS(21066), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541846] = 2,
    ACTIONS(21068), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541854] = 2,
    ACTIONS(21070), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541862] = 2,
    ACTIONS(21072), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541870] = 2,
    ACTIONS(21074), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541878] = 2,
    ACTIONS(21076), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541886] = 2,
    ACTIONS(21078), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541894] = 2,
    ACTIONS(21080), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541902] = 2,
    ACTIONS(21082), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541910] = 2,
    ACTIONS(21084), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541918] = 2,
    ACTIONS(21086), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541926] = 2,
    ACTIONS(21088), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541934] = 2,
    ACTIONS(21090), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541942] = 2,
    ACTIONS(21092), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541950] = 2,
    ACTIONS(21094), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541958] = 2,
    ACTIONS(21096), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541966] = 2,
    ACTIONS(21098), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541974] = 2,
    ACTIONS(21100), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541982] = 2,
    ACTIONS(21102), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541990] = 2,
    ACTIONS(21104), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [541998] = 2,
    ACTIONS(21106), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542006] = 2,
    ACTIONS(21108), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542014] = 2,
    ACTIONS(21110), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542022] = 2,
    ACTIONS(21112), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542030] = 2,
    ACTIONS(21114), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542038] = 2,
    ACTIONS(21116), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542046] = 2,
    ACTIONS(21118), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542054] = 2,
    ACTIONS(21120), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542062] = 2,
    ACTIONS(21122), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542070] = 2,
    ACTIONS(21124), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542078] = 2,
    ACTIONS(21126), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542086] = 2,
    ACTIONS(21128), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542094] = 2,
    ACTIONS(21130), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542102] = 2,
    ACTIONS(21132), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542110] = 2,
    ACTIONS(21134), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542118] = 2,
    ACTIONS(21136), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542126] = 2,
    ACTIONS(21138), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542134] = 2,
    ACTIONS(21140), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542142] = 2,
    ACTIONS(19884), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542150] = 2,
    ACTIONS(21142), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542158] = 2,
    ACTIONS(21144), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542166] = 2,
    ACTIONS(21146), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542174] = 2,
    ACTIONS(21148), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542182] = 2,
    ACTIONS(21150), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542190] = 2,
    ACTIONS(21152), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542198] = 2,
    ACTIONS(21154), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542206] = 2,
    ACTIONS(21156), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542214] = 2,
    ACTIONS(21158), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542222] = 2,
    ACTIONS(21160), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542230] = 2,
    ACTIONS(21162), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542238] = 2,
    ACTIONS(21164), 1,
      sym_keyword_always,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542246] = 2,
    ACTIONS(21166), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542254] = 2,
    ACTIONS(21168), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542262] = 2,
    ACTIONS(21170), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542270] = 2,
    ACTIONS(21172), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542278] = 2,
    ACTIONS(21174), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542286] = 2,
    ACTIONS(21176), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542294] = 2,
    ACTIONS(21178), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542302] = 2,
    ACTIONS(21180), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542310] = 2,
    ACTIONS(21182), 1,
      sym_keyword_metadata,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542318] = 2,
    ACTIONS(21184), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542326] = 2,
    ACTIONS(15376), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542334] = 2,
    ACTIONS(21186), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542342] = 2,
    ACTIONS(21188), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542350] = 2,
    ACTIONS(21190), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542358] = 2,
    ACTIONS(21192), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542366] = 2,
    ACTIONS(21194), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542374] = 2,
    ACTIONS(21196), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542382] = 2,
    ACTIONS(21198), 1,
      sym_keyword_action,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542390] = 2,
    ACTIONS(21200), 1,
      sym_keyword_replication,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542398] = 2,
    ACTIONS(21202), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542406] = 2,
    ACTIONS(21204), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542414] = 2,
    ACTIONS(21206), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542422] = 2,
    ACTIONS(21208), 1,
      sym_keyword_key,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542430] = 2,
    ACTIONS(21210), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542438] = 2,
    ACTIONS(21212), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542446] = 2,
    ACTIONS(21214), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542454] = 2,
    ACTIONS(21216), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542462] = 2,
    ACTIONS(21218), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542470] = 2,
    ACTIONS(21220), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542478] = 2,
    ACTIONS(21222), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542486] = 2,
    ACTIONS(21224), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542494] = 2,
    ACTIONS(21226), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542502] = 2,
    ACTIONS(21228), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542510] = 2,
    ACTIONS(21230), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542518] = 2,
    ACTIONS(21232), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542526] = 2,
    ACTIONS(21234), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542534] = 2,
    ACTIONS(21236), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542542] = 2,
    ACTIONS(21238), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542550] = 2,
    ACTIONS(21240), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542558] = 2,
    ACTIONS(21242), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542566] = 2,
    ACTIONS(21244), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542574] = 2,
    ACTIONS(21246), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542582] = 2,
    ACTIONS(21248), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542590] = 2,
    ACTIONS(21250), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542598] = 2,
    ACTIONS(21252), 1,
      sym_keyword_key,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542606] = 2,
    ACTIONS(21254), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542614] = 2,
    ACTIONS(21256), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542622] = 2,
    ACTIONS(21258), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542630] = 2,
    ACTIONS(21260), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542638] = 2,
    ACTIONS(21262), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542646] = 2,
    ACTIONS(21264), 1,
      sym_keyword_materialized,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542654] = 2,
    ACTIONS(21266), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542662] = 2,
    ACTIONS(21268), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542670] = 2,
    ACTIONS(21270), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542678] = 2,
    ACTIONS(21272), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542686] = 2,
    ACTIONS(21274), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542694] = 2,
    ACTIONS(21276), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542702] = 2,
    ACTIONS(15143), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542710] = 2,
    ACTIONS(21278), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542718] = 2,
    ACTIONS(21280), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542726] = 2,
    ACTIONS(21282), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542734] = 2,
    ACTIONS(21284), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542742] = 2,
    ACTIONS(21286), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542750] = 2,
    ACTIONS(21288), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542758] = 2,
    ACTIONS(21290), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542766] = 2,
    ACTIONS(21292), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542774] = 2,
    ACTIONS(21294), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542782] = 2,
    ACTIONS(21296), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542790] = 2,
    ACTIONS(21298), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542798] = 2,
    ACTIONS(21300), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542806] = 2,
    ACTIONS(21302), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542814] = 2,
    ACTIONS(21304), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542822] = 2,
    ACTIONS(21306), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542830] = 2,
    ACTIONS(21308), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542838] = 2,
    ACTIONS(21310), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542846] = 2,
    ACTIONS(21312), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542854] = 2,
    ACTIONS(21314), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542862] = 2,
    ACTIONS(21316), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542870] = 2,
    ACTIONS(21318), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542878] = 2,
    ACTIONS(21320), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542886] = 2,
    ACTIONS(21322), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542894] = 2,
    ACTIONS(21324), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542902] = 2,
    ACTIONS(15382), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542910] = 2,
    ACTIONS(21326), 1,
      sym_keyword_current,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542918] = 2,
    ACTIONS(21328), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542926] = 2,
    ACTIONS(21330), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542934] = 2,
    ACTIONS(21332), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542942] = 2,
    ACTIONS(21334), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542950] = 2,
    ACTIONS(21336), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542958] = 2,
    ACTIONS(21338), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542966] = 2,
    ACTIONS(16926), 1,
      sym_keyword_trigger,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542974] = 2,
    ACTIONS(21340), 1,
      sym_keyword_ordinality,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542982] = 2,
    ACTIONS(21342), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542990] = 2,
    ACTIONS(21344), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [542998] = 2,
    ACTIONS(21346), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543006] = 2,
    ACTIONS(21348), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543014] = 2,
    ACTIONS(21350), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543022] = 2,
    ACTIONS(21352), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543030] = 2,
    ACTIONS(21354), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543038] = 2,
    ACTIONS(21356), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543046] = 2,
    ACTIONS(21358), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543054] = 2,
    ACTIONS(21360), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543062] = 2,
    ACTIONS(16355), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543070] = 2,
    ACTIONS(21362), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543078] = 2,
    ACTIONS(21364), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543086] = 2,
    ACTIONS(21366), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543094] = 2,
    ACTIONS(21368), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543102] = 2,
    ACTIONS(21370), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543110] = 2,
    ACTIONS(21372), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543118] = 2,
    ACTIONS(21374), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543126] = 2,
    ACTIONS(21376), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543134] = 2,
    ACTIONS(21378), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543142] = 2,
    ACTIONS(21380), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543150] = 2,
    ACTIONS(21382), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543158] = 2,
    ACTIONS(21384), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543166] = 2,
    ACTIONS(15338), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543174] = 2,
    ACTIONS(21386), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543182] = 2,
    ACTIONS(21388), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543190] = 2,
    ACTIONS(21390), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543198] = 2,
    ACTIONS(21392), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543206] = 2,
    ACTIONS(21394), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543214] = 2,
    ACTIONS(21396), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543222] = 2,
    ACTIONS(21398), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543230] = 2,
    ACTIONS(21400), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543238] = 2,
    ACTIONS(21402), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543246] = 2,
    ACTIONS(21404), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543254] = 2,
    ACTIONS(21406), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543262] = 2,
    ACTIONS(21408), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543270] = 2,
    ACTIONS(21410), 1,
      sym_keyword_deferrable,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543278] = 2,
    ACTIONS(21412), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543286] = 2,
    ACTIONS(21414), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543294] = 2,
    ACTIONS(21416), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543302] = 2,
    ACTIONS(21418), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543310] = 2,
    ACTIONS(21420), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543318] = 2,
    ACTIONS(21422), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543326] = 2,
    ACTIONS(21424), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543334] = 2,
    ACTIONS(21426), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543342] = 2,
    ACTIONS(21428), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543350] = 2,
    ACTIONS(21430), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543358] = 2,
    ACTIONS(21432), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543366] = 2,
    ACTIONS(21434), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543374] = 2,
    ACTIONS(21436), 1,
      sym_keyword_others,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543382] = 2,
    ACTIONS(21438), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543390] = 2,
    ACTIONS(21440), 1,
      sym_keyword_row,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543398] = 2,
    ACTIONS(21442), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543406] = 2,
    ACTIONS(21444), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543414] = 2,
    ACTIONS(21446), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543422] = 2,
    ACTIONS(21448), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543430] = 2,
    ACTIONS(21450), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543438] = 2,
    ACTIONS(21452), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543446] = 2,
    ACTIONS(21454), 1,
      sym_keyword_input,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543454] = 2,
    ACTIONS(21456), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543462] = 2,
    ACTIONS(21458), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543470] = 2,
    ACTIONS(21460), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543478] = 2,
    ACTIONS(21462), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543486] = 2,
    ACTIONS(21464), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543494] = 2,
    ACTIONS(21466), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543502] = 2,
    ACTIONS(21468), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543510] = 2,
    ACTIONS(21470), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543518] = 2,
    ACTIONS(21472), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543526] = 2,
    ACTIONS(21474), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543534] = 2,
    ACTIONS(21476), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543542] = 2,
    ACTIONS(21478), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543550] = 2,
    ACTIONS(21480), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543558] = 2,
    ACTIONS(21482), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543566] = 2,
    ACTIONS(21484), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543574] = 2,
    ACTIONS(21486), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543582] = 2,
    ACTIONS(21488), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543590] = 2,
    ACTIONS(21490), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543598] = 2,
    ACTIONS(21492), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543606] = 2,
    ACTIONS(21494), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543614] = 2,
    ACTIONS(21496), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543622] = 2,
    ACTIONS(21498), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543630] = 2,
    ACTIONS(15056), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543638] = 2,
    ACTIONS(21500), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543646] = 2,
    ACTIONS(21502), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543654] = 2,
    ACTIONS(21504), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543662] = 2,
    ACTIONS(15332), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543670] = 2,
    ACTIONS(21506), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543678] = 2,
    ACTIONS(21508), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543686] = 2,
    ACTIONS(21510), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543694] = 2,
    ACTIONS(21512), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543702] = 2,
    ACTIONS(21514), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543710] = 2,
    ACTIONS(21516), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543718] = 2,
    ACTIONS(21518), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543726] = 2,
    ACTIONS(21520), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543734] = 2,
    ACTIONS(21522), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543742] = 2,
    ACTIONS(21524), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543750] = 2,
    ACTIONS(21526), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543758] = 2,
    ACTIONS(21528), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543766] = 2,
    ACTIONS(21530), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543774] = 2,
    ACTIONS(21532), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543782] = 2,
    ACTIONS(21534), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543790] = 2,
    ACTIONS(21536), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543798] = 2,
    ACTIONS(21538), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543806] = 2,
    ACTIONS(21540), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543814] = 2,
    ACTIONS(21542), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543822] = 2,
    ACTIONS(21544), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543830] = 2,
    ACTIONS(21546), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543838] = 2,
    ACTIONS(21548), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543846] = 2,
    ACTIONS(21550), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543854] = 2,
    ACTIONS(21552), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543862] = 2,
    ACTIONS(21554), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543870] = 2,
    ACTIONS(21556), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543878] = 2,
    ACTIONS(21558), 1,
      sym_keyword_metadata,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543886] = 2,
    ACTIONS(21560), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543894] = 2,
    ACTIONS(21562), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543902] = 2,
    ACTIONS(21564), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543910] = 2,
    ACTIONS(21566), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543918] = 2,
    ACTIONS(20290), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543926] = 2,
    ACTIONS(21568), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543934] = 2,
    ACTIONS(21570), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543942] = 2,
    ACTIONS(21572), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543950] = 2,
    ACTIONS(21574), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543958] = 2,
    ACTIONS(21576), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543966] = 2,
    ACTIONS(21578), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543974] = 2,
    ACTIONS(21580), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543982] = 2,
    ACTIONS(21582), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543990] = 2,
    ACTIONS(21584), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [543998] = 2,
    ACTIONS(21586), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544006] = 2,
    ACTIONS(21588), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544014] = 2,
    ACTIONS(21590), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544022] = 2,
    ACTIONS(21592), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544030] = 2,
    ACTIONS(21594), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544038] = 2,
    ACTIONS(21596), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544046] = 2,
    ACTIONS(21598), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544054] = 2,
    ACTIONS(21600), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544062] = 2,
    ACTIONS(21602), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544070] = 2,
    ACTIONS(21604), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544078] = 2,
    ACTIONS(21606), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544086] = 2,
    ACTIONS(21608), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544094] = 2,
    ACTIONS(21610), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544102] = 2,
    ACTIONS(21612), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544110] = 2,
    ACTIONS(21614), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544118] = 2,
    ACTIONS(21616), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544126] = 2,
    ACTIONS(21618), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544134] = 2,
    ACTIONS(21620), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544142] = 2,
    ACTIONS(21622), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544150] = 2,
    ACTIONS(21624), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544158] = 2,
    ACTIONS(21626), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544166] = 2,
    ACTIONS(21628), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544174] = 2,
    ACTIONS(21630), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544182] = 2,
    ACTIONS(21632), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544190] = 2,
    ACTIONS(21634), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544198] = 2,
    ACTIONS(21636), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544206] = 2,
    ACTIONS(21638), 1,
      sym_keyword_input,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544214] = 2,
    ACTIONS(21640), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544222] = 2,
    ACTIONS(21642), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544230] = 2,
    ACTIONS(21644), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544238] = 2,
    ACTIONS(21646), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544246] = 2,
    ACTIONS(21648), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544254] = 2,
    ACTIONS(21650), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544262] = 2,
    ACTIONS(18461), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544270] = 2,
    ACTIONS(21652), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544278] = 2,
    ACTIONS(21654), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544286] = 2,
    ACTIONS(21656), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544294] = 2,
    ACTIONS(21658), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544302] = 2,
    ACTIONS(21660), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544310] = 2,
    ACTIONS(21662), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544318] = 2,
    ACTIONS(21664), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544326] = 2,
    ACTIONS(21666), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544334] = 2,
    ACTIONS(21668), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544342] = 2,
    ACTIONS(21670), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544350] = 2,
    ACTIONS(21672), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544358] = 2,
    ACTIONS(21674), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544366] = 2,
    ACTIONS(20168), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544374] = 2,
    ACTIONS(21676), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544382] = 2,
    ACTIONS(21678), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544390] = 2,
    ACTIONS(21680), 1,
      sym_keyword_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544398] = 2,
    ACTIONS(20114), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544406] = 2,
    ACTIONS(21682), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544414] = 2,
    ACTIONS(21684), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544422] = 2,
    ACTIONS(21686), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544430] = 2,
    ACTIONS(21688), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544438] = 2,
    ACTIONS(21690), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544446] = 2,
    ACTIONS(21692), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544454] = 2,
    ACTIONS(21694), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544462] = 2,
    ACTIONS(21696), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544470] = 2,
    ACTIONS(21698), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544478] = 2,
    ACTIONS(21700), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544486] = 2,
    ACTIONS(21702), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544494] = 2,
    ACTIONS(21704), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544502] = 2,
    ACTIONS(21706), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544510] = 2,
    ACTIONS(21708), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544518] = 2,
    ACTIONS(21710), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544526] = 2,
    ACTIONS(21712), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544534] = 2,
    ACTIONS(21714), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544542] = 2,
    ACTIONS(21716), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544550] = 2,
    ACTIONS(21718), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544558] = 2,
    ACTIONS(21720), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544566] = 2,
    ACTIONS(21722), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544574] = 2,
    ACTIONS(21724), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544582] = 2,
    ACTIONS(21726), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544590] = 2,
    ACTIONS(21728), 1,
      sym_keyword_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544598] = 2,
    ACTIONS(21730), 1,
      sym_keyword_deferrable,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544606] = 2,
    ACTIONS(21732), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544614] = 2,
    ACTIONS(21734), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544622] = 2,
    ACTIONS(21736), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544630] = 2,
    ACTIONS(21738), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544638] = 2,
    ACTIONS(21740), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544646] = 2,
    ACTIONS(21742), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544654] = 2,
    ACTIONS(21744), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544662] = 2,
    ACTIONS(21746), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544670] = 2,
    ACTIONS(21748), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544678] = 2,
    ACTIONS(21750), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544686] = 2,
    ACTIONS(21752), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544694] = 2,
    ACTIONS(21754), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544702] = 2,
    ACTIONS(21756), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544710] = 2,
    ACTIONS(21758), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544718] = 2,
    ACTIONS(21760), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544726] = 2,
    ACTIONS(21762), 1,
      sym_keyword_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544734] = 2,
    ACTIONS(21764), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544742] = 2,
    ACTIONS(21766), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544750] = 2,
    ACTIONS(21768), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544758] = 2,
    ACTIONS(21770), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544766] = 2,
    ACTIONS(21772), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544774] = 2,
    ACTIONS(21774), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544782] = 2,
    ACTIONS(21776), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544790] = 2,
    ACTIONS(21778), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544798] = 2,
    ACTIONS(21780), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544806] = 2,
    ACTIONS(21782), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544814] = 2,
    ACTIONS(21784), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544822] = 2,
    ACTIONS(21786), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544830] = 2,
    ACTIONS(21788), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544838] = 2,
    ACTIONS(21790), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544846] = 2,
    ACTIONS(21792), 1,
      sym_keyword_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544854] = 2,
    ACTIONS(21794), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544862] = 2,
    ACTIONS(16405), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544870] = 2,
    ACTIONS(21796), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544878] = 2,
    ACTIONS(21798), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544886] = 2,
    ACTIONS(21800), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544894] = 2,
    ACTIONS(21802), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544902] = 2,
    ACTIONS(21804), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544910] = 2,
    ACTIONS(21806), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544918] = 2,
    ACTIONS(21808), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544926] = 2,
    ACTIONS(21810), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544934] = 2,
    ACTIONS(21812), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544942] = 2,
    ACTIONS(21814), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544950] = 2,
    ACTIONS(21816), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544958] = 2,
    ACTIONS(21818), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544966] = 2,
    ACTIONS(21820), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544974] = 2,
    ACTIONS(21822), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544982] = 2,
    ACTIONS(21824), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544990] = 2,
    ACTIONS(21826), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [544998] = 2,
    ACTIONS(21828), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545006] = 2,
    ACTIONS(21830), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545014] = 2,
    ACTIONS(21832), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545022] = 2,
    ACTIONS(21834), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545030] = 2,
    ACTIONS(21836), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545038] = 2,
    ACTIONS(21838), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545046] = 2,
    ACTIONS(15532), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545054] = 2,
    ACTIONS(21840), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545062] = 2,
    ACTIONS(15129), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545070] = 2,
    ACTIONS(21842), 1,
      sym_keyword_matched,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545078] = 2,
    ACTIONS(21844), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545086] = 2,
    ACTIONS(21846), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545094] = 2,
    ACTIONS(21848), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545102] = 2,
    ACTIONS(21850), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545110] = 2,
    ACTIONS(21852), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545118] = 2,
    ACTIONS(21854), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545126] = 2,
    ACTIONS(21856), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545134] = 2,
    ACTIONS(21858), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545142] = 2,
    ACTIONS(21860), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545150] = 2,
    ACTIONS(21862), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545158] = 2,
    ACTIONS(21864), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545166] = 2,
    ACTIONS(21866), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545174] = 2,
    ACTIONS(21868), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545182] = 2,
    ACTIONS(21870), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545190] = 2,
    ACTIONS(21872), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545198] = 2,
    ACTIONS(21874), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545206] = 2,
    ACTIONS(17063), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545214] = 2,
    ACTIONS(21876), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545222] = 2,
    ACTIONS(21878), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545230] = 2,
    ACTIONS(21880), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545238] = 2,
    ACTIONS(21882), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545246] = 2,
    ACTIONS(21884), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545254] = 2,
    ACTIONS(21886), 1,
      aux_sym__integer_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545262] = 2,
    ACTIONS(20038), 1,
      sym_keyword_deferrable,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545270] = 2,
    ACTIONS(21888), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545278] = 2,
    ACTIONS(21890), 1,
      sym_keyword_metadata,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545286] = 2,
    ACTIONS(21892), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545294] = 2,
    ACTIONS(21894), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545302] = 2,
    ACTIONS(21896), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545310] = 2,
    ACTIONS(21898), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545318] = 2,
    ACTIONS(21900), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545326] = 2,
    ACTIONS(21902), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545334] = 2,
    ACTIONS(21904), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545342] = 2,
    ACTIONS(21906), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545350] = 2,
    ACTIONS(21908), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545358] = 2,
    ACTIONS(21910), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545366] = 2,
    ACTIONS(21912), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545374] = 2,
    ACTIONS(21914), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545382] = 2,
    ACTIONS(21916), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545390] = 2,
    ACTIONS(21918), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545398] = 2,
    ACTIONS(21920), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545406] = 2,
    ACTIONS(21922), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545414] = 2,
    ACTIONS(21924), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545422] = 2,
    ACTIONS(21926), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545430] = 2,
    ACTIONS(21928), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545438] = 2,
    ACTIONS(21930), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545446] = 2,
    ACTIONS(21932), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545454] = 2,
    ACTIONS(21934), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545462] = 2,
    ACTIONS(21936), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545470] = 2,
    ACTIONS(21938), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545478] = 2,
    ACTIONS(21940), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545486] = 2,
    ACTIONS(21942), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545494] = 2,
    ACTIONS(21944), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545502] = 2,
    ACTIONS(21946), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545510] = 2,
    ACTIONS(21948), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545518] = 2,
    ACTIONS(21950), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545526] = 2,
    ACTIONS(21952), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545534] = 2,
    ACTIONS(21954), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545542] = 2,
    ACTIONS(21956), 1,
      sym__identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545550] = 2,
    ACTIONS(21958), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545558] = 2,
    ACTIONS(21960), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545566] = 2,
    ACTIONS(21962), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545574] = 2,
    ACTIONS(21964), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545582] = 2,
    ACTIONS(21966), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545590] = 2,
    ACTIONS(21968), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545598] = 2,
    ACTIONS(21970), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545606] = 2,
    ACTIONS(21972), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545614] = 2,
    ACTIONS(16667), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545622] = 2,
    ACTIONS(21974), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545630] = 2,
    ACTIONS(21976), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545638] = 2,
    ACTIONS(21978), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545646] = 2,
    ACTIONS(21980), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545654] = 2,
    ACTIONS(21982), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545662] = 2,
    ACTIONS(21984), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545670] = 2,
    ACTIONS(21986), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545678] = 2,
    ACTIONS(21988), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545686] = 2,
    ACTIONS(21990), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545694] = 2,
    ACTIONS(21992), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545702] = 2,
    ACTIONS(21994), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545710] = 2,
    ACTIONS(21996), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545718] = 2,
    ACTIONS(21998), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545726] = 2,
    ACTIONS(22000), 1,
      sym_keyword_statistics,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545734] = 2,
    ACTIONS(22002), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545742] = 2,
    ACTIONS(22004), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545750] = 2,
    ACTIONS(22006), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545758] = 2,
    ACTIONS(22008), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545766] = 2,
    ACTIONS(22010), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545774] = 2,
    ACTIONS(22012), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545782] = 2,
    ACTIONS(22014), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545790] = 2,
    ACTIONS(22016), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545798] = 2,
    ACTIONS(22018), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545806] = 2,
    ACTIONS(22020), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545814] = 2,
    ACTIONS(22022), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545822] = 2,
    ACTIONS(22024), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545830] = 2,
    ACTIONS(22026), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545838] = 2,
    ACTIONS(22028), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545846] = 2,
    ACTIONS(22030), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545854] = 2,
    ACTIONS(22032), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545862] = 2,
    ACTIONS(22034), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545870] = 2,
    ACTIONS(22036), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545878] = 2,
    ACTIONS(22038), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545886] = 2,
    ACTIONS(22040), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545894] = 2,
    ACTIONS(22042), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545902] = 2,
    ACTIONS(22044), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545910] = 2,
    ACTIONS(22046), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545918] = 2,
    ACTIONS(22048), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545926] = 2,
    ACTIONS(22050), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545934] = 2,
    ACTIONS(22052), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545942] = 2,
    ACTIONS(22054), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545950] = 2,
    ACTIONS(22056), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545958] = 2,
    ACTIONS(22058), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545966] = 2,
    ACTIONS(22060), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545974] = 2,
    ACTIONS(22062), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545982] = 2,
    ACTIONS(22064), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545990] = 2,
    ACTIONS(22066), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [545998] = 2,
    ACTIONS(22068), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546006] = 2,
    ACTIONS(15520), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546014] = 2,
    ACTIONS(22070), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546022] = 2,
    ACTIONS(22072), 1,
      sym_keyword_distinct,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546030] = 2,
    ACTIONS(22074), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546038] = 2,
    ACTIONS(22076), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546046] = 2,
    ACTIONS(22078), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546054] = 2,
    ACTIONS(22080), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546062] = 2,
    ACTIONS(22082), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546070] = 2,
    ACTIONS(22084), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546078] = 2,
    ACTIONS(22086), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546086] = 2,
    ACTIONS(22088), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546094] = 2,
    ACTIONS(22090), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546102] = 2,
    ACTIONS(19972), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546110] = 2,
    ACTIONS(22092), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546118] = 2,
    ACTIONS(22094), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546126] = 2,
    ACTIONS(22096), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546134] = 2,
    ACTIONS(22098), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546142] = 2,
    ACTIONS(22100), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546150] = 2,
    ACTIONS(22102), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546158] = 2,
    ACTIONS(22104), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546166] = 2,
    ACTIONS(22106), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546174] = 2,
    ACTIONS(22108), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546182] = 2,
    ACTIONS(22110), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546190] = 2,
    ACTIONS(22112), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546198] = 2,
    ACTIONS(22114), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546206] = 2,
    ACTIONS(22116), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546214] = 2,
    ACTIONS(22118), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546222] = 2,
    ACTIONS(22120), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546230] = 2,
    ACTIONS(22122), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546238] = 2,
    ACTIONS(22124), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546246] = 2,
    ACTIONS(22126), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546254] = 2,
    ACTIONS(22128), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546262] = 2,
    ACTIONS(22130), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546270] = 2,
    ACTIONS(22132), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546278] = 2,
    ACTIONS(22134), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546286] = 2,
    ACTIONS(22136), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546294] = 2,
    ACTIONS(22138), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546302] = 2,
    ACTIONS(22140), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546310] = 2,
    ACTIONS(22142), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546318] = 2,
    ACTIONS(22144), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546326] = 2,
    ACTIONS(22146), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546334] = 2,
    ACTIONS(22148), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546342] = 2,
    ACTIONS(22150), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546350] = 2,
    ACTIONS(22152), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546358] = 2,
    ACTIONS(22154), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546366] = 2,
    ACTIONS(20004), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546374] = 2,
    ACTIONS(22156), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546382] = 2,
    ACTIONS(22158), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546390] = 2,
    ACTIONS(22160), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546398] = 2,
    ACTIONS(22162), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546406] = 2,
    ACTIONS(22164), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546414] = 2,
    ACTIONS(22166), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546422] = 2,
    ACTIONS(22168), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546430] = 2,
    ACTIONS(22170), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546438] = 2,
    ACTIONS(22172), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546446] = 2,
    ACTIONS(22174), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546454] = 2,
    ACTIONS(22176), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546462] = 2,
    ACTIONS(22178), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546470] = 2,
    ACTIONS(22180), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546478] = 2,
    ACTIONS(22182), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546486] = 2,
    ACTIONS(16648), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546494] = 2,
    ACTIONS(22184), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546502] = 2,
    ACTIONS(22186), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546510] = 2,
    ACTIONS(22188), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546518] = 2,
    ACTIONS(22190), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546526] = 2,
    ACTIONS(22192), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546534] = 2,
    ACTIONS(22194), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546542] = 2,
    ACTIONS(22196), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546550] = 2,
    ACTIONS(16661), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546558] = 2,
    ACTIONS(22198), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546566] = 2,
    ACTIONS(22200), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546574] = 2,
    ACTIONS(22202), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546582] = 2,
    ACTIONS(22204), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546590] = 2,
    ACTIONS(22206), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546598] = 2,
    ACTIONS(22208), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546606] = 2,
    ACTIONS(22210), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546614] = 2,
    ACTIONS(22212), 1,
      sym_keyword_row,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546622] = 2,
    ACTIONS(22214), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546630] = 2,
    ACTIONS(22216), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546638] = 2,
    ACTIONS(22218), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546646] = 2,
    ACTIONS(22220), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546654] = 2,
    ACTIONS(22222), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546662] = 2,
    ACTIONS(22224), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546670] = 2,
    ACTIONS(22226), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546678] = 2,
    ACTIONS(22228), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546686] = 2,
    ACTIONS(22230), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546694] = 2,
    ACTIONS(22232), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546702] = 2,
    ACTIONS(20000), 1,
      sym_keyword_deferrable,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546710] = 2,
    ACTIONS(22234), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546718] = 2,
    ACTIONS(22236), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546726] = 2,
    ACTIONS(22238), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546734] = 2,
    ACTIONS(22240), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546742] = 2,
    ACTIONS(22242), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546750] = 2,
    ACTIONS(15739), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546758] = 2,
    ACTIONS(22244), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546766] = 2,
    ACTIONS(22246), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546774] = 2,
    ACTIONS(22248), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546782] = 2,
    ACTIONS(22250), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546790] = 2,
    ACTIONS(22252), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546798] = 2,
    ACTIONS(22254), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546806] = 2,
    ACTIONS(22256), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546814] = 2,
    ACTIONS(22258), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546822] = 2,
    ACTIONS(22260), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546830] = 2,
    ACTIONS(22262), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546838] = 2,
    ACTIONS(22264), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546846] = 2,
    ACTIONS(22266), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546854] = 2,
    ACTIONS(22268), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546862] = 2,
    ACTIONS(22270), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546870] = 2,
    ACTIONS(22272), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546878] = 2,
    ACTIONS(22274), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546886] = 2,
    ACTIONS(22276), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546894] = 2,
    ACTIONS(22278), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546902] = 2,
    ACTIONS(22280), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546910] = 2,
    ACTIONS(22282), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546918] = 2,
    ACTIONS(22284), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546926] = 2,
    ACTIONS(22286), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546934] = 2,
    ACTIONS(22288), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546942] = 2,
    ACTIONS(22290), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546950] = 2,
    ACTIONS(22292), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546958] = 2,
    ACTIONS(22294), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546966] = 2,
    ACTIONS(22296), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546974] = 2,
    ACTIONS(22298), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546982] = 2,
    ACTIONS(22300), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546990] = 2,
    ACTIONS(22302), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [546998] = 2,
    ACTIONS(22304), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547006] = 2,
    ACTIONS(22306), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547014] = 2,
    ACTIONS(22308), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547022] = 2,
    ACTIONS(22310), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547030] = 2,
    ACTIONS(22312), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547038] = 2,
    ACTIONS(22314), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547046] = 2,
    ACTIONS(22316), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547054] = 2,
    ACTIONS(22318), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547062] = 2,
    ACTIONS(22320), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547070] = 2,
    ACTIONS(22322), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547078] = 2,
    ACTIONS(22324), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547086] = 2,
    ACTIONS(22326), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547094] = 2,
    ACTIONS(22328), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547102] = 2,
    ACTIONS(22330), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547110] = 2,
    ACTIONS(22332), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547118] = 2,
    ACTIONS(22334), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547126] = 2,
    ACTIONS(16650), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547134] = 2,
    ACTIONS(22336), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547142] = 2,
    ACTIONS(22338), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547150] = 2,
    ACTIONS(22340), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547158] = 2,
    ACTIONS(22342), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547166] = 2,
    ACTIONS(17515), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547174] = 2,
    ACTIONS(22344), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547182] = 2,
    ACTIONS(22346), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547190] = 2,
    ACTIONS(22348), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547198] = 2,
    ACTIONS(22350), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547206] = 2,
    ACTIONS(22352), 1,
      sym_keyword_is,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547214] = 2,
    ACTIONS(22354), 1,
      sym_keyword_bin_pack,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547222] = 2,
    ACTIONS(22356), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547230] = 2,
    ACTIONS(22358), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547238] = 2,
    ACTIONS(22360), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547246] = 2,
    ACTIONS(22362), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547254] = 2,
    ACTIONS(22364), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547262] = 2,
    ACTIONS(22366), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547270] = 2,
    ACTIONS(22368), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547278] = 2,
    ACTIONS(22370), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547286] = 2,
    ACTIONS(22372), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547294] = 2,
    ACTIONS(22374), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547302] = 2,
    ACTIONS(22376), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547310] = 2,
    ACTIONS(22378), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547318] = 2,
    ACTIONS(22380), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547326] = 2,
    ACTIONS(22382), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547334] = 2,
    ACTIONS(22384), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547342] = 2,
    ACTIONS(22386), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547350] = 2,
    ACTIONS(22388), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547358] = 2,
    ACTIONS(22390), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547366] = 2,
    ACTIONS(22392), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547374] = 2,
    ACTIONS(22394), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547382] = 2,
    ACTIONS(22396), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547390] = 2,
    ACTIONS(22398), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547398] = 2,
    ACTIONS(22400), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547406] = 2,
    ACTIONS(22402), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547414] = 2,
    ACTIONS(22404), 1,
      sym_keyword_ordinality,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547422] = 2,
    ACTIONS(22406), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547430] = 2,
    ACTIONS(22408), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547438] = 2,
    ACTIONS(22410), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547446] = 2,
    ACTIONS(22412), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547454] = 2,
    ACTIONS(22414), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547462] = 2,
    ACTIONS(22416), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547470] = 2,
    ACTIONS(22418), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547478] = 2,
    ACTIONS(22420), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547486] = 2,
    ACTIONS(22422), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547494] = 2,
    ACTIONS(22424), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547502] = 2,
    ACTIONS(22426), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547510] = 2,
    ACTIONS(22428), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547518] = 2,
    ACTIONS(22430), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547526] = 2,
    ACTIONS(22432), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547534] = 2,
    ACTIONS(22434), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547542] = 2,
    ACTIONS(22436), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547550] = 2,
    ACTIONS(22438), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547558] = 2,
    ACTIONS(22440), 1,
      sym_keyword_metadata,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547566] = 2,
    ACTIONS(22442), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547574] = 2,
    ACTIONS(22444), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547582] = 2,
    ACTIONS(22446), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547590] = 2,
    ACTIONS(22448), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547598] = 2,
    ACTIONS(22450), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547606] = 2,
    ACTIONS(22452), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547614] = 2,
    ACTIONS(22454), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547622] = 2,
    ACTIONS(22456), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547630] = 2,
    ACTIONS(22458), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547638] = 2,
    ACTIONS(22460), 1,
      sym_keyword_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547646] = 2,
    ACTIONS(22462), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547654] = 2,
    ACTIONS(22464), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547662] = 2,
    ACTIONS(22466), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547670] = 2,
    ACTIONS(22468), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547678] = 2,
    ACTIONS(22470), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547686] = 2,
    ACTIONS(22472), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547694] = 2,
    ACTIONS(22474), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547702] = 2,
    ACTIONS(22476), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547710] = 2,
    ACTIONS(22478), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547718] = 2,
    ACTIONS(22480), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547726] = 2,
    ACTIONS(22482), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547734] = 2,
    ACTIONS(22484), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547742] = 2,
    ACTIONS(22486), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547750] = 2,
    ACTIONS(22488), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547758] = 2,
    ACTIONS(22490), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547766] = 2,
    ACTIONS(22492), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547774] = 2,
    ACTIONS(22494), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547782] = 2,
    ACTIONS(22496), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547790] = 2,
    ACTIONS(22498), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547798] = 2,
    ACTIONS(22500), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547806] = 2,
    ACTIONS(22502), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547814] = 2,
    ACTIONS(22504), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547822] = 2,
    ACTIONS(22506), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547830] = 2,
    ACTIONS(22508), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547838] = 2,
    ACTIONS(22510), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547846] = 2,
    ACTIONS(22512), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547854] = 2,
    ACTIONS(22514), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547862] = 2,
    ACTIONS(22516), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547870] = 2,
    ACTIONS(22518), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547878] = 2,
    ACTIONS(22520), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547886] = 2,
    ACTIONS(22522), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547894] = 2,
    ACTIONS(22524), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547902] = 2,
    ACTIONS(22526), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547910] = 2,
    ACTIONS(22528), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547918] = 2,
    ACTIONS(22530), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547926] = 2,
    ACTIONS(22532), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547934] = 2,
    ACTIONS(22534), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547942] = 2,
    ACTIONS(22536), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547950] = 2,
    ACTIONS(22538), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547958] = 2,
    ACTIONS(22540), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547966] = 2,
    ACTIONS(22542), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547974] = 2,
    ACTIONS(22544), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547982] = 2,
    ACTIONS(22546), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547990] = 2,
    ACTIONS(22548), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [547998] = 2,
    ACTIONS(22550), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548006] = 2,
    ACTIONS(22552), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548014] = 2,
    ACTIONS(22554), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548022] = 2,
    ACTIONS(22556), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548030] = 2,
    ACTIONS(22558), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548038] = 2,
    ACTIONS(22560), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548046] = 2,
    ACTIONS(22562), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548054] = 2,
    ACTIONS(22564), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548062] = 2,
    ACTIONS(22566), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548070] = 2,
    ACTIONS(22568), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548078] = 2,
    ACTIONS(22570), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548086] = 2,
    ACTIONS(22572), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548094] = 2,
    ACTIONS(22574), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548102] = 2,
    ACTIONS(22576), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548110] = 2,
    ACTIONS(22578), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548118] = 2,
    ACTIONS(22580), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548126] = 2,
    ACTIONS(22582), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548134] = 2,
    ACTIONS(22584), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548142] = 2,
    ACTIONS(22586), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548150] = 2,
    ACTIONS(22588), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548158] = 2,
    ACTIONS(22590), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548166] = 2,
    ACTIONS(22592), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548174] = 2,
    ACTIONS(22594), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548182] = 2,
    ACTIONS(22596), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548190] = 2,
    ACTIONS(22598), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548198] = 2,
    ACTIONS(22600), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548206] = 2,
    ACTIONS(22602), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548214] = 2,
    ACTIONS(22604), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548222] = 2,
    ACTIONS(22606), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548230] = 2,
    ACTIONS(18363), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548238] = 2,
    ACTIONS(22608), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548246] = 2,
    ACTIONS(22610), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548254] = 2,
    ACTIONS(22612), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548262] = 2,
    ACTIONS(22614), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548270] = 2,
    ACTIONS(22616), 1,
      sym_keyword_statistics,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548278] = 2,
    ACTIONS(22618), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548286] = 2,
    ACTIONS(22620), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548294] = 2,
    ACTIONS(22622), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548302] = 2,
    ACTIONS(22624), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548310] = 2,
    ACTIONS(22626), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548318] = 2,
    ACTIONS(22628), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548326] = 2,
    ACTIONS(22630), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548334] = 2,
    ACTIONS(22632), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548342] = 2,
    ACTIONS(22634), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548350] = 2,
    ACTIONS(22636), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548358] = 2,
    ACTIONS(22638), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548366] = 2,
    ACTIONS(22640), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548374] = 2,
    ACTIONS(22642), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548382] = 2,
    ACTIONS(22644), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548390] = 2,
    ACTIONS(22646), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548398] = 2,
    ACTIONS(22648), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548406] = 2,
    ACTIONS(22650), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548414] = 2,
    ACTIONS(22652), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548422] = 2,
    ACTIONS(22654), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548430] = 2,
    ACTIONS(22656), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548438] = 2,
    ACTIONS(22658), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548446] = 2,
    ACTIONS(22660), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548454] = 2,
    ACTIONS(22662), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548462] = 2,
    ACTIONS(22664), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548470] = 2,
    ACTIONS(22666), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548478] = 2,
    ACTIONS(22668), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548486] = 2,
    ACTIONS(22670), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548494] = 2,
    ACTIONS(22672), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548502] = 2,
    ACTIONS(22674), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548510] = 2,
    ACTIONS(22676), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548518] = 2,
    ACTIONS(22678), 1,
      sym_keyword_security,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548526] = 2,
    ACTIONS(22680), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548534] = 2,
    ACTIONS(22682), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548542] = 2,
    ACTIONS(22684), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548550] = 2,
    ACTIONS(22686), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548558] = 2,
    ACTIONS(22688), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548566] = 2,
    ACTIONS(16297), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548574] = 2,
    ACTIONS(17149), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548582] = 2,
    ACTIONS(22690), 1,
      sym__identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548590] = 2,
    ACTIONS(22692), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548598] = 2,
    ACTIONS(22694), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548606] = 2,
    ACTIONS(16628), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548614] = 2,
    ACTIONS(22696), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548622] = 2,
    ACTIONS(22698), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548630] = 2,
    ACTIONS(22700), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548638] = 2,
    ACTIONS(22702), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548646] = 2,
    ACTIONS(15322), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548654] = 2,
    ACTIONS(22704), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548662] = 2,
    ACTIONS(22706), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548670] = 2,
    ACTIONS(22708), 1,
      sym_keyword_input,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548678] = 2,
    ACTIONS(22710), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548686] = 2,
    ACTIONS(22712), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548694] = 2,
    ACTIONS(22714), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548702] = 2,
    ACTIONS(22716), 1,
      sym_keyword_statistics,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548710] = 2,
    ACTIONS(19908), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548718] = 2,
    ACTIONS(22718), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548726] = 2,
    ACTIONS(22720), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548734] = 2,
    ACTIONS(22722), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548742] = 2,
    ACTIONS(18323), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548750] = 2,
    ACTIONS(22724), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548758] = 2,
    ACTIONS(22726), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548766] = 2,
    ACTIONS(22728), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548774] = 2,
    ACTIONS(22730), 1,
      sym_keyword_leakproof,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548782] = 2,
    ACTIONS(22732), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548790] = 2,
    ACTIONS(22734), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548798] = 2,
    ACTIONS(15017), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548806] = 2,
    ACTIONS(15316), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548814] = 2,
    ACTIONS(22736), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548822] = 2,
    ACTIONS(22738), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548830] = 2,
    ACTIONS(16409), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548838] = 2,
    ACTIONS(22740), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548846] = 2,
    ACTIONS(15310), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548854] = 2,
    ACTIONS(22742), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548862] = 2,
    ACTIONS(14862), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548870] = 2,
    ACTIONS(22744), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548878] = 2,
    ACTIONS(22746), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548886] = 2,
    ACTIONS(19864), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548894] = 2,
    ACTIONS(22748), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548902] = 2,
    ACTIONS(22750), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548910] = 2,
    ACTIONS(22752), 1,
      sym_keyword_option,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548918] = 2,
    ACTIONS(22754), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548926] = 2,
    ACTIONS(22756), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548934] = 2,
    ACTIONS(22758), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548942] = 2,
    ACTIONS(22760), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548950] = 2,
    ACTIONS(17163), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548958] = 2,
    ACTIONS(22762), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548966] = 2,
    ACTIONS(22764), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548974] = 2,
    ACTIONS(22766), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548982] = 2,
    ACTIONS(22768), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548990] = 2,
    ACTIONS(22770), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [548998] = 2,
    ACTIONS(22772), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549006] = 2,
    ACTIONS(22774), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549014] = 2,
    ACTIONS(22776), 1,
      sym_keyword_returns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549022] = 2,
    ACTIONS(22778), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549030] = 2,
    ACTIONS(22780), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549038] = 2,
    ACTIONS(22782), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549046] = 2,
    ACTIONS(22784), 1,
      sym_keyword_database,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549054] = 2,
    ACTIONS(22786), 1,
      sym_keyword_attribute,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549062] = 2,
    ACTIONS(22788), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549070] = 2,
    ACTIONS(22790), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549078] = 2,
    ACTIONS(22792), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549086] = 2,
    ACTIONS(22794), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549094] = 2,
    ACTIONS(22796), 1,
      sym_keyword_maxvalue,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549102] = 2,
    ACTIONS(22798), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549110] = 2,
    ACTIONS(22796), 1,
      sym_keyword_minvalue,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549118] = 2,
    ACTIONS(22800), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549126] = 2,
    ACTIONS(22802), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549134] = 2,
    ACTIONS(22804), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549142] = 2,
    ACTIONS(22806), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549150] = 2,
    ACTIONS(16253), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549158] = 2,
    ACTIONS(22808), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549166] = 2,
    ACTIONS(22810), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549174] = 2,
    ACTIONS(22812), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549182] = 2,
    ACTIONS(22814), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549190] = 2,
    ACTIONS(22816), 1,
      sym_keyword_key,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549198] = 2,
    ACTIONS(22818), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549206] = 2,
    ACTIONS(22820), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549214] = 2,
    ACTIONS(22822), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549222] = 2,
    ACTIONS(22824), 1,
      sym_keyword_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549230] = 2,
    ACTIONS(22826), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549238] = 2,
    ACTIONS(22828), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549246] = 2,
    ACTIONS(22830), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549254] = 2,
    ACTIONS(22832), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549262] = 2,
    ACTIONS(22834), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549270] = 2,
    ACTIONS(22836), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549278] = 2,
    ACTIONS(22838), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549286] = 2,
    ACTIONS(22840), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549294] = 2,
    ACTIONS(22842), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549302] = 2,
    ACTIONS(22844), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549310] = 2,
    ACTIONS(22846), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549318] = 2,
    ACTIONS(22848), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549326] = 2,
    ACTIONS(22850), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549334] = 2,
    ACTIONS(22852), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549342] = 2,
    ACTIONS(22854), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549350] = 2,
    ACTIONS(22856), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549358] = 2,
    ACTIONS(22858), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549366] = 2,
    ACTIONS(22860), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549374] = 2,
    ACTIONS(22862), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549382] = 2,
    ACTIONS(22864), 1,
      sym_keyword_statistics,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549390] = 2,
    ACTIONS(22866), 1,
      sym_keyword_key,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549398] = 2,
    ACTIONS(22868), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549406] = 2,
    ACTIONS(22870), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549414] = 2,
    ACTIONS(22872), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549422] = 2,
    ACTIONS(22874), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549430] = 2,
    ACTIONS(22876), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549438] = 2,
    ACTIONS(22878), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549446] = 2,
    ACTIONS(22880), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549454] = 2,
    ACTIONS(22882), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549462] = 2,
    ACTIONS(22884), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549470] = 2,
    ACTIONS(22886), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549478] = 2,
    ACTIONS(22888), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549486] = 2,
    ACTIONS(22890), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549494] = 2,
    ACTIONS(22892), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549502] = 2,
    ACTIONS(22894), 1,
      sym_keyword_metadata,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549510] = 2,
    ACTIONS(22896), 1,
      sym_keyword_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549518] = 2,
    ACTIONS(22898), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549526] = 2,
    ACTIONS(22900), 1,
      sym_keyword_returns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549534] = 2,
    ACTIONS(22902), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549542] = 2,
    ACTIONS(22904), 1,
      sym_keyword_columns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549550] = 2,
    ACTIONS(22906), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549558] = 2,
    ACTIONS(22908), 1,
      sym_keyword_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549566] = 2,
    ACTIONS(16574), 1,
      sym_keyword_trigger,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549574] = 2,
    ACTIONS(16037), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549582] = 2,
    ACTIONS(22910), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549590] = 2,
    ACTIONS(22912), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549598] = 2,
    ACTIONS(22914), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549606] = 2,
    ACTIONS(17528), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549614] = 2,
    ACTIONS(22916), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549622] = 2,
    ACTIONS(22918), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549630] = 2,
    ACTIONS(22920), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549638] = 2,
    ACTIONS(22922), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549646] = 2,
    ACTIONS(22924), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549654] = 2,
    ACTIONS(22926), 1,
      sym_keyword_matched,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549662] = 2,
    ACTIONS(22928), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549670] = 2,
    ACTIONS(22930), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549678] = 2,
    ACTIONS(22932), 1,
      sym_keyword_key,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549686] = 2,
    ACTIONS(22934), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549694] = 2,
    ACTIONS(22936), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549702] = 2,
    ACTIONS(22938), 1,
      sym_keyword_always,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549710] = 2,
    ACTIONS(22940), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549718] = 2,
    ACTIONS(22942), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549726] = 2,
    ACTIONS(22944), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549734] = 2,
    ACTIONS(22946), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549742] = 2,
    ACTIONS(22948), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549750] = 2,
    ACTIONS(22950), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549758] = 2,
    ACTIONS(22952), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549766] = 2,
    ACTIONS(22954), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549774] = 2,
    ACTIONS(15304), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549782] = 2,
    ACTIONS(9790), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549790] = 2,
    ACTIONS(22956), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549798] = 2,
    ACTIONS(22958), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549806] = 2,
    ACTIONS(19832), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549814] = 2,
    ACTIONS(22960), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549822] = 2,
    ACTIONS(22962), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549830] = 2,
    ACTIONS(22964), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549838] = 2,
    ACTIONS(22966), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549846] = 2,
    ACTIONS(22968), 1,
      sym_keyword_current,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549854] = 2,
    ACTIONS(22970), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549862] = 2,
    ACTIONS(22972), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549870] = 2,
    ACTIONS(22974), 1,
      sym_keyword_terminated,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549878] = 2,
    ACTIONS(22976), 1,
      sym_keyword_terminated,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549886] = 2,
    ACTIONS(22978), 1,
      sym_keyword_in,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549894] = 2,
    ACTIONS(22980), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549902] = 2,
    ACTIONS(22982), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549910] = 2,
    ACTIONS(22984), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549918] = 2,
    ACTIONS(22986), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549926] = 2,
    ACTIONS(22988), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549934] = 2,
    ACTIONS(22990), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549942] = 2,
    ACTIONS(22992), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549950] = 2,
    ACTIONS(19288), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549958] = 2,
    ACTIONS(22994), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549966] = 2,
    ACTIONS(22996), 1,
      sym_keyword_atomic,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549974] = 2,
    ACTIONS(22998), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549982] = 2,
    ACTIONS(23000), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549990] = 2,
    ACTIONS(15390), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [549998] = 2,
    ACTIONS(23002), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550006] = 2,
    ACTIONS(23004), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550014] = 2,
    ACTIONS(23006), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550022] = 2,
    ACTIONS(23008), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550030] = 2,
    ACTIONS(23010), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550038] = 2,
    ACTIONS(23012), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550046] = 2,
    ACTIONS(23014), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550054] = 2,
    ACTIONS(23016), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550062] = 2,
    ACTIONS(23018), 1,
      sym_keyword_update,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550070] = 2,
    ACTIONS(23020), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550078] = 2,
    ACTIONS(16239), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550086] = 2,
    ACTIONS(23022), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550094] = 2,
    ACTIONS(23024), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550102] = 2,
    ACTIONS(23026), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550110] = 2,
    ACTIONS(17277), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550118] = 2,
    ACTIONS(23028), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550126] = 2,
    ACTIONS(23030), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550134] = 2,
    ACTIONS(23032), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550142] = 2,
    ACTIONS(23034), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550150] = 2,
    ACTIONS(23036), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550158] = 2,
    ACTIONS(18171), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550166] = 2,
    ACTIONS(23038), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550174] = 2,
    ACTIONS(23040), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550182] = 2,
    ACTIONS(23042), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550190] = 2,
    ACTIONS(23044), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550198] = 2,
    ACTIONS(23046), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550206] = 2,
    ACTIONS(23048), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550214] = 2,
    ACTIONS(23050), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550222] = 2,
    ACTIONS(23052), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550230] = 2,
    ACTIONS(23054), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550238] = 2,
    ACTIONS(23056), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550246] = 2,
    ACTIONS(23058), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550254] = 2,
    ACTIONS(23060), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550262] = 2,
    ACTIONS(23062), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550270] = 2,
    ACTIONS(23064), 1,
      sym_keyword_maxvalue,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550278] = 2,
    ACTIONS(23066), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550286] = 2,
    ACTIONS(23064), 1,
      sym_keyword_minvalue,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550294] = 2,
    ACTIONS(23068), 1,
      sym_keyword_matched,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550302] = 2,
    ACTIONS(23070), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550310] = 2,
    ACTIONS(23072), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550318] = 2,
    ACTIONS(23074), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550326] = 2,
    ACTIONS(23076), 1,
      aux_sym__integer_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550334] = 2,
    ACTIONS(23078), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550342] = 2,
    ACTIONS(23080), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550350] = 2,
    ACTIONS(23082), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550358] = 2,
    ACTIONS(23084), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550366] = 2,
    ACTIONS(23086), 1,
      sym_keyword_replication,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550374] = 2,
    ACTIONS(19798), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550382] = 2,
    ACTIONS(23088), 1,
      sym_keyword_minvalue,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550390] = 2,
    ACTIONS(23090), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550398] = 2,
    ACTIONS(23092), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550406] = 2,
    ACTIONS(23094), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550414] = 2,
    ACTIONS(23096), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550422] = 2,
    ACTIONS(23098), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550430] = 2,
    ACTIONS(23100), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550438] = 2,
    ACTIONS(23102), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550446] = 2,
    ACTIONS(23104), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550454] = 2,
    ACTIONS(23106), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550462] = 2,
    ACTIONS(23108), 1,
      aux_sym__integer_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550470] = 2,
    ACTIONS(16466), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550478] = 2,
    ACTIONS(23110), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550486] = 2,
    ACTIONS(15296), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550494] = 2,
    ACTIONS(23112), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550502] = 2,
    ACTIONS(23114), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550510] = 2,
    ACTIONS(23116), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550518] = 2,
    ACTIONS(23118), 1,
      sym_keyword_delimited,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550526] = 2,
    ACTIONS(23120), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550534] = 2,
    ACTIONS(23122), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550542] = 2,
    ACTIONS(23124), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550550] = 2,
    ACTIONS(15841), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550558] = 2,
    ACTIONS(23126), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550566] = 2,
    ACTIONS(23128), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550574] = 2,
    ACTIONS(23130), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550582] = 2,
    ACTIONS(23132), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550590] = 2,
    ACTIONS(23134), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550598] = 2,
    ACTIONS(16450), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550606] = 2,
    ACTIONS(23136), 1,
      sym_keyword_terminated,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550614] = 2,
    ACTIONS(23138), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550622] = 2,
    ACTIONS(23140), 1,
      sym_keyword_bin_pack,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550630] = 2,
    ACTIONS(23142), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550638] = 2,
    ACTIONS(23144), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550646] = 2,
    ACTIONS(23146), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550654] = 2,
    ACTIONS(23148), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550662] = 2,
    ACTIONS(23150), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550670] = 2,
    ACTIONS(23152), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550678] = 2,
    ACTIONS(23154), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550686] = 2,
    ACTIONS(23156), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550694] = 2,
    ACTIONS(23158), 1,
      sym_keyword_statistics,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550702] = 2,
    ACTIONS(23160), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550710] = 2,
    ACTIONS(23162), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550718] = 2,
    ACTIONS(23164), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550726] = 2,
    ACTIONS(23166), 1,
      sym_keyword_maxvalue,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550734] = 2,
    ACTIONS(23168), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550742] = 2,
    ACTIONS(23166), 1,
      sym_keyword_minvalue,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550750] = 2,
    ACTIONS(23170), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550758] = 2,
    ACTIONS(14904), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550766] = 2,
    ACTIONS(23172), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550774] = 2,
    ACTIONS(23174), 1,
      sym_keyword_terminated,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550782] = 2,
    ACTIONS(23176), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550790] = 2,
    ACTIONS(19742), 1,
      sym_keyword_deferrable,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550798] = 2,
    ACTIONS(23178), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550806] = 2,
    ACTIONS(23180), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550814] = 2,
    ACTIONS(15290), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550822] = 2,
    ACTIONS(23182), 1,
      sym_keyword_bin_pack,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550830] = 2,
    ACTIONS(23184), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550838] = 2,
    ACTIONS(23186), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550846] = 2,
    ACTIONS(23188), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550854] = 2,
    ACTIONS(23190), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550862] = 2,
    ACTIONS(23192), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550870] = 2,
    ACTIONS(23194), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550878] = 2,
    ACTIONS(23196), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550886] = 2,
    ACTIONS(19204), 1,
      sym_keyword_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550894] = 2,
    ACTIONS(23198), 1,
      sym_keyword_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550902] = 2,
    ACTIONS(23200), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550910] = 2,
    ACTIONS(23202), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550918] = 2,
    ACTIONS(23204), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550926] = 2,
    ACTIONS(23206), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550934] = 2,
    ACTIONS(23208), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550942] = 2,
    ACTIONS(23210), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550950] = 2,
    ACTIONS(23212), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550958] = 2,
    ACTIONS(23088), 1,
      sym_keyword_maxvalue,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550966] = 2,
    ACTIONS(15877), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550974] = 2,
    ACTIONS(23214), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550982] = 2,
    ACTIONS(23216), 1,
      sym_keyword_key,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550990] = 2,
    ACTIONS(23218), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [550998] = 2,
    ACTIONS(23220), 1,
      aux_sym__integer_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551006] = 2,
    ACTIONS(23222), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551014] = 2,
    ACTIONS(23224), 1,
      sym_keyword_delimited,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551022] = 2,
    ACTIONS(14856), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551030] = 2,
    ACTIONS(23226), 1,
      sym_keyword_returns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551038] = 2,
    ACTIONS(23228), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551046] = 2,
    ACTIONS(15404), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551054] = 2,
    ACTIONS(23230), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551062] = 2,
    ACTIONS(23232), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551070] = 2,
    ACTIONS(15410), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551078] = 2,
    ACTIONS(23234), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551086] = 2,
    ACTIONS(23236), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551094] = 2,
    ACTIONS(23238), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551102] = 2,
    ACTIONS(23240), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551110] = 2,
    ACTIONS(23242), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551118] = 2,
    ACTIONS(23244), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551126] = 2,
    ACTIONS(23246), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551134] = 2,
    ACTIONS(23248), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551142] = 2,
    ACTIONS(23250), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551150] = 2,
    ACTIONS(23252), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551158] = 2,
    ACTIONS(23254), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551166] = 2,
    ACTIONS(23256), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551174] = 2,
    ACTIONS(23258), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551182] = 2,
    ACTIONS(23260), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551190] = 2,
    ACTIONS(23262), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551198] = 2,
    ACTIONS(23264), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551206] = 2,
    ACTIONS(23266), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551214] = 2,
    ACTIONS(23268), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551222] = 2,
    ACTIONS(23270), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551230] = 2,
    ACTIONS(23272), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551238] = 2,
    ACTIONS(23274), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551246] = 2,
    ACTIONS(23276), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551254] = 2,
    ACTIONS(23278), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551262] = 2,
    ACTIONS(23280), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551270] = 2,
    ACTIONS(23282), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551278] = 2,
    ACTIONS(23284), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551286] = 2,
    ACTIONS(23286), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551294] = 2,
    ACTIONS(23288), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551302] = 2,
    ACTIONS(23290), 1,
      sym_keyword_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551310] = 2,
    ACTIONS(23292), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551318] = 2,
    ACTIONS(15027), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551326] = 2,
    ACTIONS(23294), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551334] = 2,
    ACTIONS(23296), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551342] = 2,
    ACTIONS(23298), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551350] = 2,
    ACTIONS(23300), 1,
      sym_keyword_time,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551358] = 2,
    ACTIONS(19724), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551366] = 2,
    ACTIONS(15871), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551374] = 2,
    ACTIONS(14960), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551382] = 2,
    ACTIONS(23302), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551390] = 2,
    ACTIONS(23304), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551398] = 2,
    ACTIONS(17419), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551406] = 2,
    ACTIONS(23306), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551414] = 2,
    ACTIONS(23308), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551422] = 2,
    ACTIONS(23310), 1,
      sym_keyword_metadata,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551430] = 2,
    ACTIONS(23312), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551438] = 2,
    ACTIONS(23314), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551446] = 2,
    ACTIONS(23316), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551454] = 2,
    ACTIONS(23318), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551462] = 2,
    ACTIONS(23320), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551470] = 2,
    ACTIONS(18063), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551478] = 2,
    ACTIONS(23322), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551486] = 2,
    ACTIONS(23324), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551494] = 2,
    ACTIONS(23326), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551502] = 2,
    ACTIONS(23328), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551510] = 2,
    ACTIONS(23330), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551518] = 2,
    ACTIONS(23332), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551526] = 2,
    ACTIONS(19708), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551534] = 2,
    ACTIONS(23334), 1,
      sym_keyword_set,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551542] = 2,
    ACTIONS(23336), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551550] = 2,
    ACTIONS(23338), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551558] = 2,
    ACTIONS(23340), 1,
      sym_keyword_statistics,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551566] = 2,
    ACTIONS(23342), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551574] = 2,
    ACTIONS(23344), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551582] = 2,
    ACTIONS(23346), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551590] = 2,
    ACTIONS(23348), 1,
      sym_keyword_is,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551598] = 2,
    ACTIONS(18057), 1,
      sym_keyword_is,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551606] = 2,
    ACTIONS(23350), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551614] = 2,
    ACTIONS(23352), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551622] = 2,
    ACTIONS(23354), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551630] = 2,
    ACTIONS(23356), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551638] = 2,
    ACTIONS(23358), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551646] = 2,
    ACTIONS(23360), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551654] = 2,
    ACTIONS(23362), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551662] = 2,
    ACTIONS(23364), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551670] = 2,
    ACTIONS(23366), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551678] = 2,
    ACTIONS(23368), 1,
      sym_keyword_attribute,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551686] = 2,
    ACTIONS(23370), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551694] = 2,
    ACTIONS(23372), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551702] = 2,
    ACTIONS(23374), 1,
      sym_keyword_cycle,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551710] = 2,
    ACTIONS(15131), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551718] = 2,
    ACTIONS(19097), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551726] = 2,
    ACTIONS(23376), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551734] = 2,
    ACTIONS(23378), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551742] = 2,
    ACTIONS(23380), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551750] = 2,
    ACTIONS(23382), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551758] = 2,
    ACTIONS(18037), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551766] = 2,
    ACTIONS(23384), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551774] = 2,
    ACTIONS(23386), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551782] = 2,
    ACTIONS(23388), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551790] = 2,
    ACTIONS(23390), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551798] = 2,
    ACTIONS(23392), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551806] = 2,
    ACTIONS(23394), 1,
      sym_keyword_materialized,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551814] = 2,
    ACTIONS(23396), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551822] = 2,
    ACTIONS(23398), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551830] = 2,
    ACTIONS(23400), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551838] = 2,
    ACTIONS(23402), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551846] = 2,
    ACTIONS(23404), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551854] = 2,
    ACTIONS(23406), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551862] = 2,
    ACTIONS(23408), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551870] = 2,
    ACTIONS(23410), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551878] = 2,
    ACTIONS(23412), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551886] = 2,
    ACTIONS(23414), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551894] = 2,
    ACTIONS(23416), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551902] = 2,
    ACTIONS(23418), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551910] = 2,
    ACTIONS(23420), 1,
      sym_keyword_schema,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551918] = 2,
    ACTIONS(18053), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551926] = 2,
    ACTIONS(23422), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551934] = 2,
    ACTIONS(23424), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551942] = 2,
    ACTIONS(23426), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551950] = 2,
    ACTIONS(23428), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551958] = 2,
    ACTIONS(23430), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551966] = 2,
    ACTIONS(23432), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551974] = 2,
    ACTIONS(23434), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551982] = 2,
    ACTIONS(23436), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551990] = 2,
    ACTIONS(23438), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [551998] = 2,
    ACTIONS(23440), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552006] = 2,
    ACTIONS(23442), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552014] = 2,
    ACTIONS(23444), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552022] = 2,
    ACTIONS(23446), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552030] = 2,
    ACTIONS(23448), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552038] = 2,
    ACTIONS(23450), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552046] = 2,
    ACTIONS(23452), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552054] = 2,
    ACTIONS(23454), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552062] = 2,
    ACTIONS(23456), 1,
      sym_keyword_oids,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552070] = 2,
    ACTIONS(23458), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552078] = 2,
    ACTIONS(23460), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552086] = 2,
    ACTIONS(23462), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552094] = 2,
    ACTIONS(23464), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552102] = 2,
    ACTIONS(23466), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552110] = 2,
    ACTIONS(23468), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552118] = 2,
    ACTIONS(23470), 1,
      sym_keyword_compute,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552126] = 2,
    ACTIONS(23472), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552134] = 2,
    ACTIONS(23474), 1,
      sym_keyword_statistics,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552142] = 2,
    ACTIONS(23476), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552150] = 2,
    ACTIONS(23478), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552158] = 2,
    ACTIONS(23480), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552166] = 2,
    ACTIONS(23482), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552174] = 2,
    ACTIONS(23484), 1,
      sym_keyword_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552182] = 2,
    ACTIONS(23486), 1,
      sym_keyword_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552190] = 2,
    ACTIONS(23488), 1,
      sym_keyword_until,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552198] = 2,
    ACTIONS(23490), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552206] = 2,
    ACTIONS(23492), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552214] = 2,
    ACTIONS(23494), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552222] = 2,
    ACTIONS(23496), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552230] = 2,
    ACTIONS(23498), 1,
      sym_keyword_attribute,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552238] = 2,
    ACTIONS(23500), 1,
      sym_keyword_attribute,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552246] = 2,
    ACTIONS(23502), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552254] = 2,
    ACTIONS(23504), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552262] = 2,
    ACTIONS(23506), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552270] = 2,
    ACTIONS(23508), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552278] = 2,
    ACTIONS(23510), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552286] = 2,
    ACTIONS(23512), 1,
      sym_keyword_password,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552294] = 2,
    ACTIONS(23514), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552302] = 2,
    ACTIONS(23516), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552310] = 2,
    ACTIONS(23518), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552318] = 2,
    ACTIONS(23520), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552326] = 2,
    ACTIONS(23522), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552334] = 2,
    ACTIONS(23524), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552342] = 2,
    ACTIONS(23526), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552350] = 2,
    ACTIONS(23528), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552358] = 2,
    ACTIONS(23530), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552366] = 2,
    ACTIONS(23532), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552374] = 2,
    ACTIONS(23534), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552382] = 2,
    ACTIONS(23536), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552390] = 2,
    ACTIONS(23538), 1,
      sym_keyword_cycle,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552398] = 2,
    ACTIONS(23540), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552406] = 2,
    ACTIONS(23542), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552414] = 2,
    ACTIONS(23544), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552422] = 2,
    ACTIONS(23546), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552430] = 2,
    ACTIONS(23548), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552438] = 2,
    ACTIONS(16211), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552446] = 2,
    ACTIONS(23550), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552454] = 2,
    ACTIONS(23552), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552462] = 2,
    ACTIONS(23554), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552470] = 2,
    ACTIONS(23556), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552478] = 2,
    ACTIONS(23558), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552486] = 2,
    ACTIONS(23560), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552494] = 2,
    ACTIONS(23562), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552502] = 2,
    ACTIONS(15272), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552510] = 2,
    ACTIONS(23564), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552518] = 2,
    ACTIONS(23566), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552526] = 2,
    ACTIONS(23568), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552534] = 2,
    ACTIONS(23570), 1,
      sym_keyword_schema,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552542] = 2,
    ACTIONS(23572), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552550] = 2,
    ACTIONS(23574), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552558] = 2,
    ACTIONS(16235), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552566] = 2,
    ACTIONS(23576), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552574] = 2,
    ACTIONS(23578), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552582] = 2,
    ACTIONS(17991), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552590] = 2,
    ACTIONS(23580), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552598] = 2,
    ACTIONS(23582), 1,
      sym_keyword_database,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552606] = 2,
    ACTIONS(23584), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552614] = 2,
    ACTIONS(23586), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552622] = 2,
    ACTIONS(23588), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552630] = 2,
    ACTIONS(23590), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552638] = 2,
    ACTIONS(23592), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552646] = 2,
    ACTIONS(23594), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552654] = 2,
    ACTIONS(16155), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552662] = 2,
    ACTIONS(23596), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552670] = 2,
    ACTIONS(23598), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552678] = 2,
    ACTIONS(23600), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552686] = 2,
    ACTIONS(23602), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552694] = 2,
    ACTIONS(16227), 1,
      sym_keyword_trigger,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552702] = 2,
    ACTIONS(23604), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552710] = 2,
    ACTIONS(23606), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552718] = 2,
    ACTIONS(23608), 1,
      sym_keyword_returns,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552726] = 2,
    ACTIONS(17939), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552734] = 2,
    ACTIONS(23610), 1,
      sym_keyword_is,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552742] = 2,
    ACTIONS(23612), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552750] = 2,
    ACTIONS(23614), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552758] = 2,
    ACTIONS(23616), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552766] = 2,
    ACTIONS(23618), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552774] = 2,
    ACTIONS(23620), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552782] = 2,
    ACTIONS(23622), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552790] = 2,
    ACTIONS(23624), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552798] = 2,
    ACTIONS(23626), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552806] = 2,
    ACTIONS(15045), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552814] = 2,
    ACTIONS(23628), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552822] = 2,
    ACTIONS(15266), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552830] = 2,
    ACTIONS(23630), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552838] = 2,
    ACTIONS(23632), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552846] = 2,
    ACTIONS(23634), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552854] = 2,
    ACTIONS(23636), 1,
      sym_keyword_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552862] = 2,
    ACTIONS(23638), 1,
      sym_keyword_oids,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552870] = 2,
    ACTIONS(23640), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552878] = 2,
    ACTIONS(23642), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552886] = 2,
    ACTIONS(23644), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552894] = 2,
    ACTIONS(23646), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552902] = 2,
    ACTIONS(23648), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552910] = 2,
    ACTIONS(23650), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552918] = 2,
    ACTIONS(23652), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552926] = 2,
    ACTIONS(23654), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552934] = 2,
    ACTIONS(23656), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552942] = 2,
    ACTIONS(23658), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552950] = 2,
    ACTIONS(23660), 1,
      sym_keyword_authorization,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552958] = 2,
    ACTIONS(23662), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552966] = 2,
    ACTIONS(23664), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552974] = 2,
    ACTIONS(23666), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552982] = 2,
    ACTIONS(23668), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552990] = 2,
    ACTIONS(23670), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [552998] = 2,
    ACTIONS(23672), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553006] = 2,
    ACTIONS(23674), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553014] = 2,
    ACTIONS(23676), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553022] = 2,
    ACTIONS(23678), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553030] = 2,
    ACTIONS(23680), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553038] = 2,
    ACTIONS(23682), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553046] = 2,
    ACTIONS(23684), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553054] = 2,
    ACTIONS(23686), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553062] = 2,
    ACTIONS(23688), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553070] = 2,
    ACTIONS(23690), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553078] = 2,
    ACTIONS(23692), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553086] = 2,
    ACTIONS(23694), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553094] = 2,
    ACTIONS(23696), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553102] = 2,
    ACTIONS(23698), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553110] = 2,
    ACTIONS(16576), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553118] = 2,
    ACTIONS(23700), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553126] = 2,
    ACTIONS(23702), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553134] = 2,
    ACTIONS(23704), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553142] = 2,
    ACTIONS(23706), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553150] = 2,
    ACTIONS(23708), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553158] = 2,
    ACTIONS(23710), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553166] = 2,
    ACTIONS(23712), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553174] = 2,
    ACTIONS(23714), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553182] = 2,
    ACTIONS(23716), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553190] = 2,
    ACTIONS(23718), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553198] = 2,
    ACTIONS(23720), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553206] = 2,
    ACTIONS(23722), 1,
      sym__identifier,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553214] = 2,
    ACTIONS(23724), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553222] = 2,
    ACTIONS(23726), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553230] = 2,
    ACTIONS(23728), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553238] = 2,
    ACTIONS(23730), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553246] = 2,
    ACTIONS(23732), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553254] = 2,
    ACTIONS(23734), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553262] = 2,
    ACTIONS(23736), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553270] = 2,
    ACTIONS(23738), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553278] = 2,
    ACTIONS(23740), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553286] = 2,
    ACTIONS(23742), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553294] = 2,
    ACTIONS(23744), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553302] = 2,
    ACTIONS(23746), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553310] = 2,
    ACTIONS(23748), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553318] = 2,
    ACTIONS(23750), 1,
      sym_keyword_until,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553326] = 2,
    ACTIONS(23752), 1,
      sym_keyword_format,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553334] = 2,
    ACTIONS(23754), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553342] = 2,
    ACTIONS(23756), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553350] = 2,
    ACTIONS(23758), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553358] = 2,
    ACTIONS(23760), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553366] = 2,
    ACTIONS(23762), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553374] = 2,
    ACTIONS(23764), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553382] = 2,
    ACTIONS(23766), 1,
      sym_keyword_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553390] = 2,
    ACTIONS(23768), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553398] = 2,
    ACTIONS(23770), 1,
      sym_keyword_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553406] = 2,
    ACTIONS(23772), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553414] = 2,
    ACTIONS(23774), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553422] = 2,
    ACTIONS(23776), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553430] = 2,
    ACTIONS(23778), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553438] = 2,
    ACTIONS(23780), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553446] = 2,
    ACTIONS(23782), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553454] = 2,
    ACTIONS(23784), 1,
      sym_keyword_until,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553462] = 2,
    ACTIONS(23786), 1,
      sym_keyword_password,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553470] = 2,
    ACTIONS(23788), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553478] = 2,
    ACTIONS(23790), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553486] = 2,
    ACTIONS(23792), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553494] = 2,
    ACTIONS(23794), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553502] = 2,
    ACTIONS(23796), 1,
      sym_keyword_compute,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553510] = 2,
    ACTIONS(23798), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553518] = 2,
    ACTIONS(23800), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553526] = 2,
    ACTIONS(16155), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553534] = 2,
    ACTIONS(23802), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553542] = 2,
    ACTIONS(23804), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553550] = 2,
    ACTIONS(23806), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553558] = 2,
    ACTIONS(23808), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553566] = 2,
    ACTIONS(23810), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553574] = 2,
    ACTIONS(23598), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553582] = 2,
    ACTIONS(23812), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553590] = 2,
    ACTIONS(23814), 1,
      sym_keyword_transaction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553598] = 2,
    ACTIONS(23816), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553606] = 2,
    ACTIONS(23818), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553614] = 2,
    ACTIONS(23820), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553622] = 2,
    ACTIONS(23822), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553630] = 2,
    ACTIONS(23824), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553638] = 2,
    ACTIONS(23826), 1,
      sym_keyword_stats,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553646] = 2,
    ACTIONS(23828), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553654] = 2,
    ACTIONS(23830), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553662] = 2,
    ACTIONS(23832), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553670] = 2,
    ACTIONS(23834), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553678] = 2,
    ACTIONS(23836), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553686] = 2,
    ACTIONS(23838), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553694] = 2,
    ACTIONS(23840), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553702] = 2,
    ACTIONS(23842), 1,
      sym_keyword_authorization,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553710] = 2,
    ACTIONS(23844), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553718] = 2,
    ACTIONS(15416), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553726] = 2,
    ACTIONS(23846), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553734] = 2,
    ACTIONS(23848), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553742] = 2,
    ACTIONS(23850), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553750] = 2,
    ACTIONS(23852), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553758] = 2,
    ACTIONS(23854), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553766] = 2,
    ACTIONS(23856), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553774] = 2,
    ACTIONS(23858), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553782] = 2,
    ACTIONS(19628), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553790] = 2,
    ACTIONS(23860), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553798] = 2,
    ACTIONS(23862), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553806] = 2,
    ACTIONS(23864), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553814] = 2,
    ACTIONS(23866), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553822] = 2,
    ACTIONS(23868), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553830] = 2,
    ACTIONS(15454), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553838] = 2,
    ACTIONS(23870), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553846] = 2,
    ACTIONS(16452), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553854] = 2,
    ACTIONS(23872), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553862] = 2,
    ACTIONS(23874), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553870] = 2,
    ACTIONS(23876), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553878] = 2,
    ACTIONS(23878), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553886] = 2,
    ACTIONS(23880), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553894] = 2,
    ACTIONS(23882), 1,
      sym_keyword_terminated,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553902] = 2,
    ACTIONS(23884), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553910] = 2,
    ACTIONS(23886), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553918] = 2,
    ACTIONS(23888), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553926] = 2,
    ACTIONS(23890), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553934] = 2,
    ACTIONS(23892), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553942] = 2,
    ACTIONS(23894), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553950] = 2,
    ACTIONS(23896), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553958] = 2,
    ACTIONS(23898), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553966] = 2,
    ACTIONS(23900), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553974] = 2,
    ACTIONS(23902), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553982] = 2,
    ACTIONS(23904), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553990] = 2,
    ACTIONS(23906), 1,
      sym_keyword_format,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [553998] = 2,
    ACTIONS(23908), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554006] = 2,
    ACTIONS(23910), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554014] = 2,
    ACTIONS(23912), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554022] = 2,
    ACTIONS(23914), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554030] = 2,
    ACTIONS(23916), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554038] = 2,
    ACTIONS(23918), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554046] = 2,
    ACTIONS(23920), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554054] = 2,
    ACTIONS(23922), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554062] = 2,
    ACTIONS(23924), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554070] = 2,
    ACTIONS(23926), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554078] = 2,
    ACTIONS(23928), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554086] = 2,
    ACTIONS(23930), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554094] = 2,
    ACTIONS(23932), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554102] = 2,
    ACTIONS(23934), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554110] = 2,
    ACTIONS(23936), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554118] = 2,
    ACTIONS(23938), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554126] = 2,
    ACTIONS(23940), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554134] = 2,
    ACTIONS(23942), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554142] = 2,
    ACTIONS(23944), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554150] = 2,
    ACTIONS(23946), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554158] = 2,
    ACTIONS(23948), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554166] = 2,
    ACTIONS(23950), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554174] = 2,
    ACTIONS(23952), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554182] = 2,
    ACTIONS(23954), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554190] = 2,
    ACTIONS(23956), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554198] = 2,
    ACTIONS(23958), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554206] = 2,
    ACTIONS(23960), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554214] = 2,
    ACTIONS(23962), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554222] = 2,
    ACTIONS(23964), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554230] = 2,
    ACTIONS(23966), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554238] = 2,
    ACTIONS(23968), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554246] = 2,
    ACTIONS(23970), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554254] = 2,
    ACTIONS(1745), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554262] = 2,
    ACTIONS(23972), 1,
      sym_keyword_limit,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554270] = 2,
    ACTIONS(23974), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554278] = 2,
    ACTIONS(23976), 1,
      sym_keyword_index,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554286] = 2,
    ACTIONS(23978), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554294] = 2,
    ACTIONS(23980), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554302] = 2,
    ACTIONS(23982), 1,
      sym_keyword_password,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554310] = 2,
    ACTIONS(23984), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554318] = 2,
    ACTIONS(23986), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554326] = 2,
    ACTIONS(23988), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554334] = 2,
    ACTIONS(23990), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554342] = 2,
    ACTIONS(23992), 1,
      sym_keyword_index,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554350] = 2,
    ACTIONS(13958), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554358] = 2,
    ACTIONS(23994), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554366] = 2,
    ACTIONS(23996), 1,
      sym_keyword_rewrite,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554374] = 2,
    ACTIONS(23998), 1,
      sym_keyword_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554382] = 2,
    ACTIONS(24000), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554390] = 2,
    ACTIONS(24002), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554398] = 2,
    ACTIONS(24004), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554406] = 2,
    ACTIONS(24006), 1,
      sym_keyword_transaction,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554414] = 2,
    ACTIONS(15049), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554422] = 2,
    ACTIONS(24008), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554430] = 2,
    ACTIONS(24010), 1,
      aux_sym__integer_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554438] = 2,
    ACTIONS(24012), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554446] = 2,
    ACTIONS(16446), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554454] = 2,
    ACTIONS(24014), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554462] = 2,
    ACTIONS(24016), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554470] = 2,
    ACTIONS(24018), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554478] = 2,
    ACTIONS(15448), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554486] = 2,
    ACTIONS(24020), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554494] = 2,
    ACTIONS(24022), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554502] = 2,
    ACTIONS(24024), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554510] = 2,
    ACTIONS(24026), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554518] = 2,
    ACTIONS(17851), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554526] = 2,
    ACTIONS(24028), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554534] = 2,
    ACTIONS(24030), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554542] = 2,
    ACTIONS(24032), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554550] = 2,
    ACTIONS(16065), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554558] = 2,
    ACTIONS(24034), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554566] = 2,
    ACTIONS(14452), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554574] = 2,
    ACTIONS(24036), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554582] = 2,
    ACTIONS(16542), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554590] = 2,
    ACTIONS(24038), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554598] = 2,
    ACTIONS(24040), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554606] = 2,
    ACTIONS(14634), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554614] = 2,
    ACTIONS(19582), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554622] = 2,
    ACTIONS(24042), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554630] = 2,
    ACTIONS(24044), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554638] = 2,
    ACTIONS(24046), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554646] = 2,
    ACTIONS(24048), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554654] = 2,
    ACTIONS(16105), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554662] = 2,
    ACTIONS(24050), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554670] = 2,
    ACTIONS(24052), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554678] = 2,
    ACTIONS(24054), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554686] = 2,
    ACTIONS(24056), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554694] = 2,
    ACTIONS(14800), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554702] = 2,
    ACTIONS(24058), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554710] = 2,
    ACTIONS(24060), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554718] = 2,
    ACTIONS(24062), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554726] = 2,
    ACTIONS(24064), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554734] = 2,
    ACTIONS(24066), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554742] = 2,
    ACTIONS(24068), 1,
      sym_keyword_is,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554750] = 2,
    ACTIONS(24070), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554758] = 2,
    ACTIONS(24072), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554766] = 2,
    ACTIONS(19542), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554774] = 2,
    ACTIONS(24074), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554782] = 2,
    ACTIONS(24076), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554790] = 2,
    ACTIONS(24078), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554798] = 2,
    ACTIONS(24080), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554806] = 2,
    ACTIONS(24082), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554814] = 2,
    ACTIONS(24084), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554822] = 2,
    ACTIONS(24086), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554830] = 2,
    ACTIONS(24088), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554838] = 2,
    ACTIONS(24090), 1,
      sym_keyword_key,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554846] = 2,
    ACTIONS(24092), 1,
      sym_keyword_do,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554854] = 2,
    ACTIONS(24094), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554862] = 2,
    ACTIONS(24096), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554870] = 2,
    ACTIONS(19538), 1,
      sym_keyword_read,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554878] = 2,
    ACTIONS(24098), 1,
      sym_keyword_not,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554886] = 2,
    ACTIONS(24100), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554894] = 2,
    ACTIONS(19534), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554902] = 2,
    ACTIONS(24102), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554910] = 2,
    ACTIONS(24104), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554918] = 2,
    ACTIONS(24106), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554926] = 2,
    ACTIONS(24108), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554934] = 2,
    ACTIONS(24110), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554942] = 2,
    ACTIONS(24112), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554950] = 2,
    ACTIONS(24114), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554958] = 2,
    ACTIONS(24116), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554966] = 2,
    ACTIONS(24118), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554974] = 2,
    ACTIONS(24120), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554982] = 2,
    ACTIONS(19532), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554990] = 2,
    ACTIONS(24122), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [554998] = 2,
    ACTIONS(24124), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555006] = 2,
    ACTIONS(24126), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555014] = 2,
    ACTIONS(24128), 1,
      sym_keyword_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555022] = 2,
    ACTIONS(24130), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555030] = 2,
    ACTIONS(24132), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555038] = 2,
    ACTIONS(24134), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555046] = 2,
    ACTIONS(24136), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555054] = 2,
    ACTIONS(24138), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555062] = 2,
    ACTIONS(24140), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555070] = 2,
    ACTIONS(24142), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555078] = 2,
    ACTIONS(19510), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555086] = 2,
    ACTIONS(24144), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555094] = 2,
    ACTIONS(24146), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555102] = 2,
    ACTIONS(24148), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555110] = 2,
    ACTIONS(24150), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555118] = 2,
    ACTIONS(24152), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555126] = 2,
    ACTIONS(24154), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555134] = 2,
    ACTIONS(24156), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555142] = 2,
    ACTIONS(24158), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555150] = 2,
    ACTIONS(24160), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555158] = 2,
    ACTIONS(24162), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555166] = 2,
    ACTIONS(24164), 1,
      sym_keyword_distinct,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555174] = 2,
    ACTIONS(24166), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555182] = 2,
    ACTIONS(24168), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555190] = 2,
    ACTIONS(24170), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555198] = 2,
    ACTIONS(24172), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555206] = 2,
    ACTIONS(24174), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555214] = 2,
    ACTIONS(24176), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555222] = 2,
    ACTIONS(24178), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555230] = 2,
    ACTIONS(24180), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555238] = 2,
    ACTIONS(16163), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555246] = 2,
    ACTIONS(24182), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555254] = 2,
    ACTIONS(15258), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555262] = 2,
    ACTIONS(19496), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555270] = 2,
    ACTIONS(24184), 1,
      sym_keyword_null,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555278] = 2,
    ACTIONS(24186), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555286] = 2,
    ACTIONS(24188), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555294] = 2,
    ACTIONS(24190), 1,
      sym_keyword_check,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555302] = 2,
    ACTIONS(24192), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555310] = 2,
    ACTIONS(24194), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555318] = 2,
    ACTIONS(24196), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555326] = 2,
    ACTIONS(24198), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555334] = 2,
    ACTIONS(24200), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555342] = 2,
    ACTIONS(24202), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555350] = 2,
    ACTIONS(24204), 1,
      sym_keyword_statistics,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555358] = 2,
    ACTIONS(24206), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555366] = 2,
    ACTIONS(24208), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555374] = 2,
    ACTIONS(24210), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555382] = 2,
    ACTIONS(15037), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555390] = 2,
    ACTIONS(24212), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555398] = 2,
    ACTIONS(15252), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555406] = 2,
    ACTIONS(24214), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555414] = 2,
    ACTIONS(24216), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555422] = 2,
    ACTIONS(24218), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555430] = 2,
    ACTIONS(24220), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555438] = 2,
    ACTIONS(24222), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555446] = 2,
    ACTIONS(24224), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555454] = 2,
    ACTIONS(24226), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555462] = 2,
    ACTIONS(24228), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555470] = 2,
    ACTIONS(24230), 1,
      sym_keyword_type,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555478] = 2,
    ACTIONS(24232), 1,
      sym_keyword_action,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555486] = 2,
    ACTIONS(24234), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555494] = 2,
    ACTIONS(24236), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555502] = 2,
    ACTIONS(24238), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555510] = 2,
    ACTIONS(24240), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555518] = 2,
    ACTIONS(24242), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555526] = 2,
    ACTIONS(24244), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555534] = 2,
    ACTIONS(24246), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555542] = 2,
    ACTIONS(24248), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555550] = 2,
    ACTIONS(24250), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555558] = 2,
    ACTIONS(24252), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555566] = 2,
    ACTIONS(24254), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555574] = 2,
    ACTIONS(24256), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555582] = 2,
    ACTIONS(24258), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555590] = 2,
    ACTIONS(24260), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555598] = 2,
    ACTIONS(24262), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555606] = 2,
    ACTIONS(24264), 1,
      sym_keyword_metadata,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555614] = 2,
    ACTIONS(24266), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555622] = 2,
    ACTIONS(24268), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555630] = 2,
    ACTIONS(24270), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555638] = 2,
    ACTIONS(24272), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555646] = 2,
    ACTIONS(24274), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555654] = 2,
    ACTIONS(24276), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555662] = 2,
    ACTIONS(24278), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555670] = 2,
    ACTIONS(24280), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555678] = 2,
    ACTIONS(24282), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555686] = 2,
    ACTIONS(24284), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555694] = 2,
    ACTIONS(24286), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555702] = 2,
    ACTIONS(24288), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555710] = 2,
    ACTIONS(24290), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555718] = 2,
    ACTIONS(24292), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555726] = 2,
    ACTIONS(24294), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555734] = 2,
    ACTIONS(24296), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555742] = 2,
    ACTIONS(24298), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555750] = 2,
    ACTIONS(24300), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555758] = 2,
    ACTIONS(24302), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555766] = 2,
    ACTIONS(24304), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555774] = 2,
    ACTIONS(24306), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555782] = 2,
    ACTIONS(24308), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555790] = 2,
    ACTIONS(24310), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555798] = 2,
    ACTIONS(24312), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555806] = 2,
    ACTIONS(24314), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555814] = 2,
    ACTIONS(15242), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555822] = 2,
    ACTIONS(24316), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555830] = 2,
    ACTIONS(15135), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555838] = 2,
    ACTIONS(19418), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555846] = 2,
    ACTIONS(24318), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555854] = 2,
    ACTIONS(24320), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555862] = 2,
    ACTIONS(19414), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555870] = 2,
    ACTIONS(24322), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555878] = 2,
    ACTIONS(24324), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555886] = 2,
    ACTIONS(24326), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555894] = 2,
    ACTIONS(24328), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555902] = 2,
    ACTIONS(24330), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555910] = 2,
    ACTIONS(24332), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555918] = 2,
    ACTIONS(24334), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555926] = 2,
    ACTIONS(24336), 1,
      sym_keyword_exists,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555934] = 2,
    ACTIONS(24338), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555942] = 2,
    ACTIONS(24340), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555950] = 2,
    ACTIONS(24342), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555958] = 2,
    ACTIONS(24344), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555966] = 2,
    ACTIONS(24346), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555974] = 2,
    ACTIONS(24348), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555982] = 2,
    ACTIONS(19406), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555990] = 2,
    ACTIONS(24350), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [555998] = 2,
    ACTIONS(24352), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556006] = 2,
    ACTIONS(19402), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556014] = 2,
    ACTIONS(24354), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556022] = 2,
    ACTIONS(24356), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556030] = 2,
    ACTIONS(24358), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556038] = 2,
    ACTIONS(24360), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556046] = 2,
    ACTIONS(24362), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556054] = 2,
    ACTIONS(24364), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556062] = 2,
    ACTIONS(24366), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556070] = 2,
    ACTIONS(24368), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556078] = 2,
    ACTIONS(24370), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556086] = 2,
    ACTIONS(24372), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556094] = 2,
    ACTIONS(15234), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556102] = 2,
    ACTIONS(17770), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556110] = 2,
    ACTIONS(19398), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556118] = 2,
    ACTIONS(24374), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556126] = 2,
    ACTIONS(24376), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556134] = 2,
    ACTIONS(19394), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556142] = 2,
    ACTIONS(24378), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556150] = 2,
    ACTIONS(24380), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556158] = 2,
    ACTIONS(24382), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556166] = 2,
    ACTIONS(24384), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556174] = 2,
    ACTIONS(24386), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556182] = 2,
    ACTIONS(24388), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556190] = 2,
    ACTIONS(24390), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556198] = 2,
    ACTIONS(24392), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556206] = 2,
    ACTIONS(24394), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556214] = 2,
    ACTIONS(24396), 1,
      sym_keyword_materialized,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556222] = 2,
    ACTIONS(24398), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556230] = 2,
    ACTIONS(24400), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556238] = 2,
    ACTIONS(19390), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556246] = 2,
    ACTIONS(24402), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556254] = 2,
    ACTIONS(24404), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556262] = 2,
    ACTIONS(19386), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556270] = 2,
    ACTIONS(24406), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556278] = 2,
    ACTIONS(24408), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556286] = 2,
    ACTIONS(24410), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556294] = 2,
    ACTIONS(24412), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556302] = 2,
    ACTIONS(24414), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556310] = 2,
    ACTIONS(24416), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556318] = 2,
    ACTIONS(24418), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556326] = 2,
    ACTIONS(24420), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556334] = 2,
    ACTIONS(24422), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556342] = 2,
    ACTIONS(24424), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556350] = 2,
    ACTIONS(24426), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556358] = 2,
    ACTIONS(24428), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556366] = 2,
    ACTIONS(19382), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556374] = 2,
    ACTIONS(24430), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556382] = 2,
    ACTIONS(24432), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556390] = 2,
    ACTIONS(24434), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556398] = 2,
    ACTIONS(24436), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556406] = 2,
    ACTIONS(24438), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556414] = 2,
    ACTIONS(24440), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556422] = 2,
    ACTIONS(24442), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556430] = 2,
    ACTIONS(24444), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556438] = 2,
    ACTIONS(24446), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556446] = 2,
    ACTIONS(24448), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556454] = 2,
    ACTIONS(24450), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556462] = 2,
    ACTIONS(24452), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556470] = 2,
    ACTIONS(19378), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556478] = 2,
    ACTIONS(24454), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556486] = 2,
    ACTIONS(24456), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556494] = 2,
    ACTIONS(24458), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556502] = 2,
    ACTIONS(24460), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556510] = 2,
    ACTIONS(24462), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556518] = 2,
    ACTIONS(24464), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556526] = 2,
    ACTIONS(24466), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556534] = 2,
    ACTIONS(24468), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556542] = 2,
    ACTIONS(24470), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556550] = 2,
    ACTIONS(24472), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556558] = 2,
    ACTIONS(24474), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556566] = 2,
    ACTIONS(24476), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556574] = 2,
    ACTIONS(24478), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556582] = 2,
    ACTIONS(24480), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556590] = 2,
    ACTIONS(24482), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556598] = 2,
    ACTIONS(17291), 1,
      sym_keyword_trigger,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556606] = 2,
    ACTIONS(24484), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556614] = 2,
    ACTIONS(24486), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556622] = 2,
    ACTIONS(24488), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556630] = 2,
    ACTIONS(24490), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556638] = 2,
    ACTIONS(24492), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556646] = 2,
    ACTIONS(24494), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556654] = 2,
    ACTIONS(24496), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556662] = 2,
    ACTIONS(24498), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556670] = 2,
    ACTIONS(24500), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556678] = 2,
    ACTIONS(24502), 1,
      sym_keyword_not,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556686] = 2,
    ACTIONS(24504), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556694] = 2,
    ACTIONS(24506), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556702] = 2,
    ACTIONS(24508), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556710] = 2,
    ACTIONS(24510), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556718] = 2,
    ACTIONS(24512), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556726] = 2,
    ACTIONS(24514), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556734] = 2,
    ACTIONS(24516), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556742] = 2,
    ACTIONS(24518), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556750] = 2,
    ACTIONS(24520), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556758] = 2,
    ACTIONS(24522), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556766] = 2,
    ACTIONS(24524), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556774] = 2,
    ACTIONS(24526), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556782] = 2,
    ACTIONS(24528), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556790] = 2,
    ACTIONS(24530), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556798] = 2,
    ACTIONS(24532), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556806] = 2,
    ACTIONS(24534), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556814] = 2,
    ACTIONS(24536), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556822] = 2,
    ACTIONS(24538), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556830] = 2,
    ACTIONS(24540), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556838] = 2,
    ACTIONS(24542), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556846] = 2,
    ACTIONS(24544), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556854] = 2,
    ACTIONS(24546), 1,
      sym_keyword_authorization,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556862] = 2,
    ACTIONS(24548), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556870] = 2,
    ACTIONS(24550), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556878] = 2,
    ACTIONS(24552), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556886] = 2,
    ACTIONS(24554), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556894] = 2,
    ACTIONS(24556), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556902] = 2,
    ACTIONS(24558), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556910] = 2,
    ACTIONS(24560), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556918] = 2,
    ACTIONS(24562), 1,
      sym_keyword_level,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556926] = 2,
    ACTIONS(24564), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556934] = 2,
    ACTIONS(24566), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556942] = 2,
    ACTIONS(24568), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556950] = 2,
    ACTIONS(24570), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556958] = 2,
    ACTIONS(24572), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556966] = 2,
    ACTIONS(24574), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556974] = 2,
    ACTIONS(24576), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556982] = 2,
    ACTIONS(24578), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556990] = 2,
    ACTIONS(24580), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [556998] = 2,
    ACTIONS(24582), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557006] = 2,
    ACTIONS(24584), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557014] = 2,
    ACTIONS(24586), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557022] = 2,
    ACTIONS(24588), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557030] = 2,
    ACTIONS(24590), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557038] = 2,
    ACTIONS(24592), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557046] = 2,
    ACTIONS(24594), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557054] = 2,
    ACTIONS(24596), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557062] = 2,
    ACTIONS(16594), 1,
      sym_keyword_join,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557070] = 2,
    ACTIONS(24598), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557078] = 2,
    ACTIONS(24600), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557086] = 2,
    ACTIONS(24602), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557094] = 2,
    ACTIONS(24604), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557102] = 2,
    ACTIONS(24606), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557110] = 2,
    ACTIONS(24608), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557118] = 2,
    ACTIONS(24610), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557126] = 2,
    ACTIONS(24612), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557134] = 2,
    ACTIONS(24614), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557142] = 2,
    ACTIONS(24616), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557150] = 2,
    ACTIONS(24618), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557158] = 2,
    ACTIONS(24620), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557166] = 2,
    ACTIONS(24622), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557174] = 2,
    ACTIONS(24624), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557182] = 2,
    ACTIONS(24626), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557190] = 2,
    ACTIONS(24628), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557198] = 2,
    ACTIONS(24630), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557206] = 2,
    ACTIONS(24632), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557214] = 2,
    ACTIONS(24634), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557222] = 2,
    ACTIONS(24636), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557230] = 2,
    ACTIONS(24638), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557238] = 2,
    ACTIONS(24640), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557246] = 2,
    ACTIONS(24642), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557254] = 2,
    ACTIONS(24644), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557262] = 2,
    ACTIONS(24646), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557270] = 2,
    ACTIONS(24648), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557278] = 2,
    ACTIONS(24650), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557286] = 2,
    ACTIONS(24652), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557294] = 2,
    ACTIONS(24654), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557302] = 2,
    ACTIONS(24656), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557310] = 2,
    ACTIONS(24658), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557318] = 2,
    ACTIONS(24660), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557326] = 2,
    ACTIONS(24662), 1,
      sym_keyword_index,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557334] = 2,
    ACTIONS(24664), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557342] = 2,
    ACTIONS(24666), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557350] = 2,
    ACTIONS(24668), 1,
      sym_keyword_rewrite,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557358] = 2,
    ACTIONS(24670), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557366] = 2,
    ACTIONS(24672), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557374] = 2,
    ACTIONS(16093), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557382] = 2,
    ACTIONS(24674), 1,
      sym_keyword_to,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557390] = 2,
    ACTIONS(24676), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557398] = 2,
    ACTIONS(24678), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557406] = 2,
    ACTIONS(24680), 1,
      sym_keyword_level,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557414] = 2,
    ACTIONS(24682), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557422] = 2,
    ACTIONS(24684), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557430] = 2,
    ACTIONS(24686), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557438] = 2,
    ACTIONS(24688), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557446] = 2,
    ACTIONS(24690), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557454] = 2,
    ACTIONS(24692), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557462] = 2,
    ACTIONS(24694), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557470] = 2,
    ACTIONS(24696), 1,
      sym_keyword_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557478] = 2,
    ACTIONS(24698), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557486] = 2,
    ACTIONS(24700), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557494] = 2,
    ACTIONS(24702), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557502] = 2,
    ACTIONS(24704), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557510] = 2,
    ACTIONS(24706), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557518] = 2,
    ACTIONS(24708), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557526] = 2,
    ACTIONS(24710), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557534] = 2,
    ACTIONS(24712), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557542] = 2,
    ACTIONS(24714), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557550] = 2,
    ACTIONS(24716), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557558] = 2,
    ACTIONS(24718), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557566] = 2,
    ACTIONS(24720), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557574] = 2,
    ACTIONS(24722), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557582] = 2,
    ACTIONS(24724), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557590] = 2,
    ACTIONS(24726), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557598] = 2,
    ACTIONS(24728), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557606] = 2,
    ACTIONS(24730), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557614] = 2,
    ACTIONS(24732), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557622] = 2,
    ACTIONS(24734), 1,
      sym__dollar_quoted_string_end_tag,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557630] = 2,
    ACTIONS(24736), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557638] = 2,
    ACTIONS(16095), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557646] = 2,
    ACTIONS(24738), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557654] = 2,
    ACTIONS(15228), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557662] = 2,
    ACTIONS(24740), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557670] = 2,
    ACTIONS(24742), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557678] = 2,
    ACTIONS(24744), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557686] = 2,
    ACTIONS(24746), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557694] = 2,
    ACTIONS(24748), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557702] = 2,
    ACTIONS(24750), 1,
      sym_keyword_input,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557710] = 2,
    ACTIONS(24752), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557718] = 2,
    ACTIONS(24754), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557726] = 2,
    ACTIONS(24756), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557734] = 2,
    ACTIONS(24758), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557742] = 2,
    ACTIONS(24760), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557750] = 2,
    ACTIONS(24762), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557758] = 2,
    ACTIONS(24764), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557766] = 2,
    ACTIONS(24766), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557774] = 2,
    ACTIONS(16105), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557782] = 2,
    ACTIONS(24768), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557790] = 2,
    ACTIONS(14954), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557798] = 2,
    ACTIONS(17706), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557806] = 2,
    ACTIONS(15222), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557814] = 2,
    ACTIONS(24052), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557822] = 2,
    ACTIONS(24770), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557830] = 2,
    ACTIONS(24772), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557838] = 2,
    ACTIONS(24774), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557846] = 2,
    ACTIONS(24776), 1,
      sym_keyword_as,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557854] = 2,
    ACTIONS(24778), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557862] = 2,
    ACTIONS(24780), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557870] = 2,
    ACTIONS(24782), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557878] = 2,
    ACTIONS(24784), 1,
      sym_keyword_data,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557886] = 2,
    ACTIONS(24786), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557894] = 2,
    ACTIONS(24788), 1,
      sym_keyword_rewrite,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557902] = 2,
    ACTIONS(24790), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557910] = 2,
    ACTIONS(24792), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557918] = 2,
    ACTIONS(24794), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557926] = 2,
    ACTIONS(24796), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557934] = 2,
    ACTIONS(24798), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557942] = 2,
    ACTIONS(24800), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557950] = 2,
    ACTIONS(24802), 1,
      sym_keyword_stats,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557958] = 2,
    ACTIONS(24804), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557966] = 2,
    ACTIONS(24806), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557974] = 2,
    ACTIONS(24808), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557982] = 2,
    ACTIONS(24810), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557990] = 2,
    ACTIONS(24812), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [557998] = 2,
    ACTIONS(24814), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558006] = 2,
    ACTIONS(24816), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558014] = 2,
    ACTIONS(24818), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558022] = 2,
    ACTIONS(24820), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558030] = 2,
    ACTIONS(24822), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558038] = 2,
    ACTIONS(24824), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558046] = 2,
    ACTIONS(24826), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558054] = 2,
    ACTIONS(24828), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558062] = 2,
    ACTIONS(24830), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558070] = 2,
    ACTIONS(24832), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558078] = 2,
    ACTIONS(24834), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558086] = 2,
    ACTIONS(24836), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558094] = 2,
    ACTIONS(24838), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558102] = 2,
    ACTIONS(24840), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558110] = 2,
    ACTIONS(24842), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558118] = 2,
    ACTIONS(24844), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558126] = 2,
    ACTIONS(24846), 1,
      sym_keyword_authorization,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558134] = 2,
    ACTIONS(24848), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558142] = 2,
    ACTIONS(24850), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558150] = 2,
    ACTIONS(24852), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558158] = 2,
    ACTIONS(24854), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558166] = 2,
    ACTIONS(24856), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558174] = 2,
    ACTIONS(24858), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558182] = 2,
    ACTIONS(24860), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558190] = 2,
    ACTIONS(24862), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558198] = 2,
    ACTIONS(24864), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558206] = 2,
    ACTIONS(24866), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558214] = 2,
    ACTIONS(24868), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558222] = 2,
    ACTIONS(24870), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558230] = 2,
    ACTIONS(24872), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558238] = 2,
    ACTIONS(24874), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558246] = 2,
    ACTIONS(24876), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558254] = 2,
    ACTIONS(24878), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558262] = 2,
    ACTIONS(24880), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558270] = 2,
    ACTIONS(24882), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558278] = 2,
    ACTIONS(24884), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558286] = 2,
    ACTIONS(17125), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558294] = 2,
    ACTIONS(24886), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558302] = 2,
    ACTIONS(24888), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558310] = 2,
    ACTIONS(24890), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558318] = 2,
    ACTIONS(24892), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558326] = 2,
    ACTIONS(24894), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558334] = 2,
    ACTIONS(13831), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558342] = 2,
    ACTIONS(24896), 1,
      sym_keyword_index,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558350] = 2,
    ACTIONS(24898), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558358] = 2,
    ACTIONS(24900), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558366] = 2,
    ACTIONS(24902), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558374] = 2,
    ACTIONS(24904), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558382] = 2,
    ACTIONS(24906), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558390] = 2,
    ACTIONS(24908), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558398] = 2,
    ACTIONS(24910), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558406] = 2,
    ACTIONS(24912), 1,
      sym_keyword_replace,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558414] = 2,
    ACTIONS(24914), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558422] = 2,
    ACTIONS(24916), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558430] = 2,
    ACTIONS(24918), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558438] = 2,
    ACTIONS(24920), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558446] = 2,
    ACTIONS(24922), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558454] = 2,
    ACTIONS(24924), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558462] = 2,
    ACTIONS(24926), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558470] = 2,
    ACTIONS(24928), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558478] = 2,
    ACTIONS(24930), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558486] = 2,
    ACTIONS(24932), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558494] = 2,
    ACTIONS(24934), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558502] = 2,
    ACTIONS(24936), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558510] = 2,
    ACTIONS(24938), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558518] = 2,
    ACTIONS(24940), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558526] = 2,
    ACTIONS(24942), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558534] = 2,
    ACTIONS(24944), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558542] = 2,
    ACTIONS(24946), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558550] = 2,
    ACTIONS(24948), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558558] = 2,
    ACTIONS(24950), 1,
      sym_keyword_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558566] = 2,
    ACTIONS(24952), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558574] = 2,
    ACTIONS(24954), 1,
      sym_keyword_index,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558582] = 2,
    ACTIONS(24956), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558590] = 2,
    ACTIONS(24958), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558598] = 2,
    ACTIONS(24960), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558606] = 2,
    ACTIONS(24962), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558614] = 2,
    ACTIONS(24964), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558622] = 2,
    ACTIONS(16516), 1,
      aux_sym__single_quote_string_token1,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558630] = 2,
    ACTIONS(24966), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558638] = 2,
    ACTIONS(24968), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558646] = 2,
    ACTIONS(24970), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558654] = 2,
    ACTIONS(24972), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558662] = 2,
    ACTIONS(24974), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558670] = 2,
    ACTIONS(14032), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558678] = 2,
    ACTIONS(17199), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558686] = 2,
    ACTIONS(24976), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558694] = 2,
    ACTIONS(24978), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558702] = 2,
    ACTIONS(24980), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558710] = 2,
    ACTIONS(24982), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558718] = 2,
    ACTIONS(24984), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558726] = 2,
    ACTIONS(24986), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558734] = 2,
    ACTIONS(17642), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558742] = 2,
    ACTIONS(24988), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558750] = 2,
    ACTIONS(24990), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558758] = 2,
    ACTIONS(24992), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558766] = 2,
    ACTIONS(24994), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558774] = 2,
    ACTIONS(24996), 1,
      sym_keyword_from,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558782] = 2,
    ACTIONS(24998), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558790] = 2,
    ACTIONS(25000), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558798] = 2,
    ACTIONS(25002), 1,
      sym_keyword_view,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558806] = 2,
    ACTIONS(25004), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558814] = 2,
    ACTIONS(25006), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558822] = 2,
    ACTIONS(25008), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558830] = 2,
    ACTIONS(25010), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558838] = 2,
    ACTIONS(25012), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558846] = 2,
    ACTIONS(25014), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558854] = 2,
    ACTIONS(25016), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558862] = 2,
    ACTIONS(25018), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558870] = 2,
    ACTIONS(25020), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558878] = 2,
    ACTIONS(25022), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558886] = 2,
    ACTIONS(25024), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558894] = 2,
    ACTIONS(25026), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558902] = 2,
    ACTIONS(25028), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558910] = 2,
    ACTIONS(25030), 1,
      sym_keyword_zone,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558918] = 2,
    ACTIONS(25032), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558926] = 2,
    ACTIONS(25034), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558934] = 2,
    ACTIONS(25036), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558942] = 2,
    ACTIONS(25038), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558950] = 2,
    ACTIONS(25040), 1,
      sym_keyword_into,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558958] = 2,
    ACTIONS(19276), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558966] = 2,
    ACTIONS(25042), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558974] = 2,
    ACTIONS(25044), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558982] = 2,
    ACTIONS(25046), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558990] = 2,
    ACTIONS(25048), 1,
      sym_keyword_using,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [558998] = 2,
    ACTIONS(25050), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559006] = 2,
    ACTIONS(25052), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559014] = 2,
    ACTIONS(25054), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559022] = 2,
    ACTIONS(25056), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559030] = 2,
    ACTIONS(25058), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559038] = 2,
    ACTIONS(25060), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559046] = 2,
    ACTIONS(16063), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559054] = 2,
    ACTIONS(25062), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559062] = 2,
    ACTIONS(15201), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559070] = 2,
    ACTIONS(25064), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559078] = 2,
    ACTIONS(25066), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559086] = 2,
    ACTIONS(25068), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559094] = 2,
    ACTIONS(14878), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559102] = 2,
    ACTIONS(15207), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559110] = 2,
    ACTIONS(25070), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559118] = 2,
    ACTIONS(25072), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559126] = 2,
    ACTIONS(25074), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559134] = 2,
    ACTIONS(25076), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559142] = 2,
    ACTIONS(25078), 1,
      sym_keyword_by,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559150] = 2,
    ACTIONS(25080), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559158] = 2,
    ACTIONS(25082), 1,
      sym_keyword_terminated,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559166] = 2,
    ACTIONS(25084), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559174] = 2,
    ACTIONS(25086), 1,
      sym__natural_number,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559182] = 2,
    ACTIONS(25088), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559190] = 2,
    ACTIONS(25090), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559198] = 2,
    ACTIONS(25092), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559206] = 2,
    ACTIONS(25094), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559214] = 2,
    ACTIONS(25096), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559222] = 2,
    ACTIONS(25098), 1,
      sym_keyword_on,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559230] = 2,
    ACTIONS(25100), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559238] = 2,
    ACTIONS(25102), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559246] = 2,
    ACTIONS(25104), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559254] = 2,
    ACTIONS(17574), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559262] = 2,
    ACTIONS(25106), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559270] = 2,
    ACTIONS(17570), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559278] = 2,
    ACTIONS(17566), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559286] = 2,
    ACTIONS(25108), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559294] = 2,
    ACTIONS(17562), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559302] = 2,
    ACTIONS(25110), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559310] = 2,
    ACTIONS(25112), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559318] = 2,
    ACTIONS(17558), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559326] = 2,
    ACTIONS(17554), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559334] = 2,
    ACTIONS(25114), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559342] = 2,
    ACTIONS(17550), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559350] = 2,
    ACTIONS(25116), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559358] = 2,
    ACTIONS(25118), 1,
      sym_keyword_of,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559366] = 2,
    ACTIONS(25120), 1,
      sym_keyword_into,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559374] = 2,
    ACTIONS(25122), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559382] = 2,
    ACTIONS(25124), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559390] = 2,
    ACTIONS(25126), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559398] = 2,
    ACTIONS(25128), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559406] = 2,
    ACTIONS(25130), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559414] = 2,
    ACTIONS(25132), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559422] = 2,
    ACTIONS(25134), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559430] = 2,
    ACTIONS(1739), 1,
      sym_keyword_table,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559438] = 2,
    ACTIONS(25136), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559446] = 2,
    ACTIONS(25138), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559454] = 2,
    ACTIONS(25140), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559462] = 2,
    ACTIONS(25142), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559470] = 2,
    ACTIONS(25144), 1,
      sym_keyword_into,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559478] = 2,
    ACTIONS(25146), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559486] = 2,
    ACTIONS(25148), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559494] = 2,
    ACTIONS(17481), 1,
      sym_keyword_trigger,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559502] = 2,
    ACTIONS(25150), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559510] = 2,
    ACTIONS(25152), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559518] = 2,
    ACTIONS(16143), 1,
      sym_keyword_trigger,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559526] = 2,
    ACTIONS(25154), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559534] = 2,
    ACTIONS(16121), 1,
      sym_keyword_trigger,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559542] = 2,
    ACTIONS(25156), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559550] = 2,
    ACTIONS(17501), 1,
      sym_keyword_trigger,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559558] = 2,
    ACTIONS(25158), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559566] = 2,
    ACTIONS(25160), 1,
      sym_keyword_trigger,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559574] = 2,
    ACTIONS(25162), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559582] = 2,
    ACTIONS(25164), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559590] = 2,
    ACTIONS(25166), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
  [559598] = 2,
    ACTIONS(25168), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_comment,
      sym_marginalia,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(300)] = 0,
  [SMALL_STATE(301)] = 105,
  [SMALL_STATE(302)] = 246,
  [SMALL_STATE(303)] = 387,
  [SMALL_STATE(304)] = 528,
  [SMALL_STATE(305)] = 669,
  [SMALL_STATE(306)] = 810,
  [SMALL_STATE(307)] = 951,
  [SMALL_STATE(308)] = 1092,
  [SMALL_STATE(309)] = 1233,
  [SMALL_STATE(310)] = 1374,
  [SMALL_STATE(311)] = 1515,
  [SMALL_STATE(312)] = 1656,
  [SMALL_STATE(313)] = 1797,
  [SMALL_STATE(314)] = 1938,
  [SMALL_STATE(315)] = 2079,
  [SMALL_STATE(316)] = 2220,
  [SMALL_STATE(317)] = 2361,
  [SMALL_STATE(318)] = 2502,
  [SMALL_STATE(319)] = 2643,
  [SMALL_STATE(320)] = 2784,
  [SMALL_STATE(321)] = 2925,
  [SMALL_STATE(322)] = 3066,
  [SMALL_STATE(323)] = 3173,
  [SMALL_STATE(324)] = 3282,
  [SMALL_STATE(325)] = 3423,
  [SMALL_STATE(326)] = 3564,
  [SMALL_STATE(327)] = 3661,
  [SMALL_STATE(328)] = 3744,
  [SMALL_STATE(329)] = 3885,
  [SMALL_STATE(330)] = 3976,
  [SMALL_STATE(331)] = 4063,
  [SMALL_STATE(332)] = 4204,
  [SMALL_STATE(333)] = 4345,
  [SMALL_STATE(334)] = 4486,
  [SMALL_STATE(335)] = 4627,
  [SMALL_STATE(336)] = 4768,
  [SMALL_STATE(337)] = 4849,
  [SMALL_STATE(338)] = 4950,
  [SMALL_STATE(339)] = 5091,
  [SMALL_STATE(340)] = 5232,
  [SMALL_STATE(341)] = 5373,
  [SMALL_STATE(342)] = 5514,
  [SMALL_STATE(343)] = 5619,
  [SMALL_STATE(344)] = 5760,
  [SMALL_STATE(345)] = 5901,
  [SMALL_STATE(346)] = 6042,
  [SMALL_STATE(347)] = 6183,
  [SMALL_STATE(348)] = 6264,
  [SMALL_STATE(349)] = 6405,
  [SMALL_STATE(350)] = 6546,
  [SMALL_STATE(351)] = 6687,
  [SMALL_STATE(352)] = 6828,
  [SMALL_STATE(353)] = 6969,
  [SMALL_STATE(354)] = 7060,
  [SMALL_STATE(355)] = 7201,
  [SMALL_STATE(356)] = 7342,
  [SMALL_STATE(357)] = 7483,
  [SMALL_STATE(358)] = 7624,
  [SMALL_STATE(359)] = 7765,
  [SMALL_STATE(360)] = 7906,
  [SMALL_STATE(361)] = 8047,
  [SMALL_STATE(362)] = 8188,
  [SMALL_STATE(363)] = 8329,
  [SMALL_STATE(364)] = 8470,
  [SMALL_STATE(365)] = 8547,
  [SMALL_STATE(366)] = 8688,
  [SMALL_STATE(367)] = 8829,
  [SMALL_STATE(368)] = 8970,
  [SMALL_STATE(369)] = 9111,
  [SMALL_STATE(370)] = 9252,
  [SMALL_STATE(371)] = 9393,
  [SMALL_STATE(372)] = 9534,
  [SMALL_STATE(373)] = 9675,
  [SMALL_STATE(374)] = 9749,
  [SMALL_STATE(375)] = 9823,
  [SMALL_STATE(376)] = 9897,
  [SMALL_STATE(377)] = 9971,
  [SMALL_STATE(378)] = 10045,
  [SMALL_STATE(379)] = 10119,
  [SMALL_STATE(380)] = 10193,
  [SMALL_STATE(381)] = 10267,
  [SMALL_STATE(382)] = 10341,
  [SMALL_STATE(383)] = 10415,
  [SMALL_STATE(384)] = 10489,
  [SMALL_STATE(385)] = 10559,
  [SMALL_STATE(386)] = 10633,
  [SMALL_STATE(387)] = 10707,
  [SMALL_STATE(388)] = 10781,
  [SMALL_STATE(389)] = 10855,
  [SMALL_STATE(390)] = 10929,
  [SMALL_STATE(391)] = 11003,
  [SMALL_STATE(392)] = 11077,
  [SMALL_STATE(393)] = 11151,
  [SMALL_STATE(394)] = 11224,
  [SMALL_STATE(395)] = 11297,
  [SMALL_STATE(396)] = 11370,
  [SMALL_STATE(397)] = 11438,
  [SMALL_STATE(398)] = 11506,
  [SMALL_STATE(399)] = 11574,
  [SMALL_STATE(400)] = 11642,
  [SMALL_STATE(401)] = 11710,
  [SMALL_STATE(402)] = 11778,
  [SMALL_STATE(403)] = 11846,
  [SMALL_STATE(404)] = 11914,
  [SMALL_STATE(405)] = 11982,
  [SMALL_STATE(406)] = 12050,
  [SMALL_STATE(407)] = 12118,
  [SMALL_STATE(408)] = 12194,
  [SMALL_STATE(409)] = 12262,
  [SMALL_STATE(410)] = 12330,
  [SMALL_STATE(411)] = 12398,
  [SMALL_STATE(412)] = 12466,
  [SMALL_STATE(413)] = 12534,
  [SMALL_STATE(414)] = 12602,
  [SMALL_STATE(415)] = 12670,
  [SMALL_STATE(416)] = 12738,
  [SMALL_STATE(417)] = 12806,
  [SMALL_STATE(418)] = 12881,
  [SMALL_STATE(419)] = 12954,
  [SMALL_STATE(420)] = 13029,
  [SMALL_STATE(421)] = 13104,
  [SMALL_STATE(422)] = 13171,
  [SMALL_STATE(423)] = 13244,
  [SMALL_STATE(424)] = 13317,
  [SMALL_STATE(425)] = 13390,
  [SMALL_STATE(426)] = 13463,
  [SMALL_STATE(427)] = 13538,
  [SMALL_STATE(428)] = 13611,
  [SMALL_STATE(429)] = 13684,
  [SMALL_STATE(430)] = 13757,
  [SMALL_STATE(431)] = 13824,
  [SMALL_STATE(432)] = 13891,
  [SMALL_STATE(433)] = 13958,
  [SMALL_STATE(434)] = 14025,
  [SMALL_STATE(435)] = 14092,
  [SMALL_STATE(436)] = 14159,
  [SMALL_STATE(437)] = 14230,
  [SMALL_STATE(438)] = 14305,
  [SMALL_STATE(439)] = 14376,
  [SMALL_STATE(440)] = 14447,
  [SMALL_STATE(441)] = 14518,
  [SMALL_STATE(442)] = 14585,
  [SMALL_STATE(443)] = 14656,
  [SMALL_STATE(444)] = 14727,
  [SMALL_STATE(445)] = 14798,
  [SMALL_STATE(446)] = 14869,
  [SMALL_STATE(447)] = 14940,
  [SMALL_STATE(448)] = 15011,
  [SMALL_STATE(449)] = 15082,
  [SMALL_STATE(450)] = 15149,
  [SMALL_STATE(451)] = 15220,
  [SMALL_STATE(452)] = 15291,
  [SMALL_STATE(453)] = 15362,
  [SMALL_STATE(454)] = 15433,
  [SMALL_STATE(455)] = 15504,
  [SMALL_STATE(456)] = 15575,
  [SMALL_STATE(457)] = 15646,
  [SMALL_STATE(458)] = 15717,
  [SMALL_STATE(459)] = 15787,
  [SMALL_STATE(460)] = 15857,
  [SMALL_STATE(461)] = 15927,
  [SMALL_STATE(462)] = 16053,
  [SMALL_STATE(463)] = 16179,
  [SMALL_STATE(464)] = 16249,
  [SMALL_STATE(465)] = 16375,
  [SMALL_STATE(466)] = 16501,
  [SMALL_STATE(467)] = 16571,
  [SMALL_STATE(468)] = 16657,
  [SMALL_STATE(469)] = 16783,
  [SMALL_STATE(470)] = 16869,
  [SMALL_STATE(471)] = 16939,
  [SMALL_STATE(472)] = 17009,
  [SMALL_STATE(473)] = 17079,
  [SMALL_STATE(474)] = 17155,
  [SMALL_STATE(475)] = 17281,
  [SMALL_STATE(476)] = 17359,
  [SMALL_STATE(477)] = 17429,
  [SMALL_STATE(478)] = 17499,
  [SMALL_STATE(479)] = 17625,
  [SMALL_STATE(480)] = 17751,
  [SMALL_STATE(481)] = 17877,
  [SMALL_STATE(482)] = 18003,
  [SMALL_STATE(483)] = 18085,
  [SMALL_STATE(484)] = 18161,
  [SMALL_STATE(485)] = 18257,
  [SMALL_STATE(486)] = 18357,
  [SMALL_STATE(487)] = 18483,
  [SMALL_STATE(488)] = 18609,
  [SMALL_STATE(489)] = 18701,
  [SMALL_STATE(490)] = 18771,
  [SMALL_STATE(491)] = 18841,
  [SMALL_STATE(492)] = 18971,
  [SMALL_STATE(493)] = 19039,
  [SMALL_STATE(494)] = 19109,
  [SMALL_STATE(495)] = 19179,
  [SMALL_STATE(496)] = 19305,
  [SMALL_STATE(497)] = 19431,
  [SMALL_STATE(498)] = 19501,
  [SMALL_STATE(499)] = 19571,
  [SMALL_STATE(500)] = 19697,
  [SMALL_STATE(501)] = 19767,
  [SMALL_STATE(502)] = 19837,
  [SMALL_STATE(503)] = 19939,
  [SMALL_STATE(504)] = 20065,
  [SMALL_STATE(505)] = 20131,
  [SMALL_STATE(506)] = 20257,
  [SMALL_STATE(507)] = 20383,
  [SMALL_STATE(508)] = 20509,
  [SMALL_STATE(509)] = 20609,
  [SMALL_STATE(510)] = 20679,
  [SMALL_STATE(511)] = 20751,
  [SMALL_STATE(512)] = 20877,
  [SMALL_STATE(513)] = 20947,
  [SMALL_STATE(514)] = 21017,
  [SMALL_STATE(515)] = 21087,
  [SMALL_STATE(516)] = 21157,
  [SMALL_STATE(517)] = 21227,
  [SMALL_STATE(518)] = 21353,
  [SMALL_STATE(519)] = 21479,
  [SMALL_STATE(520)] = 21549,
  [SMALL_STATE(521)] = 21619,
  [SMALL_STATE(522)] = 21689,
  [SMALL_STATE(523)] = 21759,
  [SMALL_STATE(524)] = 21863,
  [SMALL_STATE(525)] = 21935,
  [SMALL_STATE(526)] = 22007,
  [SMALL_STATE(527)] = 22133,
  [SMALL_STATE(528)] = 22201,
  [SMALL_STATE(529)] = 22271,
  [SMALL_STATE(530)] = 22341,
  [SMALL_STATE(531)] = 22467,
  [SMALL_STATE(532)] = 22593,
  [SMALL_STATE(533)] = 22663,
  [SMALL_STATE(534)] = 22733,
  [SMALL_STATE(535)] = 22808,
  [SMALL_STATE(536)] = 22933,
  [SMALL_STATE(537)] = 22998,
  [SMALL_STATE(538)] = 23123,
  [SMALL_STATE(539)] = 23188,
  [SMALL_STATE(540)] = 23253,
  [SMALL_STATE(541)] = 23378,
  [SMALL_STATE(542)] = 23503,
  [SMALL_STATE(543)] = 23568,
  [SMALL_STATE(544)] = 23693,
  [SMALL_STATE(545)] = 23758,
  [SMALL_STATE(546)] = 23823,
  [SMALL_STATE(547)] = 23888,
  [SMALL_STATE(548)] = 23953,
  [SMALL_STATE(549)] = 24018,
  [SMALL_STATE(550)] = 24143,
  [SMALL_STATE(551)] = 24268,
  [SMALL_STATE(552)] = 24393,
  [SMALL_STATE(553)] = 24518,
  [SMALL_STATE(554)] = 24583,
  [SMALL_STATE(555)] = 24648,
  [SMALL_STATE(556)] = 24713,
  [SMALL_STATE(557)] = 24838,
  [SMALL_STATE(558)] = 24961,
  [SMALL_STATE(559)] = 25084,
  [SMALL_STATE(560)] = 25207,
  [SMALL_STATE(561)] = 25332,
  [SMALL_STATE(562)] = 25397,
  [SMALL_STATE(563)] = 25522,
  [SMALL_STATE(564)] = 25645,
  [SMALL_STATE(565)] = 25710,
  [SMALL_STATE(566)] = 25835,
  [SMALL_STATE(567)] = 25900,
  [SMALL_STATE(568)] = 25999,
  [SMALL_STATE(569)] = 26064,
  [SMALL_STATE(570)] = 26129,
  [SMALL_STATE(571)] = 26194,
  [SMALL_STATE(572)] = 26293,
  [SMALL_STATE(573)] = 26358,
  [SMALL_STATE(574)] = 26423,
  [SMALL_STATE(575)] = 26548,
  [SMALL_STATE(576)] = 26643,
  [SMALL_STATE(577)] = 26718,
  [SMALL_STATE(578)] = 26843,
  [SMALL_STATE(579)] = 26966,
  [SMALL_STATE(580)] = 27091,
  [SMALL_STATE(581)] = 27214,
  [SMALL_STATE(582)] = 27295,
  [SMALL_STATE(583)] = 27420,
  [SMALL_STATE(584)] = 27543,
  [SMALL_STATE(585)] = 27628,
  [SMALL_STATE(586)] = 27753,
  [SMALL_STATE(587)] = 27876,
  [SMALL_STATE(588)] = 27999,
  [SMALL_STATE(589)] = 28124,
  [SMALL_STATE(590)] = 28249,
  [SMALL_STATE(591)] = 28374,
  [SMALL_STATE(592)] = 28499,
  [SMALL_STATE(593)] = 28568,
  [SMALL_STATE(594)] = 28691,
  [SMALL_STATE(595)] = 28768,
  [SMALL_STATE(596)] = 28859,
  [SMALL_STATE(597)] = 28984,
  [SMALL_STATE(598)] = 29109,
  [SMALL_STATE(599)] = 29212,
  [SMALL_STATE(600)] = 29313,
  [SMALL_STATE(601)] = 29436,
  [SMALL_STATE(602)] = 29561,
  [SMALL_STATE(603)] = 29686,
  [SMALL_STATE(604)] = 29811,
  [SMALL_STATE(605)] = 29936,
  [SMALL_STATE(606)] = 30005,
  [SMALL_STATE(607)] = 30128,
  [SMALL_STATE(608)] = 30197,
  [SMALL_STATE(609)] = 30264,
  [SMALL_STATE(610)] = 30389,
  [SMALL_STATE(611)] = 30514,
  [SMALL_STATE(612)] = 30639,
  [SMALL_STATE(613)] = 30764,
  [SMALL_STATE(614)] = 30889,
  [SMALL_STATE(615)] = 31012,
  [SMALL_STATE(616)] = 31137,
  [SMALL_STATE(617)] = 31262,
  [SMALL_STATE(618)] = 31385,
  [SMALL_STATE(619)] = 31510,
  [SMALL_STATE(620)] = 31635,
  [SMALL_STATE(621)] = 31762,
  [SMALL_STATE(622)] = 31887,
  [SMALL_STATE(623)] = 32010,
  [SMALL_STATE(624)] = 32133,
  [SMALL_STATE(625)] = 32258,
  [SMALL_STATE(626)] = 32327,
  [SMALL_STATE(627)] = 32396,
  [SMALL_STATE(628)] = 32519,
  [SMALL_STATE(629)] = 32642,
  [SMALL_STATE(630)] = 32767,
  [SMALL_STATE(631)] = 32892,
  [SMALL_STATE(632)] = 32963,
  [SMALL_STATE(633)] = 33088,
  [SMALL_STATE(634)] = 33213,
  [SMALL_STATE(635)] = 33336,
  [SMALL_STATE(636)] = 33421,
  [SMALL_STATE(637)] = 33544,
  [SMALL_STATE(638)] = 33667,
  [SMALL_STATE(639)] = 33792,
  [SMALL_STATE(640)] = 33917,
  [SMALL_STATE(641)] = 34042,
  [SMALL_STATE(642)] = 34167,
  [SMALL_STATE(643)] = 34292,
  [SMALL_STATE(644)] = 34417,
  [SMALL_STATE(645)] = 34486,
  [SMALL_STATE(646)] = 34553,
  [SMALL_STATE(647)] = 34676,
  [SMALL_STATE(648)] = 34799,
  [SMALL_STATE(649)] = 34924,
  [SMALL_STATE(650)] = 35047,
  [SMALL_STATE(651)] = 35114,
  [SMALL_STATE(652)] = 35237,
  [SMALL_STATE(653)] = 35362,
  [SMALL_STATE(654)] = 35485,
  [SMALL_STATE(655)] = 35610,
  [SMALL_STATE(656)] = 35677,
  [SMALL_STATE(657)] = 35744,
  [SMALL_STATE(658)] = 35869,
  [SMALL_STATE(659)] = 35936,
  [SMALL_STATE(660)] = 36001,
  [SMALL_STATE(661)] = 36068,
  [SMALL_STATE(662)] = 36135,
  [SMALL_STATE(663)] = 36258,
  [SMALL_STATE(664)] = 36323,
  [SMALL_STATE(665)] = 36448,
  [SMALL_STATE(666)] = 36515,
  [SMALL_STATE(667)] = 36640,
  [SMALL_STATE(668)] = 36707,
  [SMALL_STATE(669)] = 36832,
  [SMALL_STATE(670)] = 36899,
  [SMALL_STATE(671)] = 36966,
  [SMALL_STATE(672)] = 37091,
  [SMALL_STATE(673)] = 37158,
  [SMALL_STATE(674)] = 37223,
  [SMALL_STATE(675)] = 37290,
  [SMALL_STATE(676)] = 37413,
  [SMALL_STATE(677)] = 37536,
  [SMALL_STATE(678)] = 37659,
  [SMALL_STATE(679)] = 37784,
  [SMALL_STATE(680)] = 37851,
  [SMALL_STATE(681)] = 37918,
  [SMALL_STATE(682)] = 37985,
  [SMALL_STATE(683)] = 38052,
  [SMALL_STATE(684)] = 38177,
  [SMALL_STATE(685)] = 38244,
  [SMALL_STATE(686)] = 38311,
  [SMALL_STATE(687)] = 38378,
  [SMALL_STATE(688)] = 38501,
  [SMALL_STATE(689)] = 38626,
  [SMALL_STATE(690)] = 38693,
  [SMALL_STATE(691)] = 38818,
  [SMALL_STATE(692)] = 38943,
  [SMALL_STATE(693)] = 39068,
  [SMALL_STATE(694)] = 39135,
  [SMALL_STATE(695)] = 39202,
  [SMALL_STATE(696)] = 39269,
  [SMALL_STATE(697)] = 39394,
  [SMALL_STATE(698)] = 39461,
  [SMALL_STATE(699)] = 39586,
  [SMALL_STATE(700)] = 39709,
  [SMALL_STATE(701)] = 39776,
  [SMALL_STATE(702)] = 39843,
  [SMALL_STATE(703)] = 39910,
  [SMALL_STATE(704)] = 39977,
  [SMALL_STATE(705)] = 40044,
  [SMALL_STATE(706)] = 40111,
  [SMALL_STATE(707)] = 40178,
  [SMALL_STATE(708)] = 40303,
  [SMALL_STATE(709)] = 40370,
  [SMALL_STATE(710)] = 40441,
  [SMALL_STATE(711)] = 40508,
  [SMALL_STATE(712)] = 40633,
  [SMALL_STATE(713)] = 40758,
  [SMALL_STATE(714)] = 40883,
  [SMALL_STATE(715)] = 41010,
  [SMALL_STATE(716)] = 41133,
  [SMALL_STATE(717)] = 41258,
  [SMALL_STATE(718)] = 41381,
  [SMALL_STATE(719)] = 41506,
  [SMALL_STATE(720)] = 41631,
  [SMALL_STATE(721)] = 41751,
  [SMALL_STATE(722)] = 41871,
  [SMALL_STATE(723)] = 41935,
  [SMALL_STATE(724)] = 41999,
  [SMALL_STATE(725)] = 42063,
  [SMALL_STATE(726)] = 42127,
  [SMALL_STATE(727)] = 42191,
  [SMALL_STATE(728)] = 42255,
  [SMALL_STATE(729)] = 42319,
  [SMALL_STATE(730)] = 42439,
  [SMALL_STATE(731)] = 42503,
  [SMALL_STATE(732)] = 42567,
  [SMALL_STATE(733)] = 42631,
  [SMALL_STATE(734)] = 42695,
  [SMALL_STATE(735)] = 42797,
  [SMALL_STATE(736)] = 42861,
  [SMALL_STATE(737)] = 42925,
  [SMALL_STATE(738)] = 42989,
  [SMALL_STATE(739)] = 43053,
  [SMALL_STATE(740)] = 43117,
  [SMALL_STATE(741)] = 43181,
  [SMALL_STATE(742)] = 43285,
  [SMALL_STATE(743)] = 43349,
  [SMALL_STATE(744)] = 43413,
  [SMALL_STATE(745)] = 43477,
  [SMALL_STATE(746)] = 43541,
  [SMALL_STATE(747)] = 43605,
  [SMALL_STATE(748)] = 43725,
  [SMALL_STATE(749)] = 43789,
  [SMALL_STATE(750)] = 43853,
  [SMALL_STATE(751)] = 43917,
  [SMALL_STATE(752)] = 43981,
  [SMALL_STATE(753)] = 44045,
  [SMALL_STATE(754)] = 44109,
  [SMALL_STATE(755)] = 44173,
  [SMALL_STATE(756)] = 44237,
  [SMALL_STATE(757)] = 44301,
  [SMALL_STATE(758)] = 44365,
  [SMALL_STATE(759)] = 44429,
  [SMALL_STATE(760)] = 44493,
  [SMALL_STATE(761)] = 44557,
  [SMALL_STATE(762)] = 44621,
  [SMALL_STATE(763)] = 44685,
  [SMALL_STATE(764)] = 44749,
  [SMALL_STATE(765)] = 44813,
  [SMALL_STATE(766)] = 44877,
  [SMALL_STATE(767)] = 44941,
  [SMALL_STATE(768)] = 45005,
  [SMALL_STATE(769)] = 45069,
  [SMALL_STATE(770)] = 45173,
  [SMALL_STATE(771)] = 45237,
  [SMALL_STATE(772)] = 45341,
  [SMALL_STATE(773)] = 45405,
  [SMALL_STATE(774)] = 45469,
  [SMALL_STATE(775)] = 45533,
  [SMALL_STATE(776)] = 45597,
  [SMALL_STATE(777)] = 45661,
  [SMALL_STATE(778)] = 45725,
  [SMALL_STATE(779)] = 45789,
  [SMALL_STATE(780)] = 45853,
  [SMALL_STATE(781)] = 45917,
  [SMALL_STATE(782)] = 45981,
  [SMALL_STATE(783)] = 46045,
  [SMALL_STATE(784)] = 46109,
  [SMALL_STATE(785)] = 46229,
  [SMALL_STATE(786)] = 46349,
  [SMALL_STATE(787)] = 46413,
  [SMALL_STATE(788)] = 46477,
  [SMALL_STATE(789)] = 46541,
  [SMALL_STATE(790)] = 46605,
  [SMALL_STATE(791)] = 46669,
  [SMALL_STATE(792)] = 46733,
  [SMALL_STATE(793)] = 46797,
  [SMALL_STATE(794)] = 46861,
  [SMALL_STATE(795)] = 46965,
  [SMALL_STATE(796)] = 47029,
  [SMALL_STATE(797)] = 47093,
  [SMALL_STATE(798)] = 47213,
  [SMALL_STATE(799)] = 47317,
  [SMALL_STATE(800)] = 47381,
  [SMALL_STATE(801)] = 47445,
  [SMALL_STATE(802)] = 47509,
  [SMALL_STATE(803)] = 47573,
  [SMALL_STATE(804)] = 47637,
  [SMALL_STATE(805)] = 47741,
  [SMALL_STATE(806)] = 47805,
  [SMALL_STATE(807)] = 47871,
  [SMALL_STATE(808)] = 47935,
  [SMALL_STATE(809)] = 48039,
  [SMALL_STATE(810)] = 48103,
  [SMALL_STATE(811)] = 48167,
  [SMALL_STATE(812)] = 48241,
  [SMALL_STATE(813)] = 48361,
  [SMALL_STATE(814)] = 48441,
  [SMALL_STATE(815)] = 48525,
  [SMALL_STATE(816)] = 48589,
  [SMALL_STATE(817)] = 48653,
  [SMALL_STATE(818)] = 48717,
  [SMALL_STATE(819)] = 48781,
  [SMALL_STATE(820)] = 48845,
  [SMALL_STATE(821)] = 48909,
  [SMALL_STATE(822)] = 48973,
  [SMALL_STATE(823)] = 49093,
  [SMALL_STATE(824)] = 49157,
  [SMALL_STATE(825)] = 49261,
  [SMALL_STATE(826)] = 49365,
  [SMALL_STATE(827)] = 49459,
  [SMALL_STATE(828)] = 49523,
  [SMALL_STATE(829)] = 49643,
  [SMALL_STATE(830)] = 49747,
  [SMALL_STATE(831)] = 49811,
  [SMALL_STATE(832)] = 49931,
  [SMALL_STATE(833)] = 50051,
  [SMALL_STATE(834)] = 50171,
  [SMALL_STATE(835)] = 50241,
  [SMALL_STATE(836)] = 50341,
  [SMALL_STATE(837)] = 50461,
  [SMALL_STATE(838)] = 50559,
  [SMALL_STATE(839)] = 50623,
  [SMALL_STATE(840)] = 50743,
  [SMALL_STATE(841)] = 50811,
  [SMALL_STATE(842)] = 50875,
  [SMALL_STATE(843)] = 50995,
  [SMALL_STATE(844)] = 51099,
  [SMALL_STATE(845)] = 51167,
  [SMALL_STATE(846)] = 51287,
  [SMALL_STATE(847)] = 51371,
  [SMALL_STATE(848)] = 51439,
  [SMALL_STATE(849)] = 51559,
  [SMALL_STATE(850)] = 51623,
  [SMALL_STATE(851)] = 51743,
  [SMALL_STATE(852)] = 51841,
  [SMALL_STATE(853)] = 51961,
  [SMALL_STATE(854)] = 52027,
  [SMALL_STATE(855)] = 52147,
  [SMALL_STATE(856)] = 52251,
  [SMALL_STATE(857)] = 52371,
  [SMALL_STATE(858)] = 52491,
  [SMALL_STATE(859)] = 52611,
  [SMALL_STATE(860)] = 52715,
  [SMALL_STATE(861)] = 52779,
  [SMALL_STATE(862)] = 52843,
  [SMALL_STATE(863)] = 52963,
  [SMALL_STATE(864)] = 53083,
  [SMALL_STATE(865)] = 53203,
  [SMALL_STATE(866)] = 53279,
  [SMALL_STATE(867)] = 53369,
  [SMALL_STATE(868)] = 53443,
  [SMALL_STATE(869)] = 53546,
  [SMALL_STATE(870)] = 53609,
  [SMALL_STATE(871)] = 53672,
  [SMALL_STATE(872)] = 53735,
  [SMALL_STATE(873)] = 53798,
  [SMALL_STATE(874)] = 53861,
  [SMALL_STATE(875)] = 53980,
  [SMALL_STATE(876)] = 54043,
  [SMALL_STATE(877)] = 54146,
  [SMALL_STATE(878)] = 54209,
  [SMALL_STATE(879)] = 54312,
  [SMALL_STATE(880)] = 54375,
  [SMALL_STATE(881)] = 54438,
  [SMALL_STATE(882)] = 54541,
  [SMALL_STATE(883)] = 54604,
  [SMALL_STATE(884)] = 54667,
  [SMALL_STATE(885)] = 54770,
  [SMALL_STATE(886)] = 54833,
  [SMALL_STATE(887)] = 54896,
  [SMALL_STATE(888)] = 54959,
  [SMALL_STATE(889)] = 55022,
  [SMALL_STATE(890)] = 55125,
  [SMALL_STATE(891)] = 55188,
  [SMALL_STATE(892)] = 55251,
  [SMALL_STATE(893)] = 55314,
  [SMALL_STATE(894)] = 55377,
  [SMALL_STATE(895)] = 55440,
  [SMALL_STATE(896)] = 55503,
  [SMALL_STATE(897)] = 55566,
  [SMALL_STATE(898)] = 55629,
  [SMALL_STATE(899)] = 55732,
  [SMALL_STATE(900)] = 55795,
  [SMALL_STATE(901)] = 55858,
  [SMALL_STATE(902)] = 55921,
  [SMALL_STATE(903)] = 56024,
  [SMALL_STATE(904)] = 56127,
  [SMALL_STATE(905)] = 56190,
  [SMALL_STATE(906)] = 56253,
  [SMALL_STATE(907)] = 56316,
  [SMALL_STATE(908)] = 56379,
  [SMALL_STATE(909)] = 56442,
  [SMALL_STATE(910)] = 56545,
  [SMALL_STATE(911)] = 56608,
  [SMALL_STATE(912)] = 56727,
  [SMALL_STATE(913)] = 56790,
  [SMALL_STATE(914)] = 56853,
  [SMALL_STATE(915)] = 56956,
  [SMALL_STATE(916)] = 57059,
  [SMALL_STATE(917)] = 57122,
  [SMALL_STATE(918)] = 57225,
  [SMALL_STATE(919)] = 57288,
  [SMALL_STATE(920)] = 57351,
  [SMALL_STATE(921)] = 57414,
  [SMALL_STATE(922)] = 57517,
  [SMALL_STATE(923)] = 57620,
  [SMALL_STATE(924)] = 57683,
  [SMALL_STATE(925)] = 57746,
  [SMALL_STATE(926)] = 57809,
  [SMALL_STATE(927)] = 57879,
  [SMALL_STATE(928)] = 57993,
  [SMALL_STATE(929)] = 58107,
  [SMALL_STATE(930)] = 58221,
  [SMALL_STATE(931)] = 58299,
  [SMALL_STATE(932)] = 58413,
  [SMALL_STATE(933)] = 58491,
  [SMALL_STATE(934)] = 58605,
  [SMALL_STATE(935)] = 58721,
  [SMALL_STATE(936)] = 58835,
  [SMALL_STATE(937)] = 58949,
  [SMALL_STATE(938)] = 59027,
  [SMALL_STATE(939)] = 59105,
  [SMALL_STATE(940)] = 59219,
  [SMALL_STATE(941)] = 59333,
  [SMALL_STATE(942)] = 59411,
  [SMALL_STATE(943)] = 59525,
  [SMALL_STATE(944)] = 59641,
  [SMALL_STATE(945)] = 59755,
  [SMALL_STATE(946)] = 59869,
  [SMALL_STATE(947)] = 59931,
  [SMALL_STATE(948)] = 60009,
  [SMALL_STATE(949)] = 60087,
  [SMALL_STATE(950)] = 60201,
  [SMALL_STATE(951)] = 60279,
  [SMALL_STATE(952)] = 60393,
  [SMALL_STATE(953)] = 60507,
  [SMALL_STATE(954)] = 60621,
  [SMALL_STATE(955)] = 60735,
  [SMALL_STATE(956)] = 60849,
  [SMALL_STATE(957)] = 60963,
  [SMALL_STATE(958)] = 61077,
  [SMALL_STATE(959)] = 61191,
  [SMALL_STATE(960)] = 61305,
  [SMALL_STATE(961)] = 61375,
  [SMALL_STATE(962)] = 61445,
  [SMALL_STATE(963)] = 61547,
  [SMALL_STATE(964)] = 61661,
  [SMALL_STATE(965)] = 61775,
  [SMALL_STATE(966)] = 61853,
  [SMALL_STATE(967)] = 61967,
  [SMALL_STATE(968)] = 62081,
  [SMALL_STATE(969)] = 62195,
  [SMALL_STATE(970)] = 62311,
  [SMALL_STATE(971)] = 62413,
  [SMALL_STATE(972)] = 62515,
  [SMALL_STATE(973)] = 62629,
  [SMALL_STATE(974)] = 62743,
  [SMALL_STATE(975)] = 62859,
  [SMALL_STATE(976)] = 62961,
  [SMALL_STATE(977)] = 63063,
  [SMALL_STATE(978)] = 63165,
  [SMALL_STATE(979)] = 63267,
  [SMALL_STATE(980)] = 63369,
  [SMALL_STATE(981)] = 63485,
  [SMALL_STATE(982)] = 63563,
  [SMALL_STATE(983)] = 63641,
  [SMALL_STATE(984)] = 63743,
  [SMALL_STATE(985)] = 63859,
  [SMALL_STATE(986)] = 63975,
  [SMALL_STATE(987)] = 64089,
  [SMALL_STATE(988)] = 64203,
  [SMALL_STATE(989)] = 64317,
  [SMALL_STATE(990)] = 64419,
  [SMALL_STATE(991)] = 64521,
  [SMALL_STATE(992)] = 64623,
  [SMALL_STATE(993)] = 64725,
  [SMALL_STATE(994)] = 64827,
  [SMALL_STATE(995)] = 64929,
  [SMALL_STATE(996)] = 65045,
  [SMALL_STATE(997)] = 65123,
  [SMALL_STATE(998)] = 65239,
  [SMALL_STATE(999)] = 65355,
  [SMALL_STATE(1000)] = 65471,
  [SMALL_STATE(1001)] = 65549,
  [SMALL_STATE(1002)] = 65665,
  [SMALL_STATE(1003)] = 65779,
  [SMALL_STATE(1004)] = 65895,
  [SMALL_STATE(1005)] = 65973,
  [SMALL_STATE(1006)] = 66087,
  [SMALL_STATE(1007)] = 66201,
  [SMALL_STATE(1008)] = 66279,
  [SMALL_STATE(1009)] = 66395,
  [SMALL_STATE(1010)] = 66473,
  [SMALL_STATE(1011)] = 66589,
  [SMALL_STATE(1012)] = 66703,
  [SMALL_STATE(1013)] = 66817,
  [SMALL_STATE(1014)] = 66895,
  [SMALL_STATE(1015)] = 67009,
  [SMALL_STATE(1016)] = 67087,
  [SMALL_STATE(1017)] = 67165,
  [SMALL_STATE(1018)] = 67279,
  [SMALL_STATE(1019)] = 67395,
  [SMALL_STATE(1020)] = 67509,
  [SMALL_STATE(1021)] = 67625,
  [SMALL_STATE(1022)] = 67741,
  [SMALL_STATE(1023)] = 67855,
  [SMALL_STATE(1024)] = 67917,
  [SMALL_STATE(1025)] = 68031,
  [SMALL_STATE(1026)] = 68147,
  [SMALL_STATE(1027)] = 68225,
  [SMALL_STATE(1028)] = 68339,
  [SMALL_STATE(1029)] = 68417,
  [SMALL_STATE(1030)] = 68531,
  [SMALL_STATE(1031)] = 68645,
  [SMALL_STATE(1032)] = 68759,
  [SMALL_STATE(1033)] = 68875,
  [SMALL_STATE(1034)] = 68991,
  [SMALL_STATE(1035)] = 69107,
  [SMALL_STATE(1036)] = 69177,
  [SMALL_STATE(1037)] = 69255,
  [SMALL_STATE(1038)] = 69369,
  [SMALL_STATE(1039)] = 69485,
  [SMALL_STATE(1040)] = 69599,
  [SMALL_STATE(1041)] = 69677,
  [SMALL_STATE(1042)] = 69791,
  [SMALL_STATE(1043)] = 69905,
  [SMALL_STATE(1044)] = 70016,
  [SMALL_STATE(1045)] = 70127,
  [SMALL_STATE(1046)] = 70192,
  [SMALL_STATE(1047)] = 70257,
  [SMALL_STATE(1048)] = 70368,
  [SMALL_STATE(1049)] = 70479,
  [SMALL_STATE(1050)] = 70590,
  [SMALL_STATE(1051)] = 70701,
  [SMALL_STATE(1052)] = 70812,
  [SMALL_STATE(1053)] = 70923,
  [SMALL_STATE(1054)] = 71034,
  [SMALL_STATE(1055)] = 71145,
  [SMALL_STATE(1056)] = 71214,
  [SMALL_STATE(1057)] = 71325,
  [SMALL_STATE(1058)] = 71436,
  [SMALL_STATE(1059)] = 71547,
  [SMALL_STATE(1060)] = 71658,
  [SMALL_STATE(1061)] = 71769,
  [SMALL_STATE(1062)] = 71882,
  [SMALL_STATE(1063)] = 71951,
  [SMALL_STATE(1064)] = 72016,
  [SMALL_STATE(1065)] = 72127,
  [SMALL_STATE(1066)] = 72238,
  [SMALL_STATE(1067)] = 72349,
  [SMALL_STATE(1068)] = 72414,
  [SMALL_STATE(1069)] = 72525,
  [SMALL_STATE(1070)] = 72638,
  [SMALL_STATE(1071)] = 72751,
  [SMALL_STATE(1072)] = 72862,
  [SMALL_STATE(1073)] = 72931,
  [SMALL_STATE(1074)] = 73042,
  [SMALL_STATE(1075)] = 73153,
  [SMALL_STATE(1076)] = 73264,
  [SMALL_STATE(1077)] = 73375,
  [SMALL_STATE(1078)] = 73486,
  [SMALL_STATE(1079)] = 73597,
  [SMALL_STATE(1080)] = 73708,
  [SMALL_STATE(1081)] = 73819,
  [SMALL_STATE(1082)] = 73930,
  [SMALL_STATE(1083)] = 74041,
  [SMALL_STATE(1084)] = 74152,
  [SMALL_STATE(1085)] = 74263,
  [SMALL_STATE(1086)] = 74376,
  [SMALL_STATE(1087)] = 74487,
  [SMALL_STATE(1088)] = 74600,
  [SMALL_STATE(1089)] = 74711,
  [SMALL_STATE(1090)] = 74822,
  [SMALL_STATE(1091)] = 74935,
  [SMALL_STATE(1092)] = 75048,
  [SMALL_STATE(1093)] = 75159,
  [SMALL_STATE(1094)] = 75270,
  [SMALL_STATE(1095)] = 75383,
  [SMALL_STATE(1096)] = 75494,
  [SMALL_STATE(1097)] = 75605,
  [SMALL_STATE(1098)] = 75718,
  [SMALL_STATE(1099)] = 75829,
  [SMALL_STATE(1100)] = 75940,
  [SMALL_STATE(1101)] = 76051,
  [SMALL_STATE(1102)] = 76162,
  [SMALL_STATE(1103)] = 76273,
  [SMALL_STATE(1104)] = 76384,
  [SMALL_STATE(1105)] = 76495,
  [SMALL_STATE(1106)] = 76606,
  [SMALL_STATE(1107)] = 76717,
  [SMALL_STATE(1108)] = 76828,
  [SMALL_STATE(1109)] = 76939,
  [SMALL_STATE(1110)] = 77030,
  [SMALL_STATE(1111)] = 77141,
  [SMALL_STATE(1112)] = 77252,
  [SMALL_STATE(1113)] = 77363,
  [SMALL_STATE(1114)] = 77476,
  [SMALL_STATE(1115)] = 77587,
  [SMALL_STATE(1116)] = 77698,
  [SMALL_STATE(1117)] = 77809,
  [SMALL_STATE(1118)] = 77880,
  [SMALL_STATE(1119)] = 77957,
  [SMALL_STATE(1120)] = 78022,
  [SMALL_STATE(1121)] = 78135,
  [SMALL_STATE(1122)] = 78246,
  [SMALL_STATE(1123)] = 78357,
  [SMALL_STATE(1124)] = 78468,
  [SMALL_STATE(1125)] = 78579,
  [SMALL_STATE(1126)] = 78690,
  [SMALL_STATE(1127)] = 78771,
  [SMALL_STATE(1128)] = 78882,
  [SMALL_STATE(1129)] = 78993,
  [SMALL_STATE(1130)] = 79104,
  [SMALL_STATE(1131)] = 79215,
  [SMALL_STATE(1132)] = 79328,
  [SMALL_STATE(1133)] = 79439,
  [SMALL_STATE(1134)] = 79550,
  [SMALL_STATE(1135)] = 79661,
  [SMALL_STATE(1136)] = 79756,
  [SMALL_STATE(1137)] = 79867,
  [SMALL_STATE(1138)] = 79978,
  [SMALL_STATE(1139)] = 80089,
  [SMALL_STATE(1140)] = 80200,
  [SMALL_STATE(1141)] = 80311,
  [SMALL_STATE(1142)] = 80422,
  [SMALL_STATE(1143)] = 80533,
  [SMALL_STATE(1144)] = 80644,
  [SMALL_STATE(1145)] = 80755,
  [SMALL_STATE(1146)] = 80866,
  [SMALL_STATE(1147)] = 80977,
  [SMALL_STATE(1148)] = 81088,
  [SMALL_STATE(1149)] = 81199,
  [SMALL_STATE(1150)] = 81310,
  [SMALL_STATE(1151)] = 81421,
  [SMALL_STATE(1152)] = 81534,
  [SMALL_STATE(1153)] = 81645,
  [SMALL_STATE(1154)] = 81756,
  [SMALL_STATE(1155)] = 81867,
  [SMALL_STATE(1156)] = 81978,
  [SMALL_STATE(1157)] = 82043,
  [SMALL_STATE(1158)] = 82154,
  [SMALL_STATE(1159)] = 82265,
  [SMALL_STATE(1160)] = 82376,
  [SMALL_STATE(1161)] = 82487,
  [SMALL_STATE(1162)] = 82598,
  [SMALL_STATE(1163)] = 82709,
  [SMALL_STATE(1164)] = 82820,
  [SMALL_STATE(1165)] = 82931,
  [SMALL_STATE(1166)] = 83042,
  [SMALL_STATE(1167)] = 83153,
  [SMALL_STATE(1168)] = 83264,
  [SMALL_STATE(1169)] = 83375,
  [SMALL_STATE(1170)] = 83486,
  [SMALL_STATE(1171)] = 83597,
  [SMALL_STATE(1172)] = 83708,
  [SMALL_STATE(1173)] = 83819,
  [SMALL_STATE(1174)] = 83930,
  [SMALL_STATE(1175)] = 84041,
  [SMALL_STATE(1176)] = 84152,
  [SMALL_STATE(1177)] = 84263,
  [SMALL_STATE(1178)] = 84376,
  [SMALL_STATE(1179)] = 84487,
  [SMALL_STATE(1180)] = 84598,
  [SMALL_STATE(1181)] = 84709,
  [SMALL_STATE(1182)] = 84820,
  [SMALL_STATE(1183)] = 84931,
  [SMALL_STATE(1184)] = 85042,
  [SMALL_STATE(1185)] = 85107,
  [SMALL_STATE(1186)] = 85218,
  [SMALL_STATE(1187)] = 85329,
  [SMALL_STATE(1188)] = 85440,
  [SMALL_STATE(1189)] = 85551,
  [SMALL_STATE(1190)] = 85662,
  [SMALL_STATE(1191)] = 85773,
  [SMALL_STATE(1192)] = 85884,
  [SMALL_STATE(1193)] = 85951,
  [SMALL_STATE(1194)] = 86016,
  [SMALL_STATE(1195)] = 86127,
  [SMALL_STATE(1196)] = 86238,
  [SMALL_STATE(1197)] = 86349,
  [SMALL_STATE(1198)] = 86460,
  [SMALL_STATE(1199)] = 86571,
  [SMALL_STATE(1200)] = 86682,
  [SMALL_STATE(1201)] = 86795,
  [SMALL_STATE(1202)] = 86860,
  [SMALL_STATE(1203)] = 86971,
  [SMALL_STATE(1204)] = 87036,
  [SMALL_STATE(1205)] = 87147,
  [SMALL_STATE(1206)] = 87210,
  [SMALL_STATE(1207)] = 87321,
  [SMALL_STATE(1208)] = 87432,
  [SMALL_STATE(1209)] = 87497,
  [SMALL_STATE(1210)] = 87608,
  [SMALL_STATE(1211)] = 87719,
  [SMALL_STATE(1212)] = 87830,
  [SMALL_STATE(1213)] = 87941,
  [SMALL_STATE(1214)] = 88054,
  [SMALL_STATE(1215)] = 88165,
  [SMALL_STATE(1216)] = 88276,
  [SMALL_STATE(1217)] = 88387,
  [SMALL_STATE(1218)] = 88498,
  [SMALL_STATE(1219)] = 88609,
  [SMALL_STATE(1220)] = 88720,
  [SMALL_STATE(1221)] = 88831,
  [SMALL_STATE(1222)] = 88942,
  [SMALL_STATE(1223)] = 89053,
  [SMALL_STATE(1224)] = 89164,
  [SMALL_STATE(1225)] = 89275,
  [SMALL_STATE(1226)] = 89386,
  [SMALL_STATE(1227)] = 89453,
  [SMALL_STATE(1228)] = 89520,
  [SMALL_STATE(1229)] = 89631,
  [SMALL_STATE(1230)] = 89698,
  [SMALL_STATE(1231)] = 89809,
  [SMALL_STATE(1232)] = 89876,
  [SMALL_STATE(1233)] = 89987,
  [SMALL_STATE(1234)] = 90054,
  [SMALL_STATE(1235)] = 90165,
  [SMALL_STATE(1236)] = 90276,
  [SMALL_STATE(1237)] = 90387,
  [SMALL_STATE(1238)] = 90454,
  [SMALL_STATE(1239)] = 90565,
  [SMALL_STATE(1240)] = 90676,
  [SMALL_STATE(1241)] = 90787,
  [SMALL_STATE(1242)] = 90898,
  [SMALL_STATE(1243)] = 91009,
  [SMALL_STATE(1244)] = 91120,
  [SMALL_STATE(1245)] = 91215,
  [SMALL_STATE(1246)] = 91326,
  [SMALL_STATE(1247)] = 91437,
  [SMALL_STATE(1248)] = 91504,
  [SMALL_STATE(1249)] = 91565,
  [SMALL_STATE(1250)] = 91676,
  [SMALL_STATE(1251)] = 91787,
  [SMALL_STATE(1252)] = 91898,
  [SMALL_STATE(1253)] = 92009,
  [SMALL_STATE(1254)] = 92120,
  [SMALL_STATE(1255)] = 92231,
  [SMALL_STATE(1256)] = 92342,
  [SMALL_STATE(1257)] = 92453,
  [SMALL_STATE(1258)] = 92564,
  [SMALL_STATE(1259)] = 92675,
  [SMALL_STATE(1260)] = 92786,
  [SMALL_STATE(1261)] = 92897,
  [SMALL_STATE(1262)] = 93008,
  [SMALL_STATE(1263)] = 93119,
  [SMALL_STATE(1264)] = 93230,
  [SMALL_STATE(1265)] = 93291,
  [SMALL_STATE(1266)] = 93402,
  [SMALL_STATE(1267)] = 93463,
  [SMALL_STATE(1268)] = 93574,
  [SMALL_STATE(1269)] = 93635,
  [SMALL_STATE(1270)] = 93696,
  [SMALL_STATE(1271)] = 93807,
  [SMALL_STATE(1272)] = 93918,
  [SMALL_STATE(1273)] = 94029,
  [SMALL_STATE(1274)] = 94140,
  [SMALL_STATE(1275)] = 94201,
  [SMALL_STATE(1276)] = 94312,
  [SMALL_STATE(1277)] = 94423,
  [SMALL_STATE(1278)] = 94534,
  [SMALL_STATE(1279)] = 94645,
  [SMALL_STATE(1280)] = 94756,
  [SMALL_STATE(1281)] = 94867,
  [SMALL_STATE(1282)] = 94978,
  [SMALL_STATE(1283)] = 95089,
  [SMALL_STATE(1284)] = 95154,
  [SMALL_STATE(1285)] = 95265,
  [SMALL_STATE(1286)] = 95376,
  [SMALL_STATE(1287)] = 95487,
  [SMALL_STATE(1288)] = 95598,
  [SMALL_STATE(1289)] = 95709,
  [SMALL_STATE(1290)] = 95820,
  [SMALL_STATE(1291)] = 95931,
  [SMALL_STATE(1292)] = 96042,
  [SMALL_STATE(1293)] = 96153,
  [SMALL_STATE(1294)] = 96264,
  [SMALL_STATE(1295)] = 96375,
  [SMALL_STATE(1296)] = 96486,
  [SMALL_STATE(1297)] = 96597,
  [SMALL_STATE(1298)] = 96708,
  [SMALL_STATE(1299)] = 96819,
  [SMALL_STATE(1300)] = 96930,
  [SMALL_STATE(1301)] = 97041,
  [SMALL_STATE(1302)] = 97152,
  [SMALL_STATE(1303)] = 97263,
  [SMALL_STATE(1304)] = 97374,
  [SMALL_STATE(1305)] = 97485,
  [SMALL_STATE(1306)] = 97596,
  [SMALL_STATE(1307)] = 97707,
  [SMALL_STATE(1308)] = 97818,
  [SMALL_STATE(1309)] = 97929,
  [SMALL_STATE(1310)] = 98040,
  [SMALL_STATE(1311)] = 98151,
  [SMALL_STATE(1312)] = 98262,
  [SMALL_STATE(1313)] = 98373,
  [SMALL_STATE(1314)] = 98484,
  [SMALL_STATE(1315)] = 98595,
  [SMALL_STATE(1316)] = 98706,
  [SMALL_STATE(1317)] = 98775,
  [SMALL_STATE(1318)] = 98886,
  [SMALL_STATE(1319)] = 98997,
  [SMALL_STATE(1320)] = 99108,
  [SMALL_STATE(1321)] = 99219,
  [SMALL_STATE(1322)] = 99330,
  [SMALL_STATE(1323)] = 99441,
  [SMALL_STATE(1324)] = 99552,
  [SMALL_STATE(1325)] = 99663,
  [SMALL_STATE(1326)] = 99774,
  [SMALL_STATE(1327)] = 99885,
  [SMALL_STATE(1328)] = 99996,
  [SMALL_STATE(1329)] = 100107,
  [SMALL_STATE(1330)] = 100218,
  [SMALL_STATE(1331)] = 100329,
  [SMALL_STATE(1332)] = 100440,
  [SMALL_STATE(1333)] = 100551,
  [SMALL_STATE(1334)] = 100662,
  [SMALL_STATE(1335)] = 100773,
  [SMALL_STATE(1336)] = 100884,
  [SMALL_STATE(1337)] = 100995,
  [SMALL_STATE(1338)] = 101106,
  [SMALL_STATE(1339)] = 101219,
  [SMALL_STATE(1340)] = 101330,
  [SMALL_STATE(1341)] = 101441,
  [SMALL_STATE(1342)] = 101552,
  [SMALL_STATE(1343)] = 101663,
  [SMALL_STATE(1344)] = 101774,
  [SMALL_STATE(1345)] = 101885,
  [SMALL_STATE(1346)] = 101996,
  [SMALL_STATE(1347)] = 102107,
  [SMALL_STATE(1348)] = 102218,
  [SMALL_STATE(1349)] = 102329,
  [SMALL_STATE(1350)] = 102440,
  [SMALL_STATE(1351)] = 102551,
  [SMALL_STATE(1352)] = 102662,
  [SMALL_STATE(1353)] = 102775,
  [SMALL_STATE(1354)] = 102886,
  [SMALL_STATE(1355)] = 102999,
  [SMALL_STATE(1356)] = 103110,
  [SMALL_STATE(1357)] = 103175,
  [SMALL_STATE(1358)] = 103286,
  [SMALL_STATE(1359)] = 103399,
  [SMALL_STATE(1360)] = 103512,
  [SMALL_STATE(1361)] = 103623,
  [SMALL_STATE(1362)] = 103736,
  [SMALL_STATE(1363)] = 103847,
  [SMALL_STATE(1364)] = 103960,
  [SMALL_STATE(1365)] = 104071,
  [SMALL_STATE(1366)] = 104182,
  [SMALL_STATE(1367)] = 104293,
  [SMALL_STATE(1368)] = 104404,
  [SMALL_STATE(1369)] = 104515,
  [SMALL_STATE(1370)] = 104626,
  [SMALL_STATE(1371)] = 104737,
  [SMALL_STATE(1372)] = 104848,
  [SMALL_STATE(1373)] = 104959,
  [SMALL_STATE(1374)] = 105070,
  [SMALL_STATE(1375)] = 105181,
  [SMALL_STATE(1376)] = 105292,
  [SMALL_STATE(1377)] = 105403,
  [SMALL_STATE(1378)] = 105514,
  [SMALL_STATE(1379)] = 105625,
  [SMALL_STATE(1380)] = 105736,
  [SMALL_STATE(1381)] = 105847,
  [SMALL_STATE(1382)] = 105958,
  [SMALL_STATE(1383)] = 106069,
  [SMALL_STATE(1384)] = 106182,
  [SMALL_STATE(1385)] = 106293,
  [SMALL_STATE(1386)] = 106406,
  [SMALL_STATE(1387)] = 106517,
  [SMALL_STATE(1388)] = 106628,
  [SMALL_STATE(1389)] = 106739,
  [SMALL_STATE(1390)] = 106850,
  [SMALL_STATE(1391)] = 106961,
  [SMALL_STATE(1392)] = 107072,
  [SMALL_STATE(1393)] = 107183,
  [SMALL_STATE(1394)] = 107294,
  [SMALL_STATE(1395)] = 107405,
  [SMALL_STATE(1396)] = 107474,
  [SMALL_STATE(1397)] = 107585,
  [SMALL_STATE(1398)] = 107696,
  [SMALL_STATE(1399)] = 107807,
  [SMALL_STATE(1400)] = 107918,
  [SMALL_STATE(1401)] = 108029,
  [SMALL_STATE(1402)] = 108140,
  [SMALL_STATE(1403)] = 108251,
  [SMALL_STATE(1404)] = 108362,
  [SMALL_STATE(1405)] = 108473,
  [SMALL_STATE(1406)] = 108584,
  [SMALL_STATE(1407)] = 108695,
  [SMALL_STATE(1408)] = 108806,
  [SMALL_STATE(1409)] = 108917,
  [SMALL_STATE(1410)] = 109028,
  [SMALL_STATE(1411)] = 109139,
  [SMALL_STATE(1412)] = 109250,
  [SMALL_STATE(1413)] = 109361,
  [SMALL_STATE(1414)] = 109472,
  [SMALL_STATE(1415)] = 109583,
  [SMALL_STATE(1416)] = 109694,
  [SMALL_STATE(1417)] = 109805,
  [SMALL_STATE(1418)] = 109916,
  [SMALL_STATE(1419)] = 110027,
  [SMALL_STATE(1420)] = 110138,
  [SMALL_STATE(1421)] = 110249,
  [SMALL_STATE(1422)] = 110360,
  [SMALL_STATE(1423)] = 110471,
  [SMALL_STATE(1424)] = 110582,
  [SMALL_STATE(1425)] = 110693,
  [SMALL_STATE(1426)] = 110804,
  [SMALL_STATE(1427)] = 110915,
  [SMALL_STATE(1428)] = 111026,
  [SMALL_STATE(1429)] = 111137,
  [SMALL_STATE(1430)] = 111248,
  [SMALL_STATE(1431)] = 111359,
  [SMALL_STATE(1432)] = 111470,
  [SMALL_STATE(1433)] = 111581,
  [SMALL_STATE(1434)] = 111692,
  [SMALL_STATE(1435)] = 111803,
  [SMALL_STATE(1436)] = 111914,
  [SMALL_STATE(1437)] = 112025,
  [SMALL_STATE(1438)] = 112136,
  [SMALL_STATE(1439)] = 112247,
  [SMALL_STATE(1440)] = 112358,
  [SMALL_STATE(1441)] = 112469,
  [SMALL_STATE(1442)] = 112580,
  [SMALL_STATE(1443)] = 112691,
  [SMALL_STATE(1444)] = 112802,
  [SMALL_STATE(1445)] = 112913,
  [SMALL_STATE(1446)] = 113024,
  [SMALL_STATE(1447)] = 113137,
  [SMALL_STATE(1448)] = 113248,
  [SMALL_STATE(1449)] = 113359,
  [SMALL_STATE(1450)] = 113470,
  [SMALL_STATE(1451)] = 113535,
  [SMALL_STATE(1452)] = 113646,
  [SMALL_STATE(1453)] = 113757,
  [SMALL_STATE(1454)] = 113868,
  [SMALL_STATE(1455)] = 113979,
  [SMALL_STATE(1456)] = 114090,
  [SMALL_STATE(1457)] = 114201,
  [SMALL_STATE(1458)] = 114312,
  [SMALL_STATE(1459)] = 114423,
  [SMALL_STATE(1460)] = 114534,
  [SMALL_STATE(1461)] = 114645,
  [SMALL_STATE(1462)] = 114756,
  [SMALL_STATE(1463)] = 114867,
  [SMALL_STATE(1464)] = 114978,
  [SMALL_STATE(1465)] = 115051,
  [SMALL_STATE(1466)] = 115138,
  [SMALL_STATE(1467)] = 115249,
  [SMALL_STATE(1468)] = 115360,
  [SMALL_STATE(1469)] = 115427,
  [SMALL_STATE(1470)] = 115538,
  [SMALL_STATE(1471)] = 115637,
  [SMALL_STATE(1472)] = 115748,
  [SMALL_STATE(1473)] = 115859,
  [SMALL_STATE(1474)] = 115956,
  [SMALL_STATE(1475)] = 116067,
  [SMALL_STATE(1476)] = 116178,
  [SMALL_STATE(1477)] = 116289,
  [SMALL_STATE(1478)] = 116400,
  [SMALL_STATE(1479)] = 116511,
  [SMALL_STATE(1480)] = 116622,
  [SMALL_STATE(1481)] = 116733,
  [SMALL_STATE(1482)] = 116844,
  [SMALL_STATE(1483)] = 116955,
  [SMALL_STATE(1484)] = 117066,
  [SMALL_STATE(1485)] = 117177,
  [SMALL_STATE(1486)] = 117290,
  [SMALL_STATE(1487)] = 117401,
  [SMALL_STATE(1488)] = 117512,
  [SMALL_STATE(1489)] = 117623,
  [SMALL_STATE(1490)] = 117734,
  [SMALL_STATE(1491)] = 117845,
  [SMALL_STATE(1492)] = 117956,
  [SMALL_STATE(1493)] = 118067,
  [SMALL_STATE(1494)] = 118178,
  [SMALL_STATE(1495)] = 118289,
  [SMALL_STATE(1496)] = 118400,
  [SMALL_STATE(1497)] = 118511,
  [SMALL_STATE(1498)] = 118622,
  [SMALL_STATE(1499)] = 118733,
  [SMALL_STATE(1500)] = 118844,
  [SMALL_STATE(1501)] = 118955,
  [SMALL_STATE(1502)] = 119066,
  [SMALL_STATE(1503)] = 119177,
  [SMALL_STATE(1504)] = 119288,
  [SMALL_STATE(1505)] = 119399,
  [SMALL_STATE(1506)] = 119510,
  [SMALL_STATE(1507)] = 119621,
  [SMALL_STATE(1508)] = 119732,
  [SMALL_STATE(1509)] = 119843,
  [SMALL_STATE(1510)] = 119954,
  [SMALL_STATE(1511)] = 120065,
  [SMALL_STATE(1512)] = 120176,
  [SMALL_STATE(1513)] = 120287,
  [SMALL_STATE(1514)] = 120398,
  [SMALL_STATE(1515)] = 120509,
  [SMALL_STATE(1516)] = 120620,
  [SMALL_STATE(1517)] = 120731,
  [SMALL_STATE(1518)] = 120842,
  [SMALL_STATE(1519)] = 120953,
  [SMALL_STATE(1520)] = 121064,
  [SMALL_STATE(1521)] = 121175,
  [SMALL_STATE(1522)] = 121286,
  [SMALL_STATE(1523)] = 121397,
  [SMALL_STATE(1524)] = 121458,
  [SMALL_STATE(1525)] = 121569,
  [SMALL_STATE(1526)] = 121680,
  [SMALL_STATE(1527)] = 121791,
  [SMALL_STATE(1528)] = 121904,
  [SMALL_STATE(1529)] = 122015,
  [SMALL_STATE(1530)] = 122126,
  [SMALL_STATE(1531)] = 122237,
  [SMALL_STATE(1532)] = 122302,
  [SMALL_STATE(1533)] = 122413,
  [SMALL_STATE(1534)] = 122524,
  [SMALL_STATE(1535)] = 122635,
  [SMALL_STATE(1536)] = 122746,
  [SMALL_STATE(1537)] = 122811,
  [SMALL_STATE(1538)] = 122922,
  [SMALL_STATE(1539)] = 123033,
  [SMALL_STATE(1540)] = 123144,
  [SMALL_STATE(1541)] = 123255,
  [SMALL_STATE(1542)] = 123368,
  [SMALL_STATE(1543)] = 123479,
  [SMALL_STATE(1544)] = 123544,
  [SMALL_STATE(1545)] = 123609,
  [SMALL_STATE(1546)] = 123720,
  [SMALL_STATE(1547)] = 123831,
  [SMALL_STATE(1548)] = 123942,
  [SMALL_STATE(1549)] = 124053,
  [SMALL_STATE(1550)] = 124164,
  [SMALL_STATE(1551)] = 124265,
  [SMALL_STATE(1552)] = 124376,
  [SMALL_STATE(1553)] = 124487,
  [SMALL_STATE(1554)] = 124598,
  [SMALL_STATE(1555)] = 124709,
  [SMALL_STATE(1556)] = 124820,
  [SMALL_STATE(1557)] = 124885,
  [SMALL_STATE(1558)] = 124950,
  [SMALL_STATE(1559)] = 125061,
  [SMALL_STATE(1560)] = 125162,
  [SMALL_STATE(1561)] = 125273,
  [SMALL_STATE(1562)] = 125384,
  [SMALL_STATE(1563)] = 125485,
  [SMALL_STATE(1564)] = 125550,
  [SMALL_STATE(1565)] = 125615,
  [SMALL_STATE(1566)] = 125726,
  [SMALL_STATE(1567)] = 125837,
  [SMALL_STATE(1568)] = 125902,
  [SMALL_STATE(1569)] = 126013,
  [SMALL_STATE(1570)] = 126124,
  [SMALL_STATE(1571)] = 126189,
  [SMALL_STATE(1572)] = 126300,
  [SMALL_STATE(1573)] = 126365,
  [SMALL_STATE(1574)] = 126476,
  [SMALL_STATE(1575)] = 126541,
  [SMALL_STATE(1576)] = 126606,
  [SMALL_STATE(1577)] = 126671,
  [SMALL_STATE(1578)] = 126782,
  [SMALL_STATE(1579)] = 126893,
  [SMALL_STATE(1580)] = 127004,
  [SMALL_STATE(1581)] = 127105,
  [SMALL_STATE(1582)] = 127216,
  [SMALL_STATE(1583)] = 127281,
  [SMALL_STATE(1584)] = 127346,
  [SMALL_STATE(1585)] = 127457,
  [SMALL_STATE(1586)] = 127522,
  [SMALL_STATE(1587)] = 127633,
  [SMALL_STATE(1588)] = 127744,
  [SMALL_STATE(1589)] = 127809,
  [SMALL_STATE(1590)] = 127920,
  [SMALL_STATE(1591)] = 128031,
  [SMALL_STATE(1592)] = 128142,
  [SMALL_STATE(1593)] = 128253,
  [SMALL_STATE(1594)] = 128364,
  [SMALL_STATE(1595)] = 128477,
  [SMALL_STATE(1596)] = 128578,
  [SMALL_STATE(1597)] = 128689,
  [SMALL_STATE(1598)] = 128800,
  [SMALL_STATE(1599)] = 128913,
  [SMALL_STATE(1600)] = 129024,
  [SMALL_STATE(1601)] = 129135,
  [SMALL_STATE(1602)] = 129246,
  [SMALL_STATE(1603)] = 129357,
  [SMALL_STATE(1604)] = 129468,
  [SMALL_STATE(1605)] = 129579,
  [SMALL_STATE(1606)] = 129690,
  [SMALL_STATE(1607)] = 129801,
  [SMALL_STATE(1608)] = 129912,
  [SMALL_STATE(1609)] = 130023,
  [SMALL_STATE(1610)] = 130134,
  [SMALL_STATE(1611)] = 130245,
  [SMALL_STATE(1612)] = 130356,
  [SMALL_STATE(1613)] = 130467,
  [SMALL_STATE(1614)] = 130568,
  [SMALL_STATE(1615)] = 130679,
  [SMALL_STATE(1616)] = 130790,
  [SMALL_STATE(1617)] = 130901,
  [SMALL_STATE(1618)] = 131012,
  [SMALL_STATE(1619)] = 131123,
  [SMALL_STATE(1620)] = 131234,
  [SMALL_STATE(1621)] = 131345,
  [SMALL_STATE(1622)] = 131410,
  [SMALL_STATE(1623)] = 131521,
  [SMALL_STATE(1624)] = 131632,
  [SMALL_STATE(1625)] = 131743,
  [SMALL_STATE(1626)] = 131854,
  [SMALL_STATE(1627)] = 131965,
  [SMALL_STATE(1628)] = 132076,
  [SMALL_STATE(1629)] = 132187,
  [SMALL_STATE(1630)] = 132298,
  [SMALL_STATE(1631)] = 132409,
  [SMALL_STATE(1632)] = 132520,
  [SMALL_STATE(1633)] = 132631,
  [SMALL_STATE(1634)] = 132742,
  [SMALL_STATE(1635)] = 132855,
  [SMALL_STATE(1636)] = 132966,
  [SMALL_STATE(1637)] = 133077,
  [SMALL_STATE(1638)] = 133188,
  [SMALL_STATE(1639)] = 133299,
  [SMALL_STATE(1640)] = 133410,
  [SMALL_STATE(1641)] = 133521,
  [SMALL_STATE(1642)] = 133632,
  [SMALL_STATE(1643)] = 133743,
  [SMALL_STATE(1644)] = 133854,
  [SMALL_STATE(1645)] = 133965,
  [SMALL_STATE(1646)] = 134076,
  [SMALL_STATE(1647)] = 134187,
  [SMALL_STATE(1648)] = 134298,
  [SMALL_STATE(1649)] = 134409,
  [SMALL_STATE(1650)] = 134520,
  [SMALL_STATE(1651)] = 134633,
  [SMALL_STATE(1652)] = 134744,
  [SMALL_STATE(1653)] = 134855,
  [SMALL_STATE(1654)] = 134966,
  [SMALL_STATE(1655)] = 135031,
  [SMALL_STATE(1656)] = 135142,
  [SMALL_STATE(1657)] = 135243,
  [SMALL_STATE(1658)] = 135354,
  [SMALL_STATE(1659)] = 135465,
  [SMALL_STATE(1660)] = 135576,
  [SMALL_STATE(1661)] = 135687,
  [SMALL_STATE(1662)] = 135800,
  [SMALL_STATE(1663)] = 135911,
  [SMALL_STATE(1664)] = 136022,
  [SMALL_STATE(1665)] = 136133,
  [SMALL_STATE(1666)] = 136244,
  [SMALL_STATE(1667)] = 136309,
  [SMALL_STATE(1668)] = 136420,
  [SMALL_STATE(1669)] = 136531,
  [SMALL_STATE(1670)] = 136632,
  [SMALL_STATE(1671)] = 136743,
  [SMALL_STATE(1672)] = 136854,
  [SMALL_STATE(1673)] = 136965,
  [SMALL_STATE(1674)] = 137076,
  [SMALL_STATE(1675)] = 137187,
  [SMALL_STATE(1676)] = 137298,
  [SMALL_STATE(1677)] = 137409,
  [SMALL_STATE(1678)] = 137480,
  [SMALL_STATE(1679)] = 137593,
  [SMALL_STATE(1680)] = 137704,
  [SMALL_STATE(1681)] = 137815,
  [SMALL_STATE(1682)] = 137926,
  [SMALL_STATE(1683)] = 138037,
  [SMALL_STATE(1684)] = 138148,
  [SMALL_STATE(1685)] = 138259,
  [SMALL_STATE(1686)] = 138370,
  [SMALL_STATE(1687)] = 138481,
  [SMALL_STATE(1688)] = 138592,
  [SMALL_STATE(1689)] = 138703,
  [SMALL_STATE(1690)] = 138814,
  [SMALL_STATE(1691)] = 138925,
  [SMALL_STATE(1692)] = 139036,
  [SMALL_STATE(1693)] = 139097,
  [SMALL_STATE(1694)] = 139198,
  [SMALL_STATE(1695)] = 139309,
  [SMALL_STATE(1696)] = 139420,
  [SMALL_STATE(1697)] = 139489,
  [SMALL_STATE(1698)] = 139600,
  [SMALL_STATE(1699)] = 139711,
  [SMALL_STATE(1700)] = 139822,
  [SMALL_STATE(1701)] = 139933,
  [SMALL_STATE(1702)] = 140044,
  [SMALL_STATE(1703)] = 140155,
  [SMALL_STATE(1704)] = 140266,
  [SMALL_STATE(1705)] = 140377,
  [SMALL_STATE(1706)] = 140442,
  [SMALL_STATE(1707)] = 140511,
  [SMALL_STATE(1708)] = 140622,
  [SMALL_STATE(1709)] = 140733,
  [SMALL_STATE(1710)] = 140844,
  [SMALL_STATE(1711)] = 140955,
  [SMALL_STATE(1712)] = 141066,
  [SMALL_STATE(1713)] = 141177,
  [SMALL_STATE(1714)] = 141288,
  [SMALL_STATE(1715)] = 141399,
  [SMALL_STATE(1716)] = 141510,
  [SMALL_STATE(1717)] = 141621,
  [SMALL_STATE(1718)] = 141732,
  [SMALL_STATE(1719)] = 141843,
  [SMALL_STATE(1720)] = 141954,
  [SMALL_STATE(1721)] = 142065,
  [SMALL_STATE(1722)] = 142176,
  [SMALL_STATE(1723)] = 142287,
  [SMALL_STATE(1724)] = 142398,
  [SMALL_STATE(1725)] = 142509,
  [SMALL_STATE(1726)] = 142620,
  [SMALL_STATE(1727)] = 142731,
  [SMALL_STATE(1728)] = 142842,
  [SMALL_STATE(1729)] = 142953,
  [SMALL_STATE(1730)] = 143064,
  [SMALL_STATE(1731)] = 143175,
  [SMALL_STATE(1732)] = 143286,
  [SMALL_STATE(1733)] = 143397,
  [SMALL_STATE(1734)] = 143508,
  [SMALL_STATE(1735)] = 143619,
  [SMALL_STATE(1736)] = 143730,
  [SMALL_STATE(1737)] = 143841,
  [SMALL_STATE(1738)] = 143952,
  [SMALL_STATE(1739)] = 144063,
  [SMALL_STATE(1740)] = 144174,
  [SMALL_STATE(1741)] = 144285,
  [SMALL_STATE(1742)] = 144396,
  [SMALL_STATE(1743)] = 144507,
  [SMALL_STATE(1744)] = 144618,
  [SMALL_STATE(1745)] = 144729,
  [SMALL_STATE(1746)] = 144840,
  [SMALL_STATE(1747)] = 144951,
  [SMALL_STATE(1748)] = 145062,
  [SMALL_STATE(1749)] = 145173,
  [SMALL_STATE(1750)] = 145284,
  [SMALL_STATE(1751)] = 145395,
  [SMALL_STATE(1752)] = 145506,
  [SMALL_STATE(1753)] = 145617,
  [SMALL_STATE(1754)] = 145728,
  [SMALL_STATE(1755)] = 145839,
  [SMALL_STATE(1756)] = 145950,
  [SMALL_STATE(1757)] = 146061,
  [SMALL_STATE(1758)] = 146172,
  [SMALL_STATE(1759)] = 146283,
  [SMALL_STATE(1760)] = 146396,
  [SMALL_STATE(1761)] = 146497,
  [SMALL_STATE(1762)] = 146610,
  [SMALL_STATE(1763)] = 146721,
  [SMALL_STATE(1764)] = 146834,
  [SMALL_STATE(1765)] = 146945,
  [SMALL_STATE(1766)] = 147058,
  [SMALL_STATE(1767)] = 147171,
  [SMALL_STATE(1768)] = 147284,
  [SMALL_STATE(1769)] = 147397,
  [SMALL_STATE(1770)] = 147508,
  [SMALL_STATE(1771)] = 147619,
  [SMALL_STATE(1772)] = 147732,
  [SMALL_STATE(1773)] = 147843,
  [SMALL_STATE(1774)] = 147954,
  [SMALL_STATE(1775)] = 148065,
  [SMALL_STATE(1776)] = 148176,
  [SMALL_STATE(1777)] = 148287,
  [SMALL_STATE(1778)] = 148398,
  [SMALL_STATE(1779)] = 148509,
  [SMALL_STATE(1780)] = 148620,
  [SMALL_STATE(1781)] = 148731,
  [SMALL_STATE(1782)] = 148802,
  [SMALL_STATE(1783)] = 148913,
  [SMALL_STATE(1784)] = 149024,
  [SMALL_STATE(1785)] = 149135,
  [SMALL_STATE(1786)] = 149246,
  [SMALL_STATE(1787)] = 149359,
  [SMALL_STATE(1788)] = 149470,
  [SMALL_STATE(1789)] = 149583,
  [SMALL_STATE(1790)] = 149694,
  [SMALL_STATE(1791)] = 149775,
  [SMALL_STATE(1792)] = 149886,
  [SMALL_STATE(1793)] = 149999,
  [SMALL_STATE(1794)] = 150064,
  [SMALL_STATE(1795)] = 150175,
  [SMALL_STATE(1796)] = 150286,
  [SMALL_STATE(1797)] = 150397,
  [SMALL_STATE(1798)] = 150508,
  [SMALL_STATE(1799)] = 150619,
  [SMALL_STATE(1800)] = 150730,
  [SMALL_STATE(1801)] = 150841,
  [SMALL_STATE(1802)] = 150952,
  [SMALL_STATE(1803)] = 151063,
  [SMALL_STATE(1804)] = 151174,
  [SMALL_STATE(1805)] = 151285,
  [SMALL_STATE(1806)] = 151396,
  [SMALL_STATE(1807)] = 151507,
  [SMALL_STATE(1808)] = 151618,
  [SMALL_STATE(1809)] = 151729,
  [SMALL_STATE(1810)] = 151794,
  [SMALL_STATE(1811)] = 151895,
  [SMALL_STATE(1812)] = 152006,
  [SMALL_STATE(1813)] = 152117,
  [SMALL_STATE(1814)] = 152228,
  [SMALL_STATE(1815)] = 152339,
  [SMALL_STATE(1816)] = 152450,
  [SMALL_STATE(1817)] = 152561,
  [SMALL_STATE(1818)] = 152672,
  [SMALL_STATE(1819)] = 152783,
  [SMALL_STATE(1820)] = 152894,
  [SMALL_STATE(1821)] = 153005,
  [SMALL_STATE(1822)] = 153106,
  [SMALL_STATE(1823)] = 153217,
  [SMALL_STATE(1824)] = 153328,
  [SMALL_STATE(1825)] = 153439,
  [SMALL_STATE(1826)] = 153550,
  [SMALL_STATE(1827)] = 153661,
  [SMALL_STATE(1828)] = 153762,
  [SMALL_STATE(1829)] = 153873,
  [SMALL_STATE(1830)] = 153984,
  [SMALL_STATE(1831)] = 154095,
  [SMALL_STATE(1832)] = 154206,
  [SMALL_STATE(1833)] = 154317,
  [SMALL_STATE(1834)] = 154428,
  [SMALL_STATE(1835)] = 154539,
  [SMALL_STATE(1836)] = 154650,
  [SMALL_STATE(1837)] = 154761,
  [SMALL_STATE(1838)] = 154827,
  [SMALL_STATE(1839)] = 154891,
  [SMALL_STATE(1840)] = 154955,
  [SMALL_STATE(1841)] = 155021,
  [SMALL_STATE(1842)] = 155087,
  [SMALL_STATE(1843)] = 155153,
  [SMALL_STATE(1844)] = 155219,
  [SMALL_STATE(1845)] = 155283,
  [SMALL_STATE(1846)] = 155347,
  [SMALL_STATE(1847)] = 155413,
  [SMALL_STATE(1848)] = 155479,
  [SMALL_STATE(1849)] = 155545,
  [SMALL_STATE(1850)] = 155607,
  [SMALL_STATE(1851)] = 155719,
  [SMALL_STATE(1852)] = 155785,
  [SMALL_STATE(1853)] = 155847,
  [SMALL_STATE(1854)] = 155909,
  [SMALL_STATE(1855)] = 155969,
  [SMALL_STATE(1856)] = 156033,
  [SMALL_STATE(1857)] = 156093,
  [SMALL_STATE(1858)] = 156157,
  [SMALL_STATE(1859)] = 156223,
  [SMALL_STATE(1860)] = 156283,
  [SMALL_STATE(1861)] = 156351,
  [SMALL_STATE(1862)] = 156415,
  [SMALL_STATE(1863)] = 156483,
  [SMALL_STATE(1864)] = 156547,
  [SMALL_STATE(1865)] = 156611,
  [SMALL_STATE(1866)] = 156671,
  [SMALL_STATE(1867)] = 156737,
  [SMALL_STATE(1868)] = 156803,
  [SMALL_STATE(1869)] = 156869,
  [SMALL_STATE(1870)] = 156933,
  [SMALL_STATE(1871)] = 156997,
  [SMALL_STATE(1872)] = 157057,
  [SMALL_STATE(1873)] = 157121,
  [SMALL_STATE(1874)] = 157187,
  [SMALL_STATE(1875)] = 157253,
  [SMALL_STATE(1876)] = 157317,
  [SMALL_STATE(1877)] = 157377,
  [SMALL_STATE(1878)] = 157443,
  [SMALL_STATE(1879)] = 157507,
  [SMALL_STATE(1880)] = 157571,
  [SMALL_STATE(1881)] = 157635,
  [SMALL_STATE(1882)] = 157695,
  [SMALL_STATE(1883)] = 157755,
  [SMALL_STATE(1884)] = 157821,
  [SMALL_STATE(1885)] = 157881,
  [SMALL_STATE(1886)] = 157941,
  [SMALL_STATE(1887)] = 158007,
  [SMALL_STATE(1888)] = 158067,
  [SMALL_STATE(1889)] = 158135,
  [SMALL_STATE(1890)] = 158195,
  [SMALL_STATE(1891)] = 158261,
  [SMALL_STATE(1892)] = 158329,
  [SMALL_STATE(1893)] = 158393,
  [SMALL_STATE(1894)] = 158455,
  [SMALL_STATE(1895)] = 158519,
  [SMALL_STATE(1896)] = 158579,
  [SMALL_STATE(1897)] = 158643,
  [SMALL_STATE(1898)] = 158707,
  [SMALL_STATE(1899)] = 158769,
  [SMALL_STATE(1900)] = 158835,
  [SMALL_STATE(1901)] = 158903,
  [SMALL_STATE(1902)] = 158967,
  [SMALL_STATE(1903)] = 159031,
  [SMALL_STATE(1904)] = 159095,
  [SMALL_STATE(1905)] = 159159,
  [SMALL_STATE(1906)] = 159223,
  [SMALL_STATE(1907)] = 159287,
  [SMALL_STATE(1908)] = 159351,
  [SMALL_STATE(1909)] = 159415,
  [SMALL_STATE(1910)] = 159479,
  [SMALL_STATE(1911)] = 159543,
  [SMALL_STATE(1912)] = 159607,
  [SMALL_STATE(1913)] = 159671,
  [SMALL_STATE(1914)] = 159735,
  [SMALL_STATE(1915)] = 159799,
  [SMALL_STATE(1916)] = 159863,
  [SMALL_STATE(1917)] = 159927,
  [SMALL_STATE(1918)] = 159991,
  [SMALL_STATE(1919)] = 160055,
  [SMALL_STATE(1920)] = 160140,
  [SMALL_STATE(1921)] = 160199,
  [SMALL_STATE(1922)] = 160258,
  [SMALL_STATE(1923)] = 160317,
  [SMALL_STATE(1924)] = 160376,
  [SMALL_STATE(1925)] = 160439,
  [SMALL_STATE(1926)] = 160500,
  [SMALL_STATE(1927)] = 160559,
  [SMALL_STATE(1928)] = 160618,
  [SMALL_STATE(1929)] = 160681,
  [SMALL_STATE(1930)] = 160744,
  [SMALL_STATE(1931)] = 160805,
  [SMALL_STATE(1932)] = 160868,
  [SMALL_STATE(1933)] = 160929,
  [SMALL_STATE(1934)] = 160990,
  [SMALL_STATE(1935)] = 161051,
  [SMALL_STATE(1936)] = 161114,
  [SMALL_STATE(1937)] = 161177,
  [SMALL_STATE(1938)] = 161238,
  [SMALL_STATE(1939)] = 161299,
  [SMALL_STATE(1940)] = 161360,
  [SMALL_STATE(1941)] = 161421,
  [SMALL_STATE(1942)] = 161482,
  [SMALL_STATE(1943)] = 161545,
  [SMALL_STATE(1944)] = 161614,
  [SMALL_STATE(1945)] = 161693,
  [SMALL_STATE(1946)] = 161752,
  [SMALL_STATE(1947)] = 161811,
  [SMALL_STATE(1948)] = 161872,
  [SMALL_STATE(1949)] = 161957,
  [SMALL_STATE(1950)] = 162022,
  [SMALL_STATE(1951)] = 162083,
  [SMALL_STATE(1952)] = 162144,
  [SMALL_STATE(1953)] = 162205,
  [SMALL_STATE(1954)] = 162266,
  [SMALL_STATE(1955)] = 162325,
  [SMALL_STATE(1956)] = 162386,
  [SMALL_STATE(1957)] = 162497,
  [SMALL_STATE(1958)] = 162560,
  [SMALL_STATE(1959)] = 162619,
  [SMALL_STATE(1960)] = 162678,
  [SMALL_STATE(1961)] = 162737,
  [SMALL_STATE(1962)] = 162806,
  [SMALL_STATE(1963)] = 162869,
  [SMALL_STATE(1964)] = 162948,
  [SMALL_STATE(1965)] = 163011,
  [SMALL_STATE(1966)] = 163074,
  [SMALL_STATE(1967)] = 163169,
  [SMALL_STATE(1968)] = 163232,
  [SMALL_STATE(1969)] = 163329,
  [SMALL_STATE(1970)] = 163394,
  [SMALL_STATE(1971)] = 163465,
  [SMALL_STATE(1972)] = 163528,
  [SMALL_STATE(1973)] = 163589,
  [SMALL_STATE(1974)] = 163650,
  [SMALL_STATE(1975)] = 163711,
  [SMALL_STATE(1976)] = 163772,
  [SMALL_STATE(1977)] = 163833,
  [SMALL_STATE(1978)] = 163894,
  [SMALL_STATE(1979)] = 163973,
  [SMALL_STATE(1980)] = 164048,
  [SMALL_STATE(1981)] = 164119,
  [SMALL_STATE(1982)] = 164188,
  [SMALL_STATE(1983)] = 164277,
  [SMALL_STATE(1984)] = 164340,
  [SMALL_STATE(1985)] = 164401,
  [SMALL_STATE(1986)] = 164464,
  [SMALL_STATE(1987)] = 164523,
  [SMALL_STATE(1988)] = 164588,
  [SMALL_STATE(1989)] = 164649,
  [SMALL_STATE(1990)] = 164742,
  [SMALL_STATE(1991)] = 164841,
  [SMALL_STATE(1992)] = 164902,
  [SMALL_STATE(1993)] = 164963,
  [SMALL_STATE(1994)] = 165028,
  [SMALL_STATE(1995)] = 165089,
  [SMALL_STATE(1996)] = 165188,
  [SMALL_STATE(1997)] = 165247,
  [SMALL_STATE(1998)] = 165312,
  [SMALL_STATE(1999)] = 165411,
  [SMALL_STATE(2000)] = 165470,
  [SMALL_STATE(2001)] = 165529,
  [SMALL_STATE(2002)] = 165590,
  [SMALL_STATE(2003)] = 165651,
  [SMALL_STATE(2004)] = 165712,
  [SMALL_STATE(2005)] = 165775,
  [SMALL_STATE(2006)] = 165874,
  [SMALL_STATE(2007)] = 165937,
  [SMALL_STATE(2008)] = 166036,
  [SMALL_STATE(2009)] = 166099,
  [SMALL_STATE(2010)] = 166160,
  [SMALL_STATE(2011)] = 166221,
  [SMALL_STATE(2012)] = 166280,
  [SMALL_STATE(2013)] = 166341,
  [SMALL_STATE(2014)] = 166404,
  [SMALL_STATE(2015)] = 166463,
  [SMALL_STATE(2016)] = 166526,
  [SMALL_STATE(2017)] = 166589,
  [SMALL_STATE(2018)] = 166652,
  [SMALL_STATE(2019)] = 166715,
  [SMALL_STATE(2020)] = 166774,
  [SMALL_STATE(2021)] = 166873,
  [SMALL_STATE(2022)] = 166944,
  [SMALL_STATE(2023)] = 167003,
  [SMALL_STATE(2024)] = 167096,
  [SMALL_STATE(2025)] = 167181,
  [SMALL_STATE(2026)] = 167278,
  [SMALL_STATE(2027)] = 167371,
  [SMALL_STATE(2028)] = 167432,
  [SMALL_STATE(2029)] = 167531,
  [SMALL_STATE(2030)] = 167628,
  [SMALL_STATE(2031)] = 167707,
  [SMALL_STATE(2032)] = 167800,
  [SMALL_STATE(2033)] = 167895,
  [SMALL_STATE(2034)] = 167970,
  [SMALL_STATE(2035)] = 168033,
  [SMALL_STATE(2036)] = 168132,
  [SMALL_STATE(2037)] = 168193,
  [SMALL_STATE(2038)] = 168256,
  [SMALL_STATE(2039)] = 168317,
  [SMALL_STATE(2040)] = 168406,
  [SMALL_STATE(2041)] = 168467,
  [SMALL_STATE(2042)] = 168532,
  [SMALL_STATE(2043)] = 168593,
  [SMALL_STATE(2044)] = 168662,
  [SMALL_STATE(2045)] = 168761,
  [SMALL_STATE(2046)] = 168824,
  [SMALL_STATE(2047)] = 168923,
  [SMALL_STATE(2048)] = 169018,
  [SMALL_STATE(2049)] = 169077,
  [SMALL_STATE(2050)] = 169138,
  [SMALL_STATE(2051)] = 169197,
  [SMALL_STATE(2052)] = 169256,
  [SMALL_STATE(2053)] = 169319,
  [SMALL_STATE(2054)] = 169388,
  [SMALL_STATE(2055)] = 169467,
  [SMALL_STATE(2056)] = 169526,
  [SMALL_STATE(2057)] = 169589,
  [SMALL_STATE(2058)] = 169696,
  [SMALL_STATE(2059)] = 169789,
  [SMALL_STATE(2060)] = 169848,
  [SMALL_STATE(2061)] = 169941,
  [SMALL_STATE(2062)] = 170010,
  [SMALL_STATE(2063)] = 170109,
  [SMALL_STATE(2064)] = 170168,
  [SMALL_STATE(2065)] = 170267,
  [SMALL_STATE(2066)] = 170366,
  [SMALL_STATE(2067)] = 170425,
  [SMALL_STATE(2068)] = 170500,
  [SMALL_STATE(2069)] = 170563,
  [SMALL_STATE(2070)] = 170622,
  [SMALL_STATE(2071)] = 170681,
  [SMALL_STATE(2072)] = 170740,
  [SMALL_STATE(2073)] = 170799,
  [SMALL_STATE(2074)] = 170888,
  [SMALL_STATE(2075)] = 170951,
  [SMALL_STATE(2076)] = 171010,
  [SMALL_STATE(2077)] = 171069,
  [SMALL_STATE(2078)] = 171128,
  [SMALL_STATE(2079)] = 171187,
  [SMALL_STATE(2080)] = 171246,
  [SMALL_STATE(2081)] = 171305,
  [SMALL_STATE(2082)] = 171364,
  [SMALL_STATE(2083)] = 171423,
  [SMALL_STATE(2084)] = 171482,
  [SMALL_STATE(2085)] = 171541,
  [SMALL_STATE(2086)] = 171604,
  [SMALL_STATE(2087)] = 171663,
  [SMALL_STATE(2088)] = 171742,
  [SMALL_STATE(2089)] = 171801,
  [SMALL_STATE(2090)] = 171860,
  [SMALL_STATE(2091)] = 171921,
  [SMALL_STATE(2092)] = 171981,
  [SMALL_STATE(2093)] = 172039,
  [SMALL_STATE(2094)] = 172117,
  [SMALL_STATE(2095)] = 172175,
  [SMALL_STATE(2096)] = 172269,
  [SMALL_STATE(2097)] = 172365,
  [SMALL_STATE(2098)] = 172449,
  [SMALL_STATE(2099)] = 172507,
  [SMALL_STATE(2100)] = 172565,
  [SMALL_STATE(2101)] = 172635,
  [SMALL_STATE(2102)] = 172695,
  [SMALL_STATE(2103)] = 172755,
  [SMALL_STATE(2104)] = 172833,
  [SMALL_STATE(2105)] = 172893,
  [SMALL_STATE(2106)] = 172951,
  [SMALL_STATE(2107)] = 173009,
  [SMALL_STATE(2108)] = 173067,
  [SMALL_STATE(2109)] = 173127,
  [SMALL_STATE(2110)] = 173191,
  [SMALL_STATE(2111)] = 173259,
  [SMALL_STATE(2112)] = 173317,
  [SMALL_STATE(2113)] = 173375,
  [SMALL_STATE(2114)] = 173469,
  [SMALL_STATE(2115)] = 173537,
  [SMALL_STATE(2116)] = 173597,
  [SMALL_STATE(2117)] = 173657,
  [SMALL_STATE(2118)] = 173717,
  [SMALL_STATE(2119)] = 173791,
  [SMALL_STATE(2120)] = 173855,
  [SMALL_STATE(2121)] = 173947,
  [SMALL_STATE(2122)] = 174015,
  [SMALL_STATE(2123)] = 174109,
  [SMALL_STATE(2124)] = 174213,
  [SMALL_STATE(2125)] = 174297,
  [SMALL_STATE(2126)] = 174385,
  [SMALL_STATE(2127)] = 174455,
  [SMALL_STATE(2128)] = 174533,
  [SMALL_STATE(2129)] = 174607,
  [SMALL_STATE(2130)] = 174675,
  [SMALL_STATE(2131)] = 174761,
  [SMALL_STATE(2132)] = 174819,
  [SMALL_STATE(2133)] = 174879,
  [SMALL_STATE(2134)] = 174937,
  [SMALL_STATE(2135)] = 175027,
  [SMALL_STATE(2136)] = 175087,
  [SMALL_STATE(2137)] = 175185,
  [SMALL_STATE(2138)] = 175243,
  [SMALL_STATE(2139)] = 175333,
  [SMALL_STATE(2140)] = 175431,
  [SMALL_STATE(2141)] = 175529,
  [SMALL_STATE(2142)] = 175587,
  [SMALL_STATE(2143)] = 175685,
  [SMALL_STATE(2144)] = 175783,
  [SMALL_STATE(2145)] = 175881,
  [SMALL_STATE(2146)] = 175941,
  [SMALL_STATE(2147)] = 176037,
  [SMALL_STATE(2148)] = 176095,
  [SMALL_STATE(2149)] = 176155,
  [SMALL_STATE(2150)] = 176221,
  [SMALL_STATE(2151)] = 176313,
  [SMALL_STATE(2152)] = 176379,
  [SMALL_STATE(2153)] = 176471,
  [SMALL_STATE(2154)] = 176531,
  [SMALL_STATE(2155)] = 176591,
  [SMALL_STATE(2156)] = 176649,
  [SMALL_STATE(2157)] = 176707,
  [SMALL_STATE(2158)] = 176767,
  [SMALL_STATE(2159)] = 176827,
  [SMALL_STATE(2160)] = 176887,
  [SMALL_STATE(2161)] = 176947,
  [SMALL_STATE(2162)] = 177007,
  [SMALL_STATE(2163)] = 177065,
  [SMALL_STATE(2164)] = 177125,
  [SMALL_STATE(2165)] = 177183,
  [SMALL_STATE(2166)] = 177243,
  [SMALL_STATE(2167)] = 177301,
  [SMALL_STATE(2168)] = 177361,
  [SMALL_STATE(2169)] = 177423,
  [SMALL_STATE(2170)] = 177485,
  [SMALL_STATE(2171)] = 177543,
  [SMALL_STATE(2172)] = 177601,
  [SMALL_STATE(2173)] = 177659,
  [SMALL_STATE(2174)] = 177719,
  [SMALL_STATE(2175)] = 177779,
  [SMALL_STATE(2176)] = 177839,
  [SMALL_STATE(2177)] = 177899,
  [SMALL_STATE(2178)] = 177959,
  [SMALL_STATE(2179)] = 178019,
  [SMALL_STATE(2180)] = 178079,
  [SMALL_STATE(2181)] = 178137,
  [SMALL_STATE(2182)] = 178221,
  [SMALL_STATE(2183)] = 178319,
  [SMALL_STATE(2184)] = 178379,
  [SMALL_STATE(2185)] = 178457,
  [SMALL_STATE(2186)] = 178517,
  [SMALL_STATE(2187)] = 178579,
  [SMALL_STATE(2188)] = 178639,
  [SMALL_STATE(2189)] = 178699,
  [SMALL_STATE(2190)] = 178757,
  [SMALL_STATE(2191)] = 178815,
  [SMALL_STATE(2192)] = 178873,
  [SMALL_STATE(2193)] = 178931,
  [SMALL_STATE(2194)] = 178991,
  [SMALL_STATE(2195)] = 179049,
  [SMALL_STATE(2196)] = 179109,
  [SMALL_STATE(2197)] = 179169,
  [SMALL_STATE(2198)] = 179227,
  [SMALL_STATE(2199)] = 179291,
  [SMALL_STATE(2200)] = 179389,
  [SMALL_STATE(2201)] = 179449,
  [SMALL_STATE(2202)] = 179509,
  [SMALL_STATE(2203)] = 179607,
  [SMALL_STATE(2204)] = 179667,
  [SMALL_STATE(2205)] = 179765,
  [SMALL_STATE(2206)] = 179835,
  [SMALL_STATE(2207)] = 179893,
  [SMALL_STATE(2208)] = 179953,
  [SMALL_STATE(2209)] = 180051,
  [SMALL_STATE(2210)] = 180111,
  [SMALL_STATE(2211)] = 180209,
  [SMALL_STATE(2212)] = 180269,
  [SMALL_STATE(2213)] = 180327,
  [SMALL_STATE(2214)] = 180387,
  [SMALL_STATE(2215)] = 180447,
  [SMALL_STATE(2216)] = 180507,
  [SMALL_STATE(2217)] = 180565,
  [SMALL_STATE(2218)] = 180625,
  [SMALL_STATE(2219)] = 180683,
  [SMALL_STATE(2220)] = 180745,
  [SMALL_STATE(2221)] = 180843,
  [SMALL_STATE(2222)] = 180901,
  [SMALL_STATE(2223)] = 180959,
  [SMALL_STATE(2224)] = 181017,
  [SMALL_STATE(2225)] = 181075,
  [SMALL_STATE(2226)] = 181137,
  [SMALL_STATE(2227)] = 181201,
  [SMALL_STATE(2228)] = 181259,
  [SMALL_STATE(2229)] = 181319,
  [SMALL_STATE(2230)] = 181377,
  [SMALL_STATE(2231)] = 181437,
  [SMALL_STATE(2232)] = 181495,
  [SMALL_STATE(2233)] = 181555,
  [SMALL_STATE(2234)] = 181615,
  [SMALL_STATE(2235)] = 181673,
  [SMALL_STATE(2236)] = 181733,
  [SMALL_STATE(2237)] = 181791,
  [SMALL_STATE(2238)] = 181853,
  [SMALL_STATE(2239)] = 181911,
  [SMALL_STATE(2240)] = 181969,
  [SMALL_STATE(2241)] = 182061,
  [SMALL_STATE(2242)] = 182119,
  [SMALL_STATE(2243)] = 182177,
  [SMALL_STATE(2244)] = 182235,
  [SMALL_STATE(2245)] = 182295,
  [SMALL_STATE(2246)] = 182353,
  [SMALL_STATE(2247)] = 182411,
  [SMALL_STATE(2248)] = 182469,
  [SMALL_STATE(2249)] = 182527,
  [SMALL_STATE(2250)] = 182585,
  [SMALL_STATE(2251)] = 182643,
  [SMALL_STATE(2252)] = 182701,
  [SMALL_STATE(2253)] = 182759,
  [SMALL_STATE(2254)] = 182817,
  [SMALL_STATE(2255)] = 182877,
  [SMALL_STATE(2256)] = 182937,
  [SMALL_STATE(2257)] = 183029,
  [SMALL_STATE(2258)] = 183089,
  [SMALL_STATE(2259)] = 183199,
  [SMALL_STATE(2260)] = 183259,
  [SMALL_STATE(2261)] = 183317,
  [SMALL_STATE(2262)] = 183377,
  [SMALL_STATE(2263)] = 183435,
  [SMALL_STATE(2264)] = 183541,
  [SMALL_STATE(2265)] = 183599,
  [SMALL_STATE(2266)] = 183657,
  [SMALL_STATE(2267)] = 183715,
  [SMALL_STATE(2268)] = 183803,
  [SMALL_STATE(2269)] = 183861,
  [SMALL_STATE(2270)] = 183919,
  [SMALL_STATE(2271)] = 183977,
  [SMALL_STATE(2272)] = 184035,
  [SMALL_STATE(2273)] = 184093,
  [SMALL_STATE(2274)] = 184151,
  [SMALL_STATE(2275)] = 184209,
  [SMALL_STATE(2276)] = 184267,
  [SMALL_STATE(2277)] = 184325,
  [SMALL_STATE(2278)] = 184413,
  [SMALL_STATE(2279)] = 184471,
  [SMALL_STATE(2280)] = 184539,
  [SMALL_STATE(2281)] = 184597,
  [SMALL_STATE(2282)] = 184671,
  [SMALL_STATE(2283)] = 184729,
  [SMALL_STATE(2284)] = 184787,
  [SMALL_STATE(2285)] = 184865,
  [SMALL_STATE(2286)] = 184935,
  [SMALL_STATE(2287)] = 185019,
  [SMALL_STATE(2288)] = 185115,
  [SMALL_STATE(2289)] = 185173,
  [SMALL_STATE(2290)] = 185267,
  [SMALL_STATE(2291)] = 185325,
  [SMALL_STATE(2292)] = 185383,
  [SMALL_STATE(2293)] = 185441,
  [SMALL_STATE(2294)] = 185499,
  [SMALL_STATE(2295)] = 185557,
  [SMALL_STATE(2296)] = 185615,
  [SMALL_STATE(2297)] = 185681,
  [SMALL_STATE(2298)] = 185739,
  [SMALL_STATE(2299)] = 185797,
  [SMALL_STATE(2300)] = 185855,
  [SMALL_STATE(2301)] = 185913,
  [SMALL_STATE(2302)] = 185971,
  [SMALL_STATE(2303)] = 186031,
  [SMALL_STATE(2304)] = 186089,
  [SMALL_STATE(2305)] = 186147,
  [SMALL_STATE(2306)] = 186205,
  [SMALL_STATE(2307)] = 186263,
  [SMALL_STATE(2308)] = 186321,
  [SMALL_STATE(2309)] = 186389,
  [SMALL_STATE(2310)] = 186447,
  [SMALL_STATE(2311)] = 186505,
  [SMALL_STATE(2312)] = 186563,
  [SMALL_STATE(2313)] = 186621,
  [SMALL_STATE(2314)] = 186681,
  [SMALL_STATE(2315)] = 186739,
  [SMALL_STATE(2316)] = 186797,
  [SMALL_STATE(2317)] = 186857,
  [SMALL_STATE(2318)] = 186915,
  [SMALL_STATE(2319)] = 186973,
  [SMALL_STATE(2320)] = 187031,
  [SMALL_STATE(2321)] = 187089,
  [SMALL_STATE(2322)] = 187147,
  [SMALL_STATE(2323)] = 187205,
  [SMALL_STATE(2324)] = 187265,
  [SMALL_STATE(2325)] = 187323,
  [SMALL_STATE(2326)] = 187383,
  [SMALL_STATE(2327)] = 187451,
  [SMALL_STATE(2328)] = 187529,
  [SMALL_STATE(2329)] = 187589,
  [SMALL_STATE(2330)] = 187649,
  [SMALL_STATE(2331)] = 187707,
  [SMALL_STATE(2332)] = 187765,
  [SMALL_STATE(2333)] = 187823,
  [SMALL_STATE(2334)] = 187881,
  [SMALL_STATE(2335)] = 187939,
  [SMALL_STATE(2336)] = 188017,
  [SMALL_STATE(2337)] = 188075,
  [SMALL_STATE(2338)] = 188133,
  [SMALL_STATE(2339)] = 188191,
  [SMALL_STATE(2340)] = 188249,
  [SMALL_STATE(2341)] = 188307,
  [SMALL_STATE(2342)] = 188365,
  [SMALL_STATE(2343)] = 188429,
  [SMALL_STATE(2344)] = 188487,
  [SMALL_STATE(2345)] = 188545,
  [SMALL_STATE(2346)] = 188603,
  [SMALL_STATE(2347)] = 188661,
  [SMALL_STATE(2348)] = 188721,
  [SMALL_STATE(2349)] = 188779,
  [SMALL_STATE(2350)] = 188837,
  [SMALL_STATE(2351)] = 188895,
  [SMALL_STATE(2352)] = 188969,
  [SMALL_STATE(2353)] = 189027,
  [SMALL_STATE(2354)] = 189085,
  [SMALL_STATE(2355)] = 189143,
  [SMALL_STATE(2356)] = 189203,
  [SMALL_STATE(2357)] = 189271,
  [SMALL_STATE(2358)] = 189349,
  [SMALL_STATE(2359)] = 189409,
  [SMALL_STATE(2360)] = 189467,
  [SMALL_STATE(2361)] = 189525,
  [SMALL_STATE(2362)] = 189617,
  [SMALL_STATE(2363)] = 189681,
  [SMALL_STATE(2364)] = 189741,
  [SMALL_STATE(2365)] = 189801,
  [SMALL_STATE(2366)] = 189893,
  [SMALL_STATE(2367)] = 189953,
  [SMALL_STATE(2368)] = 190011,
  [SMALL_STATE(2369)] = 190069,
  [SMALL_STATE(2370)] = 190129,
  [SMALL_STATE(2371)] = 190187,
  [SMALL_STATE(2372)] = 190244,
  [SMALL_STATE(2373)] = 190307,
  [SMALL_STATE(2374)] = 190364,
  [SMALL_STATE(2375)] = 190421,
  [SMALL_STATE(2376)] = 190518,
  [SMALL_STATE(2377)] = 190575,
  [SMALL_STATE(2378)] = 190632,
  [SMALL_STATE(2379)] = 190689,
  [SMALL_STATE(2380)] = 190746,
  [SMALL_STATE(2381)] = 190803,
  [SMALL_STATE(2382)] = 190860,
  [SMALL_STATE(2383)] = 190917,
  [SMALL_STATE(2384)] = 190974,
  [SMALL_STATE(2385)] = 191031,
  [SMALL_STATE(2386)] = 191088,
  [SMALL_STATE(2387)] = 191145,
  [SMALL_STATE(2388)] = 191202,
  [SMALL_STATE(2389)] = 191259,
  [SMALL_STATE(2390)] = 191316,
  [SMALL_STATE(2391)] = 191401,
  [SMALL_STATE(2392)] = 191458,
  [SMALL_STATE(2393)] = 191515,
  [SMALL_STATE(2394)] = 191572,
  [SMALL_STATE(2395)] = 191629,
  [SMALL_STATE(2396)] = 191686,
  [SMALL_STATE(2397)] = 191743,
  [SMALL_STATE(2398)] = 191800,
  [SMALL_STATE(2399)] = 191857,
  [SMALL_STATE(2400)] = 191914,
  [SMALL_STATE(2401)] = 191971,
  [SMALL_STATE(2402)] = 192028,
  [SMALL_STATE(2403)] = 192085,
  [SMALL_STATE(2404)] = 192142,
  [SMALL_STATE(2405)] = 192199,
  [SMALL_STATE(2406)] = 192256,
  [SMALL_STATE(2407)] = 192313,
  [SMALL_STATE(2408)] = 192380,
  [SMALL_STATE(2409)] = 192437,
  [SMALL_STATE(2410)] = 192510,
  [SMALL_STATE(2411)] = 192567,
  [SMALL_STATE(2412)] = 192624,
  [SMALL_STATE(2413)] = 192681,
  [SMALL_STATE(2414)] = 192738,
  [SMALL_STATE(2415)] = 192815,
  [SMALL_STATE(2416)] = 192880,
  [SMALL_STATE(2417)] = 192937,
  [SMALL_STATE(2418)] = 193026,
  [SMALL_STATE(2419)] = 193083,
  [SMALL_STATE(2420)] = 193140,
  [SMALL_STATE(2421)] = 193197,
  [SMALL_STATE(2422)] = 193254,
  [SMALL_STATE(2423)] = 193311,
  [SMALL_STATE(2424)] = 193380,
  [SMALL_STATE(2425)] = 193437,
  [SMALL_STATE(2426)] = 193494,
  [SMALL_STATE(2427)] = 193551,
  [SMALL_STATE(2428)] = 193608,
  [SMALL_STATE(2429)] = 193691,
  [SMALL_STATE(2430)] = 193748,
  [SMALL_STATE(2431)] = 193805,
  [SMALL_STATE(2432)] = 193898,
  [SMALL_STATE(2433)] = 193989,
  [SMALL_STATE(2434)] = 194046,
  [SMALL_STATE(2435)] = 194111,
  [SMALL_STATE(2436)] = 194176,
  [SMALL_STATE(2437)] = 194239,
  [SMALL_STATE(2438)] = 194302,
  [SMALL_STATE(2439)] = 194365,
  [SMALL_STATE(2440)] = 194428,
  [SMALL_STATE(2441)] = 194485,
  [SMALL_STATE(2442)] = 194588,
  [SMALL_STATE(2443)] = 194645,
  [SMALL_STATE(2444)] = 194702,
  [SMALL_STATE(2445)] = 194759,
  [SMALL_STATE(2446)] = 194816,
  [SMALL_STATE(2447)] = 194873,
  [SMALL_STATE(2448)] = 194930,
  [SMALL_STATE(2449)] = 194987,
  [SMALL_STATE(2450)] = 195044,
  [SMALL_STATE(2451)] = 195101,
  [SMALL_STATE(2452)] = 195158,
  [SMALL_STATE(2453)] = 195215,
  [SMALL_STATE(2454)] = 195272,
  [SMALL_STATE(2455)] = 195329,
  [SMALL_STATE(2456)] = 195386,
  [SMALL_STATE(2457)] = 195447,
  [SMALL_STATE(2458)] = 195504,
  [SMALL_STATE(2459)] = 195561,
  [SMALL_STATE(2460)] = 195618,
  [SMALL_STATE(2461)] = 195675,
  [SMALL_STATE(2462)] = 195740,
  [SMALL_STATE(2463)] = 195797,
  [SMALL_STATE(2464)] = 195854,
  [SMALL_STATE(2465)] = 195915,
  [SMALL_STATE(2466)] = 196020,
  [SMALL_STATE(2467)] = 196077,
  [SMALL_STATE(2468)] = 196134,
  [SMALL_STATE(2469)] = 196191,
  [SMALL_STATE(2470)] = 196248,
  [SMALL_STATE(2471)] = 196305,
  [SMALL_STATE(2472)] = 196362,
  [SMALL_STATE(2473)] = 196419,
  [SMALL_STATE(2474)] = 196478,
  [SMALL_STATE(2475)] = 196535,
  [SMALL_STATE(2476)] = 196592,
  [SMALL_STATE(2477)] = 196649,
  [SMALL_STATE(2478)] = 196706,
  [SMALL_STATE(2479)] = 196763,
  [SMALL_STATE(2480)] = 196820,
  [SMALL_STATE(2481)] = 196877,
  [SMALL_STATE(2482)] = 196934,
  [SMALL_STATE(2483)] = 196991,
  [SMALL_STATE(2484)] = 197048,
  [SMALL_STATE(2485)] = 197105,
  [SMALL_STATE(2486)] = 197162,
  [SMALL_STATE(2487)] = 197219,
  [SMALL_STATE(2488)] = 197276,
  [SMALL_STATE(2489)] = 197333,
  [SMALL_STATE(2490)] = 197390,
  [SMALL_STATE(2491)] = 197447,
  [SMALL_STATE(2492)] = 197504,
  [SMALL_STATE(2493)] = 197607,
  [SMALL_STATE(2494)] = 197664,
  [SMALL_STATE(2495)] = 197721,
  [SMALL_STATE(2496)] = 197778,
  [SMALL_STATE(2497)] = 197835,
  [SMALL_STATE(2498)] = 197892,
  [SMALL_STATE(2499)] = 197955,
  [SMALL_STATE(2500)] = 198012,
  [SMALL_STATE(2501)] = 198069,
  [SMALL_STATE(2502)] = 198126,
  [SMALL_STATE(2503)] = 198183,
  [SMALL_STATE(2504)] = 198240,
  [SMALL_STATE(2505)] = 198297,
  [SMALL_STATE(2506)] = 198374,
  [SMALL_STATE(2507)] = 198431,
  [SMALL_STATE(2508)] = 198498,
  [SMALL_STATE(2509)] = 198555,
  [SMALL_STATE(2510)] = 198616,
  [SMALL_STATE(2511)] = 198705,
  [SMALL_STATE(2512)] = 198762,
  [SMALL_STATE(2513)] = 198819,
  [SMALL_STATE(2514)] = 198876,
  [SMALL_STATE(2515)] = 198933,
  [SMALL_STATE(2516)] = 198990,
  [SMALL_STATE(2517)] = 199047,
  [SMALL_STATE(2518)] = 199104,
  [SMALL_STATE(2519)] = 199161,
  [SMALL_STATE(2520)] = 199218,
  [SMALL_STATE(2521)] = 199281,
  [SMALL_STATE(2522)] = 199338,
  [SMALL_STATE(2523)] = 199401,
  [SMALL_STATE(2524)] = 199458,
  [SMALL_STATE(2525)] = 199521,
  [SMALL_STATE(2526)] = 199584,
  [SMALL_STATE(2527)] = 199647,
  [SMALL_STATE(2528)] = 199704,
  [SMALL_STATE(2529)] = 199767,
  [SMALL_STATE(2530)] = 199830,
  [SMALL_STATE(2531)] = 199887,
  [SMALL_STATE(2532)] = 199944,
  [SMALL_STATE(2533)] = 200001,
  [SMALL_STATE(2534)] = 200058,
  [SMALL_STATE(2535)] = 200115,
  [SMALL_STATE(2536)] = 200172,
  [SMALL_STATE(2537)] = 200229,
  [SMALL_STATE(2538)] = 200338,
  [SMALL_STATE(2539)] = 200395,
  [SMALL_STATE(2540)] = 200452,
  [SMALL_STATE(2541)] = 200509,
  [SMALL_STATE(2542)] = 200566,
  [SMALL_STATE(2543)] = 200623,
  [SMALL_STATE(2544)] = 200680,
  [SMALL_STATE(2545)] = 200737,
  [SMALL_STATE(2546)] = 200794,
  [SMALL_STATE(2547)] = 200851,
  [SMALL_STATE(2548)] = 200908,
  [SMALL_STATE(2549)] = 200965,
  [SMALL_STATE(2550)] = 201022,
  [SMALL_STATE(2551)] = 201079,
  [SMALL_STATE(2552)] = 201136,
  [SMALL_STATE(2553)] = 201201,
  [SMALL_STATE(2554)] = 201264,
  [SMALL_STATE(2555)] = 201321,
  [SMALL_STATE(2556)] = 201378,
  [SMALL_STATE(2557)] = 201435,
  [SMALL_STATE(2558)] = 201498,
  [SMALL_STATE(2559)] = 201555,
  [SMALL_STATE(2560)] = 201612,
  [SMALL_STATE(2561)] = 201669,
  [SMALL_STATE(2562)] = 201726,
  [SMALL_STATE(2563)] = 201783,
  [SMALL_STATE(2564)] = 201840,
  [SMALL_STATE(2565)] = 201897,
  [SMALL_STATE(2566)] = 201954,
  [SMALL_STATE(2567)] = 202011,
  [SMALL_STATE(2568)] = 202068,
  [SMALL_STATE(2569)] = 202125,
  [SMALL_STATE(2570)] = 202182,
  [SMALL_STATE(2571)] = 202241,
  [SMALL_STATE(2572)] = 202298,
  [SMALL_STATE(2573)] = 202355,
  [SMALL_STATE(2574)] = 202412,
  [SMALL_STATE(2575)] = 202469,
  [SMALL_STATE(2576)] = 202526,
  [SMALL_STATE(2577)] = 202583,
  [SMALL_STATE(2578)] = 202640,
  [SMALL_STATE(2579)] = 202697,
  [SMALL_STATE(2580)] = 202754,
  [SMALL_STATE(2581)] = 202811,
  [SMALL_STATE(2582)] = 202868,
  [SMALL_STATE(2583)] = 202925,
  [SMALL_STATE(2584)] = 202982,
  [SMALL_STATE(2585)] = 203039,
  [SMALL_STATE(2586)] = 203096,
  [SMALL_STATE(2587)] = 203153,
  [SMALL_STATE(2588)] = 203210,
  [SMALL_STATE(2589)] = 203267,
  [SMALL_STATE(2590)] = 203324,
  [SMALL_STATE(2591)] = 203381,
  [SMALL_STATE(2592)] = 203438,
  [SMALL_STATE(2593)] = 203495,
  [SMALL_STATE(2594)] = 203552,
  [SMALL_STATE(2595)] = 203609,
  [SMALL_STATE(2596)] = 203666,
  [SMALL_STATE(2597)] = 203723,
  [SMALL_STATE(2598)] = 203780,
  [SMALL_STATE(2599)] = 203837,
  [SMALL_STATE(2600)] = 203894,
  [SMALL_STATE(2601)] = 203951,
  [SMALL_STATE(2602)] = 204008,
  [SMALL_STATE(2603)] = 204065,
  [SMALL_STATE(2604)] = 204122,
  [SMALL_STATE(2605)] = 204179,
  [SMALL_STATE(2606)] = 204236,
  [SMALL_STATE(2607)] = 204293,
  [SMALL_STATE(2608)] = 204350,
  [SMALL_STATE(2609)] = 204407,
  [SMALL_STATE(2610)] = 204464,
  [SMALL_STATE(2611)] = 204521,
  [SMALL_STATE(2612)] = 204578,
  [SMALL_STATE(2613)] = 204635,
  [SMALL_STATE(2614)] = 204692,
  [SMALL_STATE(2615)] = 204749,
  [SMALL_STATE(2616)] = 204806,
  [SMALL_STATE(2617)] = 204863,
  [SMALL_STATE(2618)] = 204920,
  [SMALL_STATE(2619)] = 204977,
  [SMALL_STATE(2620)] = 205034,
  [SMALL_STATE(2621)] = 205091,
  [SMALL_STATE(2622)] = 205148,
  [SMALL_STATE(2623)] = 205205,
  [SMALL_STATE(2624)] = 205262,
  [SMALL_STATE(2625)] = 205319,
  [SMALL_STATE(2626)] = 205376,
  [SMALL_STATE(2627)] = 205433,
  [SMALL_STATE(2628)] = 205497,
  [SMALL_STATE(2629)] = 205553,
  [SMALL_STATE(2630)] = 205649,
  [SMALL_STATE(2631)] = 205705,
  [SMALL_STATE(2632)] = 205767,
  [SMALL_STATE(2633)] = 205823,
  [SMALL_STATE(2634)] = 205879,
  [SMALL_STATE(2635)] = 205935,
  [SMALL_STATE(2636)] = 205991,
  [SMALL_STATE(2637)] = 206047,
  [SMALL_STATE(2638)] = 206111,
  [SMALL_STATE(2639)] = 206167,
  [SMALL_STATE(2640)] = 206225,
  [SMALL_STATE(2641)] = 206281,
  [SMALL_STATE(2642)] = 206341,
  [SMALL_STATE(2643)] = 206401,
  [SMALL_STATE(2644)] = 206457,
  [SMALL_STATE(2645)] = 206513,
  [SMALL_STATE(2646)] = 206569,
  [SMALL_STATE(2647)] = 206627,
  [SMALL_STATE(2648)] = 206683,
  [SMALL_STATE(2649)] = 206739,
  [SMALL_STATE(2650)] = 206795,
  [SMALL_STATE(2651)] = 206851,
  [SMALL_STATE(2652)] = 206915,
  [SMALL_STATE(2653)] = 206971,
  [SMALL_STATE(2654)] = 207027,
  [SMALL_STATE(2655)] = 207083,
  [SMALL_STATE(2656)] = 207145,
  [SMALL_STATE(2657)] = 207201,
  [SMALL_STATE(2658)] = 207257,
  [SMALL_STATE(2659)] = 207313,
  [SMALL_STATE(2660)] = 207369,
  [SMALL_STATE(2661)] = 207425,
  [SMALL_STATE(2662)] = 207481,
  [SMALL_STATE(2663)] = 207537,
  [SMALL_STATE(2664)] = 207593,
  [SMALL_STATE(2665)] = 207649,
  [SMALL_STATE(2666)] = 207705,
  [SMALL_STATE(2667)] = 207807,
  [SMALL_STATE(2668)] = 207863,
  [SMALL_STATE(2669)] = 207919,
  [SMALL_STATE(2670)] = 207975,
  [SMALL_STATE(2671)] = 208031,
  [SMALL_STATE(2672)] = 208087,
  [SMALL_STATE(2673)] = 208143,
  [SMALL_STATE(2674)] = 208203,
  [SMALL_STATE(2675)] = 208263,
  [SMALL_STATE(2676)] = 208319,
  [SMALL_STATE(2677)] = 208375,
  [SMALL_STATE(2678)] = 208431,
  [SMALL_STATE(2679)] = 208495,
  [SMALL_STATE(2680)] = 208551,
  [SMALL_STATE(2681)] = 208615,
  [SMALL_STATE(2682)] = 208679,
  [SMALL_STATE(2683)] = 208735,
  [SMALL_STATE(2684)] = 208791,
  [SMALL_STATE(2685)] = 208853,
  [SMALL_STATE(2686)] = 208913,
  [SMALL_STATE(2687)] = 208973,
  [SMALL_STATE(2688)] = 209069,
  [SMALL_STATE(2689)] = 209131,
  [SMALL_STATE(2690)] = 209193,
  [SMALL_STATE(2691)] = 209249,
  [SMALL_STATE(2692)] = 209305,
  [SMALL_STATE(2693)] = 209367,
  [SMALL_STATE(2694)] = 209429,
  [SMALL_STATE(2695)] = 209489,
  [SMALL_STATE(2696)] = 209551,
  [SMALL_STATE(2697)] = 209613,
  [SMALL_STATE(2698)] = 209675,
  [SMALL_STATE(2699)] = 209731,
  [SMALL_STATE(2700)] = 209787,
  [SMALL_STATE(2701)] = 209843,
  [SMALL_STATE(2702)] = 209899,
  [SMALL_STATE(2703)] = 209959,
  [SMALL_STATE(2704)] = 210015,
  [SMALL_STATE(2705)] = 210075,
  [SMALL_STATE(2706)] = 210137,
  [SMALL_STATE(2707)] = 210197,
  [SMALL_STATE(2708)] = 210261,
  [SMALL_STATE(2709)] = 210321,
  [SMALL_STATE(2710)] = 210381,
  [SMALL_STATE(2711)] = 210437,
  [SMALL_STATE(2712)] = 210497,
  [SMALL_STATE(2713)] = 210553,
  [SMALL_STATE(2714)] = 210609,
  [SMALL_STATE(2715)] = 210665,
  [SMALL_STATE(2716)] = 210721,
  [SMALL_STATE(2717)] = 210777,
  [SMALL_STATE(2718)] = 210833,
  [SMALL_STATE(2719)] = 210889,
  [SMALL_STATE(2720)] = 210945,
  [SMALL_STATE(2721)] = 211049,
  [SMALL_STATE(2722)] = 211105,
  [SMALL_STATE(2723)] = 211161,
  [SMALL_STATE(2724)] = 211221,
  [SMALL_STATE(2725)] = 211279,
  [SMALL_STATE(2726)] = 211335,
  [SMALL_STATE(2727)] = 211416,
  [SMALL_STATE(2728)] = 211473,
  [SMALL_STATE(2729)] = 211532,
  [SMALL_STATE(2730)] = 211595,
  [SMALL_STATE(2731)] = 211650,
  [SMALL_STATE(2732)] = 211707,
  [SMALL_STATE(2733)] = 211770,
  [SMALL_STATE(2734)] = 211829,
  [SMALL_STATE(2735)] = 211886,
  [SMALL_STATE(2736)] = 211943,
  [SMALL_STATE(2737)] = 212032,
  [SMALL_STATE(2738)] = 212095,
  [SMALL_STATE(2739)] = 212156,
  [SMALL_STATE(2740)] = 212257,
  [SMALL_STATE(2741)] = 212346,
  [SMALL_STATE(2742)] = 212403,
  [SMALL_STATE(2743)] = 212460,
  [SMALL_STATE(2744)] = 212521,
  [SMALL_STATE(2745)] = 212606,
  [SMALL_STATE(2746)] = 212661,
  [SMALL_STATE(2747)] = 212718,
  [SMALL_STATE(2748)] = 212775,
  [SMALL_STATE(2749)] = 212830,
  [SMALL_STATE(2750)] = 212887,
  [SMALL_STATE(2751)] = 212948,
  [SMALL_STATE(2752)] = 213011,
  [SMALL_STATE(2753)] = 213066,
  [SMALL_STATE(2754)] = 213125,
  [SMALL_STATE(2755)] = 213192,
  [SMALL_STATE(2756)] = 213251,
  [SMALL_STATE(2757)] = 213308,
  [SMALL_STATE(2758)] = 213365,
  [SMALL_STATE(2759)] = 213428,
  [SMALL_STATE(2760)] = 213489,
  [SMALL_STATE(2761)] = 213544,
  [SMALL_STATE(2762)] = 213601,
  [SMALL_STATE(2763)] = 213662,
  [SMALL_STATE(2764)] = 213719,
  [SMALL_STATE(2765)] = 213776,
  [SMALL_STATE(2766)] = 213833,
  [SMALL_STATE(2767)] = 213890,
  [SMALL_STATE(2768)] = 213947,
  [SMALL_STATE(2769)] = 214004,
  [SMALL_STATE(2770)] = 214061,
  [SMALL_STATE(2771)] = 214118,
  [SMALL_STATE(2772)] = 214175,
  [SMALL_STATE(2773)] = 214268,
  [SMALL_STATE(2774)] = 214325,
  [SMALL_STATE(2775)] = 214382,
  [SMALL_STATE(2776)] = 214439,
  [SMALL_STATE(2777)] = 214496,
  [SMALL_STATE(2778)] = 214553,
  [SMALL_STATE(2779)] = 214610,
  [SMALL_STATE(2780)] = 214671,
  [SMALL_STATE(2781)] = 214732,
  [SMALL_STATE(2782)] = 214789,
  [SMALL_STATE(2783)] = 214850,
  [SMALL_STATE(2784)] = 214941,
  [SMALL_STATE(2785)] = 215002,
  [SMALL_STATE(2786)] = 215061,
  [SMALL_STATE(2787)] = 215122,
  [SMALL_STATE(2788)] = 215177,
  [SMALL_STATE(2789)] = 215232,
  [SMALL_STATE(2790)] = 215289,
  [SMALL_STATE(2791)] = 215344,
  [SMALL_STATE(2792)] = 215399,
  [SMALL_STATE(2793)] = 215454,
  [SMALL_STATE(2794)] = 215515,
  [SMALL_STATE(2795)] = 215580,
  [SMALL_STATE(2796)] = 215655,
  [SMALL_STATE(2797)] = 215712,
  [SMALL_STATE(2798)] = 215769,
  [SMALL_STATE(2799)] = 215864,
  [SMALL_STATE(2800)] = 215921,
  [SMALL_STATE(2801)] = 215976,
  [SMALL_STATE(2802)] = 216039,
  [SMALL_STATE(2803)] = 216094,
  [SMALL_STATE(2804)] = 216149,
  [SMALL_STATE(2805)] = 216208,
  [SMALL_STATE(2806)] = 216265,
  [SMALL_STATE(2807)] = 216324,
  [SMALL_STATE(2808)] = 216383,
  [SMALL_STATE(2809)] = 216442,
  [SMALL_STATE(2810)] = 216499,
  [SMALL_STATE(2811)] = 216556,
  [SMALL_STATE(2812)] = 216611,
  [SMALL_STATE(2813)] = 216666,
  [SMALL_STATE(2814)] = 216725,
  [SMALL_STATE(2815)] = 216786,
  [SMALL_STATE(2816)] = 216845,
  [SMALL_STATE(2817)] = 216906,
  [SMALL_STATE(2818)] = 216967,
  [SMALL_STATE(2819)] = 217030,
  [SMALL_STATE(2820)] = 217125,
  [SMALL_STATE(2821)] = 217184,
  [SMALL_STATE(2822)] = 217239,
  [SMALL_STATE(2823)] = 217296,
  [SMALL_STATE(2824)] = 217351,
  [SMALL_STATE(2825)] = 217422,
  [SMALL_STATE(2826)] = 217477,
  [SMALL_STATE(2827)] = 217534,
  [SMALL_STATE(2828)] = 217609,
  [SMALL_STATE(2829)] = 217668,
  [SMALL_STATE(2830)] = 217727,
  [SMALL_STATE(2831)] = 217790,
  [SMALL_STATE(2832)] = 217849,
  [SMALL_STATE(2833)] = 217908,
  [SMALL_STATE(2834)] = 217967,
  [SMALL_STATE(2835)] = 218026,
  [SMALL_STATE(2836)] = 218085,
  [SMALL_STATE(2837)] = 218144,
  [SMALL_STATE(2838)] = 218203,
  [SMALL_STATE(2839)] = 218258,
  [SMALL_STATE(2840)] = 218317,
  [SMALL_STATE(2841)] = 218380,
  [SMALL_STATE(2842)] = 218439,
  [SMALL_STATE(2843)] = 218498,
  [SMALL_STATE(2844)] = 218561,
  [SMALL_STATE(2845)] = 218624,
  [SMALL_STATE(2846)] = 218683,
  [SMALL_STATE(2847)] = 218742,
  [SMALL_STATE(2848)] = 218799,
  [SMALL_STATE(2849)] = 218858,
  [SMALL_STATE(2850)] = 218917,
  [SMALL_STATE(2851)] = 218980,
  [SMALL_STATE(2852)] = 219039,
  [SMALL_STATE(2853)] = 219098,
  [SMALL_STATE(2854)] = 219157,
  [SMALL_STATE(2855)] = 219218,
  [SMALL_STATE(2856)] = 219273,
  [SMALL_STATE(2857)] = 219328,
  [SMALL_STATE(2858)] = 219383,
  [SMALL_STATE(2859)] = 219438,
  [SMALL_STATE(2860)] = 219533,
  [SMALL_STATE(2861)] = 219596,
  [SMALL_STATE(2862)] = 219659,
  [SMALL_STATE(2863)] = 219714,
  [SMALL_STATE(2864)] = 219775,
  [SMALL_STATE(2865)] = 219836,
  [SMALL_STATE(2866)] = 219897,
  [SMALL_STATE(2867)] = 219958,
  [SMALL_STATE(2868)] = 220019,
  [SMALL_STATE(2869)] = 220080,
  [SMALL_STATE(2870)] = 220143,
  [SMALL_STATE(2871)] = 220202,
  [SMALL_STATE(2872)] = 220265,
  [SMALL_STATE(2873)] = 220324,
  [SMALL_STATE(2874)] = 220419,
  [SMALL_STATE(2875)] = 220484,
  [SMALL_STATE(2876)] = 220543,
  [SMALL_STATE(2877)] = 220597,
  [SMALL_STATE(2878)] = 220655,
  [SMALL_STATE(2879)] = 220709,
  [SMALL_STATE(2880)] = 220763,
  [SMALL_STATE(2881)] = 220817,
  [SMALL_STATE(2882)] = 220879,
  [SMALL_STATE(2883)] = 220941,
  [SMALL_STATE(2884)] = 221003,
  [SMALL_STATE(2885)] = 221065,
  [SMALL_STATE(2886)] = 221127,
  [SMALL_STATE(2887)] = 221181,
  [SMALL_STATE(2888)] = 221239,
  [SMALL_STATE(2889)] = 221297,
  [SMALL_STATE(2890)] = 221355,
  [SMALL_STATE(2891)] = 221413,
  [SMALL_STATE(2892)] = 221471,
  [SMALL_STATE(2893)] = 221529,
  [SMALL_STATE(2894)] = 221583,
  [SMALL_STATE(2895)] = 221641,
  [SMALL_STATE(2896)] = 221695,
  [SMALL_STATE(2897)] = 221753,
  [SMALL_STATE(2898)] = 221811,
  [SMALL_STATE(2899)] = 221869,
  [SMALL_STATE(2900)] = 221927,
  [SMALL_STATE(2901)] = 222021,
  [SMALL_STATE(2902)] = 222115,
  [SMALL_STATE(2903)] = 222209,
  [SMALL_STATE(2904)] = 222263,
  [SMALL_STATE(2905)] = 222319,
  [SMALL_STATE(2906)] = 222373,
  [SMALL_STATE(2907)] = 222427,
  [SMALL_STATE(2908)] = 222483,
  [SMALL_STATE(2909)] = 222537,
  [SMALL_STATE(2910)] = 222591,
  [SMALL_STATE(2911)] = 222645,
  [SMALL_STATE(2912)] = 222701,
  [SMALL_STATE(2913)] = 222757,
  [SMALL_STATE(2914)] = 222811,
  [SMALL_STATE(2915)] = 222867,
  [SMALL_STATE(2916)] = 222921,
  [SMALL_STATE(2917)] = 222977,
  [SMALL_STATE(2918)] = 223033,
  [SMALL_STATE(2919)] = 223087,
  [SMALL_STATE(2920)] = 223143,
  [SMALL_STATE(2921)] = 223199,
  [SMALL_STATE(2922)] = 223253,
  [SMALL_STATE(2923)] = 223307,
  [SMALL_STATE(2924)] = 223363,
  [SMALL_STATE(2925)] = 223419,
  [SMALL_STATE(2926)] = 223475,
  [SMALL_STATE(2927)] = 223531,
  [SMALL_STATE(2928)] = 223587,
  [SMALL_STATE(2929)] = 223643,
  [SMALL_STATE(2930)] = 223699,
  [SMALL_STATE(2931)] = 223753,
  [SMALL_STATE(2932)] = 223807,
  [SMALL_STATE(2933)] = 223861,
  [SMALL_STATE(2934)] = 223915,
  [SMALL_STATE(2935)] = 223969,
  [SMALL_STATE(2936)] = 224025,
  [SMALL_STATE(2937)] = 224081,
  [SMALL_STATE(2938)] = 224135,
  [SMALL_STATE(2939)] = 224191,
  [SMALL_STATE(2940)] = 224245,
  [SMALL_STATE(2941)] = 224299,
  [SMALL_STATE(2942)] = 224353,
  [SMALL_STATE(2943)] = 224409,
  [SMALL_STATE(2944)] = 224463,
  [SMALL_STATE(2945)] = 224519,
  [SMALL_STATE(2946)] = 224573,
  [SMALL_STATE(2947)] = 224629,
  [SMALL_STATE(2948)] = 224683,
  [SMALL_STATE(2949)] = 224739,
  [SMALL_STATE(2950)] = 224793,
  [SMALL_STATE(2951)] = 224849,
  [SMALL_STATE(2952)] = 224903,
  [SMALL_STATE(2953)] = 224957,
  [SMALL_STATE(2954)] = 225013,
  [SMALL_STATE(2955)] = 225073,
  [SMALL_STATE(2956)] = 225127,
  [SMALL_STATE(2957)] = 225181,
  [SMALL_STATE(2958)] = 225237,
  [SMALL_STATE(2959)] = 225291,
  [SMALL_STATE(2960)] = 225345,
  [SMALL_STATE(2961)] = 225399,
  [SMALL_STATE(2962)] = 225453,
  [SMALL_STATE(2963)] = 225507,
  [SMALL_STATE(2964)] = 225563,
  [SMALL_STATE(2965)] = 225625,
  [SMALL_STATE(2966)] = 225687,
  [SMALL_STATE(2967)] = 225745,
  [SMALL_STATE(2968)] = 225807,
  [SMALL_STATE(2969)] = 225861,
  [SMALL_STATE(2970)] = 225921,
  [SMALL_STATE(2971)] = 225975,
  [SMALL_STATE(2972)] = 226029,
  [SMALL_STATE(2973)] = 226083,
  [SMALL_STATE(2974)] = 226137,
  [SMALL_STATE(2975)] = 226191,
  [SMALL_STATE(2976)] = 226245,
  [SMALL_STATE(2977)] = 226299,
  [SMALL_STATE(2978)] = 226353,
  [SMALL_STATE(2979)] = 226409,
  [SMALL_STATE(2980)] = 226463,
  [SMALL_STATE(2981)] = 226517,
  [SMALL_STATE(2982)] = 226571,
  [SMALL_STATE(2983)] = 226625,
  [SMALL_STATE(2984)] = 226679,
  [SMALL_STATE(2985)] = 226733,
  [SMALL_STATE(2986)] = 226787,
  [SMALL_STATE(2987)] = 226841,
  [SMALL_STATE(2988)] = 226895,
  [SMALL_STATE(2989)] = 226955,
  [SMALL_STATE(2990)] = 227015,
  [SMALL_STATE(2991)] = 227075,
  [SMALL_STATE(2992)] = 227135,
  [SMALL_STATE(2993)] = 227195,
  [SMALL_STATE(2994)] = 227255,
  [SMALL_STATE(2995)] = 227309,
  [SMALL_STATE(2996)] = 227363,
  [SMALL_STATE(2997)] = 227421,
  [SMALL_STATE(2998)] = 227475,
  [SMALL_STATE(2999)] = 227529,
  [SMALL_STATE(3000)] = 227591,
  [SMALL_STATE(3001)] = 227651,
  [SMALL_STATE(3002)] = 227705,
  [SMALL_STATE(3003)] = 227759,
  [SMALL_STATE(3004)] = 227813,
  [SMALL_STATE(3005)] = 227867,
  [SMALL_STATE(3006)] = 227921,
  [SMALL_STATE(3007)] = 227975,
  [SMALL_STATE(3008)] = 228029,
  [SMALL_STATE(3009)] = 228083,
  [SMALL_STATE(3010)] = 228137,
  [SMALL_STATE(3011)] = 228191,
  [SMALL_STATE(3012)] = 228245,
  [SMALL_STATE(3013)] = 228299,
  [SMALL_STATE(3014)] = 228353,
  [SMALL_STATE(3015)] = 228407,
  [SMALL_STATE(3016)] = 228461,
  [SMALL_STATE(3017)] = 228521,
  [SMALL_STATE(3018)] = 228577,
  [SMALL_STATE(3019)] = 228631,
  [SMALL_STATE(3020)] = 228687,
  [SMALL_STATE(3021)] = 228741,
  [SMALL_STATE(3022)] = 228797,
  [SMALL_STATE(3023)] = 228855,
  [SMALL_STATE(3024)] = 228911,
  [SMALL_STATE(3025)] = 228965,
  [SMALL_STATE(3026)] = 229021,
  [SMALL_STATE(3027)] = 229079,
  [SMALL_STATE(3028)] = 229139,
  [SMALL_STATE(3029)] = 229199,
  [SMALL_STATE(3030)] = 229259,
  [SMALL_STATE(3031)] = 229319,
  [SMALL_STATE(3032)] = 229379,
  [SMALL_STATE(3033)] = 229439,
  [SMALL_STATE(3034)] = 229497,
  [SMALL_STATE(3035)] = 229555,
  [SMALL_STATE(3036)] = 229613,
  [SMALL_STATE(3037)] = 229671,
  [SMALL_STATE(3038)] = 229729,
  [SMALL_STATE(3039)] = 229787,
  [SMALL_STATE(3040)] = 229845,
  [SMALL_STATE(3041)] = 229903,
  [SMALL_STATE(3042)] = 229963,
  [SMALL_STATE(3043)] = 230021,
  [SMALL_STATE(3044)] = 230079,
  [SMALL_STATE(3045)] = 230137,
  [SMALL_STATE(3046)] = 230193,
  [SMALL_STATE(3047)] = 230251,
  [SMALL_STATE(3048)] = 230307,
  [SMALL_STATE(3049)] = 230369,
  [SMALL_STATE(3050)] = 230427,
  [SMALL_STATE(3051)] = 230483,
  [SMALL_STATE(3052)] = 230541,
  [SMALL_STATE(3053)] = 230599,
  [SMALL_STATE(3054)] = 230661,
  [SMALL_STATE(3055)] = 230719,
  [SMALL_STATE(3056)] = 230781,
  [SMALL_STATE(3057)] = 230837,
  [SMALL_STATE(3058)] = 230899,
  [SMALL_STATE(3059)] = 230959,
  [SMALL_STATE(3060)] = 231017,
  [SMALL_STATE(3061)] = 231075,
  [SMALL_STATE(3062)] = 231135,
  [SMALL_STATE(3063)] = 231189,
  [SMALL_STATE(3064)] = 231291,
  [SMALL_STATE(3065)] = 231351,
  [SMALL_STATE(3066)] = 231411,
  [SMALL_STATE(3067)] = 231469,
  [SMALL_STATE(3068)] = 231527,
  [SMALL_STATE(3069)] = 231583,
  [SMALL_STATE(3070)] = 231641,
  [SMALL_STATE(3071)] = 231699,
  [SMALL_STATE(3072)] = 231757,
  [SMALL_STATE(3073)] = 231817,
  [SMALL_STATE(3074)] = 231877,
  [SMALL_STATE(3075)] = 231935,
  [SMALL_STATE(3076)] = 231993,
  [SMALL_STATE(3077)] = 232051,
  [SMALL_STATE(3078)] = 232109,
  [SMALL_STATE(3079)] = 232167,
  [SMALL_STATE(3080)] = 232227,
  [SMALL_STATE(3081)] = 232287,
  [SMALL_STATE(3082)] = 232345,
  [SMALL_STATE(3083)] = 232403,
  [SMALL_STATE(3084)] = 232463,
  [SMALL_STATE(3085)] = 232521,
  [SMALL_STATE(3086)] = 232579,
  [SMALL_STATE(3087)] = 232639,
  [SMALL_STATE(3088)] = 232697,
  [SMALL_STATE(3089)] = 232755,
  [SMALL_STATE(3090)] = 232813,
  [SMALL_STATE(3091)] = 232867,
  [SMALL_STATE(3092)] = 232921,
  [SMALL_STATE(3093)] = 232975,
  [SMALL_STATE(3094)] = 233029,
  [SMALL_STATE(3095)] = 233087,
  [SMALL_STATE(3096)] = 233145,
  [SMALL_STATE(3097)] = 233199,
  [SMALL_STATE(3098)] = 233257,
  [SMALL_STATE(3099)] = 233311,
  [SMALL_STATE(3100)] = 233369,
  [SMALL_STATE(3101)] = 233427,
  [SMALL_STATE(3102)] = 233481,
  [SMALL_STATE(3103)] = 233543,
  [SMALL_STATE(3104)] = 233601,
  [SMALL_STATE(3105)] = 233659,
  [SMALL_STATE(3106)] = 233717,
  [SMALL_STATE(3107)] = 233775,
  [SMALL_STATE(3108)] = 233837,
  [SMALL_STATE(3109)] = 233895,
  [SMALL_STATE(3110)] = 233953,
  [SMALL_STATE(3111)] = 234015,
  [SMALL_STATE(3112)] = 234073,
  [SMALL_STATE(3113)] = 234135,
  [SMALL_STATE(3114)] = 234193,
  [SMALL_STATE(3115)] = 234253,
  [SMALL_STATE(3116)] = 234311,
  [SMALL_STATE(3117)] = 234371,
  [SMALL_STATE(3118)] = 234429,
  [SMALL_STATE(3119)] = 234486,
  [SMALL_STATE(3120)] = 234539,
  [SMALL_STATE(3121)] = 234594,
  [SMALL_STATE(3122)] = 234649,
  [SMALL_STATE(3123)] = 234704,
  [SMALL_STATE(3124)] = 234759,
  [SMALL_STATE(3125)] = 234814,
  [SMALL_STATE(3126)] = 234869,
  [SMALL_STATE(3127)] = 234928,
  [SMALL_STATE(3128)] = 234983,
  [SMALL_STATE(3129)] = 235042,
  [SMALL_STATE(3130)] = 235101,
  [SMALL_STATE(3131)] = 235160,
  [SMALL_STATE(3132)] = 235219,
  [SMALL_STATE(3133)] = 235278,
  [SMALL_STATE(3134)] = 235337,
  [SMALL_STATE(3135)] = 235392,
  [SMALL_STATE(3136)] = 235451,
  [SMALL_STATE(3137)] = 235504,
  [SMALL_STATE(3138)] = 235559,
  [SMALL_STATE(3139)] = 235614,
  [SMALL_STATE(3140)] = 235667,
  [SMALL_STATE(3141)] = 235720,
  [SMALL_STATE(3142)] = 235773,
  [SMALL_STATE(3143)] = 235826,
  [SMALL_STATE(3144)] = 235879,
  [SMALL_STATE(3145)] = 235934,
  [SMALL_STATE(3146)] = 235989,
  [SMALL_STATE(3147)] = 236044,
  [SMALL_STATE(3148)] = 236099,
  [SMALL_STATE(3149)] = 236204,
  [SMALL_STATE(3150)] = 236259,
  [SMALL_STATE(3151)] = 236314,
  [SMALL_STATE(3152)] = 236369,
  [SMALL_STATE(3153)] = 236424,
  [SMALL_STATE(3154)] = 236479,
  [SMALL_STATE(3155)] = 236540,
  [SMALL_STATE(3156)] = 236595,
  [SMALL_STATE(3157)] = 236650,
  [SMALL_STATE(3158)] = 236705,
  [SMALL_STATE(3159)] = 236760,
  [SMALL_STATE(3160)] = 236819,
  [SMALL_STATE(3161)] = 236876,
  [SMALL_STATE(3162)] = 236931,
  [SMALL_STATE(3163)] = 236988,
  [SMALL_STATE(3164)] = 237045,
  [SMALL_STATE(3165)] = 237102,
  [SMALL_STATE(3166)] = 237159,
  [SMALL_STATE(3167)] = 237216,
  [SMALL_STATE(3168)] = 237273,
  [SMALL_STATE(3169)] = 237330,
  [SMALL_STATE(3170)] = 237385,
  [SMALL_STATE(3171)] = 237442,
  [SMALL_STATE(3172)] = 237499,
  [SMALL_STATE(3173)] = 237556,
  [SMALL_STATE(3174)] = 237613,
  [SMALL_STATE(3175)] = 237670,
  [SMALL_STATE(3176)] = 237727,
  [SMALL_STATE(3177)] = 237784,
  [SMALL_STATE(3178)] = 237841,
  [SMALL_STATE(3179)] = 237898,
  [SMALL_STATE(3180)] = 237955,
  [SMALL_STATE(3181)] = 238012,
  [SMALL_STATE(3182)] = 238069,
  [SMALL_STATE(3183)] = 238122,
  [SMALL_STATE(3184)] = 238179,
  [SMALL_STATE(3185)] = 238234,
  [SMALL_STATE(3186)] = 238291,
  [SMALL_STATE(3187)] = 238348,
  [SMALL_STATE(3188)] = 238403,
  [SMALL_STATE(3189)] = 238458,
  [SMALL_STATE(3190)] = 238511,
  [SMALL_STATE(3191)] = 238566,
  [SMALL_STATE(3192)] = 238619,
  [SMALL_STATE(3193)] = 238674,
  [SMALL_STATE(3194)] = 238729,
  [SMALL_STATE(3195)] = 238782,
  [SMALL_STATE(3196)] = 238837,
  [SMALL_STATE(3197)] = 238894,
  [SMALL_STATE(3198)] = 238947,
  [SMALL_STATE(3199)] = 239002,
  [SMALL_STATE(3200)] = 239059,
  [SMALL_STATE(3201)] = 239114,
  [SMALL_STATE(3202)] = 239169,
  [SMALL_STATE(3203)] = 239224,
  [SMALL_STATE(3204)] = 239281,
  [SMALL_STATE(3205)] = 239334,
  [SMALL_STATE(3206)] = 239391,
  [SMALL_STATE(3207)] = 239444,
  [SMALL_STATE(3208)] = 239501,
  [SMALL_STATE(3209)] = 239558,
  [SMALL_STATE(3210)] = 239615,
  [SMALL_STATE(3211)] = 239676,
  [SMALL_STATE(3212)] = 239737,
  [SMALL_STATE(3213)] = 239794,
  [SMALL_STATE(3214)] = 239851,
  [SMALL_STATE(3215)] = 239908,
  [SMALL_STATE(3216)] = 239965,
  [SMALL_STATE(3217)] = 240022,
  [SMALL_STATE(3218)] = 240079,
  [SMALL_STATE(3219)] = 240136,
  [SMALL_STATE(3220)] = 240193,
  [SMALL_STATE(3221)] = 240250,
  [SMALL_STATE(3222)] = 240307,
  [SMALL_STATE(3223)] = 240364,
  [SMALL_STATE(3224)] = 240421,
  [SMALL_STATE(3225)] = 240478,
  [SMALL_STATE(3226)] = 240535,
  [SMALL_STATE(3227)] = 240590,
  [SMALL_STATE(3228)] = 240647,
  [SMALL_STATE(3229)] = 240704,
  [SMALL_STATE(3230)] = 240761,
  [SMALL_STATE(3231)] = 240818,
  [SMALL_STATE(3232)] = 240875,
  [SMALL_STATE(3233)] = 240932,
  [SMALL_STATE(3234)] = 240989,
  [SMALL_STATE(3235)] = 241094,
  [SMALL_STATE(3236)] = 241151,
  [SMALL_STATE(3237)] = 241204,
  [SMALL_STATE(3238)] = 241261,
  [SMALL_STATE(3239)] = 241318,
  [SMALL_STATE(3240)] = 241375,
  [SMALL_STATE(3241)] = 241432,
  [SMALL_STATE(3242)] = 241489,
  [SMALL_STATE(3243)] = 241546,
  [SMALL_STATE(3244)] = 241603,
  [SMALL_STATE(3245)] = 241660,
  [SMALL_STATE(3246)] = 241717,
  [SMALL_STATE(3247)] = 241774,
  [SMALL_STATE(3248)] = 241831,
  [SMALL_STATE(3249)] = 241888,
  [SMALL_STATE(3250)] = 241945,
  [SMALL_STATE(3251)] = 242002,
  [SMALL_STATE(3252)] = 242059,
  [SMALL_STATE(3253)] = 242112,
  [SMALL_STATE(3254)] = 242165,
  [SMALL_STATE(3255)] = 242218,
  [SMALL_STATE(3256)] = 242271,
  [SMALL_STATE(3257)] = 242324,
  [SMALL_STATE(3258)] = 242377,
  [SMALL_STATE(3259)] = 242430,
  [SMALL_STATE(3260)] = 242489,
  [SMALL_STATE(3261)] = 242548,
  [SMALL_STATE(3262)] = 242603,
  [SMALL_STATE(3263)] = 242660,
  [SMALL_STATE(3264)] = 242713,
  [SMALL_STATE(3265)] = 242766,
  [SMALL_STATE(3266)] = 242821,
  [SMALL_STATE(3267)] = 242876,
  [SMALL_STATE(3268)] = 242931,
  [SMALL_STATE(3269)] = 242986,
  [SMALL_STATE(3270)] = 243039,
  [SMALL_STATE(3271)] = 243094,
  [SMALL_STATE(3272)] = 243147,
  [SMALL_STATE(3273)] = 243204,
  [SMALL_STATE(3274)] = 243261,
  [SMALL_STATE(3275)] = 243316,
  [SMALL_STATE(3276)] = 243373,
  [SMALL_STATE(3277)] = 243430,
  [SMALL_STATE(3278)] = 243487,
  [SMALL_STATE(3279)] = 243542,
  [SMALL_STATE(3280)] = 243597,
  [SMALL_STATE(3281)] = 243652,
  [SMALL_STATE(3282)] = 243705,
  [SMALL_STATE(3283)] = 243760,
  [SMALL_STATE(3284)] = 243815,
  [SMALL_STATE(3285)] = 243870,
  [SMALL_STATE(3286)] = 243925,
  [SMALL_STATE(3287)] = 243980,
  [SMALL_STATE(3288)] = 244035,
  [SMALL_STATE(3289)] = 244090,
  [SMALL_STATE(3290)] = 244147,
  [SMALL_STATE(3291)] = 244204,
  [SMALL_STATE(3292)] = 244259,
  [SMALL_STATE(3293)] = 244316,
  [SMALL_STATE(3294)] = 244371,
  [SMALL_STATE(3295)] = 244426,
  [SMALL_STATE(3296)] = 244481,
  [SMALL_STATE(3297)] = 244536,
  [SMALL_STATE(3298)] = 244591,
  [SMALL_STATE(3299)] = 244646,
  [SMALL_STATE(3300)] = 244701,
  [SMALL_STATE(3301)] = 244756,
  [SMALL_STATE(3302)] = 244811,
  [SMALL_STATE(3303)] = 244870,
  [SMALL_STATE(3304)] = 244925,
  [SMALL_STATE(3305)] = 244978,
  [SMALL_STATE(3306)] = 245031,
  [SMALL_STATE(3307)] = 245084,
  [SMALL_STATE(3308)] = 245137,
  [SMALL_STATE(3309)] = 245190,
  [SMALL_STATE(3310)] = 245243,
  [SMALL_STATE(3311)] = 245298,
  [SMALL_STATE(3312)] = 245353,
  [SMALL_STATE(3313)] = 245408,
  [SMALL_STATE(3314)] = 245463,
  [SMALL_STATE(3315)] = 245518,
  [SMALL_STATE(3316)] = 245571,
  [SMALL_STATE(3317)] = 245624,
  [SMALL_STATE(3318)] = 245681,
  [SMALL_STATE(3319)] = 245736,
  [SMALL_STATE(3320)] = 245789,
  [SMALL_STATE(3321)] = 245846,
  [SMALL_STATE(3322)] = 245901,
  [SMALL_STATE(3323)] = 245956,
  [SMALL_STATE(3324)] = 246013,
  [SMALL_STATE(3325)] = 246066,
  [SMALL_STATE(3326)] = 246119,
  [SMALL_STATE(3327)] = 246172,
  [SMALL_STATE(3328)] = 246225,
  [SMALL_STATE(3329)] = 246278,
  [SMALL_STATE(3330)] = 246331,
  [SMALL_STATE(3331)] = 246388,
  [SMALL_STATE(3332)] = 246443,
  [SMALL_STATE(3333)] = 246500,
  [SMALL_STATE(3334)] = 246553,
  [SMALL_STATE(3335)] = 246606,
  [SMALL_STATE(3336)] = 246659,
  [SMALL_STATE(3337)] = 246712,
  [SMALL_STATE(3338)] = 246765,
  [SMALL_STATE(3339)] = 246818,
  [SMALL_STATE(3340)] = 246873,
  [SMALL_STATE(3341)] = 246934,
  [SMALL_STATE(3342)] = 246991,
  [SMALL_STATE(3343)] = 247048,
  [SMALL_STATE(3344)] = 247101,
  [SMALL_STATE(3345)] = 247154,
  [SMALL_STATE(3346)] = 247207,
  [SMALL_STATE(3347)] = 247260,
  [SMALL_STATE(3348)] = 247313,
  [SMALL_STATE(3349)] = 247366,
  [SMALL_STATE(3350)] = 247423,
  [SMALL_STATE(3351)] = 247482,
  [SMALL_STATE(3352)] = 247535,
  [SMALL_STATE(3353)] = 247592,
  [SMALL_STATE(3354)] = 247647,
  [SMALL_STATE(3355)] = 247704,
  [SMALL_STATE(3356)] = 247759,
  [SMALL_STATE(3357)] = 247812,
  [SMALL_STATE(3358)] = 247865,
  [SMALL_STATE(3359)] = 247918,
  [SMALL_STATE(3360)] = 247971,
  [SMALL_STATE(3361)] = 248024,
  [SMALL_STATE(3362)] = 248077,
  [SMALL_STATE(3363)] = 248130,
  [SMALL_STATE(3364)] = 248183,
  [SMALL_STATE(3365)] = 248236,
  [SMALL_STATE(3366)] = 248289,
  [SMALL_STATE(3367)] = 248346,
  [SMALL_STATE(3368)] = 248403,
  [SMALL_STATE(3369)] = 248460,
  [SMALL_STATE(3370)] = 248513,
  [SMALL_STATE(3371)] = 248566,
  [SMALL_STATE(3372)] = 248627,
  [SMALL_STATE(3373)] = 248680,
  [SMALL_STATE(3374)] = 248733,
  [SMALL_STATE(3375)] = 248790,
  [SMALL_STATE(3376)] = 248843,
  [SMALL_STATE(3377)] = 248896,
  [SMALL_STATE(3378)] = 248949,
  [SMALL_STATE(3379)] = 249002,
  [SMALL_STATE(3380)] = 249059,
  [SMALL_STATE(3381)] = 249116,
  [SMALL_STATE(3382)] = 249173,
  [SMALL_STATE(3383)] = 249230,
  [SMALL_STATE(3384)] = 249287,
  [SMALL_STATE(3385)] = 249340,
  [SMALL_STATE(3386)] = 249393,
  [SMALL_STATE(3387)] = 249446,
  [SMALL_STATE(3388)] = 249499,
  [SMALL_STATE(3389)] = 249552,
  [SMALL_STATE(3390)] = 249605,
  [SMALL_STATE(3391)] = 249658,
  [SMALL_STATE(3392)] = 249711,
  [SMALL_STATE(3393)] = 249764,
  [SMALL_STATE(3394)] = 249821,
  [SMALL_STATE(3395)] = 249878,
  [SMALL_STATE(3396)] = 249935,
  [SMALL_STATE(3397)] = 249988,
  [SMALL_STATE(3398)] = 250043,
  [SMALL_STATE(3399)] = 250096,
  [SMALL_STATE(3400)] = 250153,
  [SMALL_STATE(3401)] = 250206,
  [SMALL_STATE(3402)] = 250307,
  [SMALL_STATE(3403)] = 250360,
  [SMALL_STATE(3404)] = 250413,
  [SMALL_STATE(3405)] = 250506,
  [SMALL_STATE(3406)] = 250559,
  [SMALL_STATE(3407)] = 250612,
  [SMALL_STATE(3408)] = 250665,
  [SMALL_STATE(3409)] = 250722,
  [SMALL_STATE(3410)] = 250775,
  [SMALL_STATE(3411)] = 250828,
  [SMALL_STATE(3412)] = 250881,
  [SMALL_STATE(3413)] = 250938,
  [SMALL_STATE(3414)] = 250991,
  [SMALL_STATE(3415)] = 251044,
  [SMALL_STATE(3416)] = 251097,
  [SMALL_STATE(3417)] = 251150,
  [SMALL_STATE(3418)] = 251203,
  [SMALL_STATE(3419)] = 251256,
  [SMALL_STATE(3420)] = 251309,
  [SMALL_STATE(3421)] = 251366,
  [SMALL_STATE(3422)] = 251423,
  [SMALL_STATE(3423)] = 251480,
  [SMALL_STATE(3424)] = 251533,
  [SMALL_STATE(3425)] = 251586,
  [SMALL_STATE(3426)] = 251643,
  [SMALL_STATE(3427)] = 251700,
  [SMALL_STATE(3428)] = 251757,
  [SMALL_STATE(3429)] = 251814,
  [SMALL_STATE(3430)] = 251871,
  [SMALL_STATE(3431)] = 251924,
  [SMALL_STATE(3432)] = 251977,
  [SMALL_STATE(3433)] = 252030,
  [SMALL_STATE(3434)] = 252083,
  [SMALL_STATE(3435)] = 252136,
  [SMALL_STATE(3436)] = 252193,
  [SMALL_STATE(3437)] = 252250,
  [SMALL_STATE(3438)] = 252307,
  [SMALL_STATE(3439)] = 252364,
  [SMALL_STATE(3440)] = 252421,
  [SMALL_STATE(3441)] = 252478,
  [SMALL_STATE(3442)] = 252535,
  [SMALL_STATE(3443)] = 252628,
  [SMALL_STATE(3444)] = 252685,
  [SMALL_STATE(3445)] = 252790,
  [SMALL_STATE(3446)] = 252843,
  [SMALL_STATE(3447)] = 252902,
  [SMALL_STATE(3448)] = 252954,
  [SMALL_STATE(3449)] = 253010,
  [SMALL_STATE(3450)] = 253064,
  [SMALL_STATE(3451)] = 253116,
  [SMALL_STATE(3452)] = 253172,
  [SMALL_STATE(3453)] = 253224,
  [SMALL_STATE(3454)] = 253276,
  [SMALL_STATE(3455)] = 253328,
  [SMALL_STATE(3456)] = 253380,
  [SMALL_STATE(3457)] = 253432,
  [SMALL_STATE(3458)] = 253484,
  [SMALL_STATE(3459)] = 253538,
  [SMALL_STATE(3460)] = 253590,
  [SMALL_STATE(3461)] = 253652,
  [SMALL_STATE(3462)] = 253708,
  [SMALL_STATE(3463)] = 253768,
  [SMALL_STATE(3464)] = 253820,
  [SMALL_STATE(3465)] = 253872,
  [SMALL_STATE(3466)] = 253926,
  [SMALL_STATE(3467)] = 253978,
  [SMALL_STATE(3468)] = 254030,
  [SMALL_STATE(3469)] = 254082,
  [SMALL_STATE(3470)] = 254134,
  [SMALL_STATE(3471)] = 254186,
  [SMALL_STATE(3472)] = 254238,
  [SMALL_STATE(3473)] = 254292,
  [SMALL_STATE(3474)] = 254344,
  [SMALL_STATE(3475)] = 254396,
  [SMALL_STATE(3476)] = 254448,
  [SMALL_STATE(3477)] = 254500,
  [SMALL_STATE(3478)] = 254552,
  [SMALL_STATE(3479)] = 254608,
  [SMALL_STATE(3480)] = 254660,
  [SMALL_STATE(3481)] = 254712,
  [SMALL_STATE(3482)] = 254764,
  [SMALL_STATE(3483)] = 254816,
  [SMALL_STATE(3484)] = 254868,
  [SMALL_STATE(3485)] = 254920,
  [SMALL_STATE(3486)] = 254972,
  [SMALL_STATE(3487)] = 255044,
  [SMALL_STATE(3488)] = 255098,
  [SMALL_STATE(3489)] = 255154,
  [SMALL_STATE(3490)] = 255210,
  [SMALL_STATE(3491)] = 255296,
  [SMALL_STATE(3492)] = 255384,
  [SMALL_STATE(3493)] = 255442,
  [SMALL_STATE(3494)] = 255520,
  [SMALL_STATE(3495)] = 255584,
  [SMALL_STATE(3496)] = 255644,
  [SMALL_STATE(3497)] = 255704,
  [SMALL_STATE(3498)] = 255756,
  [SMALL_STATE(3499)] = 255828,
  [SMALL_STATE(3500)] = 255896,
  [SMALL_STATE(3501)] = 256000,
  [SMALL_STATE(3502)] = 256062,
  [SMALL_STATE(3503)] = 256142,
  [SMALL_STATE(3504)] = 256198,
  [SMALL_STATE(3505)] = 256250,
  [SMALL_STATE(3506)] = 256306,
  [SMALL_STATE(3507)] = 256362,
  [SMALL_STATE(3508)] = 256418,
  [SMALL_STATE(3509)] = 256502,
  [SMALL_STATE(3510)] = 256558,
  [SMALL_STATE(3511)] = 256614,
  [SMALL_STATE(3512)] = 256670,
  [SMALL_STATE(3513)] = 256726,
  [SMALL_STATE(3514)] = 256782,
  [SMALL_STATE(3515)] = 256866,
  [SMALL_STATE(3516)] = 256918,
  [SMALL_STATE(3517)] = 256970,
  [SMALL_STATE(3518)] = 257022,
  [SMALL_STATE(3519)] = 257074,
  [SMALL_STATE(3520)] = 257130,
  [SMALL_STATE(3521)] = 257186,
  [SMALL_STATE(3522)] = 257240,
  [SMALL_STATE(3523)] = 257296,
  [SMALL_STATE(3524)] = 257352,
  [SMALL_STATE(3525)] = 257408,
  [SMALL_STATE(3526)] = 257464,
  [SMALL_STATE(3527)] = 257520,
  [SMALL_STATE(3528)] = 257572,
  [SMALL_STATE(3529)] = 257624,
  [SMALL_STATE(3530)] = 257680,
  [SMALL_STATE(3531)] = 257732,
  [SMALL_STATE(3532)] = 257784,
  [SMALL_STATE(3533)] = 257836,
  [SMALL_STATE(3534)] = 257892,
  [SMALL_STATE(3535)] = 257946,
  [SMALL_STATE(3536)] = 258000,
  [SMALL_STATE(3537)] = 258052,
  [SMALL_STATE(3538)] = 258104,
  [SMALL_STATE(3539)] = 258158,
  [SMALL_STATE(3540)] = 258210,
  [SMALL_STATE(3541)] = 258262,
  [SMALL_STATE(3542)] = 258314,
  [SMALL_STATE(3543)] = 258368,
  [SMALL_STATE(3544)] = 258422,
  [SMALL_STATE(3545)] = 258474,
  [SMALL_STATE(3546)] = 258528,
  [SMALL_STATE(3547)] = 258580,
  [SMALL_STATE(3548)] = 258634,
  [SMALL_STATE(3549)] = 258686,
  [SMALL_STATE(3550)] = 258740,
  [SMALL_STATE(3551)] = 258798,
  [SMALL_STATE(3552)] = 258852,
  [SMALL_STATE(3553)] = 258904,
  [SMALL_STATE(3554)] = 258976,
  [SMALL_STATE(3555)] = 259068,
  [SMALL_STATE(3556)] = 259130,
  [SMALL_STATE(3557)] = 259184,
  [SMALL_STATE(3558)] = 259238,
  [SMALL_STATE(3559)] = 259290,
  [SMALL_STATE(3560)] = 259344,
  [SMALL_STATE(3561)] = 259398,
  [SMALL_STATE(3562)] = 259450,
  [SMALL_STATE(3563)] = 259502,
  [SMALL_STATE(3564)] = 259554,
  [SMALL_STATE(3565)] = 259606,
  [SMALL_STATE(3566)] = 259660,
  [SMALL_STATE(3567)] = 259712,
  [SMALL_STATE(3568)] = 259764,
  [SMALL_STATE(3569)] = 259816,
  [SMALL_STATE(3570)] = 259870,
  [SMALL_STATE(3571)] = 259924,
  [SMALL_STATE(3572)] = 259976,
  [SMALL_STATE(3573)] = 260028,
  [SMALL_STATE(3574)] = 260080,
  [SMALL_STATE(3575)] = 260132,
  [SMALL_STATE(3576)] = 260184,
  [SMALL_STATE(3577)] = 260236,
  [SMALL_STATE(3578)] = 260288,
  [SMALL_STATE(3579)] = 260340,
  [SMALL_STATE(3580)] = 260392,
  [SMALL_STATE(3581)] = 260446,
  [SMALL_STATE(3582)] = 260500,
  [SMALL_STATE(3583)] = 260552,
  [SMALL_STATE(3584)] = 260604,
  [SMALL_STATE(3585)] = 260658,
  [SMALL_STATE(3586)] = 260710,
  [SMALL_STATE(3587)] = 260764,
  [SMALL_STATE(3588)] = 260816,
  [SMALL_STATE(3589)] = 260870,
  [SMALL_STATE(3590)] = 260922,
  [SMALL_STATE(3591)] = 260976,
  [SMALL_STATE(3592)] = 261028,
  [SMALL_STATE(3593)] = 261082,
  [SMALL_STATE(3594)] = 261134,
  [SMALL_STATE(3595)] = 261188,
  [SMALL_STATE(3596)] = 261240,
  [SMALL_STATE(3597)] = 261292,
  [SMALL_STATE(3598)] = 261344,
  [SMALL_STATE(3599)] = 261396,
  [SMALL_STATE(3600)] = 261448,
  [SMALL_STATE(3601)] = 261500,
  [SMALL_STATE(3602)] = 261552,
  [SMALL_STATE(3603)] = 261604,
  [SMALL_STATE(3604)] = 261656,
  [SMALL_STATE(3605)] = 261708,
  [SMALL_STATE(3606)] = 261760,
  [SMALL_STATE(3607)] = 261814,
  [SMALL_STATE(3608)] = 261868,
  [SMALL_STATE(3609)] = 261922,
  [SMALL_STATE(3610)] = 261976,
  [SMALL_STATE(3611)] = 262028,
  [SMALL_STATE(3612)] = 262080,
  [SMALL_STATE(3613)] = 262132,
  [SMALL_STATE(3614)] = 262184,
  [SMALL_STATE(3615)] = 262236,
  [SMALL_STATE(3616)] = 262288,
  [SMALL_STATE(3617)] = 262340,
  [SMALL_STATE(3618)] = 262392,
  [SMALL_STATE(3619)] = 262444,
  [SMALL_STATE(3620)] = 262496,
  [SMALL_STATE(3621)] = 262548,
  [SMALL_STATE(3622)] = 262600,
  [SMALL_STATE(3623)] = 262652,
  [SMALL_STATE(3624)] = 262704,
  [SMALL_STATE(3625)] = 262756,
  [SMALL_STATE(3626)] = 262808,
  [SMALL_STATE(3627)] = 262860,
  [SMALL_STATE(3628)] = 262912,
  [SMALL_STATE(3629)] = 262964,
  [SMALL_STATE(3630)] = 263018,
  [SMALL_STATE(3631)] = 263070,
  [SMALL_STATE(3632)] = 263122,
  [SMALL_STATE(3633)] = 263174,
  [SMALL_STATE(3634)] = 263226,
  [SMALL_STATE(3635)] = 263278,
  [SMALL_STATE(3636)] = 263332,
  [SMALL_STATE(3637)] = 263390,
  [SMALL_STATE(3638)] = 263442,
  [SMALL_STATE(3639)] = 263496,
  [SMALL_STATE(3640)] = 263548,
  [SMALL_STATE(3641)] = 263602,
  [SMALL_STATE(3642)] = 263654,
  [SMALL_STATE(3643)] = 263708,
  [SMALL_STATE(3644)] = 263760,
  [SMALL_STATE(3645)] = 263814,
  [SMALL_STATE(3646)] = 263866,
  [SMALL_STATE(3647)] = 263920,
  [SMALL_STATE(3648)] = 263972,
  [SMALL_STATE(3649)] = 264024,
  [SMALL_STATE(3650)] = 264076,
  [SMALL_STATE(3651)] = 264130,
  [SMALL_STATE(3652)] = 264182,
  [SMALL_STATE(3653)] = 264236,
  [SMALL_STATE(3654)] = 264290,
  [SMALL_STATE(3655)] = 264388,
  [SMALL_STATE(3656)] = 264442,
  [SMALL_STATE(3657)] = 264494,
  [SMALL_STATE(3658)] = 264548,
  [SMALL_STATE(3659)] = 264602,
  [SMALL_STATE(3660)] = 264660,
  [SMALL_STATE(3661)] = 264714,
  [SMALL_STATE(3662)] = 264768,
  [SMALL_STATE(3663)] = 264822,
  [SMALL_STATE(3664)] = 264876,
  [SMALL_STATE(3665)] = 264930,
  [SMALL_STATE(3666)] = 264984,
  [SMALL_STATE(3667)] = 265038,
  [SMALL_STATE(3668)] = 265090,
  [SMALL_STATE(3669)] = 265144,
  [SMALL_STATE(3670)] = 265198,
  [SMALL_STATE(3671)] = 265252,
  [SMALL_STATE(3672)] = 265304,
  [SMALL_STATE(3673)] = 265358,
  [SMALL_STATE(3674)] = 265412,
  [SMALL_STATE(3675)] = 265468,
  [SMALL_STATE(3676)] = 265520,
  [SMALL_STATE(3677)] = 265572,
  [SMALL_STATE(3678)] = 265624,
  [SMALL_STATE(3679)] = 265678,
  [SMALL_STATE(3680)] = 265732,
  [SMALL_STATE(3681)] = 265784,
  [SMALL_STATE(3682)] = 265838,
  [SMALL_STATE(3683)] = 265890,
  [SMALL_STATE(3684)] = 265944,
  [SMALL_STATE(3685)] = 265998,
  [SMALL_STATE(3686)] = 266052,
  [SMALL_STATE(3687)] = 266106,
  [SMALL_STATE(3688)] = 266158,
  [SMALL_STATE(3689)] = 266212,
  [SMALL_STATE(3690)] = 266264,
  [SMALL_STATE(3691)] = 266320,
  [SMALL_STATE(3692)] = 266374,
  [SMALL_STATE(3693)] = 266426,
  [SMALL_STATE(3694)] = 266478,
  [SMALL_STATE(3695)] = 266530,
  [SMALL_STATE(3696)] = 266586,
  [SMALL_STATE(3697)] = 266638,
  [SMALL_STATE(3698)] = 266690,
  [SMALL_STATE(3699)] = 266746,
  [SMALL_STATE(3700)] = 266802,
  [SMALL_STATE(3701)] = 266854,
  [SMALL_STATE(3702)] = 266906,
  [SMALL_STATE(3703)] = 266958,
  [SMALL_STATE(3704)] = 267010,
  [SMALL_STATE(3705)] = 267062,
  [SMALL_STATE(3706)] = 267114,
  [SMALL_STATE(3707)] = 267166,
  [SMALL_STATE(3708)] = 267218,
  [SMALL_STATE(3709)] = 267270,
  [SMALL_STATE(3710)] = 267322,
  [SMALL_STATE(3711)] = 267374,
  [SMALL_STATE(3712)] = 267426,
  [SMALL_STATE(3713)] = 267478,
  [SMALL_STATE(3714)] = 267530,
  [SMALL_STATE(3715)] = 267582,
  [SMALL_STATE(3716)] = 267634,
  [SMALL_STATE(3717)] = 267690,
  [SMALL_STATE(3718)] = 267746,
  [SMALL_STATE(3719)] = 267802,
  [SMALL_STATE(3720)] = 267858,
  [SMALL_STATE(3721)] = 267914,
  [SMALL_STATE(3722)] = 267966,
  [SMALL_STATE(3723)] = 268018,
  [SMALL_STATE(3724)] = 268070,
  [SMALL_STATE(3725)] = 268126,
  [SMALL_STATE(3726)] = 268178,
  [SMALL_STATE(3727)] = 268230,
  [SMALL_STATE(3728)] = 268282,
  [SMALL_STATE(3729)] = 268334,
  [SMALL_STATE(3730)] = 268390,
  [SMALL_STATE(3731)] = 268442,
  [SMALL_STATE(3732)] = 268494,
  [SMALL_STATE(3733)] = 268546,
  [SMALL_STATE(3734)] = 268598,
  [SMALL_STATE(3735)] = 268650,
  [SMALL_STATE(3736)] = 268702,
  [SMALL_STATE(3737)] = 268754,
  [SMALL_STATE(3738)] = 268810,
  [SMALL_STATE(3739)] = 268862,
  [SMALL_STATE(3740)] = 268914,
  [SMALL_STATE(3741)] = 268966,
  [SMALL_STATE(3742)] = 269018,
  [SMALL_STATE(3743)] = 269070,
  [SMALL_STATE(3744)] = 269122,
  [SMALL_STATE(3745)] = 269174,
  [SMALL_STATE(3746)] = 269226,
  [SMALL_STATE(3747)] = 269278,
  [SMALL_STATE(3748)] = 269330,
  [SMALL_STATE(3749)] = 269382,
  [SMALL_STATE(3750)] = 269434,
  [SMALL_STATE(3751)] = 269486,
  [SMALL_STATE(3752)] = 269538,
  [SMALL_STATE(3753)] = 269590,
  [SMALL_STATE(3754)] = 269642,
  [SMALL_STATE(3755)] = 269694,
  [SMALL_STATE(3756)] = 269746,
  [SMALL_STATE(3757)] = 269798,
  [SMALL_STATE(3758)] = 269850,
  [SMALL_STATE(3759)] = 269906,
  [SMALL_STATE(3760)] = 269958,
  [SMALL_STATE(3761)] = 270010,
  [SMALL_STATE(3762)] = 270066,
  [SMALL_STATE(3763)] = 270118,
  [SMALL_STATE(3764)] = 270170,
  [SMALL_STATE(3765)] = 270222,
  [SMALL_STATE(3766)] = 270276,
  [SMALL_STATE(3767)] = 270328,
  [SMALL_STATE(3768)] = 270384,
  [SMALL_STATE(3769)] = 270436,
  [SMALL_STATE(3770)] = 270488,
  [SMALL_STATE(3771)] = 270540,
  [SMALL_STATE(3772)] = 270594,
  [SMALL_STATE(3773)] = 270646,
  [SMALL_STATE(3774)] = 270698,
  [SMALL_STATE(3775)] = 270750,
  [SMALL_STATE(3776)] = 270802,
  [SMALL_STATE(3777)] = 270856,
  [SMALL_STATE(3778)] = 270910,
  [SMALL_STATE(3779)] = 270962,
  [SMALL_STATE(3780)] = 271016,
  [SMALL_STATE(3781)] = 271068,
  [SMALL_STATE(3782)] = 271120,
  [SMALL_STATE(3783)] = 271176,
  [SMALL_STATE(3784)] = 271228,
  [SMALL_STATE(3785)] = 271282,
  [SMALL_STATE(3786)] = 271334,
  [SMALL_STATE(3787)] = 271386,
  [SMALL_STATE(3788)] = 271438,
  [SMALL_STATE(3789)] = 271490,
  [SMALL_STATE(3790)] = 271546,
  [SMALL_STATE(3791)] = 271600,
  [SMALL_STATE(3792)] = 271652,
  [SMALL_STATE(3793)] = 271704,
  [SMALL_STATE(3794)] = 271756,
  [SMALL_STATE(3795)] = 271808,
  [SMALL_STATE(3796)] = 271860,
  [SMALL_STATE(3797)] = 271912,
  [SMALL_STATE(3798)] = 271964,
  [SMALL_STATE(3799)] = 272016,
  [SMALL_STATE(3800)] = 272102,
  [SMALL_STATE(3801)] = 272154,
  [SMALL_STATE(3802)] = 272206,
  [SMALL_STATE(3803)] = 272258,
  [SMALL_STATE(3804)] = 272344,
  [SMALL_STATE(3805)] = 272398,
  [SMALL_STATE(3806)] = 272450,
  [SMALL_STATE(3807)] = 272504,
  [SMALL_STATE(3808)] = 272556,
  [SMALL_STATE(3809)] = 272610,
  [SMALL_STATE(3810)] = 272662,
  [SMALL_STATE(3811)] = 272744,
  [SMALL_STATE(3812)] = 272798,
  [SMALL_STATE(3813)] = 272860,
  [SMALL_STATE(3814)] = 272914,
  [SMALL_STATE(3815)] = 272982,
  [SMALL_STATE(3816)] = 273054,
  [SMALL_STATE(3817)] = 273118,
  [SMALL_STATE(3818)] = 273172,
  [SMALL_STATE(3819)] = 273250,
  [SMALL_STATE(3820)] = 273340,
  [SMALL_STATE(3821)] = 273428,
  [SMALL_STATE(3822)] = 273480,
  [SMALL_STATE(3823)] = 273534,
  [SMALL_STATE(3824)] = 273588,
  [SMALL_STATE(3825)] = 273642,
  [SMALL_STATE(3826)] = 273698,
  [SMALL_STATE(3827)] = 273754,
  [SMALL_STATE(3828)] = 273808,
  [SMALL_STATE(3829)] = 273862,
  [SMALL_STATE(3830)] = 273916,
  [SMALL_STATE(3831)] = 273970,
  [SMALL_STATE(3832)] = 274022,
  [SMALL_STATE(3833)] = 274074,
  [SMALL_STATE(3834)] = 274128,
  [SMALL_STATE(3835)] = 274180,
  [SMALL_STATE(3836)] = 274234,
  [SMALL_STATE(3837)] = 274288,
  [SMALL_STATE(3838)] = 274348,
  [SMALL_STATE(3839)] = 274408,
  [SMALL_STATE(3840)] = 274460,
  [SMALL_STATE(3841)] = 274512,
  [SMALL_STATE(3842)] = 274566,
  [SMALL_STATE(3843)] = 274620,
  [SMALL_STATE(3844)] = 274672,
  [SMALL_STATE(3845)] = 274726,
  [SMALL_STATE(3846)] = 274780,
  [SMALL_STATE(3847)] = 274834,
  [SMALL_STATE(3848)] = 274888,
  [SMALL_STATE(3849)] = 274942,
  [SMALL_STATE(3850)] = 274996,
  [SMALL_STATE(3851)] = 275050,
  [SMALL_STATE(3852)] = 275104,
  [SMALL_STATE(3853)] = 275160,
  [SMALL_STATE(3854)] = 275214,
  [SMALL_STATE(3855)] = 275268,
  [SMALL_STATE(3856)] = 275322,
  [SMALL_STATE(3857)] = 275376,
  [SMALL_STATE(3858)] = 275430,
  [SMALL_STATE(3859)] = 275488,
  [SMALL_STATE(3860)] = 275542,
  [SMALL_STATE(3861)] = 275596,
  [SMALL_STATE(3862)] = 275650,
  [SMALL_STATE(3863)] = 275704,
  [SMALL_STATE(3864)] = 275758,
  [SMALL_STATE(3865)] = 275812,
  [SMALL_STATE(3866)] = 275870,
  [SMALL_STATE(3867)] = 275924,
  [SMALL_STATE(3868)] = 275978,
  [SMALL_STATE(3869)] = 276036,
  [SMALL_STATE(3870)] = 276090,
  [SMALL_STATE(3871)] = 276141,
  [SMALL_STATE(3872)] = 276194,
  [SMALL_STATE(3873)] = 276245,
  [SMALL_STATE(3874)] = 276296,
  [SMALL_STATE(3875)] = 276347,
  [SMALL_STATE(3876)] = 276398,
  [SMALL_STATE(3877)] = 276449,
  [SMALL_STATE(3878)] = 276500,
  [SMALL_STATE(3879)] = 276551,
  [SMALL_STATE(3880)] = 276602,
  [SMALL_STATE(3881)] = 276653,
  [SMALL_STATE(3882)] = 276704,
  [SMALL_STATE(3883)] = 276755,
  [SMALL_STATE(3884)] = 276806,
  [SMALL_STATE(3885)] = 276857,
  [SMALL_STATE(3886)] = 276908,
  [SMALL_STATE(3887)] = 276959,
  [SMALL_STATE(3888)] = 277010,
  [SMALL_STATE(3889)] = 277061,
  [SMALL_STATE(3890)] = 277112,
  [SMALL_STATE(3891)] = 277163,
  [SMALL_STATE(3892)] = 277214,
  [SMALL_STATE(3893)] = 277265,
  [SMALL_STATE(3894)] = 277316,
  [SMALL_STATE(3895)] = 277367,
  [SMALL_STATE(3896)] = 277418,
  [SMALL_STATE(3897)] = 277469,
  [SMALL_STATE(3898)] = 277520,
  [SMALL_STATE(3899)] = 277571,
  [SMALL_STATE(3900)] = 277622,
  [SMALL_STATE(3901)] = 277673,
  [SMALL_STATE(3902)] = 277724,
  [SMALL_STATE(3903)] = 277775,
  [SMALL_STATE(3904)] = 277826,
  [SMALL_STATE(3905)] = 277877,
  [SMALL_STATE(3906)] = 277928,
  [SMALL_STATE(3907)] = 277979,
  [SMALL_STATE(3908)] = 278030,
  [SMALL_STATE(3909)] = 278081,
  [SMALL_STATE(3910)] = 278134,
  [SMALL_STATE(3911)] = 278185,
  [SMALL_STATE(3912)] = 278242,
  [SMALL_STATE(3913)] = 278299,
  [SMALL_STATE(3914)] = 278350,
  [SMALL_STATE(3915)] = 278401,
  [SMALL_STATE(3916)] = 278452,
  [SMALL_STATE(3917)] = 278503,
  [SMALL_STATE(3918)] = 278554,
  [SMALL_STATE(3919)] = 278605,
  [SMALL_STATE(3920)] = 278656,
  [SMALL_STATE(3921)] = 278707,
  [SMALL_STATE(3922)] = 278758,
  [SMALL_STATE(3923)] = 278809,
  [SMALL_STATE(3924)] = 278860,
  [SMALL_STATE(3925)] = 278911,
  [SMALL_STATE(3926)] = 278962,
  [SMALL_STATE(3927)] = 279013,
  [SMALL_STATE(3928)] = 279064,
  [SMALL_STATE(3929)] = 279115,
  [SMALL_STATE(3930)] = 279166,
  [SMALL_STATE(3931)] = 279217,
  [SMALL_STATE(3932)] = 279268,
  [SMALL_STATE(3933)] = 279319,
  [SMALL_STATE(3934)] = 279370,
  [SMALL_STATE(3935)] = 279421,
  [SMALL_STATE(3936)] = 279472,
  [SMALL_STATE(3937)] = 279523,
  [SMALL_STATE(3938)] = 279574,
  [SMALL_STATE(3939)] = 279625,
  [SMALL_STATE(3940)] = 279676,
  [SMALL_STATE(3941)] = 279727,
  [SMALL_STATE(3942)] = 279778,
  [SMALL_STATE(3943)] = 279829,
  [SMALL_STATE(3944)] = 279880,
  [SMALL_STATE(3945)] = 279931,
  [SMALL_STATE(3946)] = 279982,
  [SMALL_STATE(3947)] = 280033,
  [SMALL_STATE(3948)] = 280084,
  [SMALL_STATE(3949)] = 280135,
  [SMALL_STATE(3950)] = 280186,
  [SMALL_STATE(3951)] = 280237,
  [SMALL_STATE(3952)] = 280288,
  [SMALL_STATE(3953)] = 280339,
  [SMALL_STATE(3954)] = 280390,
  [SMALL_STATE(3955)] = 280441,
  [SMALL_STATE(3956)] = 280492,
  [SMALL_STATE(3957)] = 280543,
  [SMALL_STATE(3958)] = 280594,
  [SMALL_STATE(3959)] = 280645,
  [SMALL_STATE(3960)] = 280696,
  [SMALL_STATE(3961)] = 280747,
  [SMALL_STATE(3962)] = 280798,
  [SMALL_STATE(3963)] = 280849,
  [SMALL_STATE(3964)] = 280900,
  [SMALL_STATE(3965)] = 280951,
  [SMALL_STATE(3966)] = 281002,
  [SMALL_STATE(3967)] = 281053,
  [SMALL_STATE(3968)] = 281104,
  [SMALL_STATE(3969)] = 281155,
  [SMALL_STATE(3970)] = 281206,
  [SMALL_STATE(3971)] = 281257,
  [SMALL_STATE(3972)] = 281308,
  [SMALL_STATE(3973)] = 281359,
  [SMALL_STATE(3974)] = 281410,
  [SMALL_STATE(3975)] = 281461,
  [SMALL_STATE(3976)] = 281512,
  [SMALL_STATE(3977)] = 281563,
  [SMALL_STATE(3978)] = 281614,
  [SMALL_STATE(3979)] = 281665,
  [SMALL_STATE(3980)] = 281716,
  [SMALL_STATE(3981)] = 281767,
  [SMALL_STATE(3982)] = 281818,
  [SMALL_STATE(3983)] = 281869,
  [SMALL_STATE(3984)] = 281920,
  [SMALL_STATE(3985)] = 281971,
  [SMALL_STATE(3986)] = 282022,
  [SMALL_STATE(3987)] = 282073,
  [SMALL_STATE(3988)] = 282124,
  [SMALL_STATE(3989)] = 282175,
  [SMALL_STATE(3990)] = 282226,
  [SMALL_STATE(3991)] = 282277,
  [SMALL_STATE(3992)] = 282328,
  [SMALL_STATE(3993)] = 282379,
  [SMALL_STATE(3994)] = 282430,
  [SMALL_STATE(3995)] = 282481,
  [SMALL_STATE(3996)] = 282540,
  [SMALL_STATE(3997)] = 282591,
  [SMALL_STATE(3998)] = 282650,
  [SMALL_STATE(3999)] = 282701,
  [SMALL_STATE(4000)] = 282754,
  [SMALL_STATE(4001)] = 282805,
  [SMALL_STATE(4002)] = 282856,
  [SMALL_STATE(4003)] = 282907,
  [SMALL_STATE(4004)] = 282958,
  [SMALL_STATE(4005)] = 283009,
  [SMALL_STATE(4006)] = 283060,
  [SMALL_STATE(4007)] = 283111,
  [SMALL_STATE(4008)] = 283194,
  [SMALL_STATE(4009)] = 283249,
  [SMALL_STATE(4010)] = 283300,
  [SMALL_STATE(4011)] = 283353,
  [SMALL_STATE(4012)] = 283404,
  [SMALL_STATE(4013)] = 283455,
  [SMALL_STATE(4014)] = 283506,
  [SMALL_STATE(4015)] = 283557,
  [SMALL_STATE(4016)] = 283608,
  [SMALL_STATE(4017)] = 283659,
  [SMALL_STATE(4018)] = 283742,
  [SMALL_STATE(4019)] = 283793,
  [SMALL_STATE(4020)] = 283844,
  [SMALL_STATE(4021)] = 283895,
  [SMALL_STATE(4022)] = 283946,
  [SMALL_STATE(4023)] = 283997,
  [SMALL_STATE(4024)] = 284048,
  [SMALL_STATE(4025)] = 284099,
  [SMALL_STATE(4026)] = 284150,
  [SMALL_STATE(4027)] = 284201,
  [SMALL_STATE(4028)] = 284252,
  [SMALL_STATE(4029)] = 284303,
  [SMALL_STATE(4030)] = 284356,
  [SMALL_STATE(4031)] = 284407,
  [SMALL_STATE(4032)] = 284460,
  [SMALL_STATE(4033)] = 284515,
  [SMALL_STATE(4034)] = 284566,
  [SMALL_STATE(4035)] = 284617,
  [SMALL_STATE(4036)] = 284668,
  [SMALL_STATE(4037)] = 284719,
  [SMALL_STATE(4038)] = 284770,
  [SMALL_STATE(4039)] = 284821,
  [SMALL_STATE(4040)] = 284872,
  [SMALL_STATE(4041)] = 284923,
  [SMALL_STATE(4042)] = 284974,
  [SMALL_STATE(4043)] = 285025,
  [SMALL_STATE(4044)] = 285078,
  [SMALL_STATE(4045)] = 285129,
  [SMALL_STATE(4046)] = 285180,
  [SMALL_STATE(4047)] = 285233,
  [SMALL_STATE(4048)] = 285284,
  [SMALL_STATE(4049)] = 285337,
  [SMALL_STATE(4050)] = 285390,
  [SMALL_STATE(4051)] = 285441,
  [SMALL_STATE(4052)] = 285492,
  [SMALL_STATE(4053)] = 285543,
  [SMALL_STATE(4054)] = 285594,
  [SMALL_STATE(4055)] = 285649,
  [SMALL_STATE(4056)] = 285700,
  [SMALL_STATE(4057)] = 285751,
  [SMALL_STATE(4058)] = 285802,
  [SMALL_STATE(4059)] = 285889,
  [SMALL_STATE(4060)] = 285978,
  [SMALL_STATE(4061)] = 286055,
  [SMALL_STATE(4062)] = 286118,
  [SMALL_STATE(4063)] = 286169,
  [SMALL_STATE(4064)] = 286220,
  [SMALL_STATE(4065)] = 286271,
  [SMALL_STATE(4066)] = 286322,
  [SMALL_STATE(4067)] = 286373,
  [SMALL_STATE(4068)] = 286424,
  [SMALL_STATE(4069)] = 286477,
  [SMALL_STATE(4070)] = 286556,
  [SMALL_STATE(4071)] = 286617,
  [SMALL_STATE(4072)] = 286670,
  [SMALL_STATE(4073)] = 286721,
  [SMALL_STATE(4074)] = 286772,
  [SMALL_STATE(4075)] = 286823,
  [SMALL_STATE(4076)] = 286874,
  [SMALL_STATE(4077)] = 286941,
  [SMALL_STATE(4078)] = 286992,
  [SMALL_STATE(4079)] = 287063,
  [SMALL_STATE(4080)] = 287116,
  [SMALL_STATE(4081)] = 287183,
  [SMALL_STATE(4082)] = 287244,
  [SMALL_STATE(4083)] = 287325,
  [SMALL_STATE(4084)] = 287378,
  [SMALL_STATE(4085)] = 287429,
  [SMALL_STATE(4086)] = 287482,
  [SMALL_STATE(4087)] = 287533,
  [SMALL_STATE(4088)] = 287584,
  [SMALL_STATE(4089)] = 287635,
  [SMALL_STATE(4090)] = 287688,
  [SMALL_STATE(4091)] = 287743,
  [SMALL_STATE(4092)] = 287796,
  [SMALL_STATE(4093)] = 287849,
  [SMALL_STATE(4094)] = 287902,
  [SMALL_STATE(4095)] = 287953,
  [SMALL_STATE(4096)] = 288004,
  [SMALL_STATE(4097)] = 288057,
  [SMALL_STATE(4098)] = 288108,
  [SMALL_STATE(4099)] = 288161,
  [SMALL_STATE(4100)] = 288214,
  [SMALL_STATE(4101)] = 288267,
  [SMALL_STATE(4102)] = 288320,
  [SMALL_STATE(4103)] = 288373,
  [SMALL_STATE(4104)] = 288426,
  [SMALL_STATE(4105)] = 288479,
  [SMALL_STATE(4106)] = 288532,
  [SMALL_STATE(4107)] = 288623,
  [SMALL_STATE(4108)] = 288674,
  [SMALL_STATE(4109)] = 288745,
  [SMALL_STATE(4110)] = 288798,
  [SMALL_STATE(4111)] = 288849,
  [SMALL_STATE(4112)] = 288900,
  [SMALL_STATE(4113)] = 288951,
  [SMALL_STATE(4114)] = 289002,
  [SMALL_STATE(4115)] = 289059,
  [SMALL_STATE(4116)] = 289112,
  [SMALL_STATE(4117)] = 289165,
  [SMALL_STATE(4118)] = 289216,
  [SMALL_STATE(4119)] = 289267,
  [SMALL_STATE(4120)] = 289322,
  [SMALL_STATE(4121)] = 289377,
  [SMALL_STATE(4122)] = 289432,
  [SMALL_STATE(4123)] = 289483,
  [SMALL_STATE(4124)] = 289534,
  [SMALL_STATE(4125)] = 289619,
  [SMALL_STATE(4126)] = 289670,
  [SMALL_STATE(4127)] = 289721,
  [SMALL_STATE(4128)] = 289776,
  [SMALL_STATE(4129)] = 289831,
  [SMALL_STATE(4130)] = 289886,
  [SMALL_STATE(4131)] = 289941,
  [SMALL_STATE(4132)] = 289996,
  [SMALL_STATE(4133)] = 290047,
  [SMALL_STATE(4134)] = 290098,
  [SMALL_STATE(4135)] = 290149,
  [SMALL_STATE(4136)] = 290234,
  [SMALL_STATE(4137)] = 290285,
  [SMALL_STATE(4138)] = 290338,
  [SMALL_STATE(4139)] = 290397,
  [SMALL_STATE(4140)] = 290456,
  [SMALL_STATE(4141)] = 290507,
  [SMALL_STATE(4142)] = 290558,
  [SMALL_STATE(4143)] = 290611,
  [SMALL_STATE(4144)] = 290662,
  [SMALL_STATE(4145)] = 290715,
  [SMALL_STATE(4146)] = 290766,
  [SMALL_STATE(4147)] = 290817,
  [SMALL_STATE(4148)] = 290870,
  [SMALL_STATE(4149)] = 290921,
  [SMALL_STATE(4150)] = 290972,
  [SMALL_STATE(4151)] = 291023,
  [SMALL_STATE(4152)] = 291074,
  [SMALL_STATE(4153)] = 291125,
  [SMALL_STATE(4154)] = 291180,
  [SMALL_STATE(4155)] = 291235,
  [SMALL_STATE(4156)] = 291290,
  [SMALL_STATE(4157)] = 291341,
  [SMALL_STATE(4158)] = 291392,
  [SMALL_STATE(4159)] = 291447,
  [SMALL_STATE(4160)] = 291502,
  [SMALL_STATE(4161)] = 291553,
  [SMALL_STATE(4162)] = 291604,
  [SMALL_STATE(4163)] = 291657,
  [SMALL_STATE(4164)] = 291708,
  [SMALL_STATE(4165)] = 291761,
  [SMALL_STATE(4166)] = 291816,
  [SMALL_STATE(4167)] = 291869,
  [SMALL_STATE(4168)] = 291920,
  [SMALL_STATE(4169)] = 291975,
  [SMALL_STATE(4170)] = 292026,
  [SMALL_STATE(4171)] = 292077,
  [SMALL_STATE(4172)] = 292128,
  [SMALL_STATE(4173)] = 292179,
  [SMALL_STATE(4174)] = 292230,
  [SMALL_STATE(4175)] = 292281,
  [SMALL_STATE(4176)] = 292332,
  [SMALL_STATE(4177)] = 292387,
  [SMALL_STATE(4178)] = 292438,
  [SMALL_STATE(4179)] = 292489,
  [SMALL_STATE(4180)] = 292540,
  [SMALL_STATE(4181)] = 292591,
  [SMALL_STATE(4182)] = 292642,
  [SMALL_STATE(4183)] = 292697,
  [SMALL_STATE(4184)] = 292752,
  [SMALL_STATE(4185)] = 292803,
  [SMALL_STATE(4186)] = 292854,
  [SMALL_STATE(4187)] = 292905,
  [SMALL_STATE(4188)] = 292966,
  [SMALL_STATE(4189)] = 293029,
  [SMALL_STATE(4190)] = 293100,
  [SMALL_STATE(4191)] = 293155,
  [SMALL_STATE(4192)] = 293212,
  [SMALL_STATE(4193)] = 293263,
  [SMALL_STATE(4194)] = 293340,
  [SMALL_STATE(4195)] = 293391,
  [SMALL_STATE(4196)] = 293442,
  [SMALL_STATE(4197)] = 293493,
  [SMALL_STATE(4198)] = 293546,
  [SMALL_STATE(4199)] = 293597,
  [SMALL_STATE(4200)] = 293648,
  [SMALL_STATE(4201)] = 293699,
  [SMALL_STATE(4202)] = 293750,
  [SMALL_STATE(4203)] = 293807,
  [SMALL_STATE(4204)] = 293858,
  [SMALL_STATE(4205)] = 293943,
  [SMALL_STATE(4206)] = 293994,
  [SMALL_STATE(4207)] = 294045,
  [SMALL_STATE(4208)] = 294096,
  [SMALL_STATE(4209)] = 294147,
  [SMALL_STATE(4210)] = 294198,
  [SMALL_STATE(4211)] = 294249,
  [SMALL_STATE(4212)] = 294300,
  [SMALL_STATE(4213)] = 294351,
  [SMALL_STATE(4214)] = 294402,
  [SMALL_STATE(4215)] = 294453,
  [SMALL_STATE(4216)] = 294504,
  [SMALL_STATE(4217)] = 294555,
  [SMALL_STATE(4218)] = 294606,
  [SMALL_STATE(4219)] = 294661,
  [SMALL_STATE(4220)] = 294712,
  [SMALL_STATE(4221)] = 294763,
  [SMALL_STATE(4222)] = 294814,
  [SMALL_STATE(4223)] = 294865,
  [SMALL_STATE(4224)] = 294916,
  [SMALL_STATE(4225)] = 294967,
  [SMALL_STATE(4226)] = 295018,
  [SMALL_STATE(4227)] = 295069,
  [SMALL_STATE(4228)] = 295120,
  [SMALL_STATE(4229)] = 295171,
  [SMALL_STATE(4230)] = 295222,
  [SMALL_STATE(4231)] = 295273,
  [SMALL_STATE(4232)] = 295324,
  [SMALL_STATE(4233)] = 295375,
  [SMALL_STATE(4234)] = 295426,
  [SMALL_STATE(4235)] = 295477,
  [SMALL_STATE(4236)] = 295528,
  [SMALL_STATE(4237)] = 295579,
  [SMALL_STATE(4238)] = 295630,
  [SMALL_STATE(4239)] = 295717,
  [SMALL_STATE(4240)] = 295768,
  [SMALL_STATE(4241)] = 295819,
  [SMALL_STATE(4242)] = 295870,
  [SMALL_STATE(4243)] = 295921,
  [SMALL_STATE(4244)] = 295972,
  [SMALL_STATE(4245)] = 296023,
  [SMALL_STATE(4246)] = 296074,
  [SMALL_STATE(4247)] = 296125,
  [SMALL_STATE(4248)] = 296176,
  [SMALL_STATE(4249)] = 296227,
  [SMALL_STATE(4250)] = 296278,
  [SMALL_STATE(4251)] = 296329,
  [SMALL_STATE(4252)] = 296380,
  [SMALL_STATE(4253)] = 296471,
  [SMALL_STATE(4254)] = 296522,
  [SMALL_STATE(4255)] = 296573,
  [SMALL_STATE(4256)] = 296624,
  [SMALL_STATE(4257)] = 296675,
  [SMALL_STATE(4258)] = 296726,
  [SMALL_STATE(4259)] = 296777,
  [SMALL_STATE(4260)] = 296828,
  [SMALL_STATE(4261)] = 296879,
  [SMALL_STATE(4262)] = 296930,
  [SMALL_STATE(4263)] = 296981,
  [SMALL_STATE(4264)] = 297032,
  [SMALL_STATE(4265)] = 297083,
  [SMALL_STATE(4266)] = 297134,
  [SMALL_STATE(4267)] = 297185,
  [SMALL_STATE(4268)] = 297236,
  [SMALL_STATE(4269)] = 297287,
  [SMALL_STATE(4270)] = 297338,
  [SMALL_STATE(4271)] = 297389,
  [SMALL_STATE(4272)] = 297440,
  [SMALL_STATE(4273)] = 297491,
  [SMALL_STATE(4274)] = 297542,
  [SMALL_STATE(4275)] = 297593,
  [SMALL_STATE(4276)] = 297644,
  [SMALL_STATE(4277)] = 297695,
  [SMALL_STATE(4278)] = 297746,
  [SMALL_STATE(4279)] = 297797,
  [SMALL_STATE(4280)] = 297848,
  [SMALL_STATE(4281)] = 297899,
  [SMALL_STATE(4282)] = 297950,
  [SMALL_STATE(4283)] = 298001,
  [SMALL_STATE(4284)] = 298052,
  [SMALL_STATE(4285)] = 298103,
  [SMALL_STATE(4286)] = 298154,
  [SMALL_STATE(4287)] = 298205,
  [SMALL_STATE(4288)] = 298256,
  [SMALL_STATE(4289)] = 298307,
  [SMALL_STATE(4290)] = 298358,
  [SMALL_STATE(4291)] = 298409,
  [SMALL_STATE(4292)] = 298460,
  [SMALL_STATE(4293)] = 298511,
  [SMALL_STATE(4294)] = 298562,
  [SMALL_STATE(4295)] = 298613,
  [SMALL_STATE(4296)] = 298664,
  [SMALL_STATE(4297)] = 298715,
  [SMALL_STATE(4298)] = 298766,
  [SMALL_STATE(4299)] = 298817,
  [SMALL_STATE(4300)] = 298868,
  [SMALL_STATE(4301)] = 298919,
  [SMALL_STATE(4302)] = 298970,
  [SMALL_STATE(4303)] = 299021,
  [SMALL_STATE(4304)] = 299072,
  [SMALL_STATE(4305)] = 299123,
  [SMALL_STATE(4306)] = 299174,
  [SMALL_STATE(4307)] = 299225,
  [SMALL_STATE(4308)] = 299276,
  [SMALL_STATE(4309)] = 299327,
  [SMALL_STATE(4310)] = 299378,
  [SMALL_STATE(4311)] = 299429,
  [SMALL_STATE(4312)] = 299480,
  [SMALL_STATE(4313)] = 299531,
  [SMALL_STATE(4314)] = 299582,
  [SMALL_STATE(4315)] = 299633,
  [SMALL_STATE(4316)] = 299684,
  [SMALL_STATE(4317)] = 299735,
  [SMALL_STATE(4318)] = 299786,
  [SMALL_STATE(4319)] = 299845,
  [SMALL_STATE(4320)] = 299904,
  [SMALL_STATE(4321)] = 299955,
  [SMALL_STATE(4322)] = 300006,
  [SMALL_STATE(4323)] = 300067,
  [SMALL_STATE(4324)] = 300138,
  [SMALL_STATE(4325)] = 300189,
  [SMALL_STATE(4326)] = 300240,
  [SMALL_STATE(4327)] = 300325,
  [SMALL_STATE(4328)] = 300376,
  [SMALL_STATE(4329)] = 300427,
  [SMALL_STATE(4330)] = 300478,
  [SMALL_STATE(4331)] = 300529,
  [SMALL_STATE(4332)] = 300614,
  [SMALL_STATE(4333)] = 300665,
  [SMALL_STATE(4334)] = 300746,
  [SMALL_STATE(4335)] = 300807,
  [SMALL_STATE(4336)] = 300858,
  [SMALL_STATE(4337)] = 300911,
  [SMALL_STATE(4338)] = 300962,
  [SMALL_STATE(4339)] = 301013,
  [SMALL_STATE(4340)] = 301064,
  [SMALL_STATE(4341)] = 301131,
  [SMALL_STATE(4342)] = 301216,
  [SMALL_STATE(4343)] = 301301,
  [SMALL_STATE(4344)] = 301358,
  [SMALL_STATE(4345)] = 301415,
  [SMALL_STATE(4346)] = 301478,
  [SMALL_STATE(4347)] = 301529,
  [SMALL_STATE(4348)] = 301586,
  [SMALL_STATE(4349)] = 301637,
  [SMALL_STATE(4350)] = 301698,
  [SMALL_STATE(4351)] = 301749,
  [SMALL_STATE(4352)] = 301826,
  [SMALL_STATE(4353)] = 301883,
  [SMALL_STATE(4354)] = 301934,
  [SMALL_STATE(4355)] = 302023,
  [SMALL_STATE(4356)] = 302074,
  [SMALL_STATE(4357)] = 302161,
  [SMALL_STATE(4358)] = 302214,
  [SMALL_STATE(4359)] = 302267,
  [SMALL_STATE(4360)] = 302348,
  [SMALL_STATE(4361)] = 302409,
  [SMALL_STATE(4362)] = 302476,
  [SMALL_STATE(4363)] = 302547,
  [SMALL_STATE(4364)] = 302618,
  [SMALL_STATE(4365)] = 302681,
  [SMALL_STATE(4366)] = 302758,
  [SMALL_STATE(4367)] = 302815,
  [SMALL_STATE(4368)] = 302904,
  [SMALL_STATE(4369)] = 302991,
  [SMALL_STATE(4370)] = 303042,
  [SMALL_STATE(4371)] = 303109,
  [SMALL_STATE(4372)] = 303160,
  [SMALL_STATE(4373)] = 303211,
  [SMALL_STATE(4374)] = 303262,
  [SMALL_STATE(4375)] = 303333,
  [SMALL_STATE(4376)] = 303384,
  [SMALL_STATE(4377)] = 303435,
  [SMALL_STATE(4378)] = 303522,
  [SMALL_STATE(4379)] = 303573,
  [SMALL_STATE(4380)] = 303624,
  [SMALL_STATE(4381)] = 303675,
  [SMALL_STATE(4382)] = 303726,
  [SMALL_STATE(4383)] = 303777,
  [SMALL_STATE(4384)] = 303848,
  [SMALL_STATE(4385)] = 303919,
  [SMALL_STATE(4386)] = 303970,
  [SMALL_STATE(4387)] = 304021,
  [SMALL_STATE(4388)] = 304082,
  [SMALL_STATE(4389)] = 304133,
  [SMALL_STATE(4390)] = 304184,
  [SMALL_STATE(4391)] = 304245,
  [SMALL_STATE(4392)] = 304326,
  [SMALL_STATE(4393)] = 304415,
  [SMALL_STATE(4394)] = 304500,
  [SMALL_STATE(4395)] = 304551,
  [SMALL_STATE(4396)] = 304628,
  [SMALL_STATE(4397)] = 304679,
  [SMALL_STATE(4398)] = 304730,
  [SMALL_STATE(4399)] = 304815,
  [SMALL_STATE(4400)] = 304866,
  [SMALL_STATE(4401)] = 304927,
  [SMALL_STATE(4402)] = 304990,
  [SMALL_STATE(4403)] = 305061,
  [SMALL_STATE(4404)] = 305112,
  [SMALL_STATE(4405)] = 305163,
  [SMALL_STATE(4406)] = 305214,
  [SMALL_STATE(4407)] = 305265,
  [SMALL_STATE(4408)] = 305318,
  [SMALL_STATE(4409)] = 305369,
  [SMALL_STATE(4410)] = 305420,
  [SMALL_STATE(4411)] = 305471,
  [SMALL_STATE(4412)] = 305530,
  [SMALL_STATE(4413)] = 305583,
  [SMALL_STATE(4414)] = 305638,
  [SMALL_STATE(4415)] = 305689,
  [SMALL_STATE(4416)] = 305740,
  [SMALL_STATE(4417)] = 305791,
  [SMALL_STATE(4418)] = 305841,
  [SMALL_STATE(4419)] = 305891,
  [SMALL_STATE(4420)] = 305941,
  [SMALL_STATE(4421)] = 305991,
  [SMALL_STATE(4422)] = 306041,
  [SMALL_STATE(4423)] = 306091,
  [SMALL_STATE(4424)] = 306141,
  [SMALL_STATE(4425)] = 306191,
  [SMALL_STATE(4426)] = 306241,
  [SMALL_STATE(4427)] = 306291,
  [SMALL_STATE(4428)] = 306341,
  [SMALL_STATE(4429)] = 306391,
  [SMALL_STATE(4430)] = 306441,
  [SMALL_STATE(4431)] = 306491,
  [SMALL_STATE(4432)] = 306581,
  [SMALL_STATE(4433)] = 306631,
  [SMALL_STATE(4434)] = 306681,
  [SMALL_STATE(4435)] = 306731,
  [SMALL_STATE(4436)] = 306781,
  [SMALL_STATE(4437)] = 306831,
  [SMALL_STATE(4438)] = 306881,
  [SMALL_STATE(4439)] = 306931,
  [SMALL_STATE(4440)] = 306981,
  [SMALL_STATE(4441)] = 307031,
  [SMALL_STATE(4442)] = 307081,
  [SMALL_STATE(4443)] = 307131,
  [SMALL_STATE(4444)] = 307181,
  [SMALL_STATE(4445)] = 307231,
  [SMALL_STATE(4446)] = 307281,
  [SMALL_STATE(4447)] = 307337,
  [SMALL_STATE(4448)] = 307393,
  [SMALL_STATE(4449)] = 307443,
  [SMALL_STATE(4450)] = 307493,
  [SMALL_STATE(4451)] = 307543,
  [SMALL_STATE(4452)] = 307593,
  [SMALL_STATE(4453)] = 307643,
  [SMALL_STATE(4454)] = 307693,
  [SMALL_STATE(4455)] = 307743,
  [SMALL_STATE(4456)] = 307793,
  [SMALL_STATE(4457)] = 307843,
  [SMALL_STATE(4458)] = 307903,
  [SMALL_STATE(4459)] = 307953,
  [SMALL_STATE(4460)] = 308003,
  [SMALL_STATE(4461)] = 308053,
  [SMALL_STATE(4462)] = 308103,
  [SMALL_STATE(4463)] = 308153,
  [SMALL_STATE(4464)] = 308203,
  [SMALL_STATE(4465)] = 308273,
  [SMALL_STATE(4466)] = 308323,
  [SMALL_STATE(4467)] = 308373,
  [SMALL_STATE(4468)] = 308423,
  [SMALL_STATE(4469)] = 308473,
  [SMALL_STATE(4470)] = 308563,
  [SMALL_STATE(4471)] = 308613,
  [SMALL_STATE(4472)] = 308663,
  [SMALL_STATE(4473)] = 308713,
  [SMALL_STATE(4474)] = 308769,
  [SMALL_STATE(4475)] = 308825,
  [SMALL_STATE(4476)] = 308883,
  [SMALL_STATE(4477)] = 308941,
  [SMALL_STATE(4478)] = 308991,
  [SMALL_STATE(4479)] = 309081,
  [SMALL_STATE(4480)] = 309171,
  [SMALL_STATE(4481)] = 309221,
  [SMALL_STATE(4482)] = 309271,
  [SMALL_STATE(4483)] = 309321,
  [SMALL_STATE(4484)] = 309371,
  [SMALL_STATE(4485)] = 309421,
  [SMALL_STATE(4486)] = 309471,
  [SMALL_STATE(4487)] = 309521,
  [SMALL_STATE(4488)] = 309571,
  [SMALL_STATE(4489)] = 309621,
  [SMALL_STATE(4490)] = 309671,
  [SMALL_STATE(4491)] = 309721,
  [SMALL_STATE(4492)] = 309771,
  [SMALL_STATE(4493)] = 309821,
  [SMALL_STATE(4494)] = 309871,
  [SMALL_STATE(4495)] = 309921,
  [SMALL_STATE(4496)] = 309971,
  [SMALL_STATE(4497)] = 310021,
  [SMALL_STATE(4498)] = 310071,
  [SMALL_STATE(4499)] = 310121,
  [SMALL_STATE(4500)] = 310171,
  [SMALL_STATE(4501)] = 310221,
  [SMALL_STATE(4502)] = 310271,
  [SMALL_STATE(4503)] = 310321,
  [SMALL_STATE(4504)] = 310371,
  [SMALL_STATE(4505)] = 310421,
  [SMALL_STATE(4506)] = 310471,
  [SMALL_STATE(4507)] = 310521,
  [SMALL_STATE(4508)] = 310571,
  [SMALL_STATE(4509)] = 310621,
  [SMALL_STATE(4510)] = 310671,
  [SMALL_STATE(4511)] = 310725,
  [SMALL_STATE(4512)] = 310775,
  [SMALL_STATE(4513)] = 310825,
  [SMALL_STATE(4514)] = 310875,
  [SMALL_STATE(4515)] = 310925,
  [SMALL_STATE(4516)] = 311009,
  [SMALL_STATE(4517)] = 311093,
  [SMALL_STATE(4518)] = 311173,
  [SMALL_STATE(4519)] = 311223,
  [SMALL_STATE(4520)] = 311283,
  [SMALL_STATE(4521)] = 311333,
  [SMALL_STATE(4522)] = 311383,
  [SMALL_STATE(4523)] = 311433,
  [SMALL_STATE(4524)] = 311499,
  [SMALL_STATE(4525)] = 311569,
  [SMALL_STATE(4526)] = 311619,
  [SMALL_STATE(4527)] = 311669,
  [SMALL_STATE(4528)] = 311731,
  [SMALL_STATE(4529)] = 311781,
  [SMALL_STATE(4530)] = 311831,
  [SMALL_STATE(4531)] = 311881,
  [SMALL_STATE(4532)] = 311931,
  [SMALL_STATE(4533)] = 311981,
  [SMALL_STATE(4534)] = 312033,
  [SMALL_STATE(4535)] = 312109,
  [SMALL_STATE(4536)] = 312165,
  [SMALL_STATE(4537)] = 312253,
  [SMALL_STATE(4538)] = 312303,
  [SMALL_STATE(4539)] = 312353,
  [SMALL_STATE(4540)] = 312403,
  [SMALL_STATE(4541)] = 312453,
  [SMALL_STATE(4542)] = 312503,
  [SMALL_STATE(4543)] = 312553,
  [SMALL_STATE(4544)] = 312603,
  [SMALL_STATE(4545)] = 312653,
  [SMALL_STATE(4546)] = 312703,
  [SMALL_STATE(4547)] = 312753,
  [SMALL_STATE(4548)] = 312803,
  [SMALL_STATE(4549)] = 312853,
  [SMALL_STATE(4550)] = 312903,
  [SMALL_STATE(4551)] = 312953,
  [SMALL_STATE(4552)] = 313003,
  [SMALL_STATE(4553)] = 313053,
  [SMALL_STATE(4554)] = 313103,
  [SMALL_STATE(4555)] = 313153,
  [SMALL_STATE(4556)] = 313203,
  [SMALL_STATE(4557)] = 313253,
  [SMALL_STATE(4558)] = 313303,
  [SMALL_STATE(4559)] = 313353,
  [SMALL_STATE(4560)] = 313403,
  [SMALL_STATE(4561)] = 313453,
  [SMALL_STATE(4562)] = 313503,
  [SMALL_STATE(4563)] = 313553,
  [SMALL_STATE(4564)] = 313603,
  [SMALL_STATE(4565)] = 313653,
  [SMALL_STATE(4566)] = 313703,
  [SMALL_STATE(4567)] = 313753,
  [SMALL_STATE(4568)] = 313803,
  [SMALL_STATE(4569)] = 313853,
  [SMALL_STATE(4570)] = 313903,
  [SMALL_STATE(4571)] = 313953,
  [SMALL_STATE(4572)] = 314003,
  [SMALL_STATE(4573)] = 314053,
  [SMALL_STATE(4574)] = 314103,
  [SMALL_STATE(4575)] = 314153,
  [SMALL_STATE(4576)] = 314203,
  [SMALL_STATE(4577)] = 314253,
  [SMALL_STATE(4578)] = 314303,
  [SMALL_STATE(4579)] = 314353,
  [SMALL_STATE(4580)] = 314403,
  [SMALL_STATE(4581)] = 314453,
  [SMALL_STATE(4582)] = 314503,
  [SMALL_STATE(4583)] = 314553,
  [SMALL_STATE(4584)] = 314603,
  [SMALL_STATE(4585)] = 314653,
  [SMALL_STATE(4586)] = 314703,
  [SMALL_STATE(4587)] = 314753,
  [SMALL_STATE(4588)] = 314803,
  [SMALL_STATE(4589)] = 314853,
  [SMALL_STATE(4590)] = 314903,
  [SMALL_STATE(4591)] = 314953,
  [SMALL_STATE(4592)] = 315003,
  [SMALL_STATE(4593)] = 315053,
  [SMALL_STATE(4594)] = 315103,
  [SMALL_STATE(4595)] = 315153,
  [SMALL_STATE(4596)] = 315203,
  [SMALL_STATE(4597)] = 315253,
  [SMALL_STATE(4598)] = 315303,
  [SMALL_STATE(4599)] = 315353,
  [SMALL_STATE(4600)] = 315403,
  [SMALL_STATE(4601)] = 315453,
  [SMALL_STATE(4602)] = 315503,
  [SMALL_STATE(4603)] = 315553,
  [SMALL_STATE(4604)] = 315603,
  [SMALL_STATE(4605)] = 315653,
  [SMALL_STATE(4606)] = 315703,
  [SMALL_STATE(4607)] = 315753,
  [SMALL_STATE(4608)] = 315803,
  [SMALL_STATE(4609)] = 315853,
  [SMALL_STATE(4610)] = 315903,
  [SMALL_STATE(4611)] = 315953,
  [SMALL_STATE(4612)] = 316003,
  [SMALL_STATE(4613)] = 316053,
  [SMALL_STATE(4614)] = 316103,
  [SMALL_STATE(4615)] = 316153,
  [SMALL_STATE(4616)] = 316203,
  [SMALL_STATE(4617)] = 316253,
  [SMALL_STATE(4618)] = 316303,
  [SMALL_STATE(4619)] = 316353,
  [SMALL_STATE(4620)] = 316403,
  [SMALL_STATE(4621)] = 316453,
  [SMALL_STATE(4622)] = 316503,
  [SMALL_STATE(4623)] = 316553,
  [SMALL_STATE(4624)] = 316603,
  [SMALL_STATE(4625)] = 316653,
  [SMALL_STATE(4626)] = 316703,
  [SMALL_STATE(4627)] = 316753,
  [SMALL_STATE(4628)] = 316803,
  [SMALL_STATE(4629)] = 316853,
  [SMALL_STATE(4630)] = 316903,
  [SMALL_STATE(4631)] = 316953,
  [SMALL_STATE(4632)] = 317003,
  [SMALL_STATE(4633)] = 317053,
  [SMALL_STATE(4634)] = 317103,
  [SMALL_STATE(4635)] = 317153,
  [SMALL_STATE(4636)] = 317203,
  [SMALL_STATE(4637)] = 317253,
  [SMALL_STATE(4638)] = 317303,
  [SMALL_STATE(4639)] = 317353,
  [SMALL_STATE(4640)] = 317403,
  [SMALL_STATE(4641)] = 317453,
  [SMALL_STATE(4642)] = 317503,
  [SMALL_STATE(4643)] = 317553,
  [SMALL_STATE(4644)] = 317603,
  [SMALL_STATE(4645)] = 317653,
  [SMALL_STATE(4646)] = 317703,
  [SMALL_STATE(4647)] = 317753,
  [SMALL_STATE(4648)] = 317803,
  [SMALL_STATE(4649)] = 317853,
  [SMALL_STATE(4650)] = 317903,
  [SMALL_STATE(4651)] = 317953,
  [SMALL_STATE(4652)] = 318003,
  [SMALL_STATE(4653)] = 318053,
  [SMALL_STATE(4654)] = 318103,
  [SMALL_STATE(4655)] = 318153,
  [SMALL_STATE(4656)] = 318203,
  [SMALL_STATE(4657)] = 318253,
  [SMALL_STATE(4658)] = 318303,
  [SMALL_STATE(4659)] = 318353,
  [SMALL_STATE(4660)] = 318403,
  [SMALL_STATE(4661)] = 318453,
  [SMALL_STATE(4662)] = 318503,
  [SMALL_STATE(4663)] = 318553,
  [SMALL_STATE(4664)] = 318603,
  [SMALL_STATE(4665)] = 318653,
  [SMALL_STATE(4666)] = 318703,
  [SMALL_STATE(4667)] = 318753,
  [SMALL_STATE(4668)] = 318803,
  [SMALL_STATE(4669)] = 318853,
  [SMALL_STATE(4670)] = 318903,
  [SMALL_STATE(4671)] = 318953,
  [SMALL_STATE(4672)] = 319003,
  [SMALL_STATE(4673)] = 319053,
  [SMALL_STATE(4674)] = 319103,
  [SMALL_STATE(4675)] = 319153,
  [SMALL_STATE(4676)] = 319205,
  [SMALL_STATE(4677)] = 319291,
  [SMALL_STATE(4678)] = 319341,
  [SMALL_STATE(4679)] = 319391,
  [SMALL_STATE(4680)] = 319445,
  [SMALL_STATE(4681)] = 319495,
  [SMALL_STATE(4682)] = 319545,
  [SMALL_STATE(4683)] = 319595,
  [SMALL_STATE(4684)] = 319645,
  [SMALL_STATE(4685)] = 319695,
  [SMALL_STATE(4686)] = 319745,
  [SMALL_STATE(4687)] = 319795,
  [SMALL_STATE(4688)] = 319845,
  [SMALL_STATE(4689)] = 319901,
  [SMALL_STATE(4690)] = 319957,
  [SMALL_STATE(4691)] = 320006,
  [SMALL_STATE(4692)] = 320089,
  [SMALL_STATE(4693)] = 320182,
  [SMALL_STATE(4694)] = 320251,
  [SMALL_STATE(4695)] = 320312,
  [SMALL_STATE(4696)] = 320387,
  [SMALL_STATE(4697)] = 320456,
  [SMALL_STATE(4698)] = 320511,
  [SMALL_STATE(4699)] = 320576,
  [SMALL_STATE(4700)] = 320635,
  [SMALL_STATE(4701)] = 320694,
  [SMALL_STATE(4702)] = 320771,
  [SMALL_STATE(4703)] = 320852,
  [SMALL_STATE(4704)] = 320933,
  [SMALL_STATE(4705)] = 321022,
  [SMALL_STATE(4706)] = 321079,
  [SMALL_STATE(4707)] = 321136,
  [SMALL_STATE(4708)] = 321225,
  [SMALL_STATE(4709)] = 321280,
  [SMALL_STATE(4710)] = 321335,
  [SMALL_STATE(4711)] = 321390,
  [SMALL_STATE(4712)] = 321445,
  [SMALL_STATE(4713)] = 321534,
  [SMALL_STATE(4714)] = 321583,
  [SMALL_STATE(4715)] = 321632,
  [SMALL_STATE(4716)] = 321681,
  [SMALL_STATE(4717)] = 321730,
  [SMALL_STATE(4718)] = 321779,
  [SMALL_STATE(4719)] = 321828,
  [SMALL_STATE(4720)] = 321877,
  [SMALL_STATE(4721)] = 321926,
  [SMALL_STATE(4722)] = 321975,
  [SMALL_STATE(4723)] = 322024,
  [SMALL_STATE(4724)] = 322073,
  [SMALL_STATE(4725)] = 322122,
  [SMALL_STATE(4726)] = 322171,
  [SMALL_STATE(4727)] = 322228,
  [SMALL_STATE(4728)] = 322277,
  [SMALL_STATE(4729)] = 322326,
  [SMALL_STATE(4730)] = 322375,
  [SMALL_STATE(4731)] = 322424,
  [SMALL_STATE(4732)] = 322473,
  [SMALL_STATE(4733)] = 322522,
  [SMALL_STATE(4734)] = 322571,
  [SMALL_STATE(4735)] = 322660,
  [SMALL_STATE(4736)] = 322717,
  [SMALL_STATE(4737)] = 322802,
  [SMALL_STATE(4738)] = 322891,
  [SMALL_STATE(4739)] = 322980,
  [SMALL_STATE(4740)] = 323069,
  [SMALL_STATE(4741)] = 323118,
  [SMALL_STATE(4742)] = 323169,
  [SMALL_STATE(4743)] = 323218,
  [SMALL_STATE(4744)] = 323267,
  [SMALL_STATE(4745)] = 323316,
  [SMALL_STATE(4746)] = 323365,
  [SMALL_STATE(4747)] = 323414,
  [SMALL_STATE(4748)] = 323463,
  [SMALL_STATE(4749)] = 323512,
  [SMALL_STATE(4750)] = 323561,
  [SMALL_STATE(4751)] = 323610,
  [SMALL_STATE(4752)] = 323659,
  [SMALL_STATE(4753)] = 323708,
  [SMALL_STATE(4754)] = 323757,
  [SMALL_STATE(4755)] = 323806,
  [SMALL_STATE(4756)] = 323855,
  [SMALL_STATE(4757)] = 323904,
  [SMALL_STATE(4758)] = 323953,
  [SMALL_STATE(4759)] = 324002,
  [SMALL_STATE(4760)] = 324051,
  [SMALL_STATE(4761)] = 324100,
  [SMALL_STATE(4762)] = 324149,
  [SMALL_STATE(4763)] = 324198,
  [SMALL_STATE(4764)] = 324247,
  [SMALL_STATE(4765)] = 324296,
  [SMALL_STATE(4766)] = 324345,
  [SMALL_STATE(4767)] = 324394,
  [SMALL_STATE(4768)] = 324443,
  [SMALL_STATE(4769)] = 324492,
  [SMALL_STATE(4770)] = 324541,
  [SMALL_STATE(4771)] = 324590,
  [SMALL_STATE(4772)] = 324639,
  [SMALL_STATE(4773)] = 324688,
  [SMALL_STATE(4774)] = 324737,
  [SMALL_STATE(4775)] = 324826,
  [SMALL_STATE(4776)] = 324875,
  [SMALL_STATE(4777)] = 324924,
  [SMALL_STATE(4778)] = 324973,
  [SMALL_STATE(4779)] = 325022,
  [SMALL_STATE(4780)] = 325071,
  [SMALL_STATE(4781)] = 325120,
  [SMALL_STATE(4782)] = 325169,
  [SMALL_STATE(4783)] = 325217,
  [SMALL_STATE(4784)] = 325265,
  [SMALL_STATE(4785)] = 325353,
  [SMALL_STATE(4786)] = 325407,
  [SMALL_STATE(4787)] = 325463,
  [SMALL_STATE(4788)] = 325517,
  [SMALL_STATE(4789)] = 325573,
  [SMALL_STATE(4790)] = 325629,
  [SMALL_STATE(4791)] = 325685,
  [SMALL_STATE(4792)] = 325773,
  [SMALL_STATE(4793)] = 325827,
  [SMALL_STATE(4794)] = 325881,
  [SMALL_STATE(4795)] = 325935,
  [SMALL_STATE(4796)] = 325985,
  [SMALL_STATE(4797)] = 326037,
  [SMALL_STATE(4798)] = 326089,
  [SMALL_STATE(4799)] = 326145,
  [SMALL_STATE(4800)] = 326201,
  [SMALL_STATE(4801)] = 326255,
  [SMALL_STATE(4802)] = 326309,
  [SMALL_STATE(4803)] = 326363,
  [SMALL_STATE(4804)] = 326417,
  [SMALL_STATE(4805)] = 326465,
  [SMALL_STATE(4806)] = 326553,
  [SMALL_STATE(4807)] = 326607,
  [SMALL_STATE(4808)] = 326661,
  [SMALL_STATE(4809)] = 326715,
  [SMALL_STATE(4810)] = 326769,
  [SMALL_STATE(4811)] = 326823,
  [SMALL_STATE(4812)] = 326877,
  [SMALL_STATE(4813)] = 326931,
  [SMALL_STATE(4814)] = 326985,
  [SMALL_STATE(4815)] = 327033,
  [SMALL_STATE(4816)] = 327121,
  [SMALL_STATE(4817)] = 327169,
  [SMALL_STATE(4818)] = 327223,
  [SMALL_STATE(4819)] = 327271,
  [SMALL_STATE(4820)] = 327325,
  [SMALL_STATE(4821)] = 327373,
  [SMALL_STATE(4822)] = 327421,
  [SMALL_STATE(4823)] = 327469,
  [SMALL_STATE(4824)] = 327523,
  [SMALL_STATE(4825)] = 327571,
  [SMALL_STATE(4826)] = 327619,
  [SMALL_STATE(4827)] = 327667,
  [SMALL_STATE(4828)] = 327715,
  [SMALL_STATE(4829)] = 327771,
  [SMALL_STATE(4830)] = 327859,
  [SMALL_STATE(4831)] = 327915,
  [SMALL_STATE(4832)] = 327963,
  [SMALL_STATE(4833)] = 328011,
  [SMALL_STATE(4834)] = 328059,
  [SMALL_STATE(4835)] = 328107,
  [SMALL_STATE(4836)] = 328155,
  [SMALL_STATE(4837)] = 328203,
  [SMALL_STATE(4838)] = 328251,
  [SMALL_STATE(4839)] = 328299,
  [SMALL_STATE(4840)] = 328347,
  [SMALL_STATE(4841)] = 328395,
  [SMALL_STATE(4842)] = 328443,
  [SMALL_STATE(4843)] = 328491,
  [SMALL_STATE(4844)] = 328539,
  [SMALL_STATE(4845)] = 328587,
  [SMALL_STATE(4846)] = 328635,
  [SMALL_STATE(4847)] = 328683,
  [SMALL_STATE(4848)] = 328731,
  [SMALL_STATE(4849)] = 328779,
  [SMALL_STATE(4850)] = 328827,
  [SMALL_STATE(4851)] = 328875,
  [SMALL_STATE(4852)] = 328923,
  [SMALL_STATE(4853)] = 328971,
  [SMALL_STATE(4854)] = 329019,
  [SMALL_STATE(4855)] = 329067,
  [SMALL_STATE(4856)] = 329115,
  [SMALL_STATE(4857)] = 329171,
  [SMALL_STATE(4858)] = 329219,
  [SMALL_STATE(4859)] = 329275,
  [SMALL_STATE(4860)] = 329323,
  [SMALL_STATE(4861)] = 329371,
  [SMALL_STATE(4862)] = 329419,
  [SMALL_STATE(4863)] = 329467,
  [SMALL_STATE(4864)] = 329515,
  [SMALL_STATE(4865)] = 329571,
  [SMALL_STATE(4866)] = 329626,
  [SMALL_STATE(4867)] = 329673,
  [SMALL_STATE(4868)] = 329724,
  [SMALL_STATE(4869)] = 329811,
  [SMALL_STATE(4870)] = 329864,
  [SMALL_STATE(4871)] = 329915,
  [SMALL_STATE(4872)] = 329966,
  [SMALL_STATE(4873)] = 330017,
  [SMALL_STATE(4874)] = 330070,
  [SMALL_STATE(4875)] = 330121,
  [SMALL_STATE(4876)] = 330174,
  [SMALL_STATE(4877)] = 330225,
  [SMALL_STATE(4878)] = 330278,
  [SMALL_STATE(4879)] = 330331,
  [SMALL_STATE(4880)] = 330384,
  [SMALL_STATE(4881)] = 330433,
  [SMALL_STATE(4882)] = 330484,
  [SMALL_STATE(4883)] = 330571,
  [SMALL_STATE(4884)] = 330624,
  [SMALL_STATE(4885)] = 330711,
  [SMALL_STATE(4886)] = 330798,
  [SMALL_STATE(4887)] = 330885,
  [SMALL_STATE(4888)] = 330936,
  [SMALL_STATE(4889)] = 330987,
  [SMALL_STATE(4890)] = 331038,
  [SMALL_STATE(4891)] = 331091,
  [SMALL_STATE(4892)] = 331144,
  [SMALL_STATE(4893)] = 331197,
  [SMALL_STATE(4894)] = 331250,
  [SMALL_STATE(4895)] = 331301,
  [SMALL_STATE(4896)] = 331352,
  [SMALL_STATE(4897)] = 331405,
  [SMALL_STATE(4898)] = 331458,
  [SMALL_STATE(4899)] = 331509,
  [SMALL_STATE(4900)] = 331560,
  [SMALL_STATE(4901)] = 331613,
  [SMALL_STATE(4902)] = 331666,
  [SMALL_STATE(4903)] = 331713,
  [SMALL_STATE(4904)] = 331764,
  [SMALL_STATE(4905)] = 331815,
  [SMALL_STATE(4906)] = 331862,
  [SMALL_STATE(4907)] = 331909,
  [SMALL_STATE(4908)] = 331956,
  [SMALL_STATE(4909)] = 332003,
  [SMALL_STATE(4910)] = 332056,
  [SMALL_STATE(4911)] = 332103,
  [SMALL_STATE(4912)] = 332158,
  [SMALL_STATE(4913)] = 332209,
  [SMALL_STATE(4914)] = 332256,
  [SMALL_STATE(4915)] = 332307,
  [SMALL_STATE(4916)] = 332354,
  [SMALL_STATE(4917)] = 332405,
  [SMALL_STATE(4918)] = 332456,
  [SMALL_STATE(4919)] = 332503,
  [SMALL_STATE(4920)] = 332550,
  [SMALL_STATE(4921)] = 332601,
  [SMALL_STATE(4922)] = 332648,
  [SMALL_STATE(4923)] = 332697,
  [SMALL_STATE(4924)] = 332748,
  [SMALL_STATE(4925)] = 332799,
  [SMALL_STATE(4926)] = 332850,
  [SMALL_STATE(4927)] = 332901,
  [SMALL_STATE(4928)] = 332952,
  [SMALL_STATE(4929)] = 333039,
  [SMALL_STATE(4930)] = 333126,
  [SMALL_STATE(4931)] = 333177,
  [SMALL_STATE(4932)] = 333224,
  [SMALL_STATE(4933)] = 333275,
  [SMALL_STATE(4934)] = 333326,
  [SMALL_STATE(4935)] = 333377,
  [SMALL_STATE(4936)] = 333428,
  [SMALL_STATE(4937)] = 333481,
  [SMALL_STATE(4938)] = 333532,
  [SMALL_STATE(4939)] = 333585,
  [SMALL_STATE(4940)] = 333636,
  [SMALL_STATE(4941)] = 333687,
  [SMALL_STATE(4942)] = 333738,
  [SMALL_STATE(4943)] = 333793,
  [SMALL_STATE(4944)] = 333844,
  [SMALL_STATE(4945)] = 333931,
  [SMALL_STATE(4946)] = 333982,
  [SMALL_STATE(4947)] = 334033,
  [SMALL_STATE(4948)] = 334082,
  [SMALL_STATE(4949)] = 334133,
  [SMALL_STATE(4950)] = 334188,
  [SMALL_STATE(4951)] = 334239,
  [SMALL_STATE(4952)] = 334290,
  [SMALL_STATE(4953)] = 334345,
  [SMALL_STATE(4954)] = 334393,
  [SMALL_STATE(4955)] = 334485,
  [SMALL_STATE(4956)] = 334535,
  [SMALL_STATE(4957)] = 334583,
  [SMALL_STATE(4958)] = 334675,
  [SMALL_STATE(4959)] = 334723,
  [SMALL_STATE(4960)] = 334773,
  [SMALL_STATE(4961)] = 334821,
  [SMALL_STATE(4962)] = 334869,
  [SMALL_STATE(4963)] = 334917,
  [SMALL_STATE(4964)] = 335003,
  [SMALL_STATE(4965)] = 335053,
  [SMALL_STATE(4966)] = 335101,
  [SMALL_STATE(4967)] = 335151,
  [SMALL_STATE(4968)] = 335201,
  [SMALL_STATE(4969)] = 335251,
  [SMALL_STATE(4970)] = 335299,
  [SMALL_STATE(4971)] = 335345,
  [SMALL_STATE(4972)] = 335393,
  [SMALL_STATE(4973)] = 335485,
  [SMALL_STATE(4974)] = 335531,
  [SMALL_STATE(4975)] = 335579,
  [SMALL_STATE(4976)] = 335627,
  [SMALL_STATE(4977)] = 335719,
  [SMALL_STATE(4978)] = 335769,
  [SMALL_STATE(4979)] = 335861,
  [SMALL_STATE(4980)] = 335909,
  [SMALL_STATE(4981)] = 335957,
  [SMALL_STATE(4982)] = 336043,
  [SMALL_STATE(4983)] = 336135,
  [SMALL_STATE(4984)] = 336227,
  [SMALL_STATE(4985)] = 336273,
  [SMALL_STATE(4986)] = 336321,
  [SMALL_STATE(4987)] = 336367,
  [SMALL_STATE(4988)] = 336415,
  [SMALL_STATE(4989)] = 336463,
  [SMALL_STATE(4990)] = 336555,
  [SMALL_STATE(4991)] = 336605,
  [SMALL_STATE(4992)] = 336653,
  [SMALL_STATE(4993)] = 336701,
  [SMALL_STATE(4994)] = 336749,
  [SMALL_STATE(4995)] = 336797,
  [SMALL_STATE(4996)] = 336889,
  [SMALL_STATE(4997)] = 336939,
  [SMALL_STATE(4998)] = 337031,
  [SMALL_STATE(4999)] = 337123,
  [SMALL_STATE(5000)] = 337171,
  [SMALL_STATE(5001)] = 337257,
  [SMALL_STATE(5002)] = 337307,
  [SMALL_STATE(5003)] = 337393,
  [SMALL_STATE(5004)] = 337443,
  [SMALL_STATE(5005)] = 337491,
  [SMALL_STATE(5006)] = 337583,
  [SMALL_STATE(5007)] = 337633,
  [SMALL_STATE(5008)] = 337681,
  [SMALL_STATE(5009)] = 337773,
  [SMALL_STATE(5010)] = 337865,
  [SMALL_STATE(5011)] = 337919,
  [SMALL_STATE(5012)] = 337973,
  [SMALL_STATE(5013)] = 338065,
  [SMALL_STATE(5014)] = 338113,
  [SMALL_STATE(5015)] = 338161,
  [SMALL_STATE(5016)] = 338209,
  [SMALL_STATE(5017)] = 338255,
  [SMALL_STATE(5018)] = 338341,
  [SMALL_STATE(5019)] = 338389,
  [SMALL_STATE(5020)] = 338435,
  [SMALL_STATE(5021)] = 338485,
  [SMALL_STATE(5022)] = 338533,
  [SMALL_STATE(5023)] = 338619,
  [SMALL_STATE(5024)] = 338667,
  [SMALL_STATE(5025)] = 338759,
  [SMALL_STATE(5026)] = 338807,
  [SMALL_STATE(5027)] = 338861,
  [SMALL_STATE(5028)] = 338911,
  [SMALL_STATE(5029)] = 338961,
  [SMALL_STATE(5030)] = 339009,
  [SMALL_STATE(5031)] = 339101,
  [SMALL_STATE(5032)] = 339149,
  [SMALL_STATE(5033)] = 339195,
  [SMALL_STATE(5034)] = 339287,
  [SMALL_STATE(5035)] = 339335,
  [SMALL_STATE(5036)] = 339427,
  [SMALL_STATE(5037)] = 339513,
  [SMALL_STATE(5038)] = 339561,
  [SMALL_STATE(5039)] = 339611,
  [SMALL_STATE(5040)] = 339659,
  [SMALL_STATE(5041)] = 339707,
  [SMALL_STATE(5042)] = 339755,
  [SMALL_STATE(5043)] = 339803,
  [SMALL_STATE(5044)] = 339851,
  [SMALL_STATE(5045)] = 339901,
  [SMALL_STATE(5046)] = 339993,
  [SMALL_STATE(5047)] = 340043,
  [SMALL_STATE(5048)] = 340091,
  [SMALL_STATE(5049)] = 340141,
  [SMALL_STATE(5050)] = 340189,
  [SMALL_STATE(5051)] = 340281,
  [SMALL_STATE(5052)] = 340331,
  [SMALL_STATE(5053)] = 340381,
  [SMALL_STATE(5054)] = 340429,
  [SMALL_STATE(5055)] = 340477,
  [SMALL_STATE(5056)] = 340569,
  [SMALL_STATE(5057)] = 340661,
  [SMALL_STATE(5058)] = 340711,
  [SMALL_STATE(5059)] = 340759,
  [SMALL_STATE(5060)] = 340807,
  [SMALL_STATE(5061)] = 340855,
  [SMALL_STATE(5062)] = 340903,
  [SMALL_STATE(5063)] = 340951,
  [SMALL_STATE(5064)] = 341037,
  [SMALL_STATE(5065)] = 341123,
  [SMALL_STATE(5066)] = 341173,
  [SMALL_STATE(5067)] = 341223,
  [SMALL_STATE(5068)] = 341273,
  [SMALL_STATE(5069)] = 341323,
  [SMALL_STATE(5070)] = 341371,
  [SMALL_STATE(5071)] = 341421,
  [SMALL_STATE(5072)] = 341471,
  [SMALL_STATE(5073)] = 341521,
  [SMALL_STATE(5074)] = 341571,
  [SMALL_STATE(5075)] = 341621,
  [SMALL_STATE(5076)] = 341671,
  [SMALL_STATE(5077)] = 341763,
  [SMALL_STATE(5078)] = 341855,
  [SMALL_STATE(5079)] = 341903,
  [SMALL_STATE(5080)] = 341951,
  [SMALL_STATE(5081)] = 341999,
  [SMALL_STATE(5082)] = 342047,
  [SMALL_STATE(5083)] = 342139,
  [SMALL_STATE(5084)] = 342187,
  [SMALL_STATE(5085)] = 342239,
  [SMALL_STATE(5086)] = 342287,
  [SMALL_STATE(5087)] = 342379,
  [SMALL_STATE(5088)] = 342427,
  [SMALL_STATE(5089)] = 342475,
  [SMALL_STATE(5090)] = 342567,
  [SMALL_STATE(5091)] = 342617,
  [SMALL_STATE(5092)] = 342667,
  [SMALL_STATE(5093)] = 342721,
  [SMALL_STATE(5094)] = 342771,
  [SMALL_STATE(5095)] = 342825,
  [SMALL_STATE(5096)] = 342879,
  [SMALL_STATE(5097)] = 342929,
  [SMALL_STATE(5098)] = 342979,
  [SMALL_STATE(5099)] = 343071,
  [SMALL_STATE(5100)] = 343121,
  [SMALL_STATE(5101)] = 343171,
  [SMALL_STATE(5102)] = 343221,
  [SMALL_STATE(5103)] = 343269,
  [SMALL_STATE(5104)] = 343317,
  [SMALL_STATE(5105)] = 343365,
  [SMALL_STATE(5106)] = 343413,
  [SMALL_STATE(5107)] = 343461,
  [SMALL_STATE(5108)] = 343509,
  [SMALL_STATE(5109)] = 343559,
  [SMALL_STATE(5110)] = 343607,
  [SMALL_STATE(5111)] = 343699,
  [SMALL_STATE(5112)] = 343747,
  [SMALL_STATE(5113)] = 343795,
  [SMALL_STATE(5114)] = 343887,
  [SMALL_STATE(5115)] = 343979,
  [SMALL_STATE(5116)] = 344027,
  [SMALL_STATE(5117)] = 344075,
  [SMALL_STATE(5118)] = 344167,
  [SMALL_STATE(5119)] = 344215,
  [SMALL_STATE(5120)] = 344265,
  [SMALL_STATE(5121)] = 344313,
  [SMALL_STATE(5122)] = 344363,
  [SMALL_STATE(5123)] = 344411,
  [SMALL_STATE(5124)] = 344459,
  [SMALL_STATE(5125)] = 344507,
  [SMALL_STATE(5126)] = 344557,
  [SMALL_STATE(5127)] = 344607,
  [SMALL_STATE(5128)] = 344699,
  [SMALL_STATE(5129)] = 344791,
  [SMALL_STATE(5130)] = 344841,
  [SMALL_STATE(5131)] = 344889,
  [SMALL_STATE(5132)] = 344941,
  [SMALL_STATE(5133)] = 345033,
  [SMALL_STATE(5134)] = 345083,
  [SMALL_STATE(5135)] = 345128,
  [SMALL_STATE(5136)] = 345175,
  [SMALL_STATE(5137)] = 345220,
  [SMALL_STATE(5138)] = 345267,
  [SMALL_STATE(5139)] = 345356,
  [SMALL_STATE(5140)] = 345403,
  [SMALL_STATE(5141)] = 345448,
  [SMALL_STATE(5142)] = 345533,
  [SMALL_STATE(5143)] = 345622,
  [SMALL_STATE(5144)] = 345711,
  [SMALL_STATE(5145)] = 345756,
  [SMALL_STATE(5146)] = 345803,
  [SMALL_STATE(5147)] = 345892,
  [SMALL_STATE(5148)] = 345981,
  [SMALL_STATE(5149)] = 346070,
  [SMALL_STATE(5150)] = 346159,
  [SMALL_STATE(5151)] = 346244,
  [SMALL_STATE(5152)] = 346333,
  [SMALL_STATE(5153)] = 346422,
  [SMALL_STATE(5154)] = 346469,
  [SMALL_STATE(5155)] = 346514,
  [SMALL_STATE(5156)] = 346561,
  [SMALL_STATE(5157)] = 346608,
  [SMALL_STATE(5158)] = 346655,
  [SMALL_STATE(5159)] = 346700,
  [SMALL_STATE(5160)] = 346745,
  [SMALL_STATE(5161)] = 346792,
  [SMALL_STATE(5162)] = 346881,
  [SMALL_STATE(5163)] = 346970,
  [SMALL_STATE(5164)] = 347017,
  [SMALL_STATE(5165)] = 347062,
  [SMALL_STATE(5166)] = 347109,
  [SMALL_STATE(5167)] = 347156,
  [SMALL_STATE(5168)] = 347203,
  [SMALL_STATE(5169)] = 347292,
  [SMALL_STATE(5170)] = 347339,
  [SMALL_STATE(5171)] = 347386,
  [SMALL_STATE(5172)] = 347433,
  [SMALL_STATE(5173)] = 347480,
  [SMALL_STATE(5174)] = 347569,
  [SMALL_STATE(5175)] = 347614,
  [SMALL_STATE(5176)] = 347659,
  [SMALL_STATE(5177)] = 347706,
  [SMALL_STATE(5178)] = 347753,
  [SMALL_STATE(5179)] = 347798,
  [SMALL_STATE(5180)] = 347845,
  [SMALL_STATE(5181)] = 347890,
  [SMALL_STATE(5182)] = 347935,
  [SMALL_STATE(5183)] = 347982,
  [SMALL_STATE(5184)] = 348029,
  [SMALL_STATE(5185)] = 348074,
  [SMALL_STATE(5186)] = 348119,
  [SMALL_STATE(5187)] = 348208,
  [SMALL_STATE(5188)] = 348297,
  [SMALL_STATE(5189)] = 348342,
  [SMALL_STATE(5190)] = 348387,
  [SMALL_STATE(5191)] = 348472,
  [SMALL_STATE(5192)] = 348517,
  [SMALL_STATE(5193)] = 348562,
  [SMALL_STATE(5194)] = 348647,
  [SMALL_STATE(5195)] = 348692,
  [SMALL_STATE(5196)] = 348737,
  [SMALL_STATE(5197)] = 348782,
  [SMALL_STATE(5198)] = 348871,
  [SMALL_STATE(5199)] = 348916,
  [SMALL_STATE(5200)] = 349005,
  [SMALL_STATE(5201)] = 349050,
  [SMALL_STATE(5202)] = 349095,
  [SMALL_STATE(5203)] = 349140,
  [SMALL_STATE(5204)] = 349187,
  [SMALL_STATE(5205)] = 349232,
  [SMALL_STATE(5206)] = 349277,
  [SMALL_STATE(5207)] = 349322,
  [SMALL_STATE(5208)] = 349367,
  [SMALL_STATE(5209)] = 349416,
  [SMALL_STATE(5210)] = 349463,
  [SMALL_STATE(5211)] = 349508,
  [SMALL_STATE(5212)] = 349553,
  [SMALL_STATE(5213)] = 349598,
  [SMALL_STATE(5214)] = 349643,
  [SMALL_STATE(5215)] = 349688,
  [SMALL_STATE(5216)] = 349733,
  [SMALL_STATE(5217)] = 349778,
  [SMALL_STATE(5218)] = 349823,
  [SMALL_STATE(5219)] = 349868,
  [SMALL_STATE(5220)] = 349913,
  [SMALL_STATE(5221)] = 349958,
  [SMALL_STATE(5222)] = 350009,
  [SMALL_STATE(5223)] = 350054,
  [SMALL_STATE(5224)] = 350105,
  [SMALL_STATE(5225)] = 350150,
  [SMALL_STATE(5226)] = 350195,
  [SMALL_STATE(5227)] = 350240,
  [SMALL_STATE(5228)] = 350285,
  [SMALL_STATE(5229)] = 350330,
  [SMALL_STATE(5230)] = 350377,
  [SMALL_STATE(5231)] = 350424,
  [SMALL_STATE(5232)] = 350469,
  [SMALL_STATE(5233)] = 350522,
  [SMALL_STATE(5234)] = 350569,
  [SMALL_STATE(5235)] = 350658,
  [SMALL_STATE(5236)] = 350703,
  [SMALL_STATE(5237)] = 350748,
  [SMALL_STATE(5238)] = 350793,
  [SMALL_STATE(5239)] = 350838,
  [SMALL_STATE(5240)] = 350925,
  [SMALL_STATE(5241)] = 351012,
  [SMALL_STATE(5242)] = 351057,
  [SMALL_STATE(5243)] = 351102,
  [SMALL_STATE(5244)] = 351191,
  [SMALL_STATE(5245)] = 351238,
  [SMALL_STATE(5246)] = 351283,
  [SMALL_STATE(5247)] = 351330,
  [SMALL_STATE(5248)] = 351417,
  [SMALL_STATE(5249)] = 351504,
  [SMALL_STATE(5250)] = 351551,
  [SMALL_STATE(5251)] = 351596,
  [SMALL_STATE(5252)] = 351683,
  [SMALL_STATE(5253)] = 351734,
  [SMALL_STATE(5254)] = 351823,
  [SMALL_STATE(5255)] = 351868,
  [SMALL_STATE(5256)] = 351913,
  [SMALL_STATE(5257)] = 351958,
  [SMALL_STATE(5258)] = 352003,
  [SMALL_STATE(5259)] = 352048,
  [SMALL_STATE(5260)] = 352093,
  [SMALL_STATE(5261)] = 352138,
  [SMALL_STATE(5262)] = 352183,
  [SMALL_STATE(5263)] = 352228,
  [SMALL_STATE(5264)] = 352275,
  [SMALL_STATE(5265)] = 352320,
  [SMALL_STATE(5266)] = 352407,
  [SMALL_STATE(5267)] = 352452,
  [SMALL_STATE(5268)] = 352497,
  [SMALL_STATE(5269)] = 352542,
  [SMALL_STATE(5270)] = 352587,
  [SMALL_STATE(5271)] = 352632,
  [SMALL_STATE(5272)] = 352677,
  [SMALL_STATE(5273)] = 352722,
  [SMALL_STATE(5274)] = 352767,
  [SMALL_STATE(5275)] = 352812,
  [SMALL_STATE(5276)] = 352857,
  [SMALL_STATE(5277)] = 352904,
  [SMALL_STATE(5278)] = 352949,
  [SMALL_STATE(5279)] = 353038,
  [SMALL_STATE(5280)] = 353125,
  [SMALL_STATE(5281)] = 353212,
  [SMALL_STATE(5282)] = 353257,
  [SMALL_STATE(5283)] = 353346,
  [SMALL_STATE(5284)] = 353433,
  [SMALL_STATE(5285)] = 353522,
  [SMALL_STATE(5286)] = 353611,
  [SMALL_STATE(5287)] = 353700,
  [SMALL_STATE(5288)] = 353789,
  [SMALL_STATE(5289)] = 353834,
  [SMALL_STATE(5290)] = 353879,
  [SMALL_STATE(5291)] = 353924,
  [SMALL_STATE(5292)] = 353969,
  [SMALL_STATE(5293)] = 354014,
  [SMALL_STATE(5294)] = 354059,
  [SMALL_STATE(5295)] = 354104,
  [SMALL_STATE(5296)] = 354149,
  [SMALL_STATE(5297)] = 354194,
  [SMALL_STATE(5298)] = 354239,
  [SMALL_STATE(5299)] = 354284,
  [SMALL_STATE(5300)] = 354329,
  [SMALL_STATE(5301)] = 354374,
  [SMALL_STATE(5302)] = 354419,
  [SMALL_STATE(5303)] = 354464,
  [SMALL_STATE(5304)] = 354509,
  [SMALL_STATE(5305)] = 354554,
  [SMALL_STATE(5306)] = 354599,
  [SMALL_STATE(5307)] = 354688,
  [SMALL_STATE(5308)] = 354735,
  [SMALL_STATE(5309)] = 354782,
  [SMALL_STATE(5310)] = 354827,
  [SMALL_STATE(5311)] = 354872,
  [SMALL_STATE(5312)] = 354917,
  [SMALL_STATE(5313)] = 354962,
  [SMALL_STATE(5314)] = 355007,
  [SMALL_STATE(5315)] = 355052,
  [SMALL_STATE(5316)] = 355097,
  [SMALL_STATE(5317)] = 355142,
  [SMALL_STATE(5318)] = 355187,
  [SMALL_STATE(5319)] = 355232,
  [SMALL_STATE(5320)] = 355277,
  [SMALL_STATE(5321)] = 355322,
  [SMALL_STATE(5322)] = 355367,
  [SMALL_STATE(5323)] = 355412,
  [SMALL_STATE(5324)] = 355457,
  [SMALL_STATE(5325)] = 355502,
  [SMALL_STATE(5326)] = 355547,
  [SMALL_STATE(5327)] = 355636,
  [SMALL_STATE(5328)] = 355681,
  [SMALL_STATE(5329)] = 355726,
  [SMALL_STATE(5330)] = 355771,
  [SMALL_STATE(5331)] = 355816,
  [SMALL_STATE(5332)] = 355861,
  [SMALL_STATE(5333)] = 355906,
  [SMALL_STATE(5334)] = 355951,
  [SMALL_STATE(5335)] = 355996,
  [SMALL_STATE(5336)] = 356041,
  [SMALL_STATE(5337)] = 356088,
  [SMALL_STATE(5338)] = 356133,
  [SMALL_STATE(5339)] = 356178,
  [SMALL_STATE(5340)] = 356223,
  [SMALL_STATE(5341)] = 356312,
  [SMALL_STATE(5342)] = 356359,
  [SMALL_STATE(5343)] = 356408,
  [SMALL_STATE(5344)] = 356497,
  [SMALL_STATE(5345)] = 356586,
  [SMALL_STATE(5346)] = 356635,
  [SMALL_STATE(5347)] = 356724,
  [SMALL_STATE(5348)] = 356813,
  [SMALL_STATE(5349)] = 356858,
  [SMALL_STATE(5350)] = 356905,
  [SMALL_STATE(5351)] = 356994,
  [SMALL_STATE(5352)] = 357083,
  [SMALL_STATE(5353)] = 357172,
  [SMALL_STATE(5354)] = 357219,
  [SMALL_STATE(5355)] = 357308,
  [SMALL_STATE(5356)] = 357397,
  [SMALL_STATE(5357)] = 357484,
  [SMALL_STATE(5358)] = 357571,
  [SMALL_STATE(5359)] = 357616,
  [SMALL_STATE(5360)] = 357663,
  [SMALL_STATE(5361)] = 357708,
  [SMALL_STATE(5362)] = 357795,
  [SMALL_STATE(5363)] = 357840,
  [SMALL_STATE(5364)] = 357891,
  [SMALL_STATE(5365)] = 357936,
  [SMALL_STATE(5366)] = 358025,
  [SMALL_STATE(5367)] = 358070,
  [SMALL_STATE(5368)] = 358157,
  [SMALL_STATE(5369)] = 358204,
  [SMALL_STATE(5370)] = 358249,
  [SMALL_STATE(5371)] = 358336,
  [SMALL_STATE(5372)] = 358425,
  [SMALL_STATE(5373)] = 358512,
  [SMALL_STATE(5374)] = 358559,
  [SMALL_STATE(5375)] = 358604,
  [SMALL_STATE(5376)] = 358649,
  [SMALL_STATE(5377)] = 358696,
  [SMALL_STATE(5378)] = 358785,
  [SMALL_STATE(5379)] = 358830,
  [SMALL_STATE(5380)] = 358919,
  [SMALL_STATE(5381)] = 358970,
  [SMALL_STATE(5382)] = 359015,
  [SMALL_STATE(5383)] = 359062,
  [SMALL_STATE(5384)] = 359117,
  [SMALL_STATE(5385)] = 359206,
  [SMALL_STATE(5386)] = 359253,
  [SMALL_STATE(5387)] = 359304,
  [SMALL_STATE(5388)] = 359355,
  [SMALL_STATE(5389)] = 359406,
  [SMALL_STATE(5390)] = 359457,
  [SMALL_STATE(5391)] = 359508,
  [SMALL_STATE(5392)] = 359559,
  [SMALL_STATE(5393)] = 359606,
  [SMALL_STATE(5394)] = 359695,
  [SMALL_STATE(5395)] = 359746,
  [SMALL_STATE(5396)] = 359791,
  [SMALL_STATE(5397)] = 359838,
  [SMALL_STATE(5398)] = 359927,
  [SMALL_STATE(5399)] = 359972,
  [SMALL_STATE(5400)] = 360019,
  [SMALL_STATE(5401)] = 360064,
  [SMALL_STATE(5402)] = 360109,
  [SMALL_STATE(5403)] = 360154,
  [SMALL_STATE(5404)] = 360203,
  [SMALL_STATE(5405)] = 360248,
  [SMALL_STATE(5406)] = 360293,
  [SMALL_STATE(5407)] = 360382,
  [SMALL_STATE(5408)] = 360427,
  [SMALL_STATE(5409)] = 360512,
  [SMALL_STATE(5410)] = 360559,
  [SMALL_STATE(5411)] = 360648,
  [SMALL_STATE(5412)] = 360705,
  [SMALL_STATE(5413)] = 360760,
  [SMALL_STATE(5414)] = 360849,
  [SMALL_STATE(5415)] = 360938,
  [SMALL_STATE(5416)] = 361023,
  [SMALL_STATE(5417)] = 361070,
  [SMALL_STATE(5418)] = 361157,
  [SMALL_STATE(5419)] = 361242,
  [SMALL_STATE(5420)] = 361289,
  [SMALL_STATE(5421)] = 361334,
  [SMALL_STATE(5422)] = 361379,
  [SMALL_STATE(5423)] = 361424,
  [SMALL_STATE(5424)] = 361469,
  [SMALL_STATE(5425)] = 361514,
  [SMALL_STATE(5426)] = 361601,
  [SMALL_STATE(5427)] = 361686,
  [SMALL_STATE(5428)] = 361731,
  [SMALL_STATE(5429)] = 361782,
  [SMALL_STATE(5430)] = 361869,
  [SMALL_STATE(5431)] = 361954,
  [SMALL_STATE(5432)] = 362043,
  [SMALL_STATE(5433)] = 362132,
  [SMALL_STATE(5434)] = 362221,
  [SMALL_STATE(5435)] = 362310,
  [SMALL_STATE(5436)] = 362357,
  [SMALL_STATE(5437)] = 362404,
  [SMALL_STATE(5438)] = 362493,
  [SMALL_STATE(5439)] = 362544,
  [SMALL_STATE(5440)] = 362595,
  [SMALL_STATE(5441)] = 362646,
  [SMALL_STATE(5442)] = 362697,
  [SMALL_STATE(5443)] = 362748,
  [SMALL_STATE(5444)] = 362799,
  [SMALL_STATE(5445)] = 362888,
  [SMALL_STATE(5446)] = 362977,
  [SMALL_STATE(5447)] = 363024,
  [SMALL_STATE(5448)] = 363113,
  [SMALL_STATE(5449)] = 363162,
  [SMALL_STATE(5450)] = 363209,
  [SMALL_STATE(5451)] = 363256,
  [SMALL_STATE(5452)] = 363345,
  [SMALL_STATE(5453)] = 363392,
  [SMALL_STATE(5454)] = 363481,
  [SMALL_STATE(5455)] = 363570,
  [SMALL_STATE(5456)] = 363659,
  [SMALL_STATE(5457)] = 363704,
  [SMALL_STATE(5458)] = 363793,
  [SMALL_STATE(5459)] = 363882,
  [SMALL_STATE(5460)] = 363927,
  [SMALL_STATE(5461)] = 363972,
  [SMALL_STATE(5462)] = 364061,
  [SMALL_STATE(5463)] = 364150,
  [SMALL_STATE(5464)] = 364197,
  [SMALL_STATE(5465)] = 364244,
  [SMALL_STATE(5466)] = 364333,
  [SMALL_STATE(5467)] = 364378,
  [SMALL_STATE(5468)] = 364423,
  [SMALL_STATE(5469)] = 364470,
  [SMALL_STATE(5470)] = 364559,
  [SMALL_STATE(5471)] = 364606,
  [SMALL_STATE(5472)] = 364653,
  [SMALL_STATE(5473)] = 364742,
  [SMALL_STATE(5474)] = 364827,
  [SMALL_STATE(5475)] = 364874,
  [SMALL_STATE(5476)] = 364963,
  [SMALL_STATE(5477)] = 365052,
  [SMALL_STATE(5478)] = 365141,
  [SMALL_STATE(5479)] = 365188,
  [SMALL_STATE(5480)] = 365239,
  [SMALL_STATE(5481)] = 365286,
  [SMALL_STATE(5482)] = 365335,
  [SMALL_STATE(5483)] = 365382,
  [SMALL_STATE(5484)] = 365427,
  [SMALL_STATE(5485)] = 365474,
  [SMALL_STATE(5486)] = 365523,
  [SMALL_STATE(5487)] = 365612,
  [SMALL_STATE(5488)] = 365701,
  [SMALL_STATE(5489)] = 365754,
  [SMALL_STATE(5490)] = 365801,
  [SMALL_STATE(5491)] = 365848,
  [SMALL_STATE(5492)] = 365895,
  [SMALL_STATE(5493)] = 365942,
  [SMALL_STATE(5494)] = 365987,
  [SMALL_STATE(5495)] = 366032,
  [SMALL_STATE(5496)] = 366077,
  [SMALL_STATE(5497)] = 366130,
  [SMALL_STATE(5498)] = 366177,
  [SMALL_STATE(5499)] = 366222,
  [SMALL_STATE(5500)] = 366267,
  [SMALL_STATE(5501)] = 366352,
  [SMALL_STATE(5502)] = 366397,
  [SMALL_STATE(5503)] = 366486,
  [SMALL_STATE(5504)] = 366531,
  [SMALL_STATE(5505)] = 366620,
  [SMALL_STATE(5506)] = 366667,
  [SMALL_STATE(5507)] = 366714,
  [SMALL_STATE(5508)] = 366759,
  [SMALL_STATE(5509)] = 366806,
  [SMALL_STATE(5510)] = 366853,
  [SMALL_STATE(5511)] = 366900,
  [SMALL_STATE(5512)] = 366947,
  [SMALL_STATE(5513)] = 367036,
  [SMALL_STATE(5514)] = 367087,
  [SMALL_STATE(5515)] = 367138,
  [SMALL_STATE(5516)] = 367183,
  [SMALL_STATE(5517)] = 367228,
  [SMALL_STATE(5518)] = 367273,
  [SMALL_STATE(5519)] = 367318,
  [SMALL_STATE(5520)] = 367366,
  [SMALL_STATE(5521)] = 367410,
  [SMALL_STATE(5522)] = 367454,
  [SMALL_STATE(5523)] = 367498,
  [SMALL_STATE(5524)] = 367542,
  [SMALL_STATE(5525)] = 367586,
  [SMALL_STATE(5526)] = 367670,
  [SMALL_STATE(5527)] = 367714,
  [SMALL_STATE(5528)] = 367758,
  [SMALL_STATE(5529)] = 367802,
  [SMALL_STATE(5530)] = 367850,
  [SMALL_STATE(5531)] = 367894,
  [SMALL_STATE(5532)] = 367980,
  [SMALL_STATE(5533)] = 368066,
  [SMALL_STATE(5534)] = 368150,
  [SMALL_STATE(5535)] = 368194,
  [SMALL_STATE(5536)] = 368242,
  [SMALL_STATE(5537)] = 368286,
  [SMALL_STATE(5538)] = 368330,
  [SMALL_STATE(5539)] = 368376,
  [SMALL_STATE(5540)] = 368420,
  [SMALL_STATE(5541)] = 368474,
  [SMALL_STATE(5542)] = 368518,
  [SMALL_STATE(5543)] = 368566,
  [SMALL_STATE(5544)] = 368652,
  [SMALL_STATE(5545)] = 368698,
  [SMALL_STATE(5546)] = 368746,
  [SMALL_STATE(5547)] = 368794,
  [SMALL_STATE(5548)] = 368842,
  [SMALL_STATE(5549)] = 368890,
  [SMALL_STATE(5550)] = 368938,
  [SMALL_STATE(5551)] = 368982,
  [SMALL_STATE(5552)] = 369026,
  [SMALL_STATE(5553)] = 369070,
  [SMALL_STATE(5554)] = 369114,
  [SMALL_STATE(5555)] = 369158,
  [SMALL_STATE(5556)] = 369202,
  [SMALL_STATE(5557)] = 369246,
  [SMALL_STATE(5558)] = 369290,
  [SMALL_STATE(5559)] = 369334,
  [SMALL_STATE(5560)] = 369378,
  [SMALL_STATE(5561)] = 369422,
  [SMALL_STATE(5562)] = 369466,
  [SMALL_STATE(5563)] = 369510,
  [SMALL_STATE(5564)] = 369554,
  [SMALL_STATE(5565)] = 369598,
  [SMALL_STATE(5566)] = 369642,
  [SMALL_STATE(5567)] = 369686,
  [SMALL_STATE(5568)] = 369730,
  [SMALL_STATE(5569)] = 369816,
  [SMALL_STATE(5570)] = 369860,
  [SMALL_STATE(5571)] = 369904,
  [SMALL_STATE(5572)] = 369948,
  [SMALL_STATE(5573)] = 370034,
  [SMALL_STATE(5574)] = 370078,
  [SMALL_STATE(5575)] = 370122,
  [SMALL_STATE(5576)] = 370166,
  [SMALL_STATE(5577)] = 370210,
  [SMALL_STATE(5578)] = 370296,
  [SMALL_STATE(5579)] = 370340,
  [SMALL_STATE(5580)] = 370384,
  [SMALL_STATE(5581)] = 370428,
  [SMALL_STATE(5582)] = 370472,
  [SMALL_STATE(5583)] = 370516,
  [SMALL_STATE(5584)] = 370560,
  [SMALL_STATE(5585)] = 370604,
  [SMALL_STATE(5586)] = 370690,
  [SMALL_STATE(5587)] = 370738,
  [SMALL_STATE(5588)] = 370822,
  [SMALL_STATE(5589)] = 370866,
  [SMALL_STATE(5590)] = 370910,
  [SMALL_STATE(5591)] = 370954,
  [SMALL_STATE(5592)] = 370998,
  [SMALL_STATE(5593)] = 371042,
  [SMALL_STATE(5594)] = 371086,
  [SMALL_STATE(5595)] = 371130,
  [SMALL_STATE(5596)] = 371174,
  [SMALL_STATE(5597)] = 371218,
  [SMALL_STATE(5598)] = 371266,
  [SMALL_STATE(5599)] = 371314,
  [SMALL_STATE(5600)] = 371400,
  [SMALL_STATE(5601)] = 371444,
  [SMALL_STATE(5602)] = 371488,
  [SMALL_STATE(5603)] = 371532,
  [SMALL_STATE(5604)] = 371580,
  [SMALL_STATE(5605)] = 371624,
  [SMALL_STATE(5606)] = 371672,
  [SMALL_STATE(5607)] = 371716,
  [SMALL_STATE(5608)] = 371760,
  [SMALL_STATE(5609)] = 371804,
  [SMALL_STATE(5610)] = 371848,
  [SMALL_STATE(5611)] = 371892,
  [SMALL_STATE(5612)] = 371936,
  [SMALL_STATE(5613)] = 371980,
  [SMALL_STATE(5614)] = 372024,
  [SMALL_STATE(5615)] = 372072,
  [SMALL_STATE(5616)] = 372156,
  [SMALL_STATE(5617)] = 372200,
  [SMALL_STATE(5618)] = 372286,
  [SMALL_STATE(5619)] = 372370,
  [SMALL_STATE(5620)] = 372456,
  [SMALL_STATE(5621)] = 372542,
  [SMALL_STATE(5622)] = 372586,
  [SMALL_STATE(5623)] = 372630,
  [SMALL_STATE(5624)] = 372676,
  [SMALL_STATE(5625)] = 372720,
  [SMALL_STATE(5626)] = 372766,
  [SMALL_STATE(5627)] = 372820,
  [SMALL_STATE(5628)] = 372904,
  [SMALL_STATE(5629)] = 372988,
  [SMALL_STATE(5630)] = 373032,
  [SMALL_STATE(5631)] = 373078,
  [SMALL_STATE(5632)] = 373162,
  [SMALL_STATE(5633)] = 373206,
  [SMALL_STATE(5634)] = 373250,
  [SMALL_STATE(5635)] = 373294,
  [SMALL_STATE(5636)] = 373378,
  [SMALL_STATE(5637)] = 373422,
  [SMALL_STATE(5638)] = 373466,
  [SMALL_STATE(5639)] = 373510,
  [SMALL_STATE(5640)] = 373594,
  [SMALL_STATE(5641)] = 373638,
  [SMALL_STATE(5642)] = 373682,
  [SMALL_STATE(5643)] = 373726,
  [SMALL_STATE(5644)] = 373810,
  [SMALL_STATE(5645)] = 373854,
  [SMALL_STATE(5646)] = 373898,
  [SMALL_STATE(5647)] = 373946,
  [SMALL_STATE(5648)] = 373990,
  [SMALL_STATE(5649)] = 374034,
  [SMALL_STATE(5650)] = 374078,
  [SMALL_STATE(5651)] = 374126,
  [SMALL_STATE(5652)] = 374174,
  [SMALL_STATE(5653)] = 374218,
  [SMALL_STATE(5654)] = 374266,
  [SMALL_STATE(5655)] = 374310,
  [SMALL_STATE(5656)] = 374354,
  [SMALL_STATE(5657)] = 374398,
  [SMALL_STATE(5658)] = 374442,
  [SMALL_STATE(5659)] = 374486,
  [SMALL_STATE(5660)] = 374530,
  [SMALL_STATE(5661)] = 374574,
  [SMALL_STATE(5662)] = 374618,
  [SMALL_STATE(5663)] = 374662,
  [SMALL_STATE(5664)] = 374706,
  [SMALL_STATE(5665)] = 374750,
  [SMALL_STATE(5666)] = 374794,
  [SMALL_STATE(5667)] = 374838,
  [SMALL_STATE(5668)] = 374924,
  [SMALL_STATE(5669)] = 374968,
  [SMALL_STATE(5670)] = 375012,
  [SMALL_STATE(5671)] = 375056,
  [SMALL_STATE(5672)] = 375142,
  [SMALL_STATE(5673)] = 375186,
  [SMALL_STATE(5674)] = 375230,
  [SMALL_STATE(5675)] = 375274,
  [SMALL_STATE(5676)] = 375318,
  [SMALL_STATE(5677)] = 375362,
  [SMALL_STATE(5678)] = 375410,
  [SMALL_STATE(5679)] = 375496,
  [SMALL_STATE(5680)] = 375540,
  [SMALL_STATE(5681)] = 375584,
  [SMALL_STATE(5682)] = 375628,
  [SMALL_STATE(5683)] = 375672,
  [SMALL_STATE(5684)] = 375716,
  [SMALL_STATE(5685)] = 375760,
  [SMALL_STATE(5686)] = 375804,
  [SMALL_STATE(5687)] = 375848,
  [SMALL_STATE(5688)] = 375892,
  [SMALL_STATE(5689)] = 375936,
  [SMALL_STATE(5690)] = 375980,
  [SMALL_STATE(5691)] = 376024,
  [SMALL_STATE(5692)] = 376068,
  [SMALL_STATE(5693)] = 376112,
  [SMALL_STATE(5694)] = 376156,
  [SMALL_STATE(5695)] = 376200,
  [SMALL_STATE(5696)] = 376286,
  [SMALL_STATE(5697)] = 376330,
  [SMALL_STATE(5698)] = 376378,
  [SMALL_STATE(5699)] = 376422,
  [SMALL_STATE(5700)] = 376470,
  [SMALL_STATE(5701)] = 376514,
  [SMALL_STATE(5702)] = 376562,
  [SMALL_STATE(5703)] = 376610,
  [SMALL_STATE(5704)] = 376658,
  [SMALL_STATE(5705)] = 376702,
  [SMALL_STATE(5706)] = 376746,
  [SMALL_STATE(5707)] = 376790,
  [SMALL_STATE(5708)] = 376834,
  [SMALL_STATE(5709)] = 376880,
  [SMALL_STATE(5710)] = 376924,
  [SMALL_STATE(5711)] = 376968,
  [SMALL_STATE(5712)] = 377054,
  [SMALL_STATE(5713)] = 377098,
  [SMALL_STATE(5714)] = 377142,
  [SMALL_STATE(5715)] = 377188,
  [SMALL_STATE(5716)] = 377232,
  [SMALL_STATE(5717)] = 377276,
  [SMALL_STATE(5718)] = 377320,
  [SMALL_STATE(5719)] = 377364,
  [SMALL_STATE(5720)] = 377408,
  [SMALL_STATE(5721)] = 377452,
  [SMALL_STATE(5722)] = 377496,
  [SMALL_STATE(5723)] = 377540,
  [SMALL_STATE(5724)] = 377626,
  [SMALL_STATE(5725)] = 377670,
  [SMALL_STATE(5726)] = 377714,
  [SMALL_STATE(5727)] = 377758,
  [SMALL_STATE(5728)] = 377802,
  [SMALL_STATE(5729)] = 377850,
  [SMALL_STATE(5730)] = 377894,
  [SMALL_STATE(5731)] = 377940,
  [SMALL_STATE(5732)] = 377988,
  [SMALL_STATE(5733)] = 378032,
  [SMALL_STATE(5734)] = 378076,
  [SMALL_STATE(5735)] = 378124,
  [SMALL_STATE(5736)] = 378168,
  [SMALL_STATE(5737)] = 378216,
  [SMALL_STATE(5738)] = 378260,
  [SMALL_STATE(5739)] = 378304,
  [SMALL_STATE(5740)] = 378348,
  [SMALL_STATE(5741)] = 378392,
  [SMALL_STATE(5742)] = 378440,
  [SMALL_STATE(5743)] = 378484,
  [SMALL_STATE(5744)] = 378528,
  [SMALL_STATE(5745)] = 378572,
  [SMALL_STATE(5746)] = 378616,
  [SMALL_STATE(5747)] = 378660,
  [SMALL_STATE(5748)] = 378704,
  [SMALL_STATE(5749)] = 378748,
  [SMALL_STATE(5750)] = 378792,
  [SMALL_STATE(5751)] = 378836,
  [SMALL_STATE(5752)] = 378880,
  [SMALL_STATE(5753)] = 378924,
  [SMALL_STATE(5754)] = 379008,
  [SMALL_STATE(5755)] = 379052,
  [SMALL_STATE(5756)] = 379100,
  [SMALL_STATE(5757)] = 379144,
  [SMALL_STATE(5758)] = 379188,
  [SMALL_STATE(5759)] = 379232,
  [SMALL_STATE(5760)] = 379280,
  [SMALL_STATE(5761)] = 379324,
  [SMALL_STATE(5762)] = 379368,
  [SMALL_STATE(5763)] = 379416,
  [SMALL_STATE(5764)] = 379460,
  [SMALL_STATE(5765)] = 379504,
  [SMALL_STATE(5766)] = 379548,
  [SMALL_STATE(5767)] = 379592,
  [SMALL_STATE(5768)] = 379636,
  [SMALL_STATE(5769)] = 379680,
  [SMALL_STATE(5770)] = 379728,
  [SMALL_STATE(5771)] = 379772,
  [SMALL_STATE(5772)] = 379816,
  [SMALL_STATE(5773)] = 379860,
  [SMALL_STATE(5774)] = 379906,
  [SMALL_STATE(5775)] = 379954,
  [SMALL_STATE(5776)] = 380002,
  [SMALL_STATE(5777)] = 380050,
  [SMALL_STATE(5778)] = 380098,
  [SMALL_STATE(5779)] = 380142,
  [SMALL_STATE(5780)] = 380186,
  [SMALL_STATE(5781)] = 380230,
  [SMALL_STATE(5782)] = 380278,
  [SMALL_STATE(5783)] = 380362,
  [SMALL_STATE(5784)] = 380406,
  [SMALL_STATE(5785)] = 380490,
  [SMALL_STATE(5786)] = 380574,
  [SMALL_STATE(5787)] = 380618,
  [SMALL_STATE(5788)] = 380662,
  [SMALL_STATE(5789)] = 380706,
  [SMALL_STATE(5790)] = 380750,
  [SMALL_STATE(5791)] = 380794,
  [SMALL_STATE(5792)] = 380838,
  [SMALL_STATE(5793)] = 380882,
  [SMALL_STATE(5794)] = 380926,
  [SMALL_STATE(5795)] = 380970,
  [SMALL_STATE(5796)] = 381056,
  [SMALL_STATE(5797)] = 381100,
  [SMALL_STATE(5798)] = 381144,
  [SMALL_STATE(5799)] = 381188,
  [SMALL_STATE(5800)] = 381271,
  [SMALL_STATE(5801)] = 381354,
  [SMALL_STATE(5802)] = 381399,
  [SMALL_STATE(5803)] = 381444,
  [SMALL_STATE(5804)] = 381527,
  [SMALL_STATE(5805)] = 381572,
  [SMALL_STATE(5806)] = 381619,
  [SMALL_STATE(5807)] = 381662,
  [SMALL_STATE(5808)] = 381745,
  [SMALL_STATE(5809)] = 381792,
  [SMALL_STATE(5810)] = 381837,
  [SMALL_STATE(5811)] = 381920,
  [SMALL_STATE(5812)] = 382003,
  [SMALL_STATE(5813)] = 382086,
  [SMALL_STATE(5814)] = 382169,
  [SMALL_STATE(5815)] = 382212,
  [SMALL_STATE(5816)] = 382295,
  [SMALL_STATE(5817)] = 382378,
  [SMALL_STATE(5818)] = 382461,
  [SMALL_STATE(5819)] = 382544,
  [SMALL_STATE(5820)] = 382627,
  [SMALL_STATE(5821)] = 382710,
  [SMALL_STATE(5822)] = 382757,
  [SMALL_STATE(5823)] = 382840,
  [SMALL_STATE(5824)] = 382923,
  [SMALL_STATE(5825)] = 382966,
  [SMALL_STATE(5826)] = 383049,
  [SMALL_STATE(5827)] = 383132,
  [SMALL_STATE(5828)] = 383177,
  [SMALL_STATE(5829)] = 383260,
  [SMALL_STATE(5830)] = 383343,
  [SMALL_STATE(5831)] = 383426,
  [SMALL_STATE(5832)] = 383469,
  [SMALL_STATE(5833)] = 383552,
  [SMALL_STATE(5834)] = 383635,
  [SMALL_STATE(5835)] = 383678,
  [SMALL_STATE(5836)] = 383721,
  [SMALL_STATE(5837)] = 383804,
  [SMALL_STATE(5838)] = 383887,
  [SMALL_STATE(5839)] = 383930,
  [SMALL_STATE(5840)] = 384013,
  [SMALL_STATE(5841)] = 384096,
  [SMALL_STATE(5842)] = 384179,
  [SMALL_STATE(5843)] = 384226,
  [SMALL_STATE(5844)] = 384273,
  [SMALL_STATE(5845)] = 384356,
  [SMALL_STATE(5846)] = 384439,
  [SMALL_STATE(5847)] = 384522,
  [SMALL_STATE(5848)] = 384569,
  [SMALL_STATE(5849)] = 384652,
  [SMALL_STATE(5850)] = 384735,
  [SMALL_STATE(5851)] = 384780,
  [SMALL_STATE(5852)] = 384823,
  [SMALL_STATE(5853)] = 384866,
  [SMALL_STATE(5854)] = 384913,
  [SMALL_STATE(5855)] = 384996,
  [SMALL_STATE(5856)] = 385041,
  [SMALL_STATE(5857)] = 385124,
  [SMALL_STATE(5858)] = 385169,
  [SMALL_STATE(5859)] = 385252,
  [SMALL_STATE(5860)] = 385335,
  [SMALL_STATE(5861)] = 385380,
  [SMALL_STATE(5862)] = 385463,
  [SMALL_STATE(5863)] = 385506,
  [SMALL_STATE(5864)] = 385549,
  [SMALL_STATE(5865)] = 385596,
  [SMALL_STATE(5866)] = 385641,
  [SMALL_STATE(5867)] = 385686,
  [SMALL_STATE(5868)] = 385769,
  [SMALL_STATE(5869)] = 385852,
  [SMALL_STATE(5870)] = 385935,
  [SMALL_STATE(5871)] = 385982,
  [SMALL_STATE(5872)] = 386029,
  [SMALL_STATE(5873)] = 386074,
  [SMALL_STATE(5874)] = 386117,
  [SMALL_STATE(5875)] = 386200,
  [SMALL_STATE(5876)] = 386283,
  [SMALL_STATE(5877)] = 386328,
  [SMALL_STATE(5878)] = 386371,
  [SMALL_STATE(5879)] = 386416,
  [SMALL_STATE(5880)] = 386459,
  [SMALL_STATE(5881)] = 386506,
  [SMALL_STATE(5882)] = 386549,
  [SMALL_STATE(5883)] = 386632,
  [SMALL_STATE(5884)] = 386715,
  [SMALL_STATE(5885)] = 386760,
  [SMALL_STATE(5886)] = 386843,
  [SMALL_STATE(5887)] = 386886,
  [SMALL_STATE(5888)] = 386929,
  [SMALL_STATE(5889)] = 387012,
  [SMALL_STATE(5890)] = 387057,
  [SMALL_STATE(5891)] = 387140,
  [SMALL_STATE(5892)] = 387185,
  [SMALL_STATE(5893)] = 387228,
  [SMALL_STATE(5894)] = 387273,
  [SMALL_STATE(5895)] = 387356,
  [SMALL_STATE(5896)] = 387439,
  [SMALL_STATE(5897)] = 387522,
  [SMALL_STATE(5898)] = 387605,
  [SMALL_STATE(5899)] = 387652,
  [SMALL_STATE(5900)] = 387699,
  [SMALL_STATE(5901)] = 387746,
  [SMALL_STATE(5902)] = 387829,
  [SMALL_STATE(5903)] = 387912,
  [SMALL_STATE(5904)] = 387995,
  [SMALL_STATE(5905)] = 388042,
  [SMALL_STATE(5906)] = 388089,
  [SMALL_STATE(5907)] = 388134,
  [SMALL_STATE(5908)] = 388217,
  [SMALL_STATE(5909)] = 388260,
  [SMALL_STATE(5910)] = 388343,
  [SMALL_STATE(5911)] = 388426,
  [SMALL_STATE(5912)] = 388509,
  [SMALL_STATE(5913)] = 388592,
  [SMALL_STATE(5914)] = 388639,
  [SMALL_STATE(5915)] = 388686,
  [SMALL_STATE(5916)] = 388733,
  [SMALL_STATE(5917)] = 388780,
  [SMALL_STATE(5918)] = 388827,
  [SMALL_STATE(5919)] = 388870,
  [SMALL_STATE(5920)] = 388913,
  [SMALL_STATE(5921)] = 388960,
  [SMALL_STATE(5922)] = 389007,
  [SMALL_STATE(5923)] = 389050,
  [SMALL_STATE(5924)] = 389093,
  [SMALL_STATE(5925)] = 389136,
  [SMALL_STATE(5926)] = 389179,
  [SMALL_STATE(5927)] = 389262,
  [SMALL_STATE(5928)] = 389305,
  [SMALL_STATE(5929)] = 389352,
  [SMALL_STATE(5930)] = 389399,
  [SMALL_STATE(5931)] = 389446,
  [SMALL_STATE(5932)] = 389489,
  [SMALL_STATE(5933)] = 389536,
  [SMALL_STATE(5934)] = 389583,
  [SMALL_STATE(5935)] = 389630,
  [SMALL_STATE(5936)] = 389713,
  [SMALL_STATE(5937)] = 389760,
  [SMALL_STATE(5938)] = 389807,
  [SMALL_STATE(5939)] = 389854,
  [SMALL_STATE(5940)] = 389901,
  [SMALL_STATE(5941)] = 389948,
  [SMALL_STATE(5942)] = 390031,
  [SMALL_STATE(5943)] = 390114,
  [SMALL_STATE(5944)] = 390197,
  [SMALL_STATE(5945)] = 390242,
  [SMALL_STATE(5946)] = 390325,
  [SMALL_STATE(5947)] = 390372,
  [SMALL_STATE(5948)] = 390415,
  [SMALL_STATE(5949)] = 390498,
  [SMALL_STATE(5950)] = 390543,
  [SMALL_STATE(5951)] = 390626,
  [SMALL_STATE(5952)] = 390709,
  [SMALL_STATE(5953)] = 390792,
  [SMALL_STATE(5954)] = 390875,
  [SMALL_STATE(5955)] = 390922,
  [SMALL_STATE(5956)] = 390969,
  [SMALL_STATE(5957)] = 391016,
  [SMALL_STATE(5958)] = 391059,
  [SMALL_STATE(5959)] = 391142,
  [SMALL_STATE(5960)] = 391225,
  [SMALL_STATE(5961)] = 391308,
  [SMALL_STATE(5962)] = 391355,
  [SMALL_STATE(5963)] = 391402,
  [SMALL_STATE(5964)] = 391449,
  [SMALL_STATE(5965)] = 391532,
  [SMALL_STATE(5966)] = 391615,
  [SMALL_STATE(5967)] = 391698,
  [SMALL_STATE(5968)] = 391781,
  [SMALL_STATE(5969)] = 391864,
  [SMALL_STATE(5970)] = 391911,
  [SMALL_STATE(5971)] = 391958,
  [SMALL_STATE(5972)] = 392001,
  [SMALL_STATE(5973)] = 392084,
  [SMALL_STATE(5974)] = 392167,
  [SMALL_STATE(5975)] = 392250,
  [SMALL_STATE(5976)] = 392297,
  [SMALL_STATE(5977)] = 392348,
  [SMALL_STATE(5978)] = 392399,
  [SMALL_STATE(5979)] = 392446,
  [SMALL_STATE(5980)] = 392493,
  [SMALL_STATE(5981)] = 392542,
  [SMALL_STATE(5982)] = 392589,
  [SMALL_STATE(5983)] = 392632,
  [SMALL_STATE(5984)] = 392679,
  [SMALL_STATE(5985)] = 392726,
  [SMALL_STATE(5986)] = 392769,
  [SMALL_STATE(5987)] = 392816,
  [SMALL_STATE(5988)] = 392859,
  [SMALL_STATE(5989)] = 392942,
  [SMALL_STATE(5990)] = 392985,
  [SMALL_STATE(5991)] = 393028,
  [SMALL_STATE(5992)] = 393075,
  [SMALL_STATE(5993)] = 393158,
  [SMALL_STATE(5994)] = 393207,
  [SMALL_STATE(5995)] = 393250,
  [SMALL_STATE(5996)] = 393333,
  [SMALL_STATE(5997)] = 393416,
  [SMALL_STATE(5998)] = 393499,
  [SMALL_STATE(5999)] = 393582,
  [SMALL_STATE(6000)] = 393665,
  [SMALL_STATE(6001)] = 393712,
  [SMALL_STATE(6002)] = 393795,
  [SMALL_STATE(6003)] = 393878,
  [SMALL_STATE(6004)] = 393921,
  [SMALL_STATE(6005)] = 393964,
  [SMALL_STATE(6006)] = 394011,
  [SMALL_STATE(6007)] = 394058,
  [SMALL_STATE(6008)] = 394105,
  [SMALL_STATE(6009)] = 394152,
  [SMALL_STATE(6010)] = 394235,
  [SMALL_STATE(6011)] = 394278,
  [SMALL_STATE(6012)] = 394361,
  [SMALL_STATE(6013)] = 394408,
  [SMALL_STATE(6014)] = 394453,
  [SMALL_STATE(6015)] = 394496,
  [SMALL_STATE(6016)] = 394579,
  [SMALL_STATE(6017)] = 394662,
  [SMALL_STATE(6018)] = 394709,
  [SMALL_STATE(6019)] = 394792,
  [SMALL_STATE(6020)] = 394835,
  [SMALL_STATE(6021)] = 394918,
  [SMALL_STATE(6022)] = 395001,
  [SMALL_STATE(6023)] = 395084,
  [SMALL_STATE(6024)] = 395167,
  [SMALL_STATE(6025)] = 395250,
  [SMALL_STATE(6026)] = 395333,
  [SMALL_STATE(6027)] = 395380,
  [SMALL_STATE(6028)] = 395425,
  [SMALL_STATE(6029)] = 395470,
  [SMALL_STATE(6030)] = 395515,
  [SMALL_STATE(6031)] = 395598,
  [SMALL_STATE(6032)] = 395643,
  [SMALL_STATE(6033)] = 395688,
  [SMALL_STATE(6034)] = 395771,
  [SMALL_STATE(6035)] = 395816,
  [SMALL_STATE(6036)] = 395899,
  [SMALL_STATE(6037)] = 395982,
  [SMALL_STATE(6038)] = 396029,
  [SMALL_STATE(6039)] = 396112,
  [SMALL_STATE(6040)] = 396195,
  [SMALL_STATE(6041)] = 396278,
  [SMALL_STATE(6042)] = 396323,
  [SMALL_STATE(6043)] = 396368,
  [SMALL_STATE(6044)] = 396451,
  [SMALL_STATE(6045)] = 396534,
  [SMALL_STATE(6046)] = 396617,
  [SMALL_STATE(6047)] = 396660,
  [SMALL_STATE(6048)] = 396705,
  [SMALL_STATE(6049)] = 396788,
  [SMALL_STATE(6050)] = 396871,
  [SMALL_STATE(6051)] = 396954,
  [SMALL_STATE(6052)] = 397037,
  [SMALL_STATE(6053)] = 397120,
  [SMALL_STATE(6054)] = 397203,
  [SMALL_STATE(6055)] = 397286,
  [SMALL_STATE(6056)] = 397331,
  [SMALL_STATE(6057)] = 397414,
  [SMALL_STATE(6058)] = 397497,
  [SMALL_STATE(6059)] = 397542,
  [SMALL_STATE(6060)] = 397587,
  [SMALL_STATE(6061)] = 397670,
  [SMALL_STATE(6062)] = 397753,
  [SMALL_STATE(6063)] = 397798,
  [SMALL_STATE(6064)] = 397843,
  [SMALL_STATE(6065)] = 397890,
  [SMALL_STATE(6066)] = 397973,
  [SMALL_STATE(6067)] = 398056,
  [SMALL_STATE(6068)] = 398101,
  [SMALL_STATE(6069)] = 398146,
  [SMALL_STATE(6070)] = 398191,
  [SMALL_STATE(6071)] = 398236,
  [SMALL_STATE(6072)] = 398279,
  [SMALL_STATE(6073)] = 398362,
  [SMALL_STATE(6074)] = 398407,
  [SMALL_STATE(6075)] = 398456,
  [SMALL_STATE(6076)] = 398539,
  [SMALL_STATE(6077)] = 398586,
  [SMALL_STATE(6078)] = 398631,
  [SMALL_STATE(6079)] = 398676,
  [SMALL_STATE(6080)] = 398723,
  [SMALL_STATE(6081)] = 398768,
  [SMALL_STATE(6082)] = 398813,
  [SMALL_STATE(6083)] = 398858,
  [SMALL_STATE(6084)] = 398903,
  [SMALL_STATE(6085)] = 398948,
  [SMALL_STATE(6086)] = 398993,
  [SMALL_STATE(6087)] = 399076,
  [SMALL_STATE(6088)] = 399121,
  [SMALL_STATE(6089)] = 399164,
  [SMALL_STATE(6090)] = 399211,
  [SMALL_STATE(6091)] = 399294,
  [SMALL_STATE(6092)] = 399339,
  [SMALL_STATE(6093)] = 399422,
  [SMALL_STATE(6094)] = 399467,
  [SMALL_STATE(6095)] = 399512,
  [SMALL_STATE(6096)] = 399595,
  [SMALL_STATE(6097)] = 399678,
  [SMALL_STATE(6098)] = 399723,
  [SMALL_STATE(6099)] = 399806,
  [SMALL_STATE(6100)] = 399889,
  [SMALL_STATE(6101)] = 399932,
  [SMALL_STATE(6102)] = 400015,
  [SMALL_STATE(6103)] = 400060,
  [SMALL_STATE(6104)] = 400143,
  [SMALL_STATE(6105)] = 400226,
  [SMALL_STATE(6106)] = 400309,
  [SMALL_STATE(6107)] = 400392,
  [SMALL_STATE(6108)] = 400437,
  [SMALL_STATE(6109)] = 400480,
  [SMALL_STATE(6110)] = 400563,
  [SMALL_STATE(6111)] = 400646,
  [SMALL_STATE(6112)] = 400691,
  [SMALL_STATE(6113)] = 400738,
  [SMALL_STATE(6114)] = 400821,
  [SMALL_STATE(6115)] = 400904,
  [SMALL_STATE(6116)] = 400947,
  [SMALL_STATE(6117)] = 401030,
  [SMALL_STATE(6118)] = 401075,
  [SMALL_STATE(6119)] = 401122,
  [SMALL_STATE(6120)] = 401205,
  [SMALL_STATE(6121)] = 401288,
  [SMALL_STATE(6122)] = 401335,
  [SMALL_STATE(6123)] = 401382,
  [SMALL_STATE(6124)] = 401465,
  [SMALL_STATE(6125)] = 401548,
  [SMALL_STATE(6126)] = 401593,
  [SMALL_STATE(6127)] = 401676,
  [SMALL_STATE(6128)] = 401723,
  [SMALL_STATE(6129)] = 401806,
  [SMALL_STATE(6130)] = 401851,
  [SMALL_STATE(6131)] = 401898,
  [SMALL_STATE(6132)] = 401943,
  [SMALL_STATE(6133)] = 402026,
  [SMALL_STATE(6134)] = 402109,
  [SMALL_STATE(6135)] = 402192,
  [SMALL_STATE(6136)] = 402275,
  [SMALL_STATE(6137)] = 402322,
  [SMALL_STATE(6138)] = 402367,
  [SMALL_STATE(6139)] = 402412,
  [SMALL_STATE(6140)] = 402495,
  [SMALL_STATE(6141)] = 402540,
  [SMALL_STATE(6142)] = 402583,
  [SMALL_STATE(6143)] = 402630,
  [SMALL_STATE(6144)] = 402675,
  [SMALL_STATE(6145)] = 402720,
  [SMALL_STATE(6146)] = 402763,
  [SMALL_STATE(6147)] = 402810,
  [SMALL_STATE(6148)] = 402855,
  [SMALL_STATE(6149)] = 402902,
  [SMALL_STATE(6150)] = 402947,
  [SMALL_STATE(6151)] = 402990,
  [SMALL_STATE(6152)] = 403033,
  [SMALL_STATE(6153)] = 403080,
  [SMALL_STATE(6154)] = 403123,
  [SMALL_STATE(6155)] = 403166,
  [SMALL_STATE(6156)] = 403211,
  [SMALL_STATE(6157)] = 403254,
  [SMALL_STATE(6158)] = 403296,
  [SMALL_STATE(6159)] = 403338,
  [SMALL_STATE(6160)] = 403422,
  [SMALL_STATE(6161)] = 403464,
  [SMALL_STATE(6162)] = 403506,
  [SMALL_STATE(6163)] = 403548,
  [SMALL_STATE(6164)] = 403590,
  [SMALL_STATE(6165)] = 403672,
  [SMALL_STATE(6166)] = 403714,
  [SMALL_STATE(6167)] = 403756,
  [SMALL_STATE(6168)] = 403798,
  [SMALL_STATE(6169)] = 403840,
  [SMALL_STATE(6170)] = 403920,
  [SMALL_STATE(6171)] = 403962,
  [SMALL_STATE(6172)] = 404004,
  [SMALL_STATE(6173)] = 404046,
  [SMALL_STATE(6174)] = 404088,
  [SMALL_STATE(6175)] = 404130,
  [SMALL_STATE(6176)] = 404214,
  [SMALL_STATE(6177)] = 404256,
  [SMALL_STATE(6178)] = 404298,
  [SMALL_STATE(6179)] = 404340,
  [SMALL_STATE(6180)] = 404384,
  [SMALL_STATE(6181)] = 404464,
  [SMALL_STATE(6182)] = 404506,
  [SMALL_STATE(6183)] = 404548,
  [SMALL_STATE(6184)] = 404590,
  [SMALL_STATE(6185)] = 404632,
  [SMALL_STATE(6186)] = 404674,
  [SMALL_STATE(6187)] = 404716,
  [SMALL_STATE(6188)] = 404758,
  [SMALL_STATE(6189)] = 404800,
  [SMALL_STATE(6190)] = 404880,
  [SMALL_STATE(6191)] = 404960,
  [SMALL_STATE(6192)] = 405044,
  [SMALL_STATE(6193)] = 405086,
  [SMALL_STATE(6194)] = 405166,
  [SMALL_STATE(6195)] = 405246,
  [SMALL_STATE(6196)] = 405330,
  [SMALL_STATE(6197)] = 405372,
  [SMALL_STATE(6198)] = 405452,
  [SMALL_STATE(6199)] = 405494,
  [SMALL_STATE(6200)] = 405574,
  [SMALL_STATE(6201)] = 405616,
  [SMALL_STATE(6202)] = 405658,
  [SMALL_STATE(6203)] = 405700,
  [SMALL_STATE(6204)] = 405784,
  [SMALL_STATE(6205)] = 405826,
  [SMALL_STATE(6206)] = 405868,
  [SMALL_STATE(6207)] = 405910,
  [SMALL_STATE(6208)] = 405952,
  [SMALL_STATE(6209)] = 405994,
  [SMALL_STATE(6210)] = 406036,
  [SMALL_STATE(6211)] = 406078,
  [SMALL_STATE(6212)] = 406120,
  [SMALL_STATE(6213)] = 406202,
  [SMALL_STATE(6214)] = 406244,
  [SMALL_STATE(6215)] = 406324,
  [SMALL_STATE(6216)] = 406404,
  [SMALL_STATE(6217)] = 406484,
  [SMALL_STATE(6218)] = 406526,
  [SMALL_STATE(6219)] = 406608,
  [SMALL_STATE(6220)] = 406650,
  [SMALL_STATE(6221)] = 406730,
  [SMALL_STATE(6222)] = 406812,
  [SMALL_STATE(6223)] = 406854,
  [SMALL_STATE(6224)] = 406896,
  [SMALL_STATE(6225)] = 406938,
  [SMALL_STATE(6226)] = 406980,
  [SMALL_STATE(6227)] = 407022,
  [SMALL_STATE(6228)] = 407102,
  [SMALL_STATE(6229)] = 407144,
  [SMALL_STATE(6230)] = 407224,
  [SMALL_STATE(6231)] = 407304,
  [SMALL_STATE(6232)] = 407346,
  [SMALL_STATE(6233)] = 407428,
  [SMALL_STATE(6234)] = 407508,
  [SMALL_STATE(6235)] = 407550,
  [SMALL_STATE(6236)] = 407592,
  [SMALL_STATE(6237)] = 407634,
  [SMALL_STATE(6238)] = 407714,
  [SMALL_STATE(6239)] = 407796,
  [SMALL_STATE(6240)] = 407876,
  [SMALL_STATE(6241)] = 407918,
  [SMALL_STATE(6242)] = 407960,
  [SMALL_STATE(6243)] = 408010,
  [SMALL_STATE(6244)] = 408060,
  [SMALL_STATE(6245)] = 408102,
  [SMALL_STATE(6246)] = 408144,
  [SMALL_STATE(6247)] = 408186,
  [SMALL_STATE(6248)] = 408228,
  [SMALL_STATE(6249)] = 408270,
  [SMALL_STATE(6250)] = 408312,
  [SMALL_STATE(6251)] = 408354,
  [SMALL_STATE(6252)] = 408436,
  [SMALL_STATE(6253)] = 408478,
  [SMALL_STATE(6254)] = 408520,
  [SMALL_STATE(6255)] = 408562,
  [SMALL_STATE(6256)] = 408604,
  [SMALL_STATE(6257)] = 408646,
  [SMALL_STATE(6258)] = 408688,
  [SMALL_STATE(6259)] = 408730,
  [SMALL_STATE(6260)] = 408812,
  [SMALL_STATE(6261)] = 408894,
  [SMALL_STATE(6262)] = 408936,
  [SMALL_STATE(6263)] = 409016,
  [SMALL_STATE(6264)] = 409096,
  [SMALL_STATE(6265)] = 409138,
  [SMALL_STATE(6266)] = 409180,
  [SMALL_STATE(6267)] = 409260,
  [SMALL_STATE(6268)] = 409304,
  [SMALL_STATE(6269)] = 409384,
  [SMALL_STATE(6270)] = 409464,
  [SMALL_STATE(6271)] = 409506,
  [SMALL_STATE(6272)] = 409586,
  [SMALL_STATE(6273)] = 409628,
  [SMALL_STATE(6274)] = 409712,
  [SMALL_STATE(6275)] = 409792,
  [SMALL_STATE(6276)] = 409834,
  [SMALL_STATE(6277)] = 409914,
  [SMALL_STATE(6278)] = 409960,
  [SMALL_STATE(6279)] = 410002,
  [SMALL_STATE(6280)] = 410086,
  [SMALL_STATE(6281)] = 410128,
  [SMALL_STATE(6282)] = 410208,
  [SMALL_STATE(6283)] = 410250,
  [SMALL_STATE(6284)] = 410298,
  [SMALL_STATE(6285)] = 410346,
  [SMALL_STATE(6286)] = 410426,
  [SMALL_STATE(6287)] = 410468,
  [SMALL_STATE(6288)] = 410550,
  [SMALL_STATE(6289)] = 410592,
  [SMALL_STATE(6290)] = 410634,
  [SMALL_STATE(6291)] = 410716,
  [SMALL_STATE(6292)] = 410758,
  [SMALL_STATE(6293)] = 410838,
  [SMALL_STATE(6294)] = 410918,
  [SMALL_STATE(6295)] = 410960,
  [SMALL_STATE(6296)] = 411002,
  [SMALL_STATE(6297)] = 411044,
  [SMALL_STATE(6298)] = 411086,
  [SMALL_STATE(6299)] = 411166,
  [SMALL_STATE(6300)] = 411246,
  [SMALL_STATE(6301)] = 411288,
  [SMALL_STATE(6302)] = 411370,
  [SMALL_STATE(6303)] = 411412,
  [SMALL_STATE(6304)] = 411454,
  [SMALL_STATE(6305)] = 411496,
  [SMALL_STATE(6306)] = 411576,
  [SMALL_STATE(6307)] = 411618,
  [SMALL_STATE(6308)] = 411698,
  [SMALL_STATE(6309)] = 411778,
  [SMALL_STATE(6310)] = 411820,
  [SMALL_STATE(6311)] = 411862,
  [SMALL_STATE(6312)] = 411904,
  [SMALL_STATE(6313)] = 411946,
  [SMALL_STATE(6314)] = 411988,
  [SMALL_STATE(6315)] = 412068,
  [SMALL_STATE(6316)] = 412110,
  [SMALL_STATE(6317)] = 412190,
  [SMALL_STATE(6318)] = 412232,
  [SMALL_STATE(6319)] = 412274,
  [SMALL_STATE(6320)] = 412316,
  [SMALL_STATE(6321)] = 412396,
  [SMALL_STATE(6322)] = 412476,
  [SMALL_STATE(6323)] = 412518,
  [SMALL_STATE(6324)] = 412560,
  [SMALL_STATE(6325)] = 412640,
  [SMALL_STATE(6326)] = 412682,
  [SMALL_STATE(6327)] = 412762,
  [SMALL_STATE(6328)] = 412804,
  [SMALL_STATE(6329)] = 412846,
  [SMALL_STATE(6330)] = 412888,
  [SMALL_STATE(6331)] = 412930,
  [SMALL_STATE(6332)] = 412972,
  [SMALL_STATE(6333)] = 413052,
  [SMALL_STATE(6334)] = 413094,
  [SMALL_STATE(6335)] = 413136,
  [SMALL_STATE(6336)] = 413178,
  [SMALL_STATE(6337)] = 413220,
  [SMALL_STATE(6338)] = 413302,
  [SMALL_STATE(6339)] = 413344,
  [SMALL_STATE(6340)] = 413428,
  [SMALL_STATE(6341)] = 413512,
  [SMALL_STATE(6342)] = 413554,
  [SMALL_STATE(6343)] = 413596,
  [SMALL_STATE(6344)] = 413678,
  [SMALL_STATE(6345)] = 413720,
  [SMALL_STATE(6346)] = 413800,
  [SMALL_STATE(6347)] = 413842,
  [SMALL_STATE(6348)] = 413924,
  [SMALL_STATE(6349)] = 413966,
  [SMALL_STATE(6350)] = 414008,
  [SMALL_STATE(6351)] = 414050,
  [SMALL_STATE(6352)] = 414132,
  [SMALL_STATE(6353)] = 414174,
  [SMALL_STATE(6354)] = 414254,
  [SMALL_STATE(6355)] = 414296,
  [SMALL_STATE(6356)] = 414376,
  [SMALL_STATE(6357)] = 414418,
  [SMALL_STATE(6358)] = 414498,
  [SMALL_STATE(6359)] = 414540,
  [SMALL_STATE(6360)] = 414582,
  [SMALL_STATE(6361)] = 414666,
  [SMALL_STATE(6362)] = 414746,
  [SMALL_STATE(6363)] = 414788,
  [SMALL_STATE(6364)] = 414870,
  [SMALL_STATE(6365)] = 414954,
  [SMALL_STATE(6366)] = 414996,
  [SMALL_STATE(6367)] = 415038,
  [SMALL_STATE(6368)] = 415080,
  [SMALL_STATE(6369)] = 415122,
  [SMALL_STATE(6370)] = 415164,
  [SMALL_STATE(6371)] = 415206,
  [SMALL_STATE(6372)] = 415248,
  [SMALL_STATE(6373)] = 415290,
  [SMALL_STATE(6374)] = 415374,
  [SMALL_STATE(6375)] = 415454,
  [SMALL_STATE(6376)] = 415496,
  [SMALL_STATE(6377)] = 415538,
  [SMALL_STATE(6378)] = 415580,
  [SMALL_STATE(6379)] = 415660,
  [SMALL_STATE(6380)] = 415702,
  [SMALL_STATE(6381)] = 415756,
  [SMALL_STATE(6382)] = 415836,
  [SMALL_STATE(6383)] = 415878,
  [SMALL_STATE(6384)] = 415920,
  [SMALL_STATE(6385)] = 415962,
  [SMALL_STATE(6386)] = 416004,
  [SMALL_STATE(6387)] = 416046,
  [SMALL_STATE(6388)] = 416088,
  [SMALL_STATE(6389)] = 416130,
  [SMALL_STATE(6390)] = 416172,
  [SMALL_STATE(6391)] = 416214,
  [SMALL_STATE(6392)] = 416256,
  [SMALL_STATE(6393)] = 416303,
  [SMALL_STATE(6394)] = 416386,
  [SMALL_STATE(6395)] = 416427,
  [SMALL_STATE(6396)] = 416468,
  [SMALL_STATE(6397)] = 416509,
  [SMALL_STATE(6398)] = 416592,
  [SMALL_STATE(6399)] = 416633,
  [SMALL_STATE(6400)] = 416674,
  [SMALL_STATE(6401)] = 416757,
  [SMALL_STATE(6402)] = 416798,
  [SMALL_STATE(6403)] = 416839,
  [SMALL_STATE(6404)] = 416880,
  [SMALL_STATE(6405)] = 416921,
  [SMALL_STATE(6406)] = 416962,
  [SMALL_STATE(6407)] = 417003,
  [SMALL_STATE(6408)] = 417044,
  [SMALL_STATE(6409)] = 417085,
  [SMALL_STATE(6410)] = 417136,
  [SMALL_STATE(6411)] = 417177,
  [SMALL_STATE(6412)] = 417260,
  [SMALL_STATE(6413)] = 417301,
  [SMALL_STATE(6414)] = 417342,
  [SMALL_STATE(6415)] = 417381,
  [SMALL_STATE(6416)] = 417422,
  [SMALL_STATE(6417)] = 417463,
  [SMALL_STATE(6418)] = 417536,
  [SMALL_STATE(6419)] = 417577,
  [SMALL_STATE(6420)] = 417618,
  [SMALL_STATE(6421)] = 417659,
  [SMALL_STATE(6422)] = 417700,
  [SMALL_STATE(6423)] = 417773,
  [SMALL_STATE(6424)] = 417846,
  [SMALL_STATE(6425)] = 417887,
  [SMALL_STATE(6426)] = 417928,
  [SMALL_STATE(6427)] = 417969,
  [SMALL_STATE(6428)] = 418042,
  [SMALL_STATE(6429)] = 418083,
  [SMALL_STATE(6430)] = 418124,
  [SMALL_STATE(6431)] = 418165,
  [SMALL_STATE(6432)] = 418206,
  [SMALL_STATE(6433)] = 418279,
  [SMALL_STATE(6434)] = 418362,
  [SMALL_STATE(6435)] = 418403,
  [SMALL_STATE(6436)] = 418444,
  [SMALL_STATE(6437)] = 418485,
  [SMALL_STATE(6438)] = 418558,
  [SMALL_STATE(6439)] = 418641,
  [SMALL_STATE(6440)] = 418724,
  [SMALL_STATE(6441)] = 418807,
  [SMALL_STATE(6442)] = 418890,
  [SMALL_STATE(6443)] = 418963,
  [SMALL_STATE(6444)] = 419004,
  [SMALL_STATE(6445)] = 419087,
  [SMALL_STATE(6446)] = 419170,
  [SMALL_STATE(6447)] = 419221,
  [SMALL_STATE(6448)] = 419262,
  [SMALL_STATE(6449)] = 419309,
  [SMALL_STATE(6450)] = 419392,
  [SMALL_STATE(6451)] = 419433,
  [SMALL_STATE(6452)] = 419516,
  [SMALL_STATE(6453)] = 419557,
  [SMALL_STATE(6454)] = 419598,
  [SMALL_STATE(6455)] = 419681,
  [SMALL_STATE(6456)] = 419762,
  [SMALL_STATE(6457)] = 419843,
  [SMALL_STATE(6458)] = 419926,
  [SMALL_STATE(6459)] = 419967,
  [SMALL_STATE(6460)] = 420008,
  [SMALL_STATE(6461)] = 420049,
  [SMALL_STATE(6462)] = 420090,
  [SMALL_STATE(6463)] = 420171,
  [SMALL_STATE(6464)] = 420212,
  [SMALL_STATE(6465)] = 420253,
  [SMALL_STATE(6466)] = 420334,
  [SMALL_STATE(6467)] = 420373,
  [SMALL_STATE(6468)] = 420413,
  [SMALL_STATE(6469)] = 420485,
  [SMALL_STATE(6470)] = 420557,
  [SMALL_STATE(6471)] = 420629,
  [SMALL_STATE(6472)] = 420671,
  [SMALL_STATE(6473)] = 420743,
  [SMALL_STATE(6474)] = 420783,
  [SMALL_STATE(6475)] = 420823,
  [SMALL_STATE(6476)] = 420865,
  [SMALL_STATE(6477)] = 420917,
  [SMALL_STATE(6478)] = 420989,
  [SMALL_STATE(6479)] = 421061,
  [SMALL_STATE(6480)] = 421103,
  [SMALL_STATE(6481)] = 421175,
  [SMALL_STATE(6482)] = 421248,
  [SMALL_STATE(6483)] = 421319,
  [SMALL_STATE(6484)] = 421392,
  [SMALL_STATE(6485)] = 421463,
  [SMALL_STATE(6486)] = 421540,
  [SMALL_STATE(6487)] = 421617,
  [SMALL_STATE(6488)] = 421690,
  [SMALL_STATE(6489)] = 421731,
  [SMALL_STATE(6490)] = 421808,
  [SMALL_STATE(6491)] = 421885,
  [SMALL_STATE(6492)] = 421958,
  [SMALL_STATE(6493)] = 422029,
  [SMALL_STATE(6494)] = 422102,
  [SMALL_STATE(6495)] = 422179,
  [SMALL_STATE(6496)] = 422240,
  [SMALL_STATE(6497)] = 422313,
  [SMALL_STATE(6498)] = 422384,
  [SMALL_STATE(6499)] = 422457,
  [SMALL_STATE(6500)] = 422530,
  [SMALL_STATE(6501)] = 422591,
  [SMALL_STATE(6502)] = 422664,
  [SMALL_STATE(6503)] = 422737,
  [SMALL_STATE(6504)] = 422808,
  [SMALL_STATE(6505)] = 422869,
  [SMALL_STATE(6506)] = 422942,
  [SMALL_STATE(6507)] = 423015,
  [SMALL_STATE(6508)] = 423088,
  [SMALL_STATE(6509)] = 423161,
  [SMALL_STATE(6510)] = 423238,
  [SMALL_STATE(6511)] = 423311,
  [SMALL_STATE(6512)] = 423384,
  [SMALL_STATE(6513)] = 423457,
  [SMALL_STATE(6514)] = 423530,
  [SMALL_STATE(6515)] = 423601,
  [SMALL_STATE(6516)] = 423674,
  [SMALL_STATE(6517)] = 423747,
  [SMALL_STATE(6518)] = 423820,
  [SMALL_STATE(6519)] = 423893,
  [SMALL_STATE(6520)] = 423966,
  [SMALL_STATE(6521)] = 424043,
  [SMALL_STATE(6522)] = 424116,
  [SMALL_STATE(6523)] = 424189,
  [SMALL_STATE(6524)] = 424260,
  [SMALL_STATE(6525)] = 424333,
  [SMALL_STATE(6526)] = 424406,
  [SMALL_STATE(6527)] = 424479,
  [SMALL_STATE(6528)] = 424556,
  [SMALL_STATE(6529)] = 424633,
  [SMALL_STATE(6530)] = 424679,
  [SMALL_STATE(6531)] = 424717,
  [SMALL_STATE(6532)] = 424781,
  [SMALL_STATE(6533)] = 424851,
  [SMALL_STATE(6534)] = 424887,
  [SMALL_STATE(6535)] = 424951,
  [SMALL_STATE(6536)] = 425015,
  [SMALL_STATE(6537)] = 425055,
  [SMALL_STATE(6538)] = 425093,
  [SMALL_STATE(6539)] = 425131,
  [SMALL_STATE(6540)] = 425195,
  [SMALL_STATE(6541)] = 425259,
  [SMALL_STATE(6542)] = 425323,
  [SMALL_STATE(6543)] = 425387,
  [SMALL_STATE(6544)] = 425451,
  [SMALL_STATE(6545)] = 425515,
  [SMALL_STATE(6546)] = 425579,
  [SMALL_STATE(6547)] = 425643,
  [SMALL_STATE(6548)] = 425681,
  [SMALL_STATE(6549)] = 425745,
  [SMALL_STATE(6550)] = 425809,
  [SMALL_STATE(6551)] = 425845,
  [SMALL_STATE(6552)] = 425909,
  [SMALL_STATE(6553)] = 425979,
  [SMALL_STATE(6554)] = 426049,
  [SMALL_STATE(6555)] = 426113,
  [SMALL_STATE(6556)] = 426183,
  [SMALL_STATE(6557)] = 426247,
  [SMALL_STATE(6558)] = 426311,
  [SMALL_STATE(6559)] = 426371,
  [SMALL_STATE(6560)] = 426407,
  [SMALL_STATE(6561)] = 426471,
  [SMALL_STATE(6562)] = 426535,
  [SMALL_STATE(6563)] = 426599,
  [SMALL_STATE(6564)] = 426659,
  [SMALL_STATE(6565)] = 426723,
  [SMALL_STATE(6566)] = 426787,
  [SMALL_STATE(6567)] = 426851,
  [SMALL_STATE(6568)] = 426921,
  [SMALL_STATE(6569)] = 426981,
  [SMALL_STATE(6570)] = 427045,
  [SMALL_STATE(6571)] = 427109,
  [SMALL_STATE(6572)] = 427179,
  [SMALL_STATE(6573)] = 427249,
  [SMALL_STATE(6574)] = 427288,
  [SMALL_STATE(6575)] = 427327,
  [SMALL_STATE(6576)] = 427390,
  [SMALL_STATE(6577)] = 427453,
  [SMALL_STATE(6578)] = 427492,
  [SMALL_STATE(6579)] = 427531,
  [SMALL_STATE(6580)] = 427594,
  [SMALL_STATE(6581)] = 427633,
  [SMALL_STATE(6582)] = 427672,
  [SMALL_STATE(6583)] = 427735,
  [SMALL_STATE(6584)] = 427774,
  [SMALL_STATE(6585)] = 427813,
  [SMALL_STATE(6586)] = 427852,
  [SMALL_STATE(6587)] = 427891,
  [SMALL_STATE(6588)] = 427930,
  [SMALL_STATE(6589)] = 427993,
  [SMALL_STATE(6590)] = 428056,
  [SMALL_STATE(6591)] = 428095,
  [SMALL_STATE(6592)] = 428134,
  [SMALL_STATE(6593)] = 428197,
  [SMALL_STATE(6594)] = 428236,
  [SMALL_STATE(6595)] = 428275,
  [SMALL_STATE(6596)] = 428314,
  [SMALL_STATE(6597)] = 428377,
  [SMALL_STATE(6598)] = 428440,
  [SMALL_STATE(6599)] = 428505,
  [SMALL_STATE(6600)] = 428568,
  [SMALL_STATE(6601)] = 428631,
  [SMALL_STATE(6602)] = 428670,
  [SMALL_STATE(6603)] = 428733,
  [SMALL_STATE(6604)] = 428774,
  [SMALL_STATE(6605)] = 428819,
  [SMALL_STATE(6606)] = 428882,
  [SMALL_STATE(6607)] = 428945,
  [SMALL_STATE(6608)] = 428980,
  [SMALL_STATE(6609)] = 429021,
  [SMALL_STATE(6610)] = 429084,
  [SMALL_STATE(6611)] = 429147,
  [SMALL_STATE(6612)] = 429210,
  [SMALL_STATE(6613)] = 429249,
  [SMALL_STATE(6614)] = 429288,
  [SMALL_STATE(6615)] = 429351,
  [SMALL_STATE(6616)] = 429390,
  [SMALL_STATE(6617)] = 429429,
  [SMALL_STATE(6618)] = 429492,
  [SMALL_STATE(6619)] = 429555,
  [SMALL_STATE(6620)] = 429590,
  [SMALL_STATE(6621)] = 429653,
  [SMALL_STATE(6622)] = 429716,
  [SMALL_STATE(6623)] = 429751,
  [SMALL_STATE(6624)] = 429790,
  [SMALL_STATE(6625)] = 429853,
  [SMALL_STATE(6626)] = 429916,
  [SMALL_STATE(6627)] = 429979,
  [SMALL_STATE(6628)] = 430020,
  [SMALL_STATE(6629)] = 430060,
  [SMALL_STATE(6630)] = 430128,
  [SMALL_STATE(6631)] = 430166,
  [SMALL_STATE(6632)] = 430206,
  [SMALL_STATE(6633)] = 430274,
  [SMALL_STATE(6634)] = 430342,
  [SMALL_STATE(6635)] = 430382,
  [SMALL_STATE(6636)] = 430428,
  [SMALL_STATE(6637)] = 430474,
  [SMALL_STATE(6638)] = 430522,
  [SMALL_STATE(6639)] = 430562,
  [SMALL_STATE(6640)] = 430630,
  [SMALL_STATE(6641)] = 430674,
  [SMALL_STATE(6642)] = 430742,
  [SMALL_STATE(6643)] = 430782,
  [SMALL_STATE(6644)] = 430850,
  [SMALL_STATE(6645)] = 430918,
  [SMALL_STATE(6646)] = 430955,
  [SMALL_STATE(6647)] = 430988,
  [SMALL_STATE(6648)] = 431021,
  [SMALL_STATE(6649)] = 431088,
  [SMALL_STATE(6650)] = 431135,
  [SMALL_STATE(6651)] = 431202,
  [SMALL_STATE(6652)] = 431239,
  [SMALL_STATE(6653)] = 431306,
  [SMALL_STATE(6654)] = 431373,
  [SMALL_STATE(6655)] = 431408,
  [SMALL_STATE(6656)] = 431441,
  [SMALL_STATE(6657)] = 431474,
  [SMALL_STATE(6658)] = 431519,
  [SMALL_STATE(6659)] = 431552,
  [SMALL_STATE(6660)] = 431619,
  [SMALL_STATE(6661)] = 431654,
  [SMALL_STATE(6662)] = 431721,
  [SMALL_STATE(6663)] = 431758,
  [SMALL_STATE(6664)] = 431791,
  [SMALL_STATE(6665)] = 431826,
  [SMALL_STATE(6666)] = 431861,
  [SMALL_STATE(6667)] = 431896,
  [SMALL_STATE(6668)] = 431929,
  [SMALL_STATE(6669)] = 431964,
  [SMALL_STATE(6670)] = 432009,
  [SMALL_STATE(6671)] = 432046,
  [SMALL_STATE(6672)] = 432081,
  [SMALL_STATE(6673)] = 432116,
  [SMALL_STATE(6674)] = 432183,
  [SMALL_STATE(6675)] = 432218,
  [SMALL_STATE(6676)] = 432288,
  [SMALL_STATE(6677)] = 432358,
  [SMALL_STATE(6678)] = 432428,
  [SMALL_STATE(6679)] = 432460,
  [SMALL_STATE(6680)] = 432536,
  [SMALL_STATE(6681)] = 432572,
  [SMALL_STATE(6682)] = 432604,
  [SMALL_STATE(6683)] = 432674,
  [SMALL_STATE(6684)] = 432706,
  [SMALL_STATE(6685)] = 432746,
  [SMALL_STATE(6686)] = 432778,
  [SMALL_STATE(6687)] = 432854,
  [SMALL_STATE(6688)] = 432888,
  [SMALL_STATE(6689)] = 432958,
  [SMALL_STATE(6690)] = 432990,
  [SMALL_STATE(6691)] = 433060,
  [SMALL_STATE(6692)] = 433092,
  [SMALL_STATE(6693)] = 433124,
  [SMALL_STATE(6694)] = 433194,
  [SMALL_STATE(6695)] = 433264,
  [SMALL_STATE(6696)] = 433334,
  [SMALL_STATE(6697)] = 433404,
  [SMALL_STATE(6698)] = 433474,
  [SMALL_STATE(6699)] = 433506,
  [SMALL_STATE(6700)] = 433538,
  [SMALL_STATE(6701)] = 433584,
  [SMALL_STATE(6702)] = 433616,
  [SMALL_STATE(6703)] = 433692,
  [SMALL_STATE(6704)] = 433727,
  [SMALL_STATE(6705)] = 433788,
  [SMALL_STATE(6706)] = 433825,
  [SMALL_STATE(6707)] = 433858,
  [SMALL_STATE(6708)] = 433895,
  [SMALL_STATE(6709)] = 433956,
  [SMALL_STATE(6710)] = 434001,
  [SMALL_STATE(6711)] = 434036,
  [SMALL_STATE(6712)] = 434097,
  [SMALL_STATE(6713)] = 434134,
  [SMALL_STATE(6714)] = 434171,
  [SMALL_STATE(6715)] = 434208,
  [SMALL_STATE(6716)] = 434269,
  [SMALL_STATE(6717)] = 434306,
  [SMALL_STATE(6718)] = 434343,
  [SMALL_STATE(6719)] = 434380,
  [SMALL_STATE(6720)] = 434419,
  [SMALL_STATE(6721)] = 434456,
  [SMALL_STATE(6722)] = 434492,
  [SMALL_STATE(6723)] = 434528,
  [SMALL_STATE(6724)] = 434562,
  [SMALL_STATE(6725)] = 434592,
  [SMALL_STATE(6726)] = 434624,
  [SMALL_STATE(6727)] = 434684,
  [SMALL_STATE(6728)] = 434716,
  [SMALL_STATE(6729)] = 434748,
  [SMALL_STATE(6730)] = 434808,
  [SMALL_STATE(6731)] = 434838,
  [SMALL_STATE(6732)] = 434872,
  [SMALL_STATE(6733)] = 434932,
  [SMALL_STATE(6734)] = 434968,
  [SMALL_STATE(6735)] = 434998,
  [SMALL_STATE(6736)] = 435034,
  [SMALL_STATE(6737)] = 435068,
  [SMALL_STATE(6738)] = 435104,
  [SMALL_STATE(6739)] = 435134,
  [SMALL_STATE(6740)] = 435164,
  [SMALL_STATE(6741)] = 435236,
  [SMALL_STATE(6742)] = 435268,
  [SMALL_STATE(6743)] = 435304,
  [SMALL_STATE(6744)] = 435336,
  [SMALL_STATE(6745)] = 435372,
  [SMALL_STATE(6746)] = 435408,
  [SMALL_STATE(6747)] = 435444,
  [SMALL_STATE(6748)] = 435504,
  [SMALL_STATE(6749)] = 435540,
  [SMALL_STATE(6750)] = 435572,
  [SMALL_STATE(6751)] = 435604,
  [SMALL_STATE(6752)] = 435633,
  [SMALL_STATE(6753)] = 435664,
  [SMALL_STATE(6754)] = 435695,
  [SMALL_STATE(6755)] = 435726,
  [SMALL_STATE(6756)] = 435757,
  [SMALL_STATE(6757)] = 435786,
  [SMALL_STATE(6758)] = 435819,
  [SMALL_STATE(6759)] = 435862,
  [SMALL_STATE(6760)] = 435921,
  [SMALL_STATE(6761)] = 435952,
  [SMALL_STATE(6762)] = 435981,
  [SMALL_STATE(6763)] = 436012,
  [SMALL_STATE(6764)] = 436043,
  [SMALL_STATE(6765)] = 436074,
  [SMALL_STATE(6766)] = 436103,
  [SMALL_STATE(6767)] = 436132,
  [SMALL_STATE(6768)] = 436161,
  [SMALL_STATE(6769)] = 436192,
  [SMALL_STATE(6770)] = 436223,
  [SMALL_STATE(6771)] = 436252,
  [SMALL_STATE(6772)] = 436283,
  [SMALL_STATE(6773)] = 436314,
  [SMALL_STATE(6774)] = 436345,
  [SMALL_STATE(6775)] = 436376,
  [SMALL_STATE(6776)] = 436407,
  [SMALL_STATE(6777)] = 436466,
  [SMALL_STATE(6778)] = 436497,
  [SMALL_STATE(6779)] = 436528,
  [SMALL_STATE(6780)] = 436559,
  [SMALL_STATE(6781)] = 436590,
  [SMALL_STATE(6782)] = 436621,
  [SMALL_STATE(6783)] = 436652,
  [SMALL_STATE(6784)] = 436683,
  [SMALL_STATE(6785)] = 436714,
  [SMALL_STATE(6786)] = 436745,
  [SMALL_STATE(6787)] = 436776,
  [SMALL_STATE(6788)] = 436805,
  [SMALL_STATE(6789)] = 436834,
  [SMALL_STATE(6790)] = 436865,
  [SMALL_STATE(6791)] = 436896,
  [SMALL_STATE(6792)] = 436927,
  [SMALL_STATE(6793)] = 436958,
  [SMALL_STATE(6794)] = 436989,
  [SMALL_STATE(6795)] = 437020,
  [SMALL_STATE(6796)] = 437051,
  [SMALL_STATE(6797)] = 437082,
  [SMALL_STATE(6798)] = 437113,
  [SMALL_STATE(6799)] = 437172,
  [SMALL_STATE(6800)] = 437205,
  [SMALL_STATE(6801)] = 437236,
  [SMALL_STATE(6802)] = 437267,
  [SMALL_STATE(6803)] = 437326,
  [SMALL_STATE(6804)] = 437357,
  [SMALL_STATE(6805)] = 437386,
  [SMALL_STATE(6806)] = 437417,
  [SMALL_STATE(6807)] = 437448,
  [SMALL_STATE(6808)] = 437507,
  [SMALL_STATE(6809)] = 437566,
  [SMALL_STATE(6810)] = 437625,
  [SMALL_STATE(6811)] = 437656,
  [SMALL_STATE(6812)] = 437687,
  [SMALL_STATE(6813)] = 437718,
  [SMALL_STATE(6814)] = 437749,
  [SMALL_STATE(6815)] = 437778,
  [SMALL_STATE(6816)] = 437837,
  [SMALL_STATE(6817)] = 437868,
  [SMALL_STATE(6818)] = 437899,
  [SMALL_STATE(6819)] = 437958,
  [SMALL_STATE(6820)] = 437989,
  [SMALL_STATE(6821)] = 438018,
  [SMALL_STATE(6822)] = 438049,
  [SMALL_STATE(6823)] = 438080,
  [SMALL_STATE(6824)] = 438111,
  [SMALL_STATE(6825)] = 438142,
  [SMALL_STATE(6826)] = 438173,
  [SMALL_STATE(6827)] = 438204,
  [SMALL_STATE(6828)] = 438263,
  [SMALL_STATE(6829)] = 438322,
  [SMALL_STATE(6830)] = 438381,
  [SMALL_STATE(6831)] = 438412,
  [SMALL_STATE(6832)] = 438471,
  [SMALL_STATE(6833)] = 438500,
  [SMALL_STATE(6834)] = 438531,
  [SMALL_STATE(6835)] = 438562,
  [SMALL_STATE(6836)] = 438593,
  [SMALL_STATE(6837)] = 438628,
  [SMALL_STATE(6838)] = 438659,
  [SMALL_STATE(6839)] = 438690,
  [SMALL_STATE(6840)] = 438721,
  [SMALL_STATE(6841)] = 438752,
  [SMALL_STATE(6842)] = 438782,
  [SMALL_STATE(6843)] = 438838,
  [SMALL_STATE(6844)] = 438894,
  [SMALL_STATE(6845)] = 438950,
  [SMALL_STATE(6846)] = 439006,
  [SMALL_STATE(6847)] = 439036,
  [SMALL_STATE(6848)] = 439066,
  [SMALL_STATE(6849)] = 439122,
  [SMALL_STATE(6850)] = 439152,
  [SMALL_STATE(6851)] = 439182,
  [SMALL_STATE(6852)] = 439224,
  [SMALL_STATE(6853)] = 439280,
  [SMALL_STATE(6854)] = 439310,
  [SMALL_STATE(6855)] = 439340,
  [SMALL_STATE(6856)] = 439396,
  [SMALL_STATE(6857)] = 439426,
  [SMALL_STATE(6858)] = 439482,
  [SMALL_STATE(6859)] = 439538,
  [SMALL_STATE(6860)] = 439568,
  [SMALL_STATE(6861)] = 439598,
  [SMALL_STATE(6862)] = 439628,
  [SMALL_STATE(6863)] = 439658,
  [SMALL_STATE(6864)] = 439714,
  [SMALL_STATE(6865)] = 439770,
  [SMALL_STATE(6866)] = 439800,
  [SMALL_STATE(6867)] = 439858,
  [SMALL_STATE(6868)] = 439914,
  [SMALL_STATE(6869)] = 439944,
  [SMALL_STATE(6870)] = 439974,
  [SMALL_STATE(6871)] = 440004,
  [SMALL_STATE(6872)] = 440060,
  [SMALL_STATE(6873)] = 440090,
  [SMALL_STATE(6874)] = 440120,
  [SMALL_STATE(6875)] = 440150,
  [SMALL_STATE(6876)] = 440206,
  [SMALL_STATE(6877)] = 440262,
  [SMALL_STATE(6878)] = 440292,
  [SMALL_STATE(6879)] = 440348,
  [SMALL_STATE(6880)] = 440404,
  [SMALL_STATE(6881)] = 440460,
  [SMALL_STATE(6882)] = 440516,
  [SMALL_STATE(6883)] = 440572,
  [SMALL_STATE(6884)] = 440628,
  [SMALL_STATE(6885)] = 440684,
  [SMALL_STATE(6886)] = 440740,
  [SMALL_STATE(6887)] = 440796,
  [SMALL_STATE(6888)] = 440826,
  [SMALL_STATE(6889)] = 440856,
  [SMALL_STATE(6890)] = 440914,
  [SMALL_STATE(6891)] = 440970,
  [SMALL_STATE(6892)] = 441000,
  [SMALL_STATE(6893)] = 441056,
  [SMALL_STATE(6894)] = 441086,
  [SMALL_STATE(6895)] = 441116,
  [SMALL_STATE(6896)] = 441146,
  [SMALL_STATE(6897)] = 441202,
  [SMALL_STATE(6898)] = 441232,
  [SMALL_STATE(6899)] = 441288,
  [SMALL_STATE(6900)] = 441344,
  [SMALL_STATE(6901)] = 441374,
  [SMALL_STATE(6902)] = 441430,
  [SMALL_STATE(6903)] = 441460,
  [SMALL_STATE(6904)] = 441516,
  [SMALL_STATE(6905)] = 441574,
  [SMALL_STATE(6906)] = 441630,
  [SMALL_STATE(6907)] = 441660,
  [SMALL_STATE(6908)] = 441716,
  [SMALL_STATE(6909)] = 441772,
  [SMALL_STATE(6910)] = 441828,
  [SMALL_STATE(6911)] = 441858,
  [SMALL_STATE(6912)] = 441914,
  [SMALL_STATE(6913)] = 441970,
  [SMALL_STATE(6914)] = 442026,
  [SMALL_STATE(6915)] = 442082,
  [SMALL_STATE(6916)] = 442138,
  [SMALL_STATE(6917)] = 442194,
  [SMALL_STATE(6918)] = 442250,
  [SMALL_STATE(6919)] = 442306,
  [SMALL_STATE(6920)] = 442336,
  [SMALL_STATE(6921)] = 442366,
  [SMALL_STATE(6922)] = 442396,
  [SMALL_STATE(6923)] = 442452,
  [SMALL_STATE(6924)] = 442508,
  [SMALL_STATE(6925)] = 442538,
  [SMALL_STATE(6926)] = 442594,
  [SMALL_STATE(6927)] = 442624,
  [SMALL_STATE(6928)] = 442654,
  [SMALL_STATE(6929)] = 442710,
  [SMALL_STATE(6930)] = 442766,
  [SMALL_STATE(6931)] = 442796,
  [SMALL_STATE(6932)] = 442826,
  [SMALL_STATE(6933)] = 442882,
  [SMALL_STATE(6934)] = 442912,
  [SMALL_STATE(6935)] = 442944,
  [SMALL_STATE(6936)] = 442974,
  [SMALL_STATE(6937)] = 443004,
  [SMALL_STATE(6938)] = 443034,
  [SMALL_STATE(6939)] = 443090,
  [SMALL_STATE(6940)] = 443119,
  [SMALL_STATE(6941)] = 443172,
  [SMALL_STATE(6942)] = 443201,
  [SMALL_STATE(6943)] = 443235,
  [SMALL_STATE(6944)] = 443261,
  [SMALL_STATE(6945)] = 443311,
  [SMALL_STATE(6946)] = 443337,
  [SMALL_STATE(6947)] = 443387,
  [SMALL_STATE(6948)] = 443413,
  [SMALL_STATE(6949)] = 443439,
  [SMALL_STATE(6950)] = 443501,
  [SMALL_STATE(6951)] = 443527,
  [SMALL_STATE(6952)] = 443561,
  [SMALL_STATE(6953)] = 443623,
  [SMALL_STATE(6954)] = 443685,
  [SMALL_STATE(6955)] = 443747,
  [SMALL_STATE(6956)] = 443781,
  [SMALL_STATE(6957)] = 443807,
  [SMALL_STATE(6958)] = 443869,
  [SMALL_STATE(6959)] = 443931,
  [SMALL_STATE(6960)] = 443993,
  [SMALL_STATE(6961)] = 444043,
  [SMALL_STATE(6962)] = 444069,
  [SMALL_STATE(6963)] = 444125,
  [SMALL_STATE(6964)] = 444187,
  [SMALL_STATE(6965)] = 444225,
  [SMALL_STATE(6966)] = 444287,
  [SMALL_STATE(6967)] = 444339,
  [SMALL_STATE(6968)] = 444401,
  [SMALL_STATE(6969)] = 444463,
  [SMALL_STATE(6970)] = 444513,
  [SMALL_STATE(6971)] = 444539,
  [SMALL_STATE(6972)] = 444601,
  [SMALL_STATE(6973)] = 444626,
  [SMALL_STATE(6974)] = 444651,
  [SMALL_STATE(6975)] = 444688,
  [SMALL_STATE(6976)] = 444719,
  [SMALL_STATE(6977)] = 444744,
  [SMALL_STATE(6978)] = 444793,
  [SMALL_STATE(6979)] = 444852,
  [SMALL_STATE(6980)] = 444883,
  [SMALL_STATE(6981)] = 444908,
  [SMALL_STATE(6982)] = 444933,
  [SMALL_STATE(6983)] = 444974,
  [SMALL_STATE(6984)] = 444999,
  [SMALL_STATE(6985)] = 445048,
  [SMALL_STATE(6986)] = 445073,
  [SMALL_STATE(6987)] = 445108,
  [SMALL_STATE(6988)] = 445133,
  [SMALL_STATE(6989)] = 445158,
  [SMALL_STATE(6990)] = 445183,
  [SMALL_STATE(6991)] = 445208,
  [SMALL_STATE(6992)] = 445235,
  [SMALL_STATE(6993)] = 445260,
  [SMALL_STATE(6994)] = 445285,
  [SMALL_STATE(6995)] = 445310,
  [SMALL_STATE(6996)] = 445335,
  [SMALL_STATE(6997)] = 445360,
  [SMALL_STATE(6998)] = 445415,
  [SMALL_STATE(6999)] = 445474,
  [SMALL_STATE(7000)] = 445523,
  [SMALL_STATE(7001)] = 445582,
  [SMALL_STATE(7002)] = 445607,
  [SMALL_STATE(7003)] = 445632,
  [SMALL_STATE(7004)] = 445663,
  [SMALL_STATE(7005)] = 445712,
  [SMALL_STATE(7006)] = 445743,
  [SMALL_STATE(7007)] = 445768,
  [SMALL_STATE(7008)] = 445793,
  [SMALL_STATE(7009)] = 445818,
  [SMALL_STATE(7010)] = 445845,
  [SMALL_STATE(7011)] = 445876,
  [SMALL_STATE(7012)] = 445917,
  [SMALL_STATE(7013)] = 445942,
  [SMALL_STATE(7014)] = 445983,
  [SMALL_STATE(7015)] = 446008,
  [SMALL_STATE(7016)] = 446039,
  [SMALL_STATE(7017)] = 446064,
  [SMALL_STATE(7018)] = 446095,
  [SMALL_STATE(7019)] = 446136,
  [SMALL_STATE(7020)] = 446161,
  [SMALL_STATE(7021)] = 446186,
  [SMALL_STATE(7022)] = 446211,
  [SMALL_STATE(7023)] = 446242,
  [SMALL_STATE(7024)] = 446283,
  [SMALL_STATE(7025)] = 446318,
  [SMALL_STATE(7026)] = 446343,
  [SMALL_STATE(7027)] = 446374,
  [SMALL_STATE(7028)] = 446405,
  [SMALL_STATE(7029)] = 446445,
  [SMALL_STATE(7030)] = 446485,
  [SMALL_STATE(7031)] = 446525,
  [SMALL_STATE(7032)] = 446549,
  [SMALL_STATE(7033)] = 446577,
  [SMALL_STATE(7034)] = 446607,
  [SMALL_STATE(7035)] = 446635,
  [SMALL_STATE(7036)] = 446663,
  [SMALL_STATE(7037)] = 446691,
  [SMALL_STATE(7038)] = 446731,
  [SMALL_STATE(7039)] = 446759,
  [SMALL_STATE(7040)] = 446799,
  [SMALL_STATE(7041)] = 446825,
  [SMALL_STATE(7042)] = 446853,
  [SMALL_STATE(7043)] = 446879,
  [SMALL_STATE(7044)] = 446905,
  [SMALL_STATE(7045)] = 446935,
  [SMALL_STATE(7046)] = 446959,
  [SMALL_STATE(7047)] = 446987,
  [SMALL_STATE(7048)] = 447027,
  [SMALL_STATE(7049)] = 447055,
  [SMALL_STATE(7050)] = 447079,
  [SMALL_STATE(7051)] = 447107,
  [SMALL_STATE(7052)] = 447135,
  [SMALL_STATE(7053)] = 447163,
  [SMALL_STATE(7054)] = 447195,
  [SMALL_STATE(7055)] = 447223,
  [SMALL_STATE(7056)] = 447249,
  [SMALL_STATE(7057)] = 447277,
  [SMALL_STATE(7058)] = 447317,
  [SMALL_STATE(7059)] = 447343,
  [SMALL_STATE(7060)] = 447373,
  [SMALL_STATE(7061)] = 447401,
  [SMALL_STATE(7062)] = 447429,
  [SMALL_STATE(7063)] = 447457,
  [SMALL_STATE(7064)] = 447487,
  [SMALL_STATE(7065)] = 447517,
  [SMALL_STATE(7066)] = 447544,
  [SMALL_STATE(7067)] = 447569,
  [SMALL_STATE(7068)] = 447622,
  [SMALL_STATE(7069)] = 447651,
  [SMALL_STATE(7070)] = 447704,
  [SMALL_STATE(7071)] = 447729,
  [SMALL_STATE(7072)] = 447764,
  [SMALL_STATE(7073)] = 447815,
  [SMALL_STATE(7074)] = 447868,
  [SMALL_STATE(7075)] = 447921,
  [SMALL_STATE(7076)] = 447974,
  [SMALL_STATE(7077)] = 447999,
  [SMALL_STATE(7078)] = 448034,
  [SMALL_STATE(7079)] = 448069,
  [SMALL_STATE(7080)] = 448122,
  [SMALL_STATE(7081)] = 448175,
  [SMALL_STATE(7082)] = 448214,
  [SMALL_STATE(7083)] = 448253,
  [SMALL_STATE(7084)] = 448278,
  [SMALL_STATE(7085)] = 448317,
  [SMALL_STATE(7086)] = 448356,
  [SMALL_STATE(7087)] = 448381,
  [SMALL_STATE(7088)] = 448420,
  [SMALL_STATE(7089)] = 448445,
  [SMALL_STATE(7090)] = 448474,
  [SMALL_STATE(7091)] = 448525,
  [SMALL_STATE(7092)] = 448578,
  [SMALL_STATE(7093)] = 448603,
  [SMALL_STATE(7094)] = 448656,
  [SMALL_STATE(7095)] = 448683,
  [SMALL_STATE(7096)] = 448710,
  [SMALL_STATE(7097)] = 448733,
  [SMALL_STATE(7098)] = 448756,
  [SMALL_STATE(7099)] = 448781,
  [SMALL_STATE(7100)] = 448832,
  [SMALL_STATE(7101)] = 448885,
  [SMALL_STATE(7102)] = 448910,
  [SMALL_STATE(7103)] = 448937,
  [SMALL_STATE(7104)] = 448988,
  [SMALL_STATE(7105)] = 449023,
  [SMALL_STATE(7106)] = 449050,
  [SMALL_STATE(7107)] = 449075,
  [SMALL_STATE(7108)] = 449110,
  [SMALL_STATE(7109)] = 449163,
  [SMALL_STATE(7110)] = 449192,
  [SMALL_STATE(7111)] = 449221,
  [SMALL_STATE(7112)] = 449256,
  [SMALL_STATE(7113)] = 449309,
  [SMALL_STATE(7114)] = 449338,
  [SMALL_STATE(7115)] = 449363,
  [SMALL_STATE(7116)] = 449388,
  [SMALL_STATE(7117)] = 449413,
  [SMALL_STATE(7118)] = 449438,
  [SMALL_STATE(7119)] = 449461,
  [SMALL_STATE(7120)] = 449486,
  [SMALL_STATE(7121)] = 449509,
  [SMALL_STATE(7122)] = 449534,
  [SMALL_STATE(7123)] = 449559,
  [SMALL_STATE(7124)] = 449584,
  [SMALL_STATE(7125)] = 449609,
  [SMALL_STATE(7126)] = 449634,
  [SMALL_STATE(7127)] = 449657,
  [SMALL_STATE(7128)] = 449682,
  [SMALL_STATE(7129)] = 449707,
  [SMALL_STATE(7130)] = 449732,
  [SMALL_STATE(7131)] = 449757,
  [SMALL_STATE(7132)] = 449782,
  [SMALL_STATE(7133)] = 449807,
  [SMALL_STATE(7134)] = 449832,
  [SMALL_STATE(7135)] = 449857,
  [SMALL_STATE(7136)] = 449882,
  [SMALL_STATE(7137)] = 449907,
  [SMALL_STATE(7138)] = 449936,
  [SMALL_STATE(7139)] = 449963,
  [SMALL_STATE(7140)] = 449994,
  [SMALL_STATE(7141)] = 450019,
  [SMALL_STATE(7142)] = 450044,
  [SMALL_STATE(7143)] = 450069,
  [SMALL_STATE(7144)] = 450094,
  [SMALL_STATE(7145)] = 450119,
  [SMALL_STATE(7146)] = 450148,
  [SMALL_STATE(7147)] = 450173,
  [SMALL_STATE(7148)] = 450198,
  [SMALL_STATE(7149)] = 450236,
  [SMALL_STATE(7150)] = 450286,
  [SMALL_STATE(7151)] = 450308,
  [SMALL_STATE(7152)] = 450330,
  [SMALL_STATE(7153)] = 450352,
  [SMALL_STATE(7154)] = 450374,
  [SMALL_STATE(7155)] = 450400,
  [SMALL_STATE(7156)] = 450426,
  [SMALL_STATE(7157)] = 450448,
  [SMALL_STATE(7158)] = 450470,
  [SMALL_STATE(7159)] = 450492,
  [SMALL_STATE(7160)] = 450526,
  [SMALL_STATE(7161)] = 450548,
  [SMALL_STATE(7162)] = 450598,
  [SMALL_STATE(7163)] = 450620,
  [SMALL_STATE(7164)] = 450642,
  [SMALL_STATE(7165)] = 450692,
  [SMALL_STATE(7166)] = 450742,
  [SMALL_STATE(7167)] = 450764,
  [SMALL_STATE(7168)] = 450786,
  [SMALL_STATE(7169)] = 450808,
  [SMALL_STATE(7170)] = 450830,
  [SMALL_STATE(7171)] = 450856,
  [SMALL_STATE(7172)] = 450880,
  [SMALL_STATE(7173)] = 450902,
  [SMALL_STATE(7174)] = 450924,
  [SMALL_STATE(7175)] = 450946,
  [SMALL_STATE(7176)] = 450968,
  [SMALL_STATE(7177)] = 450990,
  [SMALL_STATE(7178)] = 451012,
  [SMALL_STATE(7179)] = 451034,
  [SMALL_STATE(7180)] = 451056,
  [SMALL_STATE(7181)] = 451106,
  [SMALL_STATE(7182)] = 451156,
  [SMALL_STATE(7183)] = 451190,
  [SMALL_STATE(7184)] = 451216,
  [SMALL_STATE(7185)] = 451238,
  [SMALL_STATE(7186)] = 451260,
  [SMALL_STATE(7187)] = 451284,
  [SMALL_STATE(7188)] = 451308,
  [SMALL_STATE(7189)] = 451330,
  [SMALL_STATE(7190)] = 451352,
  [SMALL_STATE(7191)] = 451378,
  [SMALL_STATE(7192)] = 451400,
  [SMALL_STATE(7193)] = 451422,
  [SMALL_STATE(7194)] = 451444,
  [SMALL_STATE(7195)] = 451466,
  [SMALL_STATE(7196)] = 451488,
  [SMALL_STATE(7197)] = 451510,
  [SMALL_STATE(7198)] = 451532,
  [SMALL_STATE(7199)] = 451554,
  [SMALL_STATE(7200)] = 451576,
  [SMALL_STATE(7201)] = 451610,
  [SMALL_STATE(7202)] = 451632,
  [SMALL_STATE(7203)] = 451654,
  [SMALL_STATE(7204)] = 451680,
  [SMALL_STATE(7205)] = 451702,
  [SMALL_STATE(7206)] = 451752,
  [SMALL_STATE(7207)] = 451774,
  [SMALL_STATE(7208)] = 451796,
  [SMALL_STATE(7209)] = 451818,
  [SMALL_STATE(7210)] = 451868,
  [SMALL_STATE(7211)] = 451890,
  [SMALL_STATE(7212)] = 451912,
  [SMALL_STATE(7213)] = 451934,
  [SMALL_STATE(7214)] = 451956,
  [SMALL_STATE(7215)] = 451978,
  [SMALL_STATE(7216)] = 452028,
  [SMALL_STATE(7217)] = 452050,
  [SMALL_STATE(7218)] = 452072,
  [SMALL_STATE(7219)] = 452122,
  [SMALL_STATE(7220)] = 452144,
  [SMALL_STATE(7221)] = 452166,
  [SMALL_STATE(7222)] = 452216,
  [SMALL_STATE(7223)] = 452250,
  [SMALL_STATE(7224)] = 452284,
  [SMALL_STATE(7225)] = 452306,
  [SMALL_STATE(7226)] = 452338,
  [SMALL_STATE(7227)] = 452388,
  [SMALL_STATE(7228)] = 452412,
  [SMALL_STATE(7229)] = 452442,
  [SMALL_STATE(7230)] = 452474,
  [SMALL_STATE(7231)] = 452496,
  [SMALL_STATE(7232)] = 452520,
  [SMALL_STATE(7233)] = 452546,
  [SMALL_STATE(7234)] = 452568,
  [SMALL_STATE(7235)] = 452590,
  [SMALL_STATE(7236)] = 452640,
  [SMALL_STATE(7237)] = 452662,
  [SMALL_STATE(7238)] = 452700,
  [SMALL_STATE(7239)] = 452722,
  [SMALL_STATE(7240)] = 452760,
  [SMALL_STATE(7241)] = 452810,
  [SMALL_STATE(7242)] = 452834,
  [SMALL_STATE(7243)] = 452868,
  [SMALL_STATE(7244)] = 452906,
  [SMALL_STATE(7245)] = 452944,
  [SMALL_STATE(7246)] = 452968,
  [SMALL_STATE(7247)] = 452990,
  [SMALL_STATE(7248)] = 453012,
  [SMALL_STATE(7249)] = 453034,
  [SMALL_STATE(7250)] = 453056,
  [SMALL_STATE(7251)] = 453078,
  [SMALL_STATE(7252)] = 453100,
  [SMALL_STATE(7253)] = 453122,
  [SMALL_STATE(7254)] = 453144,
  [SMALL_STATE(7255)] = 453194,
  [SMALL_STATE(7256)] = 453218,
  [SMALL_STATE(7257)] = 453242,
  [SMALL_STATE(7258)] = 453265,
  [SMALL_STATE(7259)] = 453294,
  [SMALL_STATE(7260)] = 453317,
  [SMALL_STATE(7261)] = 453346,
  [SMALL_STATE(7262)] = 453369,
  [SMALL_STATE(7263)] = 453390,
  [SMALL_STATE(7264)] = 453423,
  [SMALL_STATE(7265)] = 453456,
  [SMALL_STATE(7266)] = 453497,
  [SMALL_STATE(7267)] = 453530,
  [SMALL_STATE(7268)] = 453563,
  [SMALL_STATE(7269)] = 453584,
  [SMALL_STATE(7270)] = 453627,
  [SMALL_STATE(7271)] = 453656,
  [SMALL_STATE(7272)] = 453703,
  [SMALL_STATE(7273)] = 453744,
  [SMALL_STATE(7274)] = 453765,
  [SMALL_STATE(7275)] = 453798,
  [SMALL_STATE(7276)] = 453831,
  [SMALL_STATE(7277)] = 453874,
  [SMALL_STATE(7278)] = 453915,
  [SMALL_STATE(7279)] = 453948,
  [SMALL_STATE(7280)] = 453977,
  [SMALL_STATE(7281)] = 454010,
  [SMALL_STATE(7282)] = 454043,
  [SMALL_STATE(7283)] = 454064,
  [SMALL_STATE(7284)] = 454085,
  [SMALL_STATE(7285)] = 454114,
  [SMALL_STATE(7286)] = 454161,
  [SMALL_STATE(7287)] = 454194,
  [SMALL_STATE(7288)] = 454217,
  [SMALL_STATE(7289)] = 454238,
  [SMALL_STATE(7290)] = 454279,
  [SMALL_STATE(7291)] = 454302,
  [SMALL_STATE(7292)] = 454335,
  [SMALL_STATE(7293)] = 454358,
  [SMALL_STATE(7294)] = 454391,
  [SMALL_STATE(7295)] = 454412,
  [SMALL_STATE(7296)] = 454445,
  [SMALL_STATE(7297)] = 454478,
  [SMALL_STATE(7298)] = 454503,
  [SMALL_STATE(7299)] = 454550,
  [SMALL_STATE(7300)] = 454579,
  [SMALL_STATE(7301)] = 454612,
  [SMALL_STATE(7302)] = 454653,
  [SMALL_STATE(7303)] = 454678,
  [SMALL_STATE(7304)] = 454707,
  [SMALL_STATE(7305)] = 454730,
  [SMALL_STATE(7306)] = 454751,
  [SMALL_STATE(7307)] = 454774,
  [SMALL_STATE(7308)] = 454807,
  [SMALL_STATE(7309)] = 454840,
  [SMALL_STATE(7310)] = 454873,
  [SMALL_STATE(7311)] = 454894,
  [SMALL_STATE(7312)] = 454935,
  [SMALL_STATE(7313)] = 454958,
  [SMALL_STATE(7314)] = 454999,
  [SMALL_STATE(7315)] = 455046,
  [SMALL_STATE(7316)] = 455079,
  [SMALL_STATE(7317)] = 455112,
  [SMALL_STATE(7318)] = 455145,
  [SMALL_STATE(7319)] = 455188,
  [SMALL_STATE(7320)] = 455221,
  [SMALL_STATE(7321)] = 455254,
  [SMALL_STATE(7322)] = 455275,
  [SMALL_STATE(7323)] = 455308,
  [SMALL_STATE(7324)] = 455341,
  [SMALL_STATE(7325)] = 455370,
  [SMALL_STATE(7326)] = 455406,
  [SMALL_STATE(7327)] = 455450,
  [SMALL_STATE(7328)] = 455474,
  [SMALL_STATE(7329)] = 455514,
  [SMALL_STATE(7330)] = 455550,
  [SMALL_STATE(7331)] = 455570,
  [SMALL_STATE(7332)] = 455614,
  [SMALL_STATE(7333)] = 455658,
  [SMALL_STATE(7334)] = 455702,
  [SMALL_STATE(7335)] = 455742,
  [SMALL_STATE(7336)] = 455786,
  [SMALL_STATE(7337)] = 455830,
  [SMALL_STATE(7338)] = 455874,
  [SMALL_STATE(7339)] = 455910,
  [SMALL_STATE(7340)] = 455934,
  [SMALL_STATE(7341)] = 455970,
  [SMALL_STATE(7342)] = 455994,
  [SMALL_STATE(7343)] = 456038,
  [SMALL_STATE(7344)] = 456076,
  [SMALL_STATE(7345)] = 456100,
  [SMALL_STATE(7346)] = 456144,
  [SMALL_STATE(7347)] = 456164,
  [SMALL_STATE(7348)] = 456184,
  [SMALL_STATE(7349)] = 456208,
  [SMALL_STATE(7350)] = 456244,
  [SMALL_STATE(7351)] = 456264,
  [SMALL_STATE(7352)] = 456284,
  [SMALL_STATE(7353)] = 456320,
  [SMALL_STATE(7354)] = 456356,
  [SMALL_STATE(7355)] = 456376,
  [SMALL_STATE(7356)] = 456400,
  [SMALL_STATE(7357)] = 456430,
  [SMALL_STATE(7358)] = 456450,
  [SMALL_STATE(7359)] = 456486,
  [SMALL_STATE(7360)] = 456516,
  [SMALL_STATE(7361)] = 456540,
  [SMALL_STATE(7362)] = 456566,
  [SMALL_STATE(7363)] = 456594,
  [SMALL_STATE(7364)] = 456618,
  [SMALL_STATE(7365)] = 456654,
  [SMALL_STATE(7366)] = 456674,
  [SMALL_STATE(7367)] = 456698,
  [SMALL_STATE(7368)] = 456742,
  [SMALL_STATE(7369)] = 456786,
  [SMALL_STATE(7370)] = 456806,
  [SMALL_STATE(7371)] = 456850,
  [SMALL_STATE(7372)] = 456886,
  [SMALL_STATE(7373)] = 456906,
  [SMALL_STATE(7374)] = 456926,
  [SMALL_STATE(7375)] = 456958,
  [SMALL_STATE(7376)] = 456994,
  [SMALL_STATE(7377)] = 457014,
  [SMALL_STATE(7378)] = 457034,
  [SMALL_STATE(7379)] = 457066,
  [SMALL_STATE(7380)] = 457096,
  [SMALL_STATE(7381)] = 457116,
  [SMALL_STATE(7382)] = 457136,
  [SMALL_STATE(7383)] = 457176,
  [SMALL_STATE(7384)] = 457214,
  [SMALL_STATE(7385)] = 457234,
  [SMALL_STATE(7386)] = 457264,
  [SMALL_STATE(7387)] = 457292,
  [SMALL_STATE(7388)] = 457316,
  [SMALL_STATE(7389)] = 457348,
  [SMALL_STATE(7390)] = 457392,
  [SMALL_STATE(7391)] = 457424,
  [SMALL_STATE(7392)] = 457448,
  [SMALL_STATE(7393)] = 457478,
  [SMALL_STATE(7394)] = 457510,
  [SMALL_STATE(7395)] = 457554,
  [SMALL_STATE(7396)] = 457584,
  [SMALL_STATE(7397)] = 457616,
  [SMALL_STATE(7398)] = 457654,
  [SMALL_STATE(7399)] = 457690,
  [SMALL_STATE(7400)] = 457718,
  [SMALL_STATE(7401)] = 457748,
  [SMALL_STATE(7402)] = 457784,
  [SMALL_STATE(7403)] = 457814,
  [SMALL_STATE(7404)] = 457834,
  [SMALL_STATE(7405)] = 457854,
  [SMALL_STATE(7406)] = 457890,
  [SMALL_STATE(7407)] = 457926,
  [SMALL_STATE(7408)] = 457970,
  [SMALL_STATE(7409)] = 458008,
  [SMALL_STATE(7410)] = 458044,
  [SMALL_STATE(7411)] = 458088,
  [SMALL_STATE(7412)] = 458108,
  [SMALL_STATE(7413)] = 458132,
  [SMALL_STATE(7414)] = 458162,
  [SMALL_STATE(7415)] = 458192,
  [SMALL_STATE(7416)] = 458222,
  [SMALL_STATE(7417)] = 458264,
  [SMALL_STATE(7418)] = 458306,
  [SMALL_STATE(7419)] = 458350,
  [SMALL_STATE(7420)] = 458386,
  [SMALL_STATE(7421)] = 458422,
  [SMALL_STATE(7422)] = 458458,
  [SMALL_STATE(7423)] = 458478,
  [SMALL_STATE(7424)] = 458506,
  [SMALL_STATE(7425)] = 458542,
  [SMALL_STATE(7426)] = 458564,
  [SMALL_STATE(7427)] = 458594,
  [SMALL_STATE(7428)] = 458618,
  [SMALL_STATE(7429)] = 458638,
  [SMALL_STATE(7430)] = 458658,
  [SMALL_STATE(7431)] = 458688,
  [SMALL_STATE(7432)] = 458708,
  [SMALL_STATE(7433)] = 458728,
  [SMALL_STATE(7434)] = 458768,
  [SMALL_STATE(7435)] = 458804,
  [SMALL_STATE(7436)] = 458840,
  [SMALL_STATE(7437)] = 458880,
  [SMALL_STATE(7438)] = 458924,
  [SMALL_STATE(7439)] = 458946,
  [SMALL_STATE(7440)] = 458976,
  [SMALL_STATE(7441)] = 459012,
  [SMALL_STATE(7442)] = 459042,
  [SMALL_STATE(7443)] = 459082,
  [SMALL_STATE(7444)] = 459104,
  [SMALL_STATE(7445)] = 459140,
  [SMALL_STATE(7446)] = 459176,
  [SMALL_STATE(7447)] = 459220,
  [SMALL_STATE(7448)] = 459264,
  [SMALL_STATE(7449)] = 459308,
  [SMALL_STATE(7450)] = 459344,
  [SMALL_STATE(7451)] = 459384,
  [SMALL_STATE(7452)] = 459412,
  [SMALL_STATE(7453)] = 459432,
  [SMALL_STATE(7454)] = 459472,
  [SMALL_STATE(7455)] = 459516,
  [SMALL_STATE(7456)] = 459552,
  [SMALL_STATE(7457)] = 459582,
  [SMALL_STATE(7458)] = 459626,
  [SMALL_STATE(7459)] = 459662,
  [SMALL_STATE(7460)] = 459704,
  [SMALL_STATE(7461)] = 459724,
  [SMALL_STATE(7462)] = 459744,
  [SMALL_STATE(7463)] = 459764,
  [SMALL_STATE(7464)] = 459800,
  [SMALL_STATE(7465)] = 459820,
  [SMALL_STATE(7466)] = 459856,
  [SMALL_STATE(7467)] = 459876,
  [SMALL_STATE(7468)] = 459896,
  [SMALL_STATE(7469)] = 459932,
  [SMALL_STATE(7470)] = 459976,
  [SMALL_STATE(7471)] = 460020,
  [SMALL_STATE(7472)] = 460064,
  [SMALL_STATE(7473)] = 460108,
  [SMALL_STATE(7474)] = 460144,
  [SMALL_STATE(7475)] = 460180,
  [SMALL_STATE(7476)] = 460216,
  [SMALL_STATE(7477)] = 460252,
  [SMALL_STATE(7478)] = 460288,
  [SMALL_STATE(7479)] = 460316,
  [SMALL_STATE(7480)] = 460340,
  [SMALL_STATE(7481)] = 460364,
  [SMALL_STATE(7482)] = 460400,
  [SMALL_STATE(7483)] = 460420,
  [SMALL_STATE(7484)] = 460462,
  [SMALL_STATE(7485)] = 460490,
  [SMALL_STATE(7486)] = 460520,
  [SMALL_STATE(7487)] = 460560,
  [SMALL_STATE(7488)] = 460590,
  [SMALL_STATE(7489)] = 460632,
  [SMALL_STATE(7490)] = 460668,
  [SMALL_STATE(7491)] = 460692,
  [SMALL_STATE(7492)] = 460734,
  [SMALL_STATE(7493)] = 460757,
  [SMALL_STATE(7494)] = 460798,
  [SMALL_STATE(7495)] = 460839,
  [SMALL_STATE(7496)] = 460858,
  [SMALL_STATE(7497)] = 460877,
  [SMALL_STATE(7498)] = 460914,
  [SMALL_STATE(7499)] = 460953,
  [SMALL_STATE(7500)] = 460988,
  [SMALL_STATE(7501)] = 461011,
  [SMALL_STATE(7502)] = 461030,
  [SMALL_STATE(7503)] = 461071,
  [SMALL_STATE(7504)] = 461090,
  [SMALL_STATE(7505)] = 461109,
  [SMALL_STATE(7506)] = 461128,
  [SMALL_STATE(7507)] = 461151,
  [SMALL_STATE(7508)] = 461186,
  [SMALL_STATE(7509)] = 461227,
  [SMALL_STATE(7510)] = 461246,
  [SMALL_STATE(7511)] = 461265,
  [SMALL_STATE(7512)] = 461284,
  [SMALL_STATE(7513)] = 461319,
  [SMALL_STATE(7514)] = 461342,
  [SMALL_STATE(7515)] = 461365,
  [SMALL_STATE(7516)] = 461384,
  [SMALL_STATE(7517)] = 461423,
  [SMALL_STATE(7518)] = 461446,
  [SMALL_STATE(7519)] = 461483,
  [SMALL_STATE(7520)] = 461524,
  [SMALL_STATE(7521)] = 461547,
  [SMALL_STATE(7522)] = 461588,
  [SMALL_STATE(7523)] = 461611,
  [SMALL_STATE(7524)] = 461646,
  [SMALL_STATE(7525)] = 461683,
  [SMALL_STATE(7526)] = 461724,
  [SMALL_STATE(7527)] = 461759,
  [SMALL_STATE(7528)] = 461792,
  [SMALL_STATE(7529)] = 461827,
  [SMALL_STATE(7530)] = 461850,
  [SMALL_STATE(7531)] = 461869,
  [SMALL_STATE(7532)] = 461906,
  [SMALL_STATE(7533)] = 461925,
  [SMALL_STATE(7534)] = 461966,
  [SMALL_STATE(7535)] = 461985,
  [SMALL_STATE(7536)] = 462008,
  [SMALL_STATE(7537)] = 462049,
  [SMALL_STATE(7538)] = 462090,
  [SMALL_STATE(7539)] = 462125,
  [SMALL_STATE(7540)] = 462164,
  [SMALL_STATE(7541)] = 462199,
  [SMALL_STATE(7542)] = 462240,
  [SMALL_STATE(7543)] = 462281,
  [SMALL_STATE(7544)] = 462304,
  [SMALL_STATE(7545)] = 462327,
  [SMALL_STATE(7546)] = 462346,
  [SMALL_STATE(7547)] = 462365,
  [SMALL_STATE(7548)] = 462400,
  [SMALL_STATE(7549)] = 462423,
  [SMALL_STATE(7550)] = 462442,
  [SMALL_STATE(7551)] = 462477,
  [SMALL_STATE(7552)] = 462512,
  [SMALL_STATE(7553)] = 462551,
  [SMALL_STATE(7554)] = 462592,
  [SMALL_STATE(7555)] = 462627,
  [SMALL_STATE(7556)] = 462668,
  [SMALL_STATE(7557)] = 462703,
  [SMALL_STATE(7558)] = 462744,
  [SMALL_STATE(7559)] = 462785,
  [SMALL_STATE(7560)] = 462804,
  [SMALL_STATE(7561)] = 462823,
  [SMALL_STATE(7562)] = 462864,
  [SMALL_STATE(7563)] = 462883,
  [SMALL_STATE(7564)] = 462918,
  [SMALL_STATE(7565)] = 462959,
  [SMALL_STATE(7566)] = 462982,
  [SMALL_STATE(7567)] = 463005,
  [SMALL_STATE(7568)] = 463028,
  [SMALL_STATE(7569)] = 463047,
  [SMALL_STATE(7570)] = 463070,
  [SMALL_STATE(7571)] = 463105,
  [SMALL_STATE(7572)] = 463132,
  [SMALL_STATE(7573)] = 463167,
  [SMALL_STATE(7574)] = 463202,
  [SMALL_STATE(7575)] = 463241,
  [SMALL_STATE(7576)] = 463260,
  [SMALL_STATE(7577)] = 463279,
  [SMALL_STATE(7578)] = 463298,
  [SMALL_STATE(7579)] = 463321,
  [SMALL_STATE(7580)] = 463356,
  [SMALL_STATE(7581)] = 463383,
  [SMALL_STATE(7582)] = 463406,
  [SMALL_STATE(7583)] = 463429,
  [SMALL_STATE(7584)] = 463470,
  [SMALL_STATE(7585)] = 463511,
  [SMALL_STATE(7586)] = 463552,
  [SMALL_STATE(7587)] = 463589,
  [SMALL_STATE(7588)] = 463616,
  [SMALL_STATE(7589)] = 463639,
  [SMALL_STATE(7590)] = 463662,
  [SMALL_STATE(7591)] = 463689,
  [SMALL_STATE(7592)] = 463712,
  [SMALL_STATE(7593)] = 463735,
  [SMALL_STATE(7594)] = 463758,
  [SMALL_STATE(7595)] = 463785,
  [SMALL_STATE(7596)] = 463826,
  [SMALL_STATE(7597)] = 463853,
  [SMALL_STATE(7598)] = 463894,
  [SMALL_STATE(7599)] = 463931,
  [SMALL_STATE(7600)] = 463958,
  [SMALL_STATE(7601)] = 463977,
  [SMALL_STATE(7602)] = 464004,
  [SMALL_STATE(7603)] = 464023,
  [SMALL_STATE(7604)] = 464061,
  [SMALL_STATE(7605)] = 464099,
  [SMALL_STATE(7606)] = 464137,
  [SMALL_STATE(7607)] = 464175,
  [SMALL_STATE(7608)] = 464193,
  [SMALL_STATE(7609)] = 464231,
  [SMALL_STATE(7610)] = 464259,
  [SMALL_STATE(7611)] = 464297,
  [SMALL_STATE(7612)] = 464335,
  [SMALL_STATE(7613)] = 464373,
  [SMALL_STATE(7614)] = 464403,
  [SMALL_STATE(7615)] = 464433,
  [SMALL_STATE(7616)] = 464451,
  [SMALL_STATE(7617)] = 464489,
  [SMALL_STATE(7618)] = 464511,
  [SMALL_STATE(7619)] = 464549,
  [SMALL_STATE(7620)] = 464567,
  [SMALL_STATE(7621)] = 464605,
  [SMALL_STATE(7622)] = 464643,
  [SMALL_STATE(7623)] = 464681,
  [SMALL_STATE(7624)] = 464699,
  [SMALL_STATE(7625)] = 464731,
  [SMALL_STATE(7626)] = 464769,
  [SMALL_STATE(7627)] = 464801,
  [SMALL_STATE(7628)] = 464819,
  [SMALL_STATE(7629)] = 464849,
  [SMALL_STATE(7630)] = 464879,
  [SMALL_STATE(7631)] = 464917,
  [SMALL_STATE(7632)] = 464935,
  [SMALL_STATE(7633)] = 464959,
  [SMALL_STATE(7634)] = 464997,
  [SMALL_STATE(7635)] = 465021,
  [SMALL_STATE(7636)] = 465059,
  [SMALL_STATE(7637)] = 465087,
  [SMALL_STATE(7638)] = 465125,
  [SMALL_STATE(7639)] = 465157,
  [SMALL_STATE(7640)] = 465195,
  [SMALL_STATE(7641)] = 465217,
  [SMALL_STATE(7642)] = 465235,
  [SMALL_STATE(7643)] = 465265,
  [SMALL_STATE(7644)] = 465287,
  [SMALL_STATE(7645)] = 465309,
  [SMALL_STATE(7646)] = 465327,
  [SMALL_STATE(7647)] = 465349,
  [SMALL_STATE(7648)] = 465381,
  [SMALL_STATE(7649)] = 465419,
  [SMALL_STATE(7650)] = 465443,
  [SMALL_STATE(7651)] = 465481,
  [SMALL_STATE(7652)] = 465499,
  [SMALL_STATE(7653)] = 465531,
  [SMALL_STATE(7654)] = 465549,
  [SMALL_STATE(7655)] = 465587,
  [SMALL_STATE(7656)] = 465625,
  [SMALL_STATE(7657)] = 465643,
  [SMALL_STATE(7658)] = 465665,
  [SMALL_STATE(7659)] = 465695,
  [SMALL_STATE(7660)] = 465733,
  [SMALL_STATE(7661)] = 465751,
  [SMALL_STATE(7662)] = 465789,
  [SMALL_STATE(7663)] = 465807,
  [SMALL_STATE(7664)] = 465825,
  [SMALL_STATE(7665)] = 465843,
  [SMALL_STATE(7666)] = 465869,
  [SMALL_STATE(7667)] = 465887,
  [SMALL_STATE(7668)] = 465913,
  [SMALL_STATE(7669)] = 465943,
  [SMALL_STATE(7670)] = 465961,
  [SMALL_STATE(7671)] = 465991,
  [SMALL_STATE(7672)] = 466017,
  [SMALL_STATE(7673)] = 466035,
  [SMALL_STATE(7674)] = 466057,
  [SMALL_STATE(7675)] = 466075,
  [SMALL_STATE(7676)] = 466093,
  [SMALL_STATE(7677)] = 466111,
  [SMALL_STATE(7678)] = 466141,
  [SMALL_STATE(7679)] = 466159,
  [SMALL_STATE(7680)] = 466177,
  [SMALL_STATE(7681)] = 466195,
  [SMALL_STATE(7682)] = 466213,
  [SMALL_STATE(7683)] = 466247,
  [SMALL_STATE(7684)] = 466285,
  [SMALL_STATE(7685)] = 466303,
  [SMALL_STATE(7686)] = 466329,
  [SMALL_STATE(7687)] = 466363,
  [SMALL_STATE(7688)] = 466401,
  [SMALL_STATE(7689)] = 466439,
  [SMALL_STATE(7690)] = 466477,
  [SMALL_STATE(7691)] = 466503,
  [SMALL_STATE(7692)] = 466541,
  [SMALL_STATE(7693)] = 466579,
  [SMALL_STATE(7694)] = 466597,
  [SMALL_STATE(7695)] = 466615,
  [SMALL_STATE(7696)] = 466653,
  [SMALL_STATE(7697)] = 466691,
  [SMALL_STATE(7698)] = 466729,
  [SMALL_STATE(7699)] = 466759,
  [SMALL_STATE(7700)] = 466777,
  [SMALL_STATE(7701)] = 466801,
  [SMALL_STATE(7702)] = 466831,
  [SMALL_STATE(7703)] = 466855,
  [SMALL_STATE(7704)] = 466893,
  [SMALL_STATE(7705)] = 466931,
  [SMALL_STATE(7706)] = 466957,
  [SMALL_STATE(7707)] = 466975,
  [SMALL_STATE(7708)] = 466993,
  [SMALL_STATE(7709)] = 467031,
  [SMALL_STATE(7710)] = 467049,
  [SMALL_STATE(7711)] = 467067,
  [SMALL_STATE(7712)] = 467097,
  [SMALL_STATE(7713)] = 467115,
  [SMALL_STATE(7714)] = 467141,
  [SMALL_STATE(7715)] = 467159,
  [SMALL_STATE(7716)] = 467197,
  [SMALL_STATE(7717)] = 467235,
  [SMALL_STATE(7718)] = 467273,
  [SMALL_STATE(7719)] = 467291,
  [SMALL_STATE(7720)] = 467329,
  [SMALL_STATE(7721)] = 467347,
  [SMALL_STATE(7722)] = 467379,
  [SMALL_STATE(7723)] = 467401,
  [SMALL_STATE(7724)] = 467419,
  [SMALL_STATE(7725)] = 467457,
  [SMALL_STATE(7726)] = 467495,
  [SMALL_STATE(7727)] = 467517,
  [SMALL_STATE(7728)] = 467543,
  [SMALL_STATE(7729)] = 467561,
  [SMALL_STATE(7730)] = 467599,
  [SMALL_STATE(7731)] = 467617,
  [SMALL_STATE(7732)] = 467641,
  [SMALL_STATE(7733)] = 467671,
  [SMALL_STATE(7734)] = 467689,
  [SMALL_STATE(7735)] = 467727,
  [SMALL_STATE(7736)] = 467765,
  [SMALL_STATE(7737)] = 467803,
  [SMALL_STATE(7738)] = 467841,
  [SMALL_STATE(7739)] = 467871,
  [SMALL_STATE(7740)] = 467901,
  [SMALL_STATE(7741)] = 467939,
  [SMALL_STATE(7742)] = 467977,
  [SMALL_STATE(7743)] = 468015,
  [SMALL_STATE(7744)] = 468050,
  [SMALL_STATE(7745)] = 468085,
  [SMALL_STATE(7746)] = 468120,
  [SMALL_STATE(7747)] = 468151,
  [SMALL_STATE(7748)] = 468168,
  [SMALL_STATE(7749)] = 468203,
  [SMALL_STATE(7750)] = 468238,
  [SMALL_STATE(7751)] = 468257,
  [SMALL_STATE(7752)] = 468286,
  [SMALL_STATE(7753)] = 468315,
  [SMALL_STATE(7754)] = 468350,
  [SMALL_STATE(7755)] = 468379,
  [SMALL_STATE(7756)] = 468414,
  [SMALL_STATE(7757)] = 468449,
  [SMALL_STATE(7758)] = 468480,
  [SMALL_STATE(7759)] = 468503,
  [SMALL_STATE(7760)] = 468538,
  [SMALL_STATE(7761)] = 468559,
  [SMALL_STATE(7762)] = 468590,
  [SMALL_STATE(7763)] = 468611,
  [SMALL_STATE(7764)] = 468640,
  [SMALL_STATE(7765)] = 468675,
  [SMALL_STATE(7766)] = 468706,
  [SMALL_STATE(7767)] = 468735,
  [SMALL_STATE(7768)] = 468770,
  [SMALL_STATE(7769)] = 468805,
  [SMALL_STATE(7770)] = 468840,
  [SMALL_STATE(7771)] = 468875,
  [SMALL_STATE(7772)] = 468906,
  [SMALL_STATE(7773)] = 468937,
  [SMALL_STATE(7774)] = 468972,
  [SMALL_STATE(7775)] = 469003,
  [SMALL_STATE(7776)] = 469020,
  [SMALL_STATE(7777)] = 469055,
  [SMALL_STATE(7778)] = 469086,
  [SMALL_STATE(7779)] = 469121,
  [SMALL_STATE(7780)] = 469142,
  [SMALL_STATE(7781)] = 469177,
  [SMALL_STATE(7782)] = 469194,
  [SMALL_STATE(7783)] = 469229,
  [SMALL_STATE(7784)] = 469260,
  [SMALL_STATE(7785)] = 469283,
  [SMALL_STATE(7786)] = 469314,
  [SMALL_STATE(7787)] = 469331,
  [SMALL_STATE(7788)] = 469366,
  [SMALL_STATE(7789)] = 469401,
  [SMALL_STATE(7790)] = 469430,
  [SMALL_STATE(7791)] = 469453,
  [SMALL_STATE(7792)] = 469488,
  [SMALL_STATE(7793)] = 469523,
  [SMALL_STATE(7794)] = 469558,
  [SMALL_STATE(7795)] = 469589,
  [SMALL_STATE(7796)] = 469618,
  [SMALL_STATE(7797)] = 469641,
  [SMALL_STATE(7798)] = 469676,
  [SMALL_STATE(7799)] = 469693,
  [SMALL_STATE(7800)] = 469710,
  [SMALL_STATE(7801)] = 469729,
  [SMALL_STATE(7802)] = 469764,
  [SMALL_STATE(7803)] = 469799,
  [SMALL_STATE(7804)] = 469834,
  [SMALL_STATE(7805)] = 469857,
  [SMALL_STATE(7806)] = 469892,
  [SMALL_STATE(7807)] = 469909,
  [SMALL_STATE(7808)] = 469932,
  [SMALL_STATE(7809)] = 469963,
  [SMALL_STATE(7810)] = 469994,
  [SMALL_STATE(7811)] = 470029,
  [SMALL_STATE(7812)] = 470064,
  [SMALL_STATE(7813)] = 470095,
  [SMALL_STATE(7814)] = 470130,
  [SMALL_STATE(7815)] = 470161,
  [SMALL_STATE(7816)] = 470192,
  [SMALL_STATE(7817)] = 470211,
  [SMALL_STATE(7818)] = 470240,
  [SMALL_STATE(7819)] = 470275,
  [SMALL_STATE(7820)] = 470304,
  [SMALL_STATE(7821)] = 470333,
  [SMALL_STATE(7822)] = 470362,
  [SMALL_STATE(7823)] = 470397,
  [SMALL_STATE(7824)] = 470432,
  [SMALL_STATE(7825)] = 470467,
  [SMALL_STATE(7826)] = 470484,
  [SMALL_STATE(7827)] = 470519,
  [SMALL_STATE(7828)] = 470554,
  [SMALL_STATE(7829)] = 470589,
  [SMALL_STATE(7830)] = 470610,
  [SMALL_STATE(7831)] = 470645,
  [SMALL_STATE(7832)] = 470676,
  [SMALL_STATE(7833)] = 470693,
  [SMALL_STATE(7834)] = 470722,
  [SMALL_STATE(7835)] = 470757,
  [SMALL_STATE(7836)] = 470788,
  [SMALL_STATE(7837)] = 470819,
  [SMALL_STATE(7838)] = 470854,
  [SMALL_STATE(7839)] = 470885,
  [SMALL_STATE(7840)] = 470920,
  [SMALL_STATE(7841)] = 470955,
  [SMALL_STATE(7842)] = 470990,
  [SMALL_STATE(7843)] = 471025,
  [SMALL_STATE(7844)] = 471060,
  [SMALL_STATE(7845)] = 471081,
  [SMALL_STATE(7846)] = 471112,
  [SMALL_STATE(7847)] = 471143,
  [SMALL_STATE(7848)] = 471178,
  [SMALL_STATE(7849)] = 471209,
  [SMALL_STATE(7850)] = 471238,
  [SMALL_STATE(7851)] = 471255,
  [SMALL_STATE(7852)] = 471284,
  [SMALL_STATE(7853)] = 471315,
  [SMALL_STATE(7854)] = 471332,
  [SMALL_STATE(7855)] = 471363,
  [SMALL_STATE(7856)] = 471384,
  [SMALL_STATE(7857)] = 471419,
  [SMALL_STATE(7858)] = 471454,
  [SMALL_STATE(7859)] = 471475,
  [SMALL_STATE(7860)] = 471504,
  [SMALL_STATE(7861)] = 471539,
  [SMALL_STATE(7862)] = 471574,
  [SMALL_STATE(7863)] = 471603,
  [SMALL_STATE(7864)] = 471620,
  [SMALL_STATE(7865)] = 471649,
  [SMALL_STATE(7866)] = 471684,
  [SMALL_STATE(7867)] = 471719,
  [SMALL_STATE(7868)] = 471754,
  [SMALL_STATE(7869)] = 471789,
  [SMALL_STATE(7870)] = 471824,
  [SMALL_STATE(7871)] = 471859,
  [SMALL_STATE(7872)] = 471894,
  [SMALL_STATE(7873)] = 471929,
  [SMALL_STATE(7874)] = 471960,
  [SMALL_STATE(7875)] = 471995,
  [SMALL_STATE(7876)] = 472012,
  [SMALL_STATE(7877)] = 472041,
  [SMALL_STATE(7878)] = 472070,
  [SMALL_STATE(7879)] = 472105,
  [SMALL_STATE(7880)] = 472140,
  [SMALL_STATE(7881)] = 472175,
  [SMALL_STATE(7882)] = 472210,
  [SMALL_STATE(7883)] = 472245,
  [SMALL_STATE(7884)] = 472268,
  [SMALL_STATE(7885)] = 472285,
  [SMALL_STATE(7886)] = 472316,
  [SMALL_STATE(7887)] = 472347,
  [SMALL_STATE(7888)] = 472376,
  [SMALL_STATE(7889)] = 472407,
  [SMALL_STATE(7890)] = 472442,
  [SMALL_STATE(7891)] = 472477,
  [SMALL_STATE(7892)] = 472512,
  [SMALL_STATE(7893)] = 472529,
  [SMALL_STATE(7894)] = 472558,
  [SMALL_STATE(7895)] = 472579,
  [SMALL_STATE(7896)] = 472614,
  [SMALL_STATE(7897)] = 472645,
  [SMALL_STATE(7898)] = 472674,
  [SMALL_STATE(7899)] = 472709,
  [SMALL_STATE(7900)] = 472744,
  [SMALL_STATE(7901)] = 472763,
  [SMALL_STATE(7902)] = 472798,
  [SMALL_STATE(7903)] = 472829,
  [SMALL_STATE(7904)] = 472864,
  [SMALL_STATE(7905)] = 472895,
  [SMALL_STATE(7906)] = 472924,
  [SMALL_STATE(7907)] = 472959,
  [SMALL_STATE(7908)] = 472976,
  [SMALL_STATE(7909)] = 473007,
  [SMALL_STATE(7910)] = 473035,
  [SMALL_STATE(7911)] = 473061,
  [SMALL_STATE(7912)] = 473089,
  [SMALL_STATE(7913)] = 473117,
  [SMALL_STATE(7914)] = 473143,
  [SMALL_STATE(7915)] = 473169,
  [SMALL_STATE(7916)] = 473195,
  [SMALL_STATE(7917)] = 473219,
  [SMALL_STATE(7918)] = 473243,
  [SMALL_STATE(7919)] = 473271,
  [SMALL_STATE(7920)] = 473299,
  [SMALL_STATE(7921)] = 473331,
  [SMALL_STATE(7922)] = 473359,
  [SMALL_STATE(7923)] = 473385,
  [SMALL_STATE(7924)] = 473413,
  [SMALL_STATE(7925)] = 473445,
  [SMALL_STATE(7926)] = 473473,
  [SMALL_STATE(7927)] = 473499,
  [SMALL_STATE(7928)] = 473519,
  [SMALL_STATE(7929)] = 473551,
  [SMALL_STATE(7930)] = 473579,
  [SMALL_STATE(7931)] = 473605,
  [SMALL_STATE(7932)] = 473637,
  [SMALL_STATE(7933)] = 473669,
  [SMALL_STATE(7934)] = 473691,
  [SMALL_STATE(7935)] = 473719,
  [SMALL_STATE(7936)] = 473751,
  [SMALL_STATE(7937)] = 473783,
  [SMALL_STATE(7938)] = 473811,
  [SMALL_STATE(7939)] = 473831,
  [SMALL_STATE(7940)] = 473863,
  [SMALL_STATE(7941)] = 473895,
  [SMALL_STATE(7942)] = 473921,
  [SMALL_STATE(7943)] = 473953,
  [SMALL_STATE(7944)] = 473979,
  [SMALL_STATE(7945)] = 474011,
  [SMALL_STATE(7946)] = 474037,
  [SMALL_STATE(7947)] = 474065,
  [SMALL_STATE(7948)] = 474097,
  [SMALL_STATE(7949)] = 474123,
  [SMALL_STATE(7950)] = 474151,
  [SMALL_STATE(7951)] = 474183,
  [SMALL_STATE(7952)] = 474207,
  [SMALL_STATE(7953)] = 474225,
  [SMALL_STATE(7954)] = 474251,
  [SMALL_STATE(7955)] = 474277,
  [SMALL_STATE(7956)] = 474305,
  [SMALL_STATE(7957)] = 474337,
  [SMALL_STATE(7958)] = 474355,
  [SMALL_STATE(7959)] = 474383,
  [SMALL_STATE(7960)] = 474411,
  [SMALL_STATE(7961)] = 474437,
  [SMALL_STATE(7962)] = 474457,
  [SMALL_STATE(7963)] = 474481,
  [SMALL_STATE(7964)] = 474513,
  [SMALL_STATE(7965)] = 474541,
  [SMALL_STATE(7966)] = 474565,
  [SMALL_STATE(7967)] = 474593,
  [SMALL_STATE(7968)] = 474613,
  [SMALL_STATE(7969)] = 474641,
  [SMALL_STATE(7970)] = 474667,
  [SMALL_STATE(7971)] = 474693,
  [SMALL_STATE(7972)] = 474719,
  [SMALL_STATE(7973)] = 474745,
  [SMALL_STATE(7974)] = 474777,
  [SMALL_STATE(7975)] = 474799,
  [SMALL_STATE(7976)] = 474831,
  [SMALL_STATE(7977)] = 474859,
  [SMALL_STATE(7978)] = 474891,
  [SMALL_STATE(7979)] = 474917,
  [SMALL_STATE(7980)] = 474941,
  [SMALL_STATE(7981)] = 474969,
  [SMALL_STATE(7982)] = 474997,
  [SMALL_STATE(7983)] = 475025,
  [SMALL_STATE(7984)] = 475051,
  [SMALL_STATE(7985)] = 475079,
  [SMALL_STATE(7986)] = 475095,
  [SMALL_STATE(7987)] = 475127,
  [SMALL_STATE(7988)] = 475153,
  [SMALL_STATE(7989)] = 475181,
  [SMALL_STATE(7990)] = 475209,
  [SMALL_STATE(7991)] = 475235,
  [SMALL_STATE(7992)] = 475261,
  [SMALL_STATE(7993)] = 475287,
  [SMALL_STATE(7994)] = 475315,
  [SMALL_STATE(7995)] = 475343,
  [SMALL_STATE(7996)] = 475365,
  [SMALL_STATE(7997)] = 475393,
  [SMALL_STATE(7998)] = 475421,
  [SMALL_STATE(7999)] = 475453,
  [SMALL_STATE(8000)] = 475481,
  [SMALL_STATE(8001)] = 475507,
  [SMALL_STATE(8002)] = 475535,
  [SMALL_STATE(8003)] = 475561,
  [SMALL_STATE(8004)] = 475581,
  [SMALL_STATE(8005)] = 475613,
  [SMALL_STATE(8006)] = 475645,
  [SMALL_STATE(8007)] = 475663,
  [SMALL_STATE(8008)] = 475695,
  [SMALL_STATE(8009)] = 475723,
  [SMALL_STATE(8010)] = 475755,
  [SMALL_STATE(8011)] = 475775,
  [SMALL_STATE(8012)] = 475803,
  [SMALL_STATE(8013)] = 475831,
  [SMALL_STATE(8014)] = 475857,
  [SMALL_STATE(8015)] = 475889,
  [SMALL_STATE(8016)] = 475917,
  [SMALL_STATE(8017)] = 475943,
  [SMALL_STATE(8018)] = 475971,
  [SMALL_STATE(8019)] = 475999,
  [SMALL_STATE(8020)] = 476025,
  [SMALL_STATE(8021)] = 476053,
  [SMALL_STATE(8022)] = 476081,
  [SMALL_STATE(8023)] = 476109,
  [SMALL_STATE(8024)] = 476141,
  [SMALL_STATE(8025)] = 476161,
  [SMALL_STATE(8026)] = 476181,
  [SMALL_STATE(8027)] = 476209,
  [SMALL_STATE(8028)] = 476231,
  [SMALL_STATE(8029)] = 476259,
  [SMALL_STATE(8030)] = 476287,
  [SMALL_STATE(8031)] = 476307,
  [SMALL_STATE(8032)] = 476323,
  [SMALL_STATE(8033)] = 476349,
  [SMALL_STATE(8034)] = 476375,
  [SMALL_STATE(8035)] = 476407,
  [SMALL_STATE(8036)] = 476439,
  [SMALL_STATE(8037)] = 476471,
  [SMALL_STATE(8038)] = 476503,
  [SMALL_STATE(8039)] = 476535,
  [SMALL_STATE(8040)] = 476563,
  [SMALL_STATE(8041)] = 476595,
  [SMALL_STATE(8042)] = 476627,
  [SMALL_STATE(8043)] = 476659,
  [SMALL_STATE(8044)] = 476687,
  [SMALL_STATE(8045)] = 476715,
  [SMALL_STATE(8046)] = 476743,
  [SMALL_STATE(8047)] = 476775,
  [SMALL_STATE(8048)] = 476807,
  [SMALL_STATE(8049)] = 476835,
  [SMALL_STATE(8050)] = 476867,
  [SMALL_STATE(8051)] = 476899,
  [SMALL_STATE(8052)] = 476931,
  [SMALL_STATE(8053)] = 476963,
  [SMALL_STATE(8054)] = 476989,
  [SMALL_STATE(8055)] = 477021,
  [SMALL_STATE(8056)] = 477053,
  [SMALL_STATE(8057)] = 477085,
  [SMALL_STATE(8058)] = 477107,
  [SMALL_STATE(8059)] = 477139,
  [SMALL_STATE(8060)] = 477167,
  [SMALL_STATE(8061)] = 477199,
  [SMALL_STATE(8062)] = 477227,
  [SMALL_STATE(8063)] = 477253,
  [SMALL_STATE(8064)] = 477279,
  [SMALL_STATE(8065)] = 477311,
  [SMALL_STATE(8066)] = 477343,
  [SMALL_STATE(8067)] = 477369,
  [SMALL_STATE(8068)] = 477397,
  [SMALL_STATE(8069)] = 477423,
  [SMALL_STATE(8070)] = 477451,
  [SMALL_STATE(8071)] = 477477,
  [SMALL_STATE(8072)] = 477505,
  [SMALL_STATE(8073)] = 477537,
  [SMALL_STATE(8074)] = 477565,
  [SMALL_STATE(8075)] = 477593,
  [SMALL_STATE(8076)] = 477619,
  [SMALL_STATE(8077)] = 477647,
  [SMALL_STATE(8078)] = 477679,
  [SMALL_STATE(8079)] = 477707,
  [SMALL_STATE(8080)] = 477739,
  [SMALL_STATE(8081)] = 477767,
  [SMALL_STATE(8082)] = 477799,
  [SMALL_STATE(8083)] = 477831,
  [SMALL_STATE(8084)] = 477859,
  [SMALL_STATE(8085)] = 477891,
  [SMALL_STATE(8086)] = 477923,
  [SMALL_STATE(8087)] = 477955,
  [SMALL_STATE(8088)] = 477987,
  [SMALL_STATE(8089)] = 478015,
  [SMALL_STATE(8090)] = 478039,
  [SMALL_STATE(8091)] = 478061,
  [SMALL_STATE(8092)] = 478089,
  [SMALL_STATE(8093)] = 478121,
  [SMALL_STATE(8094)] = 478153,
  [SMALL_STATE(8095)] = 478181,
  [SMALL_STATE(8096)] = 478207,
  [SMALL_STATE(8097)] = 478233,
  [SMALL_STATE(8098)] = 478255,
  [SMALL_STATE(8099)] = 478287,
  [SMALL_STATE(8100)] = 478315,
  [SMALL_STATE(8101)] = 478343,
  [SMALL_STATE(8102)] = 478369,
  [SMALL_STATE(8103)] = 478397,
  [SMALL_STATE(8104)] = 478412,
  [SMALL_STATE(8105)] = 478441,
  [SMALL_STATE(8106)] = 478464,
  [SMALL_STATE(8107)] = 478487,
  [SMALL_STATE(8108)] = 478510,
  [SMALL_STATE(8109)] = 478533,
  [SMALL_STATE(8110)] = 478548,
  [SMALL_STATE(8111)] = 478569,
  [SMALL_STATE(8112)] = 478598,
  [SMALL_STATE(8113)] = 478623,
  [SMALL_STATE(8114)] = 478650,
  [SMALL_STATE(8115)] = 478673,
  [SMALL_STATE(8116)] = 478702,
  [SMALL_STATE(8117)] = 478725,
  [SMALL_STATE(8118)] = 478754,
  [SMALL_STATE(8119)] = 478779,
  [SMALL_STATE(8120)] = 478802,
  [SMALL_STATE(8121)] = 478825,
  [SMALL_STATE(8122)] = 478850,
  [SMALL_STATE(8123)] = 478879,
  [SMALL_STATE(8124)] = 478908,
  [SMALL_STATE(8125)] = 478935,
  [SMALL_STATE(8126)] = 478964,
  [SMALL_STATE(8127)] = 478989,
  [SMALL_STATE(8128)] = 479012,
  [SMALL_STATE(8129)] = 479027,
  [SMALL_STATE(8130)] = 479052,
  [SMALL_STATE(8131)] = 479067,
  [SMALL_STATE(8132)] = 479082,
  [SMALL_STATE(8133)] = 479105,
  [SMALL_STATE(8134)] = 479132,
  [SMALL_STATE(8135)] = 479153,
  [SMALL_STATE(8136)] = 479172,
  [SMALL_STATE(8137)] = 479197,
  [SMALL_STATE(8138)] = 479220,
  [SMALL_STATE(8139)] = 479247,
  [SMALL_STATE(8140)] = 479270,
  [SMALL_STATE(8141)] = 479287,
  [SMALL_STATE(8142)] = 479306,
  [SMALL_STATE(8143)] = 479321,
  [SMALL_STATE(8144)] = 479344,
  [SMALL_STATE(8145)] = 479367,
  [SMALL_STATE(8146)] = 479396,
  [SMALL_STATE(8147)] = 479421,
  [SMALL_STATE(8148)] = 479450,
  [SMALL_STATE(8149)] = 479473,
  [SMALL_STATE(8150)] = 479496,
  [SMALL_STATE(8151)] = 479515,
  [SMALL_STATE(8152)] = 479530,
  [SMALL_STATE(8153)] = 479559,
  [SMALL_STATE(8154)] = 479574,
  [SMALL_STATE(8155)] = 479597,
  [SMALL_STATE(8156)] = 479624,
  [SMALL_STATE(8157)] = 479653,
  [SMALL_STATE(8158)] = 479682,
  [SMALL_STATE(8159)] = 479711,
  [SMALL_STATE(8160)] = 479726,
  [SMALL_STATE(8161)] = 479751,
  [SMALL_STATE(8162)] = 479766,
  [SMALL_STATE(8163)] = 479795,
  [SMALL_STATE(8164)] = 479824,
  [SMALL_STATE(8165)] = 479853,
  [SMALL_STATE(8166)] = 479872,
  [SMALL_STATE(8167)] = 479895,
  [SMALL_STATE(8168)] = 479924,
  [SMALL_STATE(8169)] = 479953,
  [SMALL_STATE(8170)] = 479968,
  [SMALL_STATE(8171)] = 479997,
  [SMALL_STATE(8172)] = 480022,
  [SMALL_STATE(8173)] = 480037,
  [SMALL_STATE(8174)] = 480062,
  [SMALL_STATE(8175)] = 480089,
  [SMALL_STATE(8176)] = 480116,
  [SMALL_STATE(8177)] = 480145,
  [SMALL_STATE(8178)] = 480174,
  [SMALL_STATE(8179)] = 480197,
  [SMALL_STATE(8180)] = 480216,
  [SMALL_STATE(8181)] = 480243,
  [SMALL_STATE(8182)] = 480272,
  [SMALL_STATE(8183)] = 480297,
  [SMALL_STATE(8184)] = 480326,
  [SMALL_STATE(8185)] = 480355,
  [SMALL_STATE(8186)] = 480384,
  [SMALL_STATE(8187)] = 480413,
  [SMALL_STATE(8188)] = 480438,
  [SMALL_STATE(8189)] = 480467,
  [SMALL_STATE(8190)] = 480482,
  [SMALL_STATE(8191)] = 480505,
  [SMALL_STATE(8192)] = 480534,
  [SMALL_STATE(8193)] = 480561,
  [SMALL_STATE(8194)] = 480582,
  [SMALL_STATE(8195)] = 480607,
  [SMALL_STATE(8196)] = 480634,
  [SMALL_STATE(8197)] = 480663,
  [SMALL_STATE(8198)] = 480692,
  [SMALL_STATE(8199)] = 480717,
  [SMALL_STATE(8200)] = 480742,
  [SMALL_STATE(8201)] = 480771,
  [SMALL_STATE(8202)] = 480790,
  [SMALL_STATE(8203)] = 480805,
  [SMALL_STATE(8204)] = 480832,
  [SMALL_STATE(8205)] = 480861,
  [SMALL_STATE(8206)] = 480884,
  [SMALL_STATE(8207)] = 480907,
  [SMALL_STATE(8208)] = 480924,
  [SMALL_STATE(8209)] = 480947,
  [SMALL_STATE(8210)] = 480976,
  [SMALL_STATE(8211)] = 480999,
  [SMALL_STATE(8212)] = 481014,
  [SMALL_STATE(8213)] = 481029,
  [SMALL_STATE(8214)] = 481052,
  [SMALL_STATE(8215)] = 481081,
  [SMALL_STATE(8216)] = 481100,
  [SMALL_STATE(8217)] = 481115,
  [SMALL_STATE(8218)] = 481140,
  [SMALL_STATE(8219)] = 481169,
  [SMALL_STATE(8220)] = 481184,
  [SMALL_STATE(8221)] = 481199,
  [SMALL_STATE(8222)] = 481228,
  [SMALL_STATE(8223)] = 481251,
  [SMALL_STATE(8224)] = 481268,
  [SMALL_STATE(8225)] = 481285,
  [SMALL_STATE(8226)] = 481308,
  [SMALL_STATE(8227)] = 481337,
  [SMALL_STATE(8228)] = 481360,
  [SMALL_STATE(8229)] = 481383,
  [SMALL_STATE(8230)] = 481412,
  [SMALL_STATE(8231)] = 481435,
  [SMALL_STATE(8232)] = 481458,
  [SMALL_STATE(8233)] = 481485,
  [SMALL_STATE(8234)] = 481506,
  [SMALL_STATE(8235)] = 481527,
  [SMALL_STATE(8236)] = 481542,
  [SMALL_STATE(8237)] = 481571,
  [SMALL_STATE(8238)] = 481592,
  [SMALL_STATE(8239)] = 481617,
  [SMALL_STATE(8240)] = 481638,
  [SMALL_STATE(8241)] = 481659,
  [SMALL_STATE(8242)] = 481678,
  [SMALL_STATE(8243)] = 481703,
  [SMALL_STATE(8244)] = 481732,
  [SMALL_STATE(8245)] = 481749,
  [SMALL_STATE(8246)] = 481772,
  [SMALL_STATE(8247)] = 481801,
  [SMALL_STATE(8248)] = 481818,
  [SMALL_STATE(8249)] = 481839,
  [SMALL_STATE(8250)] = 481868,
  [SMALL_STATE(8251)] = 481891,
  [SMALL_STATE(8252)] = 481920,
  [SMALL_STATE(8253)] = 481949,
  [SMALL_STATE(8254)] = 481978,
  [SMALL_STATE(8255)] = 482001,
  [SMALL_STATE(8256)] = 482024,
  [SMALL_STATE(8257)] = 482047,
  [SMALL_STATE(8258)] = 482070,
  [SMALL_STATE(8259)] = 482099,
  [SMALL_STATE(8260)] = 482118,
  [SMALL_STATE(8261)] = 482143,
  [SMALL_STATE(8262)] = 482172,
  [SMALL_STATE(8263)] = 482187,
  [SMALL_STATE(8264)] = 482202,
  [SMALL_STATE(8265)] = 482231,
  [SMALL_STATE(8266)] = 482260,
  [SMALL_STATE(8267)] = 482279,
  [SMALL_STATE(8268)] = 482303,
  [SMALL_STATE(8269)] = 482327,
  [SMALL_STATE(8270)] = 482351,
  [SMALL_STATE(8271)] = 482377,
  [SMALL_STATE(8272)] = 482401,
  [SMALL_STATE(8273)] = 482423,
  [SMALL_STATE(8274)] = 482447,
  [SMALL_STATE(8275)] = 482469,
  [SMALL_STATE(8276)] = 482483,
  [SMALL_STATE(8277)] = 482505,
  [SMALL_STATE(8278)] = 482523,
  [SMALL_STATE(8279)] = 482545,
  [SMALL_STATE(8280)] = 482569,
  [SMALL_STATE(8281)] = 482587,
  [SMALL_STATE(8282)] = 482607,
  [SMALL_STATE(8283)] = 482631,
  [SMALL_STATE(8284)] = 482655,
  [SMALL_STATE(8285)] = 482675,
  [SMALL_STATE(8286)] = 482699,
  [SMALL_STATE(8287)] = 482719,
  [SMALL_STATE(8288)] = 482739,
  [SMALL_STATE(8289)] = 482759,
  [SMALL_STATE(8290)] = 482783,
  [SMALL_STATE(8291)] = 482809,
  [SMALL_STATE(8292)] = 482831,
  [SMALL_STATE(8293)] = 482857,
  [SMALL_STATE(8294)] = 482879,
  [SMALL_STATE(8295)] = 482901,
  [SMALL_STATE(8296)] = 482925,
  [SMALL_STATE(8297)] = 482947,
  [SMALL_STATE(8298)] = 482969,
  [SMALL_STATE(8299)] = 482989,
  [SMALL_STATE(8300)] = 483009,
  [SMALL_STATE(8301)] = 483029,
  [SMALL_STATE(8302)] = 483053,
  [SMALL_STATE(8303)] = 483075,
  [SMALL_STATE(8304)] = 483099,
  [SMALL_STATE(8305)] = 483121,
  [SMALL_STATE(8306)] = 483143,
  [SMALL_STATE(8307)] = 483165,
  [SMALL_STATE(8308)] = 483189,
  [SMALL_STATE(8309)] = 483213,
  [SMALL_STATE(8310)] = 483237,
  [SMALL_STATE(8311)] = 483259,
  [SMALL_STATE(8312)] = 483283,
  [SMALL_STATE(8313)] = 483307,
  [SMALL_STATE(8314)] = 483331,
  [SMALL_STATE(8315)] = 483355,
  [SMALL_STATE(8316)] = 483379,
  [SMALL_STATE(8317)] = 483403,
  [SMALL_STATE(8318)] = 483423,
  [SMALL_STATE(8319)] = 483445,
  [SMALL_STATE(8320)] = 483465,
  [SMALL_STATE(8321)] = 483485,
  [SMALL_STATE(8322)] = 483509,
  [SMALL_STATE(8323)] = 483523,
  [SMALL_STATE(8324)] = 483547,
  [SMALL_STATE(8325)] = 483571,
  [SMALL_STATE(8326)] = 483585,
  [SMALL_STATE(8327)] = 483607,
  [SMALL_STATE(8328)] = 483631,
  [SMALL_STATE(8329)] = 483651,
  [SMALL_STATE(8330)] = 483677,
  [SMALL_STATE(8331)] = 483693,
  [SMALL_STATE(8332)] = 483707,
  [SMALL_STATE(8333)] = 483731,
  [SMALL_STATE(8334)] = 483755,
  [SMALL_STATE(8335)] = 483775,
  [SMALL_STATE(8336)] = 483799,
  [SMALL_STATE(8337)] = 483823,
  [SMALL_STATE(8338)] = 483841,
  [SMALL_STATE(8339)] = 483865,
  [SMALL_STATE(8340)] = 483885,
  [SMALL_STATE(8341)] = 483909,
  [SMALL_STATE(8342)] = 483929,
  [SMALL_STATE(8343)] = 483953,
  [SMALL_STATE(8344)] = 483977,
  [SMALL_STATE(8345)] = 484001,
  [SMALL_STATE(8346)] = 484023,
  [SMALL_STATE(8347)] = 484045,
  [SMALL_STATE(8348)] = 484065,
  [SMALL_STATE(8349)] = 484079,
  [SMALL_STATE(8350)] = 484105,
  [SMALL_STATE(8351)] = 484125,
  [SMALL_STATE(8352)] = 484151,
  [SMALL_STATE(8353)] = 484173,
  [SMALL_STATE(8354)] = 484195,
  [SMALL_STATE(8355)] = 484209,
  [SMALL_STATE(8356)] = 484231,
  [SMALL_STATE(8357)] = 484249,
  [SMALL_STATE(8358)] = 484269,
  [SMALL_STATE(8359)] = 484293,
  [SMALL_STATE(8360)] = 484319,
  [SMALL_STATE(8361)] = 484337,
  [SMALL_STATE(8362)] = 484359,
  [SMALL_STATE(8363)] = 484379,
  [SMALL_STATE(8364)] = 484399,
  [SMALL_STATE(8365)] = 484421,
  [SMALL_STATE(8366)] = 484445,
  [SMALL_STATE(8367)] = 484467,
  [SMALL_STATE(8368)] = 484487,
  [SMALL_STATE(8369)] = 484509,
  [SMALL_STATE(8370)] = 484533,
  [SMALL_STATE(8371)] = 484553,
  [SMALL_STATE(8372)] = 484579,
  [SMALL_STATE(8373)] = 484603,
  [SMALL_STATE(8374)] = 484629,
  [SMALL_STATE(8375)] = 484649,
  [SMALL_STATE(8376)] = 484673,
  [SMALL_STATE(8377)] = 484697,
  [SMALL_STATE(8378)] = 484721,
  [SMALL_STATE(8379)] = 484745,
  [SMALL_STATE(8380)] = 484763,
  [SMALL_STATE(8381)] = 484789,
  [SMALL_STATE(8382)] = 484809,
  [SMALL_STATE(8383)] = 484833,
  [SMALL_STATE(8384)] = 484855,
  [SMALL_STATE(8385)] = 484879,
  [SMALL_STATE(8386)] = 484903,
  [SMALL_STATE(8387)] = 484917,
  [SMALL_STATE(8388)] = 484941,
  [SMALL_STATE(8389)] = 484961,
  [SMALL_STATE(8390)] = 484987,
  [SMALL_STATE(8391)] = 485011,
  [SMALL_STATE(8392)] = 485035,
  [SMALL_STATE(8393)] = 485059,
  [SMALL_STATE(8394)] = 485081,
  [SMALL_STATE(8395)] = 485095,
  [SMALL_STATE(8396)] = 485109,
  [SMALL_STATE(8397)] = 485131,
  [SMALL_STATE(8398)] = 485153,
  [SMALL_STATE(8399)] = 485167,
  [SMALL_STATE(8400)] = 485189,
  [SMALL_STATE(8401)] = 485211,
  [SMALL_STATE(8402)] = 485235,
  [SMALL_STATE(8403)] = 485253,
  [SMALL_STATE(8404)] = 485275,
  [SMALL_STATE(8405)] = 485297,
  [SMALL_STATE(8406)] = 485317,
  [SMALL_STATE(8407)] = 485341,
  [SMALL_STATE(8408)] = 485365,
  [SMALL_STATE(8409)] = 485389,
  [SMALL_STATE(8410)] = 485411,
  [SMALL_STATE(8411)] = 485433,
  [SMALL_STATE(8412)] = 485455,
  [SMALL_STATE(8413)] = 485479,
  [SMALL_STATE(8414)] = 485505,
  [SMALL_STATE(8415)] = 485529,
  [SMALL_STATE(8416)] = 485555,
  [SMALL_STATE(8417)] = 485569,
  [SMALL_STATE(8418)] = 485589,
  [SMALL_STATE(8419)] = 485613,
  [SMALL_STATE(8420)] = 485627,
  [SMALL_STATE(8421)] = 485641,
  [SMALL_STATE(8422)] = 485663,
  [SMALL_STATE(8423)] = 485689,
  [SMALL_STATE(8424)] = 485713,
  [SMALL_STATE(8425)] = 485735,
  [SMALL_STATE(8426)] = 485755,
  [SMALL_STATE(8427)] = 485779,
  [SMALL_STATE(8428)] = 485803,
  [SMALL_STATE(8429)] = 485821,
  [SMALL_STATE(8430)] = 485843,
  [SMALL_STATE(8431)] = 485867,
  [SMALL_STATE(8432)] = 485891,
  [SMALL_STATE(8433)] = 485915,
  [SMALL_STATE(8434)] = 485941,
  [SMALL_STATE(8435)] = 485967,
  [SMALL_STATE(8436)] = 485991,
  [SMALL_STATE(8437)] = 486013,
  [SMALL_STATE(8438)] = 486027,
  [SMALL_STATE(8439)] = 486051,
  [SMALL_STATE(8440)] = 486065,
  [SMALL_STATE(8441)] = 486087,
  [SMALL_STATE(8442)] = 486109,
  [SMALL_STATE(8443)] = 486133,
  [SMALL_STATE(8444)] = 486157,
  [SMALL_STATE(8445)] = 486181,
  [SMALL_STATE(8446)] = 486207,
  [SMALL_STATE(8447)] = 486229,
  [SMALL_STATE(8448)] = 486247,
  [SMALL_STATE(8449)] = 486261,
  [SMALL_STATE(8450)] = 486281,
  [SMALL_STATE(8451)] = 486305,
  [SMALL_STATE(8452)] = 486323,
  [SMALL_STATE(8453)] = 486337,
  [SMALL_STATE(8454)] = 486351,
  [SMALL_STATE(8455)] = 486365,
  [SMALL_STATE(8456)] = 486383,
  [SMALL_STATE(8457)] = 486409,
  [SMALL_STATE(8458)] = 486423,
  [SMALL_STATE(8459)] = 486449,
  [SMALL_STATE(8460)] = 486473,
  [SMALL_STATE(8461)] = 486491,
  [SMALL_STATE(8462)] = 486515,
  [SMALL_STATE(8463)] = 486541,
  [SMALL_STATE(8464)] = 486561,
  [SMALL_STATE(8465)] = 486585,
  [SMALL_STATE(8466)] = 486599,
  [SMALL_STATE(8467)] = 486621,
  [SMALL_STATE(8468)] = 486645,
  [SMALL_STATE(8469)] = 486667,
  [SMALL_STATE(8470)] = 486681,
  [SMALL_STATE(8471)] = 486701,
  [SMALL_STATE(8472)] = 486725,
  [SMALL_STATE(8473)] = 486749,
  [SMALL_STATE(8474)] = 486773,
  [SMALL_STATE(8475)] = 486787,
  [SMALL_STATE(8476)] = 486811,
  [SMALL_STATE(8477)] = 486835,
  [SMALL_STATE(8478)] = 486859,
  [SMALL_STATE(8479)] = 486879,
  [SMALL_STATE(8480)] = 486901,
  [SMALL_STATE(8481)] = 486927,
  [SMALL_STATE(8482)] = 486953,
  [SMALL_STATE(8483)] = 486969,
  [SMALL_STATE(8484)] = 486993,
  [SMALL_STATE(8485)] = 487015,
  [SMALL_STATE(8486)] = 487037,
  [SMALL_STATE(8487)] = 487057,
  [SMALL_STATE(8488)] = 487081,
  [SMALL_STATE(8489)] = 487105,
  [SMALL_STATE(8490)] = 487129,
  [SMALL_STATE(8491)] = 487143,
  [SMALL_STATE(8492)] = 487163,
  [SMALL_STATE(8493)] = 487185,
  [SMALL_STATE(8494)] = 487199,
  [SMALL_STATE(8495)] = 487213,
  [SMALL_STATE(8496)] = 487227,
  [SMALL_STATE(8497)] = 487251,
  [SMALL_STATE(8498)] = 487275,
  [SMALL_STATE(8499)] = 487299,
  [SMALL_STATE(8500)] = 487323,
  [SMALL_STATE(8501)] = 487341,
  [SMALL_STATE(8502)] = 487361,
  [SMALL_STATE(8503)] = 487385,
  [SMALL_STATE(8504)] = 487409,
  [SMALL_STATE(8505)] = 487429,
  [SMALL_STATE(8506)] = 487455,
  [SMALL_STATE(8507)] = 487469,
  [SMALL_STATE(8508)] = 487487,
  [SMALL_STATE(8509)] = 487507,
  [SMALL_STATE(8510)] = 487533,
  [SMALL_STATE(8511)] = 487550,
  [SMALL_STATE(8512)] = 487569,
  [SMALL_STATE(8513)] = 487588,
  [SMALL_STATE(8514)] = 487605,
  [SMALL_STATE(8515)] = 487628,
  [SMALL_STATE(8516)] = 487651,
  [SMALL_STATE(8517)] = 487668,
  [SMALL_STATE(8518)] = 487689,
  [SMALL_STATE(8519)] = 487706,
  [SMALL_STATE(8520)] = 487723,
  [SMALL_STATE(8521)] = 487746,
  [SMALL_STATE(8522)] = 487769,
  [SMALL_STATE(8523)] = 487792,
  [SMALL_STATE(8524)] = 487805,
  [SMALL_STATE(8525)] = 487828,
  [SMALL_STATE(8526)] = 487845,
  [SMALL_STATE(8527)] = 487862,
  [SMALL_STATE(8528)] = 487885,
  [SMALL_STATE(8529)] = 487908,
  [SMALL_STATE(8530)] = 487925,
  [SMALL_STATE(8531)] = 487948,
  [SMALL_STATE(8532)] = 487971,
  [SMALL_STATE(8533)] = 487988,
  [SMALL_STATE(8534)] = 488005,
  [SMALL_STATE(8535)] = 488026,
  [SMALL_STATE(8536)] = 488043,
  [SMALL_STATE(8537)] = 488066,
  [SMALL_STATE(8538)] = 488085,
  [SMALL_STATE(8539)] = 488108,
  [SMALL_STATE(8540)] = 488125,
  [SMALL_STATE(8541)] = 488148,
  [SMALL_STATE(8542)] = 488171,
  [SMALL_STATE(8543)] = 488194,
  [SMALL_STATE(8544)] = 488217,
  [SMALL_STATE(8545)] = 488234,
  [SMALL_STATE(8546)] = 488251,
  [SMALL_STATE(8547)] = 488268,
  [SMALL_STATE(8548)] = 488281,
  [SMALL_STATE(8549)] = 488304,
  [SMALL_STATE(8550)] = 488327,
  [SMALL_STATE(8551)] = 488344,
  [SMALL_STATE(8552)] = 488357,
  [SMALL_STATE(8553)] = 488374,
  [SMALL_STATE(8554)] = 488393,
  [SMALL_STATE(8555)] = 488416,
  [SMALL_STATE(8556)] = 488439,
  [SMALL_STATE(8557)] = 488458,
  [SMALL_STATE(8558)] = 488477,
  [SMALL_STATE(8559)] = 488494,
  [SMALL_STATE(8560)] = 488517,
  [SMALL_STATE(8561)] = 488540,
  [SMALL_STATE(8562)] = 488557,
  [SMALL_STATE(8563)] = 488580,
  [SMALL_STATE(8564)] = 488597,
  [SMALL_STATE(8565)] = 488614,
  [SMALL_STATE(8566)] = 488633,
  [SMALL_STATE(8567)] = 488656,
  [SMALL_STATE(8568)] = 488679,
  [SMALL_STATE(8569)] = 488702,
  [SMALL_STATE(8570)] = 488719,
  [SMALL_STATE(8571)] = 488736,
  [SMALL_STATE(8572)] = 488753,
  [SMALL_STATE(8573)] = 488774,
  [SMALL_STATE(8574)] = 488791,
  [SMALL_STATE(8575)] = 488808,
  [SMALL_STATE(8576)] = 488825,
  [SMALL_STATE(8577)] = 488842,
  [SMALL_STATE(8578)] = 488859,
  [SMALL_STATE(8579)] = 488876,
  [SMALL_STATE(8580)] = 488897,
  [SMALL_STATE(8581)] = 488916,
  [SMALL_STATE(8582)] = 488937,
  [SMALL_STATE(8583)] = 488958,
  [SMALL_STATE(8584)] = 488979,
  [SMALL_STATE(8585)] = 489002,
  [SMALL_STATE(8586)] = 489025,
  [SMALL_STATE(8587)] = 489046,
  [SMALL_STATE(8588)] = 489067,
  [SMALL_STATE(8589)] = 489088,
  [SMALL_STATE(8590)] = 489105,
  [SMALL_STATE(8591)] = 489118,
  [SMALL_STATE(8592)] = 489131,
  [SMALL_STATE(8593)] = 489152,
  [SMALL_STATE(8594)] = 489169,
  [SMALL_STATE(8595)] = 489186,
  [SMALL_STATE(8596)] = 489203,
  [SMALL_STATE(8597)] = 489220,
  [SMALL_STATE(8598)] = 489237,
  [SMALL_STATE(8599)] = 489258,
  [SMALL_STATE(8600)] = 489279,
  [SMALL_STATE(8601)] = 489292,
  [SMALL_STATE(8602)] = 489309,
  [SMALL_STATE(8603)] = 489330,
  [SMALL_STATE(8604)] = 489343,
  [SMALL_STATE(8605)] = 489364,
  [SMALL_STATE(8606)] = 489377,
  [SMALL_STATE(8607)] = 489394,
  [SMALL_STATE(8608)] = 489407,
  [SMALL_STATE(8609)] = 489420,
  [SMALL_STATE(8610)] = 489433,
  [SMALL_STATE(8611)] = 489446,
  [SMALL_STATE(8612)] = 489467,
  [SMALL_STATE(8613)] = 489488,
  [SMALL_STATE(8614)] = 489505,
  [SMALL_STATE(8615)] = 489526,
  [SMALL_STATE(8616)] = 489539,
  [SMALL_STATE(8617)] = 489552,
  [SMALL_STATE(8618)] = 489573,
  [SMALL_STATE(8619)] = 489586,
  [SMALL_STATE(8620)] = 489609,
  [SMALL_STATE(8621)] = 489626,
  [SMALL_STATE(8622)] = 489643,
  [SMALL_STATE(8623)] = 489664,
  [SMALL_STATE(8624)] = 489687,
  [SMALL_STATE(8625)] = 489708,
  [SMALL_STATE(8626)] = 489721,
  [SMALL_STATE(8627)] = 489734,
  [SMALL_STATE(8628)] = 489751,
  [SMALL_STATE(8629)] = 489770,
  [SMALL_STATE(8630)] = 489787,
  [SMALL_STATE(8631)] = 489800,
  [SMALL_STATE(8632)] = 489817,
  [SMALL_STATE(8633)] = 489838,
  [SMALL_STATE(8634)] = 489859,
  [SMALL_STATE(8635)] = 489880,
  [SMALL_STATE(8636)] = 489897,
  [SMALL_STATE(8637)] = 489918,
  [SMALL_STATE(8638)] = 489935,
  [SMALL_STATE(8639)] = 489952,
  [SMALL_STATE(8640)] = 489969,
  [SMALL_STATE(8641)] = 489986,
  [SMALL_STATE(8642)] = 490003,
  [SMALL_STATE(8643)] = 490022,
  [SMALL_STATE(8644)] = 490039,
  [SMALL_STATE(8645)] = 490056,
  [SMALL_STATE(8646)] = 490073,
  [SMALL_STATE(8647)] = 490090,
  [SMALL_STATE(8648)] = 490107,
  [SMALL_STATE(8649)] = 490124,
  [SMALL_STATE(8650)] = 490145,
  [SMALL_STATE(8651)] = 490162,
  [SMALL_STATE(8652)] = 490183,
  [SMALL_STATE(8653)] = 490202,
  [SMALL_STATE(8654)] = 490219,
  [SMALL_STATE(8655)] = 490232,
  [SMALL_STATE(8656)] = 490245,
  [SMALL_STATE(8657)] = 490258,
  [SMALL_STATE(8658)] = 490277,
  [SMALL_STATE(8659)] = 490292,
  [SMALL_STATE(8660)] = 490311,
  [SMALL_STATE(8661)] = 490334,
  [SMALL_STATE(8662)] = 490355,
  [SMALL_STATE(8663)] = 490378,
  [SMALL_STATE(8664)] = 490399,
  [SMALL_STATE(8665)] = 490416,
  [SMALL_STATE(8666)] = 490435,
  [SMALL_STATE(8667)] = 490456,
  [SMALL_STATE(8668)] = 490477,
  [SMALL_STATE(8669)] = 490494,
  [SMALL_STATE(8670)] = 490511,
  [SMALL_STATE(8671)] = 490530,
  [SMALL_STATE(8672)] = 490551,
  [SMALL_STATE(8673)] = 490572,
  [SMALL_STATE(8674)] = 490591,
  [SMALL_STATE(8675)] = 490612,
  [SMALL_STATE(8676)] = 490633,
  [SMALL_STATE(8677)] = 490654,
  [SMALL_STATE(8678)] = 490675,
  [SMALL_STATE(8679)] = 490696,
  [SMALL_STATE(8680)] = 490715,
  [SMALL_STATE(8681)] = 490732,
  [SMALL_STATE(8682)] = 490753,
  [SMALL_STATE(8683)] = 490774,
  [SMALL_STATE(8684)] = 490791,
  [SMALL_STATE(8685)] = 490808,
  [SMALL_STATE(8686)] = 490825,
  [SMALL_STATE(8687)] = 490846,
  [SMALL_STATE(8688)] = 490867,
  [SMALL_STATE(8689)] = 490886,
  [SMALL_STATE(8690)] = 490905,
  [SMALL_STATE(8691)] = 490922,
  [SMALL_STATE(8692)] = 490943,
  [SMALL_STATE(8693)] = 490964,
  [SMALL_STATE(8694)] = 490983,
  [SMALL_STATE(8695)] = 491004,
  [SMALL_STATE(8696)] = 491023,
  [SMALL_STATE(8697)] = 491040,
  [SMALL_STATE(8698)] = 491057,
  [SMALL_STATE(8699)] = 491074,
  [SMALL_STATE(8700)] = 491093,
  [SMALL_STATE(8701)] = 491114,
  [SMALL_STATE(8702)] = 491133,
  [SMALL_STATE(8703)] = 491152,
  [SMALL_STATE(8704)] = 491169,
  [SMALL_STATE(8705)] = 491186,
  [SMALL_STATE(8706)] = 491207,
  [SMALL_STATE(8707)] = 491222,
  [SMALL_STATE(8708)] = 491241,
  [SMALL_STATE(8709)] = 491262,
  [SMALL_STATE(8710)] = 491281,
  [SMALL_STATE(8711)] = 491294,
  [SMALL_STATE(8712)] = 491315,
  [SMALL_STATE(8713)] = 491334,
  [SMALL_STATE(8714)] = 491347,
  [SMALL_STATE(8715)] = 491366,
  [SMALL_STATE(8716)] = 491385,
  [SMALL_STATE(8717)] = 491402,
  [SMALL_STATE(8718)] = 491421,
  [SMALL_STATE(8719)] = 491440,
  [SMALL_STATE(8720)] = 491457,
  [SMALL_STATE(8721)] = 491478,
  [SMALL_STATE(8722)] = 491497,
  [SMALL_STATE(8723)] = 491514,
  [SMALL_STATE(8724)] = 491537,
  [SMALL_STATE(8725)] = 491554,
  [SMALL_STATE(8726)] = 491573,
  [SMALL_STATE(8727)] = 491592,
  [SMALL_STATE(8728)] = 491609,
  [SMALL_STATE(8729)] = 491628,
  [SMALL_STATE(8730)] = 491647,
  [SMALL_STATE(8731)] = 491666,
  [SMALL_STATE(8732)] = 491687,
  [SMALL_STATE(8733)] = 491706,
  [SMALL_STATE(8734)] = 491727,
  [SMALL_STATE(8735)] = 491748,
  [SMALL_STATE(8736)] = 491769,
  [SMALL_STATE(8737)] = 491790,
  [SMALL_STATE(8738)] = 491811,
  [SMALL_STATE(8739)] = 491824,
  [SMALL_STATE(8740)] = 491843,
  [SMALL_STATE(8741)] = 491864,
  [SMALL_STATE(8742)] = 491881,
  [SMALL_STATE(8743)] = 491898,
  [SMALL_STATE(8744)] = 491919,
  [SMALL_STATE(8745)] = 491940,
  [SMALL_STATE(8746)] = 491961,
  [SMALL_STATE(8747)] = 491974,
  [SMALL_STATE(8748)] = 491995,
  [SMALL_STATE(8749)] = 492016,
  [SMALL_STATE(8750)] = 492037,
  [SMALL_STATE(8751)] = 492056,
  [SMALL_STATE(8752)] = 492077,
  [SMALL_STATE(8753)] = 492096,
  [SMALL_STATE(8754)] = 492109,
  [SMALL_STATE(8755)] = 492128,
  [SMALL_STATE(8756)] = 492149,
  [SMALL_STATE(8757)] = 492166,
  [SMALL_STATE(8758)] = 492179,
  [SMALL_STATE(8759)] = 492198,
  [SMALL_STATE(8760)] = 492219,
  [SMALL_STATE(8761)] = 492236,
  [SMALL_STATE(8762)] = 492255,
  [SMALL_STATE(8763)] = 492274,
  [SMALL_STATE(8764)] = 492293,
  [SMALL_STATE(8765)] = 492310,
  [SMALL_STATE(8766)] = 492327,
  [SMALL_STATE(8767)] = 492348,
  [SMALL_STATE(8768)] = 492361,
  [SMALL_STATE(8769)] = 492382,
  [SMALL_STATE(8770)] = 492401,
  [SMALL_STATE(8771)] = 492414,
  [SMALL_STATE(8772)] = 492427,
  [SMALL_STATE(8773)] = 492448,
  [SMALL_STATE(8774)] = 492469,
  [SMALL_STATE(8775)] = 492490,
  [SMALL_STATE(8776)] = 492511,
  [SMALL_STATE(8777)] = 492524,
  [SMALL_STATE(8778)] = 492537,
  [SMALL_STATE(8779)] = 492550,
  [SMALL_STATE(8780)] = 492563,
  [SMALL_STATE(8781)] = 492576,
  [SMALL_STATE(8782)] = 492589,
  [SMALL_STATE(8783)] = 492602,
  [SMALL_STATE(8784)] = 492625,
  [SMALL_STATE(8785)] = 492640,
  [SMALL_STATE(8786)] = 492655,
  [SMALL_STATE(8787)] = 492676,
  [SMALL_STATE(8788)] = 492697,
  [SMALL_STATE(8789)] = 492718,
  [SMALL_STATE(8790)] = 492739,
  [SMALL_STATE(8791)] = 492760,
  [SMALL_STATE(8792)] = 492779,
  [SMALL_STATE(8793)] = 492800,
  [SMALL_STATE(8794)] = 492817,
  [SMALL_STATE(8795)] = 492836,
  [SMALL_STATE(8796)] = 492855,
  [SMALL_STATE(8797)] = 492876,
  [SMALL_STATE(8798)] = 492897,
  [SMALL_STATE(8799)] = 492914,
  [SMALL_STATE(8800)] = 492933,
  [SMALL_STATE(8801)] = 492952,
  [SMALL_STATE(8802)] = 492973,
  [SMALL_STATE(8803)] = 492990,
  [SMALL_STATE(8804)] = 493007,
  [SMALL_STATE(8805)] = 493026,
  [SMALL_STATE(8806)] = 493045,
  [SMALL_STATE(8807)] = 493064,
  [SMALL_STATE(8808)] = 493087,
  [SMALL_STATE(8809)] = 493110,
  [SMALL_STATE(8810)] = 493127,
  [SMALL_STATE(8811)] = 493148,
  [SMALL_STATE(8812)] = 493167,
  [SMALL_STATE(8813)] = 493184,
  [SMALL_STATE(8814)] = 493205,
  [SMALL_STATE(8815)] = 493222,
  [SMALL_STATE(8816)] = 493239,
  [SMALL_STATE(8817)] = 493260,
  [SMALL_STATE(8818)] = 493281,
  [SMALL_STATE(8819)] = 493302,
  [SMALL_STATE(8820)] = 493323,
  [SMALL_STATE(8821)] = 493342,
  [SMALL_STATE(8822)] = 493361,
  [SMALL_STATE(8823)] = 493378,
  [SMALL_STATE(8824)] = 493399,
  [SMALL_STATE(8825)] = 493420,
  [SMALL_STATE(8826)] = 493439,
  [SMALL_STATE(8827)] = 493458,
  [SMALL_STATE(8828)] = 493475,
  [SMALL_STATE(8829)] = 493496,
  [SMALL_STATE(8830)] = 493513,
  [SMALL_STATE(8831)] = 493532,
  [SMALL_STATE(8832)] = 493549,
  [SMALL_STATE(8833)] = 493566,
  [SMALL_STATE(8834)] = 493583,
  [SMALL_STATE(8835)] = 493602,
  [SMALL_STATE(8836)] = 493623,
  [SMALL_STATE(8837)] = 493640,
  [SMALL_STATE(8838)] = 493657,
  [SMALL_STATE(8839)] = 493678,
  [SMALL_STATE(8840)] = 493697,
  [SMALL_STATE(8841)] = 493718,
  [SMALL_STATE(8842)] = 493737,
  [SMALL_STATE(8843)] = 493758,
  [SMALL_STATE(8844)] = 493779,
  [SMALL_STATE(8845)] = 493800,
  [SMALL_STATE(8846)] = 493819,
  [SMALL_STATE(8847)] = 493840,
  [SMALL_STATE(8848)] = 493861,
  [SMALL_STATE(8849)] = 493880,
  [SMALL_STATE(8850)] = 493897,
  [SMALL_STATE(8851)] = 493918,
  [SMALL_STATE(8852)] = 493937,
  [SMALL_STATE(8853)] = 493958,
  [SMALL_STATE(8854)] = 493977,
  [SMALL_STATE(8855)] = 493996,
  [SMALL_STATE(8856)] = 494009,
  [SMALL_STATE(8857)] = 494028,
  [SMALL_STATE(8858)] = 494049,
  [SMALL_STATE(8859)] = 494070,
  [SMALL_STATE(8860)] = 494091,
  [SMALL_STATE(8861)] = 494110,
  [SMALL_STATE(8862)] = 494131,
  [SMALL_STATE(8863)] = 494152,
  [SMALL_STATE(8864)] = 494173,
  [SMALL_STATE(8865)] = 494194,
  [SMALL_STATE(8866)] = 494211,
  [SMALL_STATE(8867)] = 494232,
  [SMALL_STATE(8868)] = 494253,
  [SMALL_STATE(8869)] = 494274,
  [SMALL_STATE(8870)] = 494293,
  [SMALL_STATE(8871)] = 494312,
  [SMALL_STATE(8872)] = 494333,
  [SMALL_STATE(8873)] = 494350,
  [SMALL_STATE(8874)] = 494369,
  [SMALL_STATE(8875)] = 494390,
  [SMALL_STATE(8876)] = 494405,
  [SMALL_STATE(8877)] = 494426,
  [SMALL_STATE(8878)] = 494439,
  [SMALL_STATE(8879)] = 494454,
  [SMALL_STATE(8880)] = 494471,
  [SMALL_STATE(8881)] = 494490,
  [SMALL_STATE(8882)] = 494507,
  [SMALL_STATE(8883)] = 494528,
  [SMALL_STATE(8884)] = 494547,
  [SMALL_STATE(8885)] = 494560,
  [SMALL_STATE(8886)] = 494581,
  [SMALL_STATE(8887)] = 494600,
  [SMALL_STATE(8888)] = 494619,
  [SMALL_STATE(8889)] = 494640,
  [SMALL_STATE(8890)] = 494657,
  [SMALL_STATE(8891)] = 494676,
  [SMALL_STATE(8892)] = 494697,
  [SMALL_STATE(8893)] = 494718,
  [SMALL_STATE(8894)] = 494739,
  [SMALL_STATE(8895)] = 494760,
  [SMALL_STATE(8896)] = 494777,
  [SMALL_STATE(8897)] = 494796,
  [SMALL_STATE(8898)] = 494813,
  [SMALL_STATE(8899)] = 494829,
  [SMALL_STATE(8900)] = 494845,
  [SMALL_STATE(8901)] = 494863,
  [SMALL_STATE(8902)] = 494879,
  [SMALL_STATE(8903)] = 494895,
  [SMALL_STATE(8904)] = 494911,
  [SMALL_STATE(8905)] = 494931,
  [SMALL_STATE(8906)] = 494949,
  [SMALL_STATE(8907)] = 494961,
  [SMALL_STATE(8908)] = 494977,
  [SMALL_STATE(8909)] = 494995,
  [SMALL_STATE(8910)] = 495013,
  [SMALL_STATE(8911)] = 495029,
  [SMALL_STATE(8912)] = 495045,
  [SMALL_STATE(8913)] = 495061,
  [SMALL_STATE(8914)] = 495077,
  [SMALL_STATE(8915)] = 495093,
  [SMALL_STATE(8916)] = 495111,
  [SMALL_STATE(8917)] = 495127,
  [SMALL_STATE(8918)] = 495145,
  [SMALL_STATE(8919)] = 495159,
  [SMALL_STATE(8920)] = 495175,
  [SMALL_STATE(8921)] = 495191,
  [SMALL_STATE(8922)] = 495207,
  [SMALL_STATE(8923)] = 495221,
  [SMALL_STATE(8924)] = 495237,
  [SMALL_STATE(8925)] = 495253,
  [SMALL_STATE(8926)] = 495269,
  [SMALL_STATE(8927)] = 495281,
  [SMALL_STATE(8928)] = 495297,
  [SMALL_STATE(8929)] = 495313,
  [SMALL_STATE(8930)] = 495329,
  [SMALL_STATE(8931)] = 495349,
  [SMALL_STATE(8932)] = 495365,
  [SMALL_STATE(8933)] = 495381,
  [SMALL_STATE(8934)] = 495401,
  [SMALL_STATE(8935)] = 495419,
  [SMALL_STATE(8936)] = 495435,
  [SMALL_STATE(8937)] = 495451,
  [SMALL_STATE(8938)] = 495469,
  [SMALL_STATE(8939)] = 495489,
  [SMALL_STATE(8940)] = 495507,
  [SMALL_STATE(8941)] = 495525,
  [SMALL_STATE(8942)] = 495541,
  [SMALL_STATE(8943)] = 495557,
  [SMALL_STATE(8944)] = 495573,
  [SMALL_STATE(8945)] = 495589,
  [SMALL_STATE(8946)] = 495605,
  [SMALL_STATE(8947)] = 495625,
  [SMALL_STATE(8948)] = 495641,
  [SMALL_STATE(8949)] = 495657,
  [SMALL_STATE(8950)] = 495673,
  [SMALL_STATE(8951)] = 495687,
  [SMALL_STATE(8952)] = 495703,
  [SMALL_STATE(8953)] = 495719,
  [SMALL_STATE(8954)] = 495739,
  [SMALL_STATE(8955)] = 495755,
  [SMALL_STATE(8956)] = 495771,
  [SMALL_STATE(8957)] = 495789,
  [SMALL_STATE(8958)] = 495805,
  [SMALL_STATE(8959)] = 495823,
  [SMALL_STATE(8960)] = 495839,
  [SMALL_STATE(8961)] = 495855,
  [SMALL_STATE(8962)] = 495867,
  [SMALL_STATE(8963)] = 495883,
  [SMALL_STATE(8964)] = 495901,
  [SMALL_STATE(8965)] = 495917,
  [SMALL_STATE(8966)] = 495933,
  [SMALL_STATE(8967)] = 495953,
  [SMALL_STATE(8968)] = 495973,
  [SMALL_STATE(8969)] = 495989,
  [SMALL_STATE(8970)] = 496005,
  [SMALL_STATE(8971)] = 496023,
  [SMALL_STATE(8972)] = 496039,
  [SMALL_STATE(8973)] = 496055,
  [SMALL_STATE(8974)] = 496071,
  [SMALL_STATE(8975)] = 496087,
  [SMALL_STATE(8976)] = 496103,
  [SMALL_STATE(8977)] = 496119,
  [SMALL_STATE(8978)] = 496133,
  [SMALL_STATE(8979)] = 496149,
  [SMALL_STATE(8980)] = 496167,
  [SMALL_STATE(8981)] = 496181,
  [SMALL_STATE(8982)] = 496199,
  [SMALL_STATE(8983)] = 496217,
  [SMALL_STATE(8984)] = 496233,
  [SMALL_STATE(8985)] = 496249,
  [SMALL_STATE(8986)] = 496265,
  [SMALL_STATE(8987)] = 496285,
  [SMALL_STATE(8988)] = 496305,
  [SMALL_STATE(8989)] = 496321,
  [SMALL_STATE(8990)] = 496337,
  [SMALL_STATE(8991)] = 496353,
  [SMALL_STATE(8992)] = 496369,
  [SMALL_STATE(8993)] = 496385,
  [SMALL_STATE(8994)] = 496401,
  [SMALL_STATE(8995)] = 496417,
  [SMALL_STATE(8996)] = 496433,
  [SMALL_STATE(8997)] = 496449,
  [SMALL_STATE(8998)] = 496465,
  [SMALL_STATE(8999)] = 496481,
  [SMALL_STATE(9000)] = 496497,
  [SMALL_STATE(9001)] = 496513,
  [SMALL_STATE(9002)] = 496533,
  [SMALL_STATE(9003)] = 496549,
  [SMALL_STATE(9004)] = 496565,
  [SMALL_STATE(9005)] = 496581,
  [SMALL_STATE(9006)] = 496597,
  [SMALL_STATE(9007)] = 496613,
  [SMALL_STATE(9008)] = 496633,
  [SMALL_STATE(9009)] = 496649,
  [SMALL_STATE(9010)] = 496665,
  [SMALL_STATE(9011)] = 496683,
  [SMALL_STATE(9012)] = 496699,
  [SMALL_STATE(9013)] = 496715,
  [SMALL_STATE(9014)] = 496731,
  [SMALL_STATE(9015)] = 496751,
  [SMALL_STATE(9016)] = 496767,
  [SMALL_STATE(9017)] = 496783,
  [SMALL_STATE(9018)] = 496799,
  [SMALL_STATE(9019)] = 496817,
  [SMALL_STATE(9020)] = 496835,
  [SMALL_STATE(9021)] = 496851,
  [SMALL_STATE(9022)] = 496865,
  [SMALL_STATE(9023)] = 496881,
  [SMALL_STATE(9024)] = 496899,
  [SMALL_STATE(9025)] = 496919,
  [SMALL_STATE(9026)] = 496935,
  [SMALL_STATE(9027)] = 496951,
  [SMALL_STATE(9028)] = 496967,
  [SMALL_STATE(9029)] = 496985,
  [SMALL_STATE(9030)] = 497003,
  [SMALL_STATE(9031)] = 497019,
  [SMALL_STATE(9032)] = 497033,
  [SMALL_STATE(9033)] = 497049,
  [SMALL_STATE(9034)] = 497065,
  [SMALL_STATE(9035)] = 497085,
  [SMALL_STATE(9036)] = 497105,
  [SMALL_STATE(9037)] = 497121,
  [SMALL_STATE(9038)] = 497137,
  [SMALL_STATE(9039)] = 497157,
  [SMALL_STATE(9040)] = 497171,
  [SMALL_STATE(9041)] = 497183,
  [SMALL_STATE(9042)] = 497199,
  [SMALL_STATE(9043)] = 497217,
  [SMALL_STATE(9044)] = 497235,
  [SMALL_STATE(9045)] = 497251,
  [SMALL_STATE(9046)] = 497267,
  [SMALL_STATE(9047)] = 497287,
  [SMALL_STATE(9048)] = 497303,
  [SMALL_STATE(9049)] = 497319,
  [SMALL_STATE(9050)] = 497335,
  [SMALL_STATE(9051)] = 497351,
  [SMALL_STATE(9052)] = 497367,
  [SMALL_STATE(9053)] = 497383,
  [SMALL_STATE(9054)] = 497401,
  [SMALL_STATE(9055)] = 497417,
  [SMALL_STATE(9056)] = 497435,
  [SMALL_STATE(9057)] = 497451,
  [SMALL_STATE(9058)] = 497467,
  [SMALL_STATE(9059)] = 497483,
  [SMALL_STATE(9060)] = 497499,
  [SMALL_STATE(9061)] = 497517,
  [SMALL_STATE(9062)] = 497533,
  [SMALL_STATE(9063)] = 497553,
  [SMALL_STATE(9064)] = 497569,
  [SMALL_STATE(9065)] = 497589,
  [SMALL_STATE(9066)] = 497609,
  [SMALL_STATE(9067)] = 497625,
  [SMALL_STATE(9068)] = 497641,
  [SMALL_STATE(9069)] = 497657,
  [SMALL_STATE(9070)] = 497673,
  [SMALL_STATE(9071)] = 497687,
  [SMALL_STATE(9072)] = 497703,
  [SMALL_STATE(9073)] = 497719,
  [SMALL_STATE(9074)] = 497735,
  [SMALL_STATE(9075)] = 497751,
  [SMALL_STATE(9076)] = 497767,
  [SMALL_STATE(9077)] = 497783,
  [SMALL_STATE(9078)] = 497801,
  [SMALL_STATE(9079)] = 497817,
  [SMALL_STATE(9080)] = 497833,
  [SMALL_STATE(9081)] = 497849,
  [SMALL_STATE(9082)] = 497865,
  [SMALL_STATE(9083)] = 497879,
  [SMALL_STATE(9084)] = 497895,
  [SMALL_STATE(9085)] = 497911,
  [SMALL_STATE(9086)] = 497929,
  [SMALL_STATE(9087)] = 497945,
  [SMALL_STATE(9088)] = 497957,
  [SMALL_STATE(9089)] = 497973,
  [SMALL_STATE(9090)] = 497991,
  [SMALL_STATE(9091)] = 498007,
  [SMALL_STATE(9092)] = 498027,
  [SMALL_STATE(9093)] = 498047,
  [SMALL_STATE(9094)] = 498063,
  [SMALL_STATE(9095)] = 498081,
  [SMALL_STATE(9096)] = 498097,
  [SMALL_STATE(9097)] = 498117,
  [SMALL_STATE(9098)] = 498131,
  [SMALL_STATE(9099)] = 498147,
  [SMALL_STATE(9100)] = 498163,
  [SMALL_STATE(9101)] = 498179,
  [SMALL_STATE(9102)] = 498195,
  [SMALL_STATE(9103)] = 498211,
  [SMALL_STATE(9104)] = 498227,
  [SMALL_STATE(9105)] = 498243,
  [SMALL_STATE(9106)] = 498263,
  [SMALL_STATE(9107)] = 498279,
  [SMALL_STATE(9108)] = 498295,
  [SMALL_STATE(9109)] = 498311,
  [SMALL_STATE(9110)] = 498331,
  [SMALL_STATE(9111)] = 498347,
  [SMALL_STATE(9112)] = 498363,
  [SMALL_STATE(9113)] = 498379,
  [SMALL_STATE(9114)] = 498395,
  [SMALL_STATE(9115)] = 498411,
  [SMALL_STATE(9116)] = 498429,
  [SMALL_STATE(9117)] = 498445,
  [SMALL_STATE(9118)] = 498461,
  [SMALL_STATE(9119)] = 498479,
  [SMALL_STATE(9120)] = 498495,
  [SMALL_STATE(9121)] = 498511,
  [SMALL_STATE(9122)] = 498527,
  [SMALL_STATE(9123)] = 498543,
  [SMALL_STATE(9124)] = 498563,
  [SMALL_STATE(9125)] = 498583,
  [SMALL_STATE(9126)] = 498603,
  [SMALL_STATE(9127)] = 498619,
  [SMALL_STATE(9128)] = 498639,
  [SMALL_STATE(9129)] = 498655,
  [SMALL_STATE(9130)] = 498667,
  [SMALL_STATE(9131)] = 498685,
  [SMALL_STATE(9132)] = 498701,
  [SMALL_STATE(9133)] = 498717,
  [SMALL_STATE(9134)] = 498737,
  [SMALL_STATE(9135)] = 498753,
  [SMALL_STATE(9136)] = 498769,
  [SMALL_STATE(9137)] = 498785,
  [SMALL_STATE(9138)] = 498805,
  [SMALL_STATE(9139)] = 498821,
  [SMALL_STATE(9140)] = 498837,
  [SMALL_STATE(9141)] = 498853,
  [SMALL_STATE(9142)] = 498869,
  [SMALL_STATE(9143)] = 498885,
  [SMALL_STATE(9144)] = 498901,
  [SMALL_STATE(9145)] = 498915,
  [SMALL_STATE(9146)] = 498931,
  [SMALL_STATE(9147)] = 498949,
  [SMALL_STATE(9148)] = 498965,
  [SMALL_STATE(9149)] = 498981,
  [SMALL_STATE(9150)] = 498997,
  [SMALL_STATE(9151)] = 499015,
  [SMALL_STATE(9152)] = 499035,
  [SMALL_STATE(9153)] = 499053,
  [SMALL_STATE(9154)] = 499073,
  [SMALL_STATE(9155)] = 499089,
  [SMALL_STATE(9156)] = 499105,
  [SMALL_STATE(9157)] = 499121,
  [SMALL_STATE(9158)] = 499137,
  [SMALL_STATE(9159)] = 499153,
  [SMALL_STATE(9160)] = 499169,
  [SMALL_STATE(9161)] = 499185,
  [SMALL_STATE(9162)] = 499201,
  [SMALL_STATE(9163)] = 499217,
  [SMALL_STATE(9164)] = 499233,
  [SMALL_STATE(9165)] = 499249,
  [SMALL_STATE(9166)] = 499265,
  [SMALL_STATE(9167)] = 499281,
  [SMALL_STATE(9168)] = 499297,
  [SMALL_STATE(9169)] = 499313,
  [SMALL_STATE(9170)] = 499329,
  [SMALL_STATE(9171)] = 499345,
  [SMALL_STATE(9172)] = 499361,
  [SMALL_STATE(9173)] = 499377,
  [SMALL_STATE(9174)] = 499393,
  [SMALL_STATE(9175)] = 499413,
  [SMALL_STATE(9176)] = 499429,
  [SMALL_STATE(9177)] = 499445,
  [SMALL_STATE(9178)] = 499461,
  [SMALL_STATE(9179)] = 499477,
  [SMALL_STATE(9180)] = 499493,
  [SMALL_STATE(9181)] = 499509,
  [SMALL_STATE(9182)] = 499527,
  [SMALL_STATE(9183)] = 499543,
  [SMALL_STATE(9184)] = 499559,
  [SMALL_STATE(9185)] = 499575,
  [SMALL_STATE(9186)] = 499591,
  [SMALL_STATE(9187)] = 499607,
  [SMALL_STATE(9188)] = 499623,
  [SMALL_STATE(9189)] = 499639,
  [SMALL_STATE(9190)] = 499655,
  [SMALL_STATE(9191)] = 499671,
  [SMALL_STATE(9192)] = 499687,
  [SMALL_STATE(9193)] = 499705,
  [SMALL_STATE(9194)] = 499721,
  [SMALL_STATE(9195)] = 499733,
  [SMALL_STATE(9196)] = 499749,
  [SMALL_STATE(9197)] = 499765,
  [SMALL_STATE(9198)] = 499781,
  [SMALL_STATE(9199)] = 499797,
  [SMALL_STATE(9200)] = 499813,
  [SMALL_STATE(9201)] = 499833,
  [SMALL_STATE(9202)] = 499851,
  [SMALL_STATE(9203)] = 499867,
  [SMALL_STATE(9204)] = 499883,
  [SMALL_STATE(9205)] = 499899,
  [SMALL_STATE(9206)] = 499915,
  [SMALL_STATE(9207)] = 499931,
  [SMALL_STATE(9208)] = 499947,
  [SMALL_STATE(9209)] = 499963,
  [SMALL_STATE(9210)] = 499979,
  [SMALL_STATE(9211)] = 499995,
  [SMALL_STATE(9212)] = 500011,
  [SMALL_STATE(9213)] = 500027,
  [SMALL_STATE(9214)] = 500043,
  [SMALL_STATE(9215)] = 500059,
  [SMALL_STATE(9216)] = 500075,
  [SMALL_STATE(9217)] = 500095,
  [SMALL_STATE(9218)] = 500109,
  [SMALL_STATE(9219)] = 500125,
  [SMALL_STATE(9220)] = 500139,
  [SMALL_STATE(9221)] = 500155,
  [SMALL_STATE(9222)] = 500171,
  [SMALL_STATE(9223)] = 500187,
  [SMALL_STATE(9224)] = 500205,
  [SMALL_STATE(9225)] = 500221,
  [SMALL_STATE(9226)] = 500237,
  [SMALL_STATE(9227)] = 500253,
  [SMALL_STATE(9228)] = 500269,
  [SMALL_STATE(9229)] = 500285,
  [SMALL_STATE(9230)] = 500305,
  [SMALL_STATE(9231)] = 500321,
  [SMALL_STATE(9232)] = 500337,
  [SMALL_STATE(9233)] = 500353,
  [SMALL_STATE(9234)] = 500369,
  [SMALL_STATE(9235)] = 500385,
  [SMALL_STATE(9236)] = 500401,
  [SMALL_STATE(9237)] = 500417,
  [SMALL_STATE(9238)] = 500433,
  [SMALL_STATE(9239)] = 500449,
  [SMALL_STATE(9240)] = 500465,
  [SMALL_STATE(9241)] = 500481,
  [SMALL_STATE(9242)] = 500497,
  [SMALL_STATE(9243)] = 500513,
  [SMALL_STATE(9244)] = 500529,
  [SMALL_STATE(9245)] = 500547,
  [SMALL_STATE(9246)] = 500563,
  [SMALL_STATE(9247)] = 500577,
  [SMALL_STATE(9248)] = 500593,
  [SMALL_STATE(9249)] = 500607,
  [SMALL_STATE(9250)] = 500621,
  [SMALL_STATE(9251)] = 500637,
  [SMALL_STATE(9252)] = 500653,
  [SMALL_STATE(9253)] = 500669,
  [SMALL_STATE(9254)] = 500683,
  [SMALL_STATE(9255)] = 500699,
  [SMALL_STATE(9256)] = 500715,
  [SMALL_STATE(9257)] = 500733,
  [SMALL_STATE(9258)] = 500749,
  [SMALL_STATE(9259)] = 500765,
  [SMALL_STATE(9260)] = 500781,
  [SMALL_STATE(9261)] = 500797,
  [SMALL_STATE(9262)] = 500813,
  [SMALL_STATE(9263)] = 500827,
  [SMALL_STATE(9264)] = 500843,
  [SMALL_STATE(9265)] = 500859,
  [SMALL_STATE(9266)] = 500875,
  [SMALL_STATE(9267)] = 500891,
  [SMALL_STATE(9268)] = 500907,
  [SMALL_STATE(9269)] = 500923,
  [SMALL_STATE(9270)] = 500939,
  [SMALL_STATE(9271)] = 500955,
  [SMALL_STATE(9272)] = 500971,
  [SMALL_STATE(9273)] = 500987,
  [SMALL_STATE(9274)] = 501003,
  [SMALL_STATE(9275)] = 501023,
  [SMALL_STATE(9276)] = 501039,
  [SMALL_STATE(9277)] = 501053,
  [SMALL_STATE(9278)] = 501067,
  [SMALL_STATE(9279)] = 501081,
  [SMALL_STATE(9280)] = 501097,
  [SMALL_STATE(9281)] = 501113,
  [SMALL_STATE(9282)] = 501131,
  [SMALL_STATE(9283)] = 501147,
  [SMALL_STATE(9284)] = 501163,
  [SMALL_STATE(9285)] = 501179,
  [SMALL_STATE(9286)] = 501195,
  [SMALL_STATE(9287)] = 501211,
  [SMALL_STATE(9288)] = 501227,
  [SMALL_STATE(9289)] = 501243,
  [SMALL_STATE(9290)] = 501259,
  [SMALL_STATE(9291)] = 501275,
  [SMALL_STATE(9292)] = 501293,
  [SMALL_STATE(9293)] = 501309,
  [SMALL_STATE(9294)] = 501325,
  [SMALL_STATE(9295)] = 501341,
  [SMALL_STATE(9296)] = 501357,
  [SMALL_STATE(9297)] = 501375,
  [SMALL_STATE(9298)] = 501391,
  [SMALL_STATE(9299)] = 501407,
  [SMALL_STATE(9300)] = 501427,
  [SMALL_STATE(9301)] = 501443,
  [SMALL_STATE(9302)] = 501459,
  [SMALL_STATE(9303)] = 501471,
  [SMALL_STATE(9304)] = 501487,
  [SMALL_STATE(9305)] = 501501,
  [SMALL_STATE(9306)] = 501519,
  [SMALL_STATE(9307)] = 501537,
  [SMALL_STATE(9308)] = 501553,
  [SMALL_STATE(9309)] = 501571,
  [SMALL_STATE(9310)] = 501587,
  [SMALL_STATE(9311)] = 501603,
  [SMALL_STATE(9312)] = 501619,
  [SMALL_STATE(9313)] = 501635,
  [SMALL_STATE(9314)] = 501651,
  [SMALL_STATE(9315)] = 501667,
  [SMALL_STATE(9316)] = 501683,
  [SMALL_STATE(9317)] = 501699,
  [SMALL_STATE(9318)] = 501715,
  [SMALL_STATE(9319)] = 501731,
  [SMALL_STATE(9320)] = 501749,
  [SMALL_STATE(9321)] = 501765,
  [SMALL_STATE(9322)] = 501781,
  [SMALL_STATE(9323)] = 501797,
  [SMALL_STATE(9324)] = 501813,
  [SMALL_STATE(9325)] = 501829,
  [SMALL_STATE(9326)] = 501847,
  [SMALL_STATE(9327)] = 501863,
  [SMALL_STATE(9328)] = 501879,
  [SMALL_STATE(9329)] = 501897,
  [SMALL_STATE(9330)] = 501913,
  [SMALL_STATE(9331)] = 501929,
  [SMALL_STATE(9332)] = 501947,
  [SMALL_STATE(9333)] = 501963,
  [SMALL_STATE(9334)] = 501979,
  [SMALL_STATE(9335)] = 501995,
  [SMALL_STATE(9336)] = 502015,
  [SMALL_STATE(9337)] = 502031,
  [SMALL_STATE(9338)] = 502049,
  [SMALL_STATE(9339)] = 502067,
  [SMALL_STATE(9340)] = 502083,
  [SMALL_STATE(9341)] = 502099,
  [SMALL_STATE(9342)] = 502117,
  [SMALL_STATE(9343)] = 502133,
  [SMALL_STATE(9344)] = 502149,
  [SMALL_STATE(9345)] = 502163,
  [SMALL_STATE(9346)] = 502177,
  [SMALL_STATE(9347)] = 502193,
  [SMALL_STATE(9348)] = 502209,
  [SMALL_STATE(9349)] = 502225,
  [SMALL_STATE(9350)] = 502241,
  [SMALL_STATE(9351)] = 502257,
  [SMALL_STATE(9352)] = 502273,
  [SMALL_STATE(9353)] = 502289,
  [SMALL_STATE(9354)] = 502305,
  [SMALL_STATE(9355)] = 502323,
  [SMALL_STATE(9356)] = 502339,
  [SMALL_STATE(9357)] = 502355,
  [SMALL_STATE(9358)] = 502371,
  [SMALL_STATE(9359)] = 502389,
  [SMALL_STATE(9360)] = 502405,
  [SMALL_STATE(9361)] = 502423,
  [SMALL_STATE(9362)] = 502441,
  [SMALL_STATE(9363)] = 502459,
  [SMALL_STATE(9364)] = 502475,
  [SMALL_STATE(9365)] = 502491,
  [SMALL_STATE(9366)] = 502509,
  [SMALL_STATE(9367)] = 502525,
  [SMALL_STATE(9368)] = 502543,
  [SMALL_STATE(9369)] = 502559,
  [SMALL_STATE(9370)] = 502575,
  [SMALL_STATE(9371)] = 502591,
  [SMALL_STATE(9372)] = 502607,
  [SMALL_STATE(9373)] = 502623,
  [SMALL_STATE(9374)] = 502639,
  [SMALL_STATE(9375)] = 502655,
  [SMALL_STATE(9376)] = 502675,
  [SMALL_STATE(9377)] = 502691,
  [SMALL_STATE(9378)] = 502703,
  [SMALL_STATE(9379)] = 502719,
  [SMALL_STATE(9380)] = 502731,
  [SMALL_STATE(9381)] = 502747,
  [SMALL_STATE(9382)] = 502763,
  [SMALL_STATE(9383)] = 502779,
  [SMALL_STATE(9384)] = 502795,
  [SMALL_STATE(9385)] = 502811,
  [SMALL_STATE(9386)] = 502827,
  [SMALL_STATE(9387)] = 502847,
  [SMALL_STATE(9388)] = 502863,
  [SMALL_STATE(9389)] = 502881,
  [SMALL_STATE(9390)] = 502899,
  [SMALL_STATE(9391)] = 502915,
  [SMALL_STATE(9392)] = 502931,
  [SMALL_STATE(9393)] = 502949,
  [SMALL_STATE(9394)] = 502967,
  [SMALL_STATE(9395)] = 502985,
  [SMALL_STATE(9396)] = 502999,
  [SMALL_STATE(9397)] = 503017,
  [SMALL_STATE(9398)] = 503035,
  [SMALL_STATE(9399)] = 503053,
  [SMALL_STATE(9400)] = 503069,
  [SMALL_STATE(9401)] = 503085,
  [SMALL_STATE(9402)] = 503099,
  [SMALL_STATE(9403)] = 503115,
  [SMALL_STATE(9404)] = 503131,
  [SMALL_STATE(9405)] = 503147,
  [SMALL_STATE(9406)] = 503163,
  [SMALL_STATE(9407)] = 503179,
  [SMALL_STATE(9408)] = 503197,
  [SMALL_STATE(9409)] = 503215,
  [SMALL_STATE(9410)] = 503231,
  [SMALL_STATE(9411)] = 503247,
  [SMALL_STATE(9412)] = 503265,
  [SMALL_STATE(9413)] = 503283,
  [SMALL_STATE(9414)] = 503301,
  [SMALL_STATE(9415)] = 503319,
  [SMALL_STATE(9416)] = 503335,
  [SMALL_STATE(9417)] = 503351,
  [SMALL_STATE(9418)] = 503367,
  [SMALL_STATE(9419)] = 503385,
  [SMALL_STATE(9420)] = 503403,
  [SMALL_STATE(9421)] = 503419,
  [SMALL_STATE(9422)] = 503437,
  [SMALL_STATE(9423)] = 503455,
  [SMALL_STATE(9424)] = 503471,
  [SMALL_STATE(9425)] = 503489,
  [SMALL_STATE(9426)] = 503505,
  [SMALL_STATE(9427)] = 503523,
  [SMALL_STATE(9428)] = 503539,
  [SMALL_STATE(9429)] = 503555,
  [SMALL_STATE(9430)] = 503573,
  [SMALL_STATE(9431)] = 503591,
  [SMALL_STATE(9432)] = 503611,
  [SMALL_STATE(9433)] = 503627,
  [SMALL_STATE(9434)] = 503645,
  [SMALL_STATE(9435)] = 503661,
  [SMALL_STATE(9436)] = 503677,
  [SMALL_STATE(9437)] = 503695,
  [SMALL_STATE(9438)] = 503713,
  [SMALL_STATE(9439)] = 503729,
  [SMALL_STATE(9440)] = 503747,
  [SMALL_STATE(9441)] = 503765,
  [SMALL_STATE(9442)] = 503781,
  [SMALL_STATE(9443)] = 503799,
  [SMALL_STATE(9444)] = 503817,
  [SMALL_STATE(9445)] = 503833,
  [SMALL_STATE(9446)] = 503851,
  [SMALL_STATE(9447)] = 503867,
  [SMALL_STATE(9448)] = 503879,
  [SMALL_STATE(9449)] = 503897,
  [SMALL_STATE(9450)] = 503913,
  [SMALL_STATE(9451)] = 503931,
  [SMALL_STATE(9452)] = 503947,
  [SMALL_STATE(9453)] = 503965,
  [SMALL_STATE(9454)] = 503981,
  [SMALL_STATE(9455)] = 503997,
  [SMALL_STATE(9456)] = 504013,
  [SMALL_STATE(9457)] = 504029,
  [SMALL_STATE(9458)] = 504045,
  [SMALL_STATE(9459)] = 504061,
  [SMALL_STATE(9460)] = 504077,
  [SMALL_STATE(9461)] = 504093,
  [SMALL_STATE(9462)] = 504109,
  [SMALL_STATE(9463)] = 504125,
  [SMALL_STATE(9464)] = 504143,
  [SMALL_STATE(9465)] = 504161,
  [SMALL_STATE(9466)] = 504179,
  [SMALL_STATE(9467)] = 504197,
  [SMALL_STATE(9468)] = 504215,
  [SMALL_STATE(9469)] = 504231,
  [SMALL_STATE(9470)] = 504247,
  [SMALL_STATE(9471)] = 504265,
  [SMALL_STATE(9472)] = 504283,
  [SMALL_STATE(9473)] = 504301,
  [SMALL_STATE(9474)] = 504319,
  [SMALL_STATE(9475)] = 504337,
  [SMALL_STATE(9476)] = 504355,
  [SMALL_STATE(9477)] = 504371,
  [SMALL_STATE(9478)] = 504387,
  [SMALL_STATE(9479)] = 504405,
  [SMALL_STATE(9480)] = 504421,
  [SMALL_STATE(9481)] = 504437,
  [SMALL_STATE(9482)] = 504453,
  [SMALL_STATE(9483)] = 504467,
  [SMALL_STATE(9484)] = 504485,
  [SMALL_STATE(9485)] = 504501,
  [SMALL_STATE(9486)] = 504519,
  [SMALL_STATE(9487)] = 504537,
  [SMALL_STATE(9488)] = 504553,
  [SMALL_STATE(9489)] = 504571,
  [SMALL_STATE(9490)] = 504589,
  [SMALL_STATE(9491)] = 504605,
  [SMALL_STATE(9492)] = 504619,
  [SMALL_STATE(9493)] = 504635,
  [SMALL_STATE(9494)] = 504649,
  [SMALL_STATE(9495)] = 504665,
  [SMALL_STATE(9496)] = 504681,
  [SMALL_STATE(9497)] = 504695,
  [SMALL_STATE(9498)] = 504709,
  [SMALL_STATE(9499)] = 504725,
  [SMALL_STATE(9500)] = 504741,
  [SMALL_STATE(9501)] = 504759,
  [SMALL_STATE(9502)] = 504777,
  [SMALL_STATE(9503)] = 504793,
  [SMALL_STATE(9504)] = 504809,
  [SMALL_STATE(9505)] = 504827,
  [SMALL_STATE(9506)] = 504845,
  [SMALL_STATE(9507)] = 504857,
  [SMALL_STATE(9508)] = 504875,
  [SMALL_STATE(9509)] = 504891,
  [SMALL_STATE(9510)] = 504909,
  [SMALL_STATE(9511)] = 504925,
  [SMALL_STATE(9512)] = 504943,
  [SMALL_STATE(9513)] = 504959,
  [SMALL_STATE(9514)] = 504975,
  [SMALL_STATE(9515)] = 504991,
  [SMALL_STATE(9516)] = 505003,
  [SMALL_STATE(9517)] = 505019,
  [SMALL_STATE(9518)] = 505035,
  [SMALL_STATE(9519)] = 505051,
  [SMALL_STATE(9520)] = 505067,
  [SMALL_STATE(9521)] = 505085,
  [SMALL_STATE(9522)] = 505103,
  [SMALL_STATE(9523)] = 505119,
  [SMALL_STATE(9524)] = 505135,
  [SMALL_STATE(9525)] = 505153,
  [SMALL_STATE(9526)] = 505169,
  [SMALL_STATE(9527)] = 505187,
  [SMALL_STATE(9528)] = 505203,
  [SMALL_STATE(9529)] = 505219,
  [SMALL_STATE(9530)] = 505235,
  [SMALL_STATE(9531)] = 505253,
  [SMALL_STATE(9532)] = 505271,
  [SMALL_STATE(9533)] = 505285,
  [SMALL_STATE(9534)] = 505299,
  [SMALL_STATE(9535)] = 505315,
  [SMALL_STATE(9536)] = 505331,
  [SMALL_STATE(9537)] = 505347,
  [SMALL_STATE(9538)] = 505365,
  [SMALL_STATE(9539)] = 505381,
  [SMALL_STATE(9540)] = 505397,
  [SMALL_STATE(9541)] = 505413,
  [SMALL_STATE(9542)] = 505429,
  [SMALL_STATE(9543)] = 505445,
  [SMALL_STATE(9544)] = 505461,
  [SMALL_STATE(9545)] = 505477,
  [SMALL_STATE(9546)] = 505491,
  [SMALL_STATE(9547)] = 505505,
  [SMALL_STATE(9548)] = 505523,
  [SMALL_STATE(9549)] = 505539,
  [SMALL_STATE(9550)] = 505557,
  [SMALL_STATE(9551)] = 505573,
  [SMALL_STATE(9552)] = 505589,
  [SMALL_STATE(9553)] = 505605,
  [SMALL_STATE(9554)] = 505621,
  [SMALL_STATE(9555)] = 505633,
  [SMALL_STATE(9556)] = 505649,
  [SMALL_STATE(9557)] = 505667,
  [SMALL_STATE(9558)] = 505679,
  [SMALL_STATE(9559)] = 505695,
  [SMALL_STATE(9560)] = 505711,
  [SMALL_STATE(9561)] = 505727,
  [SMALL_STATE(9562)] = 505745,
  [SMALL_STATE(9563)] = 505763,
  [SMALL_STATE(9564)] = 505779,
  [SMALL_STATE(9565)] = 505795,
  [SMALL_STATE(9566)] = 505813,
  [SMALL_STATE(9567)] = 505829,
  [SMALL_STATE(9568)] = 505843,
  [SMALL_STATE(9569)] = 505861,
  [SMALL_STATE(9570)] = 505879,
  [SMALL_STATE(9571)] = 505891,
  [SMALL_STATE(9572)] = 505909,
  [SMALL_STATE(9573)] = 505925,
  [SMALL_STATE(9574)] = 505941,
  [SMALL_STATE(9575)] = 505955,
  [SMALL_STATE(9576)] = 505973,
  [SMALL_STATE(9577)] = 505989,
  [SMALL_STATE(9578)] = 506009,
  [SMALL_STATE(9579)] = 506025,
  [SMALL_STATE(9580)] = 506043,
  [SMALL_STATE(9581)] = 506061,
  [SMALL_STATE(9582)] = 506079,
  [SMALL_STATE(9583)] = 506097,
  [SMALL_STATE(9584)] = 506115,
  [SMALL_STATE(9585)] = 506133,
  [SMALL_STATE(9586)] = 506149,
  [SMALL_STATE(9587)] = 506167,
  [SMALL_STATE(9588)] = 506185,
  [SMALL_STATE(9589)] = 506201,
  [SMALL_STATE(9590)] = 506219,
  [SMALL_STATE(9591)] = 506237,
  [SMALL_STATE(9592)] = 506255,
  [SMALL_STATE(9593)] = 506273,
  [SMALL_STATE(9594)] = 506289,
  [SMALL_STATE(9595)] = 506305,
  [SMALL_STATE(9596)] = 506323,
  [SMALL_STATE(9597)] = 506341,
  [SMALL_STATE(9598)] = 506357,
  [SMALL_STATE(9599)] = 506373,
  [SMALL_STATE(9600)] = 506389,
  [SMALL_STATE(9601)] = 506405,
  [SMALL_STATE(9602)] = 506423,
  [SMALL_STATE(9603)] = 506441,
  [SMALL_STATE(9604)] = 506457,
  [SMALL_STATE(9605)] = 506473,
  [SMALL_STATE(9606)] = 506491,
  [SMALL_STATE(9607)] = 506507,
  [SMALL_STATE(9608)] = 506523,
  [SMALL_STATE(9609)] = 506541,
  [SMALL_STATE(9610)] = 506559,
  [SMALL_STATE(9611)] = 506577,
  [SMALL_STATE(9612)] = 506595,
  [SMALL_STATE(9613)] = 506613,
  [SMALL_STATE(9614)] = 506631,
  [SMALL_STATE(9615)] = 506647,
  [SMALL_STATE(9616)] = 506665,
  [SMALL_STATE(9617)] = 506683,
  [SMALL_STATE(9618)] = 506701,
  [SMALL_STATE(9619)] = 506717,
  [SMALL_STATE(9620)] = 506735,
  [SMALL_STATE(9621)] = 506753,
  [SMALL_STATE(9622)] = 506769,
  [SMALL_STATE(9623)] = 506783,
  [SMALL_STATE(9624)] = 506799,
  [SMALL_STATE(9625)] = 506817,
  [SMALL_STATE(9626)] = 506835,
  [SMALL_STATE(9627)] = 506853,
  [SMALL_STATE(9628)] = 506869,
  [SMALL_STATE(9629)] = 506885,
  [SMALL_STATE(9630)] = 506901,
  [SMALL_STATE(9631)] = 506919,
  [SMALL_STATE(9632)] = 506937,
  [SMALL_STATE(9633)] = 506953,
  [SMALL_STATE(9634)] = 506971,
  [SMALL_STATE(9635)] = 506989,
  [SMALL_STATE(9636)] = 507005,
  [SMALL_STATE(9637)] = 507021,
  [SMALL_STATE(9638)] = 507037,
  [SMALL_STATE(9639)] = 507053,
  [SMALL_STATE(9640)] = 507069,
  [SMALL_STATE(9641)] = 507087,
  [SMALL_STATE(9642)] = 507105,
  [SMALL_STATE(9643)] = 507121,
  [SMALL_STATE(9644)] = 507137,
  [SMALL_STATE(9645)] = 507155,
  [SMALL_STATE(9646)] = 507173,
  [SMALL_STATE(9647)] = 507189,
  [SMALL_STATE(9648)] = 507207,
  [SMALL_STATE(9649)] = 507225,
  [SMALL_STATE(9650)] = 507237,
  [SMALL_STATE(9651)] = 507255,
  [SMALL_STATE(9652)] = 507271,
  [SMALL_STATE(9653)] = 507289,
  [SMALL_STATE(9654)] = 507305,
  [SMALL_STATE(9655)] = 507321,
  [SMALL_STATE(9656)] = 507339,
  [SMALL_STATE(9657)] = 507355,
  [SMALL_STATE(9658)] = 507371,
  [SMALL_STATE(9659)] = 507387,
  [SMALL_STATE(9660)] = 507403,
  [SMALL_STATE(9661)] = 507419,
  [SMALL_STATE(9662)] = 507435,
  [SMALL_STATE(9663)] = 507451,
  [SMALL_STATE(9664)] = 507467,
  [SMALL_STATE(9665)] = 507485,
  [SMALL_STATE(9666)] = 507501,
  [SMALL_STATE(9667)] = 507517,
  [SMALL_STATE(9668)] = 507533,
  [SMALL_STATE(9669)] = 507549,
  [SMALL_STATE(9670)] = 507565,
  [SMALL_STATE(9671)] = 507581,
  [SMALL_STATE(9672)] = 507599,
  [SMALL_STATE(9673)] = 507617,
  [SMALL_STATE(9674)] = 507635,
  [SMALL_STATE(9675)] = 507655,
  [SMALL_STATE(9676)] = 507671,
  [SMALL_STATE(9677)] = 507689,
  [SMALL_STATE(9678)] = 507707,
  [SMALL_STATE(9679)] = 507725,
  [SMALL_STATE(9680)] = 507741,
  [SMALL_STATE(9681)] = 507756,
  [SMALL_STATE(9682)] = 507771,
  [SMALL_STATE(9683)] = 507784,
  [SMALL_STATE(9684)] = 507797,
  [SMALL_STATE(9685)] = 507810,
  [SMALL_STATE(9686)] = 507827,
  [SMALL_STATE(9687)] = 507838,
  [SMALL_STATE(9688)] = 507851,
  [SMALL_STATE(9689)] = 507864,
  [SMALL_STATE(9690)] = 507877,
  [SMALL_STATE(9691)] = 507890,
  [SMALL_STATE(9692)] = 507905,
  [SMALL_STATE(9693)] = 507918,
  [SMALL_STATE(9694)] = 507931,
  [SMALL_STATE(9695)] = 507946,
  [SMALL_STATE(9696)] = 507959,
  [SMALL_STATE(9697)] = 507972,
  [SMALL_STATE(9698)] = 507989,
  [SMALL_STATE(9699)] = 508004,
  [SMALL_STATE(9700)] = 508017,
  [SMALL_STATE(9701)] = 508030,
  [SMALL_STATE(9702)] = 508043,
  [SMALL_STATE(9703)] = 508060,
  [SMALL_STATE(9704)] = 508075,
  [SMALL_STATE(9705)] = 508088,
  [SMALL_STATE(9706)] = 508103,
  [SMALL_STATE(9707)] = 508114,
  [SMALL_STATE(9708)] = 508129,
  [SMALL_STATE(9709)] = 508142,
  [SMALL_STATE(9710)] = 508155,
  [SMALL_STATE(9711)] = 508168,
  [SMALL_STATE(9712)] = 508181,
  [SMALL_STATE(9713)] = 508194,
  [SMALL_STATE(9714)] = 508209,
  [SMALL_STATE(9715)] = 508222,
  [SMALL_STATE(9716)] = 508237,
  [SMALL_STATE(9717)] = 508248,
  [SMALL_STATE(9718)] = 508263,
  [SMALL_STATE(9719)] = 508274,
  [SMALL_STATE(9720)] = 508289,
  [SMALL_STATE(9721)] = 508300,
  [SMALL_STATE(9722)] = 508315,
  [SMALL_STATE(9723)] = 508326,
  [SMALL_STATE(9724)] = 508337,
  [SMALL_STATE(9725)] = 508350,
  [SMALL_STATE(9726)] = 508361,
  [SMALL_STATE(9727)] = 508372,
  [SMALL_STATE(9728)] = 508383,
  [SMALL_STATE(9729)] = 508394,
  [SMALL_STATE(9730)] = 508405,
  [SMALL_STATE(9731)] = 508420,
  [SMALL_STATE(9732)] = 508431,
  [SMALL_STATE(9733)] = 508442,
  [SMALL_STATE(9734)] = 508457,
  [SMALL_STATE(9735)] = 508470,
  [SMALL_STATE(9736)] = 508481,
  [SMALL_STATE(9737)] = 508492,
  [SMALL_STATE(9738)] = 508507,
  [SMALL_STATE(9739)] = 508520,
  [SMALL_STATE(9740)] = 508531,
  [SMALL_STATE(9741)] = 508542,
  [SMALL_STATE(9742)] = 508553,
  [SMALL_STATE(9743)] = 508566,
  [SMALL_STATE(9744)] = 508579,
  [SMALL_STATE(9745)] = 508590,
  [SMALL_STATE(9746)] = 508601,
  [SMALL_STATE(9747)] = 508614,
  [SMALL_STATE(9748)] = 508625,
  [SMALL_STATE(9749)] = 508638,
  [SMALL_STATE(9750)] = 508653,
  [SMALL_STATE(9751)] = 508664,
  [SMALL_STATE(9752)] = 508677,
  [SMALL_STATE(9753)] = 508688,
  [SMALL_STATE(9754)] = 508703,
  [SMALL_STATE(9755)] = 508718,
  [SMALL_STATE(9756)] = 508729,
  [SMALL_STATE(9757)] = 508740,
  [SMALL_STATE(9758)] = 508751,
  [SMALL_STATE(9759)] = 508768,
  [SMALL_STATE(9760)] = 508783,
  [SMALL_STATE(9761)] = 508796,
  [SMALL_STATE(9762)] = 508807,
  [SMALL_STATE(9763)] = 508818,
  [SMALL_STATE(9764)] = 508829,
  [SMALL_STATE(9765)] = 508842,
  [SMALL_STATE(9766)] = 508857,
  [SMALL_STATE(9767)] = 508874,
  [SMALL_STATE(9768)] = 508885,
  [SMALL_STATE(9769)] = 508896,
  [SMALL_STATE(9770)] = 508911,
  [SMALL_STATE(9771)] = 508922,
  [SMALL_STATE(9772)] = 508939,
  [SMALL_STATE(9773)] = 508952,
  [SMALL_STATE(9774)] = 508969,
  [SMALL_STATE(9775)] = 508984,
  [SMALL_STATE(9776)] = 508995,
  [SMALL_STATE(9777)] = 509006,
  [SMALL_STATE(9778)] = 509021,
  [SMALL_STATE(9779)] = 509032,
  [SMALL_STATE(9780)] = 509047,
  [SMALL_STATE(9781)] = 509062,
  [SMALL_STATE(9782)] = 509077,
  [SMALL_STATE(9783)] = 509090,
  [SMALL_STATE(9784)] = 509103,
  [SMALL_STATE(9785)] = 509116,
  [SMALL_STATE(9786)] = 509127,
  [SMALL_STATE(9787)] = 509140,
  [SMALL_STATE(9788)] = 509153,
  [SMALL_STATE(9789)] = 509166,
  [SMALL_STATE(9790)] = 509177,
  [SMALL_STATE(9791)] = 509192,
  [SMALL_STATE(9792)] = 509205,
  [SMALL_STATE(9793)] = 509216,
  [SMALL_STATE(9794)] = 509231,
  [SMALL_STATE(9795)] = 509246,
  [SMALL_STATE(9796)] = 509257,
  [SMALL_STATE(9797)] = 509268,
  [SMALL_STATE(9798)] = 509279,
  [SMALL_STATE(9799)] = 509290,
  [SMALL_STATE(9800)] = 509305,
  [SMALL_STATE(9801)] = 509320,
  [SMALL_STATE(9802)] = 509331,
  [SMALL_STATE(9803)] = 509342,
  [SMALL_STATE(9804)] = 509353,
  [SMALL_STATE(9805)] = 509368,
  [SMALL_STATE(9806)] = 509383,
  [SMALL_STATE(9807)] = 509400,
  [SMALL_STATE(9808)] = 509413,
  [SMALL_STATE(9809)] = 509428,
  [SMALL_STATE(9810)] = 509441,
  [SMALL_STATE(9811)] = 509452,
  [SMALL_STATE(9812)] = 509467,
  [SMALL_STATE(9813)] = 509480,
  [SMALL_STATE(9814)] = 509497,
  [SMALL_STATE(9815)] = 509510,
  [SMALL_STATE(9816)] = 509523,
  [SMALL_STATE(9817)] = 509534,
  [SMALL_STATE(9818)] = 509545,
  [SMALL_STATE(9819)] = 509562,
  [SMALL_STATE(9820)] = 509577,
  [SMALL_STATE(9821)] = 509590,
  [SMALL_STATE(9822)] = 509607,
  [SMALL_STATE(9823)] = 509618,
  [SMALL_STATE(9824)] = 509629,
  [SMALL_STATE(9825)] = 509640,
  [SMALL_STATE(9826)] = 509651,
  [SMALL_STATE(9827)] = 509662,
  [SMALL_STATE(9828)] = 509673,
  [SMALL_STATE(9829)] = 509684,
  [SMALL_STATE(9830)] = 509695,
  [SMALL_STATE(9831)] = 509706,
  [SMALL_STATE(9832)] = 509721,
  [SMALL_STATE(9833)] = 509736,
  [SMALL_STATE(9834)] = 509747,
  [SMALL_STATE(9835)] = 509760,
  [SMALL_STATE(9836)] = 509771,
  [SMALL_STATE(9837)] = 509782,
  [SMALL_STATE(9838)] = 509795,
  [SMALL_STATE(9839)] = 509810,
  [SMALL_STATE(9840)] = 509821,
  [SMALL_STATE(9841)] = 509832,
  [SMALL_STATE(9842)] = 509843,
  [SMALL_STATE(9843)] = 509854,
  [SMALL_STATE(9844)] = 509869,
  [SMALL_STATE(9845)] = 509884,
  [SMALL_STATE(9846)] = 509901,
  [SMALL_STATE(9847)] = 509914,
  [SMALL_STATE(9848)] = 509929,
  [SMALL_STATE(9849)] = 509942,
  [SMALL_STATE(9850)] = 509957,
  [SMALL_STATE(9851)] = 509974,
  [SMALL_STATE(9852)] = 509989,
  [SMALL_STATE(9853)] = 510000,
  [SMALL_STATE(9854)] = 510013,
  [SMALL_STATE(9855)] = 510030,
  [SMALL_STATE(9856)] = 510041,
  [SMALL_STATE(9857)] = 510052,
  [SMALL_STATE(9858)] = 510065,
  [SMALL_STATE(9859)] = 510076,
  [SMALL_STATE(9860)] = 510089,
  [SMALL_STATE(9861)] = 510102,
  [SMALL_STATE(9862)] = 510113,
  [SMALL_STATE(9863)] = 510128,
  [SMALL_STATE(9864)] = 510145,
  [SMALL_STATE(9865)] = 510156,
  [SMALL_STATE(9866)] = 510167,
  [SMALL_STATE(9867)] = 510178,
  [SMALL_STATE(9868)] = 510191,
  [SMALL_STATE(9869)] = 510204,
  [SMALL_STATE(9870)] = 510217,
  [SMALL_STATE(9871)] = 510228,
  [SMALL_STATE(9872)] = 510241,
  [SMALL_STATE(9873)] = 510254,
  [SMALL_STATE(9874)] = 510267,
  [SMALL_STATE(9875)] = 510280,
  [SMALL_STATE(9876)] = 510293,
  [SMALL_STATE(9877)] = 510304,
  [SMALL_STATE(9878)] = 510321,
  [SMALL_STATE(9879)] = 510334,
  [SMALL_STATE(9880)] = 510347,
  [SMALL_STATE(9881)] = 510358,
  [SMALL_STATE(9882)] = 510371,
  [SMALL_STATE(9883)] = 510382,
  [SMALL_STATE(9884)] = 510393,
  [SMALL_STATE(9885)] = 510404,
  [SMALL_STATE(9886)] = 510415,
  [SMALL_STATE(9887)] = 510428,
  [SMALL_STATE(9888)] = 510441,
  [SMALL_STATE(9889)] = 510454,
  [SMALL_STATE(9890)] = 510467,
  [SMALL_STATE(9891)] = 510480,
  [SMALL_STATE(9892)] = 510493,
  [SMALL_STATE(9893)] = 510504,
  [SMALL_STATE(9894)] = 510517,
  [SMALL_STATE(9895)] = 510530,
  [SMALL_STATE(9896)] = 510545,
  [SMALL_STATE(9897)] = 510556,
  [SMALL_STATE(9898)] = 510567,
  [SMALL_STATE(9899)] = 510578,
  [SMALL_STATE(9900)] = 510589,
  [SMALL_STATE(9901)] = 510600,
  [SMALL_STATE(9902)] = 510611,
  [SMALL_STATE(9903)] = 510622,
  [SMALL_STATE(9904)] = 510635,
  [SMALL_STATE(9905)] = 510648,
  [SMALL_STATE(9906)] = 510659,
  [SMALL_STATE(9907)] = 510672,
  [SMALL_STATE(9908)] = 510683,
  [SMALL_STATE(9909)] = 510694,
  [SMALL_STATE(9910)] = 510705,
  [SMALL_STATE(9911)] = 510716,
  [SMALL_STATE(9912)] = 510727,
  [SMALL_STATE(9913)] = 510738,
  [SMALL_STATE(9914)] = 510751,
  [SMALL_STATE(9915)] = 510768,
  [SMALL_STATE(9916)] = 510781,
  [SMALL_STATE(9917)] = 510794,
  [SMALL_STATE(9918)] = 510805,
  [SMALL_STATE(9919)] = 510816,
  [SMALL_STATE(9920)] = 510829,
  [SMALL_STATE(9921)] = 510844,
  [SMALL_STATE(9922)] = 510859,
  [SMALL_STATE(9923)] = 510870,
  [SMALL_STATE(9924)] = 510885,
  [SMALL_STATE(9925)] = 510900,
  [SMALL_STATE(9926)] = 510913,
  [SMALL_STATE(9927)] = 510924,
  [SMALL_STATE(9928)] = 510939,
  [SMALL_STATE(9929)] = 510956,
  [SMALL_STATE(9930)] = 510971,
  [SMALL_STATE(9931)] = 510986,
  [SMALL_STATE(9932)] = 510997,
  [SMALL_STATE(9933)] = 511012,
  [SMALL_STATE(9934)] = 511025,
  [SMALL_STATE(9935)] = 511038,
  [SMALL_STATE(9936)] = 511055,
  [SMALL_STATE(9937)] = 511066,
  [SMALL_STATE(9938)] = 511079,
  [SMALL_STATE(9939)] = 511096,
  [SMALL_STATE(9940)] = 511113,
  [SMALL_STATE(9941)] = 511126,
  [SMALL_STATE(9942)] = 511139,
  [SMALL_STATE(9943)] = 511152,
  [SMALL_STATE(9944)] = 511165,
  [SMALL_STATE(9945)] = 511176,
  [SMALL_STATE(9946)] = 511191,
  [SMALL_STATE(9947)] = 511206,
  [SMALL_STATE(9948)] = 511217,
  [SMALL_STATE(9949)] = 511232,
  [SMALL_STATE(9950)] = 511245,
  [SMALL_STATE(9951)] = 511256,
  [SMALL_STATE(9952)] = 511269,
  [SMALL_STATE(9953)] = 511282,
  [SMALL_STATE(9954)] = 511299,
  [SMALL_STATE(9955)] = 511310,
  [SMALL_STATE(9956)] = 511323,
  [SMALL_STATE(9957)] = 511336,
  [SMALL_STATE(9958)] = 511353,
  [SMALL_STATE(9959)] = 511366,
  [SMALL_STATE(9960)] = 511383,
  [SMALL_STATE(9961)] = 511396,
  [SMALL_STATE(9962)] = 511411,
  [SMALL_STATE(9963)] = 511428,
  [SMALL_STATE(9964)] = 511441,
  [SMALL_STATE(9965)] = 511456,
  [SMALL_STATE(9966)] = 511469,
  [SMALL_STATE(9967)] = 511486,
  [SMALL_STATE(9968)] = 511499,
  [SMALL_STATE(9969)] = 511516,
  [SMALL_STATE(9970)] = 511531,
  [SMALL_STATE(9971)] = 511546,
  [SMALL_STATE(9972)] = 511559,
  [SMALL_STATE(9973)] = 511570,
  [SMALL_STATE(9974)] = 511587,
  [SMALL_STATE(9975)] = 511598,
  [SMALL_STATE(9976)] = 511611,
  [SMALL_STATE(9977)] = 511622,
  [SMALL_STATE(9978)] = 511633,
  [SMALL_STATE(9979)] = 511648,
  [SMALL_STATE(9980)] = 511661,
  [SMALL_STATE(9981)] = 511678,
  [SMALL_STATE(9982)] = 511693,
  [SMALL_STATE(9983)] = 511706,
  [SMALL_STATE(9984)] = 511723,
  [SMALL_STATE(9985)] = 511734,
  [SMALL_STATE(9986)] = 511747,
  [SMALL_STATE(9987)] = 511762,
  [SMALL_STATE(9988)] = 511777,
  [SMALL_STATE(9989)] = 511788,
  [SMALL_STATE(9990)] = 511801,
  [SMALL_STATE(9991)] = 511818,
  [SMALL_STATE(9992)] = 511835,
  [SMALL_STATE(9993)] = 511848,
  [SMALL_STATE(9994)] = 511859,
  [SMALL_STATE(9995)] = 511870,
  [SMALL_STATE(9996)] = 511883,
  [SMALL_STATE(9997)] = 511896,
  [SMALL_STATE(9998)] = 511909,
  [SMALL_STATE(9999)] = 511924,
  [SMALL_STATE(10000)] = 511939,
  [SMALL_STATE(10001)] = 511950,
  [SMALL_STATE(10002)] = 511967,
  [SMALL_STATE(10003)] = 511982,
  [SMALL_STATE(10004)] = 511997,
  [SMALL_STATE(10005)] = 512012,
  [SMALL_STATE(10006)] = 512025,
  [SMALL_STATE(10007)] = 512038,
  [SMALL_STATE(10008)] = 512049,
  [SMALL_STATE(10009)] = 512062,
  [SMALL_STATE(10010)] = 512073,
  [SMALL_STATE(10011)] = 512086,
  [SMALL_STATE(10012)] = 512099,
  [SMALL_STATE(10013)] = 512110,
  [SMALL_STATE(10014)] = 512127,
  [SMALL_STATE(10015)] = 512140,
  [SMALL_STATE(10016)] = 512151,
  [SMALL_STATE(10017)] = 512168,
  [SMALL_STATE(10018)] = 512181,
  [SMALL_STATE(10019)] = 512194,
  [SMALL_STATE(10020)] = 512207,
  [SMALL_STATE(10021)] = 512220,
  [SMALL_STATE(10022)] = 512233,
  [SMALL_STATE(10023)] = 512244,
  [SMALL_STATE(10024)] = 512257,
  [SMALL_STATE(10025)] = 512274,
  [SMALL_STATE(10026)] = 512289,
  [SMALL_STATE(10027)] = 512300,
  [SMALL_STATE(10028)] = 512315,
  [SMALL_STATE(10029)] = 512330,
  [SMALL_STATE(10030)] = 512343,
  [SMALL_STATE(10031)] = 512356,
  [SMALL_STATE(10032)] = 512369,
  [SMALL_STATE(10033)] = 512386,
  [SMALL_STATE(10034)] = 512399,
  [SMALL_STATE(10035)] = 512412,
  [SMALL_STATE(10036)] = 512423,
  [SMALL_STATE(10037)] = 512436,
  [SMALL_STATE(10038)] = 512449,
  [SMALL_STATE(10039)] = 512460,
  [SMALL_STATE(10040)] = 512473,
  [SMALL_STATE(10041)] = 512490,
  [SMALL_STATE(10042)] = 512503,
  [SMALL_STATE(10043)] = 512516,
  [SMALL_STATE(10044)] = 512529,
  [SMALL_STATE(10045)] = 512540,
  [SMALL_STATE(10046)] = 512553,
  [SMALL_STATE(10047)] = 512568,
  [SMALL_STATE(10048)] = 512583,
  [SMALL_STATE(10049)] = 512600,
  [SMALL_STATE(10050)] = 512613,
  [SMALL_STATE(10051)] = 512630,
  [SMALL_STATE(10052)] = 512641,
  [SMALL_STATE(10053)] = 512656,
  [SMALL_STATE(10054)] = 512669,
  [SMALL_STATE(10055)] = 512682,
  [SMALL_STATE(10056)] = 512695,
  [SMALL_STATE(10057)] = 512708,
  [SMALL_STATE(10058)] = 512719,
  [SMALL_STATE(10059)] = 512732,
  [SMALL_STATE(10060)] = 512743,
  [SMALL_STATE(10061)] = 512754,
  [SMALL_STATE(10062)] = 512765,
  [SMALL_STATE(10063)] = 512776,
  [SMALL_STATE(10064)] = 512789,
  [SMALL_STATE(10065)] = 512800,
  [SMALL_STATE(10066)] = 512811,
  [SMALL_STATE(10067)] = 512822,
  [SMALL_STATE(10068)] = 512833,
  [SMALL_STATE(10069)] = 512850,
  [SMALL_STATE(10070)] = 512861,
  [SMALL_STATE(10071)] = 512872,
  [SMALL_STATE(10072)] = 512885,
  [SMALL_STATE(10073)] = 512898,
  [SMALL_STATE(10074)] = 512911,
  [SMALL_STATE(10075)] = 512922,
  [SMALL_STATE(10076)] = 512933,
  [SMALL_STATE(10077)] = 512944,
  [SMALL_STATE(10078)] = 512955,
  [SMALL_STATE(10079)] = 512968,
  [SMALL_STATE(10080)] = 512981,
  [SMALL_STATE(10081)] = 512994,
  [SMALL_STATE(10082)] = 513007,
  [SMALL_STATE(10083)] = 513020,
  [SMALL_STATE(10084)] = 513035,
  [SMALL_STATE(10085)] = 513050,
  [SMALL_STATE(10086)] = 513063,
  [SMALL_STATE(10087)] = 513076,
  [SMALL_STATE(10088)] = 513091,
  [SMALL_STATE(10089)] = 513104,
  [SMALL_STATE(10090)] = 513119,
  [SMALL_STATE(10091)] = 513130,
  [SMALL_STATE(10092)] = 513143,
  [SMALL_STATE(10093)] = 513160,
  [SMALL_STATE(10094)] = 513173,
  [SMALL_STATE(10095)] = 513184,
  [SMALL_STATE(10096)] = 513201,
  [SMALL_STATE(10097)] = 513212,
  [SMALL_STATE(10098)] = 513225,
  [SMALL_STATE(10099)] = 513238,
  [SMALL_STATE(10100)] = 513251,
  [SMALL_STATE(10101)] = 513268,
  [SMALL_STATE(10102)] = 513281,
  [SMALL_STATE(10103)] = 513298,
  [SMALL_STATE(10104)] = 513309,
  [SMALL_STATE(10105)] = 513322,
  [SMALL_STATE(10106)] = 513339,
  [SMALL_STATE(10107)] = 513352,
  [SMALL_STATE(10108)] = 513367,
  [SMALL_STATE(10109)] = 513378,
  [SMALL_STATE(10110)] = 513389,
  [SMALL_STATE(10111)] = 513402,
  [SMALL_STATE(10112)] = 513415,
  [SMALL_STATE(10113)] = 513428,
  [SMALL_STATE(10114)] = 513441,
  [SMALL_STATE(10115)] = 513454,
  [SMALL_STATE(10116)] = 513467,
  [SMALL_STATE(10117)] = 513480,
  [SMALL_STATE(10118)] = 513493,
  [SMALL_STATE(10119)] = 513506,
  [SMALL_STATE(10120)] = 513519,
  [SMALL_STATE(10121)] = 513536,
  [SMALL_STATE(10122)] = 513549,
  [SMALL_STATE(10123)] = 513566,
  [SMALL_STATE(10124)] = 513579,
  [SMALL_STATE(10125)] = 513592,
  [SMALL_STATE(10126)] = 513605,
  [SMALL_STATE(10127)] = 513616,
  [SMALL_STATE(10128)] = 513633,
  [SMALL_STATE(10129)] = 513646,
  [SMALL_STATE(10130)] = 513659,
  [SMALL_STATE(10131)] = 513672,
  [SMALL_STATE(10132)] = 513683,
  [SMALL_STATE(10133)] = 513696,
  [SMALL_STATE(10134)] = 513709,
  [SMALL_STATE(10135)] = 513722,
  [SMALL_STATE(10136)] = 513737,
  [SMALL_STATE(10137)] = 513752,
  [SMALL_STATE(10138)] = 513767,
  [SMALL_STATE(10139)] = 513780,
  [SMALL_STATE(10140)] = 513797,
  [SMALL_STATE(10141)] = 513812,
  [SMALL_STATE(10142)] = 513827,
  [SMALL_STATE(10143)] = 513840,
  [SMALL_STATE(10144)] = 513851,
  [SMALL_STATE(10145)] = 513864,
  [SMALL_STATE(10146)] = 513881,
  [SMALL_STATE(10147)] = 513896,
  [SMALL_STATE(10148)] = 513911,
  [SMALL_STATE(10149)] = 513924,
  [SMALL_STATE(10150)] = 513937,
  [SMALL_STATE(10151)] = 513952,
  [SMALL_STATE(10152)] = 513965,
  [SMALL_STATE(10153)] = 513976,
  [SMALL_STATE(10154)] = 513989,
  [SMALL_STATE(10155)] = 514000,
  [SMALL_STATE(10156)] = 514013,
  [SMALL_STATE(10157)] = 514028,
  [SMALL_STATE(10158)] = 514043,
  [SMALL_STATE(10159)] = 514056,
  [SMALL_STATE(10160)] = 514069,
  [SMALL_STATE(10161)] = 514086,
  [SMALL_STATE(10162)] = 514103,
  [SMALL_STATE(10163)] = 514116,
  [SMALL_STATE(10164)] = 514131,
  [SMALL_STATE(10165)] = 514144,
  [SMALL_STATE(10166)] = 514157,
  [SMALL_STATE(10167)] = 514168,
  [SMALL_STATE(10168)] = 514183,
  [SMALL_STATE(10169)] = 514198,
  [SMALL_STATE(10170)] = 514209,
  [SMALL_STATE(10171)] = 514220,
  [SMALL_STATE(10172)] = 514231,
  [SMALL_STATE(10173)] = 514242,
  [SMALL_STATE(10174)] = 514259,
  [SMALL_STATE(10175)] = 514270,
  [SMALL_STATE(10176)] = 514281,
  [SMALL_STATE(10177)] = 514292,
  [SMALL_STATE(10178)] = 514305,
  [SMALL_STATE(10179)] = 514318,
  [SMALL_STATE(10180)] = 514329,
  [SMALL_STATE(10181)] = 514344,
  [SMALL_STATE(10182)] = 514355,
  [SMALL_STATE(10183)] = 514370,
  [SMALL_STATE(10184)] = 514383,
  [SMALL_STATE(10185)] = 514400,
  [SMALL_STATE(10186)] = 514417,
  [SMALL_STATE(10187)] = 514430,
  [SMALL_STATE(10188)] = 514441,
  [SMALL_STATE(10189)] = 514454,
  [SMALL_STATE(10190)] = 514469,
  [SMALL_STATE(10191)] = 514482,
  [SMALL_STATE(10192)] = 514495,
  [SMALL_STATE(10193)] = 514508,
  [SMALL_STATE(10194)] = 514523,
  [SMALL_STATE(10195)] = 514540,
  [SMALL_STATE(10196)] = 514553,
  [SMALL_STATE(10197)] = 514564,
  [SMALL_STATE(10198)] = 514575,
  [SMALL_STATE(10199)] = 514592,
  [SMALL_STATE(10200)] = 514603,
  [SMALL_STATE(10201)] = 514620,
  [SMALL_STATE(10202)] = 514637,
  [SMALL_STATE(10203)] = 514650,
  [SMALL_STATE(10204)] = 514665,
  [SMALL_STATE(10205)] = 514682,
  [SMALL_STATE(10206)] = 514695,
  [SMALL_STATE(10207)] = 514712,
  [SMALL_STATE(10208)] = 514725,
  [SMALL_STATE(10209)] = 514742,
  [SMALL_STATE(10210)] = 514753,
  [SMALL_STATE(10211)] = 514766,
  [SMALL_STATE(10212)] = 514781,
  [SMALL_STATE(10213)] = 514794,
  [SMALL_STATE(10214)] = 514805,
  [SMALL_STATE(10215)] = 514820,
  [SMALL_STATE(10216)] = 514833,
  [SMALL_STATE(10217)] = 514846,
  [SMALL_STATE(10218)] = 514857,
  [SMALL_STATE(10219)] = 514870,
  [SMALL_STATE(10220)] = 514883,
  [SMALL_STATE(10221)] = 514896,
  [SMALL_STATE(10222)] = 514913,
  [SMALL_STATE(10223)] = 514930,
  [SMALL_STATE(10224)] = 514947,
  [SMALL_STATE(10225)] = 514960,
  [SMALL_STATE(10226)] = 514975,
  [SMALL_STATE(10227)] = 514992,
  [SMALL_STATE(10228)] = 515003,
  [SMALL_STATE(10229)] = 515014,
  [SMALL_STATE(10230)] = 515027,
  [SMALL_STATE(10231)] = 515042,
  [SMALL_STATE(10232)] = 515057,
  [SMALL_STATE(10233)] = 515070,
  [SMALL_STATE(10234)] = 515083,
  [SMALL_STATE(10235)] = 515096,
  [SMALL_STATE(10236)] = 515113,
  [SMALL_STATE(10237)] = 515126,
  [SMALL_STATE(10238)] = 515141,
  [SMALL_STATE(10239)] = 515158,
  [SMALL_STATE(10240)] = 515171,
  [SMALL_STATE(10241)] = 515182,
  [SMALL_STATE(10242)] = 515199,
  [SMALL_STATE(10243)] = 515212,
  [SMALL_STATE(10244)] = 515223,
  [SMALL_STATE(10245)] = 515240,
  [SMALL_STATE(10246)] = 515253,
  [SMALL_STATE(10247)] = 515266,
  [SMALL_STATE(10248)] = 515283,
  [SMALL_STATE(10249)] = 515294,
  [SMALL_STATE(10250)] = 515309,
  [SMALL_STATE(10251)] = 515322,
  [SMALL_STATE(10252)] = 515333,
  [SMALL_STATE(10253)] = 515348,
  [SMALL_STATE(10254)] = 515359,
  [SMALL_STATE(10255)] = 515376,
  [SMALL_STATE(10256)] = 515387,
  [SMALL_STATE(10257)] = 515400,
  [SMALL_STATE(10258)] = 515413,
  [SMALL_STATE(10259)] = 515426,
  [SMALL_STATE(10260)] = 515439,
  [SMALL_STATE(10261)] = 515456,
  [SMALL_STATE(10262)] = 515469,
  [SMALL_STATE(10263)] = 515480,
  [SMALL_STATE(10264)] = 515493,
  [SMALL_STATE(10265)] = 515506,
  [SMALL_STATE(10266)] = 515519,
  [SMALL_STATE(10267)] = 515532,
  [SMALL_STATE(10268)] = 515543,
  [SMALL_STATE(10269)] = 515558,
  [SMALL_STATE(10270)] = 515569,
  [SMALL_STATE(10271)] = 515582,
  [SMALL_STATE(10272)] = 515593,
  [SMALL_STATE(10273)] = 515606,
  [SMALL_STATE(10274)] = 515619,
  [SMALL_STATE(10275)] = 515632,
  [SMALL_STATE(10276)] = 515643,
  [SMALL_STATE(10277)] = 515656,
  [SMALL_STATE(10278)] = 515667,
  [SMALL_STATE(10279)] = 515680,
  [SMALL_STATE(10280)] = 515693,
  [SMALL_STATE(10281)] = 515706,
  [SMALL_STATE(10282)] = 515719,
  [SMALL_STATE(10283)] = 515736,
  [SMALL_STATE(10284)] = 515749,
  [SMALL_STATE(10285)] = 515766,
  [SMALL_STATE(10286)] = 515783,
  [SMALL_STATE(10287)] = 515796,
  [SMALL_STATE(10288)] = 515813,
  [SMALL_STATE(10289)] = 515826,
  [SMALL_STATE(10290)] = 515839,
  [SMALL_STATE(10291)] = 515852,
  [SMALL_STATE(10292)] = 515865,
  [SMALL_STATE(10293)] = 515878,
  [SMALL_STATE(10294)] = 515891,
  [SMALL_STATE(10295)] = 515902,
  [SMALL_STATE(10296)] = 515915,
  [SMALL_STATE(10297)] = 515928,
  [SMALL_STATE(10298)] = 515941,
  [SMALL_STATE(10299)] = 515954,
  [SMALL_STATE(10300)] = 515971,
  [SMALL_STATE(10301)] = 515984,
  [SMALL_STATE(10302)] = 515995,
  [SMALL_STATE(10303)] = 516006,
  [SMALL_STATE(10304)] = 516021,
  [SMALL_STATE(10305)] = 516032,
  [SMALL_STATE(10306)] = 516045,
  [SMALL_STATE(10307)] = 516058,
  [SMALL_STATE(10308)] = 516069,
  [SMALL_STATE(10309)] = 516084,
  [SMALL_STATE(10310)] = 516095,
  [SMALL_STATE(10311)] = 516106,
  [SMALL_STATE(10312)] = 516119,
  [SMALL_STATE(10313)] = 516132,
  [SMALL_STATE(10314)] = 516143,
  [SMALL_STATE(10315)] = 516154,
  [SMALL_STATE(10316)] = 516169,
  [SMALL_STATE(10317)] = 516184,
  [SMALL_STATE(10318)] = 516197,
  [SMALL_STATE(10319)] = 516212,
  [SMALL_STATE(10320)] = 516229,
  [SMALL_STATE(10321)] = 516244,
  [SMALL_STATE(10322)] = 516261,
  [SMALL_STATE(10323)] = 516276,
  [SMALL_STATE(10324)] = 516293,
  [SMALL_STATE(10325)] = 516306,
  [SMALL_STATE(10326)] = 516319,
  [SMALL_STATE(10327)] = 516330,
  [SMALL_STATE(10328)] = 516347,
  [SMALL_STATE(10329)] = 516360,
  [SMALL_STATE(10330)] = 516373,
  [SMALL_STATE(10331)] = 516390,
  [SMALL_STATE(10332)] = 516403,
  [SMALL_STATE(10333)] = 516416,
  [SMALL_STATE(10334)] = 516429,
  [SMALL_STATE(10335)] = 516442,
  [SMALL_STATE(10336)] = 516455,
  [SMALL_STATE(10337)] = 516468,
  [SMALL_STATE(10338)] = 516481,
  [SMALL_STATE(10339)] = 516492,
  [SMALL_STATE(10340)] = 516505,
  [SMALL_STATE(10341)] = 516518,
  [SMALL_STATE(10342)] = 516535,
  [SMALL_STATE(10343)] = 516548,
  [SMALL_STATE(10344)] = 516565,
  [SMALL_STATE(10345)] = 516582,
  [SMALL_STATE(10346)] = 516595,
  [SMALL_STATE(10347)] = 516608,
  [SMALL_STATE(10348)] = 516621,
  [SMALL_STATE(10349)] = 516634,
  [SMALL_STATE(10350)] = 516645,
  [SMALL_STATE(10351)] = 516658,
  [SMALL_STATE(10352)] = 516673,
  [SMALL_STATE(10353)] = 516684,
  [SMALL_STATE(10354)] = 516699,
  [SMALL_STATE(10355)] = 516714,
  [SMALL_STATE(10356)] = 516725,
  [SMALL_STATE(10357)] = 516738,
  [SMALL_STATE(10358)] = 516751,
  [SMALL_STATE(10359)] = 516768,
  [SMALL_STATE(10360)] = 516781,
  [SMALL_STATE(10361)] = 516794,
  [SMALL_STATE(10362)] = 516809,
  [SMALL_STATE(10363)] = 516820,
  [SMALL_STATE(10364)] = 516831,
  [SMALL_STATE(10365)] = 516842,
  [SMALL_STATE(10366)] = 516859,
  [SMALL_STATE(10367)] = 516870,
  [SMALL_STATE(10368)] = 516887,
  [SMALL_STATE(10369)] = 516898,
  [SMALL_STATE(10370)] = 516911,
  [SMALL_STATE(10371)] = 516926,
  [SMALL_STATE(10372)] = 516939,
  [SMALL_STATE(10373)] = 516952,
  [SMALL_STATE(10374)] = 516965,
  [SMALL_STATE(10375)] = 516976,
  [SMALL_STATE(10376)] = 516989,
  [SMALL_STATE(10377)] = 517006,
  [SMALL_STATE(10378)] = 517019,
  [SMALL_STATE(10379)] = 517032,
  [SMALL_STATE(10380)] = 517049,
  [SMALL_STATE(10381)] = 517062,
  [SMALL_STATE(10382)] = 517073,
  [SMALL_STATE(10383)] = 517086,
  [SMALL_STATE(10384)] = 517099,
  [SMALL_STATE(10385)] = 517112,
  [SMALL_STATE(10386)] = 517125,
  [SMALL_STATE(10387)] = 517138,
  [SMALL_STATE(10388)] = 517151,
  [SMALL_STATE(10389)] = 517162,
  [SMALL_STATE(10390)] = 517179,
  [SMALL_STATE(10391)] = 517192,
  [SMALL_STATE(10392)] = 517209,
  [SMALL_STATE(10393)] = 517222,
  [SMALL_STATE(10394)] = 517233,
  [SMALL_STATE(10395)] = 517248,
  [SMALL_STATE(10396)] = 517261,
  [SMALL_STATE(10397)] = 517274,
  [SMALL_STATE(10398)] = 517291,
  [SMALL_STATE(10399)] = 517304,
  [SMALL_STATE(10400)] = 517315,
  [SMALL_STATE(10401)] = 517328,
  [SMALL_STATE(10402)] = 517339,
  [SMALL_STATE(10403)] = 517352,
  [SMALL_STATE(10404)] = 517365,
  [SMALL_STATE(10405)] = 517376,
  [SMALL_STATE(10406)] = 517389,
  [SMALL_STATE(10407)] = 517402,
  [SMALL_STATE(10408)] = 517413,
  [SMALL_STATE(10409)] = 517424,
  [SMALL_STATE(10410)] = 517435,
  [SMALL_STATE(10411)] = 517446,
  [SMALL_STATE(10412)] = 517457,
  [SMALL_STATE(10413)] = 517470,
  [SMALL_STATE(10414)] = 517481,
  [SMALL_STATE(10415)] = 517498,
  [SMALL_STATE(10416)] = 517511,
  [SMALL_STATE(10417)] = 517524,
  [SMALL_STATE(10418)] = 517535,
  [SMALL_STATE(10419)] = 517546,
  [SMALL_STATE(10420)] = 517559,
  [SMALL_STATE(10421)] = 517572,
  [SMALL_STATE(10422)] = 517585,
  [SMALL_STATE(10423)] = 517596,
  [SMALL_STATE(10424)] = 517607,
  [SMALL_STATE(10425)] = 517620,
  [SMALL_STATE(10426)] = 517637,
  [SMALL_STATE(10427)] = 517648,
  [SMALL_STATE(10428)] = 517661,
  [SMALL_STATE(10429)] = 517678,
  [SMALL_STATE(10430)] = 517689,
  [SMALL_STATE(10431)] = 517706,
  [SMALL_STATE(10432)] = 517717,
  [SMALL_STATE(10433)] = 517732,
  [SMALL_STATE(10434)] = 517747,
  [SMALL_STATE(10435)] = 517762,
  [SMALL_STATE(10436)] = 517775,
  [SMALL_STATE(10437)] = 517790,
  [SMALL_STATE(10438)] = 517803,
  [SMALL_STATE(10439)] = 517816,
  [SMALL_STATE(10440)] = 517827,
  [SMALL_STATE(10441)] = 517838,
  [SMALL_STATE(10442)] = 517849,
  [SMALL_STATE(10443)] = 517862,
  [SMALL_STATE(10444)] = 517875,
  [SMALL_STATE(10445)] = 517888,
  [SMALL_STATE(10446)] = 517903,
  [SMALL_STATE(10447)] = 517916,
  [SMALL_STATE(10448)] = 517929,
  [SMALL_STATE(10449)] = 517942,
  [SMALL_STATE(10450)] = 517955,
  [SMALL_STATE(10451)] = 517970,
  [SMALL_STATE(10452)] = 517983,
  [SMALL_STATE(10453)] = 517996,
  [SMALL_STATE(10454)] = 518013,
  [SMALL_STATE(10455)] = 518026,
  [SMALL_STATE(10456)] = 518043,
  [SMALL_STATE(10457)] = 518060,
  [SMALL_STATE(10458)] = 518077,
  [SMALL_STATE(10459)] = 518090,
  [SMALL_STATE(10460)] = 518103,
  [SMALL_STATE(10461)] = 518118,
  [SMALL_STATE(10462)] = 518131,
  [SMALL_STATE(10463)] = 518144,
  [SMALL_STATE(10464)] = 518155,
  [SMALL_STATE(10465)] = 518168,
  [SMALL_STATE(10466)] = 518181,
  [SMALL_STATE(10467)] = 518192,
  [SMALL_STATE(10468)] = 518205,
  [SMALL_STATE(10469)] = 518218,
  [SMALL_STATE(10470)] = 518231,
  [SMALL_STATE(10471)] = 518246,
  [SMALL_STATE(10472)] = 518259,
  [SMALL_STATE(10473)] = 518276,
  [SMALL_STATE(10474)] = 518289,
  [SMALL_STATE(10475)] = 518302,
  [SMALL_STATE(10476)] = 518313,
  [SMALL_STATE(10477)] = 518326,
  [SMALL_STATE(10478)] = 518339,
  [SMALL_STATE(10479)] = 518349,
  [SMALL_STATE(10480)] = 518363,
  [SMALL_STATE(10481)] = 518373,
  [SMALL_STATE(10482)] = 518387,
  [SMALL_STATE(10483)] = 518397,
  [SMALL_STATE(10484)] = 518407,
  [SMALL_STATE(10485)] = 518421,
  [SMALL_STATE(10486)] = 518431,
  [SMALL_STATE(10487)] = 518441,
  [SMALL_STATE(10488)] = 518451,
  [SMALL_STATE(10489)] = 518461,
  [SMALL_STATE(10490)] = 518471,
  [SMALL_STATE(10491)] = 518481,
  [SMALL_STATE(10492)] = 518491,
  [SMALL_STATE(10493)] = 518505,
  [SMALL_STATE(10494)] = 518515,
  [SMALL_STATE(10495)] = 518529,
  [SMALL_STATE(10496)] = 518539,
  [SMALL_STATE(10497)] = 518549,
  [SMALL_STATE(10498)] = 518559,
  [SMALL_STATE(10499)] = 518569,
  [SMALL_STATE(10500)] = 518579,
  [SMALL_STATE(10501)] = 518589,
  [SMALL_STATE(10502)] = 518599,
  [SMALL_STATE(10503)] = 518609,
  [SMALL_STATE(10504)] = 518621,
  [SMALL_STATE(10505)] = 518633,
  [SMALL_STATE(10506)] = 518645,
  [SMALL_STATE(10507)] = 518657,
  [SMALL_STATE(10508)] = 518669,
  [SMALL_STATE(10509)] = 518681,
  [SMALL_STATE(10510)] = 518693,
  [SMALL_STATE(10511)] = 518705,
  [SMALL_STATE(10512)] = 518715,
  [SMALL_STATE(10513)] = 518725,
  [SMALL_STATE(10514)] = 518737,
  [SMALL_STATE(10515)] = 518747,
  [SMALL_STATE(10516)] = 518757,
  [SMALL_STATE(10517)] = 518767,
  [SMALL_STATE(10518)] = 518777,
  [SMALL_STATE(10519)] = 518787,
  [SMALL_STATE(10520)] = 518797,
  [SMALL_STATE(10521)] = 518807,
  [SMALL_STATE(10522)] = 518817,
  [SMALL_STATE(10523)] = 518827,
  [SMALL_STATE(10524)] = 518841,
  [SMALL_STATE(10525)] = 518853,
  [SMALL_STATE(10526)] = 518867,
  [SMALL_STATE(10527)] = 518881,
  [SMALL_STATE(10528)] = 518895,
  [SMALL_STATE(10529)] = 518909,
  [SMALL_STATE(10530)] = 518923,
  [SMALL_STATE(10531)] = 518933,
  [SMALL_STATE(10532)] = 518947,
  [SMALL_STATE(10533)] = 518957,
  [SMALL_STATE(10534)] = 518971,
  [SMALL_STATE(10535)] = 518985,
  [SMALL_STATE(10536)] = 518999,
  [SMALL_STATE(10537)] = 519009,
  [SMALL_STATE(10538)] = 519023,
  [SMALL_STATE(10539)] = 519037,
  [SMALL_STATE(10540)] = 519051,
  [SMALL_STATE(10541)] = 519065,
  [SMALL_STATE(10542)] = 519079,
  [SMALL_STATE(10543)] = 519093,
  [SMALL_STATE(10544)] = 519107,
  [SMALL_STATE(10545)] = 519121,
  [SMALL_STATE(10546)] = 519135,
  [SMALL_STATE(10547)] = 519149,
  [SMALL_STATE(10548)] = 519163,
  [SMALL_STATE(10549)] = 519177,
  [SMALL_STATE(10550)] = 519191,
  [SMALL_STATE(10551)] = 519205,
  [SMALL_STATE(10552)] = 519215,
  [SMALL_STATE(10553)] = 519225,
  [SMALL_STATE(10554)] = 519235,
  [SMALL_STATE(10555)] = 519245,
  [SMALL_STATE(10556)] = 519255,
  [SMALL_STATE(10557)] = 519269,
  [SMALL_STATE(10558)] = 519279,
  [SMALL_STATE(10559)] = 519289,
  [SMALL_STATE(10560)] = 519299,
  [SMALL_STATE(10561)] = 519309,
  [SMALL_STATE(10562)] = 519319,
  [SMALL_STATE(10563)] = 519329,
  [SMALL_STATE(10564)] = 519339,
  [SMALL_STATE(10565)] = 519349,
  [SMALL_STATE(10566)] = 519359,
  [SMALL_STATE(10567)] = 519369,
  [SMALL_STATE(10568)] = 519379,
  [SMALL_STATE(10569)] = 519389,
  [SMALL_STATE(10570)] = 519399,
  [SMALL_STATE(10571)] = 519413,
  [SMALL_STATE(10572)] = 519423,
  [SMALL_STATE(10573)] = 519437,
  [SMALL_STATE(10574)] = 519447,
  [SMALL_STATE(10575)] = 519461,
  [SMALL_STATE(10576)] = 519475,
  [SMALL_STATE(10577)] = 519485,
  [SMALL_STATE(10578)] = 519495,
  [SMALL_STATE(10579)] = 519505,
  [SMALL_STATE(10580)] = 519515,
  [SMALL_STATE(10581)] = 519525,
  [SMALL_STATE(10582)] = 519535,
  [SMALL_STATE(10583)] = 519545,
  [SMALL_STATE(10584)] = 519559,
  [SMALL_STATE(10585)] = 519569,
  [SMALL_STATE(10586)] = 519579,
  [SMALL_STATE(10587)] = 519589,
  [SMALL_STATE(10588)] = 519603,
  [SMALL_STATE(10589)] = 519613,
  [SMALL_STATE(10590)] = 519627,
  [SMALL_STATE(10591)] = 519637,
  [SMALL_STATE(10592)] = 519647,
  [SMALL_STATE(10593)] = 519657,
  [SMALL_STATE(10594)] = 519667,
  [SMALL_STATE(10595)] = 519677,
  [SMALL_STATE(10596)] = 519687,
  [SMALL_STATE(10597)] = 519697,
  [SMALL_STATE(10598)] = 519707,
  [SMALL_STATE(10599)] = 519717,
  [SMALL_STATE(10600)] = 519727,
  [SMALL_STATE(10601)] = 519737,
  [SMALL_STATE(10602)] = 519747,
  [SMALL_STATE(10603)] = 519757,
  [SMALL_STATE(10604)] = 519767,
  [SMALL_STATE(10605)] = 519781,
  [SMALL_STATE(10606)] = 519791,
  [SMALL_STATE(10607)] = 519803,
  [SMALL_STATE(10608)] = 519813,
  [SMALL_STATE(10609)] = 519827,
  [SMALL_STATE(10610)] = 519837,
  [SMALL_STATE(10611)] = 519851,
  [SMALL_STATE(10612)] = 519861,
  [SMALL_STATE(10613)] = 519875,
  [SMALL_STATE(10614)] = 519889,
  [SMALL_STATE(10615)] = 519903,
  [SMALL_STATE(10616)] = 519913,
  [SMALL_STATE(10617)] = 519923,
  [SMALL_STATE(10618)] = 519933,
  [SMALL_STATE(10619)] = 519943,
  [SMALL_STATE(10620)] = 519957,
  [SMALL_STATE(10621)] = 519967,
  [SMALL_STATE(10622)] = 519981,
  [SMALL_STATE(10623)] = 519995,
  [SMALL_STATE(10624)] = 520005,
  [SMALL_STATE(10625)] = 520015,
  [SMALL_STATE(10626)] = 520027,
  [SMALL_STATE(10627)] = 520037,
  [SMALL_STATE(10628)] = 520051,
  [SMALL_STATE(10629)] = 520061,
  [SMALL_STATE(10630)] = 520071,
  [SMALL_STATE(10631)] = 520085,
  [SMALL_STATE(10632)] = 520099,
  [SMALL_STATE(10633)] = 520113,
  [SMALL_STATE(10634)] = 520127,
  [SMALL_STATE(10635)] = 520141,
  [SMALL_STATE(10636)] = 520153,
  [SMALL_STATE(10637)] = 520163,
  [SMALL_STATE(10638)] = 520177,
  [SMALL_STATE(10639)] = 520187,
  [SMALL_STATE(10640)] = 520197,
  [SMALL_STATE(10641)] = 520207,
  [SMALL_STATE(10642)] = 520217,
  [SMALL_STATE(10643)] = 520231,
  [SMALL_STATE(10644)] = 520245,
  [SMALL_STATE(10645)] = 520259,
  [SMALL_STATE(10646)] = 520269,
  [SMALL_STATE(10647)] = 520279,
  [SMALL_STATE(10648)] = 520293,
  [SMALL_STATE(10649)] = 520305,
  [SMALL_STATE(10650)] = 520315,
  [SMALL_STATE(10651)] = 520329,
  [SMALL_STATE(10652)] = 520339,
  [SMALL_STATE(10653)] = 520353,
  [SMALL_STATE(10654)] = 520367,
  [SMALL_STATE(10655)] = 520381,
  [SMALL_STATE(10656)] = 520391,
  [SMALL_STATE(10657)] = 520405,
  [SMALL_STATE(10658)] = 520415,
  [SMALL_STATE(10659)] = 520425,
  [SMALL_STATE(10660)] = 520435,
  [SMALL_STATE(10661)] = 520445,
  [SMALL_STATE(10662)] = 520455,
  [SMALL_STATE(10663)] = 520469,
  [SMALL_STATE(10664)] = 520479,
  [SMALL_STATE(10665)] = 520489,
  [SMALL_STATE(10666)] = 520499,
  [SMALL_STATE(10667)] = 520509,
  [SMALL_STATE(10668)] = 520519,
  [SMALL_STATE(10669)] = 520529,
  [SMALL_STATE(10670)] = 520543,
  [SMALL_STATE(10671)] = 520553,
  [SMALL_STATE(10672)] = 520563,
  [SMALL_STATE(10673)] = 520573,
  [SMALL_STATE(10674)] = 520587,
  [SMALL_STATE(10675)] = 520597,
  [SMALL_STATE(10676)] = 520607,
  [SMALL_STATE(10677)] = 520617,
  [SMALL_STATE(10678)] = 520627,
  [SMALL_STATE(10679)] = 520639,
  [SMALL_STATE(10680)] = 520649,
  [SMALL_STATE(10681)] = 520659,
  [SMALL_STATE(10682)] = 520669,
  [SMALL_STATE(10683)] = 520679,
  [SMALL_STATE(10684)] = 520693,
  [SMALL_STATE(10685)] = 520707,
  [SMALL_STATE(10686)] = 520721,
  [SMALL_STATE(10687)] = 520733,
  [SMALL_STATE(10688)] = 520743,
  [SMALL_STATE(10689)] = 520757,
  [SMALL_STATE(10690)] = 520767,
  [SMALL_STATE(10691)] = 520777,
  [SMALL_STATE(10692)] = 520787,
  [SMALL_STATE(10693)] = 520797,
  [SMALL_STATE(10694)] = 520807,
  [SMALL_STATE(10695)] = 520817,
  [SMALL_STATE(10696)] = 520827,
  [SMALL_STATE(10697)] = 520841,
  [SMALL_STATE(10698)] = 520855,
  [SMALL_STATE(10699)] = 520865,
  [SMALL_STATE(10700)] = 520875,
  [SMALL_STATE(10701)] = 520889,
  [SMALL_STATE(10702)] = 520899,
  [SMALL_STATE(10703)] = 520909,
  [SMALL_STATE(10704)] = 520919,
  [SMALL_STATE(10705)] = 520929,
  [SMALL_STATE(10706)] = 520939,
  [SMALL_STATE(10707)] = 520953,
  [SMALL_STATE(10708)] = 520963,
  [SMALL_STATE(10709)] = 520975,
  [SMALL_STATE(10710)] = 520985,
  [SMALL_STATE(10711)] = 520995,
  [SMALL_STATE(10712)] = 521009,
  [SMALL_STATE(10713)] = 521019,
  [SMALL_STATE(10714)] = 521029,
  [SMALL_STATE(10715)] = 521039,
  [SMALL_STATE(10716)] = 521049,
  [SMALL_STATE(10717)] = 521063,
  [SMALL_STATE(10718)] = 521073,
  [SMALL_STATE(10719)] = 521083,
  [SMALL_STATE(10720)] = 521097,
  [SMALL_STATE(10721)] = 521107,
  [SMALL_STATE(10722)] = 521121,
  [SMALL_STATE(10723)] = 521131,
  [SMALL_STATE(10724)] = 521141,
  [SMALL_STATE(10725)] = 521155,
  [SMALL_STATE(10726)] = 521165,
  [SMALL_STATE(10727)] = 521179,
  [SMALL_STATE(10728)] = 521189,
  [SMALL_STATE(10729)] = 521199,
  [SMALL_STATE(10730)] = 521209,
  [SMALL_STATE(10731)] = 521219,
  [SMALL_STATE(10732)] = 521231,
  [SMALL_STATE(10733)] = 521241,
  [SMALL_STATE(10734)] = 521251,
  [SMALL_STATE(10735)] = 521261,
  [SMALL_STATE(10736)] = 521271,
  [SMALL_STATE(10737)] = 521281,
  [SMALL_STATE(10738)] = 521295,
  [SMALL_STATE(10739)] = 521307,
  [SMALL_STATE(10740)] = 521321,
  [SMALL_STATE(10741)] = 521333,
  [SMALL_STATE(10742)] = 521347,
  [SMALL_STATE(10743)] = 521357,
  [SMALL_STATE(10744)] = 521371,
  [SMALL_STATE(10745)] = 521381,
  [SMALL_STATE(10746)] = 521393,
  [SMALL_STATE(10747)] = 521405,
  [SMALL_STATE(10748)] = 521415,
  [SMALL_STATE(10749)] = 521425,
  [SMALL_STATE(10750)] = 521435,
  [SMALL_STATE(10751)] = 521449,
  [SMALL_STATE(10752)] = 521459,
  [SMALL_STATE(10753)] = 521471,
  [SMALL_STATE(10754)] = 521481,
  [SMALL_STATE(10755)] = 521491,
  [SMALL_STATE(10756)] = 521505,
  [SMALL_STATE(10757)] = 521515,
  [SMALL_STATE(10758)] = 521525,
  [SMALL_STATE(10759)] = 521535,
  [SMALL_STATE(10760)] = 521545,
  [SMALL_STATE(10761)] = 521555,
  [SMALL_STATE(10762)] = 521569,
  [SMALL_STATE(10763)] = 521583,
  [SMALL_STATE(10764)] = 521597,
  [SMALL_STATE(10765)] = 521607,
  [SMALL_STATE(10766)] = 521617,
  [SMALL_STATE(10767)] = 521631,
  [SMALL_STATE(10768)] = 521645,
  [SMALL_STATE(10769)] = 521655,
  [SMALL_STATE(10770)] = 521669,
  [SMALL_STATE(10771)] = 521679,
  [SMALL_STATE(10772)] = 521689,
  [SMALL_STATE(10773)] = 521703,
  [SMALL_STATE(10774)] = 521713,
  [SMALL_STATE(10775)] = 521727,
  [SMALL_STATE(10776)] = 521741,
  [SMALL_STATE(10777)] = 521755,
  [SMALL_STATE(10778)] = 521765,
  [SMALL_STATE(10779)] = 521775,
  [SMALL_STATE(10780)] = 521785,
  [SMALL_STATE(10781)] = 521795,
  [SMALL_STATE(10782)] = 521809,
  [SMALL_STATE(10783)] = 521823,
  [SMALL_STATE(10784)] = 521833,
  [SMALL_STATE(10785)] = 521843,
  [SMALL_STATE(10786)] = 521853,
  [SMALL_STATE(10787)] = 521863,
  [SMALL_STATE(10788)] = 521873,
  [SMALL_STATE(10789)] = 521883,
  [SMALL_STATE(10790)] = 521893,
  [SMALL_STATE(10791)] = 521903,
  [SMALL_STATE(10792)] = 521913,
  [SMALL_STATE(10793)] = 521923,
  [SMALL_STATE(10794)] = 521933,
  [SMALL_STATE(10795)] = 521943,
  [SMALL_STATE(10796)] = 521957,
  [SMALL_STATE(10797)] = 521971,
  [SMALL_STATE(10798)] = 521981,
  [SMALL_STATE(10799)] = 521995,
  [SMALL_STATE(10800)] = 522009,
  [SMALL_STATE(10801)] = 522021,
  [SMALL_STATE(10802)] = 522035,
  [SMALL_STATE(10803)] = 522045,
  [SMALL_STATE(10804)] = 522055,
  [SMALL_STATE(10805)] = 522069,
  [SMALL_STATE(10806)] = 522083,
  [SMALL_STATE(10807)] = 522093,
  [SMALL_STATE(10808)] = 522103,
  [SMALL_STATE(10809)] = 522113,
  [SMALL_STATE(10810)] = 522127,
  [SMALL_STATE(10811)] = 522137,
  [SMALL_STATE(10812)] = 522147,
  [SMALL_STATE(10813)] = 522157,
  [SMALL_STATE(10814)] = 522171,
  [SMALL_STATE(10815)] = 522181,
  [SMALL_STATE(10816)] = 522191,
  [SMALL_STATE(10817)] = 522201,
  [SMALL_STATE(10818)] = 522215,
  [SMALL_STATE(10819)] = 522225,
  [SMALL_STATE(10820)] = 522235,
  [SMALL_STATE(10821)] = 522249,
  [SMALL_STATE(10822)] = 522259,
  [SMALL_STATE(10823)] = 522273,
  [SMALL_STATE(10824)] = 522283,
  [SMALL_STATE(10825)] = 522293,
  [SMALL_STATE(10826)] = 522307,
  [SMALL_STATE(10827)] = 522321,
  [SMALL_STATE(10828)] = 522331,
  [SMALL_STATE(10829)] = 522341,
  [SMALL_STATE(10830)] = 522351,
  [SMALL_STATE(10831)] = 522365,
  [SMALL_STATE(10832)] = 522375,
  [SMALL_STATE(10833)] = 522389,
  [SMALL_STATE(10834)] = 522399,
  [SMALL_STATE(10835)] = 522413,
  [SMALL_STATE(10836)] = 522423,
  [SMALL_STATE(10837)] = 522433,
  [SMALL_STATE(10838)] = 522447,
  [SMALL_STATE(10839)] = 522461,
  [SMALL_STATE(10840)] = 522471,
  [SMALL_STATE(10841)] = 522485,
  [SMALL_STATE(10842)] = 522495,
  [SMALL_STATE(10843)] = 522505,
  [SMALL_STATE(10844)] = 522515,
  [SMALL_STATE(10845)] = 522529,
  [SMALL_STATE(10846)] = 522541,
  [SMALL_STATE(10847)] = 522555,
  [SMALL_STATE(10848)] = 522569,
  [SMALL_STATE(10849)] = 522579,
  [SMALL_STATE(10850)] = 522593,
  [SMALL_STATE(10851)] = 522607,
  [SMALL_STATE(10852)] = 522619,
  [SMALL_STATE(10853)] = 522629,
  [SMALL_STATE(10854)] = 522639,
  [SMALL_STATE(10855)] = 522649,
  [SMALL_STATE(10856)] = 522659,
  [SMALL_STATE(10857)] = 522673,
  [SMALL_STATE(10858)] = 522687,
  [SMALL_STATE(10859)] = 522701,
  [SMALL_STATE(10860)] = 522711,
  [SMALL_STATE(10861)] = 522723,
  [SMALL_STATE(10862)] = 522733,
  [SMALL_STATE(10863)] = 522747,
  [SMALL_STATE(10864)] = 522761,
  [SMALL_STATE(10865)] = 522775,
  [SMALL_STATE(10866)] = 522785,
  [SMALL_STATE(10867)] = 522795,
  [SMALL_STATE(10868)] = 522805,
  [SMALL_STATE(10869)] = 522819,
  [SMALL_STATE(10870)] = 522829,
  [SMALL_STATE(10871)] = 522843,
  [SMALL_STATE(10872)] = 522857,
  [SMALL_STATE(10873)] = 522871,
  [SMALL_STATE(10874)] = 522881,
  [SMALL_STATE(10875)] = 522895,
  [SMALL_STATE(10876)] = 522905,
  [SMALL_STATE(10877)] = 522915,
  [SMALL_STATE(10878)] = 522929,
  [SMALL_STATE(10879)] = 522943,
  [SMALL_STATE(10880)] = 522957,
  [SMALL_STATE(10881)] = 522971,
  [SMALL_STATE(10882)] = 522981,
  [SMALL_STATE(10883)] = 522995,
  [SMALL_STATE(10884)] = 523007,
  [SMALL_STATE(10885)] = 523017,
  [SMALL_STATE(10886)] = 523031,
  [SMALL_STATE(10887)] = 523045,
  [SMALL_STATE(10888)] = 523055,
  [SMALL_STATE(10889)] = 523069,
  [SMALL_STATE(10890)] = 523079,
  [SMALL_STATE(10891)] = 523089,
  [SMALL_STATE(10892)] = 523099,
  [SMALL_STATE(10893)] = 523111,
  [SMALL_STATE(10894)] = 523125,
  [SMALL_STATE(10895)] = 523135,
  [SMALL_STATE(10896)] = 523149,
  [SMALL_STATE(10897)] = 523159,
  [SMALL_STATE(10898)] = 523169,
  [SMALL_STATE(10899)] = 523179,
  [SMALL_STATE(10900)] = 523189,
  [SMALL_STATE(10901)] = 523201,
  [SMALL_STATE(10902)] = 523211,
  [SMALL_STATE(10903)] = 523221,
  [SMALL_STATE(10904)] = 523231,
  [SMALL_STATE(10905)] = 523245,
  [SMALL_STATE(10906)] = 523255,
  [SMALL_STATE(10907)] = 523269,
  [SMALL_STATE(10908)] = 523283,
  [SMALL_STATE(10909)] = 523293,
  [SMALL_STATE(10910)] = 523307,
  [SMALL_STATE(10911)] = 523317,
  [SMALL_STATE(10912)] = 523331,
  [SMALL_STATE(10913)] = 523341,
  [SMALL_STATE(10914)] = 523355,
  [SMALL_STATE(10915)] = 523369,
  [SMALL_STATE(10916)] = 523383,
  [SMALL_STATE(10917)] = 523395,
  [SMALL_STATE(10918)] = 523405,
  [SMALL_STATE(10919)] = 523419,
  [SMALL_STATE(10920)] = 523429,
  [SMALL_STATE(10921)] = 523443,
  [SMALL_STATE(10922)] = 523457,
  [SMALL_STATE(10923)] = 523471,
  [SMALL_STATE(10924)] = 523481,
  [SMALL_STATE(10925)] = 523495,
  [SMALL_STATE(10926)] = 523509,
  [SMALL_STATE(10927)] = 523523,
  [SMALL_STATE(10928)] = 523537,
  [SMALL_STATE(10929)] = 523551,
  [SMALL_STATE(10930)] = 523565,
  [SMALL_STATE(10931)] = 523579,
  [SMALL_STATE(10932)] = 523593,
  [SMALL_STATE(10933)] = 523607,
  [SMALL_STATE(10934)] = 523621,
  [SMALL_STATE(10935)] = 523635,
  [SMALL_STATE(10936)] = 523645,
  [SMALL_STATE(10937)] = 523655,
  [SMALL_STATE(10938)] = 523669,
  [SMALL_STATE(10939)] = 523683,
  [SMALL_STATE(10940)] = 523693,
  [SMALL_STATE(10941)] = 523703,
  [SMALL_STATE(10942)] = 523717,
  [SMALL_STATE(10943)] = 523731,
  [SMALL_STATE(10944)] = 523741,
  [SMALL_STATE(10945)] = 523755,
  [SMALL_STATE(10946)] = 523765,
  [SMALL_STATE(10947)] = 523779,
  [SMALL_STATE(10948)] = 523793,
  [SMALL_STATE(10949)] = 523803,
  [SMALL_STATE(10950)] = 523817,
  [SMALL_STATE(10951)] = 523829,
  [SMALL_STATE(10952)] = 523839,
  [SMALL_STATE(10953)] = 523853,
  [SMALL_STATE(10954)] = 523867,
  [SMALL_STATE(10955)] = 523877,
  [SMALL_STATE(10956)] = 523891,
  [SMALL_STATE(10957)] = 523905,
  [SMALL_STATE(10958)] = 523915,
  [SMALL_STATE(10959)] = 523925,
  [SMALL_STATE(10960)] = 523935,
  [SMALL_STATE(10961)] = 523947,
  [SMALL_STATE(10962)] = 523961,
  [SMALL_STATE(10963)] = 523975,
  [SMALL_STATE(10964)] = 523989,
  [SMALL_STATE(10965)] = 524003,
  [SMALL_STATE(10966)] = 524013,
  [SMALL_STATE(10967)] = 524025,
  [SMALL_STATE(10968)] = 524039,
  [SMALL_STATE(10969)] = 524049,
  [SMALL_STATE(10970)] = 524063,
  [SMALL_STATE(10971)] = 524077,
  [SMALL_STATE(10972)] = 524087,
  [SMALL_STATE(10973)] = 524101,
  [SMALL_STATE(10974)] = 524115,
  [SMALL_STATE(10975)] = 524129,
  [SMALL_STATE(10976)] = 524143,
  [SMALL_STATE(10977)] = 524157,
  [SMALL_STATE(10978)] = 524171,
  [SMALL_STATE(10979)] = 524185,
  [SMALL_STATE(10980)] = 524199,
  [SMALL_STATE(10981)] = 524213,
  [SMALL_STATE(10982)] = 524227,
  [SMALL_STATE(10983)] = 524241,
  [SMALL_STATE(10984)] = 524255,
  [SMALL_STATE(10985)] = 524269,
  [SMALL_STATE(10986)] = 524283,
  [SMALL_STATE(10987)] = 524295,
  [SMALL_STATE(10988)] = 524309,
  [SMALL_STATE(10989)] = 524319,
  [SMALL_STATE(10990)] = 524333,
  [SMALL_STATE(10991)] = 524347,
  [SMALL_STATE(10992)] = 524361,
  [SMALL_STATE(10993)] = 524375,
  [SMALL_STATE(10994)] = 524389,
  [SMALL_STATE(10995)] = 524403,
  [SMALL_STATE(10996)] = 524417,
  [SMALL_STATE(10997)] = 524431,
  [SMALL_STATE(10998)] = 524445,
  [SMALL_STATE(10999)] = 524459,
  [SMALL_STATE(11000)] = 524473,
  [SMALL_STATE(11001)] = 524487,
  [SMALL_STATE(11002)] = 524501,
  [SMALL_STATE(11003)] = 524515,
  [SMALL_STATE(11004)] = 524529,
  [SMALL_STATE(11005)] = 524539,
  [SMALL_STATE(11006)] = 524549,
  [SMALL_STATE(11007)] = 524559,
  [SMALL_STATE(11008)] = 524571,
  [SMALL_STATE(11009)] = 524585,
  [SMALL_STATE(11010)] = 524599,
  [SMALL_STATE(11011)] = 524613,
  [SMALL_STATE(11012)] = 524627,
  [SMALL_STATE(11013)] = 524641,
  [SMALL_STATE(11014)] = 524655,
  [SMALL_STATE(11015)] = 524669,
  [SMALL_STATE(11016)] = 524683,
  [SMALL_STATE(11017)] = 524697,
  [SMALL_STATE(11018)] = 524711,
  [SMALL_STATE(11019)] = 524721,
  [SMALL_STATE(11020)] = 524733,
  [SMALL_STATE(11021)] = 524747,
  [SMALL_STATE(11022)] = 524761,
  [SMALL_STATE(11023)] = 524771,
  [SMALL_STATE(11024)] = 524785,
  [SMALL_STATE(11025)] = 524795,
  [SMALL_STATE(11026)] = 524809,
  [SMALL_STATE(11027)] = 524823,
  [SMALL_STATE(11028)] = 524837,
  [SMALL_STATE(11029)] = 524847,
  [SMALL_STATE(11030)] = 524861,
  [SMALL_STATE(11031)] = 524871,
  [SMALL_STATE(11032)] = 524885,
  [SMALL_STATE(11033)] = 524899,
  [SMALL_STATE(11034)] = 524913,
  [SMALL_STATE(11035)] = 524927,
  [SMALL_STATE(11036)] = 524941,
  [SMALL_STATE(11037)] = 524955,
  [SMALL_STATE(11038)] = 524965,
  [SMALL_STATE(11039)] = 524975,
  [SMALL_STATE(11040)] = 524987,
  [SMALL_STATE(11041)] = 525001,
  [SMALL_STATE(11042)] = 525011,
  [SMALL_STATE(11043)] = 525025,
  [SMALL_STATE(11044)] = 525039,
  [SMALL_STATE(11045)] = 525053,
  [SMALL_STATE(11046)] = 525067,
  [SMALL_STATE(11047)] = 525081,
  [SMALL_STATE(11048)] = 525095,
  [SMALL_STATE(11049)] = 525109,
  [SMALL_STATE(11050)] = 525121,
  [SMALL_STATE(11051)] = 525135,
  [SMALL_STATE(11052)] = 525149,
  [SMALL_STATE(11053)] = 525163,
  [SMALL_STATE(11054)] = 525173,
  [SMALL_STATE(11055)] = 525187,
  [SMALL_STATE(11056)] = 525201,
  [SMALL_STATE(11057)] = 525215,
  [SMALL_STATE(11058)] = 525229,
  [SMALL_STATE(11059)] = 525243,
  [SMALL_STATE(11060)] = 525257,
  [SMALL_STATE(11061)] = 525271,
  [SMALL_STATE(11062)] = 525285,
  [SMALL_STATE(11063)] = 525299,
  [SMALL_STATE(11064)] = 525313,
  [SMALL_STATE(11065)] = 525327,
  [SMALL_STATE(11066)] = 525341,
  [SMALL_STATE(11067)] = 525355,
  [SMALL_STATE(11068)] = 525367,
  [SMALL_STATE(11069)] = 525377,
  [SMALL_STATE(11070)] = 525387,
  [SMALL_STATE(11071)] = 525397,
  [SMALL_STATE(11072)] = 525407,
  [SMALL_STATE(11073)] = 525417,
  [SMALL_STATE(11074)] = 525427,
  [SMALL_STATE(11075)] = 525441,
  [SMALL_STATE(11076)] = 525455,
  [SMALL_STATE(11077)] = 525465,
  [SMALL_STATE(11078)] = 525479,
  [SMALL_STATE(11079)] = 525493,
  [SMALL_STATE(11080)] = 525503,
  [SMALL_STATE(11081)] = 525517,
  [SMALL_STATE(11082)] = 525527,
  [SMALL_STATE(11083)] = 525537,
  [SMALL_STATE(11084)] = 525547,
  [SMALL_STATE(11085)] = 525557,
  [SMALL_STATE(11086)] = 525569,
  [SMALL_STATE(11087)] = 525583,
  [SMALL_STATE(11088)] = 525597,
  [SMALL_STATE(11089)] = 525611,
  [SMALL_STATE(11090)] = 525625,
  [SMALL_STATE(11091)] = 525639,
  [SMALL_STATE(11092)] = 525649,
  [SMALL_STATE(11093)] = 525663,
  [SMALL_STATE(11094)] = 525677,
  [SMALL_STATE(11095)] = 525691,
  [SMALL_STATE(11096)] = 525705,
  [SMALL_STATE(11097)] = 525719,
  [SMALL_STATE(11098)] = 525729,
  [SMALL_STATE(11099)] = 525741,
  [SMALL_STATE(11100)] = 525755,
  [SMALL_STATE(11101)] = 525765,
  [SMALL_STATE(11102)] = 525775,
  [SMALL_STATE(11103)] = 525789,
  [SMALL_STATE(11104)] = 525803,
  [SMALL_STATE(11105)] = 525817,
  [SMALL_STATE(11106)] = 525831,
  [SMALL_STATE(11107)] = 525845,
  [SMALL_STATE(11108)] = 525859,
  [SMALL_STATE(11109)] = 525869,
  [SMALL_STATE(11110)] = 525883,
  [SMALL_STATE(11111)] = 525897,
  [SMALL_STATE(11112)] = 525911,
  [SMALL_STATE(11113)] = 525925,
  [SMALL_STATE(11114)] = 525939,
  [SMALL_STATE(11115)] = 525953,
  [SMALL_STATE(11116)] = 525967,
  [SMALL_STATE(11117)] = 525981,
  [SMALL_STATE(11118)] = 525995,
  [SMALL_STATE(11119)] = 526009,
  [SMALL_STATE(11120)] = 526023,
  [SMALL_STATE(11121)] = 526037,
  [SMALL_STATE(11122)] = 526051,
  [SMALL_STATE(11123)] = 526063,
  [SMALL_STATE(11124)] = 526073,
  [SMALL_STATE(11125)] = 526087,
  [SMALL_STATE(11126)] = 526101,
  [SMALL_STATE(11127)] = 526115,
  [SMALL_STATE(11128)] = 526129,
  [SMALL_STATE(11129)] = 526143,
  [SMALL_STATE(11130)] = 526157,
  [SMALL_STATE(11131)] = 526171,
  [SMALL_STATE(11132)] = 526185,
  [SMALL_STATE(11133)] = 526195,
  [SMALL_STATE(11134)] = 526205,
  [SMALL_STATE(11135)] = 526219,
  [SMALL_STATE(11136)] = 526233,
  [SMALL_STATE(11137)] = 526247,
  [SMALL_STATE(11138)] = 526259,
  [SMALL_STATE(11139)] = 526273,
  [SMALL_STATE(11140)] = 526287,
  [SMALL_STATE(11141)] = 526301,
  [SMALL_STATE(11142)] = 526313,
  [SMALL_STATE(11143)] = 526327,
  [SMALL_STATE(11144)] = 526341,
  [SMALL_STATE(11145)] = 526355,
  [SMALL_STATE(11146)] = 526369,
  [SMALL_STATE(11147)] = 526383,
  [SMALL_STATE(11148)] = 526397,
  [SMALL_STATE(11149)] = 526409,
  [SMALL_STATE(11150)] = 526423,
  [SMALL_STATE(11151)] = 526437,
  [SMALL_STATE(11152)] = 526451,
  [SMALL_STATE(11153)] = 526465,
  [SMALL_STATE(11154)] = 526479,
  [SMALL_STATE(11155)] = 526493,
  [SMALL_STATE(11156)] = 526507,
  [SMALL_STATE(11157)] = 526521,
  [SMALL_STATE(11158)] = 526535,
  [SMALL_STATE(11159)] = 526549,
  [SMALL_STATE(11160)] = 526559,
  [SMALL_STATE(11161)] = 526573,
  [SMALL_STATE(11162)] = 526587,
  [SMALL_STATE(11163)] = 526597,
  [SMALL_STATE(11164)] = 526611,
  [SMALL_STATE(11165)] = 526625,
  [SMALL_STATE(11166)] = 526639,
  [SMALL_STATE(11167)] = 526653,
  [SMALL_STATE(11168)] = 526667,
  [SMALL_STATE(11169)] = 526681,
  [SMALL_STATE(11170)] = 526695,
  [SMALL_STATE(11171)] = 526709,
  [SMALL_STATE(11172)] = 526723,
  [SMALL_STATE(11173)] = 526737,
  [SMALL_STATE(11174)] = 526751,
  [SMALL_STATE(11175)] = 526765,
  [SMALL_STATE(11176)] = 526775,
  [SMALL_STATE(11177)] = 526789,
  [SMALL_STATE(11178)] = 526803,
  [SMALL_STATE(11179)] = 526813,
  [SMALL_STATE(11180)] = 526827,
  [SMALL_STATE(11181)] = 526841,
  [SMALL_STATE(11182)] = 526855,
  [SMALL_STATE(11183)] = 526869,
  [SMALL_STATE(11184)] = 526883,
  [SMALL_STATE(11185)] = 526897,
  [SMALL_STATE(11186)] = 526911,
  [SMALL_STATE(11187)] = 526921,
  [SMALL_STATE(11188)] = 526931,
  [SMALL_STATE(11189)] = 526945,
  [SMALL_STATE(11190)] = 526959,
  [SMALL_STATE(11191)] = 526973,
  [SMALL_STATE(11192)] = 526987,
  [SMALL_STATE(11193)] = 527001,
  [SMALL_STATE(11194)] = 527015,
  [SMALL_STATE(11195)] = 527029,
  [SMALL_STATE(11196)] = 527043,
  [SMALL_STATE(11197)] = 527057,
  [SMALL_STATE(11198)] = 527071,
  [SMALL_STATE(11199)] = 527085,
  [SMALL_STATE(11200)] = 527099,
  [SMALL_STATE(11201)] = 527113,
  [SMALL_STATE(11202)] = 527123,
  [SMALL_STATE(11203)] = 527137,
  [SMALL_STATE(11204)] = 527151,
  [SMALL_STATE(11205)] = 527165,
  [SMALL_STATE(11206)] = 527179,
  [SMALL_STATE(11207)] = 527193,
  [SMALL_STATE(11208)] = 527203,
  [SMALL_STATE(11209)] = 527217,
  [SMALL_STATE(11210)] = 527231,
  [SMALL_STATE(11211)] = 527245,
  [SMALL_STATE(11212)] = 527259,
  [SMALL_STATE(11213)] = 527273,
  [SMALL_STATE(11214)] = 527283,
  [SMALL_STATE(11215)] = 527297,
  [SMALL_STATE(11216)] = 527307,
  [SMALL_STATE(11217)] = 527317,
  [SMALL_STATE(11218)] = 527331,
  [SMALL_STATE(11219)] = 527341,
  [SMALL_STATE(11220)] = 527355,
  [SMALL_STATE(11221)] = 527369,
  [SMALL_STATE(11222)] = 527383,
  [SMALL_STATE(11223)] = 527397,
  [SMALL_STATE(11224)] = 527411,
  [SMALL_STATE(11225)] = 527425,
  [SMALL_STATE(11226)] = 527439,
  [SMALL_STATE(11227)] = 527449,
  [SMALL_STATE(11228)] = 527463,
  [SMALL_STATE(11229)] = 527473,
  [SMALL_STATE(11230)] = 527483,
  [SMALL_STATE(11231)] = 527497,
  [SMALL_STATE(11232)] = 527507,
  [SMALL_STATE(11233)] = 527521,
  [SMALL_STATE(11234)] = 527535,
  [SMALL_STATE(11235)] = 527549,
  [SMALL_STATE(11236)] = 527563,
  [SMALL_STATE(11237)] = 527577,
  [SMALL_STATE(11238)] = 527591,
  [SMALL_STATE(11239)] = 527605,
  [SMALL_STATE(11240)] = 527619,
  [SMALL_STATE(11241)] = 527633,
  [SMALL_STATE(11242)] = 527647,
  [SMALL_STATE(11243)] = 527661,
  [SMALL_STATE(11244)] = 527671,
  [SMALL_STATE(11245)] = 527685,
  [SMALL_STATE(11246)] = 527699,
  [SMALL_STATE(11247)] = 527713,
  [SMALL_STATE(11248)] = 527725,
  [SMALL_STATE(11249)] = 527735,
  [SMALL_STATE(11250)] = 527749,
  [SMALL_STATE(11251)] = 527763,
  [SMALL_STATE(11252)] = 527777,
  [SMALL_STATE(11253)] = 527791,
  [SMALL_STATE(11254)] = 527805,
  [SMALL_STATE(11255)] = 527819,
  [SMALL_STATE(11256)] = 527831,
  [SMALL_STATE(11257)] = 527843,
  [SMALL_STATE(11258)] = 527857,
  [SMALL_STATE(11259)] = 527871,
  [SMALL_STATE(11260)] = 527885,
  [SMALL_STATE(11261)] = 527899,
  [SMALL_STATE(11262)] = 527913,
  [SMALL_STATE(11263)] = 527927,
  [SMALL_STATE(11264)] = 527937,
  [SMALL_STATE(11265)] = 527951,
  [SMALL_STATE(11266)] = 527965,
  [SMALL_STATE(11267)] = 527975,
  [SMALL_STATE(11268)] = 527989,
  [SMALL_STATE(11269)] = 527999,
  [SMALL_STATE(11270)] = 528013,
  [SMALL_STATE(11271)] = 528023,
  [SMALL_STATE(11272)] = 528033,
  [SMALL_STATE(11273)] = 528043,
  [SMALL_STATE(11274)] = 528053,
  [SMALL_STATE(11275)] = 528065,
  [SMALL_STATE(11276)] = 528079,
  [SMALL_STATE(11277)] = 528093,
  [SMALL_STATE(11278)] = 528103,
  [SMALL_STATE(11279)] = 528117,
  [SMALL_STATE(11280)] = 528129,
  [SMALL_STATE(11281)] = 528143,
  [SMALL_STATE(11282)] = 528157,
  [SMALL_STATE(11283)] = 528171,
  [SMALL_STATE(11284)] = 528185,
  [SMALL_STATE(11285)] = 528199,
  [SMALL_STATE(11286)] = 528213,
  [SMALL_STATE(11287)] = 528227,
  [SMALL_STATE(11288)] = 528241,
  [SMALL_STATE(11289)] = 528255,
  [SMALL_STATE(11290)] = 528269,
  [SMALL_STATE(11291)] = 528283,
  [SMALL_STATE(11292)] = 528297,
  [SMALL_STATE(11293)] = 528311,
  [SMALL_STATE(11294)] = 528325,
  [SMALL_STATE(11295)] = 528339,
  [SMALL_STATE(11296)] = 528353,
  [SMALL_STATE(11297)] = 528367,
  [SMALL_STATE(11298)] = 528381,
  [SMALL_STATE(11299)] = 528395,
  [SMALL_STATE(11300)] = 528409,
  [SMALL_STATE(11301)] = 528423,
  [SMALL_STATE(11302)] = 528437,
  [SMALL_STATE(11303)] = 528451,
  [SMALL_STATE(11304)] = 528465,
  [SMALL_STATE(11305)] = 528477,
  [SMALL_STATE(11306)] = 528491,
  [SMALL_STATE(11307)] = 528505,
  [SMALL_STATE(11308)] = 528519,
  [SMALL_STATE(11309)] = 528533,
  [SMALL_STATE(11310)] = 528547,
  [SMALL_STATE(11311)] = 528561,
  [SMALL_STATE(11312)] = 528575,
  [SMALL_STATE(11313)] = 528589,
  [SMALL_STATE(11314)] = 528601,
  [SMALL_STATE(11315)] = 528615,
  [SMALL_STATE(11316)] = 528629,
  [SMALL_STATE(11317)] = 528641,
  [SMALL_STATE(11318)] = 528655,
  [SMALL_STATE(11319)] = 528669,
  [SMALL_STATE(11320)] = 528683,
  [SMALL_STATE(11321)] = 528697,
  [SMALL_STATE(11322)] = 528711,
  [SMALL_STATE(11323)] = 528725,
  [SMALL_STATE(11324)] = 528739,
  [SMALL_STATE(11325)] = 528753,
  [SMALL_STATE(11326)] = 528767,
  [SMALL_STATE(11327)] = 528781,
  [SMALL_STATE(11328)] = 528795,
  [SMALL_STATE(11329)] = 528809,
  [SMALL_STATE(11330)] = 528819,
  [SMALL_STATE(11331)] = 528833,
  [SMALL_STATE(11332)] = 528845,
  [SMALL_STATE(11333)] = 528855,
  [SMALL_STATE(11334)] = 528867,
  [SMALL_STATE(11335)] = 528881,
  [SMALL_STATE(11336)] = 528895,
  [SMALL_STATE(11337)] = 528909,
  [SMALL_STATE(11338)] = 528923,
  [SMALL_STATE(11339)] = 528937,
  [SMALL_STATE(11340)] = 528951,
  [SMALL_STATE(11341)] = 528965,
  [SMALL_STATE(11342)] = 528979,
  [SMALL_STATE(11343)] = 528993,
  [SMALL_STATE(11344)] = 529003,
  [SMALL_STATE(11345)] = 529015,
  [SMALL_STATE(11346)] = 529025,
  [SMALL_STATE(11347)] = 529039,
  [SMALL_STATE(11348)] = 529053,
  [SMALL_STATE(11349)] = 529067,
  [SMALL_STATE(11350)] = 529081,
  [SMALL_STATE(11351)] = 529095,
  [SMALL_STATE(11352)] = 529105,
  [SMALL_STATE(11353)] = 529119,
  [SMALL_STATE(11354)] = 529129,
  [SMALL_STATE(11355)] = 529143,
  [SMALL_STATE(11356)] = 529157,
  [SMALL_STATE(11357)] = 529171,
  [SMALL_STATE(11358)] = 529181,
  [SMALL_STATE(11359)] = 529195,
  [SMALL_STATE(11360)] = 529205,
  [SMALL_STATE(11361)] = 529215,
  [SMALL_STATE(11362)] = 529229,
  [SMALL_STATE(11363)] = 529243,
  [SMALL_STATE(11364)] = 529257,
  [SMALL_STATE(11365)] = 529271,
  [SMALL_STATE(11366)] = 529281,
  [SMALL_STATE(11367)] = 529295,
  [SMALL_STATE(11368)] = 529305,
  [SMALL_STATE(11369)] = 529315,
  [SMALL_STATE(11370)] = 529329,
  [SMALL_STATE(11371)] = 529343,
  [SMALL_STATE(11372)] = 529353,
  [SMALL_STATE(11373)] = 529367,
  [SMALL_STATE(11374)] = 529381,
  [SMALL_STATE(11375)] = 529395,
  [SMALL_STATE(11376)] = 529409,
  [SMALL_STATE(11377)] = 529423,
  [SMALL_STATE(11378)] = 529437,
  [SMALL_STATE(11379)] = 529451,
  [SMALL_STATE(11380)] = 529465,
  [SMALL_STATE(11381)] = 529479,
  [SMALL_STATE(11382)] = 529493,
  [SMALL_STATE(11383)] = 529507,
  [SMALL_STATE(11384)] = 529519,
  [SMALL_STATE(11385)] = 529533,
  [SMALL_STATE(11386)] = 529547,
  [SMALL_STATE(11387)] = 529561,
  [SMALL_STATE(11388)] = 529575,
  [SMALL_STATE(11389)] = 529589,
  [SMALL_STATE(11390)] = 529603,
  [SMALL_STATE(11391)] = 529617,
  [SMALL_STATE(11392)] = 529631,
  [SMALL_STATE(11393)] = 529645,
  [SMALL_STATE(11394)] = 529659,
  [SMALL_STATE(11395)] = 529673,
  [SMALL_STATE(11396)] = 529687,
  [SMALL_STATE(11397)] = 529701,
  [SMALL_STATE(11398)] = 529711,
  [SMALL_STATE(11399)] = 529723,
  [SMALL_STATE(11400)] = 529737,
  [SMALL_STATE(11401)] = 529751,
  [SMALL_STATE(11402)] = 529761,
  [SMALL_STATE(11403)] = 529775,
  [SMALL_STATE(11404)] = 529789,
  [SMALL_STATE(11405)] = 529803,
  [SMALL_STATE(11406)] = 529817,
  [SMALL_STATE(11407)] = 529831,
  [SMALL_STATE(11408)] = 529845,
  [SMALL_STATE(11409)] = 529859,
  [SMALL_STATE(11410)] = 529873,
  [SMALL_STATE(11411)] = 529887,
  [SMALL_STATE(11412)] = 529901,
  [SMALL_STATE(11413)] = 529915,
  [SMALL_STATE(11414)] = 529929,
  [SMALL_STATE(11415)] = 529943,
  [SMALL_STATE(11416)] = 529957,
  [SMALL_STATE(11417)] = 529971,
  [SMALL_STATE(11418)] = 529985,
  [SMALL_STATE(11419)] = 529999,
  [SMALL_STATE(11420)] = 530013,
  [SMALL_STATE(11421)] = 530027,
  [SMALL_STATE(11422)] = 530041,
  [SMALL_STATE(11423)] = 530053,
  [SMALL_STATE(11424)] = 530065,
  [SMALL_STATE(11425)] = 530079,
  [SMALL_STATE(11426)] = 530089,
  [SMALL_STATE(11427)] = 530103,
  [SMALL_STATE(11428)] = 530117,
  [SMALL_STATE(11429)] = 530131,
  [SMALL_STATE(11430)] = 530145,
  [SMALL_STATE(11431)] = 530159,
  [SMALL_STATE(11432)] = 530173,
  [SMALL_STATE(11433)] = 530187,
  [SMALL_STATE(11434)] = 530201,
  [SMALL_STATE(11435)] = 530215,
  [SMALL_STATE(11436)] = 530229,
  [SMALL_STATE(11437)] = 530243,
  [SMALL_STATE(11438)] = 530257,
  [SMALL_STATE(11439)] = 530271,
  [SMALL_STATE(11440)] = 530285,
  [SMALL_STATE(11441)] = 530299,
  [SMALL_STATE(11442)] = 530311,
  [SMALL_STATE(11443)] = 530325,
  [SMALL_STATE(11444)] = 530337,
  [SMALL_STATE(11445)] = 530351,
  [SMALL_STATE(11446)] = 530365,
  [SMALL_STATE(11447)] = 530379,
  [SMALL_STATE(11448)] = 530393,
  [SMALL_STATE(11449)] = 530407,
  [SMALL_STATE(11450)] = 530421,
  [SMALL_STATE(11451)] = 530435,
  [SMALL_STATE(11452)] = 530449,
  [SMALL_STATE(11453)] = 530463,
  [SMALL_STATE(11454)] = 530477,
  [SMALL_STATE(11455)] = 530491,
  [SMALL_STATE(11456)] = 530505,
  [SMALL_STATE(11457)] = 530519,
  [SMALL_STATE(11458)] = 530533,
  [SMALL_STATE(11459)] = 530547,
  [SMALL_STATE(11460)] = 530559,
  [SMALL_STATE(11461)] = 530573,
  [SMALL_STATE(11462)] = 530587,
  [SMALL_STATE(11463)] = 530599,
  [SMALL_STATE(11464)] = 530613,
  [SMALL_STATE(11465)] = 530627,
  [SMALL_STATE(11466)] = 530637,
  [SMALL_STATE(11467)] = 530647,
  [SMALL_STATE(11468)] = 530661,
  [SMALL_STATE(11469)] = 530675,
  [SMALL_STATE(11470)] = 530689,
  [SMALL_STATE(11471)] = 530703,
  [SMALL_STATE(11472)] = 530717,
  [SMALL_STATE(11473)] = 530731,
  [SMALL_STATE(11474)] = 530745,
  [SMALL_STATE(11475)] = 530759,
  [SMALL_STATE(11476)] = 530773,
  [SMALL_STATE(11477)] = 530787,
  [SMALL_STATE(11478)] = 530801,
  [SMALL_STATE(11479)] = 530815,
  [SMALL_STATE(11480)] = 530829,
  [SMALL_STATE(11481)] = 530843,
  [SMALL_STATE(11482)] = 530857,
  [SMALL_STATE(11483)] = 530871,
  [SMALL_STATE(11484)] = 530885,
  [SMALL_STATE(11485)] = 530895,
  [SMALL_STATE(11486)] = 530909,
  [SMALL_STATE(11487)] = 530923,
  [SMALL_STATE(11488)] = 530937,
  [SMALL_STATE(11489)] = 530947,
  [SMALL_STATE(11490)] = 530961,
  [SMALL_STATE(11491)] = 530971,
  [SMALL_STATE(11492)] = 530985,
  [SMALL_STATE(11493)] = 530995,
  [SMALL_STATE(11494)] = 531009,
  [SMALL_STATE(11495)] = 531023,
  [SMALL_STATE(11496)] = 531037,
  [SMALL_STATE(11497)] = 531047,
  [SMALL_STATE(11498)] = 531059,
  [SMALL_STATE(11499)] = 531069,
  [SMALL_STATE(11500)] = 531083,
  [SMALL_STATE(11501)] = 531097,
  [SMALL_STATE(11502)] = 531111,
  [SMALL_STATE(11503)] = 531125,
  [SMALL_STATE(11504)] = 531139,
  [SMALL_STATE(11505)] = 531153,
  [SMALL_STATE(11506)] = 531167,
  [SMALL_STATE(11507)] = 531181,
  [SMALL_STATE(11508)] = 531195,
  [SMALL_STATE(11509)] = 531209,
  [SMALL_STATE(11510)] = 531223,
  [SMALL_STATE(11511)] = 531237,
  [SMALL_STATE(11512)] = 531251,
  [SMALL_STATE(11513)] = 531265,
  [SMALL_STATE(11514)] = 531279,
  [SMALL_STATE(11515)] = 531293,
  [SMALL_STATE(11516)] = 531307,
  [SMALL_STATE(11517)] = 531321,
  [SMALL_STATE(11518)] = 531330,
  [SMALL_STATE(11519)] = 531341,
  [SMALL_STATE(11520)] = 531352,
  [SMALL_STATE(11521)] = 531363,
  [SMALL_STATE(11522)] = 531372,
  [SMALL_STATE(11523)] = 531381,
  [SMALL_STATE(11524)] = 531390,
  [SMALL_STATE(11525)] = 531399,
  [SMALL_STATE(11526)] = 531410,
  [SMALL_STATE(11527)] = 531419,
  [SMALL_STATE(11528)] = 531428,
  [SMALL_STATE(11529)] = 531437,
  [SMALL_STATE(11530)] = 531446,
  [SMALL_STATE(11531)] = 531457,
  [SMALL_STATE(11532)] = 531466,
  [SMALL_STATE(11533)] = 531477,
  [SMALL_STATE(11534)] = 531488,
  [SMALL_STATE(11535)] = 531499,
  [SMALL_STATE(11536)] = 531508,
  [SMALL_STATE(11537)] = 531519,
  [SMALL_STATE(11538)] = 531530,
  [SMALL_STATE(11539)] = 531541,
  [SMALL_STATE(11540)] = 531552,
  [SMALL_STATE(11541)] = 531563,
  [SMALL_STATE(11542)] = 531574,
  [SMALL_STATE(11543)] = 531585,
  [SMALL_STATE(11544)] = 531596,
  [SMALL_STATE(11545)] = 531607,
  [SMALL_STATE(11546)] = 531618,
  [SMALL_STATE(11547)] = 531629,
  [SMALL_STATE(11548)] = 531640,
  [SMALL_STATE(11549)] = 531651,
  [SMALL_STATE(11550)] = 531662,
  [SMALL_STATE(11551)] = 531673,
  [SMALL_STATE(11552)] = 531682,
  [SMALL_STATE(11553)] = 531693,
  [SMALL_STATE(11554)] = 531704,
  [SMALL_STATE(11555)] = 531715,
  [SMALL_STATE(11556)] = 531726,
  [SMALL_STATE(11557)] = 531737,
  [SMALL_STATE(11558)] = 531748,
  [SMALL_STATE(11559)] = 531757,
  [SMALL_STATE(11560)] = 531766,
  [SMALL_STATE(11561)] = 531775,
  [SMALL_STATE(11562)] = 531784,
  [SMALL_STATE(11563)] = 531793,
  [SMALL_STATE(11564)] = 531802,
  [SMALL_STATE(11565)] = 531813,
  [SMALL_STATE(11566)] = 531822,
  [SMALL_STATE(11567)] = 531831,
  [SMALL_STATE(11568)] = 531840,
  [SMALL_STATE(11569)] = 531849,
  [SMALL_STATE(11570)] = 531858,
  [SMALL_STATE(11571)] = 531867,
  [SMALL_STATE(11572)] = 531876,
  [SMALL_STATE(11573)] = 531887,
  [SMALL_STATE(11574)] = 531898,
  [SMALL_STATE(11575)] = 531909,
  [SMALL_STATE(11576)] = 531918,
  [SMALL_STATE(11577)] = 531929,
  [SMALL_STATE(11578)] = 531938,
  [SMALL_STATE(11579)] = 531949,
  [SMALL_STATE(11580)] = 531958,
  [SMALL_STATE(11581)] = 531967,
  [SMALL_STATE(11582)] = 531976,
  [SMALL_STATE(11583)] = 531987,
  [SMALL_STATE(11584)] = 531998,
  [SMALL_STATE(11585)] = 532009,
  [SMALL_STATE(11586)] = 532018,
  [SMALL_STATE(11587)] = 532029,
  [SMALL_STATE(11588)] = 532040,
  [SMALL_STATE(11589)] = 532049,
  [SMALL_STATE(11590)] = 532058,
  [SMALL_STATE(11591)] = 532069,
  [SMALL_STATE(11592)] = 532080,
  [SMALL_STATE(11593)] = 532091,
  [SMALL_STATE(11594)] = 532100,
  [SMALL_STATE(11595)] = 532109,
  [SMALL_STATE(11596)] = 532118,
  [SMALL_STATE(11597)] = 532127,
  [SMALL_STATE(11598)] = 532136,
  [SMALL_STATE(11599)] = 532145,
  [SMALL_STATE(11600)] = 532154,
  [SMALL_STATE(11601)] = 532163,
  [SMALL_STATE(11602)] = 532172,
  [SMALL_STATE(11603)] = 532183,
  [SMALL_STATE(11604)] = 532194,
  [SMALL_STATE(11605)] = 532205,
  [SMALL_STATE(11606)] = 532216,
  [SMALL_STATE(11607)] = 532227,
  [SMALL_STATE(11608)] = 532238,
  [SMALL_STATE(11609)] = 532249,
  [SMALL_STATE(11610)] = 532258,
  [SMALL_STATE(11611)] = 532269,
  [SMALL_STATE(11612)] = 532280,
  [SMALL_STATE(11613)] = 532289,
  [SMALL_STATE(11614)] = 532298,
  [SMALL_STATE(11615)] = 532307,
  [SMALL_STATE(11616)] = 532316,
  [SMALL_STATE(11617)] = 532325,
  [SMALL_STATE(11618)] = 532336,
  [SMALL_STATE(11619)] = 532347,
  [SMALL_STATE(11620)] = 532358,
  [SMALL_STATE(11621)] = 532367,
  [SMALL_STATE(11622)] = 532376,
  [SMALL_STATE(11623)] = 532387,
  [SMALL_STATE(11624)] = 532398,
  [SMALL_STATE(11625)] = 532407,
  [SMALL_STATE(11626)] = 532416,
  [SMALL_STATE(11627)] = 532425,
  [SMALL_STATE(11628)] = 532436,
  [SMALL_STATE(11629)] = 532447,
  [SMALL_STATE(11630)] = 532458,
  [SMALL_STATE(11631)] = 532469,
  [SMALL_STATE(11632)] = 532478,
  [SMALL_STATE(11633)] = 532489,
  [SMALL_STATE(11634)] = 532500,
  [SMALL_STATE(11635)] = 532511,
  [SMALL_STATE(11636)] = 532522,
  [SMALL_STATE(11637)] = 532533,
  [SMALL_STATE(11638)] = 532544,
  [SMALL_STATE(11639)] = 532555,
  [SMALL_STATE(11640)] = 532566,
  [SMALL_STATE(11641)] = 532575,
  [SMALL_STATE(11642)] = 532586,
  [SMALL_STATE(11643)] = 532597,
  [SMALL_STATE(11644)] = 532608,
  [SMALL_STATE(11645)] = 532619,
  [SMALL_STATE(11646)] = 532630,
  [SMALL_STATE(11647)] = 532641,
  [SMALL_STATE(11648)] = 532652,
  [SMALL_STATE(11649)] = 532663,
  [SMALL_STATE(11650)] = 532674,
  [SMALL_STATE(11651)] = 532683,
  [SMALL_STATE(11652)] = 532694,
  [SMALL_STATE(11653)] = 532705,
  [SMALL_STATE(11654)] = 532714,
  [SMALL_STATE(11655)] = 532725,
  [SMALL_STATE(11656)] = 532734,
  [SMALL_STATE(11657)] = 532745,
  [SMALL_STATE(11658)] = 532756,
  [SMALL_STATE(11659)] = 532767,
  [SMALL_STATE(11660)] = 532776,
  [SMALL_STATE(11661)] = 532785,
  [SMALL_STATE(11662)] = 532794,
  [SMALL_STATE(11663)] = 532803,
  [SMALL_STATE(11664)] = 532812,
  [SMALL_STATE(11665)] = 532821,
  [SMALL_STATE(11666)] = 532830,
  [SMALL_STATE(11667)] = 532839,
  [SMALL_STATE(11668)] = 532848,
  [SMALL_STATE(11669)] = 532857,
  [SMALL_STATE(11670)] = 532866,
  [SMALL_STATE(11671)] = 532875,
  [SMALL_STATE(11672)] = 532884,
  [SMALL_STATE(11673)] = 532893,
  [SMALL_STATE(11674)] = 532904,
  [SMALL_STATE(11675)] = 532915,
  [SMALL_STATE(11676)] = 532926,
  [SMALL_STATE(11677)] = 532935,
  [SMALL_STATE(11678)] = 532944,
  [SMALL_STATE(11679)] = 532953,
  [SMALL_STATE(11680)] = 532964,
  [SMALL_STATE(11681)] = 532973,
  [SMALL_STATE(11682)] = 532984,
  [SMALL_STATE(11683)] = 532993,
  [SMALL_STATE(11684)] = 533002,
  [SMALL_STATE(11685)] = 533013,
  [SMALL_STATE(11686)] = 533022,
  [SMALL_STATE(11687)] = 533031,
  [SMALL_STATE(11688)] = 533040,
  [SMALL_STATE(11689)] = 533049,
  [SMALL_STATE(11690)] = 533058,
  [SMALL_STATE(11691)] = 533067,
  [SMALL_STATE(11692)] = 533078,
  [SMALL_STATE(11693)] = 533089,
  [SMALL_STATE(11694)] = 533098,
  [SMALL_STATE(11695)] = 533107,
  [SMALL_STATE(11696)] = 533116,
  [SMALL_STATE(11697)] = 533127,
  [SMALL_STATE(11698)] = 533136,
  [SMALL_STATE(11699)] = 533147,
  [SMALL_STATE(11700)] = 533158,
  [SMALL_STATE(11701)] = 533169,
  [SMALL_STATE(11702)] = 533180,
  [SMALL_STATE(11703)] = 533191,
  [SMALL_STATE(11704)] = 533202,
  [SMALL_STATE(11705)] = 533213,
  [SMALL_STATE(11706)] = 533224,
  [SMALL_STATE(11707)] = 533235,
  [SMALL_STATE(11708)] = 533244,
  [SMALL_STATE(11709)] = 533255,
  [SMALL_STATE(11710)] = 533266,
  [SMALL_STATE(11711)] = 533277,
  [SMALL_STATE(11712)] = 533286,
  [SMALL_STATE(11713)] = 533297,
  [SMALL_STATE(11714)] = 533308,
  [SMALL_STATE(11715)] = 533319,
  [SMALL_STATE(11716)] = 533330,
  [SMALL_STATE(11717)] = 533339,
  [SMALL_STATE(11718)] = 533350,
  [SMALL_STATE(11719)] = 533361,
  [SMALL_STATE(11720)] = 533372,
  [SMALL_STATE(11721)] = 533383,
  [SMALL_STATE(11722)] = 533394,
  [SMALL_STATE(11723)] = 533403,
  [SMALL_STATE(11724)] = 533412,
  [SMALL_STATE(11725)] = 533423,
  [SMALL_STATE(11726)] = 533434,
  [SMALL_STATE(11727)] = 533445,
  [SMALL_STATE(11728)] = 533454,
  [SMALL_STATE(11729)] = 533463,
  [SMALL_STATE(11730)] = 533474,
  [SMALL_STATE(11731)] = 533483,
  [SMALL_STATE(11732)] = 533492,
  [SMALL_STATE(11733)] = 533503,
  [SMALL_STATE(11734)] = 533512,
  [SMALL_STATE(11735)] = 533521,
  [SMALL_STATE(11736)] = 533530,
  [SMALL_STATE(11737)] = 533541,
  [SMALL_STATE(11738)] = 533550,
  [SMALL_STATE(11739)] = 533561,
  [SMALL_STATE(11740)] = 533570,
  [SMALL_STATE(11741)] = 533579,
  [SMALL_STATE(11742)] = 533588,
  [SMALL_STATE(11743)] = 533599,
  [SMALL_STATE(11744)] = 533610,
  [SMALL_STATE(11745)] = 533619,
  [SMALL_STATE(11746)] = 533628,
  [SMALL_STATE(11747)] = 533637,
  [SMALL_STATE(11748)] = 533646,
  [SMALL_STATE(11749)] = 533655,
  [SMALL_STATE(11750)] = 533666,
  [SMALL_STATE(11751)] = 533677,
  [SMALL_STATE(11752)] = 533688,
  [SMALL_STATE(11753)] = 533699,
  [SMALL_STATE(11754)] = 533710,
  [SMALL_STATE(11755)] = 533721,
  [SMALL_STATE(11756)] = 533732,
  [SMALL_STATE(11757)] = 533743,
  [SMALL_STATE(11758)] = 533754,
  [SMALL_STATE(11759)] = 533763,
  [SMALL_STATE(11760)] = 533774,
  [SMALL_STATE(11761)] = 533785,
  [SMALL_STATE(11762)] = 533794,
  [SMALL_STATE(11763)] = 533805,
  [SMALL_STATE(11764)] = 533814,
  [SMALL_STATE(11765)] = 533825,
  [SMALL_STATE(11766)] = 533834,
  [SMALL_STATE(11767)] = 533845,
  [SMALL_STATE(11768)] = 533854,
  [SMALL_STATE(11769)] = 533865,
  [SMALL_STATE(11770)] = 533874,
  [SMALL_STATE(11771)] = 533885,
  [SMALL_STATE(11772)] = 533896,
  [SMALL_STATE(11773)] = 533905,
  [SMALL_STATE(11774)] = 533914,
  [SMALL_STATE(11775)] = 533923,
  [SMALL_STATE(11776)] = 533932,
  [SMALL_STATE(11777)] = 533943,
  [SMALL_STATE(11778)] = 533952,
  [SMALL_STATE(11779)] = 533961,
  [SMALL_STATE(11780)] = 533970,
  [SMALL_STATE(11781)] = 533979,
  [SMALL_STATE(11782)] = 533988,
  [SMALL_STATE(11783)] = 533999,
  [SMALL_STATE(11784)] = 534008,
  [SMALL_STATE(11785)] = 534019,
  [SMALL_STATE(11786)] = 534030,
  [SMALL_STATE(11787)] = 534039,
  [SMALL_STATE(11788)] = 534048,
  [SMALL_STATE(11789)] = 534057,
  [SMALL_STATE(11790)] = 534066,
  [SMALL_STATE(11791)] = 534077,
  [SMALL_STATE(11792)] = 534088,
  [SMALL_STATE(11793)] = 534097,
  [SMALL_STATE(11794)] = 534106,
  [SMALL_STATE(11795)] = 534117,
  [SMALL_STATE(11796)] = 534128,
  [SMALL_STATE(11797)] = 534139,
  [SMALL_STATE(11798)] = 534150,
  [SMALL_STATE(11799)] = 534159,
  [SMALL_STATE(11800)] = 534168,
  [SMALL_STATE(11801)] = 534177,
  [SMALL_STATE(11802)] = 534186,
  [SMALL_STATE(11803)] = 534195,
  [SMALL_STATE(11804)] = 534204,
  [SMALL_STATE(11805)] = 534213,
  [SMALL_STATE(11806)] = 534222,
  [SMALL_STATE(11807)] = 534233,
  [SMALL_STATE(11808)] = 534244,
  [SMALL_STATE(11809)] = 534253,
  [SMALL_STATE(11810)] = 534264,
  [SMALL_STATE(11811)] = 534275,
  [SMALL_STATE(11812)] = 534286,
  [SMALL_STATE(11813)] = 534295,
  [SMALL_STATE(11814)] = 534304,
  [SMALL_STATE(11815)] = 534313,
  [SMALL_STATE(11816)] = 534322,
  [SMALL_STATE(11817)] = 534333,
  [SMALL_STATE(11818)] = 534342,
  [SMALL_STATE(11819)] = 534353,
  [SMALL_STATE(11820)] = 534364,
  [SMALL_STATE(11821)] = 534375,
  [SMALL_STATE(11822)] = 534386,
  [SMALL_STATE(11823)] = 534397,
  [SMALL_STATE(11824)] = 534408,
  [SMALL_STATE(11825)] = 534419,
  [SMALL_STATE(11826)] = 534430,
  [SMALL_STATE(11827)] = 534441,
  [SMALL_STATE(11828)] = 534452,
  [SMALL_STATE(11829)] = 534461,
  [SMALL_STATE(11830)] = 534472,
  [SMALL_STATE(11831)] = 534481,
  [SMALL_STATE(11832)] = 534490,
  [SMALL_STATE(11833)] = 534499,
  [SMALL_STATE(11834)] = 534510,
  [SMALL_STATE(11835)] = 534521,
  [SMALL_STATE(11836)] = 534532,
  [SMALL_STATE(11837)] = 534543,
  [SMALL_STATE(11838)] = 534552,
  [SMALL_STATE(11839)] = 534563,
  [SMALL_STATE(11840)] = 534572,
  [SMALL_STATE(11841)] = 534581,
  [SMALL_STATE(11842)] = 534592,
  [SMALL_STATE(11843)] = 534603,
  [SMALL_STATE(11844)] = 534612,
  [SMALL_STATE(11845)] = 534621,
  [SMALL_STATE(11846)] = 534630,
  [SMALL_STATE(11847)] = 534641,
  [SMALL_STATE(11848)] = 534652,
  [SMALL_STATE(11849)] = 534663,
  [SMALL_STATE(11850)] = 534674,
  [SMALL_STATE(11851)] = 534685,
  [SMALL_STATE(11852)] = 534696,
  [SMALL_STATE(11853)] = 534707,
  [SMALL_STATE(11854)] = 534718,
  [SMALL_STATE(11855)] = 534729,
  [SMALL_STATE(11856)] = 534740,
  [SMALL_STATE(11857)] = 534751,
  [SMALL_STATE(11858)] = 534762,
  [SMALL_STATE(11859)] = 534773,
  [SMALL_STATE(11860)] = 534782,
  [SMALL_STATE(11861)] = 534793,
  [SMALL_STATE(11862)] = 534804,
  [SMALL_STATE(11863)] = 534815,
  [SMALL_STATE(11864)] = 534826,
  [SMALL_STATE(11865)] = 534837,
  [SMALL_STATE(11866)] = 534848,
  [SMALL_STATE(11867)] = 534859,
  [SMALL_STATE(11868)] = 534870,
  [SMALL_STATE(11869)] = 534879,
  [SMALL_STATE(11870)] = 534890,
  [SMALL_STATE(11871)] = 534901,
  [SMALL_STATE(11872)] = 534910,
  [SMALL_STATE(11873)] = 534919,
  [SMALL_STATE(11874)] = 534930,
  [SMALL_STATE(11875)] = 534941,
  [SMALL_STATE(11876)] = 534952,
  [SMALL_STATE(11877)] = 534963,
  [SMALL_STATE(11878)] = 534972,
  [SMALL_STATE(11879)] = 534983,
  [SMALL_STATE(11880)] = 534994,
  [SMALL_STATE(11881)] = 535005,
  [SMALL_STATE(11882)] = 535016,
  [SMALL_STATE(11883)] = 535027,
  [SMALL_STATE(11884)] = 535038,
  [SMALL_STATE(11885)] = 535047,
  [SMALL_STATE(11886)] = 535058,
  [SMALL_STATE(11887)] = 535069,
  [SMALL_STATE(11888)] = 535080,
  [SMALL_STATE(11889)] = 535091,
  [SMALL_STATE(11890)] = 535102,
  [SMALL_STATE(11891)] = 535113,
  [SMALL_STATE(11892)] = 535124,
  [SMALL_STATE(11893)] = 535135,
  [SMALL_STATE(11894)] = 535146,
  [SMALL_STATE(11895)] = 535157,
  [SMALL_STATE(11896)] = 535168,
  [SMALL_STATE(11897)] = 535177,
  [SMALL_STATE(11898)] = 535188,
  [SMALL_STATE(11899)] = 535197,
  [SMALL_STATE(11900)] = 535208,
  [SMALL_STATE(11901)] = 535219,
  [SMALL_STATE(11902)] = 535230,
  [SMALL_STATE(11903)] = 535241,
  [SMALL_STATE(11904)] = 535252,
  [SMALL_STATE(11905)] = 535263,
  [SMALL_STATE(11906)] = 535274,
  [SMALL_STATE(11907)] = 535285,
  [SMALL_STATE(11908)] = 535296,
  [SMALL_STATE(11909)] = 535307,
  [SMALL_STATE(11910)] = 535318,
  [SMALL_STATE(11911)] = 535329,
  [SMALL_STATE(11912)] = 535340,
  [SMALL_STATE(11913)] = 535351,
  [SMALL_STATE(11914)] = 535362,
  [SMALL_STATE(11915)] = 535373,
  [SMALL_STATE(11916)] = 535384,
  [SMALL_STATE(11917)] = 535395,
  [SMALL_STATE(11918)] = 535406,
  [SMALL_STATE(11919)] = 535417,
  [SMALL_STATE(11920)] = 535428,
  [SMALL_STATE(11921)] = 535439,
  [SMALL_STATE(11922)] = 535450,
  [SMALL_STATE(11923)] = 535461,
  [SMALL_STATE(11924)] = 535470,
  [SMALL_STATE(11925)] = 535479,
  [SMALL_STATE(11926)] = 535488,
  [SMALL_STATE(11927)] = 535497,
  [SMALL_STATE(11928)] = 535506,
  [SMALL_STATE(11929)] = 535515,
  [SMALL_STATE(11930)] = 535526,
  [SMALL_STATE(11931)] = 535537,
  [SMALL_STATE(11932)] = 535546,
  [SMALL_STATE(11933)] = 535557,
  [SMALL_STATE(11934)] = 535568,
  [SMALL_STATE(11935)] = 535577,
  [SMALL_STATE(11936)] = 535588,
  [SMALL_STATE(11937)] = 535599,
  [SMALL_STATE(11938)] = 535608,
  [SMALL_STATE(11939)] = 535619,
  [SMALL_STATE(11940)] = 535630,
  [SMALL_STATE(11941)] = 535641,
  [SMALL_STATE(11942)] = 535652,
  [SMALL_STATE(11943)] = 535663,
  [SMALL_STATE(11944)] = 535672,
  [SMALL_STATE(11945)] = 535683,
  [SMALL_STATE(11946)] = 535692,
  [SMALL_STATE(11947)] = 535703,
  [SMALL_STATE(11948)] = 535714,
  [SMALL_STATE(11949)] = 535725,
  [SMALL_STATE(11950)] = 535736,
  [SMALL_STATE(11951)] = 535747,
  [SMALL_STATE(11952)] = 535756,
  [SMALL_STATE(11953)] = 535767,
  [SMALL_STATE(11954)] = 535778,
  [SMALL_STATE(11955)] = 535787,
  [SMALL_STATE(11956)] = 535798,
  [SMALL_STATE(11957)] = 535809,
  [SMALL_STATE(11958)] = 535820,
  [SMALL_STATE(11959)] = 535831,
  [SMALL_STATE(11960)] = 535842,
  [SMALL_STATE(11961)] = 535853,
  [SMALL_STATE(11962)] = 535864,
  [SMALL_STATE(11963)] = 535875,
  [SMALL_STATE(11964)] = 535886,
  [SMALL_STATE(11965)] = 535897,
  [SMALL_STATE(11966)] = 535906,
  [SMALL_STATE(11967)] = 535915,
  [SMALL_STATE(11968)] = 535926,
  [SMALL_STATE(11969)] = 535935,
  [SMALL_STATE(11970)] = 535946,
  [SMALL_STATE(11971)] = 535957,
  [SMALL_STATE(11972)] = 535966,
  [SMALL_STATE(11973)] = 535977,
  [SMALL_STATE(11974)] = 535986,
  [SMALL_STATE(11975)] = 535997,
  [SMALL_STATE(11976)] = 536008,
  [SMALL_STATE(11977)] = 536019,
  [SMALL_STATE(11978)] = 536028,
  [SMALL_STATE(11979)] = 536039,
  [SMALL_STATE(11980)] = 536050,
  [SMALL_STATE(11981)] = 536061,
  [SMALL_STATE(11982)] = 536072,
  [SMALL_STATE(11983)] = 536083,
  [SMALL_STATE(11984)] = 536094,
  [SMALL_STATE(11985)] = 536105,
  [SMALL_STATE(11986)] = 536116,
  [SMALL_STATE(11987)] = 536127,
  [SMALL_STATE(11988)] = 536138,
  [SMALL_STATE(11989)] = 536149,
  [SMALL_STATE(11990)] = 536160,
  [SMALL_STATE(11991)] = 536171,
  [SMALL_STATE(11992)] = 536182,
  [SMALL_STATE(11993)] = 536191,
  [SMALL_STATE(11994)] = 536202,
  [SMALL_STATE(11995)] = 536213,
  [SMALL_STATE(11996)] = 536224,
  [SMALL_STATE(11997)] = 536233,
  [SMALL_STATE(11998)] = 536242,
  [SMALL_STATE(11999)] = 536253,
  [SMALL_STATE(12000)] = 536264,
  [SMALL_STATE(12001)] = 536275,
  [SMALL_STATE(12002)] = 536284,
  [SMALL_STATE(12003)] = 536295,
  [SMALL_STATE(12004)] = 536304,
  [SMALL_STATE(12005)] = 536315,
  [SMALL_STATE(12006)] = 536326,
  [SMALL_STATE(12007)] = 536337,
  [SMALL_STATE(12008)] = 536346,
  [SMALL_STATE(12009)] = 536355,
  [SMALL_STATE(12010)] = 536366,
  [SMALL_STATE(12011)] = 536375,
  [SMALL_STATE(12012)] = 536384,
  [SMALL_STATE(12013)] = 536395,
  [SMALL_STATE(12014)] = 536406,
  [SMALL_STATE(12015)] = 536417,
  [SMALL_STATE(12016)] = 536428,
  [SMALL_STATE(12017)] = 536437,
  [SMALL_STATE(12018)] = 536446,
  [SMALL_STATE(12019)] = 536455,
  [SMALL_STATE(12020)] = 536466,
  [SMALL_STATE(12021)] = 536477,
  [SMALL_STATE(12022)] = 536488,
  [SMALL_STATE(12023)] = 536499,
  [SMALL_STATE(12024)] = 536510,
  [SMALL_STATE(12025)] = 536521,
  [SMALL_STATE(12026)] = 536532,
  [SMALL_STATE(12027)] = 536543,
  [SMALL_STATE(12028)] = 536554,
  [SMALL_STATE(12029)] = 536563,
  [SMALL_STATE(12030)] = 536572,
  [SMALL_STATE(12031)] = 536583,
  [SMALL_STATE(12032)] = 536594,
  [SMALL_STATE(12033)] = 536605,
  [SMALL_STATE(12034)] = 536614,
  [SMALL_STATE(12035)] = 536625,
  [SMALL_STATE(12036)] = 536636,
  [SMALL_STATE(12037)] = 536645,
  [SMALL_STATE(12038)] = 536656,
  [SMALL_STATE(12039)] = 536667,
  [SMALL_STATE(12040)] = 536678,
  [SMALL_STATE(12041)] = 536689,
  [SMALL_STATE(12042)] = 536700,
  [SMALL_STATE(12043)] = 536711,
  [SMALL_STATE(12044)] = 536720,
  [SMALL_STATE(12045)] = 536729,
  [SMALL_STATE(12046)] = 536740,
  [SMALL_STATE(12047)] = 536751,
  [SMALL_STATE(12048)] = 536762,
  [SMALL_STATE(12049)] = 536773,
  [SMALL_STATE(12050)] = 536782,
  [SMALL_STATE(12051)] = 536793,
  [SMALL_STATE(12052)] = 536804,
  [SMALL_STATE(12053)] = 536813,
  [SMALL_STATE(12054)] = 536824,
  [SMALL_STATE(12055)] = 536835,
  [SMALL_STATE(12056)] = 536846,
  [SMALL_STATE(12057)] = 536855,
  [SMALL_STATE(12058)] = 536866,
  [SMALL_STATE(12059)] = 536877,
  [SMALL_STATE(12060)] = 536886,
  [SMALL_STATE(12061)] = 536897,
  [SMALL_STATE(12062)] = 536908,
  [SMALL_STATE(12063)] = 536917,
  [SMALL_STATE(12064)] = 536928,
  [SMALL_STATE(12065)] = 536937,
  [SMALL_STATE(12066)] = 536946,
  [SMALL_STATE(12067)] = 536957,
  [SMALL_STATE(12068)] = 536966,
  [SMALL_STATE(12069)] = 536977,
  [SMALL_STATE(12070)] = 536988,
  [SMALL_STATE(12071)] = 536997,
  [SMALL_STATE(12072)] = 537008,
  [SMALL_STATE(12073)] = 537017,
  [SMALL_STATE(12074)] = 537026,
  [SMALL_STATE(12075)] = 537037,
  [SMALL_STATE(12076)] = 537048,
  [SMALL_STATE(12077)] = 537059,
  [SMALL_STATE(12078)] = 537070,
  [SMALL_STATE(12079)] = 537081,
  [SMALL_STATE(12080)] = 537092,
  [SMALL_STATE(12081)] = 537103,
  [SMALL_STATE(12082)] = 537114,
  [SMALL_STATE(12083)] = 537125,
  [SMALL_STATE(12084)] = 537136,
  [SMALL_STATE(12085)] = 537145,
  [SMALL_STATE(12086)] = 537156,
  [SMALL_STATE(12087)] = 537167,
  [SMALL_STATE(12088)] = 537178,
  [SMALL_STATE(12089)] = 537187,
  [SMALL_STATE(12090)] = 537198,
  [SMALL_STATE(12091)] = 537207,
  [SMALL_STATE(12092)] = 537218,
  [SMALL_STATE(12093)] = 537227,
  [SMALL_STATE(12094)] = 537238,
  [SMALL_STATE(12095)] = 537247,
  [SMALL_STATE(12096)] = 537258,
  [SMALL_STATE(12097)] = 537269,
  [SMALL_STATE(12098)] = 537280,
  [SMALL_STATE(12099)] = 537291,
  [SMALL_STATE(12100)] = 537302,
  [SMALL_STATE(12101)] = 537313,
  [SMALL_STATE(12102)] = 537324,
  [SMALL_STATE(12103)] = 537335,
  [SMALL_STATE(12104)] = 537346,
  [SMALL_STATE(12105)] = 537357,
  [SMALL_STATE(12106)] = 537368,
  [SMALL_STATE(12107)] = 537379,
  [SMALL_STATE(12108)] = 537390,
  [SMALL_STATE(12109)] = 537399,
  [SMALL_STATE(12110)] = 537410,
  [SMALL_STATE(12111)] = 537421,
  [SMALL_STATE(12112)] = 537432,
  [SMALL_STATE(12113)] = 537443,
  [SMALL_STATE(12114)] = 537454,
  [SMALL_STATE(12115)] = 537465,
  [SMALL_STATE(12116)] = 537476,
  [SMALL_STATE(12117)] = 537487,
  [SMALL_STATE(12118)] = 537498,
  [SMALL_STATE(12119)] = 537509,
  [SMALL_STATE(12120)] = 537520,
  [SMALL_STATE(12121)] = 537531,
  [SMALL_STATE(12122)] = 537542,
  [SMALL_STATE(12123)] = 537553,
  [SMALL_STATE(12124)] = 537562,
  [SMALL_STATE(12125)] = 537573,
  [SMALL_STATE(12126)] = 537584,
  [SMALL_STATE(12127)] = 537595,
  [SMALL_STATE(12128)] = 537606,
  [SMALL_STATE(12129)] = 537617,
  [SMALL_STATE(12130)] = 537628,
  [SMALL_STATE(12131)] = 537639,
  [SMALL_STATE(12132)] = 537648,
  [SMALL_STATE(12133)] = 537659,
  [SMALL_STATE(12134)] = 537668,
  [SMALL_STATE(12135)] = 537679,
  [SMALL_STATE(12136)] = 537690,
  [SMALL_STATE(12137)] = 537701,
  [SMALL_STATE(12138)] = 537712,
  [SMALL_STATE(12139)] = 537723,
  [SMALL_STATE(12140)] = 537734,
  [SMALL_STATE(12141)] = 537745,
  [SMALL_STATE(12142)] = 537754,
  [SMALL_STATE(12143)] = 537765,
  [SMALL_STATE(12144)] = 537776,
  [SMALL_STATE(12145)] = 537787,
  [SMALL_STATE(12146)] = 537798,
  [SMALL_STATE(12147)] = 537809,
  [SMALL_STATE(12148)] = 537818,
  [SMALL_STATE(12149)] = 537829,
  [SMALL_STATE(12150)] = 537840,
  [SMALL_STATE(12151)] = 537849,
  [SMALL_STATE(12152)] = 537860,
  [SMALL_STATE(12153)] = 537871,
  [SMALL_STATE(12154)] = 537882,
  [SMALL_STATE(12155)] = 537891,
  [SMALL_STATE(12156)] = 537902,
  [SMALL_STATE(12157)] = 537913,
  [SMALL_STATE(12158)] = 537924,
  [SMALL_STATE(12159)] = 537933,
  [SMALL_STATE(12160)] = 537944,
  [SMALL_STATE(12161)] = 537955,
  [SMALL_STATE(12162)] = 537966,
  [SMALL_STATE(12163)] = 537977,
  [SMALL_STATE(12164)] = 537988,
  [SMALL_STATE(12165)] = 537999,
  [SMALL_STATE(12166)] = 538010,
  [SMALL_STATE(12167)] = 538019,
  [SMALL_STATE(12168)] = 538030,
  [SMALL_STATE(12169)] = 538039,
  [SMALL_STATE(12170)] = 538048,
  [SMALL_STATE(12171)] = 538057,
  [SMALL_STATE(12172)] = 538068,
  [SMALL_STATE(12173)] = 538079,
  [SMALL_STATE(12174)] = 538088,
  [SMALL_STATE(12175)] = 538099,
  [SMALL_STATE(12176)] = 538110,
  [SMALL_STATE(12177)] = 538121,
  [SMALL_STATE(12178)] = 538130,
  [SMALL_STATE(12179)] = 538141,
  [SMALL_STATE(12180)] = 538150,
  [SMALL_STATE(12181)] = 538161,
  [SMALL_STATE(12182)] = 538172,
  [SMALL_STATE(12183)] = 538183,
  [SMALL_STATE(12184)] = 538192,
  [SMALL_STATE(12185)] = 538201,
  [SMALL_STATE(12186)] = 538212,
  [SMALL_STATE(12187)] = 538221,
  [SMALL_STATE(12188)] = 538230,
  [SMALL_STATE(12189)] = 538239,
  [SMALL_STATE(12190)] = 538248,
  [SMALL_STATE(12191)] = 538259,
  [SMALL_STATE(12192)] = 538270,
  [SMALL_STATE(12193)] = 538281,
  [SMALL_STATE(12194)] = 538292,
  [SMALL_STATE(12195)] = 538303,
  [SMALL_STATE(12196)] = 538312,
  [SMALL_STATE(12197)] = 538323,
  [SMALL_STATE(12198)] = 538332,
  [SMALL_STATE(12199)] = 538341,
  [SMALL_STATE(12200)] = 538350,
  [SMALL_STATE(12201)] = 538359,
  [SMALL_STATE(12202)] = 538368,
  [SMALL_STATE(12203)] = 538377,
  [SMALL_STATE(12204)] = 538388,
  [SMALL_STATE(12205)] = 538397,
  [SMALL_STATE(12206)] = 538408,
  [SMALL_STATE(12207)] = 538417,
  [SMALL_STATE(12208)] = 538426,
  [SMALL_STATE(12209)] = 538435,
  [SMALL_STATE(12210)] = 538444,
  [SMALL_STATE(12211)] = 538455,
  [SMALL_STATE(12212)] = 538464,
  [SMALL_STATE(12213)] = 538473,
  [SMALL_STATE(12214)] = 538484,
  [SMALL_STATE(12215)] = 538495,
  [SMALL_STATE(12216)] = 538506,
  [SMALL_STATE(12217)] = 538515,
  [SMALL_STATE(12218)] = 538524,
  [SMALL_STATE(12219)] = 538533,
  [SMALL_STATE(12220)] = 538542,
  [SMALL_STATE(12221)] = 538553,
  [SMALL_STATE(12222)] = 538564,
  [SMALL_STATE(12223)] = 538575,
  [SMALL_STATE(12224)] = 538586,
  [SMALL_STATE(12225)] = 538597,
  [SMALL_STATE(12226)] = 538608,
  [SMALL_STATE(12227)] = 538619,
  [SMALL_STATE(12228)] = 538628,
  [SMALL_STATE(12229)] = 538637,
  [SMALL_STATE(12230)] = 538648,
  [SMALL_STATE(12231)] = 538659,
  [SMALL_STATE(12232)] = 538670,
  [SMALL_STATE(12233)] = 538679,
  [SMALL_STATE(12234)] = 538688,
  [SMALL_STATE(12235)] = 538699,
  [SMALL_STATE(12236)] = 538708,
  [SMALL_STATE(12237)] = 538719,
  [SMALL_STATE(12238)] = 538728,
  [SMALL_STATE(12239)] = 538737,
  [SMALL_STATE(12240)] = 538746,
  [SMALL_STATE(12241)] = 538755,
  [SMALL_STATE(12242)] = 538764,
  [SMALL_STATE(12243)] = 538773,
  [SMALL_STATE(12244)] = 538784,
  [SMALL_STATE(12245)] = 538795,
  [SMALL_STATE(12246)] = 538806,
  [SMALL_STATE(12247)] = 538817,
  [SMALL_STATE(12248)] = 538828,
  [SMALL_STATE(12249)] = 538837,
  [SMALL_STATE(12250)] = 538848,
  [SMALL_STATE(12251)] = 538859,
  [SMALL_STATE(12252)] = 538870,
  [SMALL_STATE(12253)] = 538881,
  [SMALL_STATE(12254)] = 538890,
  [SMALL_STATE(12255)] = 538899,
  [SMALL_STATE(12256)] = 538910,
  [SMALL_STATE(12257)] = 538919,
  [SMALL_STATE(12258)] = 538928,
  [SMALL_STATE(12259)] = 538939,
  [SMALL_STATE(12260)] = 538950,
  [SMALL_STATE(12261)] = 538961,
  [SMALL_STATE(12262)] = 538972,
  [SMALL_STATE(12263)] = 538983,
  [SMALL_STATE(12264)] = 538992,
  [SMALL_STATE(12265)] = 539003,
  [SMALL_STATE(12266)] = 539014,
  [SMALL_STATE(12267)] = 539022,
  [SMALL_STATE(12268)] = 539030,
  [SMALL_STATE(12269)] = 539038,
  [SMALL_STATE(12270)] = 539046,
  [SMALL_STATE(12271)] = 539054,
  [SMALL_STATE(12272)] = 539062,
  [SMALL_STATE(12273)] = 539070,
  [SMALL_STATE(12274)] = 539078,
  [SMALL_STATE(12275)] = 539086,
  [SMALL_STATE(12276)] = 539094,
  [SMALL_STATE(12277)] = 539102,
  [SMALL_STATE(12278)] = 539110,
  [SMALL_STATE(12279)] = 539118,
  [SMALL_STATE(12280)] = 539126,
  [SMALL_STATE(12281)] = 539134,
  [SMALL_STATE(12282)] = 539142,
  [SMALL_STATE(12283)] = 539150,
  [SMALL_STATE(12284)] = 539158,
  [SMALL_STATE(12285)] = 539166,
  [SMALL_STATE(12286)] = 539174,
  [SMALL_STATE(12287)] = 539182,
  [SMALL_STATE(12288)] = 539190,
  [SMALL_STATE(12289)] = 539198,
  [SMALL_STATE(12290)] = 539206,
  [SMALL_STATE(12291)] = 539214,
  [SMALL_STATE(12292)] = 539222,
  [SMALL_STATE(12293)] = 539230,
  [SMALL_STATE(12294)] = 539238,
  [SMALL_STATE(12295)] = 539246,
  [SMALL_STATE(12296)] = 539254,
  [SMALL_STATE(12297)] = 539262,
  [SMALL_STATE(12298)] = 539270,
  [SMALL_STATE(12299)] = 539278,
  [SMALL_STATE(12300)] = 539286,
  [SMALL_STATE(12301)] = 539294,
  [SMALL_STATE(12302)] = 539302,
  [SMALL_STATE(12303)] = 539310,
  [SMALL_STATE(12304)] = 539318,
  [SMALL_STATE(12305)] = 539326,
  [SMALL_STATE(12306)] = 539334,
  [SMALL_STATE(12307)] = 539342,
  [SMALL_STATE(12308)] = 539350,
  [SMALL_STATE(12309)] = 539358,
  [SMALL_STATE(12310)] = 539366,
  [SMALL_STATE(12311)] = 539374,
  [SMALL_STATE(12312)] = 539382,
  [SMALL_STATE(12313)] = 539390,
  [SMALL_STATE(12314)] = 539398,
  [SMALL_STATE(12315)] = 539406,
  [SMALL_STATE(12316)] = 539414,
  [SMALL_STATE(12317)] = 539422,
  [SMALL_STATE(12318)] = 539430,
  [SMALL_STATE(12319)] = 539438,
  [SMALL_STATE(12320)] = 539446,
  [SMALL_STATE(12321)] = 539454,
  [SMALL_STATE(12322)] = 539462,
  [SMALL_STATE(12323)] = 539470,
  [SMALL_STATE(12324)] = 539478,
  [SMALL_STATE(12325)] = 539486,
  [SMALL_STATE(12326)] = 539494,
  [SMALL_STATE(12327)] = 539502,
  [SMALL_STATE(12328)] = 539510,
  [SMALL_STATE(12329)] = 539518,
  [SMALL_STATE(12330)] = 539526,
  [SMALL_STATE(12331)] = 539534,
  [SMALL_STATE(12332)] = 539542,
  [SMALL_STATE(12333)] = 539550,
  [SMALL_STATE(12334)] = 539558,
  [SMALL_STATE(12335)] = 539566,
  [SMALL_STATE(12336)] = 539574,
  [SMALL_STATE(12337)] = 539582,
  [SMALL_STATE(12338)] = 539590,
  [SMALL_STATE(12339)] = 539598,
  [SMALL_STATE(12340)] = 539606,
  [SMALL_STATE(12341)] = 539614,
  [SMALL_STATE(12342)] = 539622,
  [SMALL_STATE(12343)] = 539630,
  [SMALL_STATE(12344)] = 539638,
  [SMALL_STATE(12345)] = 539646,
  [SMALL_STATE(12346)] = 539654,
  [SMALL_STATE(12347)] = 539662,
  [SMALL_STATE(12348)] = 539670,
  [SMALL_STATE(12349)] = 539678,
  [SMALL_STATE(12350)] = 539686,
  [SMALL_STATE(12351)] = 539694,
  [SMALL_STATE(12352)] = 539702,
  [SMALL_STATE(12353)] = 539710,
  [SMALL_STATE(12354)] = 539718,
  [SMALL_STATE(12355)] = 539726,
  [SMALL_STATE(12356)] = 539734,
  [SMALL_STATE(12357)] = 539742,
  [SMALL_STATE(12358)] = 539750,
  [SMALL_STATE(12359)] = 539758,
  [SMALL_STATE(12360)] = 539766,
  [SMALL_STATE(12361)] = 539774,
  [SMALL_STATE(12362)] = 539782,
  [SMALL_STATE(12363)] = 539790,
  [SMALL_STATE(12364)] = 539798,
  [SMALL_STATE(12365)] = 539806,
  [SMALL_STATE(12366)] = 539814,
  [SMALL_STATE(12367)] = 539822,
  [SMALL_STATE(12368)] = 539830,
  [SMALL_STATE(12369)] = 539838,
  [SMALL_STATE(12370)] = 539846,
  [SMALL_STATE(12371)] = 539854,
  [SMALL_STATE(12372)] = 539862,
  [SMALL_STATE(12373)] = 539870,
  [SMALL_STATE(12374)] = 539878,
  [SMALL_STATE(12375)] = 539886,
  [SMALL_STATE(12376)] = 539894,
  [SMALL_STATE(12377)] = 539902,
  [SMALL_STATE(12378)] = 539910,
  [SMALL_STATE(12379)] = 539918,
  [SMALL_STATE(12380)] = 539926,
  [SMALL_STATE(12381)] = 539934,
  [SMALL_STATE(12382)] = 539942,
  [SMALL_STATE(12383)] = 539950,
  [SMALL_STATE(12384)] = 539958,
  [SMALL_STATE(12385)] = 539966,
  [SMALL_STATE(12386)] = 539974,
  [SMALL_STATE(12387)] = 539982,
  [SMALL_STATE(12388)] = 539990,
  [SMALL_STATE(12389)] = 539998,
  [SMALL_STATE(12390)] = 540006,
  [SMALL_STATE(12391)] = 540014,
  [SMALL_STATE(12392)] = 540022,
  [SMALL_STATE(12393)] = 540030,
  [SMALL_STATE(12394)] = 540038,
  [SMALL_STATE(12395)] = 540046,
  [SMALL_STATE(12396)] = 540054,
  [SMALL_STATE(12397)] = 540062,
  [SMALL_STATE(12398)] = 540070,
  [SMALL_STATE(12399)] = 540078,
  [SMALL_STATE(12400)] = 540086,
  [SMALL_STATE(12401)] = 540094,
  [SMALL_STATE(12402)] = 540102,
  [SMALL_STATE(12403)] = 540110,
  [SMALL_STATE(12404)] = 540118,
  [SMALL_STATE(12405)] = 540126,
  [SMALL_STATE(12406)] = 540134,
  [SMALL_STATE(12407)] = 540142,
  [SMALL_STATE(12408)] = 540150,
  [SMALL_STATE(12409)] = 540158,
  [SMALL_STATE(12410)] = 540166,
  [SMALL_STATE(12411)] = 540174,
  [SMALL_STATE(12412)] = 540182,
  [SMALL_STATE(12413)] = 540190,
  [SMALL_STATE(12414)] = 540198,
  [SMALL_STATE(12415)] = 540206,
  [SMALL_STATE(12416)] = 540214,
  [SMALL_STATE(12417)] = 540222,
  [SMALL_STATE(12418)] = 540230,
  [SMALL_STATE(12419)] = 540238,
  [SMALL_STATE(12420)] = 540246,
  [SMALL_STATE(12421)] = 540254,
  [SMALL_STATE(12422)] = 540262,
  [SMALL_STATE(12423)] = 540270,
  [SMALL_STATE(12424)] = 540278,
  [SMALL_STATE(12425)] = 540286,
  [SMALL_STATE(12426)] = 540294,
  [SMALL_STATE(12427)] = 540302,
  [SMALL_STATE(12428)] = 540310,
  [SMALL_STATE(12429)] = 540318,
  [SMALL_STATE(12430)] = 540326,
  [SMALL_STATE(12431)] = 540334,
  [SMALL_STATE(12432)] = 540342,
  [SMALL_STATE(12433)] = 540350,
  [SMALL_STATE(12434)] = 540358,
  [SMALL_STATE(12435)] = 540366,
  [SMALL_STATE(12436)] = 540374,
  [SMALL_STATE(12437)] = 540382,
  [SMALL_STATE(12438)] = 540390,
  [SMALL_STATE(12439)] = 540398,
  [SMALL_STATE(12440)] = 540406,
  [SMALL_STATE(12441)] = 540414,
  [SMALL_STATE(12442)] = 540422,
  [SMALL_STATE(12443)] = 540430,
  [SMALL_STATE(12444)] = 540438,
  [SMALL_STATE(12445)] = 540446,
  [SMALL_STATE(12446)] = 540454,
  [SMALL_STATE(12447)] = 540462,
  [SMALL_STATE(12448)] = 540470,
  [SMALL_STATE(12449)] = 540478,
  [SMALL_STATE(12450)] = 540486,
  [SMALL_STATE(12451)] = 540494,
  [SMALL_STATE(12452)] = 540502,
  [SMALL_STATE(12453)] = 540510,
  [SMALL_STATE(12454)] = 540518,
  [SMALL_STATE(12455)] = 540526,
  [SMALL_STATE(12456)] = 540534,
  [SMALL_STATE(12457)] = 540542,
  [SMALL_STATE(12458)] = 540550,
  [SMALL_STATE(12459)] = 540558,
  [SMALL_STATE(12460)] = 540566,
  [SMALL_STATE(12461)] = 540574,
  [SMALL_STATE(12462)] = 540582,
  [SMALL_STATE(12463)] = 540590,
  [SMALL_STATE(12464)] = 540598,
  [SMALL_STATE(12465)] = 540606,
  [SMALL_STATE(12466)] = 540614,
  [SMALL_STATE(12467)] = 540622,
  [SMALL_STATE(12468)] = 540630,
  [SMALL_STATE(12469)] = 540638,
  [SMALL_STATE(12470)] = 540646,
  [SMALL_STATE(12471)] = 540654,
  [SMALL_STATE(12472)] = 540662,
  [SMALL_STATE(12473)] = 540670,
  [SMALL_STATE(12474)] = 540678,
  [SMALL_STATE(12475)] = 540686,
  [SMALL_STATE(12476)] = 540694,
  [SMALL_STATE(12477)] = 540702,
  [SMALL_STATE(12478)] = 540710,
  [SMALL_STATE(12479)] = 540718,
  [SMALL_STATE(12480)] = 540726,
  [SMALL_STATE(12481)] = 540734,
  [SMALL_STATE(12482)] = 540742,
  [SMALL_STATE(12483)] = 540750,
  [SMALL_STATE(12484)] = 540758,
  [SMALL_STATE(12485)] = 540766,
  [SMALL_STATE(12486)] = 540774,
  [SMALL_STATE(12487)] = 540782,
  [SMALL_STATE(12488)] = 540790,
  [SMALL_STATE(12489)] = 540798,
  [SMALL_STATE(12490)] = 540806,
  [SMALL_STATE(12491)] = 540814,
  [SMALL_STATE(12492)] = 540822,
  [SMALL_STATE(12493)] = 540830,
  [SMALL_STATE(12494)] = 540838,
  [SMALL_STATE(12495)] = 540846,
  [SMALL_STATE(12496)] = 540854,
  [SMALL_STATE(12497)] = 540862,
  [SMALL_STATE(12498)] = 540870,
  [SMALL_STATE(12499)] = 540878,
  [SMALL_STATE(12500)] = 540886,
  [SMALL_STATE(12501)] = 540894,
  [SMALL_STATE(12502)] = 540902,
  [SMALL_STATE(12503)] = 540910,
  [SMALL_STATE(12504)] = 540918,
  [SMALL_STATE(12505)] = 540926,
  [SMALL_STATE(12506)] = 540934,
  [SMALL_STATE(12507)] = 540942,
  [SMALL_STATE(12508)] = 540950,
  [SMALL_STATE(12509)] = 540958,
  [SMALL_STATE(12510)] = 540966,
  [SMALL_STATE(12511)] = 540974,
  [SMALL_STATE(12512)] = 540982,
  [SMALL_STATE(12513)] = 540990,
  [SMALL_STATE(12514)] = 540998,
  [SMALL_STATE(12515)] = 541006,
  [SMALL_STATE(12516)] = 541014,
  [SMALL_STATE(12517)] = 541022,
  [SMALL_STATE(12518)] = 541030,
  [SMALL_STATE(12519)] = 541038,
  [SMALL_STATE(12520)] = 541046,
  [SMALL_STATE(12521)] = 541054,
  [SMALL_STATE(12522)] = 541062,
  [SMALL_STATE(12523)] = 541070,
  [SMALL_STATE(12524)] = 541078,
  [SMALL_STATE(12525)] = 541086,
  [SMALL_STATE(12526)] = 541094,
  [SMALL_STATE(12527)] = 541102,
  [SMALL_STATE(12528)] = 541110,
  [SMALL_STATE(12529)] = 541118,
  [SMALL_STATE(12530)] = 541126,
  [SMALL_STATE(12531)] = 541134,
  [SMALL_STATE(12532)] = 541142,
  [SMALL_STATE(12533)] = 541150,
  [SMALL_STATE(12534)] = 541158,
  [SMALL_STATE(12535)] = 541166,
  [SMALL_STATE(12536)] = 541174,
  [SMALL_STATE(12537)] = 541182,
  [SMALL_STATE(12538)] = 541190,
  [SMALL_STATE(12539)] = 541198,
  [SMALL_STATE(12540)] = 541206,
  [SMALL_STATE(12541)] = 541214,
  [SMALL_STATE(12542)] = 541222,
  [SMALL_STATE(12543)] = 541230,
  [SMALL_STATE(12544)] = 541238,
  [SMALL_STATE(12545)] = 541246,
  [SMALL_STATE(12546)] = 541254,
  [SMALL_STATE(12547)] = 541262,
  [SMALL_STATE(12548)] = 541270,
  [SMALL_STATE(12549)] = 541278,
  [SMALL_STATE(12550)] = 541286,
  [SMALL_STATE(12551)] = 541294,
  [SMALL_STATE(12552)] = 541302,
  [SMALL_STATE(12553)] = 541310,
  [SMALL_STATE(12554)] = 541318,
  [SMALL_STATE(12555)] = 541326,
  [SMALL_STATE(12556)] = 541334,
  [SMALL_STATE(12557)] = 541342,
  [SMALL_STATE(12558)] = 541350,
  [SMALL_STATE(12559)] = 541358,
  [SMALL_STATE(12560)] = 541366,
  [SMALL_STATE(12561)] = 541374,
  [SMALL_STATE(12562)] = 541382,
  [SMALL_STATE(12563)] = 541390,
  [SMALL_STATE(12564)] = 541398,
  [SMALL_STATE(12565)] = 541406,
  [SMALL_STATE(12566)] = 541414,
  [SMALL_STATE(12567)] = 541422,
  [SMALL_STATE(12568)] = 541430,
  [SMALL_STATE(12569)] = 541438,
  [SMALL_STATE(12570)] = 541446,
  [SMALL_STATE(12571)] = 541454,
  [SMALL_STATE(12572)] = 541462,
  [SMALL_STATE(12573)] = 541470,
  [SMALL_STATE(12574)] = 541478,
  [SMALL_STATE(12575)] = 541486,
  [SMALL_STATE(12576)] = 541494,
  [SMALL_STATE(12577)] = 541502,
  [SMALL_STATE(12578)] = 541510,
  [SMALL_STATE(12579)] = 541518,
  [SMALL_STATE(12580)] = 541526,
  [SMALL_STATE(12581)] = 541534,
  [SMALL_STATE(12582)] = 541542,
  [SMALL_STATE(12583)] = 541550,
  [SMALL_STATE(12584)] = 541558,
  [SMALL_STATE(12585)] = 541566,
  [SMALL_STATE(12586)] = 541574,
  [SMALL_STATE(12587)] = 541582,
  [SMALL_STATE(12588)] = 541590,
  [SMALL_STATE(12589)] = 541598,
  [SMALL_STATE(12590)] = 541606,
  [SMALL_STATE(12591)] = 541614,
  [SMALL_STATE(12592)] = 541622,
  [SMALL_STATE(12593)] = 541630,
  [SMALL_STATE(12594)] = 541638,
  [SMALL_STATE(12595)] = 541646,
  [SMALL_STATE(12596)] = 541654,
  [SMALL_STATE(12597)] = 541662,
  [SMALL_STATE(12598)] = 541670,
  [SMALL_STATE(12599)] = 541678,
  [SMALL_STATE(12600)] = 541686,
  [SMALL_STATE(12601)] = 541694,
  [SMALL_STATE(12602)] = 541702,
  [SMALL_STATE(12603)] = 541710,
  [SMALL_STATE(12604)] = 541718,
  [SMALL_STATE(12605)] = 541726,
  [SMALL_STATE(12606)] = 541734,
  [SMALL_STATE(12607)] = 541742,
  [SMALL_STATE(12608)] = 541750,
  [SMALL_STATE(12609)] = 541758,
  [SMALL_STATE(12610)] = 541766,
  [SMALL_STATE(12611)] = 541774,
  [SMALL_STATE(12612)] = 541782,
  [SMALL_STATE(12613)] = 541790,
  [SMALL_STATE(12614)] = 541798,
  [SMALL_STATE(12615)] = 541806,
  [SMALL_STATE(12616)] = 541814,
  [SMALL_STATE(12617)] = 541822,
  [SMALL_STATE(12618)] = 541830,
  [SMALL_STATE(12619)] = 541838,
  [SMALL_STATE(12620)] = 541846,
  [SMALL_STATE(12621)] = 541854,
  [SMALL_STATE(12622)] = 541862,
  [SMALL_STATE(12623)] = 541870,
  [SMALL_STATE(12624)] = 541878,
  [SMALL_STATE(12625)] = 541886,
  [SMALL_STATE(12626)] = 541894,
  [SMALL_STATE(12627)] = 541902,
  [SMALL_STATE(12628)] = 541910,
  [SMALL_STATE(12629)] = 541918,
  [SMALL_STATE(12630)] = 541926,
  [SMALL_STATE(12631)] = 541934,
  [SMALL_STATE(12632)] = 541942,
  [SMALL_STATE(12633)] = 541950,
  [SMALL_STATE(12634)] = 541958,
  [SMALL_STATE(12635)] = 541966,
  [SMALL_STATE(12636)] = 541974,
  [SMALL_STATE(12637)] = 541982,
  [SMALL_STATE(12638)] = 541990,
  [SMALL_STATE(12639)] = 541998,
  [SMALL_STATE(12640)] = 542006,
  [SMALL_STATE(12641)] = 542014,
  [SMALL_STATE(12642)] = 542022,
  [SMALL_STATE(12643)] = 542030,
  [SMALL_STATE(12644)] = 542038,
  [SMALL_STATE(12645)] = 542046,
  [SMALL_STATE(12646)] = 542054,
  [SMALL_STATE(12647)] = 542062,
  [SMALL_STATE(12648)] = 542070,
  [SMALL_STATE(12649)] = 542078,
  [SMALL_STATE(12650)] = 542086,
  [SMALL_STATE(12651)] = 542094,
  [SMALL_STATE(12652)] = 542102,
  [SMALL_STATE(12653)] = 542110,
  [SMALL_STATE(12654)] = 542118,
  [SMALL_STATE(12655)] = 542126,
  [SMALL_STATE(12656)] = 542134,
  [SMALL_STATE(12657)] = 542142,
  [SMALL_STATE(12658)] = 542150,
  [SMALL_STATE(12659)] = 542158,
  [SMALL_STATE(12660)] = 542166,
  [SMALL_STATE(12661)] = 542174,
  [SMALL_STATE(12662)] = 542182,
  [SMALL_STATE(12663)] = 542190,
  [SMALL_STATE(12664)] = 542198,
  [SMALL_STATE(12665)] = 542206,
  [SMALL_STATE(12666)] = 542214,
  [SMALL_STATE(12667)] = 542222,
  [SMALL_STATE(12668)] = 542230,
  [SMALL_STATE(12669)] = 542238,
  [SMALL_STATE(12670)] = 542246,
  [SMALL_STATE(12671)] = 542254,
  [SMALL_STATE(12672)] = 542262,
  [SMALL_STATE(12673)] = 542270,
  [SMALL_STATE(12674)] = 542278,
  [SMALL_STATE(12675)] = 542286,
  [SMALL_STATE(12676)] = 542294,
  [SMALL_STATE(12677)] = 542302,
  [SMALL_STATE(12678)] = 542310,
  [SMALL_STATE(12679)] = 542318,
  [SMALL_STATE(12680)] = 542326,
  [SMALL_STATE(12681)] = 542334,
  [SMALL_STATE(12682)] = 542342,
  [SMALL_STATE(12683)] = 542350,
  [SMALL_STATE(12684)] = 542358,
  [SMALL_STATE(12685)] = 542366,
  [SMALL_STATE(12686)] = 542374,
  [SMALL_STATE(12687)] = 542382,
  [SMALL_STATE(12688)] = 542390,
  [SMALL_STATE(12689)] = 542398,
  [SMALL_STATE(12690)] = 542406,
  [SMALL_STATE(12691)] = 542414,
  [SMALL_STATE(12692)] = 542422,
  [SMALL_STATE(12693)] = 542430,
  [SMALL_STATE(12694)] = 542438,
  [SMALL_STATE(12695)] = 542446,
  [SMALL_STATE(12696)] = 542454,
  [SMALL_STATE(12697)] = 542462,
  [SMALL_STATE(12698)] = 542470,
  [SMALL_STATE(12699)] = 542478,
  [SMALL_STATE(12700)] = 542486,
  [SMALL_STATE(12701)] = 542494,
  [SMALL_STATE(12702)] = 542502,
  [SMALL_STATE(12703)] = 542510,
  [SMALL_STATE(12704)] = 542518,
  [SMALL_STATE(12705)] = 542526,
  [SMALL_STATE(12706)] = 542534,
  [SMALL_STATE(12707)] = 542542,
  [SMALL_STATE(12708)] = 542550,
  [SMALL_STATE(12709)] = 542558,
  [SMALL_STATE(12710)] = 542566,
  [SMALL_STATE(12711)] = 542574,
  [SMALL_STATE(12712)] = 542582,
  [SMALL_STATE(12713)] = 542590,
  [SMALL_STATE(12714)] = 542598,
  [SMALL_STATE(12715)] = 542606,
  [SMALL_STATE(12716)] = 542614,
  [SMALL_STATE(12717)] = 542622,
  [SMALL_STATE(12718)] = 542630,
  [SMALL_STATE(12719)] = 542638,
  [SMALL_STATE(12720)] = 542646,
  [SMALL_STATE(12721)] = 542654,
  [SMALL_STATE(12722)] = 542662,
  [SMALL_STATE(12723)] = 542670,
  [SMALL_STATE(12724)] = 542678,
  [SMALL_STATE(12725)] = 542686,
  [SMALL_STATE(12726)] = 542694,
  [SMALL_STATE(12727)] = 542702,
  [SMALL_STATE(12728)] = 542710,
  [SMALL_STATE(12729)] = 542718,
  [SMALL_STATE(12730)] = 542726,
  [SMALL_STATE(12731)] = 542734,
  [SMALL_STATE(12732)] = 542742,
  [SMALL_STATE(12733)] = 542750,
  [SMALL_STATE(12734)] = 542758,
  [SMALL_STATE(12735)] = 542766,
  [SMALL_STATE(12736)] = 542774,
  [SMALL_STATE(12737)] = 542782,
  [SMALL_STATE(12738)] = 542790,
  [SMALL_STATE(12739)] = 542798,
  [SMALL_STATE(12740)] = 542806,
  [SMALL_STATE(12741)] = 542814,
  [SMALL_STATE(12742)] = 542822,
  [SMALL_STATE(12743)] = 542830,
  [SMALL_STATE(12744)] = 542838,
  [SMALL_STATE(12745)] = 542846,
  [SMALL_STATE(12746)] = 542854,
  [SMALL_STATE(12747)] = 542862,
  [SMALL_STATE(12748)] = 542870,
  [SMALL_STATE(12749)] = 542878,
  [SMALL_STATE(12750)] = 542886,
  [SMALL_STATE(12751)] = 542894,
  [SMALL_STATE(12752)] = 542902,
  [SMALL_STATE(12753)] = 542910,
  [SMALL_STATE(12754)] = 542918,
  [SMALL_STATE(12755)] = 542926,
  [SMALL_STATE(12756)] = 542934,
  [SMALL_STATE(12757)] = 542942,
  [SMALL_STATE(12758)] = 542950,
  [SMALL_STATE(12759)] = 542958,
  [SMALL_STATE(12760)] = 542966,
  [SMALL_STATE(12761)] = 542974,
  [SMALL_STATE(12762)] = 542982,
  [SMALL_STATE(12763)] = 542990,
  [SMALL_STATE(12764)] = 542998,
  [SMALL_STATE(12765)] = 543006,
  [SMALL_STATE(12766)] = 543014,
  [SMALL_STATE(12767)] = 543022,
  [SMALL_STATE(12768)] = 543030,
  [SMALL_STATE(12769)] = 543038,
  [SMALL_STATE(12770)] = 543046,
  [SMALL_STATE(12771)] = 543054,
  [SMALL_STATE(12772)] = 543062,
  [SMALL_STATE(12773)] = 543070,
  [SMALL_STATE(12774)] = 543078,
  [SMALL_STATE(12775)] = 543086,
  [SMALL_STATE(12776)] = 543094,
  [SMALL_STATE(12777)] = 543102,
  [SMALL_STATE(12778)] = 543110,
  [SMALL_STATE(12779)] = 543118,
  [SMALL_STATE(12780)] = 543126,
  [SMALL_STATE(12781)] = 543134,
  [SMALL_STATE(12782)] = 543142,
  [SMALL_STATE(12783)] = 543150,
  [SMALL_STATE(12784)] = 543158,
  [SMALL_STATE(12785)] = 543166,
  [SMALL_STATE(12786)] = 543174,
  [SMALL_STATE(12787)] = 543182,
  [SMALL_STATE(12788)] = 543190,
  [SMALL_STATE(12789)] = 543198,
  [SMALL_STATE(12790)] = 543206,
  [SMALL_STATE(12791)] = 543214,
  [SMALL_STATE(12792)] = 543222,
  [SMALL_STATE(12793)] = 543230,
  [SMALL_STATE(12794)] = 543238,
  [SMALL_STATE(12795)] = 543246,
  [SMALL_STATE(12796)] = 543254,
  [SMALL_STATE(12797)] = 543262,
  [SMALL_STATE(12798)] = 543270,
  [SMALL_STATE(12799)] = 543278,
  [SMALL_STATE(12800)] = 543286,
  [SMALL_STATE(12801)] = 543294,
  [SMALL_STATE(12802)] = 543302,
  [SMALL_STATE(12803)] = 543310,
  [SMALL_STATE(12804)] = 543318,
  [SMALL_STATE(12805)] = 543326,
  [SMALL_STATE(12806)] = 543334,
  [SMALL_STATE(12807)] = 543342,
  [SMALL_STATE(12808)] = 543350,
  [SMALL_STATE(12809)] = 543358,
  [SMALL_STATE(12810)] = 543366,
  [SMALL_STATE(12811)] = 543374,
  [SMALL_STATE(12812)] = 543382,
  [SMALL_STATE(12813)] = 543390,
  [SMALL_STATE(12814)] = 543398,
  [SMALL_STATE(12815)] = 543406,
  [SMALL_STATE(12816)] = 543414,
  [SMALL_STATE(12817)] = 543422,
  [SMALL_STATE(12818)] = 543430,
  [SMALL_STATE(12819)] = 543438,
  [SMALL_STATE(12820)] = 543446,
  [SMALL_STATE(12821)] = 543454,
  [SMALL_STATE(12822)] = 543462,
  [SMALL_STATE(12823)] = 543470,
  [SMALL_STATE(12824)] = 543478,
  [SMALL_STATE(12825)] = 543486,
  [SMALL_STATE(12826)] = 543494,
  [SMALL_STATE(12827)] = 543502,
  [SMALL_STATE(12828)] = 543510,
  [SMALL_STATE(12829)] = 543518,
  [SMALL_STATE(12830)] = 543526,
  [SMALL_STATE(12831)] = 543534,
  [SMALL_STATE(12832)] = 543542,
  [SMALL_STATE(12833)] = 543550,
  [SMALL_STATE(12834)] = 543558,
  [SMALL_STATE(12835)] = 543566,
  [SMALL_STATE(12836)] = 543574,
  [SMALL_STATE(12837)] = 543582,
  [SMALL_STATE(12838)] = 543590,
  [SMALL_STATE(12839)] = 543598,
  [SMALL_STATE(12840)] = 543606,
  [SMALL_STATE(12841)] = 543614,
  [SMALL_STATE(12842)] = 543622,
  [SMALL_STATE(12843)] = 543630,
  [SMALL_STATE(12844)] = 543638,
  [SMALL_STATE(12845)] = 543646,
  [SMALL_STATE(12846)] = 543654,
  [SMALL_STATE(12847)] = 543662,
  [SMALL_STATE(12848)] = 543670,
  [SMALL_STATE(12849)] = 543678,
  [SMALL_STATE(12850)] = 543686,
  [SMALL_STATE(12851)] = 543694,
  [SMALL_STATE(12852)] = 543702,
  [SMALL_STATE(12853)] = 543710,
  [SMALL_STATE(12854)] = 543718,
  [SMALL_STATE(12855)] = 543726,
  [SMALL_STATE(12856)] = 543734,
  [SMALL_STATE(12857)] = 543742,
  [SMALL_STATE(12858)] = 543750,
  [SMALL_STATE(12859)] = 543758,
  [SMALL_STATE(12860)] = 543766,
  [SMALL_STATE(12861)] = 543774,
  [SMALL_STATE(12862)] = 543782,
  [SMALL_STATE(12863)] = 543790,
  [SMALL_STATE(12864)] = 543798,
  [SMALL_STATE(12865)] = 543806,
  [SMALL_STATE(12866)] = 543814,
  [SMALL_STATE(12867)] = 543822,
  [SMALL_STATE(12868)] = 543830,
  [SMALL_STATE(12869)] = 543838,
  [SMALL_STATE(12870)] = 543846,
  [SMALL_STATE(12871)] = 543854,
  [SMALL_STATE(12872)] = 543862,
  [SMALL_STATE(12873)] = 543870,
  [SMALL_STATE(12874)] = 543878,
  [SMALL_STATE(12875)] = 543886,
  [SMALL_STATE(12876)] = 543894,
  [SMALL_STATE(12877)] = 543902,
  [SMALL_STATE(12878)] = 543910,
  [SMALL_STATE(12879)] = 543918,
  [SMALL_STATE(12880)] = 543926,
  [SMALL_STATE(12881)] = 543934,
  [SMALL_STATE(12882)] = 543942,
  [SMALL_STATE(12883)] = 543950,
  [SMALL_STATE(12884)] = 543958,
  [SMALL_STATE(12885)] = 543966,
  [SMALL_STATE(12886)] = 543974,
  [SMALL_STATE(12887)] = 543982,
  [SMALL_STATE(12888)] = 543990,
  [SMALL_STATE(12889)] = 543998,
  [SMALL_STATE(12890)] = 544006,
  [SMALL_STATE(12891)] = 544014,
  [SMALL_STATE(12892)] = 544022,
  [SMALL_STATE(12893)] = 544030,
  [SMALL_STATE(12894)] = 544038,
  [SMALL_STATE(12895)] = 544046,
  [SMALL_STATE(12896)] = 544054,
  [SMALL_STATE(12897)] = 544062,
  [SMALL_STATE(12898)] = 544070,
  [SMALL_STATE(12899)] = 544078,
  [SMALL_STATE(12900)] = 544086,
  [SMALL_STATE(12901)] = 544094,
  [SMALL_STATE(12902)] = 544102,
  [SMALL_STATE(12903)] = 544110,
  [SMALL_STATE(12904)] = 544118,
  [SMALL_STATE(12905)] = 544126,
  [SMALL_STATE(12906)] = 544134,
  [SMALL_STATE(12907)] = 544142,
  [SMALL_STATE(12908)] = 544150,
  [SMALL_STATE(12909)] = 544158,
  [SMALL_STATE(12910)] = 544166,
  [SMALL_STATE(12911)] = 544174,
  [SMALL_STATE(12912)] = 544182,
  [SMALL_STATE(12913)] = 544190,
  [SMALL_STATE(12914)] = 544198,
  [SMALL_STATE(12915)] = 544206,
  [SMALL_STATE(12916)] = 544214,
  [SMALL_STATE(12917)] = 544222,
  [SMALL_STATE(12918)] = 544230,
  [SMALL_STATE(12919)] = 544238,
  [SMALL_STATE(12920)] = 544246,
  [SMALL_STATE(12921)] = 544254,
  [SMALL_STATE(12922)] = 544262,
  [SMALL_STATE(12923)] = 544270,
  [SMALL_STATE(12924)] = 544278,
  [SMALL_STATE(12925)] = 544286,
  [SMALL_STATE(12926)] = 544294,
  [SMALL_STATE(12927)] = 544302,
  [SMALL_STATE(12928)] = 544310,
  [SMALL_STATE(12929)] = 544318,
  [SMALL_STATE(12930)] = 544326,
  [SMALL_STATE(12931)] = 544334,
  [SMALL_STATE(12932)] = 544342,
  [SMALL_STATE(12933)] = 544350,
  [SMALL_STATE(12934)] = 544358,
  [SMALL_STATE(12935)] = 544366,
  [SMALL_STATE(12936)] = 544374,
  [SMALL_STATE(12937)] = 544382,
  [SMALL_STATE(12938)] = 544390,
  [SMALL_STATE(12939)] = 544398,
  [SMALL_STATE(12940)] = 544406,
  [SMALL_STATE(12941)] = 544414,
  [SMALL_STATE(12942)] = 544422,
  [SMALL_STATE(12943)] = 544430,
  [SMALL_STATE(12944)] = 544438,
  [SMALL_STATE(12945)] = 544446,
  [SMALL_STATE(12946)] = 544454,
  [SMALL_STATE(12947)] = 544462,
  [SMALL_STATE(12948)] = 544470,
  [SMALL_STATE(12949)] = 544478,
  [SMALL_STATE(12950)] = 544486,
  [SMALL_STATE(12951)] = 544494,
  [SMALL_STATE(12952)] = 544502,
  [SMALL_STATE(12953)] = 544510,
  [SMALL_STATE(12954)] = 544518,
  [SMALL_STATE(12955)] = 544526,
  [SMALL_STATE(12956)] = 544534,
  [SMALL_STATE(12957)] = 544542,
  [SMALL_STATE(12958)] = 544550,
  [SMALL_STATE(12959)] = 544558,
  [SMALL_STATE(12960)] = 544566,
  [SMALL_STATE(12961)] = 544574,
  [SMALL_STATE(12962)] = 544582,
  [SMALL_STATE(12963)] = 544590,
  [SMALL_STATE(12964)] = 544598,
  [SMALL_STATE(12965)] = 544606,
  [SMALL_STATE(12966)] = 544614,
  [SMALL_STATE(12967)] = 544622,
  [SMALL_STATE(12968)] = 544630,
  [SMALL_STATE(12969)] = 544638,
  [SMALL_STATE(12970)] = 544646,
  [SMALL_STATE(12971)] = 544654,
  [SMALL_STATE(12972)] = 544662,
  [SMALL_STATE(12973)] = 544670,
  [SMALL_STATE(12974)] = 544678,
  [SMALL_STATE(12975)] = 544686,
  [SMALL_STATE(12976)] = 544694,
  [SMALL_STATE(12977)] = 544702,
  [SMALL_STATE(12978)] = 544710,
  [SMALL_STATE(12979)] = 544718,
  [SMALL_STATE(12980)] = 544726,
  [SMALL_STATE(12981)] = 544734,
  [SMALL_STATE(12982)] = 544742,
  [SMALL_STATE(12983)] = 544750,
  [SMALL_STATE(12984)] = 544758,
  [SMALL_STATE(12985)] = 544766,
  [SMALL_STATE(12986)] = 544774,
  [SMALL_STATE(12987)] = 544782,
  [SMALL_STATE(12988)] = 544790,
  [SMALL_STATE(12989)] = 544798,
  [SMALL_STATE(12990)] = 544806,
  [SMALL_STATE(12991)] = 544814,
  [SMALL_STATE(12992)] = 544822,
  [SMALL_STATE(12993)] = 544830,
  [SMALL_STATE(12994)] = 544838,
  [SMALL_STATE(12995)] = 544846,
  [SMALL_STATE(12996)] = 544854,
  [SMALL_STATE(12997)] = 544862,
  [SMALL_STATE(12998)] = 544870,
  [SMALL_STATE(12999)] = 544878,
  [SMALL_STATE(13000)] = 544886,
  [SMALL_STATE(13001)] = 544894,
  [SMALL_STATE(13002)] = 544902,
  [SMALL_STATE(13003)] = 544910,
  [SMALL_STATE(13004)] = 544918,
  [SMALL_STATE(13005)] = 544926,
  [SMALL_STATE(13006)] = 544934,
  [SMALL_STATE(13007)] = 544942,
  [SMALL_STATE(13008)] = 544950,
  [SMALL_STATE(13009)] = 544958,
  [SMALL_STATE(13010)] = 544966,
  [SMALL_STATE(13011)] = 544974,
  [SMALL_STATE(13012)] = 544982,
  [SMALL_STATE(13013)] = 544990,
  [SMALL_STATE(13014)] = 544998,
  [SMALL_STATE(13015)] = 545006,
  [SMALL_STATE(13016)] = 545014,
  [SMALL_STATE(13017)] = 545022,
  [SMALL_STATE(13018)] = 545030,
  [SMALL_STATE(13019)] = 545038,
  [SMALL_STATE(13020)] = 545046,
  [SMALL_STATE(13021)] = 545054,
  [SMALL_STATE(13022)] = 545062,
  [SMALL_STATE(13023)] = 545070,
  [SMALL_STATE(13024)] = 545078,
  [SMALL_STATE(13025)] = 545086,
  [SMALL_STATE(13026)] = 545094,
  [SMALL_STATE(13027)] = 545102,
  [SMALL_STATE(13028)] = 545110,
  [SMALL_STATE(13029)] = 545118,
  [SMALL_STATE(13030)] = 545126,
  [SMALL_STATE(13031)] = 545134,
  [SMALL_STATE(13032)] = 545142,
  [SMALL_STATE(13033)] = 545150,
  [SMALL_STATE(13034)] = 545158,
  [SMALL_STATE(13035)] = 545166,
  [SMALL_STATE(13036)] = 545174,
  [SMALL_STATE(13037)] = 545182,
  [SMALL_STATE(13038)] = 545190,
  [SMALL_STATE(13039)] = 545198,
  [SMALL_STATE(13040)] = 545206,
  [SMALL_STATE(13041)] = 545214,
  [SMALL_STATE(13042)] = 545222,
  [SMALL_STATE(13043)] = 545230,
  [SMALL_STATE(13044)] = 545238,
  [SMALL_STATE(13045)] = 545246,
  [SMALL_STATE(13046)] = 545254,
  [SMALL_STATE(13047)] = 545262,
  [SMALL_STATE(13048)] = 545270,
  [SMALL_STATE(13049)] = 545278,
  [SMALL_STATE(13050)] = 545286,
  [SMALL_STATE(13051)] = 545294,
  [SMALL_STATE(13052)] = 545302,
  [SMALL_STATE(13053)] = 545310,
  [SMALL_STATE(13054)] = 545318,
  [SMALL_STATE(13055)] = 545326,
  [SMALL_STATE(13056)] = 545334,
  [SMALL_STATE(13057)] = 545342,
  [SMALL_STATE(13058)] = 545350,
  [SMALL_STATE(13059)] = 545358,
  [SMALL_STATE(13060)] = 545366,
  [SMALL_STATE(13061)] = 545374,
  [SMALL_STATE(13062)] = 545382,
  [SMALL_STATE(13063)] = 545390,
  [SMALL_STATE(13064)] = 545398,
  [SMALL_STATE(13065)] = 545406,
  [SMALL_STATE(13066)] = 545414,
  [SMALL_STATE(13067)] = 545422,
  [SMALL_STATE(13068)] = 545430,
  [SMALL_STATE(13069)] = 545438,
  [SMALL_STATE(13070)] = 545446,
  [SMALL_STATE(13071)] = 545454,
  [SMALL_STATE(13072)] = 545462,
  [SMALL_STATE(13073)] = 545470,
  [SMALL_STATE(13074)] = 545478,
  [SMALL_STATE(13075)] = 545486,
  [SMALL_STATE(13076)] = 545494,
  [SMALL_STATE(13077)] = 545502,
  [SMALL_STATE(13078)] = 545510,
  [SMALL_STATE(13079)] = 545518,
  [SMALL_STATE(13080)] = 545526,
  [SMALL_STATE(13081)] = 545534,
  [SMALL_STATE(13082)] = 545542,
  [SMALL_STATE(13083)] = 545550,
  [SMALL_STATE(13084)] = 545558,
  [SMALL_STATE(13085)] = 545566,
  [SMALL_STATE(13086)] = 545574,
  [SMALL_STATE(13087)] = 545582,
  [SMALL_STATE(13088)] = 545590,
  [SMALL_STATE(13089)] = 545598,
  [SMALL_STATE(13090)] = 545606,
  [SMALL_STATE(13091)] = 545614,
  [SMALL_STATE(13092)] = 545622,
  [SMALL_STATE(13093)] = 545630,
  [SMALL_STATE(13094)] = 545638,
  [SMALL_STATE(13095)] = 545646,
  [SMALL_STATE(13096)] = 545654,
  [SMALL_STATE(13097)] = 545662,
  [SMALL_STATE(13098)] = 545670,
  [SMALL_STATE(13099)] = 545678,
  [SMALL_STATE(13100)] = 545686,
  [SMALL_STATE(13101)] = 545694,
  [SMALL_STATE(13102)] = 545702,
  [SMALL_STATE(13103)] = 545710,
  [SMALL_STATE(13104)] = 545718,
  [SMALL_STATE(13105)] = 545726,
  [SMALL_STATE(13106)] = 545734,
  [SMALL_STATE(13107)] = 545742,
  [SMALL_STATE(13108)] = 545750,
  [SMALL_STATE(13109)] = 545758,
  [SMALL_STATE(13110)] = 545766,
  [SMALL_STATE(13111)] = 545774,
  [SMALL_STATE(13112)] = 545782,
  [SMALL_STATE(13113)] = 545790,
  [SMALL_STATE(13114)] = 545798,
  [SMALL_STATE(13115)] = 545806,
  [SMALL_STATE(13116)] = 545814,
  [SMALL_STATE(13117)] = 545822,
  [SMALL_STATE(13118)] = 545830,
  [SMALL_STATE(13119)] = 545838,
  [SMALL_STATE(13120)] = 545846,
  [SMALL_STATE(13121)] = 545854,
  [SMALL_STATE(13122)] = 545862,
  [SMALL_STATE(13123)] = 545870,
  [SMALL_STATE(13124)] = 545878,
  [SMALL_STATE(13125)] = 545886,
  [SMALL_STATE(13126)] = 545894,
  [SMALL_STATE(13127)] = 545902,
  [SMALL_STATE(13128)] = 545910,
  [SMALL_STATE(13129)] = 545918,
  [SMALL_STATE(13130)] = 545926,
  [SMALL_STATE(13131)] = 545934,
  [SMALL_STATE(13132)] = 545942,
  [SMALL_STATE(13133)] = 545950,
  [SMALL_STATE(13134)] = 545958,
  [SMALL_STATE(13135)] = 545966,
  [SMALL_STATE(13136)] = 545974,
  [SMALL_STATE(13137)] = 545982,
  [SMALL_STATE(13138)] = 545990,
  [SMALL_STATE(13139)] = 545998,
  [SMALL_STATE(13140)] = 546006,
  [SMALL_STATE(13141)] = 546014,
  [SMALL_STATE(13142)] = 546022,
  [SMALL_STATE(13143)] = 546030,
  [SMALL_STATE(13144)] = 546038,
  [SMALL_STATE(13145)] = 546046,
  [SMALL_STATE(13146)] = 546054,
  [SMALL_STATE(13147)] = 546062,
  [SMALL_STATE(13148)] = 546070,
  [SMALL_STATE(13149)] = 546078,
  [SMALL_STATE(13150)] = 546086,
  [SMALL_STATE(13151)] = 546094,
  [SMALL_STATE(13152)] = 546102,
  [SMALL_STATE(13153)] = 546110,
  [SMALL_STATE(13154)] = 546118,
  [SMALL_STATE(13155)] = 546126,
  [SMALL_STATE(13156)] = 546134,
  [SMALL_STATE(13157)] = 546142,
  [SMALL_STATE(13158)] = 546150,
  [SMALL_STATE(13159)] = 546158,
  [SMALL_STATE(13160)] = 546166,
  [SMALL_STATE(13161)] = 546174,
  [SMALL_STATE(13162)] = 546182,
  [SMALL_STATE(13163)] = 546190,
  [SMALL_STATE(13164)] = 546198,
  [SMALL_STATE(13165)] = 546206,
  [SMALL_STATE(13166)] = 546214,
  [SMALL_STATE(13167)] = 546222,
  [SMALL_STATE(13168)] = 546230,
  [SMALL_STATE(13169)] = 546238,
  [SMALL_STATE(13170)] = 546246,
  [SMALL_STATE(13171)] = 546254,
  [SMALL_STATE(13172)] = 546262,
  [SMALL_STATE(13173)] = 546270,
  [SMALL_STATE(13174)] = 546278,
  [SMALL_STATE(13175)] = 546286,
  [SMALL_STATE(13176)] = 546294,
  [SMALL_STATE(13177)] = 546302,
  [SMALL_STATE(13178)] = 546310,
  [SMALL_STATE(13179)] = 546318,
  [SMALL_STATE(13180)] = 546326,
  [SMALL_STATE(13181)] = 546334,
  [SMALL_STATE(13182)] = 546342,
  [SMALL_STATE(13183)] = 546350,
  [SMALL_STATE(13184)] = 546358,
  [SMALL_STATE(13185)] = 546366,
  [SMALL_STATE(13186)] = 546374,
  [SMALL_STATE(13187)] = 546382,
  [SMALL_STATE(13188)] = 546390,
  [SMALL_STATE(13189)] = 546398,
  [SMALL_STATE(13190)] = 546406,
  [SMALL_STATE(13191)] = 546414,
  [SMALL_STATE(13192)] = 546422,
  [SMALL_STATE(13193)] = 546430,
  [SMALL_STATE(13194)] = 546438,
  [SMALL_STATE(13195)] = 546446,
  [SMALL_STATE(13196)] = 546454,
  [SMALL_STATE(13197)] = 546462,
  [SMALL_STATE(13198)] = 546470,
  [SMALL_STATE(13199)] = 546478,
  [SMALL_STATE(13200)] = 546486,
  [SMALL_STATE(13201)] = 546494,
  [SMALL_STATE(13202)] = 546502,
  [SMALL_STATE(13203)] = 546510,
  [SMALL_STATE(13204)] = 546518,
  [SMALL_STATE(13205)] = 546526,
  [SMALL_STATE(13206)] = 546534,
  [SMALL_STATE(13207)] = 546542,
  [SMALL_STATE(13208)] = 546550,
  [SMALL_STATE(13209)] = 546558,
  [SMALL_STATE(13210)] = 546566,
  [SMALL_STATE(13211)] = 546574,
  [SMALL_STATE(13212)] = 546582,
  [SMALL_STATE(13213)] = 546590,
  [SMALL_STATE(13214)] = 546598,
  [SMALL_STATE(13215)] = 546606,
  [SMALL_STATE(13216)] = 546614,
  [SMALL_STATE(13217)] = 546622,
  [SMALL_STATE(13218)] = 546630,
  [SMALL_STATE(13219)] = 546638,
  [SMALL_STATE(13220)] = 546646,
  [SMALL_STATE(13221)] = 546654,
  [SMALL_STATE(13222)] = 546662,
  [SMALL_STATE(13223)] = 546670,
  [SMALL_STATE(13224)] = 546678,
  [SMALL_STATE(13225)] = 546686,
  [SMALL_STATE(13226)] = 546694,
  [SMALL_STATE(13227)] = 546702,
  [SMALL_STATE(13228)] = 546710,
  [SMALL_STATE(13229)] = 546718,
  [SMALL_STATE(13230)] = 546726,
  [SMALL_STATE(13231)] = 546734,
  [SMALL_STATE(13232)] = 546742,
  [SMALL_STATE(13233)] = 546750,
  [SMALL_STATE(13234)] = 546758,
  [SMALL_STATE(13235)] = 546766,
  [SMALL_STATE(13236)] = 546774,
  [SMALL_STATE(13237)] = 546782,
  [SMALL_STATE(13238)] = 546790,
  [SMALL_STATE(13239)] = 546798,
  [SMALL_STATE(13240)] = 546806,
  [SMALL_STATE(13241)] = 546814,
  [SMALL_STATE(13242)] = 546822,
  [SMALL_STATE(13243)] = 546830,
  [SMALL_STATE(13244)] = 546838,
  [SMALL_STATE(13245)] = 546846,
  [SMALL_STATE(13246)] = 546854,
  [SMALL_STATE(13247)] = 546862,
  [SMALL_STATE(13248)] = 546870,
  [SMALL_STATE(13249)] = 546878,
  [SMALL_STATE(13250)] = 546886,
  [SMALL_STATE(13251)] = 546894,
  [SMALL_STATE(13252)] = 546902,
  [SMALL_STATE(13253)] = 546910,
  [SMALL_STATE(13254)] = 546918,
  [SMALL_STATE(13255)] = 546926,
  [SMALL_STATE(13256)] = 546934,
  [SMALL_STATE(13257)] = 546942,
  [SMALL_STATE(13258)] = 546950,
  [SMALL_STATE(13259)] = 546958,
  [SMALL_STATE(13260)] = 546966,
  [SMALL_STATE(13261)] = 546974,
  [SMALL_STATE(13262)] = 546982,
  [SMALL_STATE(13263)] = 546990,
  [SMALL_STATE(13264)] = 546998,
  [SMALL_STATE(13265)] = 547006,
  [SMALL_STATE(13266)] = 547014,
  [SMALL_STATE(13267)] = 547022,
  [SMALL_STATE(13268)] = 547030,
  [SMALL_STATE(13269)] = 547038,
  [SMALL_STATE(13270)] = 547046,
  [SMALL_STATE(13271)] = 547054,
  [SMALL_STATE(13272)] = 547062,
  [SMALL_STATE(13273)] = 547070,
  [SMALL_STATE(13274)] = 547078,
  [SMALL_STATE(13275)] = 547086,
  [SMALL_STATE(13276)] = 547094,
  [SMALL_STATE(13277)] = 547102,
  [SMALL_STATE(13278)] = 547110,
  [SMALL_STATE(13279)] = 547118,
  [SMALL_STATE(13280)] = 547126,
  [SMALL_STATE(13281)] = 547134,
  [SMALL_STATE(13282)] = 547142,
  [SMALL_STATE(13283)] = 547150,
  [SMALL_STATE(13284)] = 547158,
  [SMALL_STATE(13285)] = 547166,
  [SMALL_STATE(13286)] = 547174,
  [SMALL_STATE(13287)] = 547182,
  [SMALL_STATE(13288)] = 547190,
  [SMALL_STATE(13289)] = 547198,
  [SMALL_STATE(13290)] = 547206,
  [SMALL_STATE(13291)] = 547214,
  [SMALL_STATE(13292)] = 547222,
  [SMALL_STATE(13293)] = 547230,
  [SMALL_STATE(13294)] = 547238,
  [SMALL_STATE(13295)] = 547246,
  [SMALL_STATE(13296)] = 547254,
  [SMALL_STATE(13297)] = 547262,
  [SMALL_STATE(13298)] = 547270,
  [SMALL_STATE(13299)] = 547278,
  [SMALL_STATE(13300)] = 547286,
  [SMALL_STATE(13301)] = 547294,
  [SMALL_STATE(13302)] = 547302,
  [SMALL_STATE(13303)] = 547310,
  [SMALL_STATE(13304)] = 547318,
  [SMALL_STATE(13305)] = 547326,
  [SMALL_STATE(13306)] = 547334,
  [SMALL_STATE(13307)] = 547342,
  [SMALL_STATE(13308)] = 547350,
  [SMALL_STATE(13309)] = 547358,
  [SMALL_STATE(13310)] = 547366,
  [SMALL_STATE(13311)] = 547374,
  [SMALL_STATE(13312)] = 547382,
  [SMALL_STATE(13313)] = 547390,
  [SMALL_STATE(13314)] = 547398,
  [SMALL_STATE(13315)] = 547406,
  [SMALL_STATE(13316)] = 547414,
  [SMALL_STATE(13317)] = 547422,
  [SMALL_STATE(13318)] = 547430,
  [SMALL_STATE(13319)] = 547438,
  [SMALL_STATE(13320)] = 547446,
  [SMALL_STATE(13321)] = 547454,
  [SMALL_STATE(13322)] = 547462,
  [SMALL_STATE(13323)] = 547470,
  [SMALL_STATE(13324)] = 547478,
  [SMALL_STATE(13325)] = 547486,
  [SMALL_STATE(13326)] = 547494,
  [SMALL_STATE(13327)] = 547502,
  [SMALL_STATE(13328)] = 547510,
  [SMALL_STATE(13329)] = 547518,
  [SMALL_STATE(13330)] = 547526,
  [SMALL_STATE(13331)] = 547534,
  [SMALL_STATE(13332)] = 547542,
  [SMALL_STATE(13333)] = 547550,
  [SMALL_STATE(13334)] = 547558,
  [SMALL_STATE(13335)] = 547566,
  [SMALL_STATE(13336)] = 547574,
  [SMALL_STATE(13337)] = 547582,
  [SMALL_STATE(13338)] = 547590,
  [SMALL_STATE(13339)] = 547598,
  [SMALL_STATE(13340)] = 547606,
  [SMALL_STATE(13341)] = 547614,
  [SMALL_STATE(13342)] = 547622,
  [SMALL_STATE(13343)] = 547630,
  [SMALL_STATE(13344)] = 547638,
  [SMALL_STATE(13345)] = 547646,
  [SMALL_STATE(13346)] = 547654,
  [SMALL_STATE(13347)] = 547662,
  [SMALL_STATE(13348)] = 547670,
  [SMALL_STATE(13349)] = 547678,
  [SMALL_STATE(13350)] = 547686,
  [SMALL_STATE(13351)] = 547694,
  [SMALL_STATE(13352)] = 547702,
  [SMALL_STATE(13353)] = 547710,
  [SMALL_STATE(13354)] = 547718,
  [SMALL_STATE(13355)] = 547726,
  [SMALL_STATE(13356)] = 547734,
  [SMALL_STATE(13357)] = 547742,
  [SMALL_STATE(13358)] = 547750,
  [SMALL_STATE(13359)] = 547758,
  [SMALL_STATE(13360)] = 547766,
  [SMALL_STATE(13361)] = 547774,
  [SMALL_STATE(13362)] = 547782,
  [SMALL_STATE(13363)] = 547790,
  [SMALL_STATE(13364)] = 547798,
  [SMALL_STATE(13365)] = 547806,
  [SMALL_STATE(13366)] = 547814,
  [SMALL_STATE(13367)] = 547822,
  [SMALL_STATE(13368)] = 547830,
  [SMALL_STATE(13369)] = 547838,
  [SMALL_STATE(13370)] = 547846,
  [SMALL_STATE(13371)] = 547854,
  [SMALL_STATE(13372)] = 547862,
  [SMALL_STATE(13373)] = 547870,
  [SMALL_STATE(13374)] = 547878,
  [SMALL_STATE(13375)] = 547886,
  [SMALL_STATE(13376)] = 547894,
  [SMALL_STATE(13377)] = 547902,
  [SMALL_STATE(13378)] = 547910,
  [SMALL_STATE(13379)] = 547918,
  [SMALL_STATE(13380)] = 547926,
  [SMALL_STATE(13381)] = 547934,
  [SMALL_STATE(13382)] = 547942,
  [SMALL_STATE(13383)] = 547950,
  [SMALL_STATE(13384)] = 547958,
  [SMALL_STATE(13385)] = 547966,
  [SMALL_STATE(13386)] = 547974,
  [SMALL_STATE(13387)] = 547982,
  [SMALL_STATE(13388)] = 547990,
  [SMALL_STATE(13389)] = 547998,
  [SMALL_STATE(13390)] = 548006,
  [SMALL_STATE(13391)] = 548014,
  [SMALL_STATE(13392)] = 548022,
  [SMALL_STATE(13393)] = 548030,
  [SMALL_STATE(13394)] = 548038,
  [SMALL_STATE(13395)] = 548046,
  [SMALL_STATE(13396)] = 548054,
  [SMALL_STATE(13397)] = 548062,
  [SMALL_STATE(13398)] = 548070,
  [SMALL_STATE(13399)] = 548078,
  [SMALL_STATE(13400)] = 548086,
  [SMALL_STATE(13401)] = 548094,
  [SMALL_STATE(13402)] = 548102,
  [SMALL_STATE(13403)] = 548110,
  [SMALL_STATE(13404)] = 548118,
  [SMALL_STATE(13405)] = 548126,
  [SMALL_STATE(13406)] = 548134,
  [SMALL_STATE(13407)] = 548142,
  [SMALL_STATE(13408)] = 548150,
  [SMALL_STATE(13409)] = 548158,
  [SMALL_STATE(13410)] = 548166,
  [SMALL_STATE(13411)] = 548174,
  [SMALL_STATE(13412)] = 548182,
  [SMALL_STATE(13413)] = 548190,
  [SMALL_STATE(13414)] = 548198,
  [SMALL_STATE(13415)] = 548206,
  [SMALL_STATE(13416)] = 548214,
  [SMALL_STATE(13417)] = 548222,
  [SMALL_STATE(13418)] = 548230,
  [SMALL_STATE(13419)] = 548238,
  [SMALL_STATE(13420)] = 548246,
  [SMALL_STATE(13421)] = 548254,
  [SMALL_STATE(13422)] = 548262,
  [SMALL_STATE(13423)] = 548270,
  [SMALL_STATE(13424)] = 548278,
  [SMALL_STATE(13425)] = 548286,
  [SMALL_STATE(13426)] = 548294,
  [SMALL_STATE(13427)] = 548302,
  [SMALL_STATE(13428)] = 548310,
  [SMALL_STATE(13429)] = 548318,
  [SMALL_STATE(13430)] = 548326,
  [SMALL_STATE(13431)] = 548334,
  [SMALL_STATE(13432)] = 548342,
  [SMALL_STATE(13433)] = 548350,
  [SMALL_STATE(13434)] = 548358,
  [SMALL_STATE(13435)] = 548366,
  [SMALL_STATE(13436)] = 548374,
  [SMALL_STATE(13437)] = 548382,
  [SMALL_STATE(13438)] = 548390,
  [SMALL_STATE(13439)] = 548398,
  [SMALL_STATE(13440)] = 548406,
  [SMALL_STATE(13441)] = 548414,
  [SMALL_STATE(13442)] = 548422,
  [SMALL_STATE(13443)] = 548430,
  [SMALL_STATE(13444)] = 548438,
  [SMALL_STATE(13445)] = 548446,
  [SMALL_STATE(13446)] = 548454,
  [SMALL_STATE(13447)] = 548462,
  [SMALL_STATE(13448)] = 548470,
  [SMALL_STATE(13449)] = 548478,
  [SMALL_STATE(13450)] = 548486,
  [SMALL_STATE(13451)] = 548494,
  [SMALL_STATE(13452)] = 548502,
  [SMALL_STATE(13453)] = 548510,
  [SMALL_STATE(13454)] = 548518,
  [SMALL_STATE(13455)] = 548526,
  [SMALL_STATE(13456)] = 548534,
  [SMALL_STATE(13457)] = 548542,
  [SMALL_STATE(13458)] = 548550,
  [SMALL_STATE(13459)] = 548558,
  [SMALL_STATE(13460)] = 548566,
  [SMALL_STATE(13461)] = 548574,
  [SMALL_STATE(13462)] = 548582,
  [SMALL_STATE(13463)] = 548590,
  [SMALL_STATE(13464)] = 548598,
  [SMALL_STATE(13465)] = 548606,
  [SMALL_STATE(13466)] = 548614,
  [SMALL_STATE(13467)] = 548622,
  [SMALL_STATE(13468)] = 548630,
  [SMALL_STATE(13469)] = 548638,
  [SMALL_STATE(13470)] = 548646,
  [SMALL_STATE(13471)] = 548654,
  [SMALL_STATE(13472)] = 548662,
  [SMALL_STATE(13473)] = 548670,
  [SMALL_STATE(13474)] = 548678,
  [SMALL_STATE(13475)] = 548686,
  [SMALL_STATE(13476)] = 548694,
  [SMALL_STATE(13477)] = 548702,
  [SMALL_STATE(13478)] = 548710,
  [SMALL_STATE(13479)] = 548718,
  [SMALL_STATE(13480)] = 548726,
  [SMALL_STATE(13481)] = 548734,
  [SMALL_STATE(13482)] = 548742,
  [SMALL_STATE(13483)] = 548750,
  [SMALL_STATE(13484)] = 548758,
  [SMALL_STATE(13485)] = 548766,
  [SMALL_STATE(13486)] = 548774,
  [SMALL_STATE(13487)] = 548782,
  [SMALL_STATE(13488)] = 548790,
  [SMALL_STATE(13489)] = 548798,
  [SMALL_STATE(13490)] = 548806,
  [SMALL_STATE(13491)] = 548814,
  [SMALL_STATE(13492)] = 548822,
  [SMALL_STATE(13493)] = 548830,
  [SMALL_STATE(13494)] = 548838,
  [SMALL_STATE(13495)] = 548846,
  [SMALL_STATE(13496)] = 548854,
  [SMALL_STATE(13497)] = 548862,
  [SMALL_STATE(13498)] = 548870,
  [SMALL_STATE(13499)] = 548878,
  [SMALL_STATE(13500)] = 548886,
  [SMALL_STATE(13501)] = 548894,
  [SMALL_STATE(13502)] = 548902,
  [SMALL_STATE(13503)] = 548910,
  [SMALL_STATE(13504)] = 548918,
  [SMALL_STATE(13505)] = 548926,
  [SMALL_STATE(13506)] = 548934,
  [SMALL_STATE(13507)] = 548942,
  [SMALL_STATE(13508)] = 548950,
  [SMALL_STATE(13509)] = 548958,
  [SMALL_STATE(13510)] = 548966,
  [SMALL_STATE(13511)] = 548974,
  [SMALL_STATE(13512)] = 548982,
  [SMALL_STATE(13513)] = 548990,
  [SMALL_STATE(13514)] = 548998,
  [SMALL_STATE(13515)] = 549006,
  [SMALL_STATE(13516)] = 549014,
  [SMALL_STATE(13517)] = 549022,
  [SMALL_STATE(13518)] = 549030,
  [SMALL_STATE(13519)] = 549038,
  [SMALL_STATE(13520)] = 549046,
  [SMALL_STATE(13521)] = 549054,
  [SMALL_STATE(13522)] = 549062,
  [SMALL_STATE(13523)] = 549070,
  [SMALL_STATE(13524)] = 549078,
  [SMALL_STATE(13525)] = 549086,
  [SMALL_STATE(13526)] = 549094,
  [SMALL_STATE(13527)] = 549102,
  [SMALL_STATE(13528)] = 549110,
  [SMALL_STATE(13529)] = 549118,
  [SMALL_STATE(13530)] = 549126,
  [SMALL_STATE(13531)] = 549134,
  [SMALL_STATE(13532)] = 549142,
  [SMALL_STATE(13533)] = 549150,
  [SMALL_STATE(13534)] = 549158,
  [SMALL_STATE(13535)] = 549166,
  [SMALL_STATE(13536)] = 549174,
  [SMALL_STATE(13537)] = 549182,
  [SMALL_STATE(13538)] = 549190,
  [SMALL_STATE(13539)] = 549198,
  [SMALL_STATE(13540)] = 549206,
  [SMALL_STATE(13541)] = 549214,
  [SMALL_STATE(13542)] = 549222,
  [SMALL_STATE(13543)] = 549230,
  [SMALL_STATE(13544)] = 549238,
  [SMALL_STATE(13545)] = 549246,
  [SMALL_STATE(13546)] = 549254,
  [SMALL_STATE(13547)] = 549262,
  [SMALL_STATE(13548)] = 549270,
  [SMALL_STATE(13549)] = 549278,
  [SMALL_STATE(13550)] = 549286,
  [SMALL_STATE(13551)] = 549294,
  [SMALL_STATE(13552)] = 549302,
  [SMALL_STATE(13553)] = 549310,
  [SMALL_STATE(13554)] = 549318,
  [SMALL_STATE(13555)] = 549326,
  [SMALL_STATE(13556)] = 549334,
  [SMALL_STATE(13557)] = 549342,
  [SMALL_STATE(13558)] = 549350,
  [SMALL_STATE(13559)] = 549358,
  [SMALL_STATE(13560)] = 549366,
  [SMALL_STATE(13561)] = 549374,
  [SMALL_STATE(13562)] = 549382,
  [SMALL_STATE(13563)] = 549390,
  [SMALL_STATE(13564)] = 549398,
  [SMALL_STATE(13565)] = 549406,
  [SMALL_STATE(13566)] = 549414,
  [SMALL_STATE(13567)] = 549422,
  [SMALL_STATE(13568)] = 549430,
  [SMALL_STATE(13569)] = 549438,
  [SMALL_STATE(13570)] = 549446,
  [SMALL_STATE(13571)] = 549454,
  [SMALL_STATE(13572)] = 549462,
  [SMALL_STATE(13573)] = 549470,
  [SMALL_STATE(13574)] = 549478,
  [SMALL_STATE(13575)] = 549486,
  [SMALL_STATE(13576)] = 549494,
  [SMALL_STATE(13577)] = 549502,
  [SMALL_STATE(13578)] = 549510,
  [SMALL_STATE(13579)] = 549518,
  [SMALL_STATE(13580)] = 549526,
  [SMALL_STATE(13581)] = 549534,
  [SMALL_STATE(13582)] = 549542,
  [SMALL_STATE(13583)] = 549550,
  [SMALL_STATE(13584)] = 549558,
  [SMALL_STATE(13585)] = 549566,
  [SMALL_STATE(13586)] = 549574,
  [SMALL_STATE(13587)] = 549582,
  [SMALL_STATE(13588)] = 549590,
  [SMALL_STATE(13589)] = 549598,
  [SMALL_STATE(13590)] = 549606,
  [SMALL_STATE(13591)] = 549614,
  [SMALL_STATE(13592)] = 549622,
  [SMALL_STATE(13593)] = 549630,
  [SMALL_STATE(13594)] = 549638,
  [SMALL_STATE(13595)] = 549646,
  [SMALL_STATE(13596)] = 549654,
  [SMALL_STATE(13597)] = 549662,
  [SMALL_STATE(13598)] = 549670,
  [SMALL_STATE(13599)] = 549678,
  [SMALL_STATE(13600)] = 549686,
  [SMALL_STATE(13601)] = 549694,
  [SMALL_STATE(13602)] = 549702,
  [SMALL_STATE(13603)] = 549710,
  [SMALL_STATE(13604)] = 549718,
  [SMALL_STATE(13605)] = 549726,
  [SMALL_STATE(13606)] = 549734,
  [SMALL_STATE(13607)] = 549742,
  [SMALL_STATE(13608)] = 549750,
  [SMALL_STATE(13609)] = 549758,
  [SMALL_STATE(13610)] = 549766,
  [SMALL_STATE(13611)] = 549774,
  [SMALL_STATE(13612)] = 549782,
  [SMALL_STATE(13613)] = 549790,
  [SMALL_STATE(13614)] = 549798,
  [SMALL_STATE(13615)] = 549806,
  [SMALL_STATE(13616)] = 549814,
  [SMALL_STATE(13617)] = 549822,
  [SMALL_STATE(13618)] = 549830,
  [SMALL_STATE(13619)] = 549838,
  [SMALL_STATE(13620)] = 549846,
  [SMALL_STATE(13621)] = 549854,
  [SMALL_STATE(13622)] = 549862,
  [SMALL_STATE(13623)] = 549870,
  [SMALL_STATE(13624)] = 549878,
  [SMALL_STATE(13625)] = 549886,
  [SMALL_STATE(13626)] = 549894,
  [SMALL_STATE(13627)] = 549902,
  [SMALL_STATE(13628)] = 549910,
  [SMALL_STATE(13629)] = 549918,
  [SMALL_STATE(13630)] = 549926,
  [SMALL_STATE(13631)] = 549934,
  [SMALL_STATE(13632)] = 549942,
  [SMALL_STATE(13633)] = 549950,
  [SMALL_STATE(13634)] = 549958,
  [SMALL_STATE(13635)] = 549966,
  [SMALL_STATE(13636)] = 549974,
  [SMALL_STATE(13637)] = 549982,
  [SMALL_STATE(13638)] = 549990,
  [SMALL_STATE(13639)] = 549998,
  [SMALL_STATE(13640)] = 550006,
  [SMALL_STATE(13641)] = 550014,
  [SMALL_STATE(13642)] = 550022,
  [SMALL_STATE(13643)] = 550030,
  [SMALL_STATE(13644)] = 550038,
  [SMALL_STATE(13645)] = 550046,
  [SMALL_STATE(13646)] = 550054,
  [SMALL_STATE(13647)] = 550062,
  [SMALL_STATE(13648)] = 550070,
  [SMALL_STATE(13649)] = 550078,
  [SMALL_STATE(13650)] = 550086,
  [SMALL_STATE(13651)] = 550094,
  [SMALL_STATE(13652)] = 550102,
  [SMALL_STATE(13653)] = 550110,
  [SMALL_STATE(13654)] = 550118,
  [SMALL_STATE(13655)] = 550126,
  [SMALL_STATE(13656)] = 550134,
  [SMALL_STATE(13657)] = 550142,
  [SMALL_STATE(13658)] = 550150,
  [SMALL_STATE(13659)] = 550158,
  [SMALL_STATE(13660)] = 550166,
  [SMALL_STATE(13661)] = 550174,
  [SMALL_STATE(13662)] = 550182,
  [SMALL_STATE(13663)] = 550190,
  [SMALL_STATE(13664)] = 550198,
  [SMALL_STATE(13665)] = 550206,
  [SMALL_STATE(13666)] = 550214,
  [SMALL_STATE(13667)] = 550222,
  [SMALL_STATE(13668)] = 550230,
  [SMALL_STATE(13669)] = 550238,
  [SMALL_STATE(13670)] = 550246,
  [SMALL_STATE(13671)] = 550254,
  [SMALL_STATE(13672)] = 550262,
  [SMALL_STATE(13673)] = 550270,
  [SMALL_STATE(13674)] = 550278,
  [SMALL_STATE(13675)] = 550286,
  [SMALL_STATE(13676)] = 550294,
  [SMALL_STATE(13677)] = 550302,
  [SMALL_STATE(13678)] = 550310,
  [SMALL_STATE(13679)] = 550318,
  [SMALL_STATE(13680)] = 550326,
  [SMALL_STATE(13681)] = 550334,
  [SMALL_STATE(13682)] = 550342,
  [SMALL_STATE(13683)] = 550350,
  [SMALL_STATE(13684)] = 550358,
  [SMALL_STATE(13685)] = 550366,
  [SMALL_STATE(13686)] = 550374,
  [SMALL_STATE(13687)] = 550382,
  [SMALL_STATE(13688)] = 550390,
  [SMALL_STATE(13689)] = 550398,
  [SMALL_STATE(13690)] = 550406,
  [SMALL_STATE(13691)] = 550414,
  [SMALL_STATE(13692)] = 550422,
  [SMALL_STATE(13693)] = 550430,
  [SMALL_STATE(13694)] = 550438,
  [SMALL_STATE(13695)] = 550446,
  [SMALL_STATE(13696)] = 550454,
  [SMALL_STATE(13697)] = 550462,
  [SMALL_STATE(13698)] = 550470,
  [SMALL_STATE(13699)] = 550478,
  [SMALL_STATE(13700)] = 550486,
  [SMALL_STATE(13701)] = 550494,
  [SMALL_STATE(13702)] = 550502,
  [SMALL_STATE(13703)] = 550510,
  [SMALL_STATE(13704)] = 550518,
  [SMALL_STATE(13705)] = 550526,
  [SMALL_STATE(13706)] = 550534,
  [SMALL_STATE(13707)] = 550542,
  [SMALL_STATE(13708)] = 550550,
  [SMALL_STATE(13709)] = 550558,
  [SMALL_STATE(13710)] = 550566,
  [SMALL_STATE(13711)] = 550574,
  [SMALL_STATE(13712)] = 550582,
  [SMALL_STATE(13713)] = 550590,
  [SMALL_STATE(13714)] = 550598,
  [SMALL_STATE(13715)] = 550606,
  [SMALL_STATE(13716)] = 550614,
  [SMALL_STATE(13717)] = 550622,
  [SMALL_STATE(13718)] = 550630,
  [SMALL_STATE(13719)] = 550638,
  [SMALL_STATE(13720)] = 550646,
  [SMALL_STATE(13721)] = 550654,
  [SMALL_STATE(13722)] = 550662,
  [SMALL_STATE(13723)] = 550670,
  [SMALL_STATE(13724)] = 550678,
  [SMALL_STATE(13725)] = 550686,
  [SMALL_STATE(13726)] = 550694,
  [SMALL_STATE(13727)] = 550702,
  [SMALL_STATE(13728)] = 550710,
  [SMALL_STATE(13729)] = 550718,
  [SMALL_STATE(13730)] = 550726,
  [SMALL_STATE(13731)] = 550734,
  [SMALL_STATE(13732)] = 550742,
  [SMALL_STATE(13733)] = 550750,
  [SMALL_STATE(13734)] = 550758,
  [SMALL_STATE(13735)] = 550766,
  [SMALL_STATE(13736)] = 550774,
  [SMALL_STATE(13737)] = 550782,
  [SMALL_STATE(13738)] = 550790,
  [SMALL_STATE(13739)] = 550798,
  [SMALL_STATE(13740)] = 550806,
  [SMALL_STATE(13741)] = 550814,
  [SMALL_STATE(13742)] = 550822,
  [SMALL_STATE(13743)] = 550830,
  [SMALL_STATE(13744)] = 550838,
  [SMALL_STATE(13745)] = 550846,
  [SMALL_STATE(13746)] = 550854,
  [SMALL_STATE(13747)] = 550862,
  [SMALL_STATE(13748)] = 550870,
  [SMALL_STATE(13749)] = 550878,
  [SMALL_STATE(13750)] = 550886,
  [SMALL_STATE(13751)] = 550894,
  [SMALL_STATE(13752)] = 550902,
  [SMALL_STATE(13753)] = 550910,
  [SMALL_STATE(13754)] = 550918,
  [SMALL_STATE(13755)] = 550926,
  [SMALL_STATE(13756)] = 550934,
  [SMALL_STATE(13757)] = 550942,
  [SMALL_STATE(13758)] = 550950,
  [SMALL_STATE(13759)] = 550958,
  [SMALL_STATE(13760)] = 550966,
  [SMALL_STATE(13761)] = 550974,
  [SMALL_STATE(13762)] = 550982,
  [SMALL_STATE(13763)] = 550990,
  [SMALL_STATE(13764)] = 550998,
  [SMALL_STATE(13765)] = 551006,
  [SMALL_STATE(13766)] = 551014,
  [SMALL_STATE(13767)] = 551022,
  [SMALL_STATE(13768)] = 551030,
  [SMALL_STATE(13769)] = 551038,
  [SMALL_STATE(13770)] = 551046,
  [SMALL_STATE(13771)] = 551054,
  [SMALL_STATE(13772)] = 551062,
  [SMALL_STATE(13773)] = 551070,
  [SMALL_STATE(13774)] = 551078,
  [SMALL_STATE(13775)] = 551086,
  [SMALL_STATE(13776)] = 551094,
  [SMALL_STATE(13777)] = 551102,
  [SMALL_STATE(13778)] = 551110,
  [SMALL_STATE(13779)] = 551118,
  [SMALL_STATE(13780)] = 551126,
  [SMALL_STATE(13781)] = 551134,
  [SMALL_STATE(13782)] = 551142,
  [SMALL_STATE(13783)] = 551150,
  [SMALL_STATE(13784)] = 551158,
  [SMALL_STATE(13785)] = 551166,
  [SMALL_STATE(13786)] = 551174,
  [SMALL_STATE(13787)] = 551182,
  [SMALL_STATE(13788)] = 551190,
  [SMALL_STATE(13789)] = 551198,
  [SMALL_STATE(13790)] = 551206,
  [SMALL_STATE(13791)] = 551214,
  [SMALL_STATE(13792)] = 551222,
  [SMALL_STATE(13793)] = 551230,
  [SMALL_STATE(13794)] = 551238,
  [SMALL_STATE(13795)] = 551246,
  [SMALL_STATE(13796)] = 551254,
  [SMALL_STATE(13797)] = 551262,
  [SMALL_STATE(13798)] = 551270,
  [SMALL_STATE(13799)] = 551278,
  [SMALL_STATE(13800)] = 551286,
  [SMALL_STATE(13801)] = 551294,
  [SMALL_STATE(13802)] = 551302,
  [SMALL_STATE(13803)] = 551310,
  [SMALL_STATE(13804)] = 551318,
  [SMALL_STATE(13805)] = 551326,
  [SMALL_STATE(13806)] = 551334,
  [SMALL_STATE(13807)] = 551342,
  [SMALL_STATE(13808)] = 551350,
  [SMALL_STATE(13809)] = 551358,
  [SMALL_STATE(13810)] = 551366,
  [SMALL_STATE(13811)] = 551374,
  [SMALL_STATE(13812)] = 551382,
  [SMALL_STATE(13813)] = 551390,
  [SMALL_STATE(13814)] = 551398,
  [SMALL_STATE(13815)] = 551406,
  [SMALL_STATE(13816)] = 551414,
  [SMALL_STATE(13817)] = 551422,
  [SMALL_STATE(13818)] = 551430,
  [SMALL_STATE(13819)] = 551438,
  [SMALL_STATE(13820)] = 551446,
  [SMALL_STATE(13821)] = 551454,
  [SMALL_STATE(13822)] = 551462,
  [SMALL_STATE(13823)] = 551470,
  [SMALL_STATE(13824)] = 551478,
  [SMALL_STATE(13825)] = 551486,
  [SMALL_STATE(13826)] = 551494,
  [SMALL_STATE(13827)] = 551502,
  [SMALL_STATE(13828)] = 551510,
  [SMALL_STATE(13829)] = 551518,
  [SMALL_STATE(13830)] = 551526,
  [SMALL_STATE(13831)] = 551534,
  [SMALL_STATE(13832)] = 551542,
  [SMALL_STATE(13833)] = 551550,
  [SMALL_STATE(13834)] = 551558,
  [SMALL_STATE(13835)] = 551566,
  [SMALL_STATE(13836)] = 551574,
  [SMALL_STATE(13837)] = 551582,
  [SMALL_STATE(13838)] = 551590,
  [SMALL_STATE(13839)] = 551598,
  [SMALL_STATE(13840)] = 551606,
  [SMALL_STATE(13841)] = 551614,
  [SMALL_STATE(13842)] = 551622,
  [SMALL_STATE(13843)] = 551630,
  [SMALL_STATE(13844)] = 551638,
  [SMALL_STATE(13845)] = 551646,
  [SMALL_STATE(13846)] = 551654,
  [SMALL_STATE(13847)] = 551662,
  [SMALL_STATE(13848)] = 551670,
  [SMALL_STATE(13849)] = 551678,
  [SMALL_STATE(13850)] = 551686,
  [SMALL_STATE(13851)] = 551694,
  [SMALL_STATE(13852)] = 551702,
  [SMALL_STATE(13853)] = 551710,
  [SMALL_STATE(13854)] = 551718,
  [SMALL_STATE(13855)] = 551726,
  [SMALL_STATE(13856)] = 551734,
  [SMALL_STATE(13857)] = 551742,
  [SMALL_STATE(13858)] = 551750,
  [SMALL_STATE(13859)] = 551758,
  [SMALL_STATE(13860)] = 551766,
  [SMALL_STATE(13861)] = 551774,
  [SMALL_STATE(13862)] = 551782,
  [SMALL_STATE(13863)] = 551790,
  [SMALL_STATE(13864)] = 551798,
  [SMALL_STATE(13865)] = 551806,
  [SMALL_STATE(13866)] = 551814,
  [SMALL_STATE(13867)] = 551822,
  [SMALL_STATE(13868)] = 551830,
  [SMALL_STATE(13869)] = 551838,
  [SMALL_STATE(13870)] = 551846,
  [SMALL_STATE(13871)] = 551854,
  [SMALL_STATE(13872)] = 551862,
  [SMALL_STATE(13873)] = 551870,
  [SMALL_STATE(13874)] = 551878,
  [SMALL_STATE(13875)] = 551886,
  [SMALL_STATE(13876)] = 551894,
  [SMALL_STATE(13877)] = 551902,
  [SMALL_STATE(13878)] = 551910,
  [SMALL_STATE(13879)] = 551918,
  [SMALL_STATE(13880)] = 551926,
  [SMALL_STATE(13881)] = 551934,
  [SMALL_STATE(13882)] = 551942,
  [SMALL_STATE(13883)] = 551950,
  [SMALL_STATE(13884)] = 551958,
  [SMALL_STATE(13885)] = 551966,
  [SMALL_STATE(13886)] = 551974,
  [SMALL_STATE(13887)] = 551982,
  [SMALL_STATE(13888)] = 551990,
  [SMALL_STATE(13889)] = 551998,
  [SMALL_STATE(13890)] = 552006,
  [SMALL_STATE(13891)] = 552014,
  [SMALL_STATE(13892)] = 552022,
  [SMALL_STATE(13893)] = 552030,
  [SMALL_STATE(13894)] = 552038,
  [SMALL_STATE(13895)] = 552046,
  [SMALL_STATE(13896)] = 552054,
  [SMALL_STATE(13897)] = 552062,
  [SMALL_STATE(13898)] = 552070,
  [SMALL_STATE(13899)] = 552078,
  [SMALL_STATE(13900)] = 552086,
  [SMALL_STATE(13901)] = 552094,
  [SMALL_STATE(13902)] = 552102,
  [SMALL_STATE(13903)] = 552110,
  [SMALL_STATE(13904)] = 552118,
  [SMALL_STATE(13905)] = 552126,
  [SMALL_STATE(13906)] = 552134,
  [SMALL_STATE(13907)] = 552142,
  [SMALL_STATE(13908)] = 552150,
  [SMALL_STATE(13909)] = 552158,
  [SMALL_STATE(13910)] = 552166,
  [SMALL_STATE(13911)] = 552174,
  [SMALL_STATE(13912)] = 552182,
  [SMALL_STATE(13913)] = 552190,
  [SMALL_STATE(13914)] = 552198,
  [SMALL_STATE(13915)] = 552206,
  [SMALL_STATE(13916)] = 552214,
  [SMALL_STATE(13917)] = 552222,
  [SMALL_STATE(13918)] = 552230,
  [SMALL_STATE(13919)] = 552238,
  [SMALL_STATE(13920)] = 552246,
  [SMALL_STATE(13921)] = 552254,
  [SMALL_STATE(13922)] = 552262,
  [SMALL_STATE(13923)] = 552270,
  [SMALL_STATE(13924)] = 552278,
  [SMALL_STATE(13925)] = 552286,
  [SMALL_STATE(13926)] = 552294,
  [SMALL_STATE(13927)] = 552302,
  [SMALL_STATE(13928)] = 552310,
  [SMALL_STATE(13929)] = 552318,
  [SMALL_STATE(13930)] = 552326,
  [SMALL_STATE(13931)] = 552334,
  [SMALL_STATE(13932)] = 552342,
  [SMALL_STATE(13933)] = 552350,
  [SMALL_STATE(13934)] = 552358,
  [SMALL_STATE(13935)] = 552366,
  [SMALL_STATE(13936)] = 552374,
  [SMALL_STATE(13937)] = 552382,
  [SMALL_STATE(13938)] = 552390,
  [SMALL_STATE(13939)] = 552398,
  [SMALL_STATE(13940)] = 552406,
  [SMALL_STATE(13941)] = 552414,
  [SMALL_STATE(13942)] = 552422,
  [SMALL_STATE(13943)] = 552430,
  [SMALL_STATE(13944)] = 552438,
  [SMALL_STATE(13945)] = 552446,
  [SMALL_STATE(13946)] = 552454,
  [SMALL_STATE(13947)] = 552462,
  [SMALL_STATE(13948)] = 552470,
  [SMALL_STATE(13949)] = 552478,
  [SMALL_STATE(13950)] = 552486,
  [SMALL_STATE(13951)] = 552494,
  [SMALL_STATE(13952)] = 552502,
  [SMALL_STATE(13953)] = 552510,
  [SMALL_STATE(13954)] = 552518,
  [SMALL_STATE(13955)] = 552526,
  [SMALL_STATE(13956)] = 552534,
  [SMALL_STATE(13957)] = 552542,
  [SMALL_STATE(13958)] = 552550,
  [SMALL_STATE(13959)] = 552558,
  [SMALL_STATE(13960)] = 552566,
  [SMALL_STATE(13961)] = 552574,
  [SMALL_STATE(13962)] = 552582,
  [SMALL_STATE(13963)] = 552590,
  [SMALL_STATE(13964)] = 552598,
  [SMALL_STATE(13965)] = 552606,
  [SMALL_STATE(13966)] = 552614,
  [SMALL_STATE(13967)] = 552622,
  [SMALL_STATE(13968)] = 552630,
  [SMALL_STATE(13969)] = 552638,
  [SMALL_STATE(13970)] = 552646,
  [SMALL_STATE(13971)] = 552654,
  [SMALL_STATE(13972)] = 552662,
  [SMALL_STATE(13973)] = 552670,
  [SMALL_STATE(13974)] = 552678,
  [SMALL_STATE(13975)] = 552686,
  [SMALL_STATE(13976)] = 552694,
  [SMALL_STATE(13977)] = 552702,
  [SMALL_STATE(13978)] = 552710,
  [SMALL_STATE(13979)] = 552718,
  [SMALL_STATE(13980)] = 552726,
  [SMALL_STATE(13981)] = 552734,
  [SMALL_STATE(13982)] = 552742,
  [SMALL_STATE(13983)] = 552750,
  [SMALL_STATE(13984)] = 552758,
  [SMALL_STATE(13985)] = 552766,
  [SMALL_STATE(13986)] = 552774,
  [SMALL_STATE(13987)] = 552782,
  [SMALL_STATE(13988)] = 552790,
  [SMALL_STATE(13989)] = 552798,
  [SMALL_STATE(13990)] = 552806,
  [SMALL_STATE(13991)] = 552814,
  [SMALL_STATE(13992)] = 552822,
  [SMALL_STATE(13993)] = 552830,
  [SMALL_STATE(13994)] = 552838,
  [SMALL_STATE(13995)] = 552846,
  [SMALL_STATE(13996)] = 552854,
  [SMALL_STATE(13997)] = 552862,
  [SMALL_STATE(13998)] = 552870,
  [SMALL_STATE(13999)] = 552878,
  [SMALL_STATE(14000)] = 552886,
  [SMALL_STATE(14001)] = 552894,
  [SMALL_STATE(14002)] = 552902,
  [SMALL_STATE(14003)] = 552910,
  [SMALL_STATE(14004)] = 552918,
  [SMALL_STATE(14005)] = 552926,
  [SMALL_STATE(14006)] = 552934,
  [SMALL_STATE(14007)] = 552942,
  [SMALL_STATE(14008)] = 552950,
  [SMALL_STATE(14009)] = 552958,
  [SMALL_STATE(14010)] = 552966,
  [SMALL_STATE(14011)] = 552974,
  [SMALL_STATE(14012)] = 552982,
  [SMALL_STATE(14013)] = 552990,
  [SMALL_STATE(14014)] = 552998,
  [SMALL_STATE(14015)] = 553006,
  [SMALL_STATE(14016)] = 553014,
  [SMALL_STATE(14017)] = 553022,
  [SMALL_STATE(14018)] = 553030,
  [SMALL_STATE(14019)] = 553038,
  [SMALL_STATE(14020)] = 553046,
  [SMALL_STATE(14021)] = 553054,
  [SMALL_STATE(14022)] = 553062,
  [SMALL_STATE(14023)] = 553070,
  [SMALL_STATE(14024)] = 553078,
  [SMALL_STATE(14025)] = 553086,
  [SMALL_STATE(14026)] = 553094,
  [SMALL_STATE(14027)] = 553102,
  [SMALL_STATE(14028)] = 553110,
  [SMALL_STATE(14029)] = 553118,
  [SMALL_STATE(14030)] = 553126,
  [SMALL_STATE(14031)] = 553134,
  [SMALL_STATE(14032)] = 553142,
  [SMALL_STATE(14033)] = 553150,
  [SMALL_STATE(14034)] = 553158,
  [SMALL_STATE(14035)] = 553166,
  [SMALL_STATE(14036)] = 553174,
  [SMALL_STATE(14037)] = 553182,
  [SMALL_STATE(14038)] = 553190,
  [SMALL_STATE(14039)] = 553198,
  [SMALL_STATE(14040)] = 553206,
  [SMALL_STATE(14041)] = 553214,
  [SMALL_STATE(14042)] = 553222,
  [SMALL_STATE(14043)] = 553230,
  [SMALL_STATE(14044)] = 553238,
  [SMALL_STATE(14045)] = 553246,
  [SMALL_STATE(14046)] = 553254,
  [SMALL_STATE(14047)] = 553262,
  [SMALL_STATE(14048)] = 553270,
  [SMALL_STATE(14049)] = 553278,
  [SMALL_STATE(14050)] = 553286,
  [SMALL_STATE(14051)] = 553294,
  [SMALL_STATE(14052)] = 553302,
  [SMALL_STATE(14053)] = 553310,
  [SMALL_STATE(14054)] = 553318,
  [SMALL_STATE(14055)] = 553326,
  [SMALL_STATE(14056)] = 553334,
  [SMALL_STATE(14057)] = 553342,
  [SMALL_STATE(14058)] = 553350,
  [SMALL_STATE(14059)] = 553358,
  [SMALL_STATE(14060)] = 553366,
  [SMALL_STATE(14061)] = 553374,
  [SMALL_STATE(14062)] = 553382,
  [SMALL_STATE(14063)] = 553390,
  [SMALL_STATE(14064)] = 553398,
  [SMALL_STATE(14065)] = 553406,
  [SMALL_STATE(14066)] = 553414,
  [SMALL_STATE(14067)] = 553422,
  [SMALL_STATE(14068)] = 553430,
  [SMALL_STATE(14069)] = 553438,
  [SMALL_STATE(14070)] = 553446,
  [SMALL_STATE(14071)] = 553454,
  [SMALL_STATE(14072)] = 553462,
  [SMALL_STATE(14073)] = 553470,
  [SMALL_STATE(14074)] = 553478,
  [SMALL_STATE(14075)] = 553486,
  [SMALL_STATE(14076)] = 553494,
  [SMALL_STATE(14077)] = 553502,
  [SMALL_STATE(14078)] = 553510,
  [SMALL_STATE(14079)] = 553518,
  [SMALL_STATE(14080)] = 553526,
  [SMALL_STATE(14081)] = 553534,
  [SMALL_STATE(14082)] = 553542,
  [SMALL_STATE(14083)] = 553550,
  [SMALL_STATE(14084)] = 553558,
  [SMALL_STATE(14085)] = 553566,
  [SMALL_STATE(14086)] = 553574,
  [SMALL_STATE(14087)] = 553582,
  [SMALL_STATE(14088)] = 553590,
  [SMALL_STATE(14089)] = 553598,
  [SMALL_STATE(14090)] = 553606,
  [SMALL_STATE(14091)] = 553614,
  [SMALL_STATE(14092)] = 553622,
  [SMALL_STATE(14093)] = 553630,
  [SMALL_STATE(14094)] = 553638,
  [SMALL_STATE(14095)] = 553646,
  [SMALL_STATE(14096)] = 553654,
  [SMALL_STATE(14097)] = 553662,
  [SMALL_STATE(14098)] = 553670,
  [SMALL_STATE(14099)] = 553678,
  [SMALL_STATE(14100)] = 553686,
  [SMALL_STATE(14101)] = 553694,
  [SMALL_STATE(14102)] = 553702,
  [SMALL_STATE(14103)] = 553710,
  [SMALL_STATE(14104)] = 553718,
  [SMALL_STATE(14105)] = 553726,
  [SMALL_STATE(14106)] = 553734,
  [SMALL_STATE(14107)] = 553742,
  [SMALL_STATE(14108)] = 553750,
  [SMALL_STATE(14109)] = 553758,
  [SMALL_STATE(14110)] = 553766,
  [SMALL_STATE(14111)] = 553774,
  [SMALL_STATE(14112)] = 553782,
  [SMALL_STATE(14113)] = 553790,
  [SMALL_STATE(14114)] = 553798,
  [SMALL_STATE(14115)] = 553806,
  [SMALL_STATE(14116)] = 553814,
  [SMALL_STATE(14117)] = 553822,
  [SMALL_STATE(14118)] = 553830,
  [SMALL_STATE(14119)] = 553838,
  [SMALL_STATE(14120)] = 553846,
  [SMALL_STATE(14121)] = 553854,
  [SMALL_STATE(14122)] = 553862,
  [SMALL_STATE(14123)] = 553870,
  [SMALL_STATE(14124)] = 553878,
  [SMALL_STATE(14125)] = 553886,
  [SMALL_STATE(14126)] = 553894,
  [SMALL_STATE(14127)] = 553902,
  [SMALL_STATE(14128)] = 553910,
  [SMALL_STATE(14129)] = 553918,
  [SMALL_STATE(14130)] = 553926,
  [SMALL_STATE(14131)] = 553934,
  [SMALL_STATE(14132)] = 553942,
  [SMALL_STATE(14133)] = 553950,
  [SMALL_STATE(14134)] = 553958,
  [SMALL_STATE(14135)] = 553966,
  [SMALL_STATE(14136)] = 553974,
  [SMALL_STATE(14137)] = 553982,
  [SMALL_STATE(14138)] = 553990,
  [SMALL_STATE(14139)] = 553998,
  [SMALL_STATE(14140)] = 554006,
  [SMALL_STATE(14141)] = 554014,
  [SMALL_STATE(14142)] = 554022,
  [SMALL_STATE(14143)] = 554030,
  [SMALL_STATE(14144)] = 554038,
  [SMALL_STATE(14145)] = 554046,
  [SMALL_STATE(14146)] = 554054,
  [SMALL_STATE(14147)] = 554062,
  [SMALL_STATE(14148)] = 554070,
  [SMALL_STATE(14149)] = 554078,
  [SMALL_STATE(14150)] = 554086,
  [SMALL_STATE(14151)] = 554094,
  [SMALL_STATE(14152)] = 554102,
  [SMALL_STATE(14153)] = 554110,
  [SMALL_STATE(14154)] = 554118,
  [SMALL_STATE(14155)] = 554126,
  [SMALL_STATE(14156)] = 554134,
  [SMALL_STATE(14157)] = 554142,
  [SMALL_STATE(14158)] = 554150,
  [SMALL_STATE(14159)] = 554158,
  [SMALL_STATE(14160)] = 554166,
  [SMALL_STATE(14161)] = 554174,
  [SMALL_STATE(14162)] = 554182,
  [SMALL_STATE(14163)] = 554190,
  [SMALL_STATE(14164)] = 554198,
  [SMALL_STATE(14165)] = 554206,
  [SMALL_STATE(14166)] = 554214,
  [SMALL_STATE(14167)] = 554222,
  [SMALL_STATE(14168)] = 554230,
  [SMALL_STATE(14169)] = 554238,
  [SMALL_STATE(14170)] = 554246,
  [SMALL_STATE(14171)] = 554254,
  [SMALL_STATE(14172)] = 554262,
  [SMALL_STATE(14173)] = 554270,
  [SMALL_STATE(14174)] = 554278,
  [SMALL_STATE(14175)] = 554286,
  [SMALL_STATE(14176)] = 554294,
  [SMALL_STATE(14177)] = 554302,
  [SMALL_STATE(14178)] = 554310,
  [SMALL_STATE(14179)] = 554318,
  [SMALL_STATE(14180)] = 554326,
  [SMALL_STATE(14181)] = 554334,
  [SMALL_STATE(14182)] = 554342,
  [SMALL_STATE(14183)] = 554350,
  [SMALL_STATE(14184)] = 554358,
  [SMALL_STATE(14185)] = 554366,
  [SMALL_STATE(14186)] = 554374,
  [SMALL_STATE(14187)] = 554382,
  [SMALL_STATE(14188)] = 554390,
  [SMALL_STATE(14189)] = 554398,
  [SMALL_STATE(14190)] = 554406,
  [SMALL_STATE(14191)] = 554414,
  [SMALL_STATE(14192)] = 554422,
  [SMALL_STATE(14193)] = 554430,
  [SMALL_STATE(14194)] = 554438,
  [SMALL_STATE(14195)] = 554446,
  [SMALL_STATE(14196)] = 554454,
  [SMALL_STATE(14197)] = 554462,
  [SMALL_STATE(14198)] = 554470,
  [SMALL_STATE(14199)] = 554478,
  [SMALL_STATE(14200)] = 554486,
  [SMALL_STATE(14201)] = 554494,
  [SMALL_STATE(14202)] = 554502,
  [SMALL_STATE(14203)] = 554510,
  [SMALL_STATE(14204)] = 554518,
  [SMALL_STATE(14205)] = 554526,
  [SMALL_STATE(14206)] = 554534,
  [SMALL_STATE(14207)] = 554542,
  [SMALL_STATE(14208)] = 554550,
  [SMALL_STATE(14209)] = 554558,
  [SMALL_STATE(14210)] = 554566,
  [SMALL_STATE(14211)] = 554574,
  [SMALL_STATE(14212)] = 554582,
  [SMALL_STATE(14213)] = 554590,
  [SMALL_STATE(14214)] = 554598,
  [SMALL_STATE(14215)] = 554606,
  [SMALL_STATE(14216)] = 554614,
  [SMALL_STATE(14217)] = 554622,
  [SMALL_STATE(14218)] = 554630,
  [SMALL_STATE(14219)] = 554638,
  [SMALL_STATE(14220)] = 554646,
  [SMALL_STATE(14221)] = 554654,
  [SMALL_STATE(14222)] = 554662,
  [SMALL_STATE(14223)] = 554670,
  [SMALL_STATE(14224)] = 554678,
  [SMALL_STATE(14225)] = 554686,
  [SMALL_STATE(14226)] = 554694,
  [SMALL_STATE(14227)] = 554702,
  [SMALL_STATE(14228)] = 554710,
  [SMALL_STATE(14229)] = 554718,
  [SMALL_STATE(14230)] = 554726,
  [SMALL_STATE(14231)] = 554734,
  [SMALL_STATE(14232)] = 554742,
  [SMALL_STATE(14233)] = 554750,
  [SMALL_STATE(14234)] = 554758,
  [SMALL_STATE(14235)] = 554766,
  [SMALL_STATE(14236)] = 554774,
  [SMALL_STATE(14237)] = 554782,
  [SMALL_STATE(14238)] = 554790,
  [SMALL_STATE(14239)] = 554798,
  [SMALL_STATE(14240)] = 554806,
  [SMALL_STATE(14241)] = 554814,
  [SMALL_STATE(14242)] = 554822,
  [SMALL_STATE(14243)] = 554830,
  [SMALL_STATE(14244)] = 554838,
  [SMALL_STATE(14245)] = 554846,
  [SMALL_STATE(14246)] = 554854,
  [SMALL_STATE(14247)] = 554862,
  [SMALL_STATE(14248)] = 554870,
  [SMALL_STATE(14249)] = 554878,
  [SMALL_STATE(14250)] = 554886,
  [SMALL_STATE(14251)] = 554894,
  [SMALL_STATE(14252)] = 554902,
  [SMALL_STATE(14253)] = 554910,
  [SMALL_STATE(14254)] = 554918,
  [SMALL_STATE(14255)] = 554926,
  [SMALL_STATE(14256)] = 554934,
  [SMALL_STATE(14257)] = 554942,
  [SMALL_STATE(14258)] = 554950,
  [SMALL_STATE(14259)] = 554958,
  [SMALL_STATE(14260)] = 554966,
  [SMALL_STATE(14261)] = 554974,
  [SMALL_STATE(14262)] = 554982,
  [SMALL_STATE(14263)] = 554990,
  [SMALL_STATE(14264)] = 554998,
  [SMALL_STATE(14265)] = 555006,
  [SMALL_STATE(14266)] = 555014,
  [SMALL_STATE(14267)] = 555022,
  [SMALL_STATE(14268)] = 555030,
  [SMALL_STATE(14269)] = 555038,
  [SMALL_STATE(14270)] = 555046,
  [SMALL_STATE(14271)] = 555054,
  [SMALL_STATE(14272)] = 555062,
  [SMALL_STATE(14273)] = 555070,
  [SMALL_STATE(14274)] = 555078,
  [SMALL_STATE(14275)] = 555086,
  [SMALL_STATE(14276)] = 555094,
  [SMALL_STATE(14277)] = 555102,
  [SMALL_STATE(14278)] = 555110,
  [SMALL_STATE(14279)] = 555118,
  [SMALL_STATE(14280)] = 555126,
  [SMALL_STATE(14281)] = 555134,
  [SMALL_STATE(14282)] = 555142,
  [SMALL_STATE(14283)] = 555150,
  [SMALL_STATE(14284)] = 555158,
  [SMALL_STATE(14285)] = 555166,
  [SMALL_STATE(14286)] = 555174,
  [SMALL_STATE(14287)] = 555182,
  [SMALL_STATE(14288)] = 555190,
  [SMALL_STATE(14289)] = 555198,
  [SMALL_STATE(14290)] = 555206,
  [SMALL_STATE(14291)] = 555214,
  [SMALL_STATE(14292)] = 555222,
  [SMALL_STATE(14293)] = 555230,
  [SMALL_STATE(14294)] = 555238,
  [SMALL_STATE(14295)] = 555246,
  [SMALL_STATE(14296)] = 555254,
  [SMALL_STATE(14297)] = 555262,
  [SMALL_STATE(14298)] = 555270,
  [SMALL_STATE(14299)] = 555278,
  [SMALL_STATE(14300)] = 555286,
  [SMALL_STATE(14301)] = 555294,
  [SMALL_STATE(14302)] = 555302,
  [SMALL_STATE(14303)] = 555310,
  [SMALL_STATE(14304)] = 555318,
  [SMALL_STATE(14305)] = 555326,
  [SMALL_STATE(14306)] = 555334,
  [SMALL_STATE(14307)] = 555342,
  [SMALL_STATE(14308)] = 555350,
  [SMALL_STATE(14309)] = 555358,
  [SMALL_STATE(14310)] = 555366,
  [SMALL_STATE(14311)] = 555374,
  [SMALL_STATE(14312)] = 555382,
  [SMALL_STATE(14313)] = 555390,
  [SMALL_STATE(14314)] = 555398,
  [SMALL_STATE(14315)] = 555406,
  [SMALL_STATE(14316)] = 555414,
  [SMALL_STATE(14317)] = 555422,
  [SMALL_STATE(14318)] = 555430,
  [SMALL_STATE(14319)] = 555438,
  [SMALL_STATE(14320)] = 555446,
  [SMALL_STATE(14321)] = 555454,
  [SMALL_STATE(14322)] = 555462,
  [SMALL_STATE(14323)] = 555470,
  [SMALL_STATE(14324)] = 555478,
  [SMALL_STATE(14325)] = 555486,
  [SMALL_STATE(14326)] = 555494,
  [SMALL_STATE(14327)] = 555502,
  [SMALL_STATE(14328)] = 555510,
  [SMALL_STATE(14329)] = 555518,
  [SMALL_STATE(14330)] = 555526,
  [SMALL_STATE(14331)] = 555534,
  [SMALL_STATE(14332)] = 555542,
  [SMALL_STATE(14333)] = 555550,
  [SMALL_STATE(14334)] = 555558,
  [SMALL_STATE(14335)] = 555566,
  [SMALL_STATE(14336)] = 555574,
  [SMALL_STATE(14337)] = 555582,
  [SMALL_STATE(14338)] = 555590,
  [SMALL_STATE(14339)] = 555598,
  [SMALL_STATE(14340)] = 555606,
  [SMALL_STATE(14341)] = 555614,
  [SMALL_STATE(14342)] = 555622,
  [SMALL_STATE(14343)] = 555630,
  [SMALL_STATE(14344)] = 555638,
  [SMALL_STATE(14345)] = 555646,
  [SMALL_STATE(14346)] = 555654,
  [SMALL_STATE(14347)] = 555662,
  [SMALL_STATE(14348)] = 555670,
  [SMALL_STATE(14349)] = 555678,
  [SMALL_STATE(14350)] = 555686,
  [SMALL_STATE(14351)] = 555694,
  [SMALL_STATE(14352)] = 555702,
  [SMALL_STATE(14353)] = 555710,
  [SMALL_STATE(14354)] = 555718,
  [SMALL_STATE(14355)] = 555726,
  [SMALL_STATE(14356)] = 555734,
  [SMALL_STATE(14357)] = 555742,
  [SMALL_STATE(14358)] = 555750,
  [SMALL_STATE(14359)] = 555758,
  [SMALL_STATE(14360)] = 555766,
  [SMALL_STATE(14361)] = 555774,
  [SMALL_STATE(14362)] = 555782,
  [SMALL_STATE(14363)] = 555790,
  [SMALL_STATE(14364)] = 555798,
  [SMALL_STATE(14365)] = 555806,
  [SMALL_STATE(14366)] = 555814,
  [SMALL_STATE(14367)] = 555822,
  [SMALL_STATE(14368)] = 555830,
  [SMALL_STATE(14369)] = 555838,
  [SMALL_STATE(14370)] = 555846,
  [SMALL_STATE(14371)] = 555854,
  [SMALL_STATE(14372)] = 555862,
  [SMALL_STATE(14373)] = 555870,
  [SMALL_STATE(14374)] = 555878,
  [SMALL_STATE(14375)] = 555886,
  [SMALL_STATE(14376)] = 555894,
  [SMALL_STATE(14377)] = 555902,
  [SMALL_STATE(14378)] = 555910,
  [SMALL_STATE(14379)] = 555918,
  [SMALL_STATE(14380)] = 555926,
  [SMALL_STATE(14381)] = 555934,
  [SMALL_STATE(14382)] = 555942,
  [SMALL_STATE(14383)] = 555950,
  [SMALL_STATE(14384)] = 555958,
  [SMALL_STATE(14385)] = 555966,
  [SMALL_STATE(14386)] = 555974,
  [SMALL_STATE(14387)] = 555982,
  [SMALL_STATE(14388)] = 555990,
  [SMALL_STATE(14389)] = 555998,
  [SMALL_STATE(14390)] = 556006,
  [SMALL_STATE(14391)] = 556014,
  [SMALL_STATE(14392)] = 556022,
  [SMALL_STATE(14393)] = 556030,
  [SMALL_STATE(14394)] = 556038,
  [SMALL_STATE(14395)] = 556046,
  [SMALL_STATE(14396)] = 556054,
  [SMALL_STATE(14397)] = 556062,
  [SMALL_STATE(14398)] = 556070,
  [SMALL_STATE(14399)] = 556078,
  [SMALL_STATE(14400)] = 556086,
  [SMALL_STATE(14401)] = 556094,
  [SMALL_STATE(14402)] = 556102,
  [SMALL_STATE(14403)] = 556110,
  [SMALL_STATE(14404)] = 556118,
  [SMALL_STATE(14405)] = 556126,
  [SMALL_STATE(14406)] = 556134,
  [SMALL_STATE(14407)] = 556142,
  [SMALL_STATE(14408)] = 556150,
  [SMALL_STATE(14409)] = 556158,
  [SMALL_STATE(14410)] = 556166,
  [SMALL_STATE(14411)] = 556174,
  [SMALL_STATE(14412)] = 556182,
  [SMALL_STATE(14413)] = 556190,
  [SMALL_STATE(14414)] = 556198,
  [SMALL_STATE(14415)] = 556206,
  [SMALL_STATE(14416)] = 556214,
  [SMALL_STATE(14417)] = 556222,
  [SMALL_STATE(14418)] = 556230,
  [SMALL_STATE(14419)] = 556238,
  [SMALL_STATE(14420)] = 556246,
  [SMALL_STATE(14421)] = 556254,
  [SMALL_STATE(14422)] = 556262,
  [SMALL_STATE(14423)] = 556270,
  [SMALL_STATE(14424)] = 556278,
  [SMALL_STATE(14425)] = 556286,
  [SMALL_STATE(14426)] = 556294,
  [SMALL_STATE(14427)] = 556302,
  [SMALL_STATE(14428)] = 556310,
  [SMALL_STATE(14429)] = 556318,
  [SMALL_STATE(14430)] = 556326,
  [SMALL_STATE(14431)] = 556334,
  [SMALL_STATE(14432)] = 556342,
  [SMALL_STATE(14433)] = 556350,
  [SMALL_STATE(14434)] = 556358,
  [SMALL_STATE(14435)] = 556366,
  [SMALL_STATE(14436)] = 556374,
  [SMALL_STATE(14437)] = 556382,
  [SMALL_STATE(14438)] = 556390,
  [SMALL_STATE(14439)] = 556398,
  [SMALL_STATE(14440)] = 556406,
  [SMALL_STATE(14441)] = 556414,
  [SMALL_STATE(14442)] = 556422,
  [SMALL_STATE(14443)] = 556430,
  [SMALL_STATE(14444)] = 556438,
  [SMALL_STATE(14445)] = 556446,
  [SMALL_STATE(14446)] = 556454,
  [SMALL_STATE(14447)] = 556462,
  [SMALL_STATE(14448)] = 556470,
  [SMALL_STATE(14449)] = 556478,
  [SMALL_STATE(14450)] = 556486,
  [SMALL_STATE(14451)] = 556494,
  [SMALL_STATE(14452)] = 556502,
  [SMALL_STATE(14453)] = 556510,
  [SMALL_STATE(14454)] = 556518,
  [SMALL_STATE(14455)] = 556526,
  [SMALL_STATE(14456)] = 556534,
  [SMALL_STATE(14457)] = 556542,
  [SMALL_STATE(14458)] = 556550,
  [SMALL_STATE(14459)] = 556558,
  [SMALL_STATE(14460)] = 556566,
  [SMALL_STATE(14461)] = 556574,
  [SMALL_STATE(14462)] = 556582,
  [SMALL_STATE(14463)] = 556590,
  [SMALL_STATE(14464)] = 556598,
  [SMALL_STATE(14465)] = 556606,
  [SMALL_STATE(14466)] = 556614,
  [SMALL_STATE(14467)] = 556622,
  [SMALL_STATE(14468)] = 556630,
  [SMALL_STATE(14469)] = 556638,
  [SMALL_STATE(14470)] = 556646,
  [SMALL_STATE(14471)] = 556654,
  [SMALL_STATE(14472)] = 556662,
  [SMALL_STATE(14473)] = 556670,
  [SMALL_STATE(14474)] = 556678,
  [SMALL_STATE(14475)] = 556686,
  [SMALL_STATE(14476)] = 556694,
  [SMALL_STATE(14477)] = 556702,
  [SMALL_STATE(14478)] = 556710,
  [SMALL_STATE(14479)] = 556718,
  [SMALL_STATE(14480)] = 556726,
  [SMALL_STATE(14481)] = 556734,
  [SMALL_STATE(14482)] = 556742,
  [SMALL_STATE(14483)] = 556750,
  [SMALL_STATE(14484)] = 556758,
  [SMALL_STATE(14485)] = 556766,
  [SMALL_STATE(14486)] = 556774,
  [SMALL_STATE(14487)] = 556782,
  [SMALL_STATE(14488)] = 556790,
  [SMALL_STATE(14489)] = 556798,
  [SMALL_STATE(14490)] = 556806,
  [SMALL_STATE(14491)] = 556814,
  [SMALL_STATE(14492)] = 556822,
  [SMALL_STATE(14493)] = 556830,
  [SMALL_STATE(14494)] = 556838,
  [SMALL_STATE(14495)] = 556846,
  [SMALL_STATE(14496)] = 556854,
  [SMALL_STATE(14497)] = 556862,
  [SMALL_STATE(14498)] = 556870,
  [SMALL_STATE(14499)] = 556878,
  [SMALL_STATE(14500)] = 556886,
  [SMALL_STATE(14501)] = 556894,
  [SMALL_STATE(14502)] = 556902,
  [SMALL_STATE(14503)] = 556910,
  [SMALL_STATE(14504)] = 556918,
  [SMALL_STATE(14505)] = 556926,
  [SMALL_STATE(14506)] = 556934,
  [SMALL_STATE(14507)] = 556942,
  [SMALL_STATE(14508)] = 556950,
  [SMALL_STATE(14509)] = 556958,
  [SMALL_STATE(14510)] = 556966,
  [SMALL_STATE(14511)] = 556974,
  [SMALL_STATE(14512)] = 556982,
  [SMALL_STATE(14513)] = 556990,
  [SMALL_STATE(14514)] = 556998,
  [SMALL_STATE(14515)] = 557006,
  [SMALL_STATE(14516)] = 557014,
  [SMALL_STATE(14517)] = 557022,
  [SMALL_STATE(14518)] = 557030,
  [SMALL_STATE(14519)] = 557038,
  [SMALL_STATE(14520)] = 557046,
  [SMALL_STATE(14521)] = 557054,
  [SMALL_STATE(14522)] = 557062,
  [SMALL_STATE(14523)] = 557070,
  [SMALL_STATE(14524)] = 557078,
  [SMALL_STATE(14525)] = 557086,
  [SMALL_STATE(14526)] = 557094,
  [SMALL_STATE(14527)] = 557102,
  [SMALL_STATE(14528)] = 557110,
  [SMALL_STATE(14529)] = 557118,
  [SMALL_STATE(14530)] = 557126,
  [SMALL_STATE(14531)] = 557134,
  [SMALL_STATE(14532)] = 557142,
  [SMALL_STATE(14533)] = 557150,
  [SMALL_STATE(14534)] = 557158,
  [SMALL_STATE(14535)] = 557166,
  [SMALL_STATE(14536)] = 557174,
  [SMALL_STATE(14537)] = 557182,
  [SMALL_STATE(14538)] = 557190,
  [SMALL_STATE(14539)] = 557198,
  [SMALL_STATE(14540)] = 557206,
  [SMALL_STATE(14541)] = 557214,
  [SMALL_STATE(14542)] = 557222,
  [SMALL_STATE(14543)] = 557230,
  [SMALL_STATE(14544)] = 557238,
  [SMALL_STATE(14545)] = 557246,
  [SMALL_STATE(14546)] = 557254,
  [SMALL_STATE(14547)] = 557262,
  [SMALL_STATE(14548)] = 557270,
  [SMALL_STATE(14549)] = 557278,
  [SMALL_STATE(14550)] = 557286,
  [SMALL_STATE(14551)] = 557294,
  [SMALL_STATE(14552)] = 557302,
  [SMALL_STATE(14553)] = 557310,
  [SMALL_STATE(14554)] = 557318,
  [SMALL_STATE(14555)] = 557326,
  [SMALL_STATE(14556)] = 557334,
  [SMALL_STATE(14557)] = 557342,
  [SMALL_STATE(14558)] = 557350,
  [SMALL_STATE(14559)] = 557358,
  [SMALL_STATE(14560)] = 557366,
  [SMALL_STATE(14561)] = 557374,
  [SMALL_STATE(14562)] = 557382,
  [SMALL_STATE(14563)] = 557390,
  [SMALL_STATE(14564)] = 557398,
  [SMALL_STATE(14565)] = 557406,
  [SMALL_STATE(14566)] = 557414,
  [SMALL_STATE(14567)] = 557422,
  [SMALL_STATE(14568)] = 557430,
  [SMALL_STATE(14569)] = 557438,
  [SMALL_STATE(14570)] = 557446,
  [SMALL_STATE(14571)] = 557454,
  [SMALL_STATE(14572)] = 557462,
  [SMALL_STATE(14573)] = 557470,
  [SMALL_STATE(14574)] = 557478,
  [SMALL_STATE(14575)] = 557486,
  [SMALL_STATE(14576)] = 557494,
  [SMALL_STATE(14577)] = 557502,
  [SMALL_STATE(14578)] = 557510,
  [SMALL_STATE(14579)] = 557518,
  [SMALL_STATE(14580)] = 557526,
  [SMALL_STATE(14581)] = 557534,
  [SMALL_STATE(14582)] = 557542,
  [SMALL_STATE(14583)] = 557550,
  [SMALL_STATE(14584)] = 557558,
  [SMALL_STATE(14585)] = 557566,
  [SMALL_STATE(14586)] = 557574,
  [SMALL_STATE(14587)] = 557582,
  [SMALL_STATE(14588)] = 557590,
  [SMALL_STATE(14589)] = 557598,
  [SMALL_STATE(14590)] = 557606,
  [SMALL_STATE(14591)] = 557614,
  [SMALL_STATE(14592)] = 557622,
  [SMALL_STATE(14593)] = 557630,
  [SMALL_STATE(14594)] = 557638,
  [SMALL_STATE(14595)] = 557646,
  [SMALL_STATE(14596)] = 557654,
  [SMALL_STATE(14597)] = 557662,
  [SMALL_STATE(14598)] = 557670,
  [SMALL_STATE(14599)] = 557678,
  [SMALL_STATE(14600)] = 557686,
  [SMALL_STATE(14601)] = 557694,
  [SMALL_STATE(14602)] = 557702,
  [SMALL_STATE(14603)] = 557710,
  [SMALL_STATE(14604)] = 557718,
  [SMALL_STATE(14605)] = 557726,
  [SMALL_STATE(14606)] = 557734,
  [SMALL_STATE(14607)] = 557742,
  [SMALL_STATE(14608)] = 557750,
  [SMALL_STATE(14609)] = 557758,
  [SMALL_STATE(14610)] = 557766,
  [SMALL_STATE(14611)] = 557774,
  [SMALL_STATE(14612)] = 557782,
  [SMALL_STATE(14613)] = 557790,
  [SMALL_STATE(14614)] = 557798,
  [SMALL_STATE(14615)] = 557806,
  [SMALL_STATE(14616)] = 557814,
  [SMALL_STATE(14617)] = 557822,
  [SMALL_STATE(14618)] = 557830,
  [SMALL_STATE(14619)] = 557838,
  [SMALL_STATE(14620)] = 557846,
  [SMALL_STATE(14621)] = 557854,
  [SMALL_STATE(14622)] = 557862,
  [SMALL_STATE(14623)] = 557870,
  [SMALL_STATE(14624)] = 557878,
  [SMALL_STATE(14625)] = 557886,
  [SMALL_STATE(14626)] = 557894,
  [SMALL_STATE(14627)] = 557902,
  [SMALL_STATE(14628)] = 557910,
  [SMALL_STATE(14629)] = 557918,
  [SMALL_STATE(14630)] = 557926,
  [SMALL_STATE(14631)] = 557934,
  [SMALL_STATE(14632)] = 557942,
  [SMALL_STATE(14633)] = 557950,
  [SMALL_STATE(14634)] = 557958,
  [SMALL_STATE(14635)] = 557966,
  [SMALL_STATE(14636)] = 557974,
  [SMALL_STATE(14637)] = 557982,
  [SMALL_STATE(14638)] = 557990,
  [SMALL_STATE(14639)] = 557998,
  [SMALL_STATE(14640)] = 558006,
  [SMALL_STATE(14641)] = 558014,
  [SMALL_STATE(14642)] = 558022,
  [SMALL_STATE(14643)] = 558030,
  [SMALL_STATE(14644)] = 558038,
  [SMALL_STATE(14645)] = 558046,
  [SMALL_STATE(14646)] = 558054,
  [SMALL_STATE(14647)] = 558062,
  [SMALL_STATE(14648)] = 558070,
  [SMALL_STATE(14649)] = 558078,
  [SMALL_STATE(14650)] = 558086,
  [SMALL_STATE(14651)] = 558094,
  [SMALL_STATE(14652)] = 558102,
  [SMALL_STATE(14653)] = 558110,
  [SMALL_STATE(14654)] = 558118,
  [SMALL_STATE(14655)] = 558126,
  [SMALL_STATE(14656)] = 558134,
  [SMALL_STATE(14657)] = 558142,
  [SMALL_STATE(14658)] = 558150,
  [SMALL_STATE(14659)] = 558158,
  [SMALL_STATE(14660)] = 558166,
  [SMALL_STATE(14661)] = 558174,
  [SMALL_STATE(14662)] = 558182,
  [SMALL_STATE(14663)] = 558190,
  [SMALL_STATE(14664)] = 558198,
  [SMALL_STATE(14665)] = 558206,
  [SMALL_STATE(14666)] = 558214,
  [SMALL_STATE(14667)] = 558222,
  [SMALL_STATE(14668)] = 558230,
  [SMALL_STATE(14669)] = 558238,
  [SMALL_STATE(14670)] = 558246,
  [SMALL_STATE(14671)] = 558254,
  [SMALL_STATE(14672)] = 558262,
  [SMALL_STATE(14673)] = 558270,
  [SMALL_STATE(14674)] = 558278,
  [SMALL_STATE(14675)] = 558286,
  [SMALL_STATE(14676)] = 558294,
  [SMALL_STATE(14677)] = 558302,
  [SMALL_STATE(14678)] = 558310,
  [SMALL_STATE(14679)] = 558318,
  [SMALL_STATE(14680)] = 558326,
  [SMALL_STATE(14681)] = 558334,
  [SMALL_STATE(14682)] = 558342,
  [SMALL_STATE(14683)] = 558350,
  [SMALL_STATE(14684)] = 558358,
  [SMALL_STATE(14685)] = 558366,
  [SMALL_STATE(14686)] = 558374,
  [SMALL_STATE(14687)] = 558382,
  [SMALL_STATE(14688)] = 558390,
  [SMALL_STATE(14689)] = 558398,
  [SMALL_STATE(14690)] = 558406,
  [SMALL_STATE(14691)] = 558414,
  [SMALL_STATE(14692)] = 558422,
  [SMALL_STATE(14693)] = 558430,
  [SMALL_STATE(14694)] = 558438,
  [SMALL_STATE(14695)] = 558446,
  [SMALL_STATE(14696)] = 558454,
  [SMALL_STATE(14697)] = 558462,
  [SMALL_STATE(14698)] = 558470,
  [SMALL_STATE(14699)] = 558478,
  [SMALL_STATE(14700)] = 558486,
  [SMALL_STATE(14701)] = 558494,
  [SMALL_STATE(14702)] = 558502,
  [SMALL_STATE(14703)] = 558510,
  [SMALL_STATE(14704)] = 558518,
  [SMALL_STATE(14705)] = 558526,
  [SMALL_STATE(14706)] = 558534,
  [SMALL_STATE(14707)] = 558542,
  [SMALL_STATE(14708)] = 558550,
  [SMALL_STATE(14709)] = 558558,
  [SMALL_STATE(14710)] = 558566,
  [SMALL_STATE(14711)] = 558574,
  [SMALL_STATE(14712)] = 558582,
  [SMALL_STATE(14713)] = 558590,
  [SMALL_STATE(14714)] = 558598,
  [SMALL_STATE(14715)] = 558606,
  [SMALL_STATE(14716)] = 558614,
  [SMALL_STATE(14717)] = 558622,
  [SMALL_STATE(14718)] = 558630,
  [SMALL_STATE(14719)] = 558638,
  [SMALL_STATE(14720)] = 558646,
  [SMALL_STATE(14721)] = 558654,
  [SMALL_STATE(14722)] = 558662,
  [SMALL_STATE(14723)] = 558670,
  [SMALL_STATE(14724)] = 558678,
  [SMALL_STATE(14725)] = 558686,
  [SMALL_STATE(14726)] = 558694,
  [SMALL_STATE(14727)] = 558702,
  [SMALL_STATE(14728)] = 558710,
  [SMALL_STATE(14729)] = 558718,
  [SMALL_STATE(14730)] = 558726,
  [SMALL_STATE(14731)] = 558734,
  [SMALL_STATE(14732)] = 558742,
  [SMALL_STATE(14733)] = 558750,
  [SMALL_STATE(14734)] = 558758,
  [SMALL_STATE(14735)] = 558766,
  [SMALL_STATE(14736)] = 558774,
  [SMALL_STATE(14737)] = 558782,
  [SMALL_STATE(14738)] = 558790,
  [SMALL_STATE(14739)] = 558798,
  [SMALL_STATE(14740)] = 558806,
  [SMALL_STATE(14741)] = 558814,
  [SMALL_STATE(14742)] = 558822,
  [SMALL_STATE(14743)] = 558830,
  [SMALL_STATE(14744)] = 558838,
  [SMALL_STATE(14745)] = 558846,
  [SMALL_STATE(14746)] = 558854,
  [SMALL_STATE(14747)] = 558862,
  [SMALL_STATE(14748)] = 558870,
  [SMALL_STATE(14749)] = 558878,
  [SMALL_STATE(14750)] = 558886,
  [SMALL_STATE(14751)] = 558894,
  [SMALL_STATE(14752)] = 558902,
  [SMALL_STATE(14753)] = 558910,
  [SMALL_STATE(14754)] = 558918,
  [SMALL_STATE(14755)] = 558926,
  [SMALL_STATE(14756)] = 558934,
  [SMALL_STATE(14757)] = 558942,
  [SMALL_STATE(14758)] = 558950,
  [SMALL_STATE(14759)] = 558958,
  [SMALL_STATE(14760)] = 558966,
  [SMALL_STATE(14761)] = 558974,
  [SMALL_STATE(14762)] = 558982,
  [SMALL_STATE(14763)] = 558990,
  [SMALL_STATE(14764)] = 558998,
  [SMALL_STATE(14765)] = 559006,
  [SMALL_STATE(14766)] = 559014,
  [SMALL_STATE(14767)] = 559022,
  [SMALL_STATE(14768)] = 559030,
  [SMALL_STATE(14769)] = 559038,
  [SMALL_STATE(14770)] = 559046,
  [SMALL_STATE(14771)] = 559054,
  [SMALL_STATE(14772)] = 559062,
  [SMALL_STATE(14773)] = 559070,
  [SMALL_STATE(14774)] = 559078,
  [SMALL_STATE(14775)] = 559086,
  [SMALL_STATE(14776)] = 559094,
  [SMALL_STATE(14777)] = 559102,
  [SMALL_STATE(14778)] = 559110,
  [SMALL_STATE(14779)] = 559118,
  [SMALL_STATE(14780)] = 559126,
  [SMALL_STATE(14781)] = 559134,
  [SMALL_STATE(14782)] = 559142,
  [SMALL_STATE(14783)] = 559150,
  [SMALL_STATE(14784)] = 559158,
  [SMALL_STATE(14785)] = 559166,
  [SMALL_STATE(14786)] = 559174,
  [SMALL_STATE(14787)] = 559182,
  [SMALL_STATE(14788)] = 559190,
  [SMALL_STATE(14789)] = 559198,
  [SMALL_STATE(14790)] = 559206,
  [SMALL_STATE(14791)] = 559214,
  [SMALL_STATE(14792)] = 559222,
  [SMALL_STATE(14793)] = 559230,
  [SMALL_STATE(14794)] = 559238,
  [SMALL_STATE(14795)] = 559246,
  [SMALL_STATE(14796)] = 559254,
  [SMALL_STATE(14797)] = 559262,
  [SMALL_STATE(14798)] = 559270,
  [SMALL_STATE(14799)] = 559278,
  [SMALL_STATE(14800)] = 559286,
  [SMALL_STATE(14801)] = 559294,
  [SMALL_STATE(14802)] = 559302,
  [SMALL_STATE(14803)] = 559310,
  [SMALL_STATE(14804)] = 559318,
  [SMALL_STATE(14805)] = 559326,
  [SMALL_STATE(14806)] = 559334,
  [SMALL_STATE(14807)] = 559342,
  [SMALL_STATE(14808)] = 559350,
  [SMALL_STATE(14809)] = 559358,
  [SMALL_STATE(14810)] = 559366,
  [SMALL_STATE(14811)] = 559374,
  [SMALL_STATE(14812)] = 559382,
  [SMALL_STATE(14813)] = 559390,
  [SMALL_STATE(14814)] = 559398,
  [SMALL_STATE(14815)] = 559406,
  [SMALL_STATE(14816)] = 559414,
  [SMALL_STATE(14817)] = 559422,
  [SMALL_STATE(14818)] = 559430,
  [SMALL_STATE(14819)] = 559438,
  [SMALL_STATE(14820)] = 559446,
  [SMALL_STATE(14821)] = 559454,
  [SMALL_STATE(14822)] = 559462,
  [SMALL_STATE(14823)] = 559470,
  [SMALL_STATE(14824)] = 559478,
  [SMALL_STATE(14825)] = 559486,
  [SMALL_STATE(14826)] = 559494,
  [SMALL_STATE(14827)] = 559502,
  [SMALL_STATE(14828)] = 559510,
  [SMALL_STATE(14829)] = 559518,
  [SMALL_STATE(14830)] = 559526,
  [SMALL_STATE(14831)] = 559534,
  [SMALL_STATE(14832)] = 559542,
  [SMALL_STATE(14833)] = 559550,
  [SMALL_STATE(14834)] = 559558,
  [SMALL_STATE(14835)] = 559566,
  [SMALL_STATE(14836)] = 559574,
  [SMALL_STATE(14837)] = 559582,
  [SMALL_STATE(14838)] = 559590,
  [SMALL_STATE(14839)] = 559598,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9371),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7732),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7499),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7458),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14823),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9137),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7453),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6679),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7757),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14818),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7686),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8534),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11519),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8126),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8016),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9044),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11520),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8471),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14783),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7744),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(96),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6898),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7229),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1942),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2261),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2543),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2542),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2541),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1865),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1871),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2207),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2209),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1851),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2227),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2231),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2232),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14179),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1843),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11884),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2521),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_reference, 1, 0, 7),
  [123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_reference, 1, 0, 7),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9937),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12098),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5544),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6881),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6521),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(42),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5412),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5529),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6138),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6144),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6173),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6162),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6166),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5405),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5402),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5401),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5400),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5398),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6149),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6147),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5395),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5394),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5026),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6145),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6143),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6141),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6140),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13828),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6137),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5011),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5010),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6183),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11932),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6498),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11888),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6508),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12180),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6525),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6886),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2461),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13496),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3182),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2731),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6875),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2733),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2904),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2907),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3434),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3433),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3432),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2722),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2721),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2718),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2714),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2699),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2911),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2912),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2698),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2697),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2552),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2913),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2914),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2915),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2916),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13905),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2917),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2553),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2557),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3431),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3068),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6903),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2861),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3071),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3202),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3201),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3713),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3714),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3715),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2838),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2855),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2856),
  [365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2857),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2858),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3200),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3198),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2862),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2814),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2680),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3197),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3195),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3194),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3193),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13933),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3192),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2751),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2869),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3726),
  [397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2876),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3184),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6909),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3057),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3185),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3827),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3828),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3948),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3947),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3946),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3098),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3096),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3093),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3092),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3091),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3829),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3830),
  [433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3090),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3086),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2850),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3832),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3833),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3834),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3835),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13974),
  [449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3836),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4319),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4318),
  [455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3929),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2876),
  [459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3495),
  [461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3496),
  [463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3689),
  [465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2724),
  [467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6844),
  [469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2965),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2723),
  [473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2734),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2735),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3024),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3020),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3018),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2535),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2534),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2533),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2531),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2741),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2742),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2530),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2529),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2296),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2745),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2746),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2802),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2789),
  [511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14041),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2799),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2438),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2437),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3014),
  [521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3693),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7055),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6917),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7024),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7056),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7114),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7115),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7250),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7249),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7248),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6989),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6988),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6987),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6985),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6983),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7116),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7117),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6980),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6979),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6942),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7118),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7119),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7120),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7121),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14073),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7122),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6951),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6955),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7236),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3693),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3821),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6914),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4830),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(818),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(817),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(659),
  [625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(660),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(663),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14057),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4001),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6669),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4480),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5538),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6884),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5496),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5542),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6111),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6107),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6241),
  [669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6244),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6256),
  [673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5420),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5421),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5422),
  [679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5423),
  [681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5424),
  [683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6084),
  [685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6073),
  [687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5427),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5428),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5095),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6071),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6059),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6046),
  [699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6034),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13955),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6032),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5094),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5092),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6368),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4480),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1893),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6880),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1894),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2040),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2038),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2190),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1274),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1264),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2036),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1248),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2022),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2012),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14009),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2009),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2151),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2149),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5467),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5025),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6864),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4949),
  [781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5027),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5484),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5474),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5790),
  [789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5788),
  [791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5767),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4921),
  [795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4919),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4918),
  [799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4915),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4913),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5478),
  [805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5482),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4910),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4909),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4790),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5503),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5511),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5507),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5137),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14089),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5139),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4800),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4801),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5661),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5467),
  [833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2886),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3353),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6863),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3107),
  [841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3352),
  [843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3534),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3535),
  [847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4335),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4332),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4330),
  [853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3009),
  [855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3010),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3011),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3012),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3013),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3542),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3545),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3015),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3016),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2830),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3546),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3547),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3548),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3549),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14105),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3551),
  [885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2884),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2883),
  [889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4315),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3837),
  [895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3838),
  [897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4947),
  [899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6911),
  [901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4789),
  [903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4950),
  [905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4960),
  [907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4956),
  [909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5516),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5518),
  [913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5517),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4832),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4831),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4827),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4826),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4825),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4962),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4965),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4824),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4823),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4735),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4970),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4971),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4973),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4974),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13877),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4975),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4710),
  [949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4711),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5456),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4880),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6845),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4856),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4948),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5007),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5043),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5214),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5215),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5216),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4822),
  [973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4821),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4820),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4818),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4816),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4979),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4980),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4814),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4813),
  [989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4726),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4984),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4985),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4986),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4987),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14121),
  [1001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4988),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4706),
  [1005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4705),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5218),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2752),
  [1011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3045),
  [1013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6892),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2732),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3044),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3265),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3266),
  [1023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3677),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3676),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3675),
  [1029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2792),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2791),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2800),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2803),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2788),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3267),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3268),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2787),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2786),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2707),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3269),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3270),
  [1053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3271),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3274),
  [1057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14025),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3278),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2681),
  [1063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [1065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3667),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3055),
  [1071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3053),
  [1073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4139),
  [1075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4138),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(946),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6925),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [1093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2195),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2561),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2589),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [1105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [1109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1884),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [1115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2174),
  [1117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1895),
  [1119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1837),
  [1121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1395),
  [1123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [1125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [1127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2156),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2154),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14151),
  [1133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2153),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1891),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2625),
  [1141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6242),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6243),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3062),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3339),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6896),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2881),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3342),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3686),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3685),
  [1161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4194),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4195),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4161),
  [1167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3008),
  [1169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3007),
  [1171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3006),
  [1173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3005),
  [1175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3004),
  [1177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3684),
  [1179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3683),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3001),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3000),
  [1185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2871),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3682),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3681),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3680),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3679),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14159),
  [1197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3678),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2843),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2844),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4206),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3062),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3995),
  [1209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3997),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3206),
  [1213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3784),
  [1215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6912),
  [1217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3340),
  [1219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3782),
  [1221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4029),
  [1223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4031),
  [1225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4658),
  [1227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4657),
  [1229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4656),
  [1231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3143),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3142),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3141),
  [1237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3140),
  [1239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3139),
  [1241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3909),
  [1243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4043),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3136),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3135),
  [1249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3110),
  [1251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4045),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4046),
  [1255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4047),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4048),
  [1259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14137),
  [1261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4049),
  [1263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4475),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4476),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4653),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [1271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2435),
  [1273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2434),
  [1275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [1277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [1281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [1283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6635),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [1289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7609),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [1293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5053),
  [1295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6899),
  [1297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4865),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5057),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5392),
  [1303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5385),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5552),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5575),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5584),
  [1311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4908),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4907),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4906),
  [1317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4905),
  [1319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4866),
  [1321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5373),
  [1323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5368),
  [1325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4902),
  [1327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4901),
  [1329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4786),
  [1331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5362),
  [1333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5359),
  [1335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5348),
  [1337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5341),
  [1339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13993),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5336),
  [1343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4798),
  [1345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4799),
  [1347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5737),
  [1349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5977),
  [1351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5976),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3210),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3211),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1706),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [1361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__single_quote_string, 1, 0, 0),
  [1363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__single_quote_string, 1, 0, 0),
  [1365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [1367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0),
  [1369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0),
  [1371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(87),
  [1374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__single_quote_string, 2, 0, 0),
  [1376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__single_quote_string, 2, 0, 0),
  [1378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [1380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__literal_string, 1, 0, 0),
  [1382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__literal_string, 1, 0, 0),
  [1384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1, 0, 0),
  [1386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1, 0, 0),
  [1388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [1390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14653),
  [1392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11573),
  [1394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11574),
  [1396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [1398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [1400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14293),
  [1402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13858),
  [1404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [1406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7642),
  [1408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7540),
  [1410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7554),
  [1412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14758),
  [1414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8930),
  [1416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7334),
  [1418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6686),
  [1420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7885),
  [1422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14171),
  [1424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [1426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7682),
  [1428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11939),
  [1430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8182),
  [1432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8002),
  [1436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9164),
  [1438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [1440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8545),
  [1442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11751),
  [1444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8414),
  [1446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13452),
  [1448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7879),
  [1450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11651),
  [1452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [1454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12093),
  [1456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6961),
  [1458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12120),
  [1460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [1462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [1464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8639),
  [1466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6994),
  [1468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [1470] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(505),
  [1473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(9371),
  [1476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7732),
  [1479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7499),
  [1482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7458),
  [1485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(14823),
  [1488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(9137),
  [1491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7453),
  [1494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(6679),
  [1497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7757),
  [1500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(14818),
  [1503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(129),
  [1506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7686),
  [1509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8534),
  [1512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(11519),
  [1515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8126),
  [1518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(91),
  [1521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8016),
  [1524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(9044),
  [1527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(11520),
  [1530] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(8471),
  [1533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(14783),
  [1536] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(7744),
  [1539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11539),
  [1541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(505),
  [1544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(9371),
  [1547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(7732),
  [1550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(7499),
  [1553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(7458),
  [1556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(14823),
  [1559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(9137),
  [1562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(7453),
  [1565] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(6679),
  [1568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(7757),
  [1571] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(14818),
  [1574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(129),
  [1577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(7686),
  [1580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0),
  [1582] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(8534),
  [1585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(11519),
  [1588] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(8126),
  [1591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(8016),
  [1594] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(9044),
  [1597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1823),
  [1600] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(11520),
  [1603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(8471),
  [1606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(14783),
  [1609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat1, 2, 0, 0), SHIFT_REPEAT(7744),
  [1612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(505),
  [1615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(9371),
  [1618] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(7732),
  [1621] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(7499),
  [1624] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(7458),
  [1627] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(14823),
  [1630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(9137),
  [1633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(7453),
  [1636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(6679),
  [1639] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(7757),
  [1642] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(14818),
  [1645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(129),
  [1648] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(7686),
  [1651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0),
  [1653] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(8534),
  [1656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(11519),
  [1659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(8126),
  [1662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(8016),
  [1665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(9044),
  [1668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(11520),
  [1671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(8471),
  [1674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(14783),
  [1677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_transaction_repeat1, 2, 0, 0), SHIFT_REPEAT(7744),
  [1680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [1682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [1684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(120),
  [1687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column, 1, 0, 0),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12714),
  [1691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8133),
  [1693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6929),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8762),
  [1697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7982),
  [1699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13563),
  [1701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13601),
  [1703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column, 1, 0, 0),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7738),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7579),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14810),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9386),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6702),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7846),
  [1717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [1719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9154),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8435),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7860),
  [1725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8195),
  [1727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6915),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8699),
  [1731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8061),
  [1733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12692),
  [1735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12690),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9449),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7889),
  [1743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9376),
  [1747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7869),
  [1749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7868),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7839),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7857),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7803),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7899),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7773),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7880),
  [1777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column, 1, 0, 16),
  [1779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column, 1, 0, 16),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8386),
  [1783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10395),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9463),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6872),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6791),
  [1791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6894),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6773),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6919),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8452),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8437),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6805),
  [1803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 1, 0, 0),
  [1805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 1, 0, 0),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14242),
  [1815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tinyint, 1, 0, 0),
  [1817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tinyint, 1, 0, 0),
  [1819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13910),
  [1825] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_smallint, 1, 0, 0),
  [1827] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_smallint, 1, 0, 0),
  [1829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 2, 0, 0),
  [1831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 2, 0, 0),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [1835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14272),
  [1839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int, 1, 0, 0),
  [1841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int, 1, 0, 0),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13887),
  [1849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigint, 1, 0, 0),
  [1851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigint, 1, 0, 0),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [1857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13876),
  [1859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_time, 1, 0, 0),
  [1861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_time, 1, 0, 0),
  [1863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13808),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13808),
  [1867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13917),
  [1869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_smallint, 1, 0, 0),
  [1871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_smallint, 1, 0, 0),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13903),
  [1879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mediumint, 1, 0, 0),
  [1881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mediumint, 1, 0, 0),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13900),
  [1889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_timestamp, 1, 0, 0),
  [1891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_timestamp, 1, 0, 0),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13914),
  [1895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 1, 0, 0),
  [1897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 1, 0, 0),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [1901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13936),
  [1905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_real, 1, 0, 0),
  [1907] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_real, 1, 0, 0),
  [1909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_bigint, 1, 0, 0),
  [1911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_bigint, 1, 0, 0),
  [1913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_int, 1, 0, 0),
  [1915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_int, 1, 0, 0),
  [1917] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_tinyint, 1, 0, 0),
  [1919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_tinyint, 1, 0, 0),
  [1921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_mediumint, 1, 0, 0),
  [1923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_mediumint, 1, 0, 0),
  [1925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tinyint, 4, 0, 124),
  [1927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tinyint, 4, 0, 124),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [1933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argmode, 1, 0, 0),
  [1935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [1937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argmode, 1, 0, 0),
  [1939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_char, 1, 0, 0),
  [1941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_char, 1, 0, 0),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [1945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 6, 0, 191),
  [1947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 6, 0, 191),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [1953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 6, 0, 191),
  [1955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 6, 0, 191),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [1961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_time, 4, 0, 124),
  [1963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_time, 4, 0, 124),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14271),
  [1969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 7, 0, 219),
  [1971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 7, 0, 219),
  [1973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [1977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_timestamp, 4, 0, 124),
  [1979] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_timestamp, 4, 0, 124),
  [1981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bit, 1, 0, 0),
  [1983] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bit, 1, 0, 0),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13989),
  [1989] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_smallint, 4, 0, 124),
  [1991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_smallint, 4, 0, 124),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [1997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mediumint, 4, 0, 124),
  [1999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mediumint, 4, 0, 124),
  [2001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [2003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [2005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int, 4, 0, 124),
  [2007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int, 4, 0, 124),
  [2009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [2013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigint, 4, 0, 124),
  [2015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigint, 4, 0, 124),
  [2017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [2021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80),
  [2023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80),
  [2025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9125),
  [2028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decimal, 1, 0, 0),
  [2030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decimal, 1, 0, 0),
  [2032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13940),
  [2034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 2, 0, 0),
  [2036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 2, 0, 0),
  [2038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [2040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tinyint, 5, 0, 124),
  [2042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tinyint, 5, 0, 124),
  [2044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [2046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_varchar, 2, 0, 0),
  [2048] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_varchar, 2, 0, 0),
  [2050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14270),
  [2052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_reference, 3, 0, 25),
  [2054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_reference, 3, 0, 25),
  [2056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tinyint, 2, 0, 0),
  [2058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tinyint, 2, 0, 0),
  [2060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13689),
  [2062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [2064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_smallint, 2, 0, 0),
  [2066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_smallint, 2, 0, 0),
  [2068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13688),
  [2070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary, 1, 0, 0),
  [2072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary, 1, 0, 0),
  [2074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13978),
  [2076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mediumint, 5, 0, 124),
  [2078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mediumint, 5, 0, 124),
  [2080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [2082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [2084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int, 5, 0, 124),
  [2086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int, 5, 0, 124),
  [2088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [2090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mediumint, 2, 0, 0),
  [2092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mediumint, 2, 0, 0),
  [2094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [2096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigint, 5, 0, 124),
  [2098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigint, 5, 0, 124),
  [2100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [2102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int, 2, 0, 0),
  [2104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int, 2, 0, 0),
  [2106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [2108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_varbinary, 1, 0, 0),
  [2110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_varbinary, 1, 0, 0),
  [2112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13975),
  [2114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigint, 2, 0, 0),
  [2116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigint, 2, 0, 0),
  [2118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [2120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13684),
  [2122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13537),
  [2124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13658),
  [2126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_varchar, 1, 0, 0),
  [2128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_varchar, 1, 0, 0),
  [2130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13870),
  [2132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char, 1, 0, 0),
  [2134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char, 1, 0, 0),
  [2136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13874),
  [2138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 3, 0, 0),
  [2140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 3, 0, 0),
  [2142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [2144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 8, 0, 219),
  [2146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 8, 0, 219),
  [2148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [2150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 7, 0, 191),
  [2152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 7, 0, 191),
  [2154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [2156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_smallint, 5, 0, 124),
  [2158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_smallint, 5, 0, 124),
  [2160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [2162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bit, 2, 0, 0),
  [2164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bit, 2, 0, 0),
  [2166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13656),
  [2168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14291),
  [2170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_numeric, 1, 0, 0),
  [2172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_numeric, 1, 0, 0),
  [2174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13939),
  [2176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__argmode, 2, 0, 0),
  [2178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__argmode, 2, 0, 0),
  [2180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_datetimeoffset, 1, 0, 0),
  [2182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_datetimeoffset, 1, 0, 0),
  [2184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13928),
  [2186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nvarchar, 1, 0, 0),
  [2188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nvarchar, 1, 0, 0),
  [2190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13932),
  [2192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_varchar, 1, 0, 0),
  [2194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_varchar, 1, 0, 0),
  [2196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nchar, 1, 0, 0),
  [2198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nchar, 1, 0, 0),
  [2200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13934),
  [2202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 7, 0, 191),
  [2204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 7, 0, 191),
  [2206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [2208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mediumint, 3, 0, 0),
  [2210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mediumint, 3, 0, 0),
  [2212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 8, 0, 191),
  [2214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 8, 0, 191),
  [2216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 8, 0, 239),
  [2218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 8, 0, 239),
  [2220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_timestamp, 5, 0, 124),
  [2222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_timestamp, 5, 0, 124),
  [2224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 3, 0, 0),
  [2226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 3, 0, 0),
  [2228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 7, 0, 219),
  [2230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 7, 0, 219),
  [2232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigint, 6, 0, 124),
  [2234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigint, 6, 0, 124),
  [2236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int, 6, 0, 124),
  [2238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int, 6, 0, 124),
  [2240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_time, 5, 0, 124),
  [2242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_time, 5, 0, 124),
  [2244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum, 5, 0, 160),
  [2246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum, 5, 0, 160),
  [2248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tinyint, 3, 0, 0),
  [2250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tinyint, 3, 0, 0),
  [2252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_smallint, 3, 0, 0),
  [2254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_smallint, 3, 0, 0),
  [2256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int, 3, 0, 0),
  [2258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int, 3, 0, 0),
  [2260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigint, 3, 0, 0),
  [2262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigint, 3, 0, 0),
  [2264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bit, 5, 0, 158),
  [2266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bit, 5, 0, 158),
  [2268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mediumint, 6, 0, 124),
  [2270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mediumint, 6, 0, 124),
  [2272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_smallint, 6, 0, 124),
  [2274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_smallint, 6, 0, 124),
  [2276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tinyint, 6, 0, 124),
  [2278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tinyint, 6, 0, 124),
  [2280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 8, 0, 191),
  [2282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 8, 0, 191),
  [2284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigint, 5, 0, 157),
  [2286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigint, 5, 0, 157),
  [2288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_int, 5, 0, 157),
  [2290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_int, 5, 0, 157),
  [2292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 9, 0, 219),
  [2294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 9, 0, 219),
  [2296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_bigserial, 1, 0, 0),
  [2298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_bigserial, 1, 0, 0),
  [2300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_numeric, 6, 0, 191),
  [2302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_numeric, 6, 0, 191),
  [2304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_serial, 1, 0, 0),
  [2306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_serial, 1, 0, 0),
  [2308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_smallserial, 1, 0, 0),
  [2310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_smallserial, 1, 0, 0),
  [2312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decimal, 6, 0, 191),
  [2314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decimal, 6, 0, 191),
  [2316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_mediumint, 5, 0, 157),
  [2318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_mediumint, 5, 0, 157),
  [2320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bit, 4, 0, 123),
  [2322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bit, 4, 0, 123),
  [2324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary, 4, 0, 123),
  [2326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary, 4, 0, 123),
  [2328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_varbinary, 4, 0, 123),
  [2330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_varbinary, 4, 0, 123),
  [2332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decimal, 4, 0, 123),
  [2334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decimal, 4, 0, 123),
  [2336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_numeric, 4, 0, 123),
  [2338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_numeric, 4, 0, 123),
  [2340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_float, 4, 0, 123),
  [2342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_float, 4, 0, 123),
  [2344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_double, 4, 0, 0),
  [2346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_double, 4, 0, 0),
  [2348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nchar, 4, 0, 124),
  [2350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nchar, 4, 0, 124),
  [2352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nvarchar, 4, 0, 124),
  [2354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_nvarchar, 4, 0, 124),
  [2356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum, 4, 0, 125),
  [2358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum, 4, 0, 125),
  [2360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_datetimeoffset, 4, 0, 124),
  [2362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_datetimeoffset, 4, 0, 124),
  [2364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__include_time_zone, 3, 0, 0),
  [2366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__include_time_zone, 3, 0, 0),
  [2368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_smallint, 5, 0, 157),
  [2370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_smallint, 5, 0, 157),
  [2372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tinyint, 5, 0, 157),
  [2374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tinyint, 5, 0, 157),
  [2376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_timestamp, 2, 0, 0),
  [2378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_timestamp, 2, 0, 0),
  [2380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_time, 2, 0, 0),
  [2382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_time, 2, 0, 0),
  [2384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_varchar, 4, 0, 124),
  [2386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_varchar, 4, 0, 124),
  [2388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char, 4, 0, 124),
  [2390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char, 4, 0, 124),
  [2392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_size_definition, 3, 0, 122),
  [2394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_size_definition, 3, 0, 122),
  [2396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 2, 0, 24),
  [2398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 2, 0, 24),
  [2400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 2, 0, 0),
  [2402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 2, 0, 0),
  [2404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 1, 0, 42),
  [2406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_size_definition_repeat1, 1, 0, 42),
  [2408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__array_size_definition, 2, 0, 0),
  [2410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__array_size_definition, 2, 0, 0),
  [2412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_size_definition, 2, 0, 79),
  [2414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_size_definition, 2, 0, 79),
  [2416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [2418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(293),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [2423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [2425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9386),
  [2427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14551),
  [2429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [2431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1637),
  [2433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11753),
  [2435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8534),
  [2437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14176),
  [2439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2607),
  [2441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9592),
  [2443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11673),
  [2445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [2447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [2449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5469),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11757),
  [2453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11757),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [2461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [2469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13055),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2212),
  [2473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5286),
  [2475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_between_expression, 5, 0, 78),
  [2477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_between_expression, 5, 0, 78),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11122),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8862),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6654),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14562),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [2495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1419),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [2501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [2503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [2505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [2507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5647),
  [2509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5147),
  [2511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5146),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4051),
  [2515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5354),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [2519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5406),
  [2521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [2523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5199),
  [2525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4422),
  [2527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5504),
  [2529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4177),
  [2531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5431),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [2535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5278),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4485),
  [2539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5187),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4514),
  [2543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5161),
  [2545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5197),
  [2547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5502),
  [2549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5377),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6463),
  [2553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5465),
  [2555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5476),
  [2557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5475),
  [2559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5487),
  [2561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5472),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5432),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4667),
  [2567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5410),
  [2569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5451),
  [2571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22),
  [2573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 22),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [2579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4836),
  [2581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5173),
  [2583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5447),
  [2585] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8862),
  [2588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [2590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5343),
  [2592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5149),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6003),
  [2596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5461),
  [2598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5455),
  [2600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5306),
  [2602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5168),
  [2604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5152),
  [2606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5365),
  [2608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5371),
  [2610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5243),
  [2612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_between_expression, 6, 0, 120),
  [2614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_between_expression, 6, 0, 120),
  [2616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5326),
  [2618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5340),
  [2620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5454),
  [2622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 11),
  [2624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 11),
  [2626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5344),
  [2628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5346),
  [2630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5347),
  [2632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5355),
  [2634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5234),
  [2636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5512),
  [2638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5458),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [2642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5384),
  [2644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5282),
  [2646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5284),
  [2648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5285),
  [2650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5350),
  [2652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5397),
  [2654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5433),
  [2656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5434),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4767),
  [2660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5143),
  [2662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5445),
  [2664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5142),
  [2666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5444),
  [2668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5437),
  [2670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 8, 0, 190),
  [2672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 8, 0, 190),
  [2674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13532),
  [2676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 9, 0, 190),
  [2678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 9, 0, 190),
  [2680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 4, 0, 40),
  [2682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 4, 0, 40),
  [2684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 7, 0, 114),
  [2686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 7, 0, 114),
  [2688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 7, 0, 156),
  [2690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 7, 0, 156),
  [2692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 5, 0, 76),
  [2694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 5, 0, 76),
  [2696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 3, 0, 0),
  [2698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 3, 0, 0),
  [2700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 5, 0, 40),
  [2702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 5, 0, 40),
  [2704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 7, 0, 154),
  [2706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 7, 0, 154),
  [2708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 7, 0, 74),
  [2710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 7, 0, 74),
  [2712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 5, 0, 74),
  [2714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 5, 0, 74),
  [2716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 7, 0, 155),
  [2718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 7, 0, 155),
  [2720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 6, 0, 115),
  [2722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 6, 0, 115),
  [2724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 6, 0, 74),
  [2726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 6, 0, 74),
  [2728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 8, 0, 156),
  [2730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 8, 0, 156),
  [2732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 6, 0, 40),
  [2734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 6, 0, 40),
  [2736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 6, 0, 114),
  [2738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 6, 0, 114),
  [2740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 6, 0, 113),
  [2742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 6, 0, 113),
  [2744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 8, 0, 154),
  [2746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 8, 0, 154),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [2750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [2752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(395),
  [2755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 9, 0, 156),
  [2757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 9, 0, 156),
  [2759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 8, 0, 155),
  [2761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 8, 0, 155),
  [2763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 8, 0, 114),
  [2765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 8, 0, 114),
  [2767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 6, 0, 76),
  [2769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 6, 0, 76),
  [2771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 8, 0, 74),
  [2773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 8, 0, 74),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [2781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14491),
  [2783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 7, 0, 115),
  [2785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 7, 0, 115),
  [2787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 7, 0, 40),
  [2789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 7, 0, 40),
  [2791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 4, 0, 0),
  [2793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 4, 0, 0),
  [2795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 7, 0, 113),
  [2797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 7, 0, 113),
  [2799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 10, 0, 190),
  [2801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 10, 0, 190),
  [2803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_filter_expression, 4, 0, 0),
  [2805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_filter_expression, 4, 0, 0),
  [2807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invocation, 9, 0, 154),
  [2809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invocation, 9, 0, 154),
  [2811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1, 0, 0),
  [2813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1, 0, 0),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [2821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13015),
  [2823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13010),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13010),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13247),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13248),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [2833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14494),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13017),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13016),
  [2849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__qualified_field, 1, 0, 7),
  [2851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__qualified_field, 1, 0, 7),
  [2853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_reference, 1, 0, 7), SHIFT(9937),
  [2856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [2858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [2860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [2862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13014),
  [2864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [2866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [2868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13013),
  [2870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [2874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13005),
  [2876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14059),
  [2878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1, 0, 24),
  [2880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1, 0, 24),
  [2882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subquery, 3, 0, 8),
  [2884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subquery, 3, 0, 8),
  [2886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13977),
  [2888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [2890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14669),
  [2892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [2894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1685),
  [2896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12229),
  [2898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3457),
  [2900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8934),
  [2902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12260),
  [2904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [2906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3354),
  [2908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6941),
  [2910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3444),
  [2912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12231),
  [2914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12231),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2826),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [2922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3463),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [2930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(854),
  [2932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [2934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [2938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(828),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [2942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(466),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [2953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [2955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1287),
  [2957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [2959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [2961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14698),
  [2963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [2965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [2967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11766),
  [2969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4783),
  [2971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8915),
  [2973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12051),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7070),
  [2979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3234),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11829),
  [2983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11829),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4336),
  [2989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [2991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2811),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4783),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4510),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [2999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [3001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14719),
  [3003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [3005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [3007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11554),
  [3009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3445),
  [3011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9328),
  [3013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11555),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [3017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2258),
  [3019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11556),
  [3021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11556),
  [3023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [3025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [3029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [3031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [3037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(831),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [3041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [3043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1811),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [3047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3500),
  [3049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [3051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(856),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4894),
  [3055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(833),
  [3057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3037),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11247),
  [3061] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8892),
  [3064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [3066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [3068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [3070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8892),
  [3072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [3074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [3076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [3080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [3082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(620),
  [3084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11977),
  [3086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13216),
  [3088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [3090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6326),
  [3092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [3094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [3096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [3098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13000),
  [3100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [3102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [3104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5119),
  [3106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(850),
  [3108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [3110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [3112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [3114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3148),
  [3116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [3118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [3120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [3122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14695),
  [3124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [3126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1739),
  [3128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11656),
  [3130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4309),
  [3132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8909),
  [3134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12069),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [3138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2537),
  [3140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11768),
  [3142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11768),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [3146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [3150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2790),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4309),
  [3154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [3156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [3158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [3160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1850),
  [3162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [3164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [3166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(848),
  [3168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [3170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [3172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14493),
  [3174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [3176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [3180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [3182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [3184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [3186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [3188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [3190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [3194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [3196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [3198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [3200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5741),
  [3202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [3204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [3206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [3208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [3210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [3212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [3214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [3216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [3218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [3220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [3222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2755),
  [3224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(715),
  [3226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1956),
  [3228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [3230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [3232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [3234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [3236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [3238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [3240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10582),
  [3242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10577),
  [3244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10566),
  [3246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10524),
  [3248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8864),
  [3250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [3252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [3254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [3256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [3258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [3260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1312),
  [3262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [3264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1311),
  [3266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8864),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10267),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10166),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9880),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10057),
  [3277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__bit_string, 1, 0, 0),
  [3279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__bit_string, 1, 0, 0),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [3287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(605),
  [3290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10007),
  [3292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [3294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10340),
  [3296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9129),
  [3298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9858),
  [3300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_size_definition, 1, 0, 42),
  [3302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_size_definition, 1, 0, 42),
  [3304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__bit_string, 2, 0, 0),
  [3306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__bit_string, 2, 0, 0),
  [3308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10554),
  [3310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9839),
  [3312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9785),
  [3314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9768),
  [3316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9757),
  [3318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [3320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13001),
  [3322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10518),
  [3324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10511),
  [3326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10499),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13002),
  [3330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [3332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13003),
  [3334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13004),
  [3336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13006),
  [3338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [3340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10497),
  [3342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [3344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13007),
  [3346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13009),
  [3348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13018),
  [3350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13019),
  [3352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14492),
  [3354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10493),
  [3356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10489),
  [3358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13025),
  [3360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13026),
  [3362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [3364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13027),
  [3366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [3368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13028),
  [3370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [3372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10486),
  [3374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [3378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13029),
  [3380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13030),
  [3382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [3384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [3386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [3388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [3390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [3392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [3394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14495),
  [3396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9024),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9909),
  [3403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11344),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1596),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8893),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [3419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1707),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [3425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1608),
  [3427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1604),
  [3429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [3431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 9, 0, 240),
  [3433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [3437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_join, 7, 0, 83),
  [3439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_join, 5, 0, 0),
  [3441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_join, 7, 0, 0),
  [3443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_join, 6, 0, 0),
  [3445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_join, 6, 0, 45),
  [3447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__integer, 2, 0, 0),
  [3449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__integer, 2, 0, 0),
  [3451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [3453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [3455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8513),
  [3457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 8, 0, 220),
  [3459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__integer, 1, 0, 0),
  [3461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__integer, 1, 0, 0),
  [3463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 4, 0, 88),
  [3465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 7, 0, 169),
  [3467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8893),
  [3470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_join, 9, 0, 164),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [3474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_join, 8, 0, 127),
  [3476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [3478] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(847),
  [3481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_size_definition, 1, 0, 0),
  [3483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_size_definition, 1, 0, 0),
  [3485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 6, 0, 167),
  [3487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 5, 0, 134),
  [3489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1597),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [3493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exists, 2, 0, 0),
  [3495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exists, 2, 0, 0),
  [3497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast, 6, 0, 112),
  [3499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast, 6, 0, 112),
  [3501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [3503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [3505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 3, 0, 0),
  [3507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 3, 0, 0),
  [3509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_specification, 3, 0, 0),
  [3511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_window_specification, 3, 0, 0),
  [3513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14683),
  [3515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [3517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6821),
  [3519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [3521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12145),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [3525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6355),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11691),
  [3529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11691),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [3535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(888),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [3543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_specification, 4, 0, 0),
  [3545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_window_specification, 4, 0, 0),
  [3547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 6, 0, 121),
  [3549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 6, 0, 121),
  [3551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_casting, 2, 0, 0),
  [3553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_casting, 2, 0, 0),
  [3555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__decimal_number, 2, 0, 0),
  [3557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__decimal_number, 2, 0, 0),
  [3559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_function, 3, 0, 0),
  [3561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_window_function, 3, 0, 0),
  [3563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3, 0, 0),
  [3565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3, 0, 0),
  [3567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__qualified_field, 3, 0, 18),
  [3569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__qualified_field, 3, 0, 18),
  [3571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__qualified_field, 5, 0, 73),
  [3573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__qualified_field, 5, 0, 73),
  [3575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 5, 0, 0),
  [3577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 5, 0, 0),
  [3579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal, 1, 0, 0),
  [3581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal, 1, 0, 0),
  [3583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_cast, 3, 0, 23),
  [3585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_implicit_cast, 3, 0, 23),
  [3587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 6, 0, 0),
  [3589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 6, 0, 0),
  [3591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 7, 0, 0),
  [3593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 7, 0, 0),
  [3595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 4, 0, 0),
  [3597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 4, 0, 0),
  [3599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_specification, 2, 0, 0),
  [3601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_window_specification, 2, 0, 0),
  [3603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript, 4, 0, 41),
  [3605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript, 4, 0, 41),
  [3607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list, 2, 0, 0),
  [3609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list, 2, 0, 0),
  [3611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interval, 2, 0, 0),
  [3613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interval, 2, 0, 0),
  [3615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4, 0, 0),
  [3617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4, 0, 0),
  [3619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_specification, 5, 0, 0),
  [3621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_window_specification, 5, 0, 0),
  [3623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 4, 0, 14),
  [3625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 4, 0, 14),
  [3627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14710),
  [3629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [3631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6936),
  [3633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2111),
  [3635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11986),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [3639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6308),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11885),
  [3643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11885),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [3649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [3651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [3653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [3659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 8, 0, 0),
  [3661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 8, 0, 0),
  [3663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column_constraint, 2, 0, 0),
  [3665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column_constraint, 2, 0, 0),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [3671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 9, 0, 0),
  [3673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 9, 0, 0),
  [3675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column_constraint, 4, 0, 0),
  [3677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column_constraint, 4, 0, 0),
  [3679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case, 10, 0, 0),
  [3681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case, 10, 0, 0),
  [3683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 6),
  [3685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 6),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4310),
  [3689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5413),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4663),
  [3693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5287),
  [3695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_is_not, 2, 0, 0),
  [3697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13802),
  [3699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_is_not, 2, 0, 0),
  [3701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [3703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12063),
  [3705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9331),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [3709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2441),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [3713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5253),
  [3715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14186),
  [3717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14701),
  [3719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [3721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [3723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11819),
  [3725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1591),
  [3727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4674),
  [3729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8940),
  [3731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12027),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [3735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12053),
  [3739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12053),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3157),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [3747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4417),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4674),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4175),
  [3757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5414),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [3761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5453),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [3765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5138),
  [3767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1013),
  [3769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [3773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5486),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2484),
  [3777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5393),
  [3779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1674),
  [3781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5972),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4757),
  [3785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5148),
  [3787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [3789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5988),
  [3791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1336),
  [3793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6049),
  [3795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1490),
  [3797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5992),
  [3799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [3801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12162),
  [3803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9043),
  [3805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [3807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3654),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4423),
  [3811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5477),
  [3813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1481),
  [3815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5998),
  [3817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1463),
  [3819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6009),
  [3821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1459),
  [3823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6036),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2049),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [3829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [3831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1447),
  [3833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6054),
  [3835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1435),
  [3837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6075),
  [3839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14680),
  [3841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [3843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [3845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11534),
  [3847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4458),
  [3849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9465),
  [3851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12160),
  [3853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [3855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2666),
  [3857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12060),
  [3859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12060),
  [3861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3261),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [3867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4459),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4458),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4477),
  [3875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [3877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6116),
  [3879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [3881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6134),
  [3883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14707),
  [3885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1012),
  [3887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [3889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12048),
  [3891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [3893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4749),
  [3895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9010),
  [3897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11995),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [3901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2498),
  [3903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12167),
  [3905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12167),
  [3907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [3909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [3911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4182),
  [3913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4756),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4749),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4008),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4740),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [3923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5644),
  [3925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5151),
  [3927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [3929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6072),
  [3931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [3933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [3937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3550),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1635),
  [3941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [3943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4202),
  [3945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [3947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4352),
  [3949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [3951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4366),
  [3953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2123),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4520),
  [3957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5162),
  [3959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1326),
  [3961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6035),
  [3963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [3965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [3969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2759),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [3973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(941),
  [3975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1468),
  [3977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5019),
  [3979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14686),
  [3981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [3983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [3985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11696),
  [3987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1673),
  [3989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5971),
  [3991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9223),
  [3993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12126),
  [3995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [3997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4191),
  [3999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11540),
  [4001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11540),
  [4003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [4005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5041),
  [4007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5485),
  [4009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5989),
  [4011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5971),
  [4013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5448),
  [4015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5019),
  [4017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5873),
  [4019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14673),
  [4021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [4023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [4025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12057),
  [4027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [4029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4146),
  [4031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8905),
  [4033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12226),
  [4035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [4037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1969),
  [4039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11816),
  [4041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11816),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [4049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4145),
  [4051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4146),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [4055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [4057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [4059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4535),
  [4061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4837),
  [4063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5186),
  [4065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [4067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2362),
  [4069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2739),
  [4071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [4073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4347),
  [4075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14716),
  [4077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [4079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(938),
  [4081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11893),
  [4083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [4085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4547),
  [4087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9115),
  [4089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11960),
  [4091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [4093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2342),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11578),
  [4097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11578),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3397),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3451),
  [4105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4546),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4547),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4482),
  [4113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [4115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6016),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [4119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5351),
  [4121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [4123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6011),
  [4125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14677),
  [4127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [4129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(948),
  [4131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11820),
  [4133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [4135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6426),
  [4137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9655),
  [4139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12193),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [4143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4697),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11532),
  [4147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11532),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [4151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5630),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [4155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6416),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6426),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6136),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4486),
  [4165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5352),
  [4167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14713),
  [4169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [4171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [4173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12175),
  [4175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1225),
  [4177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2679),
  [4179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9077),
  [4181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11976),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [4185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(834),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11530),
  [4189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11530),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [4197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2186),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [4205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [4207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2226),
  [4209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2492),
  [4211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [4213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5966),
  [4215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [4217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [4219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [4221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5959),
  [4223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [4225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5379),
  [4227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [4229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6045),
  [4231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14689),
  [4233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [4235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [4237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11538),
  [4239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [4241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2579),
  [4243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9094),
  [4245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12102),
  [4247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [4249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [4251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11584),
  [4253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11584),
  [4255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [4257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [4259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [4261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [4263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [4265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [4267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [4269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4931),
  [4271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14704),
  [4273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [4275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [4277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11897),
  [4279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1679),
  [4281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5716),
  [4283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8982),
  [4285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12006),
  [4287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [4289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3492),
  [4291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12163),
  [4293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12163),
  [4295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [4297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4922),
  [4299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4990),
  [4301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5719),
  [4303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5716),
  [4305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5028),
  [4307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4931),
  [4309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5629),
  [4311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [4313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [4319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14467),
  [4323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14692),
  [4325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(964),
  [4327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1015),
  [4329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11583),
  [4331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1816),
  [4333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4186),
  [4335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8979),
  [4337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12086),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [4341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2041),
  [4343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11657),
  [4345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11657),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2963),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [4353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4192),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4186),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4301),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5994),
  [4363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5457),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6428),
  [4367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5462),
  [4369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6194),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [4373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5247),
  [4375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14123),
  [4377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2023),
  [4379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [4381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2060),
  [4383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2409),
  [4385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [4387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1135),
  [4389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2073),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [4393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5190),
  [4395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [4397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [4399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2687),
  [4401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2407),
  [4403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4149),
  [4405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2062),
  [4407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12833),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12833),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12894),
  [4413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2794),
  [4415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2795),
  [4417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2465),
  [4419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5036),
  [4421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4425),
  [4423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [4425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4428),
  [4427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2199),
  [4429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3799),
  [4431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4774),
  [4433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [4435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4431),
  [4437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [4439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5426),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [4443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5417),
  [4445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [4447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2390),
  [4449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2095),
  [4451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2096),
  [4453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4326),
  [4455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2140),
  [4457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4261),
  [4459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [4461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4264),
  [4463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [4465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [4467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5017),
  [4469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4337),
  [4471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2046),
  [4473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4339),
  [4475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [4477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [4479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [4481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4382),
  [4483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [4485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2507),
  [4487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4341),
  [4489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4403),
  [4491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [4493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2139),
  [4495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6104),
  [4497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2100),
  [4499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [4501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4712),
  [4503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6105),
  [4505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5896),
  [4507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [4509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4928),
  [4511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5193),
  [4513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3063),
  [4515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10845),
  [4517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [4519] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8731),
  [4522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1520),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [4528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [4532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [4534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [4536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [4538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1487),
  [4540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2510),
  [4542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4886),
  [4544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [4546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2550),
  [4548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(804),
  [4550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [4552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2417),
  [4554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4704),
  [4556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2545),
  [4558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [4560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4478),
  [4562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4069),
  [4564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [4566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2357),
  [4568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2113),
  [4570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [4572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [4574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5782),
  [4576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5784),
  [4578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4435),
  [4580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2202),
  [4582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2326),
  [4584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [4586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5002),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8731),
  [4590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2118),
  [4592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [4594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2125),
  [4596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2067),
  [4598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2150),
  [4600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [4602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [4604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [4606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6199),
  [4608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5532),
  [4610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [4612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [4614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [4616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2021),
  [4618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(976),
  [4620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2030),
  [4622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5785),
  [4624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(567),
  [4626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2024),
  [4628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6180),
  [4630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6237),
  [4632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6320),
  [4634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6305),
  [4636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6292),
  [4638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6262),
  [4640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6216),
  [4642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6189),
  [4644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6293),
  [4646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6298),
  [4648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6051),
  [4650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2033),
  [4652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5999),
  [4654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2053),
  [4656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2039),
  [4658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5950),
  [4660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5033),
  [4662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5948),
  [4664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5035),
  [4666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4437),
  [4668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2204),
  [4670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4929),
  [4672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2136),
  [4674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6357),
  [4676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5667),
  [4678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6374),
  [4680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2144),
  [4682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5910),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [4686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5361),
  [4688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5909),
  [4690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2414),
  [4692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [4696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5799),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14470),
  [4704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4885),
  [4706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4791),
  [4708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6220),
  [4710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5572),
  [4712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2819),
  [4714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [4716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4448),
  [4718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [4720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2057),
  [4722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4106),
  [4724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6052),
  [4726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5903),
  [4728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5128),
  [4730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2783),
  [4732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5127),
  [4734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6285),
  [4736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4449),
  [4738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [4740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5895),
  [4742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [4744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3810),
  [4746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5050),
  [4748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3555),
  [4750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6271),
  [4752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(884),
  [4754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5723),
  [4756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2020),
  [4758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3812),
  [4760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6281),
  [4762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [4764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [4766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2262),
  [4768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12840),
  [4770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3814),
  [4772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2260),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12839),
  [4778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5826),
  [4780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [4782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2246),
  [4784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12838),
  [4786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [4790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [4792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12837),
  [4794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4692),
  [4796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3815),
  [4798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5825),
  [4800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [4802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [4804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12836),
  [4806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4707),
  [4808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5816),
  [4810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6039),
  [4812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5867),
  [4814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6022),
  [4816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5150),
  [4818] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6021),
  [4820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5086),
  [4822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [4824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2236),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12828),
  [4828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2031),
  [4830] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6020),
  [4832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6018),
  [4834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5800),
  [4836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2772),
  [4838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5113),
  [4840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2859),
  [4842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6324),
  [4844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3816),
  [4846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5531),
  [4848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6316),
  [4850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2032),
  [4852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [4854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4998),
  [4856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6033),
  [4858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6120),
  [4860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6119),
  [4862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [4864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6114),
  [4866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [4868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5968),
  [4870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5005),
  [4872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6113),
  [4874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5008),
  [4876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5952),
  [4878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6269),
  [4880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3514),
  [4882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5568),
  [4884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6266),
  [4886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5874),
  [4888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [4890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5812),
  [4892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [4894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6106),
  [4896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [4898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3508),
  [4900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3818),
  [4902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6103),
  [4904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4784),
  [4906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5813),
  [4908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6098),
  [4910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2726),
  [4912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5009),
  [4914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5815),
  [4916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6095),
  [4918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5012),
  [4920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5807),
  [4922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6361),
  [4924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4252),
  [4926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5599),
  [4928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6197),
  [4930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6060),
  [4932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [4934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(575),
  [4936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(576),
  [4938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [4940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [4942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [4944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(595),
  [4946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [4948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6065),
  [4950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [4952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3819),
  [4954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5822),
  [4956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6057),
  [4958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [4960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [4962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6050),
  [4964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5828),
  [4966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5030),
  [4968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6044),
  [4970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5056),
  [4972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5829),
  [4974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2054),
  [4976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6274),
  [4978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [4980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5620),
  [4982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6061),
  [4984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2754),
  [4986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4465),
  [4988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2220),
  [4990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4734),
  [4992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6229),
  [4994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(635),
  [4996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [4998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [5000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2827),
  [5002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6024),
  [5004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2114),
  [5006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6015),
  [5008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [5010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5372),
  [5012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [5014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1990),
  [5016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2824),
  [5018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2725),
  [5020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [5022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5997),
  [5024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2715),
  [5026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [5028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5525),
  [5030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [5032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2713),
  [5034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [5036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2712),
  [5038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [5040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5533),
  [5042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2703),
  [5044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [5046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5894),
  [5048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2701),
  [5050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [5052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [5054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5627),
  [5056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [5058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5077),
  [5060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5951),
  [5062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5587),
  [5064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2901),
  [5066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4983),
  [5068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2874),
  [5070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6169),
  [5072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2744),
  [5074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5678),
  [5076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6381),
  [5078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4017),
  [5080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4007),
  [5082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4700),
  [5084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5819),
  [5086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2256),
  [5088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2700),
  [5090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [5092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5848),
  [5094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6353),
  [5096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6002),
  [5098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4189),
  [5100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4058),
  [5102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6023),
  [5104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4059),
  [5106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4989),
  [5108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5823),
  [5110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6030),
  [5112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5045),
  [5114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [5116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [5118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [5120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14536),
  [5122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5618),
  [5124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5854),
  [5126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5631),
  [5128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6314),
  [5130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5859),
  [5132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5619),
  [5134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6307),
  [5136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5868),
  [5138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [5140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6043),
  [5142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5875),
  [5144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6048),
  [5146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6086),
  [5148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6053),
  [5150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [5152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4982),
  [5154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6056),
  [5156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [5158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [5160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [5162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4976),
  [5164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [5166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [5168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2365),
  [5170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6239),
  [5172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6090),
  [5174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5577),
  [5176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6214),
  [5178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [5180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [5182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6092),
  [5184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5967),
  [5186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5055),
  [5188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6133),
  [5190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5753),
  [5192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6123),
  [5194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6135),
  [5196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6126),
  [5198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6128),
  [5200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [5202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1944),
  [5204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3502),
  [5206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4957),
  [5208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6109),
  [5210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6139),
  [5212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5024),
  [5214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5911),
  [5216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [5218] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5265),
  [5220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2433),
  [5222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(983),
  [5224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5958),
  [5226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2263),
  [5228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6276),
  [5230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5543),
  [5232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6190),
  [5234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5943),
  [5236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [5238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5960),
  [5240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5953),
  [5242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5945),
  [5244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5926),
  [5246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5942),
  [5248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5912),
  [5250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5902),
  [5252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5901),
  [5254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5839),
  [5256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5941),
  [5258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [5260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [5262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [5264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2134),
  [5266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5897),
  [5268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [5270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5251),
  [5272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5114),
  [5274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [5276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5248),
  [5278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5890),
  [5280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4805),
  [5282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5628),
  [5284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1109),
  [5286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5888),
  [5288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5885),
  [5290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5861),
  [5292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5935),
  [5294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5110),
  [5296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [5298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [5300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6263),
  [5302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5858),
  [5304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5671),
  [5306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6321),
  [5308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2740),
  [5310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5845),
  [5312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2130),
  [5314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [5316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2128),
  [5318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [5320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2127),
  [5322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5841),
  [5324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2126),
  [5326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [5328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2124),
  [5330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2122),
  [5332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [5334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5836),
  [5336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2736),
  [5338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2028),
  [5340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5856),
  [5342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5837),
  [5344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1464),
  [5346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4479),
  [5348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5089),
  [5350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [5352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5833),
  [5354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5832),
  [5356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5076),
  [5358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1465),
  [5360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3820),
  [5362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6268),
  [5364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5830),
  [5366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5795),
  [5368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6299),
  [5370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [5372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5818),
  [5374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2428),
  [5376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6132),
  [5378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13909),
  [5380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5817),
  [5382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5907),
  [5384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5810),
  [5386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [5388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3501),
  [5390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5965),
  [5392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [5394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5240),
  [5396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [5398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5239),
  [5400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(829),
  [5402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5082),
  [5404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5849),
  [5406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4995),
  [5408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2505),
  [5410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3499),
  [5412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1470),
  [5414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [5416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1473),
  [5418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6230),
  [5420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [5422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5279),
  [5424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5711),
  [5426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6227),
  [5428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5840),
  [5430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [5432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5283),
  [5434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5844),
  [5436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6040),
  [5438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5846),
  [5440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3498),
  [5442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3494),
  [5444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5117),
  [5446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5803),
  [5448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5869),
  [5450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5098),
  [5452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4738),
  [5454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4703),
  [5456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [5458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5473),
  [5460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4702),
  [5462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [5464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4815),
  [5466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2110),
  [5468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3493),
  [5470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [5472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [5474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [5476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2506),
  [5478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [5480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6378),
  [5482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3803),
  [5484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4082),
  [5486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5883),
  [5488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5882),
  [5490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [5492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5695),
  [5494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [5496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6215),
  [5498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [5500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [5502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [5504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4997),
  [5506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5964),
  [5508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [5510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(837),
  [5512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2308),
  [5514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [5516] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5995),
  [5518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5996),
  [5520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3491),
  [5522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4701),
  [5524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4699),
  [5526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4698),
  [5528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4693),
  [5530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4694),
  [5532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4695),
  [5534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [5536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5356),
  [5538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4736),
  [5540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5974),
  [5542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4691),
  [5544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4696),
  [5546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3553),
  [5548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5132),
  [5550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4349),
  [5552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4383),
  [5554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6038),
  [5556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2431),
  [5558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [5560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5357),
  [5562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6001),
  [5564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4954),
  [5566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6124),
  [5568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3401),
  [5570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4204),
  [5572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4238),
  [5574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2423),
  [5576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [5578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2544),
  [5580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [5582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2375),
  [5584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4829),
  [5586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4469),
  [5588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5585),
  [5590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6193),
  [5592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5500),
  [5594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4193),
  [5596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [5598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2546),
  [5600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [5602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2146),
  [5604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4188),
  [5606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1790),
  [5608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [5610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5370),
  [5612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1961),
  [5614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4108),
  [5616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2432),
  [5618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4322),
  [5620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4323),
  [5622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4187),
  [5624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5811),
  [5626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4377),
  [5628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4354),
  [5630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_object_reference, 1, 0, 7), REDUCE(sym__qualified_field, 1, 0, 7),
  [5633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2410),
  [5635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [5637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3460),
  [5639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6101),
  [5641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2327),
  [5643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2289),
  [5645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6099),
  [5647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [5649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4390),
  [5651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4384),
  [5653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3404),
  [5655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2287),
  [5657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6096),
  [5659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4076),
  [5661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2286),
  [5663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4135),
  [5665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4972),
  [5667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2254),
  [5669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2512),
  [5671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [5673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13794),
  [5675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [5677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4124),
  [5679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4351),
  [5681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6066),
  [5683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4978),
  [5685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5141),
  [5687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2284),
  [5689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12893),
  [5691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [5693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6332),
  [5695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4345),
  [5697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2281),
  [5699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5617),
  [5701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6345),
  [5703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4737),
  [5705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [5707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4739),
  [5709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4374),
  [5711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3490),
  [5713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [5715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4081),
  [5717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6025),
  [5719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4080),
  [5721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [5723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5425),
  [5725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [5727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5429),
  [5729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2277),
  [5731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [5733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5280),
  [5735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6233),
  [5737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4400),
  [5739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4368),
  [5741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3442),
  [5743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4398),
  [5745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1989),
  [5747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4340),
  [5749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4393),
  [5751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4367),
  [5753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4391),
  [5755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4387),
  [5757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2356),
  [5759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4365),
  [5761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4370),
  [5763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4363),
  [5765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4401),
  [5767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4395),
  [5769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4364),
  [5771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2873),
  [5773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4392),
  [5775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4356),
  [5777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4402),
  [5779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1827),
  [5781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [5783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1810),
  [5785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1760),
  [5787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1693),
  [5789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1669),
  [5791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2902),
  [5793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4362),
  [5795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4334),
  [5797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [5799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [5801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2361),
  [5803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [5805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2240),
  [5807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [5809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1580),
  [5811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1562),
  [5813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1559),
  [5815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3554),
  [5817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2351),
  [5819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1550),
  [5821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2720),
  [5823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2335),
  [5825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4981),
  [5827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4361),
  [5829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4078),
  [5831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4061),
  [5833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2205),
  [5835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2798),
  [5837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5000),
  [5839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4333),
  [5841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4515),
  [5843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4516),
  [5845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [5847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [5849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [5851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1963),
  [5853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4360),
  [5855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [5857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4359),
  [5859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3486),
  [5861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4517),
  [5863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4519),
  [5865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4523),
  [5867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4524),
  [5869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4527),
  [5871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4534),
  [5873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5973),
  [5875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4331),
  [5877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4536),
  [5879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4676),
  [5881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4464),
  [5883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4457),
  [5885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [5887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [5889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [5891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [5893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5367),
  [5895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [5897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4060),
  [5899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [5901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(990),
  [5903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [5905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2900),
  [5907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5820),
  [5909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1982),
  [5911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1981),
  [5913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [5915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [5917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [5919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1919),
  [5921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4070),
  [5923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1968),
  [5925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1966),
  [5927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(878),
  [5929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4342),
  [5931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [5933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2488),
  [5935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13350),
  [5937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13832),
  [5939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2358),
  [5941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2515),
  [5943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13786),
  [5945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [5947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2518),
  [5949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13783),
  [5951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13789),
  [5953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13787),
  [5955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13788),
  [5957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2363),
  [5959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2516),
  [5961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13785),
  [5963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_term, 1, 0, 5),
  [5965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_term, 1, 0, 5),
  [5967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9889),
  [5969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10678),
  [5971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [5973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [5975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [5977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8720),
  [5979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [5981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6654),
  [5983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14562),
  [5985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [5987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [5989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [5991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [5993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [5995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [5997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [5999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [6001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [6003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [6005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [6007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2511),
  [6009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13795),
  [6011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10114),
  [6013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [6015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [6017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14539),
  [6019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [6021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [6023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [6025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1864),
  [6028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [6030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [6032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13362),
  [6034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [6036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [6038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13361),
  [6040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [6042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [6044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(1872),
  [6047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [6049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [6051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13360),
  [6053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [6055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [6057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13359),
  [6059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2369),
  [6061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2517),
  [6063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13784),
  [6065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [6067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2179),
  [6069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2519),
  [6071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13782),
  [6073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13355),
  [6075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13355),
  [6077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13436),
  [6079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [6081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2483),
  [6083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13358),
  [6085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13437),
  [6087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [6089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [6091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12823),
  [6093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [6095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14469),
  [6097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9700),
  [6099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [6101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2565),
  [6103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13149),
  [6105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [6107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [6109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [6111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [6113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [6115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [6117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [6119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [6121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [6123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [6125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [6127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [6129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [6131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [6133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [6135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [6137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11383),
  [6139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [6141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8846),
  [6144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [6146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1830),
  [6148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [6150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [6152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [6154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [6156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [6158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2347),
  [6160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [6162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2147),
  [6164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [6166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [6168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [6170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [6172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [6174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [6176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [6178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [6180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [6182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [6184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2569),
  [6186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2230),
  [6188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2566),
  [6190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [6192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [6194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2332),
  [6196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [6198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [6200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2193),
  [6202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13777),
  [6204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [6206] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8720),
  [6209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(8933),
  [6212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14471),
  [6214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2274),
  [6216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [6218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2271),
  [6220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [6222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10437),
  [6224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10738),
  [6226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [6228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [6230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1003),
  [6232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8871),
  [6234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [6236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [6238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [6240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [6242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [6244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [6246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [6248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [6250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1770),
  [6252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1778),
  [6254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [6256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [6258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [6260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [6262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [6264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2323),
  [6266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [6268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [6270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [6272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8846),
  [6274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [6276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1831),
  [6278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [6280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [6282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [6284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [6286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [6288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12853),
  [6290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12852),
  [6292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12851),
  [6294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [6296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14538),
  [6298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12850),
  [6300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [6302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2538),
  [6304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8571),
  [6306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10625),
  [6308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [6310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [6312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [6314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8866),
  [6316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [6318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [6320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [6322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [6324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [6326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [6328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [6330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [6332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [6334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [6336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [6338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12849),
  [6340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12848),
  [6342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14468),
  [6344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12842),
  [6346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12841),
  [6348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [6350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2489),
  [6352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [6354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2490),
  [6356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2188),
  [6358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [6360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12832),
  [6362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12830),
  [6364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12829),
  [6366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2200),
  [6368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2480),
  [6370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [6372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2493),
  [6374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [6376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8866),
  [6379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12827),
  [6381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [6383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13345),
  [6385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12826),
  [6387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [6389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12825),
  [6391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12824),
  [6393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [6395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [6397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [6399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13176),
  [6401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_group_by, 3, 0, 0),
  [6403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [6405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [6407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [6409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [6411] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2074),
  [6414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10280),
  [6416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [6418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [6420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [6422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [6424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [6426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [6428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [6430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [6432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10950),
  [6434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8885),
  [6436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [6438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [6440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [6442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [6444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [6446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8885),
  [6449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14540),
  [6451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10113),
  [6453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [6455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [6457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [6459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [6461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [6463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [6465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [6467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [6469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [6471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9216),
  [6474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [6476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [6478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13363),
  [6480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11497),
  [6482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8858),
  [6484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [6486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [6488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1504),
  [6490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [6492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [6494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_target, 1, 0, 0),
  [6496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7016),
  [6498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [6500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9860),
  [6502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [6504] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8858),
  [6507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2447),
  [6509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13364),
  [6511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11441),
  [6513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [6515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1688),
  [6517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [6519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8894),
  [6521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [6523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [6525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [6527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [6529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [6531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [6533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [6535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [6537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1710),
  [6539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1697),
  [6541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1714),
  [6543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8525),
  [6545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 1, 0, 0), SHIFT(12833),
  [6548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13307),
  [6550] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 1, 0, 0), SHIFT(12833),
  [6553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13306),
  [6555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13354),
  [6557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13352),
  [6559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13197),
  [6561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2469),
  [6563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13174),
  [6565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13351),
  [6567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13173),
  [6569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13172),
  [6571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13171),
  [6573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [6575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2169),
  [6578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13169),
  [6580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13349),
  [6582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2476),
  [6584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13348),
  [6586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13370),
  [6588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2573),
  [6590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8871),
  [6593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13347),
  [6595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2394),
  [6597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2219),
  [6599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2396),
  [6601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2397),
  [6603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13167),
  [6605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13346),
  [6607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [6609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9127),
  [6612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [6614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2400),
  [6616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12366),
  [6618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13797),
  [6620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13796),
  [6622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13369),
  [6624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13368),
  [6626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13367),
  [6628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13780),
  [6630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13793),
  [6632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2539),
  [6634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13792),
  [6636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13798),
  [6638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13790),
  [6640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [6642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2536),
  [6644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14537),
  [6646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2572),
  [6648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [6650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13365),
  [6652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13799),
  [6654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [6656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [6658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [6660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [6662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8894),
  [6665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2771),
  [6667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3002),
  [6669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2520),
  [6671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14483),
  [6673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [6675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13781),
  [6677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [6679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [6681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [6683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [6685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2563),
  [6687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [6689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13366),
  [6691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [6693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2568),
  [6695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [6697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [6699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2571),
  [6701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2774),
  [6703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2994),
  [6705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12955),
  [6707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0),
  [6709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11148),
  [6711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [6713] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8891),
  [6716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [6718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [6720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [6722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1529),
  [6724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [6726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [6728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [6730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [6732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [6734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2978),
  [6736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8891),
  [6738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [6740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [6742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 1, 0, 0), SHIFT(13355),
  [6745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13447),
  [6747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 1, 0, 0), SHIFT(13355),
  [6750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13446),
  [6752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 4, 0, 124), SHIFT(12833),
  [6755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12951),
  [6757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13189),
  [6759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13188),
  [6761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 4, 0, 124), SHIFT(12833),
  [6764] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2456),
  [6767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [6769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [6771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [6773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [6775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8576),
  [6777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7377),
  [6779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [6781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9943),
  [6783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [6785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2464),
  [6787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2781),
  [6789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2983),
  [6791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14486),
  [6793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2777),
  [6795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2985),
  [6797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12958),
  [6799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2776),
  [6801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2986),
  [6803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12957),
  [6805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2775),
  [6807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2987),
  [6809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12956),
  [6811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2727),
  [6813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2995),
  [6815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12954),
  [6817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2770),
  [6819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3003),
  [6821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12946),
  [6823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [6825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2938),
  [6827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3423),
  [6829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2684),
  [6831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14407),
  [6833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12480),
  [6835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12481),
  [6837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12482),
  [6839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12892),
  [6841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12892),
  [6843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13012),
  [6845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_where, 2, 0, 49),
  [6847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 4, 0, 124), SHIFT(13355),
  [6850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3150),
  [6852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10468),
  [6854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 4, 0, 124), SHIFT(13355),
  [6857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [6859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3283),
  [6861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [6863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [6865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14423),
  [6867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13011),
  [6869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2957),
  [6871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3409),
  [6873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14412),
  [6875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2810),
  [6877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2960),
  [6879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2809),
  [6881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2956),
  [6883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2950),
  [6885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3413),
  [6887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12487),
  [6889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2948),
  [6891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3414),
  [6893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12486),
  [6895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2946),
  [6897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3415),
  [6899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12485),
  [6901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2805),
  [6903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2955),
  [6905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2944),
  [6907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3416),
  [6909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12484),
  [6911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2942),
  [6913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3417),
  [6915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12483),
  [6917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2936),
  [6919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3424),
  [6921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12475),
  [6923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2747),
  [6925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2937),
  [6927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2773),
  [6929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2934),
  [6931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__inner_default_expression, 1, 0, 0),
  [6933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__inner_default_expression, 1, 0, 0),
  [6935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8865),
  [6937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2749),
  [6939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2933),
  [6941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [6943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [6945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [6947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14475),
  [6949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2797),
  [6951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2932),
  [6953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2796),
  [6955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2931),
  [6957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2778),
  [6959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14485),
  [6961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [6963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [6965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [6967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2769),
  [6969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12941),
  [6971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2760),
  [6973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11279),
  [6975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [6977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8850),
  [6980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [6982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [6984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [6986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [6988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1351),
  [6990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1337),
  [6992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [6994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2982),
  [6996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13881),
  [6998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2922),
  [7000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3538),
  [7002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2935),
  [7004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12470),
  [7006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12942),
  [7008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12943),
  [7010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8850),
  [7012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [7014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [7016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3487),
  [7018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [7020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3630),
  [7022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14478),
  [7024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [7026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12944),
  [7028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12945),
  [7030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12947),
  [7032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2949),
  [7034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column_list, 3, 0, 46),
  [7036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column_list, 3, 0, 46),
  [7038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2945),
  [7040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3300),
  [7042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3637),
  [7044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12899),
  [7046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12559),
  [7048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12559),
  [7050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12560),
  [7052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12959),
  [7054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12960),
  [7056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14484),
  [7058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [7060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [7062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12898),
  [7064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12966),
  [7066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12967),
  [7068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12968),
  [7070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12969),
  [7072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12970),
  [7074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12971),
  [7076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2984),
  [7078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [7080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [7082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2947),
  [7084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2981),
  [7086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2980),
  [7088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2979),
  [7090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2977),
  [7092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14487),
  [7094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9001),
  [7097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [7099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [7101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12897),
  [7103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2970),
  [7105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [7107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [7109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12896),
  [7111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [7113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3645),
  [7115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12895),
  [7117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [7119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3651),
  [7121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12887),
  [7123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12948),
  [7125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2941),
  [7127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2943),
  [7129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12950),
  [7131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2959),
  [7133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2953),
  [7135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14411),
  [7137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2961),
  [7139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2962),
  [7141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [7143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [7145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12554),
  [7147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [7149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [7151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column_list, 4, 0, 46),
  [7153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column_list, 4, 0, 46),
  [7155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [7157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4163),
  [7159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [7161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14515),
  [7163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3017),
  [7165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3338),
  [7167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3019),
  [7169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3337),
  [7171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3021),
  [7173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3336),
  [7175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3023),
  [7177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3335),
  [7179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3025),
  [7181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3334),
  [7183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13393),
  [7185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13393),
  [7187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13440),
  [7189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13441),
  [7191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3047),
  [7193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3258),
  [7195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3050),
  [7197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3257),
  [7199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [7201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3903),
  [7203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3064),
  [7205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14450),
  [7207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3056),
  [7209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3253),
  [7211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [7213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [7215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3743),
  [7217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14428),
  [7219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3813),
  [7221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [7223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3740),
  [7225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12566),
  [7227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [7229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3739),
  [7231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12565),
  [7233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [7235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3738),
  [7237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12564),
  [7239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [7241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [7243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12563),
  [7245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [7247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [7249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12562),
  [7251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12561),
  [7253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [7255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4226),
  [7257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [7259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14541),
  [7261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__having, 2, 0, 0),
  [7263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14011),
  [7265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4407),
  [7267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13187),
  [7269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13187),
  [7271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13422),
  [7273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13421),
  [7275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13813),
  [7277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [7279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [7281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [7283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(2898),
  [7286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12471),
  [7288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12472),
  [7290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12473),
  [7292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12474),
  [7294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12476),
  [7296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12477),
  [7298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12479),
  [7300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12488),
  [7302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12489),
  [7304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14410),
  [7306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12498),
  [7308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12499),
  [7310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12500),
  [7312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12501),
  [7314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12502),
  [7316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12503),
  [7318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3410),
  [7320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3407),
  [7322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3406),
  [7324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3405),
  [7326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3403),
  [7328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3402),
  [7330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14413),
  [7332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9274),
  [7335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3386),
  [7337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4358),
  [7339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3629),
  [7341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4249),
  [7343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14544),
  [7345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3642),
  [7347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4241),
  [7349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13400),
  [7351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [7353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4239),
  [7355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13399),
  [7357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [7359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4237),
  [7361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13398),
  [7363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [7365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4235),
  [7367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13397),
  [7369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [7371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4232),
  [7373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13396),
  [7375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [7377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4221),
  [7379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13388),
  [7381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [7383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4295),
  [7385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13182),
  [7387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3315),
  [7389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3309),
  [7391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3308),
  [7393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3307),
  [7395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3306),
  [7397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [7399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [7401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13190),
  [7403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [7405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4242),
  [7407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13191),
  [7409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [7411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4240),
  [7413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13192),
  [7415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [7417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4236),
  [7419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13193),
  [7421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [7423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4229),
  [7425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13194),
  [7427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [7429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3564),
  [7431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [7433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [7435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [7437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3571),
  [7439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3314),
  [7441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [7443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [7445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [7447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [7449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3589),
  [7451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [7453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3591),
  [7455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [7457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4220),
  [7459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14518),
  [7461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3310),
  [7463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [7465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [7467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14477),
  [7469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [7471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12882),
  [7473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [7475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3254),
  [7477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4116),
  [7479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3252),
  [7481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12703),
  [7483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12703),
  [7485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12776),
  [7487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12775),
  [7489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3236),
  [7491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [7493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [7495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [7497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3891),
  [7499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14454),
  [7501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [7503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [7505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12549),
  [7507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3867),
  [7509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [7511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12710),
  [7513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3869),
  [7515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3896),
  [7517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12709),
  [7519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [7521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3897),
  [7523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12708),
  [7525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3857),
  [7527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3898),
  [7529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12707),
  [7531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3862),
  [7533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3899),
  [7535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12706),
  [7537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3853),
  [7539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3904),
  [7541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12698),
  [7543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3125),
  [7545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14427),
  [7547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [7549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [7551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [7553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [7555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [7557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3798),
  [7559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [7561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [7563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [7565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4100),
  [7567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4643),
  [7569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [7571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14531),
  [7573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [7575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3781),
  [7577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3145),
  [7579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [7581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [7583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [7585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3138),
  [7587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [7589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13958),
  [7591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [7593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3745),
  [7595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [7597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3747),
  [7599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [7601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14429),
  [7603] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9174),
  [7606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [7608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4105),
  [7610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4634),
  [7612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13312),
  [7614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4104),
  [7616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4635),
  [7618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13311),
  [7620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4103),
  [7622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4636),
  [7624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13310),
  [7626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [7628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4638),
  [7630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13309),
  [7632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [7634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4639),
  [7636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13308),
  [7638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12567),
  [7640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [7642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4644),
  [7644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13300),
  [7646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [7648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [7650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3792),
  [7652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [7654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [7656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12582),
  [7658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10845),
  [7660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [7662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [7664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [7666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8824),
  [7668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [7670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [7672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [7674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [7676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1699),
  [7678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [7680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [7682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1733),
  [7684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1709),
  [7686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1758),
  [7688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [7690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12581),
  [7692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [7694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12580),
  [7696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3807),
  [7698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3809),
  [7700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4115),
  [7702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4624),
  [7704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14534),
  [7706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12579),
  [7708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12578),
  [7710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [7712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [7714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14027),
  [7716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3843),
  [7718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3856),
  [7720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12693),
  [7722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14139),
  [7724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12577),
  [7726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14426),
  [7728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12568),
  [7730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12558),
  [7732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12556),
  [7734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12555),
  [7736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [7738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3968),
  [7740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12553),
  [7742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [7744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [7746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12552),
  [7748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12551),
  [7750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12550),
  [7752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [7754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14453),
  [7756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13305),
  [7758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13305),
  [7760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13434),
  [7762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13435),
  [7764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3817),
  [7766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [7768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [7770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4000),
  [7772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3808),
  [7774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [7776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [7778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [7780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [7782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4004),
  [7784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9688),
  [7786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10851),
  [7788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1748),
  [7790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1747),
  [7792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [7794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8882),
  [7796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [7798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [7800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [7802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [7804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [7806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1744),
  [7808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [7810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [7812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [7814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1743),
  [7816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [7818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3212),
  [7820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [7822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4034),
  [7824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [7826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [7828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [7830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3902),
  [7832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [7834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3893),
  [7836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [7838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4035),
  [7840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [7842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [7844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3863),
  [7846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3883),
  [7848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [7850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [7852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [7854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12883),
  [7856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12884),
  [7858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12885),
  [7860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12886),
  [7862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12888),
  [7864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12889),
  [7866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12891),
  [7868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12900),
  [7870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12901),
  [7872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14476),
  [7874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12907),
  [7876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12908),
  [7878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12909),
  [7880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12910),
  [7882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12911),
  [7884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12912),
  [7886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [7888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [7890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3627),
  [7892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [7894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [7896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [7898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14479),
  [7900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(8967),
  [7903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3616),
  [7905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3579),
  [7907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [7909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [7911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [7913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3575),
  [7915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [7917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14517),
  [7919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3566),
  [7921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [7923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [7925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [7927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [7929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10465),
  [7931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14075),
  [7933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [7935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4533),
  [7937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3661),
  [7939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13383),
  [7941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [7943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13177),
  [7945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [7947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10219),
  [7949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3638),
  [7951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14543),
  [7953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3393),
  [7956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [7958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [7960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11049),
  [7962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [7964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [7966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [7968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8888),
  [7970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [7972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [7974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [7976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [7978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [7980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [7982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1291),
  [7984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [7986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [7988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1228),
  [7990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [7992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [7994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [7996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4294),
  [7998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [8000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [8002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [8004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4298),
  [8006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3560),
  [8008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4300),
  [8010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3559),
  [8012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4302),
  [8014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3472),
  [8016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4381),
  [8018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3465),
  [8020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4394),
  [8022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [8024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4408),
  [8026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9701),
  [8028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11279),
  [8030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1729),
  [8032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1735),
  [8034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [8036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8835),
  [8038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [8040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [8042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [8044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [8046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1740),
  [8048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1757),
  [8050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [8052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [8054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1745),
  [8056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1791),
  [8058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3448),
  [8061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8742),
  [8063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3852),
  [8065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4415),
  [8067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4409),
  [8069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4397),
  [8071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14107),
  [8073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10851),
  [8075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [8077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8876),
  [8079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [8081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [8083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [8085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [8087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [8089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [8091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1548),
  [8093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1569),
  [8095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1537),
  [8097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [8099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8876),
  [8102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 1, 0, 0), SHIFT(12559),
  [8105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13070),
  [8107] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 1, 0, 0), SHIFT(12559),
  [8110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13071),
  [8112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [8114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [8116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [8118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8844),
  [8120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1555),
  [8122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [8124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [8126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [8128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [8130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [8132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [8134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1802),
  [8136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [8138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4215),
  [8140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [8142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12266),
  [8144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13179),
  [8146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13180),
  [8148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10371),
  [8150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13181),
  [8152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13183),
  [8154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13184),
  [8156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13186),
  [8158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10195),
  [8160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8589),
  [8162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4329),
  [8164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4327),
  [8166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13195),
  [8168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13196),
  [8170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4324),
  [8172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14516),
  [8174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13202),
  [8176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4317),
  [8178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13203),
  [8180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13204),
  [8182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13205),
  [8184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13206),
  [8186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13207),
  [8188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4222),
  [8190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4311),
  [8192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4268),
  [8194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4219),
  [8196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9229),
  [8199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14545),
  [8201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4217),
  [8203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4259),
  [8205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4216),
  [8207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4258),
  [8209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4257),
  [8211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4256),
  [8213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [8215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4255),
  [8217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14519),
  [8219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9133),
  [8222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4246),
  [8224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13408),
  [8226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4067),
  [8228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13407),
  [8230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13406),
  [8232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13405),
  [8234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13404),
  [8236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13403),
  [8238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14542),
  [8240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13402),
  [8242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13401),
  [8244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [8246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13392),
  [8248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13390),
  [8250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13389),
  [8252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13387),
  [8254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13386),
  [8256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13385),
  [8258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13384),
  [8260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10117),
  [8262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3674),
  [8264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [8266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4560),
  [8268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4164),
  [8270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4564),
  [8272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4162),
  [8274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4565),
  [8276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4147),
  [8278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4582),
  [8280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4144),
  [8282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4583),
  [8284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [8286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4584),
  [8288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4142),
  [8290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4585),
  [8292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4137),
  [8294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [8296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [8298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14533),
  [8300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(3758),
  [8303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [8305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8529),
  [8307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [8309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4041),
  [8311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [8313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [8315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [8317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [8319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13295),
  [8321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4077),
  [8323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10142),
  [8325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4024),
  [8327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [8329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4021),
  [8331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8888),
  [8334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4020),
  [8336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4019),
  [8338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [8340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3982),
  [8342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [8344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3826),
  [8346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12694),
  [8348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12695),
  [8350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12696),
  [8352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12697),
  [8354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12699),
  [8356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12700),
  [8358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12702),
  [8360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 1, 0, 0), SHIFT(13789),
  [8363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12704),
  [8365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 1, 0, 0), SHIFT(13789),
  [8368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12705),
  [8370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12711),
  [8372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12712),
  [8374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14452),
  [8376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10112),
  [8378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12721),
  [8380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12722),
  [8382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12723),
  [8384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12724),
  [8386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12725),
  [8388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3892),
  [8390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [8392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [8394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12726),
  [8396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3889),
  [8398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(8938),
  [8401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14455),
  [8403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [8405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3890),
  [8407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [8409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3943),
  [8411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3941),
  [8413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [8415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3887),
  [8417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4571),
  [8419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13298),
  [8421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 4, 0, 124), SHIFT(13789),
  [8424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 4, 0, 124), SHIFT(13789),
  [8427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 1, 0, 0), SHIFT(13187),
  [8430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13442),
  [8432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 1, 0, 0), SHIFT(13187),
  [8435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13443),
  [8437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8526),
  [8439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [8441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8813),
  [8443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [8445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [8447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [8449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [8451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [8453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1690),
  [8455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [8457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1832),
  [8459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4190),
  [8461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8577),
  [8463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13296),
  [8465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13297),
  [8467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(4032),
  [8470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13299),
  [8472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13301),
  [8474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13302),
  [8476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13304),
  [8478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14043),
  [8480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10740),
  [8482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [8484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8863),
  [8486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [8488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [8490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [8492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [8494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1817),
  [8496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [8498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [8500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1721),
  [8502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1777),
  [8504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1719),
  [8506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [8508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8863),
  [8511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13313),
  [8513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8813),
  [8516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13314),
  [8518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14532),
  [8520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13320),
  [8522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13321),
  [8524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13322),
  [8526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13323),
  [8528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13324),
  [8530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13325),
  [8532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4625),
  [8534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4622),
  [8536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4621),
  [8538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4620),
  [8540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4619),
  [8542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4618),
  [8544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14535),
  [8546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9200),
  [8549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4605),
  [8551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4574),
  [8553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 1, 0, 0), SHIFT(12951),
  [8556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13433),
  [8558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 1, 0, 0), SHIFT(12951),
  [8561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13432),
  [8563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4573),
  [8565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4570),
  [8567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4569),
  [8569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4561),
  [8571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4559),
  [8573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4558),
  [8575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4413),
  [8577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [8579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8535),
  [8581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [8583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [8585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [8587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [8589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 1, 0, 0), SHIFT(12703),
  [8592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13130),
  [8594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 1, 0, 0), SHIFT(12703),
  [8597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13129),
  [8599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8824),
  [8602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 4, 0, 124), SHIFT(12559),
  [8605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 4, 0, 124), SHIFT(12559),
  [8608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8552),
  [8610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8835),
  [8613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8882),
  [8616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10115),
  [8618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 4, 0, 124), SHIFT(12951),
  [8621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 4, 0, 124), SHIFT(12951),
  [8624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 4, 0, 124), SHIFT(13187),
  [8627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 4, 0, 124), SHIFT(13187),
  [8630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 1, 0, 0), SHIFT(13305),
  [8633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13444),
  [8635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 1, 0, 0), SHIFT(13305),
  [8638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13445),
  [8640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3, 0, 85),
  [8642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [8644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [8646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [8648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [8650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4679),
  [8652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8844),
  [8655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8561),
  [8657] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 4, 0, 124), SHIFT(12703),
  [8660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 4, 0, 124), SHIFT(12703),
  [8663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11462),
  [8665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [8667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8852),
  [8669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [8671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [8673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [8675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [8677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [8679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [8681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [8683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [8685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [8687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [8689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_partition_by, 3, 0, 0),
  [8691] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 22), SHIFT(8852),
  [8694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [8696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13246),
  [8698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13246),
  [8700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13428),
  [8702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13427),
  [8704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 4, 0, 124), SHIFT(13305),
  [8707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 4, 0, 124), SHIFT(13305),
  [8710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12397),
  [8712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12398),
  [8714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12399),
  [8716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [8718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [8720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [8722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5116),
  [8724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5224),
  [8726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4785),
  [8728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14523),
  [8730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5062),
  [8732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5378),
  [8734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4787),
  [8736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14391),
  [8738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10452),
  [8740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__show_tables, 3, 0, 0),
  [8742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5004),
  [8744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5250),
  [8746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14526),
  [8748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5471),
  [8750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5757),
  [8752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4900),
  [8754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14459),
  [8756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5085),
  [8758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5334),
  [8760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14396),
  [8762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5169),
  [8764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5183),
  [8766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5694),
  [8768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4883),
  [8770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14507),
  [8772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__show_tables, 5, 0, 14),
  [8774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5081),
  [8776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5358),
  [8778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12404),
  [8780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5080),
  [8782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5360),
  [8784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12403),
  [8786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8569),
  [8788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12774),
  [8790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12774),
  [8792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12834),
  [8794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12835),
  [8796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13128),
  [8798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13394),
  [8800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13395),
  [8802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5079),
  [8804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5364),
  [8806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12402),
  [8808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5078),
  [8810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5366),
  [8812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12401),
  [8814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5069),
  [8816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5369),
  [8818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12400),
  [8820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5124),
  [8822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5237),
  [8824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13253),
  [8826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5123),
  [8828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5235),
  [8830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13252),
  [8832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5122),
  [8834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5231),
  [8836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13251),
  [8838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5120),
  [8840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5228),
  [8842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13250),
  [8844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5118),
  [8846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5227),
  [8848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13249),
  [8850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5115),
  [8852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5222),
  [8854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13241),
  [8856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5061),
  [8858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5381),
  [8860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12392),
  [8862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5153),
  [8864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5419),
  [8866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5730),
  [8868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14091),
  [8870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 2, 0, 0),
  [8872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11811),
  [8874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11738),
  [8876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13830),
  [8878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13829),
  [8880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7785),
  [8882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8901),
  [8884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [8886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13827),
  [8888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13826),
  [8890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6901),
  [8892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14711),
  [8894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10256),
  [8896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7969),
  [8898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5209),
  [8900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5786),
  [8902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13132),
  [8904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5203),
  [8906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5712),
  [8908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13131),
  [8910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5015),
  [8912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5310),
  [8914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5246),
  [8916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5744),
  [8918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13135),
  [8920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5244),
  [8922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5747),
  [8924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13134),
  [8926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5230),
  [8928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5791),
  [8930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13133),
  [8932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5016),
  [8934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5014),
  [8936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5311),
  [8938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 3, 0, 0),
  [8940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5145),
  [8942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5520),
  [8944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14510),
  [8946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4958),
  [8948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5499),
  [8950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5106),
  [8952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5154),
  [8954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5105),
  [8956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5158),
  [8958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5446),
  [8960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5608),
  [8962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12781),
  [8964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5449),
  [8966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5632),
  [8968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12780),
  [8970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5450),
  [8972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5636),
  [8974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12779),
  [8976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5104),
  [8978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5164),
  [8980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5464),
  [8982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5645),
  [8984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12778),
  [8986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5468),
  [8988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5725),
  [8990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12777),
  [8992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5103),
  [8994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5175),
  [8996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5102),
  [8998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5180),
  [9000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5376),
  [9002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5622),
  [9004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14462),
  [9006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5491),
  [9008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5670),
  [9010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12769),
  [9012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5013),
  [9014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5312),
  [9016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5177),
  [9018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5666),
  [9020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13123),
  [9022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5023),
  [9024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5309),
  [9026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5083),
  [9028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14395),
  [9030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5040),
  [9032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5314),
  [9034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5130),
  [9036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14525),
  [9038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4961),
  [9040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5498),
  [9042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4994),
  [9044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5325),
  [9046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 4, 0, 0),
  [9048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4992),
  [9050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5330),
  [9052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4991),
  [9054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5337),
  [9056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5032),
  [9058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5112),
  [9060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13236),
  [9062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5714),
  [9064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5060),
  [9066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12387),
  [9068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4969),
  [9070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5493),
  [9072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12416),
  [9074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [9076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [9078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4230),
  [9080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5307),
  [9082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5658),
  [9084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12389),
  [9086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [9088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [9090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5494),
  [9092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5276),
  [9094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5696),
  [9096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12388),
  [9098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5460),
  [9100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12390),
  [9102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11641),
  [9104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11635),
  [9106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14390),
  [9108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14061),
  [9110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7854),
  [9112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9260),
  [9114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [9116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12291),
  [9118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12292),
  [9120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6855),
  [9122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14174),
  [9124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10020),
  [9126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8095),
  [9128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5409),
  [9130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5528),
  [9132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12391),
  [9134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5233),
  [9136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5787),
  [9138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5399),
  [9140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5522),
  [9142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5459),
  [9144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12393),
  [9146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [9148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3539),
  [9150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12394),
  [9152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12396),
  [9154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [9156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4126),
  [9158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5416),
  [9160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5551),
  [9162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [9164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [9166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13239),
  [9168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13240),
  [9170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [9172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [9174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4152),
  [9176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [9178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4853),
  [9180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13242),
  [9182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13243),
  [9184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13245),
  [9186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [9188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4504),
  [9190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5126),
  [9192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5339),
  [9194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5338),
  [9196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10116),
  [9198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5333),
  [9200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [9202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4445),
  [9204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13995),
  [9206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [9208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [9210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [9212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [9214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13254),
  [9216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [9218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5268),
  [9220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [9222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4750),
  [9224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13237),
  [9226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [9228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4760),
  [9230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [9232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5541),
  [9234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12307),
  [9236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12307),
  [9238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12309),
  [9240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12308),
  [9242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [9244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5573),
  [9246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5320),
  [9248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5319),
  [9250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5318),
  [9252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14524),
  [9254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13261),
  [9256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5317),
  [9258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [9260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [9262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5159),
  [9264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6068),
  [9266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6297),
  [9268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5363),
  [9270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14373),
  [9272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5176),
  [9274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13118),
  [9276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5038),
  [9278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12405),
  [9280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [9282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4557),
  [9284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12406),
  [9286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [9288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4597),
  [9290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14394),
  [9292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [9294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4616),
  [9296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10130),
  [9298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5125),
  [9300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13255),
  [9302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5321),
  [9304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12415),
  [9306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13238),
  [9308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5229),
  [9310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5674),
  [9312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [9314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4501),
  [9316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5489),
  [9318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5705),
  [9320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12417),
  [9322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5490),
  [9324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5692),
  [9326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13262),
  [9328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [9330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2645),
  [9332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5492),
  [9334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5687),
  [9336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5382),
  [9338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14461),
  [9340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5404),
  [9342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12418),
  [9344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [9346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [9348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [9350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4553),
  [9352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5505),
  [9354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12764),
  [9356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12419),
  [9358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12420),
  [9360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5335),
  [9362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5331),
  [9364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5135),
  [9366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5663),
  [9368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5506),
  [9370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5634),
  [9372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5508),
  [9374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5593),
  [9376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5509),
  [9378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5590),
  [9380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5510),
  [9382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5588),
  [9384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [9386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [9388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [9390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4862),
  [9392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5329),
  [9394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5328),
  [9396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5327),
  [9398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5324),
  [9400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [9402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4452),
  [9404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14397),
  [9406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9431),
  [9409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5297),
  [9411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [9413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [9415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13263),
  [9417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13264),
  [9419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [9421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [9423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12631),
  [9425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12631),
  [9427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12633),
  [9429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12632),
  [9431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5801),
  [9433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6204),
  [9435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5479),
  [9437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14437),
  [9439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [9441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6395),
  [9443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5483),
  [9445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5466),
  [9447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5407),
  [9449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5210),
  [9451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5136),
  [9453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10014),
  [9455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13265),
  [9457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [9459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5862),
  [9461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13266),
  [9463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [9465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [9467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1460),
  [9469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5824),
  [9471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5245),
  [9473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [9475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6447),
  [9477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5254),
  [9479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5256),
  [9481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5308),
  [9483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5553),
  [9485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5257),
  [9487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5259),
  [9489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5260),
  [9491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(5125),
  [9494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [9496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4378),
  [9498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [9500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [9502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5249),
  [9504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14509),
  [9506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14527),
  [9508] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9153),
  [9511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [9513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4208),
  [9515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5683),
  [9517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13125),
  [9519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [9521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [9523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13127),
  [9525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4755),
  [9527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [9529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4766),
  [9531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5662),
  [9533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2155),
  [9535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5641),
  [9537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4779),
  [9539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5592),
  [9541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 6, 0, 18),
  [9543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5611),
  [9545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4521),
  [9547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13136),
  [9549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13137),
  [9551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12790),
  [9553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14508),
  [9555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4551),
  [9557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4538),
  [9559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13143),
  [9561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13144),
  [9563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13145),
  [9565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13146),
  [9567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4838),
  [9569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13147),
  [9571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8558),
  [9573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4851),
  [9575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13148),
  [9577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5742),
  [9579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12783),
  [9581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12782),
  [9583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4843),
  [9585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4487),
  [9587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 5, 0, 67),
  [9589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_repeat1, 4, 0, 0),
  [9591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6573),
  [9593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6616),
  [9595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5721),
  [9597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5720),
  [9599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5583),
  [9601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5718),
  [9603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5591),
  [9605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [9607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11972),
  [9609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [9611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5709),
  [9613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5707),
  [9615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14511),
  [9617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9105),
  [9620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [9622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14460),
  [9624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5589),
  [9626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [9628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11886),
  [9630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6591),
  [9632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6577),
  [9634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6585),
  [9636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [9638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4651),
  [9640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4628),
  [9642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5578),
  [9644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5571),
  [9646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6595),
  [9648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12773),
  [9650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6612),
  [9652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12771),
  [9654] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(5342),
  [9657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3475),
  [9659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6580),
  [9661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5342),
  [9663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6601),
  [9665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6615),
  [9667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8539),
  [9669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4499),
  [9671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [9673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4492),
  [9675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8668),
  [9677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [9679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3516),
  [9681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11862),
  [9683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12770),
  [9685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6013),
  [9687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6386),
  [9689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14378),
  [9691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [9693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12768),
  [9695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4123),
  [9697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12767),
  [9699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5745),
  [9701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [9703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4086),
  [9705] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(8904),
  [9708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14463),
  [9710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6277),
  [9712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9577),
  [9714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [9716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12766),
  [9718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6055),
  [9720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6322),
  [9722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12314),
  [9724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6058),
  [9726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6317),
  [9728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12313),
  [9730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6062),
  [9732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6312),
  [9734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12312),
  [9736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6063),
  [9738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6310),
  [9740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12311),
  [9742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6067),
  [9744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6304),
  [9746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12310),
  [9748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12765),
  [9750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [9752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6069),
  [9754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6291),
  [9756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12302),
  [9758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12789),
  [9760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [9762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5536),
  [9764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4308),
  [9766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11646),
  [9768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11639),
  [9770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14372),
  [9772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7783),
  [9774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9245),
  [9776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [9778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14236),
  [9780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14237),
  [9782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5550),
  [9784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4554),
  [9786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relation, 1, 0, 0),
  [9788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relation, 1, 0, 0),
  [9790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [9792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4288),
  [9794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4410),
  [9796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5523),
  [9798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5802),
  [9800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6223),
  [9802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12626),
  [9804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4173),
  [9806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6578),
  [9808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6586),
  [9810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6587),
  [9812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12791),
  [9814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12792),
  [9816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6593),
  [9818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5850),
  [9820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6187),
  [9822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12634),
  [9824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5855),
  [9826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6177),
  [9828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12635),
  [9830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5866),
  [9832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6192),
  [9834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12636),
  [9836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5876),
  [9838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6198),
  [9840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12637),
  [9842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5884),
  [9844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6249),
  [9846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12638),
  [9848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6584),
  [9850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6583),
  [9852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5613),
  [9854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4247),
  [9856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5403),
  [9858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5665),
  [9860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5582),
  [9862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6581),
  [9864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12793),
  [9866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [9868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [9870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5879),
  [9872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5924),
  [9874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6430),
  [9876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5838),
  [9878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6419),
  [9880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10138),
  [9882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5581),
  [9884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6436),
  [9886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5579),
  [9888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [9890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10118),
  [9892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [9894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13120),
  [9896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6660),
  [9898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4426),
  [9900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4433),
  [9902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13121),
  [9904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6078),
  [9906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6375),
  [9908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14441),
  [9910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10317),
  [9912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13122),
  [9914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13119),
  [9916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5345),
  [9918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [9920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6674),
  [9922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6179),
  [9924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5717),
  [9926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5706),
  [9928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5576),
  [9930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5700),
  [9932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [9934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4443),
  [9936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12794),
  [9938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5682),
  [9940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5681),
  [9942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5680),
  [9944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5679),
  [9946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13124),
  [9948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6613),
  [9950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13937),
  [9952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6070),
  [9954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12297),
  [9956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [9958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [9960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4355),
  [9962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [9964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6155),
  [9966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6160),
  [9968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5908),
  [9970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5804),
  [9972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12621),
  [9974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [9976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [9978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6088),
  [9980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6102),
  [9982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6344),
  [9984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6097),
  [9986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6346),
  [9988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6094),
  [9990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6356),
  [9992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6093),
  [9994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6358),
  [9996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6091),
  [9998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6365),
  [10000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4775),
  [10002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [10004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [10006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1263),
  [10008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4107),
  [10010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1413),
  [10012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4283),
  [10014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [10016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6031),
  [10018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14377),
  [10020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6047),
  [10022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6328),
  [10024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6042),
  [10026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6325),
  [10028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5606),
  [10030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [10032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6131),
  [10034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6207),
  [10036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6129),
  [10038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6213),
  [10040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6027),
  [10042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6315),
  [10044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11633),
  [10046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11629),
  [10048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14422),
  [10050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7845),
  [10052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9284),
  [10054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1730),
  [10056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12464),
  [10058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12465),
  [10060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [10062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [10064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4496),
  [10066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1393),
  [10068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4545),
  [10070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1328),
  [10072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8519),
  [10074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relation, 3, 0, 0),
  [10076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relation, 3, 0, 0),
  [10078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4647),
  [10080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [10082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5918),
  [10084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1484),
  [10086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5944),
  [10088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14440),
  [10090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4847),
  [10092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [10094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6434),
  [10096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1577),
  [10098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8546),
  [10100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4439),
  [10102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1545),
  [10104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2653),
  [10106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [10108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8629),
  [10110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5949),
  [10112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6275),
  [10114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5891),
  [10116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6254),
  [10118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5889),
  [10120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6201),
  [10122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5872),
  [10124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6200),
  [10126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6041),
  [10128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6171),
  [10130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_return, 2, 0, 0),
  [10132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [10134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [10136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8260),
  [10138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [10140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6341),
  [10142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [10144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12654),
  [10146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6901),
  [10148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [10150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10424),
  [10152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [10154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [10156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [10158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [10160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [10162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [10164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [10166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [10168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [10170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4508),
  [10172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [10174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7550),
  [10176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [10178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [10180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12651),
  [10182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [10184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [10186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [10188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [10190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [10192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [10194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [10196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [10198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6453),
  [10200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [10202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6404),
  [10204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [10206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6443),
  [10208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [10210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4451),
  [10212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6371),
  [10214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [10216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6366),
  [10218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [10220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [10222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [10224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12653),
  [10226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [10228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12652),
  [10230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6270),
  [10232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [10234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [10236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6407),
  [10238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6382),
  [10240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [10242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [10244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6253),
  [10246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12650),
  [10248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4293),
  [10250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [10252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6252),
  [10254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [10256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1546),
  [10258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6384),
  [10260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1542),
  [10262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6390),
  [10264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12649),
  [10266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4859),
  [10268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [10270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4185),
  [10272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [10274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [10276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [10278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [10280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14439),
  [10282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4455),
  [10284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2634),
  [10286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [10288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [10290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [10292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [10294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5851),
  [10296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5814),
  [10298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5877),
  [10300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4157),
  [10302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14442),
  [10304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [10306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4613),
  [10308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6389),
  [10310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4581),
  [10312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4863),
  [10314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [10316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [10318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [10320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [10322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5927),
  [10324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4156),
  [10326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4454),
  [10328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1245),
  [10330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [10332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [10334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [10336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8242),
  [10338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4180),
  [10340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 1, 0, 0), SHIFT(13808),
  [10343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12953),
  [10345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 1, 0, 0), SHIFT(13808),
  [10348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12952),
  [10350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9577),
  [10353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [10355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [10357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9046),
  [10360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8199),
  [10362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4167),
  [10364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4857),
  [10366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [10368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4568),
  [10370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4224),
  [10372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4507),
  [10374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [10376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [10378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6231),
  [10380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4854),
  [10382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [10384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [10386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [10388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [10390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [10392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4506),
  [10394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [10396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3926),
  [10398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6311),
  [10400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12640),
  [10402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12639),
  [10404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4503),
  [10406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14379),
  [10408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12630),
  [10410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2450),
  [10412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12628),
  [10414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [10416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [10418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8430),
  [10420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [10422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8314),
  [10424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6359),
  [10426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6313),
  [10428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [10430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4556),
  [10432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [10434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6318),
  [10436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4181),
  [10438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [10440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4575),
  [10442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4563),
  [10444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8142),
  [10446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4150),
  [10448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [10450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6376),
  [10452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4136),
  [10454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4578),
  [10456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6158),
  [10458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12627),
  [10460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [10462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1262),
  [10464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6377),
  [10466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6388),
  [10468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4579),
  [10470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [10472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6391),
  [10474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6372),
  [10476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12330),
  [10478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [10480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12625),
  [10482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [10484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6219),
  [10486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12329),
  [10488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12328),
  [10490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12327),
  [10492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12326),
  [10494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12624),
  [10496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12325),
  [10498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [10500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14376),
  [10502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [10504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6362),
  [10506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [10508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6367),
  [10510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6370),
  [10512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5569),
  [10514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3541),
  [10516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6383),
  [10518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5526),
  [10520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3544),
  [10522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3552),
  [10524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6387),
  [10526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5524),
  [10528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [10530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [10532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5527),
  [10534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12623),
  [10536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [10538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0),
  [10540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(90),
  [10543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(10847),
  [10546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0),
  [10548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(10382),
  [10551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(14060),
  [10554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(6714),
  [10557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(14058),
  [10560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(13997),
  [10563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(14055),
  [10566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(14048),
  [10569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(14046),
  [10572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(8981),
  [10575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(14263),
  [10578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(14044),
  [10581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(2068),
  [10584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(118),
  [10587] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(90),
  [10590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(137),
  [10593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12622),
  [10595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4758),
  [10597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4747),
  [10599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [10601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12316),
  [10603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4746),
  [10605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4744),
  [10607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [10609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8217),
  [10611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12315),
  [10613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [10615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [10617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6261),
  [10619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6161),
  [10621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4456),
  [10623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [10625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [10627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [10629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6118),
  [10631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12306),
  [10633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12298),
  [10635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [10637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12304),
  [10639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12303),
  [10641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12299),
  [10643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12301),
  [10645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12300),
  [10647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6225),
  [10649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table, 7, 0, 0),
  [10651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11281),
  [10653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table, 7, 0, 0),
  [10655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9914),
  [10657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10292),
  [10659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14140),
  [10661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6735),
  [10663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13504),
  [10665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13897),
  [10667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14138),
  [10669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14135),
  [10671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13505),
  [10673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9060),
  [10675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12281),
  [10677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14222),
  [10679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13956),
  [10681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9029),
  [10683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8489),
  [10685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7333),
  [10687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8113),
  [10689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7298),
  [10691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7502),
  [10693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14249),
  [10695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8847),
  [10697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13946),
  [10699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [10701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [10703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [10705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [10707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table, 4, 0, 0),
  [10709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10847),
  [10711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table, 4, 0, 0),
  [10713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10145),
  [10715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10382),
  [10717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14060),
  [10719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6714),
  [10721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14058),
  [10723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13997),
  [10725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14055),
  [10727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14048),
  [10729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14046),
  [10731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8981),
  [10733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14263),
  [10735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14044),
  [10737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [10739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [10741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [10743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10204),
  [10745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [10747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [10749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table, 6, 0, 0),
  [10751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table, 6, 0, 0),
  [10753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9758),
  [10755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [10757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [10759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9980),
  [10761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [10763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [10765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [10767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11713),
  [10769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11644),
  [10771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14235),
  [10773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7888),
  [10775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9208),
  [10777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [10779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14038),
  [10781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14042),
  [10783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10420),
  [10785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [10787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [10789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [10791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [10793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [10795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [10797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13878),
  [10799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9296),
  [10801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8295),
  [10803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7407),
  [10805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8174),
  [10807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7314),
  [10809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7537),
  [10811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8823),
  [10813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13873),
  [10815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [10817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 1, 0, 0), SHIFT(13010),
  [10820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13438),
  [10822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 1, 0, 0), SHIFT(13010),
  [10825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13439),
  [10827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8917),
  [10829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [10831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [10833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [10835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8544),
  [10837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [10839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [10841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1731),
  [10843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10001),
  [10845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [10847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [10849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [10851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 4, 0, 124), SHIFT(13808),
  [10854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 4, 0, 124), SHIFT(13808),
  [10857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [10859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [10861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1071),
  [10863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [10865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [10867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [10869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [10871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [10873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [10875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [10877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [10879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [10881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [10883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table, 5, 0, 0),
  [10885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_table, 5, 0, 0),
  [10887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9854),
  [10889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [10891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1144),
  [10893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [10895] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(11281),
  [10898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(10292),
  [10901] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(14140),
  [10904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(6735),
  [10907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(13504),
  [10910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(13897),
  [10913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(14138),
  [10916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(14135),
  [10919] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(13505),
  [10922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(9060),
  [10925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(12281),
  [10928] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_table_repeat1, 2, 0, 0), SHIFT_REPEAT(14222),
  [10931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10100),
  [10933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [10935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [10937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9687),
  [10939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [10941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [10943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_time, 4, 0, 124), SHIFT(13010),
  [10946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7621),
  [10948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7906),
  [10950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7691),
  [10952] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10032),
  [10954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7620),
  [10956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alias, 2, 0, 21),
  [10958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 6, 0, 0),
  [10960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 5, 0, 0),
  [10962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9939),
  [10964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7605),
  [10966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7637),
  [10968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7742),
  [10970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7818),
  [10972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7650),
  [10974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9962),
  [10976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9991),
  [10978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_timestamp, 4, 0, 124), SHIFT(13010),
  [10981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7703),
  [10983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11637),
  [10985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11632),
  [10987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14406),
  [10989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7902),
  [10991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9196),
  [10993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [10995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12381),
  [10997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12382),
  [10999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7612),
  [11001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__alias, 1, 0, 13),
  [11003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relation, 2, 0, 15),
  [11005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7928),
  [11007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relation, 4, 0, 48),
  [11009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11270),
  [11011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11271),
  [11013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10330),
  [11015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12450),
  [11017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13635),
  [11019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12454),
  [11021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12455),
  [11023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1823),
  [11025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9807),
  [11027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6794),
  [11029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6795),
  [11031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11329),
  [11033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12462),
  [11035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6796),
  [11037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12463),
  [11039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9531),
  [11041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12186),
  [11043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12467),
  [11045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9806),
  [11047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12453),
  [11049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10443),
  [11051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7740),
  [11053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 3, 0, 68),
  [11055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6778),
  [11057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12714),
  [11059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [11061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6913),
  [11063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12670),
  [11065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6504),
  [11067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12669),
  [11069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [11071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9607),
  [11073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12690),
  [11075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9609),
  [11077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definition, 2, 0, 68),
  [11079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6495),
  [11081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0),
  [11083] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6778),
  [11086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(12714),
  [11089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1499),
  [11092] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6913),
  [11095] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(12670),
  [11098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6504),
  [11101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(12669),
  [11104] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(874),
  [11107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9607),
  [11110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(12690),
  [11113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9609),
  [11116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7715),
  [11118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7708),
  [11120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definitions, 4, 0, 0),
  [11122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definitions, 4, 0, 0),
  [11124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 11, 0, 183),
  [11126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10325),
  [11128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9028),
  [11130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relation, 5, 0, 87),
  [11132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 11, 0, 0),
  [11134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 8, 0, 144),
  [11136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__mysql_update_statement_repeat1, 2, 0, 0),
  [11138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mysql_update_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(7969),
  [11141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definitions, 3, 0, 0),
  [11143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definitions, 3, 0, 0),
  [11145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 9, 0, 0),
  [11147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 9, 0, 150),
  [11149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 10, 0, 183),
  [11151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 8, 0, 150),
  [11153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 10, 0, 150),
  [11155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 7, 0, 144),
  [11157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_definitions, 5, 0, 0),
  [11159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_column_definitions, 5, 0, 0),
  [11161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relation, 3, 0, 28),
  [11163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 9, 0, 183),
  [11165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 8, 0, 0),
  [11167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 10, 0, 0),
  [11169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 7, 0, 0),
  [11171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6924),
  [11173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13599),
  [11175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [11177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6890),
  [11179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13593),
  [11181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6563),
  [11183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13602),
  [11185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [11187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8996),
  [11189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13601),
  [11191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9291),
  [11193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0),
  [11195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(12450),
  [11198] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(12454),
  [11201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(12455),
  [11204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(10325),
  [11207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(6794),
  [11210] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(6795),
  [11213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(11329),
  [11216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(12462),
  [11219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(6796),
  [11222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(12463),
  [11225] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(9028),
  [11228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(12186),
  [11231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(12467),
  [11234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6568),
  [11236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6924),
  [11239] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(13599),
  [11242] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(1101),
  [11245] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6890),
  [11248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(13593),
  [11251] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(6568),
  [11254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(13602),
  [11257] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(911),
  [11260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(8996),
  [11263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(13601),
  [11266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(9291),
  [11269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_function, 9, 0, 144),
  [11271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7931),
  [11273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13486),
  [11275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13484),
  [11277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14298),
  [11279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9967),
  [11281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7002),
  [11283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7006),
  [11285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11070),
  [11287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13636),
  [11289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7008),
  [11291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13479),
  [11293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9367),
  [11295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11927),
  [11297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13454),
  [11299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(13486),
  [11302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(13484),
  [11305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(14298),
  [11308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(9967),
  [11311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(7002),
  [11314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(7006),
  [11317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(11070),
  [11320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(13636),
  [11323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(7008),
  [11326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(13479),
  [11329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(9367),
  [11332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(11927),
  [11335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(13454),
  [11338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0),
  [11340] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(9807),
  [11343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_function_repeat1, 2, 0, 0), SHIFT_REPEAT(9531),
  [11346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6627),
  [11348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_cross_join, 4, 0, 0),
  [11350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lateral_cross_join, 4, 0, 0),
  [11352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10155),
  [11354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6603),
  [11356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6627),
  [11359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(6628),
  [11362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mysql_update_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8095),
  [11365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6628),
  [11367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11272),
  [11369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11273),
  [11371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6713),
  [11373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9125),
  [11375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0),
  [11377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(11811),
  [11380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(11738),
  [11383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(13830),
  [11386] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(13829),
  [11389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(7785),
  [11392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(8901),
  [11395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9871),
  [11397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6631),
  [11399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6774),
  [11401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(11641),
  [11404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(11635),
  [11407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(14390),
  [11410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(14061),
  [11413] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(7854),
  [11416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(9260),
  [11419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6854),
  [11421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_keyword_like, 1, 0, 0),
  [11423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_like, 1, 0, 0),
  [11425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6722),
  [11427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9024),
  [11429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6841),
  [11431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_not_similar_to, 3, 0, 0),
  [11433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_not_similar_to, 3, 0, 0),
  [11435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_not_distinct_from, 4, 0, 0),
  [11437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_not_distinct_from, 4, 0, 0),
  [11439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_similar_to, 2, 0, 0),
  [11441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_similar_to, 2, 0, 0),
  [11443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_not_like, 2, 0, 0),
  [11445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_not_like, 2, 0, 0),
  [11447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6825),
  [11449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_distinct_from, 3, 0, 0),
  [11451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_distinct_from, 3, 0, 0),
  [11453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8035),
  [11455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_hint, 7, 0, 162),
  [11457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9958),
  [11459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8324),
  [11461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8323),
  [11463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14693),
  [11465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8321),
  [11467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9957),
  [11469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14690),
  [11471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7418),
  [11473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9387),
  [11475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8614),
  [11477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8316),
  [11479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9401),
  [11481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9401),
  [11483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11564),
  [11485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14682),
  [11487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14681),
  [11489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8617),
  [11491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8312),
  [11493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9405),
  [11495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14676),
  [11497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14675),
  [11499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9874),
  [11501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 9, 0, 241),
  [11503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 7, 0, 195),
  [11505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10398),
  [11507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8487),
  [11509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8467),
  [11511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14180),
  [11513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8459),
  [11515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10391),
  [11517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7345),
  [11519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9606),
  [11521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8874),
  [11523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8333),
  [11525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9246),
  [11527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9246),
  [11529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11684),
  [11531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14182),
  [11533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14183),
  [11535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8672),
  [11537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8473),
  [11539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9381),
  [11541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14838),
  [11543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13461),
  [11545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 6, 0, 168),
  [11547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_hint, 5, 0, 81),
  [11549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 5, 0, 135),
  [11551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 4, 0, 89),
  [11553] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(11646),
  [11556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(11639),
  [11559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(14372),
  [11562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(7783),
  [11565] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(9245),
  [11568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_join, 8, 0, 221),
  [11570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8376),
  [11572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8377),
  [11574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14721),
  [11576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7368),
  [11578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11553),
  [11580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14555),
  [11582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14723),
  [11584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14724),
  [11586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__column_constraint_repeat1, 4, 0, 0),
  [11588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__column_constraint_repeat1, 4, 0, 0),
  [11590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9925),
  [11592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12088),
  [11594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_row_format, 7, 0, 223),
  [11596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_row_format, 7, 0, 223),
  [11598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14782),
  [11600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14784),
  [11602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cross_join, 5, 0, 0),
  [11604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10360),
  [11606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column_constraint, 6, 0, 0),
  [11608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11716),
  [11610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column_constraint, 6, 0, 0),
  [11612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11868),
  [11614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(11633),
  [11617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(11629),
  [11620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(14422),
  [11623] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(7845),
  [11626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(9284),
  [11629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10123),
  [11631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10839),
  [11633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column_constraint, 5, 0, 0),
  [11635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column_constraint, 5, 0, 0),
  [11637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_option, 1, 0, 7),
  [11639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_option, 1, 0, 7),
  [11641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13711),
  [11643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10954),
  [11645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column_constraint, 7, 0, 0),
  [11647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column_constraint, 7, 0, 0),
  [11649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_row_format, 3, 0, 0),
  [11651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_row_format, 3, 0, 0),
  [11653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12274),
  [11655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12273),
  [11657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__column_constraint_repeat1, 2, 0, 0),
  [11659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__column_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(11716),
  [11662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__column_constraint_repeat1, 2, 0, 0),
  [11664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12059),
  [11666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_row_format, 10, 0, 257),
  [11668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_row_format, 10, 0, 257),
  [11670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14126),
  [11672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cross_join, 10, 0, 164),
  [11674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__column_constraint_repeat1, 8, 0, 0),
  [11676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__column_constraint_repeat1, 8, 0, 0),
  [11678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__column_constraint_repeat1, 3, 0, 0),
  [11680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__column_constraint_repeat1, 3, 0, 0),
  [11682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cross_join, 3, 0, 0),
  [11684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12761),
  [11686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cross_join, 9, 0, 164),
  [11688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9868),
  [11690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13623),
  [11692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13624),
  [11694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_cross_join, 6, 0, 127),
  [11696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_location, 2, 0, 53),
  [11698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_location, 2, 0, 53),
  [11700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12938),
  [11702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_location, 5, 0, 170),
  [11704] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_location, 5, 0, 170),
  [11706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12688),
  [11708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6772),
  [11710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lateral_cross_join, 5, 0, 83),
  [11712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cross_join, 11, 0, 164),
  [11714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_key, 2, 0, 0),
  [11716] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__primary_key, 2, 0, 0),
  [11718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__column_constraint_repeat1, 7, 0, 0),
  [11720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__column_constraint_repeat1, 7, 0, 0),
  [11722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__column_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(12059),
  [11725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12926),
  [11727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13715),
  [11729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10148),
  [11731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_sort, 5, 0, 0),
  [11733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_sort, 5, 0, 0),
  [11735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_support, 2, 0, 149),
  [11737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_support, 2, 0, 149),
  [11739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_cost, 2, 0, 0),
  [11741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_cost, 2, 0, 0),
  [11743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__table_settings, 5, 0, 0),
  [11745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__table_settings, 5, 0, 0),
  [11747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13736),
  [11749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(11713),
  [11752] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(11644),
  [11755] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(14235),
  [11758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(7888),
  [11761] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(9208),
  [11764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13675),
  [11766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7273),
  [11768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12046),
  [11770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12046),
  [11772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7187),
  [11774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7282),
  [11776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7273),
  [11778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7138),
  [11780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 3, 0, 0),
  [11782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 3, 0, 0),
  [11784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_safety, 2, 0, 0),
  [11786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_safety, 2, 0, 0),
  [11788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_row_format, 7, 0, 224),
  [11790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_row_format, 7, 0, 224),
  [11792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_language, 2, 0, 0),
  [11794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_language, 2, 0, 0),
  [11796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_strictness, 5, 0, 0),
  [11798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_strictness, 5, 0, 0),
  [11800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_rows, 2, 0, 0),
  [11802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_rows, 2, 0, 0),
  [11804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_leakproof, 2, 0, 0),
  [11806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_leakproof, 2, 0, 0),
  [11808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_location, 6, 0, 170),
  [11810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_location, 6, 0, 170),
  [11812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 5, 0, 0),
  [11814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 5, 0, 0),
  [11816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__check_constraint, 4, 0, 0),
  [11818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__check_constraint, 4, 0, 0),
  [11820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_set_statement_repeat1, 2, 0, 0),
  [11822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_set_statement_repeat1, 2, 0, 0),
  [11824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [11826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__default_expression, 4, 0, 0),
  [11828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__default_expression, 4, 0, 0),
  [11830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_direction, 1, 0, 0),
  [11832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_direction, 1, 0, 0),
  [11834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 6, 0, 166),
  [11836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 6, 0, 166),
  [11838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 5, 0, 130),
  [11840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 5, 0, 130),
  [11842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_option, 4, 0, 0),
  [11844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_option, 4, 0, 0),
  [11846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_row_format, 14, 0, 270),
  [11848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_row_format, 14, 0, 270),
  [11850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_parameters, 7, 0, 0),
  [11852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_parameters, 7, 0, 0),
  [11854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 5, 0, 133),
  [11856] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 5, 0, 133),
  [11858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 4, 0, 86),
  [11860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 4, 0, 86),
  [11862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_security, 3, 0, 0),
  [11864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_security, 3, 0, 0),
  [11866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 4, 0, 0),
  [11868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 4, 0, 0),
  [11870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_option, 3, 0, 93),
  [11872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_option, 3, 0, 93),
  [11874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_volatility, 1, 0, 0),
  [11876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_volatility, 1, 0, 0),
  [11878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_leakproof, 1, 0, 0),
  [11880] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_leakproof, 1, 0, 0),
  [11882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_strictness, 1, 0, 0),
  [11884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_strictness, 1, 0, 0),
  [11886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_stored_as, 3, 0, 0),
  [11888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_stored_as, 3, 0, 0),
  [11890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13673),
  [11892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13625),
  [11894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_option, 2, 0, 0),
  [11896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_option, 2, 0, 0),
  [11898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_security, 2, 0, 0),
  [11900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_security, 2, 0, 0),
  [11902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11332),
  [11904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 6, 0, 165),
  [11906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 6, 0, 165),
  [11908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 6, 0, 0),
  [11910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 6, 0, 0),
  [11912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_parameters, 4, 0, 0),
  [11914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_parameters, 4, 0, 0),
  [11916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13526),
  [11918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13528),
  [11920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6858),
  [11922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_row_format, 11, 0, 260),
  [11924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_row_format, 11, 0, 260),
  [11926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__table_settings, 2, 0, 0),
  [11928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__table_settings, 2, 0, 0),
  [11930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13687),
  [11932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7369),
  [11934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11899),
  [11936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11899),
  [11938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7312),
  [11940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7203),
  [11942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7376),
  [11944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7369),
  [11946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7232),
  [11948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7330),
  [11950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 2, 0, 0),
  [11952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 2, 0, 0),
  [11954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__not_null, 2, 0, 0),
  [11956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__not_null, 2, 0, 0),
  [11958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13759),
  [11960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_location, 9, 0, 253),
  [11962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_location, 9, 0, 253),
  [11964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__default_expression, 2, 0, 0),
  [11966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__default_expression, 2, 0, 0),
  [11968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_parameters, 6, 0, 0),
  [11970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_parameters, 6, 0, 0),
  [11972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__table_settings, 4, 0, 0),
  [11974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__table_settings, 4, 0, 0),
  [11976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13316),
  [11978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__check_constraint, 6, 0, 0),
  [11980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__check_constraint, 6, 0, 0),
  [11982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6871),
  [11984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11697),
  [11986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13732),
  [11988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13730),
  [11990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_parameters, 5, 0, 0),
  [11992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_parameters, 5, 0, 0),
  [11994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__column_comment, 2, 0, 149),
  [11996] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__column_comment, 2, 0, 149),
  [11998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 7, 0, 194),
  [12000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 7, 0, 194),
  [12002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13685),
  [12004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6930),
  [12006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_strictness, 4, 0, 0),
  [12008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_strictness, 4, 0, 0),
  [12010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_sort, 6, 0, 0),
  [12012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_sort, 6, 0, 0),
  [12014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table_partition, 7, 0, 0),
  [12016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table_partition, 7, 0, 0),
  [12018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [12020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [12022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [12024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [12026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [12028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [12030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2761),
  [12032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [12034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4822),
  [12036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4821),
  [12038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4820),
  [12040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4818),
  [12042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4816),
  [12044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4814),
  [12046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5018),
  [12048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4933),
  [12050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(11637),
  [12053] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(11632),
  [12056] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(14406),
  [12059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(7902),
  [12062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_from_repeat1, 2, 0, 0), SHIFT_REPEAT(9196),
  [12065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [12067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3010),
  [12069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [12071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3012),
  [12073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3013),
  [12075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3015),
  [12077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3580),
  [12079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [12081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4921),
  [12083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4919),
  [12085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4918),
  [12087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4915),
  [12089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4913),
  [12091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4910),
  [12093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5160),
  [12095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5129),
  [12097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8433),
  [12099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2722),
  [12101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [12103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [12105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [12107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [12109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [12111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2923),
  [12113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [12115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [12117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [12119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [12121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [12123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [12125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [12127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [12129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [12131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5405),
  [12133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5402),
  [12135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5401),
  [12137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5400),
  [12139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5398),
  [12141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5395),
  [12143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6087),
  [12145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5586),
  [12147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5420),
  [12149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5421),
  [12151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5422),
  [12153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5423),
  [12155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5424),
  [12157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5427),
  [12159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5906),
  [12161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5677),
  [12163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [12165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [12167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [12169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [12171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [12173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [12175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [12177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [12179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8462),
  [12181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2792),
  [12183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2791),
  [12185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2800),
  [12187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [12189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [12191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [12193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3282),
  [12195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3043),
  [12197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3008),
  [12199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3007),
  [12201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3006),
  [12203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [12205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3004),
  [12207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3001),
  [12209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3670),
  [12211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3374),
  [12213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [12215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [12217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [12219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [12221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [12223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [12225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2158),
  [12227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [12229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4908),
  [12231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4907),
  [12233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4906),
  [12235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4905),
  [12237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4866),
  [12239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4902),
  [12241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5263),
  [12243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5052),
  [12245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2838),
  [12247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2855),
  [12249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2856),
  [12251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2857),
  [12253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2858),
  [12255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [12257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3188),
  [12259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [12261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [12263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [12265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3093),
  [12267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [12269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [12271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [12273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3844),
  [12275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [12277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4832),
  [12279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4831),
  [12281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4827),
  [12283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4826),
  [12285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4825),
  [12287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4824),
  [12289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5034),
  [12291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4920),
  [12293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [12295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3142),
  [12297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [12299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [12301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [12303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [12305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4079),
  [12307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3737),
  [12309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [12311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [12313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [12315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [12317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [12319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [12321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [12323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [12325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6989),
  [12327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6988),
  [12329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6987),
  [12331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6985),
  [12333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6983),
  [12335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6980),
  [12337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7127),
  [12339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7050),
  [12341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [12343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [12345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [12347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [12349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [12351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [12353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2255),
  [12355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [12357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10259),
  [12359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_all_fields, 3, 0, 0),
  [12361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_all_fields, 3, 0, 0),
  [12363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_role, 3, 0, 0),
  [12365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_role, 3, 0, 0),
  [12367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11765),
  [12369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6944),
  [12371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10390),
  [12373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8867),
  [12375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14072),
  [12377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14071),
  [12379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14064),
  [12381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_all_fields, 1, 0, 0),
  [12383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_all_fields, 1, 0, 0),
  [12385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7140),
  [12387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7194),
  [12389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7015),
  [12391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14499),
  [12393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 8, 0, 0),
  [12395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_role, 4, 0, 0),
  [12397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_role, 4, 0, 0),
  [12399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 2, 0, 149),
  [12401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_role, 4, 0, 31),
  [12403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_role, 4, 0, 31),
  [12405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 9, 0, 0),
  [12407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 5, 0, 0),
  [12409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11611),
  [12411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8198),
  [12413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10684),
  [12415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9893),
  [12417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14552),
  [12419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7000),
  [12421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 2, 0, 0),
  [12423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13069),
  [12425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13069),
  [12427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13356),
  [12429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8171),
  [12431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10359),
  [12433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6998),
  [12435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11770),
  [12437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8118),
  [12439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10036),
  [12441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6978),
  [12443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9996),
  [12445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13357),
  [12447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 7, 0, 0),
  [12449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10220),
  [12451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10072),
  [12453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10091),
  [12455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_role, 5, 0, 50),
  [12457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_role, 5, 0, 50),
  [12459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 4, 0, 0),
  [12461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_role, 3, 0, 0),
  [12463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9017),
  [12465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13964),
  [12467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7397),
  [12469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13962),
  [12471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8705),
  [12473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13925),
  [12475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13913),
  [12477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13912),
  [12479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9019),
  [12481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10402),
  [12483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9956),
  [12485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11745),
  [12487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6999),
  [12489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10300),
  [12491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8843),
  [12493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14177),
  [12495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14054),
  [12497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14172),
  [12499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10447),
  [12501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10462),
  [12503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52),
  [12505] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52), SHIFT_REPEAT(295),
  [12508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52),
  [12510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52), SHIFT_REPEAT(11765),
  [12513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52), SHIFT_REPEAT(10390),
  [12516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52), SHIFT_REPEAT(8867),
  [12519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52), SHIFT_REPEAT(14072),
  [12522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52), SHIFT_REPEAT(14071),
  [12525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52), SHIFT_REPEAT(14064),
  [12528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52), SHIFT_REPEAT(295),
  [12531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_body, 6, 0, 0),
  [12533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10476),
  [12535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7144),
  [12537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7191),
  [12539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13072),
  [12541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11717),
  [12543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7135),
  [12545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7195),
  [12547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13064),
  [12549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52), SHIFT_REPEAT(178),
  [12552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52), SHIFT_REPEAT(11745),
  [12555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52), SHIFT_REPEAT(10300),
  [12558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52), SHIFT_REPEAT(8843),
  [12561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52), SHIFT_REPEAT(14177),
  [12564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52), SHIFT_REPEAT(14054),
  [12567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52), SHIFT_REPEAT(14172),
  [12570] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_role_repeat1, 2, 0, 52), SHIFT_REPEAT(178),
  [12573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7190),
  [12575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9064),
  [12577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_target, 2, 0, 0),
  [12579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11668),
  [12581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9073),
  [12583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13520),
  [12585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7586),
  [12587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13879),
  [12589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8663),
  [12591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12287),
  [12593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12288),
  [12595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12289),
  [12597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9501),
  [12599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7147),
  [12601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7189),
  [12603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13073),
  [12605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7142),
  [12607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7188),
  [12609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13074),
  [12611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_target, 3, 0, 0),
  [12613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11769),
  [12615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7146),
  [12617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7185),
  [12619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13075),
  [12621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7141),
  [12623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7178),
  [12625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14502),
  [12627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7143),
  [12629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7184),
  [12631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13076),
  [12633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 7, 0, 0),
  [12635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_target, 4, 0, 0),
  [12637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7076),
  [12639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7238),
  [12641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__user_access_role_config, 2, 0, 0),
  [12643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__user_access_role_config, 2, 0, 0),
  [12645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9787),
  [12647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7098),
  [12649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7202),
  [12651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7101),
  [12653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7204),
  [12655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7106),
  [12657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7253),
  [12659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8954),
  [12661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8954),
  [12663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8278),
  [12665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14241),
  [12667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10403),
  [12669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14719),
  [12671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10406),
  [12673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8941),
  [12675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__create_statement_repeat1, 2, 0, 0),
  [12677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__create_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6679),
  [12680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__create_statement, 2, 0, 0),
  [12682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__create_statement, 1, 0, 0),
  [12684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10242),
  [12686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__user_access_role_config, 3, 0, 0),
  [12688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__user_access_role_config, 3, 0, 0),
  [12690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_order_by_repeat1, 2, 0, 0),
  [12692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7088),
  [12694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7167),
  [12696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_target, 5, 0, 0),
  [12698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7066),
  [12700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14501),
  [12702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_group_by, 4, 0, 0),
  [12704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7092),
  [12706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7196),
  [12708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7126),
  [12710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7134),
  [12712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13059),
  [12714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9787),
  [12717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__create_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6686),
  [12720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7083),
  [12722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7166),
  [12724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7086),
  [12726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7168),
  [12728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__user_access_role_config, 4, 0, 0),
  [12730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__user_access_role_config, 4, 0, 0),
  [12732] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(1651),
  [12735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14503),
  [12737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9873),
  [12739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9963),
  [12741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10966),
  [12743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6827),
  [12745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6829),
  [12747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6831),
  [12749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14103),
  [12751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9091),
  [12753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9092),
  [12755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [12757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13852),
  [12759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13879),
  [12761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13873),
  [12763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7417),
  [12765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10260),
  [12767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7233),
  [12769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10339),
  [12771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7177),
  [12773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7197),
  [12775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7220),
  [12777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9873),
  [12780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10883),
  [12782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6809),
  [12784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6808),
  [12786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6807),
  [12788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13941),
  [12790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9034),
  [12792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9035),
  [12794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [12796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13938),
  [12798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13962),
  [12800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13946),
  [12802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7269),
  [12804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10319),
  [12806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7199),
  [12808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_term, 2, 0, 12),
  [12810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7219),
  [12812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11039),
  [12814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7276),
  [12816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7217),
  [12818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__create_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(6702),
  [12821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10916),
  [12823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7459),
  [12825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7206),
  [12827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 8, 0, 0),
  [12829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9742),
  [12831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13060),
  [12833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13061),
  [12835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13062),
  [12837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13063),
  [12839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13065),
  [12841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13066),
  [12843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13068),
  [12845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13077),
  [12847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13078),
  [12849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14500),
  [12851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13084),
  [12853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13085),
  [12855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13086),
  [12857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13087),
  [12859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13088),
  [12861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13089),
  [12863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7179),
  [12865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7105),
  [12867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7152),
  [12869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7174),
  [12871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7172),
  [12873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7176),
  [12875] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_size_definition_repeat1, 2, 0, 80), SHIFT_REPEAT(9064),
  [12878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7173),
  [12880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7175),
  [12882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7183),
  [12884] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(1059),
  [12887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__role_options, 2, 0, 0),
  [12889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__role_options, 2, 0, 0),
  [12891] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__single_quote_string_repeat1, 2, 0, 0), SHIFT_REPEAT(7183),
  [12894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__role_options, 2, 0, 51),
  [12896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__role_options, 2, 0, 51),
  [12898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7170),
  [12900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7569),
  [12902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9127),
  [12904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__role_options, 1, 0, 30),
  [12906] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__role_options, 1, 0, 30),
  [12908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_role_repeat1, 1, 0, 29),
  [12910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_create_role_repeat1, 1, 0, 29),
  [12912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7154),
  [12914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__role_options, 3, 0, 0),
  [12916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__role_options, 3, 0, 0),
  [12918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__role_options, 3, 0, 90),
  [12920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__role_options, 3, 0, 90),
  [12922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__role_options, 3, 0, 92),
  [12924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__role_options, 3, 0, 92),
  [12926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__role_options, 3, 0, 91),
  [12928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__role_options, 3, 0, 91),
  [12930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9474),
  [12932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12108),
  [12934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12107),
  [12936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11367),
  [12938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11368),
  [12940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10354),
  [12942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_sequence, 6, 0, 101),
  [12944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8986),
  [12946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6759),
  [12948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6798),
  [12950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14029),
  [12952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8987),
  [12954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [12956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10852),
  [12958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7272),
  [12960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10367),
  [12962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__copy_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9474),
  [12965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__copy_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(12108),
  [12968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__copy_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(12107),
  [12971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__copy_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(11367),
  [12974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__copy_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(11368),
  [12977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__copy_statement_repeat1, 2, 0, 0),
  [12979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10353),
  [12981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_sequence, 4, 0, 35),
  [12983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7318),
  [12985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [12987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9506),
  [12989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7646),
  [12991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59),
  [12993] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(8986),
  [12996] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(6759),
  [12999] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(6798),
  [13002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(14029),
  [13005] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(8987),
  [13008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(72),
  [13011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(10852),
  [13014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(7272),
  [13017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(10367),
  [13020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11129),
  [13022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11128),
  [13024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_sequence, 5, 0, 69),
  [13026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_sequence, 5, 0, 54),
  [13028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11155),
  [13030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11156),
  [13032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11157),
  [13034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10381),
  [13036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10470),
  [13038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_sequence, 5, 0, 0),
  [13040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7265),
  [13042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10147),
  [13044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_group_by, 5, 0, 0),
  [13046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10141),
  [13048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9895),
  [13050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(1779),
  [13053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7558),
  [13055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9951),
  [13057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10361),
  [13059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_sequence, 4, 0, 0),
  [13061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7277),
  [13063] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(1198),
  [13066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 9, 0, 0),
  [13068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9719),
  [13070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9715),
  [13072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9713),
  [13074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_sequence, 3, 0, 0),
  [13076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7313),
  [13078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_sequence, 4, 0, 32),
  [13080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7541),
  [13082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10010),
  [13084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11170),
  [13086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9961),
  [13088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71),
  [13090] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(6809),
  [13093] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(6808),
  [13096] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(6807),
  [13099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(13941),
  [13102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(9034),
  [13105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(9035),
  [13108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(66),
  [13111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(13938),
  [13114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(7318),
  [13117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(10319),
  [13120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9964),
  [13122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11648),
  [13124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14195),
  [13126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7953),
  [13128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9197),
  [13130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1076),
  [13132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12015),
  [13134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_expression, 2, 0, 0),
  [13136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [13138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9062),
  [13140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6815),
  [13142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6818),
  [13144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14124),
  [13146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9065),
  [13148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [13150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10902),
  [13152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7442),
  [13154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10287),
  [13156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [13158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11518),
  [13160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8586),
  [13162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7585),
  [13164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7555),
  [13166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13996),
  [13168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6938),
  [13170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9602),
  [13172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10834),
  [13174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7814),
  [13176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7518),
  [13178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9244),
  [13180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14106),
  [13182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8861),
  [13184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7597),
  [13186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [13188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12023),
  [13190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_limit, 2, 0, 0),
  [13192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6843),
  [13194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [13196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11834),
  [13198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_role, 4, 0, 31),
  [13200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_by, 4, 0, 0),
  [13202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [13204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8582),
  [13206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7542),
  [13208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 58),
  [13210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_clause, 4, 0, 0),
  [13212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_order_by, 3, 0, 0),
  [13214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [13216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 57),
  [13218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 70),
  [13220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [13222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 56),
  [13224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 0),
  [13226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [13228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 10, 0, 0),
  [13230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [13232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11904),
  [13234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2, 0, 0),
  [13236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(785),
  [13239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8733),
  [13241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7583),
  [13243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8736),
  [13245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7595),
  [13247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__copy_statement_repeat1, 2, 0, 188),
  [13249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [13251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7433),
  [13253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 52),
  [13255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 52), SHIFT_REPEAT(298),
  [13258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 52), SHIFT_REPEAT(8705),
  [13261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 52), SHIFT_REPEAT(13925),
  [13264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 52), SHIFT_REPEAT(13913),
  [13267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 52), SHIFT_REPEAT(13912),
  [13270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 52), SHIFT_REPEAT(298),
  [13273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_role, 4, 0, 0),
  [13275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [13277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [13279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 3, 0, 94),
  [13281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 3, 0, 95),
  [13283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1222),
  [13285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [13287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7533),
  [13289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_role, 5, 0, 50),
  [13291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [13293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 3, 0, 0),
  [13295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(6827),
  [13298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(6829),
  [13301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(6831),
  [13304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(14103),
  [13307] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(9091),
  [13310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(9092),
  [13313] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(20),
  [13316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(13852),
  [13319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(7416),
  [13322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 2, 0, 71), SHIFT_REPEAT(10260),
  [13325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7416),
  [13327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8759),
  [13329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7557),
  [13331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [13333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11967),
  [13335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [13337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 58),
  [13339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [13341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12016),
  [13343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 57),
  [13345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 56),
  [13347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 0),
  [13349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 55),
  [13351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [13353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7328),
  [13355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12073),
  [13357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [13359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11865),
  [13361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(9062),
  [13364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(6815),
  [13367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(6818),
  [13370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(14124),
  [13373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(9065),
  [13376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(26),
  [13379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(10902),
  [13382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(7442),
  [13385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_sequence_repeat1, 2, 0, 59), SHIFT_REPEAT(10287),
  [13388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [13390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11821),
  [13392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [13394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [13396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6932),
  [13398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9358),
  [13400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10589),
  [13402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7765),
  [13404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7497),
  [13406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9362),
  [13408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14697),
  [13410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [13412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__truncate_statement, 1, 0, 0),
  [13414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7527),
  [13416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10585),
  [13418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7701),
  [13420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 3, 0, 0),
  [13422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 3, 0, 95),
  [13424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [13426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_sequence_repeat1, 3, 0, 106),
  [13428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [13430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [13432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [13434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [13436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [13438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [13440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_repeat1, 2, 0, 0), SHIFT_REPEAT(986),
  [13443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select_expression, 1, 0, 0),
  [13445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [13447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8133),
  [13449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6929),
  [13451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8762),
  [13453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7982),
  [13455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13563),
  [13457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7450),
  [13459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8195),
  [13461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6915),
  [13463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8699),
  [13465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8061),
  [13467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12692),
  [13469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [13471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(1756),
  [13474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6878),
  [13476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6760),
  [13478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6867),
  [13480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9308),
  [13482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9306),
  [13484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14496),
  [13486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14482),
  [13488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14490),
  [13490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9809),
  [13492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13899),
  [13494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9811),
  [13496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7677),
  [13498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7536),
  [13500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(729),
  [13503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11618),
  [13505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14522),
  [13507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7970),
  [13509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9321),
  [13511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11617),
  [13513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cte, 2, 0, 0),
  [13515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9052),
  [13517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6857),
  [13519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9676),
  [13521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9677),
  [13523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14008),
  [13525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13480),
  [13527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14007),
  [13529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [13531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_repeat1, 2, 0, 0), SHIFT_REPEAT(1027),
  [13534] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 52), SHIFT_REPEAT(178),
  [13537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 52), SHIFT_REPEAT(8663),
  [13540] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 52), SHIFT_REPEAT(12287),
  [13543] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 52), SHIFT_REPEAT(12288),
  [13546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 52), SHIFT_REPEAT(12289),
  [13549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_role_repeat1, 2, 0, 52), SHIFT_REPEAT(178),
  [13552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__truncate_statement, 2, 0, 0),
  [13554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10687),
  [13556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7668),
  [13558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select, 3, 0, 0),
  [13560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [13562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7698),
  [13564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__cte_repeat1, 2, 0, 0),
  [13566] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__cte_repeat1, 2, 0, 0), SHIFT_REPEAT(9052),
  [13569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cte, 4, 0, 0),
  [13571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7016),
  [13573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10218),
  [13575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12173),
  [13577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 3, 0, 171),
  [13579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6868),
  [13581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7626),
  [13583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12232),
  [13585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7905),
  [13587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8454),
  [13589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9786),
  [13591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12233),
  [13593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 1, 0, 97),
  [13595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9782),
  [13597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12238),
  [13599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 1, 0, 96),
  [13601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__select_statement, 1, 0, 0),
  [13603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7831),
  [13605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7658),
  [13607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_repeat1, 2, 0, 0), SHIFT_REPEAT(931),
  [13610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8598),
  [13612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cte, 3, 0, 0),
  [13614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [13616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8748),
  [13618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8766),
  [13620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_select, 2, 0, 0),
  [13622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [13624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9109),
  [13626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8072),
  [13628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [13630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9124),
  [13632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7940),
  [13634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7986),
  [13636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 8, 0, 215),
  [13638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8266),
  [13640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9001),
  [13642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7973),
  [13644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 8, 0, 214),
  [13646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9335),
  [13648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8064),
  [13650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(10395),
  [13653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11755),
  [13655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__select_statement, 3, 0, 0),
  [13657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11529),
  [13659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 5, 0, 171),
  [13661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12197),
  [13663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7887),
  [13665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 7, 0, 186),
  [13667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_set_operation_repeat1, 2, 0, 19),
  [13669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_set_operation_repeat1, 2, 0, 20),
  [13671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_operation_repeat1, 2, 0, 20), SHIFT_REPEAT(9674),
  [13674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_operation_repeat1, 2, 0, 20), SHIFT_REPEAT(9697),
  [13677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_read, 1, 0, 0),
  [13679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9674),
  [13681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9697),
  [13683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12177),
  [13685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 3, 0, 97),
  [13687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7808),
  [13689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 5, 0, 109),
  [13691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9240),
  [13693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8326),
  [13695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8146),
  [13697] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_repeat1, 2, 0, 0), SHIFT_REPEAT(966),
  [13700] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(721),
  [13703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_database, 4, 0, 0),
  [13705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_database, 4, 0, 0),
  [13707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7751),
  [13709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_database, 3, 0, 0),
  [13711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_database, 3, 0, 0),
  [13713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7849),
  [13715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_from, 11, 0, 0),
  [13717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 11, 0, 256),
  [13719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [13721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 10, 0, 250),
  [13723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 11, 0, 255),
  [13725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 10, 0, 249),
  [13727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 10, 0, 251),
  [13729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 10, 0, 248),
  [13731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__truncate_statement, 3, 0, 0),
  [13733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10836),
  [13735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 7, 0, 185),
  [13737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [13739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 9, 0, 238),
  [13741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 6, 0, 151),
  [13743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 6, 0, 152),
  [13745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 8, 0, 216),
  [13747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 8, 0, 217),
  [13749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 9, 0, 237),
  [13751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8674),
  [13753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8358),
  [13755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8267),
  [13757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8375),
  [13759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8382),
  [13761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8385),
  [13763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8675),
  [13765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8676),
  [13767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8677),
  [13769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8632),
  [13771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8475),
  [13773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8406),
  [13775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8488),
  [13777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8496),
  [13779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8499),
  [13781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8633),
  [13783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8634),
  [13785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8636),
  [13787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_offset, 2, 0, 0),
  [13789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__select_statement, 2, 0, 0),
  [13791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_operation, 2, 0, 10),
  [13793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_read, 2, 0, 0),
  [13795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 5, 0, 108),
  [13797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 9, 0, 236),
  [13799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 9, 0, 235),
  [13801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 9, 0, 234),
  [13803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cte, 9, 0, 233),
  [13805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_set_operation_repeat1, 3, 0, 39),
  [13807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_limit, 3, 0, 0),
  [13809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12228),
  [13811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 3, 0, 96),
  [13813] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__select_statement, 4, 0, 0),
  [13815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_read, 4, 0, 0),
  [13817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9329),
  [13819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8410),
  [13821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8187),
  [13823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12099),
  [13825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8912),
  [13827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8293),
  [13829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8238),
  [13831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8335),
  [13833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14399),
  [13835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10127),
  [13837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10716),
  [13839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10716),
  [13841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14402),
  [13843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8343),
  [13845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9233),
  [13847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14382),
  [13849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8144),
  [13851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_database, 5, 0, 0),
  [13853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_database, 5, 0, 0),
  [13855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_database, 5, 0, 60),
  [13857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_database, 5, 0, 60),
  [13859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9419),
  [13861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8232),
  [13863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8303),
  [13865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8301),
  [13867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8624),
  [13869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9919),
  [13871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9915),
  [13873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9906),
  [13875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8966),
  [13877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10389),
  [13879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(858),
  [13882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8143),
  [13884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [13886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_database_repeat1, 2, 0, 63),
  [13888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_create_database_repeat1, 2, 0, 63), SHIFT_REPEAT(90),
  [13891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_create_database_repeat1, 2, 0, 63),
  [13893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_database_repeat1, 2, 0, 63), SHIFT_REPEAT(90),
  [13896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8230),
  [13898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8116),
  [13900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8119),
  [13902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8213),
  [13904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(1204),
  [13907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8154),
  [13909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8107),
  [13911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__delete_from, 3, 0, 0),
  [13913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [13915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__show_tables, 1, 0, 0),
  [13917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8364),
  [13919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8022),
  [13921] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat2, 3, 0, 0),
  [13923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10405),
  [13925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_operation_repeat1, 2, 0, 20), SHIFT_REPEAT(8966),
  [13928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_operation_repeat1, 2, 0, 20), SHIFT_REPEAT(10389),
  [13931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7943),
  [13933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7508),
  [13935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7972),
  [13937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8132),
  [13939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8228),
  [13941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_role_repeat1, 1, 0, 29),
  [13943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_alter_role_repeat1, 1, 0, 29),
  [13945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_database, 6, 0, 99),
  [13947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_database, 6, 0, 99),
  [13949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_database, 4, 0, 34),
  [13951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_create_database, 4, 0, 34),
  [13953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_repeat1, 2, 0, 0), SHIFT_REPEAT(1006),
  [13956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7971),
  [13958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8372),
  [13960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14205),
  [13962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10397),
  [13964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10799),
  [13966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10799),
  [13968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14204),
  [13970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8476),
  [13972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8921),
  [13974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14839),
  [13976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8256),
  [13978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8068),
  [13980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8166),
  [13982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [13984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8250),
  [13986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8155),
  [13988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8245),
  [13990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7960),
  [13992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8222),
  [13994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7852),
  [13996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__delete_from, 2, 0, 0),
  [13998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7954),
  [14000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8484),
  [14002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8956),
  [14004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8124),
  [14006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8464),
  [14008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8427),
  [14010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8579),
  [14012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10099),
  [14014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10098),
  [14016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9955),
  [14018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8067),
  [14020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12131),
  [14022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8231),
  [14024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8227),
  [14026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat2, 2, 0, 0),
  [14028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10427),
  [14030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8190),
  [14032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8412),
  [14034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14732),
  [14036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10574),
  [14038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10574),
  [14040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14731),
  [14042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8178),
  [14044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8254),
  [14046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13805),
  [14048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [14050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4846),
  [14052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4776),
  [14054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9336),
  [14056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13735),
  [14058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13738),
  [14060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11443),
  [14062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7939),
  [14064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11845),
  [14066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11844),
  [14068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11747),
  [14070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [14072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7836),
  [14074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4438),
  [14076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9375),
  [14078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9959),
  [14080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8084),
  [14082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11843),
  [14084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8007),
  [14086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13956),
  [14088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13919),
  [14090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13918),
  [14092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11794),
  [14094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10888),
  [14096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__show_tables, 3, 0, 14),
  [14098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11535),
  [14100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8036),
  [14102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11761),
  [14104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [14106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11870),
  [14108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__or_replace, 2, 0, 0),
  [14110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__or_replace, 2, 0, 0),
  [14112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [14114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12030),
  [14116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8081),
  [14118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__set_values, 3, 0, 0),
  [14120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8136),
  [14122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8929),
  [14124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4495),
  [14126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8173),
  [14128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_operation_repeat1, 2, 0, 20), SHIFT_REPEAT(9375),
  [14131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_operation_repeat1, 2, 0, 20), SHIFT_REPEAT(9959),
  [14134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11661),
  [14136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11781),
  [14138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8726),
  [14140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11944),
  [14142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7822),
  [14144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [14146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11680),
  [14148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8690),
  [14150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [14152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11357),
  [14154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4284),
  [14156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4542),
  [14158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5607),
  [14160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [14162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9495),
  [14164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__set_values, 2, 0, 0),
  [14166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7975),
  [14168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11662),
  [14170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8042),
  [14172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11693),
  [14174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10373),
  [14176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat2, 2, 0, 0), SHIFT_REPEAT(9336),
  [14179] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat2, 2, 0, 0), SHIFT_REPEAT(13735),
  [14182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat2, 2, 0, 0), SHIFT_REPEAT(13738),
  [14185] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat2, 2, 0, 0), SHIFT_REPEAT(11443),
  [14188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat2, 2, 0, 0), SHIFT_REPEAT(8007),
  [14191] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat2, 2, 0, 0), SHIFT_REPEAT(11845),
  [14194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat2, 2, 0, 0), SHIFT_REPEAT(11844),
  [14197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8038),
  [14199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4389),
  [14201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4648),
  [14203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13878),
  [14205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13521),
  [14207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13849),
  [14209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11809),
  [14211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10920),
  [14213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [14215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_assignment_list_repeat1, 2, 0, 0),
  [14217] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assignment_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8173),
  [14220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6398),
  [14222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assignment_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8136),
  [14225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8040),
  [14227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11877),
  [14229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8093),
  [14231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5919),
  [14233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11660),
  [14235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8047),
  [14237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11689),
  [14239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8050),
  [14241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11678),
  [14243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12072),
  [14245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11669),
  [14247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8052),
  [14249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11666),
  [14251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11737),
  [14253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8065),
  [14255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8098),
  [14257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8056),
  [14259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11663),
  [14261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8652),
  [14263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12153),
  [14265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7811),
  [14267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__mysql_update_statement_repeat2, 2, 0, 0),
  [14269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mysql_update_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(11618),
  [14272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mysql_update_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(14522),
  [14275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mysql_update_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(7970),
  [14278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__mysql_update_statement_repeat2, 2, 0, 0), SHIFT_REPEAT(9321),
  [14281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11665),
  [14283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [14285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11218),
  [14287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [14289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7936),
  [14291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12147),
  [14293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8085),
  [14295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [14297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11928),
  [14299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [14301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11664),
  [14303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8060),
  [14305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7977),
  [14307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8396),
  [14309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [14311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8049),
  [14313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12043),
  [14315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [14317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12133),
  [14319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [14321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [14323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9631),
  [14325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5762),
  [14327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [14329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__truncate_statement, 4, 0, 0),
  [14331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10951),
  [14333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9317),
  [14335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7840),
  [14337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__delete_from, 4, 0, 0),
  [14339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8302),
  [14341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9569),
  [14343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5108),
  [14345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [14347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 4, 0, 0),
  [14349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10307),
  [14351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7367),
  [14353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11911),
  [14355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [14357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8749),
  [14359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8745),
  [14361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14380),
  [14363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9412),
  [14365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [14367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [14369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7882),
  [14371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9489),
  [14373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4090),
  [14375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [14377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 3, 0, 0),
  [14379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10601),
  [14381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7389),
  [14383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12087),
  [14385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [14387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9398),
  [14389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [14391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [14393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6014),
  [14395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9263),
  [14397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6014),
  [14399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9591),
  [14401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [14403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [14405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10611),
  [14407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14655),
  [14409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_read, 1, 0, 2),
  [14411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10466),
  [14413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7336),
  [14415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11541),
  [14417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_read, 6, 0, 0),
  [14419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_read, 6, 0, 43),
  [14421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7745),
  [14423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14474),
  [14425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__compute_stats_repeat1, 2, 0, 0), SHIFT_REPEAT(298),
  [14428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__compute_stats_repeat1, 2, 0, 0),
  [14430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__insert_values, 3, 0, 0),
  [14432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11825),
  [14434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9661),
  [14436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14022),
  [14438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__insert_values, 3, 0, 47),
  [14440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat2, 4, 0, 0),
  [14442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9596),
  [14444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [14446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [14448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9252),
  [14450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8346),
  [14452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8270),
  [14454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__truncate_statement, 5, 0, 0),
  [14456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11132),
  [14458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__insert_values_repeat1, 2, 0, 0),
  [14460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__insert_values_repeat1, 2, 0, 0), SHIFT_REPEAT(11825),
  [14463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9505),
  [14465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3213),
  [14467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [14469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__show_create, 4, 0, 0),
  [14471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9285),
  [14473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9396),
  [14475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [14477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [14479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9430),
  [14481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3503),
  [14483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [14485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9671),
  [14487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1588),
  [14489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [14491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_read, 2, 0, 8),
  [14493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9418),
  [14495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [14497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [14499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9437),
  [14501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4872),
  [14503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [14505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__insert_values, 4, 0, 47),
  [14507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9648),
  [14509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1585),
  [14511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [14513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9440),
  [14515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4876),
  [14517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [14519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9483),
  [14521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [14523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [14525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__show_create, 3, 0, 0),
  [14527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8796),
  [14529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8801),
  [14531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9640),
  [14533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [14535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [14537] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_assignment_list_repeat1, 2, 0, 0), SHIFT_REPEAT(8160),
  [14540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6826),
  [14542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6608),
  [14544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6672),
  [14546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9426),
  [14548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [14550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [14552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12254),
  [14554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14102),
  [14556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9509),
  [14558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [14560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [14562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9580),
  [14564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [14566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [14568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9448),
  [14570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3366),
  [14572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [14574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9382),
  [14576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8304),
  [14578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9413),
  [14580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3046),
  [14582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [14584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6797),
  [14586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9582),
  [14588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [14590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [14592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__compute_stats_repeat2, 2, 0, 0),
  [14594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10590),
  [14596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7446),
  [14598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12096),
  [14600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9452),
  [14602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [14604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [14606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 5, 0, 88),
  [14608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10615),
  [14610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7410),
  [14612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12114),
  [14614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9562),
  [14616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5101),
  [14618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [14620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__insert_values, 2, 0, 0),
  [14622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6933),
  [14624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6893),
  [14626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6887),
  [14628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6642),
  [14630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6893),
  [14632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6687),
  [14634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8351),
  [14636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10687),
  [14638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9314),
  [14640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14512),
  [14642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10836),
  [14644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__show_statement, 2, 0, 0),
  [14646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__show_statement, 2, 0, 8),
  [14648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9337),
  [14650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [14652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [14654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8160),
  [14656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_read, 4, 0, 14),
  [14658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 6, 0, 134),
  [14660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10568),
  [14662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7342),
  [14664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12124),
  [14666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_read, 4, 0, 26),
  [14668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9526),
  [14670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3097),
  [14672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [14674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__with_settings, 2, 0, 61),
  [14676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__with_settings, 2, 0, 61),
  [14678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__with_settings, 2, 0, 62),
  [14680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__with_settings, 2, 0, 62),
  [14682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 3, 0, 0),
  [14684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10338),
  [14686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8367),
  [14688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10337),
  [14690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8209),
  [14692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9305),
  [14694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [14696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [14698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9202),
  [14700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9123),
  [14702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10235),
  [14704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_operation_repeat1, 2, 0, 20), SHIFT_REPEAT(9123),
  [14707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_operation_repeat1, 2, 0, 20), SHIFT_REPEAT(10235),
  [14710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat2, 5, 0, 0),
  [14712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8903),
  [14714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8276),
  [14716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10179),
  [14718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7394),
  [14720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11824),
  [14722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9470),
  [14724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [14726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [14728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__with_settings, 3, 0, 93),
  [14730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__with_settings, 3, 0, 93),
  [14732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9616),
  [14734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [14736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [14738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__with_settings, 3, 0, 100),
  [14740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__with_settings, 3, 0, 100),
  [14742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8403),
  [14744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9118),
  [14746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2966),
  [14748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [14750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9610),
  [14752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [14754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [14756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9634),
  [14758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5769),
  [14760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [14762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9620),
  [14764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [14766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [14768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 4, 0, 0),
  [14770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10066),
  [14772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8317),
  [14774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10063),
  [14776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8229),
  [14778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9537),
  [14780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2877),
  [14782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [14784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10065),
  [14786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7335),
  [14788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11742),
  [14790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_read, 3, 0, 8),
  [14792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_read, 3, 0, 0),
  [14794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9473),
  [14796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [14798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [14800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8371),
  [14802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7437),
  [14804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11853),
  [14806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [14808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1725),
  [14810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8415),
  [14812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11894),
  [14814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8970),
  [14816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11159),
  [14818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8707),
  [14820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9820),
  [14822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8183),
  [14824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8932),
  [14826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [14828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 4, 0, 37),
  [14830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9369),
  [14832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9960),
  [14834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1723),
  [14836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_extension, 3, 0, 0),
  [14838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10912),
  [14840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1445),
  [14842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_column, 2, 0, 0),
  [14844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10026),
  [14846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10023),
  [14848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 3, 0, 18),
  [14850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9069),
  [14852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10281),
  [14854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modify_column, 2, 0, 0),
  [14856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4442),
  [14858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [14860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8599),
  [14862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [14864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12131),
  [14866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9657),
  [14868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_change_column, 5, 0, 180),
  [14870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_extension, 4, 0, 0),
  [14872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11084),
  [14874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9273),
  [14876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8919),
  [14878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [14880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [14882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [14884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7470),
  [14886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11847),
  [14888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8842),
  [14890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8838),
  [14892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9053),
  [14894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10058),
  [14896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 5, 0, 0),
  [14898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9792),
  [14900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9791),
  [14902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8236),
  [14904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4550),
  [14906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8847),
  [14908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 10, 0, 232),
  [14910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10377),
  [14912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10819),
  [14914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11953),
  [14916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9394),
  [14918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11097),
  [14920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12507),
  [14922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [14924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12508),
  [14926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9515),
  [14928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12385),
  [14930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9821),
  [14932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9510),
  [14934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10158),
  [14936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9682),
  [14938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8517),
  [14940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8823),
  [14942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_change_column, 3, 0, 104),
  [14944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11871),
  [14946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9271),
  [14948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11788),
  [14950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modify_column, 3, 0, 0),
  [14952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8349),
  [14954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4122),
  [14956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__postgres_update_statement, 2, 0, 0),
  [14958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7873),
  [14960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2424),
  [14962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_order_by_repeat1, 2, 0, 0), SHIFT_REPEAT(955),
  [14965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 7, 0, 150),
  [14967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10106),
  [14969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10478),
  [14971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_constraint, 3, 0, 0),
  [14973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9828),
  [14975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11775),
  [14977] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_column, 3, 0, 0),
  [14979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 7, 0, 0),
  [14981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10101),
  [14983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11490),
  [14985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8425),
  [14987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7809),
  [14989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8819),
  [14991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8818),
  [14993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9467),
  [14995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_extension, 5, 0, 0),
  [14997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11231),
  [14999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8366),
  [15001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_partition_by, 4, 0, 0),
  [15003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8687),
  [15005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [15007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8786),
  [15009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10965),
  [15011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8791),
  [15013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10188),
  [15015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8197),
  [15017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5594),
  [15019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [15021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8388),
  [15023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_constraint, 4, 0, 0),
  [15025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10076),
  [15027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [15029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 6, 0, 0),
  [15031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9837),
  [15033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11351),
  [15035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(115),
  [15037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4498),
  [15039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9639),
  [15041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14090),
  [15043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_column, 1, 0, 0),
  [15045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4850),
  [15047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [15049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6401),
  [15051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__truncate_statement_repeat1, 2, 0, 0),
  [15053] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__truncate_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9317),
  [15056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4768),
  [15058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7469),
  [15060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11848),
  [15062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11708),
  [15064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9673),
  [15066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13465),
  [15068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [15070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13463),
  [15072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9379),
  [15074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13462),
  [15076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10299),
  [15078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9374),
  [15080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9499),
  [15082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14628),
  [15084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12197),
  [15086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [15088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1815),
  [15090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [15092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [15094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14028),
  [15096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [15098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13927),
  [15100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9302),
  [15102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14040),
  [15104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10048),
  [15106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9300),
  [15108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_function_body_repeat2, 2, 0, 0), SHIFT_REPEAT(96),
  [15111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_function_body_repeat2, 2, 0, 0),
  [15113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_body_repeat2, 2, 0, 0), SHIFT_REPEAT(96),
  [15116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11882),
  [15118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__insert_values_repeat1, 2, 0, 0), SHIFT_REPEAT(11882),
  [15121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [15123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 5, 0, 73),
  [15125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9628),
  [15127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9708),
  [15129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4248),
  [15131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4629),
  [15133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8470),
  [15135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5881),
  [15137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_database_repeat1, 1, 0, 33),
  [15139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_create_database_repeat1, 1, 0, 33),
  [15141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8744),
  [15143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [15145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 8, 0, 183),
  [15147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10335),
  [15149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10948),
  [15151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8751),
  [15153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_column, 4, 0, 0),
  [15155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8816),
  [15157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7457),
  [15159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11850),
  [15161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_change_column, 4, 0, 147),
  [15163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modify_column, 4, 0, 0),
  [15165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13091),
  [15167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [15169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13083),
  [15171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9447),
  [15173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13082),
  [15175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10068),
  [15177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9410),
  [15179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [15181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9702),
  [15183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_frame, 3, 0, 0),
  [15185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 6, 0, 0),
  [15187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11913),
  [15189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 4, 0, 26),
  [15191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11750),
  [15193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11909),
  [15195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 6, 0, 244),
  [15197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7925),
  [15199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9556),
  [15201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5097),
  [15203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [15205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9561),
  [15207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5100),
  [15209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [15211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_set_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9684),
  [15214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 10, 0, 183),
  [15216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10824),
  [15218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8039),
  [15220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9524),
  [15222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [15224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [15226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9520),
  [15228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [15230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [15232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9583),
  [15234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [15236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [15238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11649),
  [15240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9589),
  [15242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [15244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [15246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8091),
  [15248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7929),
  [15250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9504),
  [15252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [15254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [15256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9500),
  [15258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [15260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [15262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8100),
  [15264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9478),
  [15266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [15268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [15270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9475),
  [15272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4127),
  [15274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [15276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 9, 0, 150),
  [15278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10598),
  [15280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 9, 0, 0),
  [15282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10500),
  [15284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9457),
  [15286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7966),
  [15288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9466),
  [15290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [15292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [15294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9464),
  [15296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [15298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [15300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7909),
  [15302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9611),
  [15304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [15306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [15308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9615),
  [15310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [15312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [15314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9445),
  [15316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [15318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [15320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9442),
  [15322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3379),
  [15324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [15326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8026),
  [15328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11645),
  [15330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9436),
  [15332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4871),
  [15334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [15336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9433),
  [15338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4867),
  [15340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [15342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 7, 0, 0),
  [15344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11652),
  [15346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7997),
  [15348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11658),
  [15350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 4, 0, 201),
  [15352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9424),
  [15354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [15356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [15358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9422),
  [15360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3509),
  [15362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [15364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11681),
  [15366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 4, 0, 199),
  [15368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11692),
  [15370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 4, 0, 198),
  [15372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7999),
  [15374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9411),
  [15376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [15378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [15380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9408),
  [15382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [15384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [15386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7918),
  [15388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9625),
  [15390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5736),
  [15392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [15394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 12, 0, 232),
  [15396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11425),
  [15398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 9, 0, 193),
  [15400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 9, 0, 192),
  [15402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9630),
  [15404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5759),
  [15406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [15408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9393),
  [15410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3290),
  [15412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [15414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9392),
  [15416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [15418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [15420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8071),
  [15422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_frame, 5, 0, 0),
  [15424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7988),
  [15426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [15428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10357),
  [15430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 8, 0, 0),
  [15432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 8, 0, 67),
  [15434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8001),
  [15436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8012),
  [15438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 8, 0, 0),
  [15440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10945),
  [15442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9280),
  [15444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9076),
  [15446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9644),
  [15448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [15450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [15452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9647),
  [15454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [15456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [15458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9323),
  [15460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9453),
  [15462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9326),
  [15464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7996),
  [15466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12071),
  [15468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11867),
  [15470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9351),
  [15472] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 9, 0, 0),
  [15474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 9, 0, 18),
  [15476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 9, 0, 67),
  [15478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9353),
  [15480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11914),
  [15482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 10, 0, 0),
  [15484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9370),
  [15486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11916),
  [15488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [15490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10104),
  [15492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12157),
  [15494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 10, 0, 18),
  [15496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12066),
  [15498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12004),
  [15500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11989),
  [15502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11991),
  [15504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9409),
  [15506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [15508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10133),
  [15510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 10, 0, 67),
  [15512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12038),
  [15514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12042),
  [15516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12045),
  [15518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9652),
  [15520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [15522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [15524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 10, 0, 37),
  [15526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [15528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10144),
  [15530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9641),
  [15532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [15534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [15536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12080),
  [15538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12081),
  [15540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 8, 0, 164),
  [15542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 8, 0, 163),
  [15544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12091),
  [15546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 11, 0, 18),
  [15548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 11, 0, 0),
  [15550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 11, 0, 37),
  [15552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 11, 0, 73),
  [15554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9941),
  [15556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11562),
  [15558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 12, 0, 37),
  [15560] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 12, 0, 0),
  [15562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 12, 0, 73),
  [15564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [15566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [15568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10151),
  [15570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 13, 0, 73),
  [15572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9348),
  [15574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 7, 0, 0),
  [15576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9993),
  [15578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8177),
  [15580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11902),
  [15582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11905),
  [15584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11919),
  [15586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11922),
  [15588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 2, 0, 139),
  [15590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__operator_class, 1, 0, 138),
  [15592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [15594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11941),
  [15596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 2, 0, 137),
  [15598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9590),
  [15600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [15602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [15604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7257),
  [15606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9584),
  [15608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [15610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [15612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7306),
  [15614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 7, 0, 0),
  [15616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 7, 0, 128),
  [15618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [15620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10258),
  [15622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [15624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10261),
  [15626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8094),
  [15628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 7, 0, 127),
  [15630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 7, 0, 126),
  [15632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [15634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10266),
  [15636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7623),
  [15638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1338),
  [15640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10291),
  [15642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 3, 0, 14),
  [15644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 3, 0, 0),
  [15646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [15648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10293),
  [15650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [15652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10296),
  [15654] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(784),
  [15657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__delete_from, 5, 0, 0),
  [15659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1786),
  [15661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9859),
  [15663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9402),
  [15665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11098),
  [15667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11934),
  [15669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9684),
  [15671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [15673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10305),
  [15675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [15677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10311),
  [15679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [15681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10312),
  [15683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__compute_stats, 6, 0, 0),
  [15685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12963),
  [15687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12678),
  [15689] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(797),
  [15692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [15694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 4, 0, 0),
  [15696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9266),
  [15698] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__truncate_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(9657),
  [15701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 6, 0, 0),
  [15703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9802),
  [15705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8218),
  [15707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7171),
  [15709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9797),
  [15711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9796),
  [15713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12222),
  [15715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9543),
  [15717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12244),
  [15719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10936),
  [15721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10233),
  [15723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 6, 0, 84),
  [15725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 6, 0, 83),
  [15727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14178),
  [15729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [15731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14181),
  [15733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 6, 0, 82),
  [15735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_frame, 2, 0, 0),
  [15737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9678),
  [15739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3081),
  [15741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [15743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9075),
  [15745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10900),
  [15747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11792),
  [15749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [15751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__compute_stats, 5, 0, 0),
  [15753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12596),
  [15755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12594),
  [15757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9339),
  [15759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9709),
  [15761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9315),
  [15763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11787),
  [15765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__insert_values, 1, 0, 2),
  [15767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9313),
  [15769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8011),
  [15771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7460),
  [15773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11878),
  [15775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9287),
  [15777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9283),
  [15779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9689),
  [15781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11596),
  [15783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11929),
  [15785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 5, 0, 43),
  [15787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9264),
  [15789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 5, 0, 0),
  [15791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11936),
  [15793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8991),
  [15795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_type, 3, 0, 0),
  [15797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10365),
  [15799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8856),
  [15801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 5, 0, 44),
  [15803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 5, 0, 45),
  [15805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9539),
  [15807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11978),
  [15809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10771),
  [15811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10773),
  [15813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11982),
  [15815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11983),
  [15817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7411),
  [15819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9231),
  [15821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7241),
  [15823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9512),
  [15825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12076),
  [15827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12019),
  [15829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12020),
  [15831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12021),
  [15833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12039),
  [15835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12041),
  [15837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12055),
  [15839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9365),
  [15841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [15843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [15845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10474),
  [15847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9022),
  [15849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7545),
  [15851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10831),
  [15853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10415),
  [15855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8164),
  [15857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7503),
  [15859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table, 3, 0, 0),
  [15861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10899),
  [15863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__compute_stats, 4, 0, 0),
  [15865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13907),
  [15867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8381),
  [15869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9421),
  [15871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [15873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [15875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9338),
  [15877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [15879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [15881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11789),
  [15883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_view, 3, 0, 0),
  [15885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10901),
  [15887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [15889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_sequence, 3, 0, 0),
  [15891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10903),
  [15893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11100),
  [15895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8787),
  [15897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9089),
  [15899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10263),
  [15901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9764),
  [15903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11615),
  [15905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11091),
  [15907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_schema, 4, 0, 0),
  [15909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11083),
  [15911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10008),
  [15913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9163),
  [15915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [15917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10039),
  [15919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11620),
  [15921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8916),
  [15923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10800),
  [15925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_type, 3, 0, 0),
  [15927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10905),
  [15929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [15931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9891),
  [15933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_type, 4, 0, 0),
  [15935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11081),
  [15937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10971),
  [15939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_sequence, 4, 0, 0),
  [15941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11076),
  [15943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_view, 4, 0, 0),
  [15945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11073),
  [15947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table, 4, 0, 0),
  [15949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11072),
  [15951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [15953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10693),
  [15955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_schema, 3, 0, 0),
  [15957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10910),
  [15959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8734),
  [15961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9361),
  [15963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1527),
  [15965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9857),
  [15967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9971),
  [15969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [15971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11727),
  [15973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [15975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10030),
  [15977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9301),
  [15979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [15981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11896),
  [15983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [15985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10090),
  [15987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1678),
  [15989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9788),
  [15991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [15993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9247),
  [15995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10917),
  [15997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9242),
  [15999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [16001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [16003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [16005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [16007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9026),
  [16009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__compute_stats, 3, 0, 0),
  [16011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8328),
  [16013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7786),
  [16015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [16017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1256),
  [16019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [16021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__insert_values, 2, 0, 27),
  [16023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [16025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [16027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10754),
  [16029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [16031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [16033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [16035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [16037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10276),
  [16039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11685),
  [16041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13344),
  [16043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13334),
  [16045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11726),
  [16047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14216),
  [16049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8066),
  [16051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__merge_statement, 11, 0, 243),
  [16053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6108),
  [16055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13697),
  [16057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13697),
  [16059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [16061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__operator_class, 5, 0, 245),
  [16063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2586),
  [16065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8219),
  [16067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__merge_statement, 11, 0, 242),
  [16069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10385),
  [16071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 5, 0, 0),
  [16073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8974),
  [16075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 5, 0, 37),
  [16077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8973),
  [16079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ordered_columns, 4, 0, 0),
  [16081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10741),
  [16083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11007),
  [16085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8140),
  [16087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7883),
  [16089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8506),
  [16091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [16093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5852),
  [16095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4134),
  [16097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7985),
  [16099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10405),
  [16101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7985),
  [16103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4471),
  [16105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8263),
  [16107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 11, 0, 172),
  [16109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 10, 0, 205),
  [16111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10765),
  [16113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8261),
  [16115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10425),
  [16117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14833),
  [16119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14833),
  [16121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8502),
  [16123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 10, 0, 0),
  [16125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 11, 0, 205),
  [16127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mysql_update_statement, 3, 0, 0),
  [16129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 11, 0, 0),
  [16131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10268),
  [16133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 10, 0, 140),
  [16135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 10, 0, 172),
  [16137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10414),
  [16139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14831),
  [16141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14831),
  [16143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8498),
  [16145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6997),
  [16147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11168),
  [16149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__optimize_table, 3, 0, 0),
  [16151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__operator_class, 4, 0, 225),
  [16153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_statement, 4, 0, 0),
  [16155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8354),
  [16157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10327),
  [16159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11784),
  [16161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4253),
  [16163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4502),
  [16165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 6, 0, 98),
  [16167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 6, 0, 0),
  [16169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6939),
  [16171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 6, 0, 73),
  [16173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9172),
  [16175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 10, 0, 0),
  [16177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10460),
  [16179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13686),
  [16181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 7, 0, 0),
  [16183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10139),
  [16185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13680),
  [16187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13680),
  [16189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7282),
  [16191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10122),
  [16193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__merge_statement, 10, 0, 222),
  [16195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 7, 0, 140),
  [16197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 7, 0, 98),
  [16199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__merge_statement, 10, 0, 220),
  [16201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rename_statement, 9, 0, 187),
  [16203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8693),
  [16205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [16207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10747),
  [16209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8122),
  [16211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4782),
  [16213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11806),
  [16215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11714),
  [16217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14101),
  [16219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11009),
  [16221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10050),
  [16223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13585),
  [16225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13585),
  [16227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8311),
  [16229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11018),
  [16231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 4, 0, 0),
  [16233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8923),
  [16235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8494),
  [16237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [16239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4555),
  [16241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10042),
  [16243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 4, 0, 18),
  [16245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8924),
  [16247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10016),
  [16249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10013),
  [16251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6730),
  [16253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [16255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11903),
  [16257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11906),
  [16259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13507),
  [16261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_schema, 4, 0, 0),
  [16263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10071),
  [16265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ordered_columns, 3, 0, 0),
  [16267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11601),
  [16269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6429),
  [16271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__merge_statement, 12, 0, 252),
  [16273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13864),
  [16275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11068),
  [16277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10647),
  [16279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10200),
  [16281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12317),
  [16283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12317),
  [16285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7376),
  [16287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7310),
  [16289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10194),
  [16291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_database, 3, 0, 0),
  [16293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10908),
  [16295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10273),
  [16297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5570),
  [16299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 9, 0, 206),
  [16301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10423),
  [16303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10525),
  [16305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_database, 4, 0, 0),
  [16307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11082),
  [16309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9952),
  [16311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10528),
  [16313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 9, 0, 0),
  [16315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10426),
  [16317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13582),
  [16319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13577),
  [16321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 9, 0, 205),
  [16323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field, 1, 0, 7),
  [16325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 12, 0, 205),
  [16327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11741),
  [16329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10533),
  [16331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10185),
  [16333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10184),
  [16335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10537),
  [16337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11849),
  [16339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11709),
  [16341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13756),
  [16343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 12, 0, 0),
  [16345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10146),
  [16347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__optimize_table, 4, 0, 0),
  [16349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11516),
  [16351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5835),
  [16353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10539),
  [16355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4759),
  [16357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8207),
  [16359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8374),
  [16361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8211),
  [16363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 9, 0, 98),
  [16365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 9, 0, 140),
  [16367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 9, 0, 172),
  [16369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 9, 0, 0),
  [16371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10238),
  [16373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8110),
  [16375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [16377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [16379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__operator_class, 3, 0, 200),
  [16381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4686),
  [16383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [16385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10543),
  [16387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7790),
  [16389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10549),
  [16391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 9, 0, 0),
  [16393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10370),
  [16395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10550),
  [16397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11790),
  [16399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11807),
  [16401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13924),
  [16403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5748),
  [16405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [16407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__merge_statement, 9, 0, 197),
  [16409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4450),
  [16411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__merge_statement, 9, 0, 196),
  [16413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_list, 1, 0, 0),
  [16415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__merge_statement_repeat1, 2, 0, 0),
  [16417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__merge_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(11886),
  [16420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mysql_update_statement, 4, 0, 0),
  [16422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_statement, 5, 0, 0),
  [16424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4072),
  [16426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__on_conflict, 5, 0, 0),
  [16428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__merge_statement, 8, 0, 169),
  [16430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_list, 2, 0, 0),
  [16432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11744),
  [16434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_query, 1, 0, 2),
  [16436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11630),
  [16438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14435),
  [16440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7910),
  [16442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11647),
  [16444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14369),
  [16446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8075),
  [16448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4745),
  [16450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8325),
  [16452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4614),
  [16454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 8, 0, 0),
  [16456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11642),
  [16458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14387),
  [16460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8019),
  [16462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rename_statement, 8, 0, 0),
  [16464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 5, 0, 0),
  [16466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2449),
  [16468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [16470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 13, 0, 0),
  [16472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10027),
  [16474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12935),
  [16476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 5, 0, 0),
  [16478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9843),
  [16480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 8, 0, 172),
  [16482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rename_statement, 8, 0, 153),
  [16484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4525),
  [16486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12992),
  [16488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 8, 0, 140),
  [16490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rename_statement, 8, 0, 187),
  [16492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11140),
  [16494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__compute_stats, 8, 0, 0),
  [16496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13817),
  [16498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10923),
  [16500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 8, 0, 98),
  [16502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11778),
  [16504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11638),
  [16506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14403),
  [16508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7922),
  [16510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__temporary, 1, 0, 0),
  [16512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8450),
  [16514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__if_not_exists, 3, 0, 0),
  [16516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__if_not_exists, 3, 0, 0),
  [16518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_type, 5, 0, 0),
  [16520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9814),
  [16522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10547),
  [16524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 3, 0, 67),
  [16526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8997),
  [16528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13223),
  [16530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11634),
  [16532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14419),
  [16534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7948),
  [16536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 3, 0, 0),
  [16538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9032),
  [16540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ordered_column, 1, 0, 7),
  [16542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6406),
  [16544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11607),
  [16546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3634),
  [16548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_schema, 3, 0, 0),
  [16550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10348),
  [16552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 5, 0, 64),
  [16554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9789),
  [16556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13478),
  [16558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11628),
  [16560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14448),
  [16562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7941),
  [16564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11686),
  [16566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10018),
  [16568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9771),
  [16570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12760),
  [16572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12760),
  [16574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8313),
  [16576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10301),
  [16578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12872),
  [16580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_materialized_view, 8, 0, 0),
  [16582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11915),
  [16584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7136),
  [16586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11595),
  [16588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13615),
  [16590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11759),
  [16592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14112),
  [16594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7915),
  [16596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11551),
  [16598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8248),
  [16600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13809),
  [16602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 8, 0, 0),
  [16604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10277),
  [16606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 8, 0, 175),
  [16608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10275),
  [16610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11207),
  [16612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10689),
  [16614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13522),
  [16616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8334),
  [16618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11213),
  [16620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11626),
  [16622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete, 1, 0, 0),
  [16624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9973),
  [16626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_fields, 4, 0, 136),
  [16628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10701),
  [16630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11342),
  [16632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11793),
  [16634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8090),
  [16636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rename_statement, 5, 0, 0),
  [16638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 8, 0, 0),
  [16640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10211),
  [16642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11799),
  [16644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__optimize_table, 5, 0, 0),
  [16646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8342),
  [16648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4225),
  [16650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8130),
  [16652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__merge_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(11972),
  [16655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11800),
  [16657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6962),
  [16659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11801),
  [16661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4148),
  [16663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11802),
  [16665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5642),
  [16667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10660),
  [16669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11561),
  [16671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11805),
  [16673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rename_statement, 7, 0, 153),
  [16675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__rename_statement_repeat1, 2, 0, 0),
  [16677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__rename_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8693),
  [16680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rename_statement, 7, 0, 0),
  [16682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__if_exists, 2, 0, 0),
  [16684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__if_exists, 2, 0, 0),
  [16686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 7, 0, 143),
  [16688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11679),
  [16690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__compute_stats, 7, 0, 0),
  [16692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14340),
  [16694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11496),
  [16696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 6, 0, 0),
  [16698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9765),
  [16700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14320),
  [16702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__vacuum_option, 1, 0, 0),
  [16704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10777),
  [16706] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__vacuum_option, 1, 0, 0),
  [16708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_constraint, 2, 0, 0),
  [16710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9255),
  [16712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_materialized_view, 6, 0, 0),
  [16714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12250),
  [16716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11302),
  [16718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11839),
  [16720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_fields, 2, 0, 0),
  [16722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10061),
  [16724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14251),
  [16726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11465),
  [16728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_configuration, 3, 0, 145),
  [16730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13234),
  [16732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 7, 0, 143),
  [16734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9994),
  [16736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12268),
  [16738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 6, 0, 102),
  [16740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9803),
  [16742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [16744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12204),
  [16746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_fields, 3, 0, 136),
  [16748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14310),
  [16750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11414),
  [16752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6756),
  [16754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_materialized_view, 7, 0, 0),
  [16756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11962),
  [16758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 7, 0, 0),
  [16760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9948),
  [16762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6435),
  [16764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14297),
  [16766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12195),
  [16768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [16770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11345),
  [16772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rename_statement, 6, 0, 0),
  [16774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 6, 0, 102),
  [16776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12135),
  [16778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8347),
  [16780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14274),
  [16782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11937),
  [16784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11575),
  [16786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11966),
  [16788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11965),
  [16790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_select_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(747),
  [16793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11968),
  [16795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11973),
  [16797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10457),
  [16799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11577),
  [16801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10284),
  [16803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8830),
  [16805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12118),
  [16807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13503),
  [16809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_invocation_repeat1, 3, 0, 40),
  [16811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11954),
  [16813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11085),
  [16815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__optimize_table, 6, 0, 0),
  [16817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9138),
  [16819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12810),
  [16821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12811),
  [16823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12813),
  [16825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12815),
  [16827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8752),
  [16829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9119),
  [16831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__delete_statement, 2, 0, 0),
  [16833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [16835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 6, 0, 73),
  [16837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9490),
  [16839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__copy_statement, 9, 0, 0),
  [16841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__copy_statement, 9, 0, 218),
  [16843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_position, 2, 0, 105),
  [16845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12138),
  [16847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 7, 0, 82),
  [16849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__copy_statement, 9, 0, 189),
  [16851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_table_repeat1, 2, 0, 0),
  [16853] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_table_repeat1, 2, 0, 0), SHIFT_REPEAT(6212),
  [16856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_change_ownership, 3, 0, 0),
  [16858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 7, 0, 83),
  [16860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint, 1, 0, 2),
  [16862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_constraint, 3, 0, 0),
  [16864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint, 1, 0, 0),
  [16866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12128),
  [16868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 7, 0, 84),
  [16870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__update_statement, 1, 0, 0),
  [16872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__insert_statement, 1, 0, 0),
  [16874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_column, 3, 0, 18),
  [16876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 24, 0, 285),
  [16878] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 23, 0, 284),
  [16880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9781),
  [16882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12123),
  [16884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6792),
  [16886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12687),
  [16888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_schema, 3, 0, 103),
  [16890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 23, 0, 283),
  [16892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table, 6, 0, 0),
  [16894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6212),
  [16896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__on_conflict, 4, 0, 0),
  [16898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 22, 0, 0),
  [16900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [16902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [16904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 22, 0, 282),
  [16906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rename_object, 3, 0, 0),
  [16908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 22, 0, 281),
  [16910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11974),
  [16912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12296),
  [16914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6921),
  [16916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6740),
  [16918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 21, 0, 0),
  [16920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 21, 0, 280),
  [16922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12494),
  [16924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12494),
  [16926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8392),
  [16928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9815),
  [16930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14193),
  [16932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14193),
  [16934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2790),
  [16936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6918),
  [16938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_argument, 2, 0, 57),
  [16940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6916),
  [16942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 21, 0, 279),
  [16944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_type, 6, 0, 60),
  [16946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6923),
  [16948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6922),
  [16950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12097),
  [16952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10620),
  [16954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 20, 0, 0),
  [16956] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 6, 0, 64),
  [16958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_type, 7, 0, 0),
  [16960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_elements, 2, 0, 0),
  [16962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_type, 7, 0, 142),
  [16964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_schema, 6, 0, 0),
  [16966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 7, 0, 102),
  [16968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__create_trigger_event, 3, 0, 0),
  [16970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6905),
  [16972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_argument, 3, 0, 23),
  [16974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6907),
  [16976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6945),
  [16978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [16980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12089),
  [16982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 20, 0, 278),
  [16984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13711),
  [16986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10289),
  [16988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6897),
  [16990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 20, 0, 277),
  [16992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_type, 6, 0, 0),
  [16994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table, 7, 0, 0),
  [16996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 4, 0, 67),
  [16998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 4, 0, 146),
  [17000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_change_column, 4, 0, 104),
  [17002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_column, 4, 0, 37),
  [17004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_constraint, 4, 0, 0),
  [17006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__primary_key_constraint, 2, 0, 0),
  [17008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 18, 0, 273),
  [17010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rename_column, 4, 0, 148),
  [17012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 19, 0, 0),
  [17014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__partition_spec, 4, 0, 0),
  [17016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 19, 0, 276),
  [17018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 19, 0, 275),
  [17020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12255),
  [17022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [17024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12079),
  [17026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6806),
  [17028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9760),
  [17030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6885),
  [17032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table, 4, 0, 0),
  [17034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6290),
  [17036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__mysql_update_statement, 5, 0, 0),
  [17038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 18, 0, 0),
  [17040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7009),
  [17042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7009),
  [17044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__delete_from, 6, 0, 0),
  [17046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_repeat1, 2, 0, 0), SHIFT_REPEAT(1602),
  [17049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_repeat1, 2, 0, 0),
  [17051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [17053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 18, 0, 274),
  [17055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 6, 0, 45),
  [17057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9143),
  [17059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9145),
  [17061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 6, 0, 44),
  [17063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6530),
  [17065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 17, 0, 0),
  [17067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 17, 0, 272),
  [17069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 17, 0, 271),
  [17071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 10, 0, 167),
  [17073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 10, 0, 269),
  [17075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__vacuum_table, 2, 0, 0),
  [17077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8860),
  [17079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9808),
  [17081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 8, 0, 126),
  [17083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__copy_statement, 10, 0, 218),
  [17085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 16, 0, 0),
  [17087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 6, 0, 43),
  [17089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 8, 0, 127),
  [17091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, 0, 57),
  [17093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, 0, 57),
  [17095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 8, 0, 128),
  [17097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 8, 0, 0),
  [17099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 16, 0, 0),
  [17101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__on_duplicate_key_update, 5, 0, 0),
  [17103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 16, 0, 268),
  [17105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 16, 0, 267),
  [17107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [17109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 9, 0, 167),
  [17111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 9, 0, 134),
  [17113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 9, 0, 266),
  [17115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10475),
  [17117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12037),
  [17119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_invocation_repeat1, 2, 0, 75),
  [17121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table, 8, 0, 0),
  [17123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9681),
  [17125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8340),
  [17127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [17129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [17131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9148),
  [17133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7438),
  [17135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7438),
  [17137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11798),
  [17139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10892),
  [17141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__check_option, 2, 0, 0),
  [17143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12136),
  [17145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_database, 5, 0, 0),
  [17147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11229),
  [17149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8332),
  [17151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14464),
  [17153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14464),
  [17155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 5, 0, 37),
  [17157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9632),
  [17159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__copy_statement, 8, 0, 189),
  [17161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__copy_statement, 8, 0, 0),
  [17163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10108),
  [17165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_type, 8, 0, 173),
  [17167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_elements, 3, 0, 174),
  [17169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12282),
  [17171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update, 2, 0, 0),
  [17173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9730),
  [17175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 15, 0, 0),
  [17177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [17179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 8, 0, 143),
  [17181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11980),
  [17183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 15, 0, 265),
  [17185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__create_trigger_event, 4, 0, 0),
  [17187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12874),
  [17189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11565),
  [17191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 15, 0, 0),
  [17193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 15, 0, 264),
  [17195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 8, 0, 263),
  [17197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 8, 0, 134),
  [17199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8408),
  [17201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_column_position, 1, 0, 0),
  [17203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11881),
  [17205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_table, 5, 0, 0),
  [17207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9717),
  [17209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, 0, 57),
  [17211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, 0, 57),
  [17213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_column, 2, 0, 67),
  [17215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 14, 0, 262),
  [17217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_view, 14, 0, 0),
  [17219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10839),
  [17221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 14, 0, 261),
  [17223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6882),
  [17225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_argument, 1, 0, 65),
  [17227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6883),
  [17229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9083),
  [17231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9080),
  [17233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 14, 0, 0),
  [17235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update, 3, 0, 0),
  [17237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 5, 0, 18),
  [17239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 5, 0, 178),
  [17241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 5, 0, 179),
  [17243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 7, 0, 134),
  [17245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 7, 0, 88),
  [17247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_schema, 5, 0, 0),
  [17249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 7, 0, 259),
  [17251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_change_column, 5, 0, 147),
  [17253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modify_column, 5, 0, 0),
  [17255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_constraint, 5, 0, 0),
  [17257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_column, 5, 0, 0),
  [17259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10618),
  [17261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12054),
  [17263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10661),
  [17265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10663),
  [17267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11910),
  [17269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6877),
  [17271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6928),
  [17273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constraint_literal, 3, 0, 67),
  [17275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rename_column, 5, 0, 181),
  [17277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6781),
  [17279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__partition_spec, 5, 0, 0),
  [17281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10089),
  [17283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [17285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 5, 0, 177),
  [17287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13976),
  [17289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13976),
  [17291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8426),
  [17293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 5, 0, 26),
  [17295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__merge_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(11862),
  [17298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11822),
  [17300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 13, 0, 258),
  [17302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 13, 0, 205),
  [17304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10386),
  [17306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [17308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 13, 0, 0),
  [17310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 9, 0, 163),
  [17312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13764),
  [17314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13764),
  [17316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [17318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 6, 0, 0),
  [17320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 6, 0, 84),
  [17322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 6, 0, 88),
  [17324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 9, 0, 164),
  [17326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__on_conflict, 6, 0, 0),
  [17328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11688),
  [17330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6727),
  [17332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14324),
  [17334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10829),
  [17336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [17338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6537),
  [17340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13046),
  [17342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13046),
  [17344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [17346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11756),
  [17348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_materialized_view, 9, 0, 0),
  [17350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [17352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6785),
  [17354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__rename_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(8752),
  [17357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [17359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1265),
  [17361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13049),
  [17363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11613),
  [17365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_type, 9, 0, 202),
  [17367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_elements, 4, 0, 203),
  [17369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_table, 9, 0, 0),
  [17371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 3, 0, 57),
  [17373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 3, 0, 57),
  [17375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_trigger, 12, 0, 0),
  [17377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11536),
  [17379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11619),
  [17381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 12, 0, 172),
  [17383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 9, 0, 175),
  [17385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 4, 0, 18),
  [17387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9380),
  [17389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [17391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9849),
  [17393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13772),
  [17395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11836),
  [17397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7780),
  [17399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 6, 0, 207),
  [17401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11868),
  [17403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 6, 0, 208),
  [17405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 5, 0, 0),
  [17407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 6, 0, 209),
  [17409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_clause, 5, 0, 43),
  [17411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 6, 0, 210),
  [17413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_change_column, 6, 0, 180),
  [17415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [17417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constraint_literal, 4, 0, 67),
  [17419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7798),
  [17421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7021),
  [17423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [17425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__compute_stats, 9, 0, 0),
  [17427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10593),
  [17429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [17431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10705),
  [17433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12088),
  [17435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rename_table_names, 3, 0, 0),
  [17437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [17439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 10, 0, 192),
  [17441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 10, 0, 193),
  [17443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13645),
  [17445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11866),
  [17447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7901),
  [17449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11537),
  [17451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9999),
  [17453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_materialized_view, 10, 0, 0),
  [17455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11912),
  [17457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [17459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__vacuum_table, 3, 0, 0),
  [17461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8821),
  [17463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11984),
  [17465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9929),
  [17467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 8, 0, 246),
  [17469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14826),
  [17471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14826),
  [17473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_materialized_view, 11, 0, 0),
  [17475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10954),
  [17477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14829),
  [17479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14829),
  [17481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8477),
  [17483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 10, 0, 98),
  [17485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 11, 0, 0),
  [17487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__postgres_update_statement, 3, 0, 0),
  [17489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_index, 11, 0, 140),
  [17491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10764),
  [17493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9059),
  [17495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 10, 0, 206),
  [17497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14835),
  [17499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14835),
  [17501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8503),
  [17503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_create_extension, 10, 0, 0),
  [17505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [17507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_insert, 4, 0, 14),
  [17509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 7, 0, 226),
  [17511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 7, 0, 227),
  [17513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_column, 7, 0, 228),
  [17515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7730),
  [17517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_table_repeat1, 2, 0, 0), SHIFT_REPEAT(6290),
  [17520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [17522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__compute_stats, 10, 0, 0),
  [17524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10827),
  [17526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11921),
  [17528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11675),
  [17530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [17532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 8, 0, 150),
  [17534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8594),
  [17536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [17538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [17540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [17542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [17544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9608),
  [17546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [17548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 10, 0, 0),
  [17550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9081),
  [17552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14809),
  [17554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9090),
  [17556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14807),
  [17558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9095),
  [17560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14805),
  [17562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9106),
  [17564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14804),
  [17566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9136),
  [17568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14801),
  [17570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9251),
  [17572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14799),
  [17574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9139),
  [17576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14798),
  [17578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9147),
  [17580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14796),
  [17582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12003),
  [17584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 6, 0, 171),
  [17586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9171),
  [17588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9555),
  [17590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [17592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9205),
  [17594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [17596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9206),
  [17598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__copy_statement, 10, 0, 189),
  [17600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [17602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9211),
  [17604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5099),
  [17606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__copy_statement, 10, 0, 0),
  [17608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9212),
  [17610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9221),
  [17612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5096),
  [17614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5093),
  [17616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9224),
  [17618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5090),
  [17620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9366),
  [17622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9254),
  [17624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9258),
  [17626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5580),
  [17628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 1),
  [17630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [17632] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 2),
  [17634] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_write, 1, 0, 0),
  [17636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ddl_statement, 1, 0, 3),
  [17638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5071),
  [17640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5067),
  [17642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8418),
  [17644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14739),
  [17646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5065),
  [17648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__ddl_statement, 1, 0, 4),
  [17650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5797),
  [17652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5006),
  [17654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14504),
  [17656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11623),
  [17658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 10, 0, 150),
  [17660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 2, 0, 0),
  [17662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 2, 0, 8),
  [17664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_index_repeat1, 2, 0, 161),
  [17666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_index_repeat1, 2, 0, 161), SHIFT_REPEAT(10333),
  [17669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 10, 0, 231),
  [17671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11560),
  [17673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 10, 0, 230),
  [17675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10811),
  [17677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10333),
  [17679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 10, 0, 229),
  [17681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6718),
  [17683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reset_statement, 2, 0, 0),
  [17685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14339),
  [17687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14331),
  [17689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_ordered_columns_repeat1, 2, 0, 0),
  [17691] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_ordered_columns_repeat1, 2, 0, 0), SHIFT_REPEAT(7830),
  [17694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [17696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [17698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [17700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10388),
  [17702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9461),
  [17704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14300),
  [17706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8959),
  [17708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14309),
  [17710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4117),
  [17712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [17714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9003),
  [17716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11571),
  [17718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__dml_write, 2, 0, 0),
  [17720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6260),
  [17722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [17724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [17726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [17728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__insert_statement, 2, 0, 0),
  [17730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__update_statement, 2, 0, 0),
  [17732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [17734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [17736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14188),
  [17738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10473),
  [17740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 2, 0, 9),
  [17742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [17744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3077),
  [17746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11748),
  [17748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7561),
  [17750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3074),
  [17752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [17754] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_statement, 3, 0, 0),
  [17756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [17758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [17760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3059),
  [17762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [17764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9012),
  [17766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13980),
  [17768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [17770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8378),
  [17772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13972),
  [17774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [17776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5887),
  [17778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5922),
  [17780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13906),
  [17782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 3, 0, 17),
  [17784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 3, 0, 0),
  [17786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 3, 0, 14),
  [17788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11643),
  [17790] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 5, 0, 201),
  [17792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_role, 3, 0, 0),
  [17794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9093),
  [17796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [17798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8906),
  [17800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [17802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4494),
  [17804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11762),
  [17806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 5, 0, 199),
  [17808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4497),
  [17810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11525),
  [17812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 5, 0, 198),
  [17814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3215),
  [17816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13866),
  [17818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13865),
  [17820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6690),
  [17822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [17824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [17826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reset_statement, 3, 0, 0),
  [17828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [17830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8550),
  [17832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_table_repeat1, 2, 0, 0), SHIFT_REPEAT(6260),
  [17835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__vacuum_option, 2, 0, 0),
  [17837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [17839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13542),
  [17841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14248),
  [17843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11711),
  [17845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3227),
  [17847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 3, 0, 8),
  [17849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3229),
  [17851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8279),
  [17853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14229),
  [17855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9110),
  [17857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3231),
  [17859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__delete_statement, 3, 0, 0),
  [17861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_returning, 2, 0, 0),
  [17863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4404),
  [17865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9084),
  [17867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13860),
  [17869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13859),
  [17871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3597),
  [17873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 11, 0, 247),
  [17875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [17877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13425),
  [17879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 11, 0, 232),
  [17881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13419),
  [17883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13381),
  [17885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 11, 0, 183),
  [17887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2748),
  [17889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7942),
  [17891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13343),
  [17893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__compute_stats, 11, 0, 0),
  [17895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_values, 2, 0, 0),
  [17897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13288),
  [17899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__transaction_mode, 8, 0, 0),
  [17901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14565),
  [17903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11776),
  [17905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13229),
  [17907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13751),
  [17909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13750),
  [17911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11517),
  [17913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13111),
  [17915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13052),
  [17917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [17919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12993),
  [17921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11739),
  [17923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7494),
  [17925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12934),
  [17927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [17929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [17931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7431),
  [17933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4845),
  [17935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6330),
  [17937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12875),
  [17939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9236),
  [17941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13659),
  [17943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8776),
  [17945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7271),
  [17947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4848),
  [17949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12816),
  [17951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [17953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12757),
  [17955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9372),
  [17957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14076),
  [17959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13823),
  [17961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12685),
  [17963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [17965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [17967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12613),
  [17969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4128),
  [17971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [17973] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_view, 4, 0, 0),
  [17975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [17977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10021),
  [17979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11041),
  [17981] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_sequence, 4, 0, 0),
  [17983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6647),
  [17985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12541),
  [17987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 4, 0, 0),
  [17989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11917),
  [17991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9301),
  [17993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9975),
  [17995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 4, 0, 0),
  [17997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_database, 4, 0, 0),
  [17999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 4, 0, 36),
  [18001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11728),
  [18003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12460),
  [18005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 4, 0, 0),
  [18007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [18009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 4, 0, 26),
  [18011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 4, 0, 14),
  [18013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_role, 4, 0, 0),
  [18015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8920),
  [18017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7575),
  [18019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8591),
  [18021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7285),
  [18023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12375),
  [18025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3174),
  [18027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [18029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [18031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13426),
  [18033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9949),
  [18035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4159),
  [18037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9406),
  [18039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13382),
  [18041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13380),
  [18043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10236),
  [18045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11814),
  [18047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__vacuum_table, 4, 0, 0),
  [18049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9391),
  [18051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11838),
  [18053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9163),
  [18055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10005),
  [18057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comment_target, 2, 0, 0),
  [18059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [18061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [18063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9041),
  [18065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13745),
  [18067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13724),
  [18069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4168),
  [18071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12283),
  [18073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2416),
  [18075] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(1129),
  [18078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4113),
  [18080] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2, 0, 0), SHIFT_REPEAT(1153),
  [18083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [18085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3052),
  [18087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [18089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6789),
  [18091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__copy_statement, 11, 0, 218),
  [18093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6667),
  [18095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8465),
  [18097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 9, 0, 213),
  [18099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [18101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_values, 3, 0, 0),
  [18103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8600),
  [18105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 9, 0, 183),
  [18107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8603),
  [18109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [18111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [18113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10605),
  [18115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4540),
  [18117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10841),
  [18119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9525),
  [18121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 9, 0, 212),
  [18123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 9, 0, 0),
  [18125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 9, 0, 211),
  [18127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13620),
  [18129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6828),
  [18131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10609),
  [18133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4548),
  [18135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8434),
  [18137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11876),
  [18139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [18141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6712),
  [18143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10459),
  [18145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11746),
  [18147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [18149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11722),
  [18151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6245),
  [18153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12914),
  [18155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [18157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [18159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [18161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12936),
  [18163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [18165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [18167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [18169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [18171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9498),
  [18173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12922),
  [18175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8713),
  [18177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6780),
  [18179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6786),
  [18181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8710),
  [18183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6910),
  [18185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7516),
  [18187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [18189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10366),
  [18191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7448),
  [18193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9776),
  [18195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8608),
  [18197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8609),
  [18199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8610),
  [18201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10770),
  [18203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8505),
  [18205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11933),
  [18207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [18209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__create_trigger_event, 1, 0, 0),
  [18211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9784),
  [18213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [18215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9551),
  [18217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [18219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8456),
  [18221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12172),
  [18223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [18225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [18227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12094),
  [18229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [18231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11735),
  [18233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_role, 5, 0, 0),
  [18235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12753),
  [18237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6802),
  [18239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11672),
  [18241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [18243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_role, 5, 0, 66),
  [18245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [18247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8329),
  [18249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12111),
  [18251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [18253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8422),
  [18255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [18257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [18259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [18261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6803),
  [18263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8926),
  [18265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7830),
  [18267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_view, 5, 0, 0),
  [18269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9714),
  [18271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11201),
  [18273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [18275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_sequence, 5, 0, 0),
  [18277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6779),
  [18279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6861),
  [18281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10441),
  [18283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [18285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3167),
  [18287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [18289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6853),
  [18291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6850),
  [18293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10440),
  [18295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 5, 0, 0),
  [18297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5609),
  [18299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10143),
  [18301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8615),
  [18303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [18305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14620),
  [18307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8616),
  [18309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10710),
  [18311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5596),
  [18313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [18315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10709),
  [18317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9354),
  [18319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8618),
  [18321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [18323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8928),
  [18325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14614),
  [18327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_database, 5, 0, 0),
  [18329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_database, 5, 0, 72),
  [18331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6972),
  [18333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 5, 0, 26),
  [18335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_table, 5, 0, 0),
  [18337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_view, 5, 0, 0),
  [18339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14214),
  [18341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [18343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_sequence, 5, 0, 0),
  [18345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3380),
  [18347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3381),
  [18349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 5, 0, 18),
  [18351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [18353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_type, 5, 0, 0),
  [18355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_schema, 5, 0, 0),
  [18357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [18359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12544),
  [18361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12543),
  [18363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6682),
  [18365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12539),
  [18367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11624),
  [18369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11614),
  [18371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__vacuum_table, 5, 0, 0),
  [18373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11248),
  [18375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7234),
  [18377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9063),
  [18379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [18381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment_statement, 5, 0, 0),
  [18383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comment_statement, 5, 0, 64),
  [18385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6840),
  [18387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3078),
  [18389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [18391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3066),
  [18393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_invocation_repeat1, 2, 0, 77),
  [18395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_invocation_repeat1, 2, 0, 77), SHIFT_REPEAT(617),
  [18398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [18400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_frame_definition, 1, 0, 0),
  [18402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [18404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6926),
  [18406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6849),
  [18408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [18410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6835),
  [18412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8625),
  [18414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10668),
  [18416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10698),
  [18418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8626),
  [18420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [18422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10657),
  [18424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7212),
  [18426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9706),
  [18428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [18430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [18432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11598),
  [18434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11597),
  [18436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8416),
  [18438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8275),
  [18440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__column_list_repeat1, 2, 0, 0),
  [18442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__column_list_repeat1, 2, 0, 0), SHIFT_REPEAT(7942),
  [18445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__truncate_statement, 6, 0, 0),
  [18447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_statement, 6, 0, 0),
  [18449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6860),
  [18451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6823),
  [18453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11533),
  [18455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 7, 0, 244),
  [18457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8630),
  [18459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9560),
  [18461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9564),
  [18463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12333),
  [18465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10616),
  [18467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10667),
  [18469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9866),
  [18471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6745),
  [18473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9557),
  [18475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [18477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11581),
  [18479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8656),
  [18481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11579),
  [18483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8655),
  [18485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4777),
  [18487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8654),
  [18489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8523),
  [18491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4771),
  [18493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10152),
  [18495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [18497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9214),
  [18499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9798),
  [18501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4870),
  [18503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_elements_repeat1, 2, 0, 204),
  [18505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_elements_repeat1, 2, 0, 204), SHIFT_REPEAT(9354),
  [18508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6742),
  [18510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11563),
  [18512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8573),
  [18514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10592),
  [18516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9350),
  [18518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4904),
  [18520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4914),
  [18522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4917),
  [18524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10573),
  [18526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9320),
  [18528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9289),
  [18530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6767),
  [18532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8445),
  [18534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10565),
  [18536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10559),
  [18538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9243),
  [18540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9234),
  [18542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5656),
  [18544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9225),
  [18546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6761),
  [18548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10555),
  [18550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10553),
  [18552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9191),
  [18554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9178),
  [18556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9188),
  [18558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_sequence, 6, 0, 0),
  [18560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10520),
  [18562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12198),
  [18564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10519),
  [18566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9121),
  [18568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4923),
  [18570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 6, 0, 0),
  [18572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4925),
  [18574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9013),
  [18576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9111),
  [18578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4927),
  [18580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_database, 6, 0, 0),
  [18582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10514),
  [18584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_database, 6, 0, 107),
  [18586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_schema, 6, 0, 0),
  [18588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9840),
  [18590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5562),
  [18592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10512),
  [18594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9049),
  [18596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6830),
  [18598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4934),
  [18600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10502),
  [18602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10501),
  [18604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 6, 0, 37),
  [18606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6811),
  [18608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 6, 0, 18),
  [18610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_database, 6, 0, 0),
  [18612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10498),
  [18614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_extension, 6, 0, 0),
  [18616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10480),
  [18618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12718),
  [18620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12720),
  [18622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6675),
  [18624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cte_repeat1, 2, 0, 111),
  [18626] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cte_repeat1, 2, 0, 111), SHIFT_REPEAT(9949),
  [18629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5651),
  [18631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10495),
  [18633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10491),
  [18635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6784),
  [18637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10490),
  [18639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8575),
  [18641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 6, 0, 43),
  [18643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3775),
  [18645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10488),
  [18647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10487),
  [18649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [18651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__vacuum_table, 6, 0, 0),
  [18653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10485),
  [18655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__vacuum_table_repeat1, 2, 0, 0),
  [18657] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__vacuum_table_repeat1, 2, 0, 0), SHIFT_REPEAT(9391),
  [18660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11365),
  [18662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [18664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10483),
  [18666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10482),
  [18668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8811),
  [18670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11659),
  [18672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 4, 0, 97),
  [18674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8961),
  [18676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [18678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10496),
  [18680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [18682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [18684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3507),
  [18686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [18688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_frame_definition, 2, 0, 0),
  [18690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5697),
  [18692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__current_row, 2, 0, 0),
  [18694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9810),
  [18696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_frame_definition, 2, 0, 116),
  [18698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_frame_definition, 2, 0, 117),
  [18700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_frame_definition, 2, 0, 118),
  [18702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_frame_definition, 2, 0, 119),
  [18704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8851),
  [18706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [18708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [18710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3513),
  [18712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [18714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5701),
  [18716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12263),
  [18718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7553),
  [18720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3483),
  [18722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9744),
  [18724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8453),
  [18726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [18728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_column_repeat1, 2, 0, 131),
  [18730] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_alter_column_repeat1, 2, 0, 131), SHIFT_REPEAT(9461),
  [18733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9747),
  [18735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraints, 2, 0, 0),
  [18737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7488),
  [18739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_column_definitions_repeat1, 2, 0, 0),
  [18741] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_column_definitions_repeat1, 2, 0, 0), SHIFT_REPEAT(7895),
  [18744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8419),
  [18746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4203),
  [18748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [18750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9752),
  [18752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [18754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6755),
  [18756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6920),
  [18758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6752),
  [18760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9761),
  [18762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9763),
  [18764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9384),
  [18766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5703),
  [18768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11733),
  [18770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 4, 0, 96),
  [18772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3519),
  [18774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9770),
  [18776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [18778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [18780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [18782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [18784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9377),
  [18786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11943),
  [18788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 2, 0, 96),
  [18790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [18792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9775),
  [18794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11923),
  [18796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 2, 0, 97),
  [18798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8607),
  [18800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [18802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8605),
  [18804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9976),
  [18806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9977),
  [18808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3525),
  [18810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_type_repeat1, 2, 0, 63),
  [18812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_type_repeat1, 2, 0, 63), SHIFT_REPEAT(9525),
  [18815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8590),
  [18817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6833),
  [18819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat1, 2, 0, 0),
  [18821] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat1, 2, 0, 0), SHIFT_REPEAT(9555),
  [18824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_function_arguments_repeat1, 2, 0, 0),
  [18826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_function_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(5),
  [18829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6762),
  [18831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6895),
  [18833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9383),
  [18835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13854),
  [18837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_configuration, 3, 0, 30),
  [18839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11694),
  [18841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 4, 0, 171),
  [18843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6931),
  [18845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [18847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [18849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [18851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6168),
  [18853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6859),
  [18855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6210),
  [18857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8978),
  [18859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_sequence, 7, 0, 0),
  [18861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [18863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 7, 0, 0),
  [18865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11484),
  [18867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [18869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9816),
  [18871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_database, 7, 0, 0),
  [18873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10109),
  [18875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [18877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2652),
  [18879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3759),
  [18881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 7, 0, 73),
  [18883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 7, 0, 37),
  [18885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [18887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14400),
  [18889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14416),
  [18891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6696),
  [18893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6906),
  [18895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6902),
  [18897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__vacuum_table, 7, 0, 0),
  [18899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9841),
  [18901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7373),
  [18903] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__compute_stats_repeat2, 2, 0, 0), SHIFT_REPEAT(8690),
  [18906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__optimize_table, 7, 0, 0),
  [18908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [18910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [18912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9842),
  [18914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [18916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6725),
  [18918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3022),
  [18920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9864),
  [18922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9835),
  [18924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6743),
  [18926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8646),
  [18928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_repeat1, 2, 0, 161),
  [18930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_repeat1, 2, 0, 161), SHIFT_REPEAT(9608),
  [18933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [18935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4286),
  [18937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9882),
  [18939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9883),
  [18941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8469),
  [18943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5272),
  [18945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8474),
  [18947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraints, 3, 0, 0),
  [18949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6874),
  [18951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8782),
  [18953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [18955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4251),
  [18957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8640),
  [18959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8638),
  [18961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__transaction_mode, 6, 0, 0),
  [18963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_storage_parameters_repeat1, 2, 0, 0),
  [18965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6879),
  [18967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6822),
  [18969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5755),
  [18971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__transaction_mode, 7, 0, 0),
  [18973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [18975] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_storage_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(9760),
  [18978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [18980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [18982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__table_settings_repeat1, 2, 0, 0),
  [18984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__table_settings_repeat1, 2, 0, 0), SHIFT_REPEAT(7516),
  [18987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [18989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6838),
  [18991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8781),
  [18993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [18995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2829),
  [18997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8780),
  [18999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9141),
  [19001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5299),
  [19003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5291),
  [19005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_index_fields_repeat1, 2, 0, 0),
  [19007] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_index_fields_repeat1, 2, 0, 0), SHIFT_REPEAT(7448),
  [19010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8779),
  [19012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [19014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8778),
  [19016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8777),
  [19018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12203),
  [19020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 3, 0, 137),
  [19022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12214),
  [19024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 3, 0, 139),
  [19026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8551),
  [19028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 13, 0, 232),
  [19030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2836),
  [19032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2728),
  [19034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [19036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10253),
  [19038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5728),
  [19040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8641),
  [19042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10255),
  [19044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5196),
  [19046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5731),
  [19048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8771),
  [19050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8770),
  [19052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8767),
  [19054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2845),
  [19056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8547),
  [19058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5734),
  [19060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [19062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7900),
  [19064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12056),
  [19066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9911),
  [19068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9912),
  [19070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4649),
  [19072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8620),
  [19074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constraints_repeat1, 2, 0, 0),
  [19076] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_constraints_repeat1, 2, 0, 0), SHIFT_REPEAT(7488),
  [19079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8621),
  [19081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6724),
  [19083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8648),
  [19085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4632),
  [19087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8757),
  [19089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4440),
  [19091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9349),
  [19093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8753),
  [19095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3289),
  [19097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9061),
  [19099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13482),
  [19101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat3, 2, 0, 77),
  [19103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat3, 2, 0, 77), SHIFT_REPEAT(863),
  [19106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4436),
  [19108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [19110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6421),
  [19112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_role, 8, 0, 0),
  [19114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_role, 8, 0, 176),
  [19116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10000),
  [19118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6405),
  [19120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [19122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [19124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8746),
  [19126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [19128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1582),
  [19130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10051),
  [19132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10313),
  [19134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [19136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [19138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [19140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6739),
  [19142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9040),
  [19144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13834),
  [19146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3377),
  [19148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [19150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 8, 0, 0),
  [19152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4602),
  [19154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10958),
  [19156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10957),
  [19158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_index, 8, 0, 182),
  [19160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [19162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [19164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alter_type, 8, 0, 184),
  [19166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [19168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [19170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_drop_index, 8, 0, 73),
  [19172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3240),
  [19174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3345),
  [19176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [19178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10009),
  [19180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [19182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [19184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4196),
  [19186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4271),
  [19188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8597),
  [19190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8595),
  [19192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4589),
  [19194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [19196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10038),
  [19198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9322),
  [19200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [19202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [19204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12980),
  [19206] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8461),
  [19208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8461),
  [19210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9614),
  [19212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14633),
  [19214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 6, 0, 199),
  [19216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 8, 0, 244),
  [19218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 6, 0, 96),
  [19220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12092),
  [19222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12062),
  [19224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 6, 0, 198),
  [19226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11971),
  [19228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2719),
  [19230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [19232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6399),
  [19234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6410),
  [19236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11774),
  [19238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11780),
  [19240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7847),
  [19242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9058),
  [19244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13774),
  [19246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6943),
  [19248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6150),
  [19250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6151),
  [19252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5751),
  [19254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12799),
  [19256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5750),
  [19258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12800),
  [19260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2452),
  [19262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13371),
  [19264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [19266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13372),
  [19268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [19270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13373),
  [19272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5746),
  [19274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12801),
  [19276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6685),
  [19278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8700),
  [19280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [19282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7843),
  [19284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2280),
  [19286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [19288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [19290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9508),
  [19292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 6, 0, 97),
  [19294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6711),
  [19296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 5, 0, 139),
  [19298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10761),
  [19300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9051),
  [19302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__commit, 1, 0, 0),
  [19304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14288),
  [19306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rollback, 1, 0, 0),
  [19308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14287),
  [19310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3876),
  [19312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12734),
  [19314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4544),
  [19316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4543),
  [19318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7890),
  [19320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2576),
  [19322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [19324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [19326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12736),
  [19328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3875),
  [19330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12735),
  [19332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4265),
  [19334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13409),
  [19336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4266),
  [19338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13410),
  [19340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4267),
  [19342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13411),
  [19344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 6, 0, 201),
  [19346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [19348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12858),
  [19350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [19352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12859),
  [19354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [19356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12860),
  [19358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [19360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14244),
  [19362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14245),
  [19364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14056),
  [19366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10469),
  [19368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [19370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6715),
  [19372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7648),
  [19374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8983),
  [19376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14451),
  [19378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7978),
  [19380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14438),
  [19382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8033),
  [19384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14425),
  [19386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7848),
  [19388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14424),
  [19390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8000),
  [19392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14409),
  [19394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7908),
  [19396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14408),
  [19398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7913),
  [19400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14393),
  [19402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7838),
  [19404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14392),
  [19406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7990),
  [19408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12067),
  [19410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12070),
  [19412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14375),
  [19414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7746),
  [19416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14374),
  [19418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8101),
  [19420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12862),
  [19422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6970),
  [19424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13908),
  [19426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10264),
  [19428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6776),
  [19430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7823),
  [19432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4198),
  [19434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4199),
  [19436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11600),
  [19438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11640),
  [19440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11558),
  [19442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9166),
  [19444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9167),
  [19446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9168),
  [19448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9169),
  [19450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9176),
  [19452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9177),
  [19454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9179),
  [19456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 5, 0, 137),
  [19458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7031),
  [19460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9185),
  [19462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [19464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7874),
  [19466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8976),
  [19468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9198),
  [19470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11523),
  [19472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11521),
  [19474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 5, 0, 97),
  [19476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6703),
  [19478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9209),
  [19480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 5, 0, 96),
  [19482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [19484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [19486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11527),
  [19488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11526),
  [19490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9220),
  [19492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11528),
  [19494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7776),
  [19496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7695),
  [19498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9494),
  [19500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10324),
  [19502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14302),
  [19504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7414),
  [19506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3619),
  [19508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12917),
  [19510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7729),
  [19512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9559),
  [19514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [19516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12918),
  [19518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3617),
  [19520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12919),
  [19522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14286),
  [19524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7395),
  [19526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14284),
  [19528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7392),
  [19530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14283),
  [19532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13603),
  [19534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7692),
  [19536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9600),
  [19538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13584),
  [19540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14269),
  [19542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7815),
  [19544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14262),
  [19546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13561),
  [19548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7741),
  [19550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9342),
  [19552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10189),
  [19554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [19556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12514),
  [19558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3388),
  [19560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12513),
  [19562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [19564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12512),
  [19566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7654),
  [19568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9646),
  [19570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13837),
  [19572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4606),
  [19574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13332),
  [19576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4607),
  [19578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13331),
  [19580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14246),
  [19582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7991),
  [19584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4608),
  [19586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13330),
  [19588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11524),
  [19590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7633),
  [19592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9517),
  [19594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11818),
  [19596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10212),
  [19598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8913),
  [19600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11826),
  [19602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7564),
  [19604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13762),
  [19606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13761),
  [19608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9629),
  [19610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14094),
  [19612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8868),
  [19614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7866),
  [19616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7697),
  [19618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9318),
  [19620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [19622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [19624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_storage_parameters_repeat1, 4, 0, 0),
  [19626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13755),
  [19628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7926),
  [19630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8112),
  [19632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [19634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9343),
  [19636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12064),
  [19638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12065),
  [19640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6704),
  [19642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10186),
  [19644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7861),
  [19646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2730),
  [19648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4320),
  [19650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7049),
  [19652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [19654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7687),
  [19656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9218),
  [19658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 9, 0, 244),
  [19660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6708),
  [19662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9295),
  [19664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6205),
  [19666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12662),
  [19668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_trigger_repeat3, 2, 0, 75),
  [19670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9995),
  [19672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9346),
  [19674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7521),
  [19676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9983),
  [19678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9982),
  [19680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2973),
  [19682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12976),
  [19684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [19686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12977),
  [19688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [19690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12978),
  [19692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10246),
  [19694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9186),
  [19696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13500),
  [19698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13499),
  [19700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6790),
  [19702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10254),
  [19704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10183),
  [19706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13275),
  [19708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7774),
  [19710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_argument, 4, 0, 57),
  [19712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4141),
  [19714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4140),
  [19716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7584),
  [19718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7867),
  [19720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7792),
  [19722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7519),
  [19724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7611),
  [19726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9282),
  [19728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2812),
  [19730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4855),
  [19732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 8, 0, 171),
  [19734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8768),
  [19736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_index_repeat1, 4, 0, 254),
  [19738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9078),
  [19740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12913),
  [19742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8169),
  [19744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10461),
  [19746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9292),
  [19748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6211),
  [19750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12664),
  [19752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [19754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13506),
  [19756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [19758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13502),
  [19760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6208),
  [19762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12663),
  [19764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14592),
  [19766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [19768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13035),
  [19770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [19772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13036),
  [19774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12013),
  [19776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13676),
  [19778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [19780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13037),
  [19782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11900),
  [19784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10784),
  [19786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8708),
  [19788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11908),
  [19790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [19792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11764),
  [19794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9373),
  [19796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9042),
  [19798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7622),
  [19800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9540),
  [19802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10760),
  [19804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9451),
  [19806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13643),
  [19808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7426),
  [19810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8129),
  [19812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [19814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [19816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13501),
  [19818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_arguments, 2, 0, 0),
  [19820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [19822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [19824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11880),
  [19826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13596),
  [19828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13282),
  [19830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [19832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7724),
  [19834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9259),
  [19836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11918),
  [19838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9755),
  [19840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13608),
  [19842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7487),
  [19844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7788),
  [19846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13605),
  [19848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7485),
  [19850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7810),
  [19852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ordered_column, 2, 0, 7),
  [19854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7380),
  [19856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7381),
  [19858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9712),
  [19860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9627),
  [19862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12647),
  [19864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12644),
  [19866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13227),
  [19868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11650),
  [19870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11522),
  [19872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11531),
  [19874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13185),
  [19876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10715),
  [19878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13538),
  [19880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13851),
  [19882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14624),
  [19884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10374),
  [19886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12169),
  [19888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12168),
  [19890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12170),
  [19892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11979),
  [19894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6992),
  [19896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9195),
  [19898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14213),
  [19900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10073),
  [19902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10703),
  [19904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8338),
  [19906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8338),
  [19908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7604),
  [19910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9230),
  [19912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12207),
  [19914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12206),
  [19916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [19918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10121),
  [19920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12211),
  [19922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8718),
  [19924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13142),
  [19926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10125),
  [19928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7156),
  [19930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13095),
  [19932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [19934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7153),
  [19936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13096),
  [19938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10134),
  [19940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_index_fields_repeat1, 2, 0, 136),
  [19942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [19944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10153),
  [19946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12505),
  [19948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7400),
  [19950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12496),
  [19952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7456),
  [19954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7157),
  [19956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13094),
  [19958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [19960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10190),
  [19962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5298),
  [19964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12432),
  [19966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [19968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7791),
  [19970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12657),
  [19972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10213),
  [19974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5300),
  [19976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12431),
  [19978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5301),
  [19980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12430),
  [19982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 7, 0, 171),
  [19984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12031),
  [19986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13023),
  [19988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [19990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10215),
  [19992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [19994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7759),
  [19996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11266),
  [19998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12964),
  [20000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11609),
  [20002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12939),
  [20004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10675),
  [20006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [20008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10234),
  [20010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [20012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7770),
  [20014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [20016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12376),
  [20018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [20020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12374),
  [20022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [20024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12373),
  [20026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [20028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10306),
  [20030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [20032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7881),
  [20034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6990),
  [20036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12798),
  [20038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11401),
  [20040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11830),
  [20042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10334),
  [20044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [20046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7813),
  [20048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [20050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8268),
  [20052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [20054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7602),
  [20056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__column_list_repeat1, 2, 0, 46),
  [20058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12259),
  [20060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [20062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10356),
  [20064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [20066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7841),
  [20068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12258),
  [20070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8121),
  [20072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [20074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_argument, 5, 0, 23),
  [20076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5267),
  [20078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13273),
  [20080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8497),
  [20082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [20084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5266),
  [20086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13272),
  [20088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9462),
  [20090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7262),
  [20092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7288),
  [20094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5264),
  [20096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13271),
  [20098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7769),
  [20100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_repeat1, 2, 0, 159),
  [20102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10396),
  [20104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [20106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7872),
  [20108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4677),
  [20110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4678),
  [20112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12818),
  [20114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10636),
  [20116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7800),
  [20118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7764),
  [20120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9749),
  [20122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4460),
  [20124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4461),
  [20126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 7, 0, 198),
  [20128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7827),
  [20130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 7, 0, 199),
  [20132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 7, 0, 201),
  [20134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [20136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [20138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7824),
  [20140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9476),
  [20142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7515),
  [20144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8194),
  [20146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [20148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12821),
  [20150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_elements_repeat1, 2, 0, 174),
  [20152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [20154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10442),
  [20156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [20158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7805),
  [20160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_invocation_repeat1, 4, 0, 40),
  [20162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12754),
  [20164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7001),
  [20166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_arguments, 3, 0, 0),
  [20168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7719),
  [20170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9528),
  [20172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10477),
  [20174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [20176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7778),
  [20178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [20180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12074),
  [20182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9522),
  [20184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9521),
  [20186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3752),
  [20188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12590),
  [20190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [20192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12591),
  [20194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9823),
  [20196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3754),
  [20198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12592),
  [20200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5673),
  [20202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13153),
  [20204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5672),
  [20206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13154),
  [20208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5664),
  [20210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13155),
  [20212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12676),
  [20214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7025),
  [20216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6731),
  [20218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [20220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10400),
  [20222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [20224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7748),
  [20226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [20228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9519),
  [20230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12645),
  [20232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [20234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [20236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10286),
  [20238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [20240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7870),
  [20242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [20244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8972),
  [20246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8580),
  [20248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14285),
  [20250] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cte_repeat1, 2, 0, 110),
  [20252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [20254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10165),
  [20256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [20258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7891),
  [20260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [20262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7755),
  [20264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5732),
  [20266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5733),
  [20268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4762),
  [20270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4763),
  [20272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 4, 0, 139),
  [20274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10060),
  [20276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11695),
  [20278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12750),
  [20280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7441),
  [20282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11682),
  [20284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7737),
  [20286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9303),
  [20288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6801),
  [20290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [20292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10043),
  [20294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9312),
  [20296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [20298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7793),
  [20300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [20302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_arguments, 4, 0, 0),
  [20304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_invocation_repeat1, 3, 0, 75),
  [20306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_argument, 3, 0, 65),
  [20308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11670),
  [20310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11667),
  [20312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__index_field, 4, 0, 137),
  [20314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11655),
  [20316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11567),
  [20318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_create_type_repeat1, 2, 0, 141),
  [20320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9903),
  [20322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9455),
  [20324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6234),
  [20326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12343),
  [20328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6240),
  [20330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12342),
  [20332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6246),
  [20334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12341),
  [20336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [20338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7756),
  [20340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11690),
  [20342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7842),
  [20344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [20346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3470),
  [20348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [20350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11924),
  [20352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11945),
  [20354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7493),
  [20356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4205),
  [20358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13212),
  [20360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_alter_column_repeat1, 2, 0, 129),
  [20362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13152),
  [20364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9950),
  [20366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [20368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13213),
  [20370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [20372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13214),
  [20374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__key_value_pair, 3, 0, 132),
  [20376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12002),
  [20378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13047),
  [20380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11397),
  [20382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [20384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7856),
  [20386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9598),
  [20388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9734),
  [20390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12265),
  [20392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7525),
  [20394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12332),
  [20396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8602),
  [20398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [20400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3245),
  [20402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [20404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3248),
  [20406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13106),
  [20408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13092),
  [20410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [20412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [20414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [20416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [20418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [20420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12245),
  [20422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12324),
  [20424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9751),
  [20426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [20428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [20430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [20432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8661),
  [20434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9568),
  [20436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9773),
  [20438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [20440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [20442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [20444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6547),
  [20446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4066),
  [20448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6217),
  [20450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9947),
  [20452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12364),
  [20454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12367),
  [20456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12369),
  [20458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12225),
  [20460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12224),
  [20462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12223),
  [20464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12370),
  [20466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12295),
  [20468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [20470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12411),
  [20472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12427),
  [20474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12428),
  [20476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12429),
  [20478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12434),
  [20480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12435),
  [20482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12437),
  [20484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12440),
  [20486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12446),
  [20488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12458),
  [20490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12466),
  [20492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7380),
  [20494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [20496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [20498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3518),
  [20500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4637),
  [20502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4207),
  [20504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14717),
  [20506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12532),
  [20508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12535),
  [20510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12536),
  [20512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12516),
  [20514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12542),
  [20516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12571),
  [20518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [20520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4209),
  [20522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [20524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [20526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3931),
  [20528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [20530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4210),
  [20532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12684),
  [20534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12729),
  [20536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12730),
  [20538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12731),
  [20540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3482),
  [20542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3928),
  [20544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [20546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4687),
  [20548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [20550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5702),
  [20552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12643),
  [20554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12787),
  [20556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12788),
  [20558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [20560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [20562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [20564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3917),
  [20566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12817),
  [20568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6413),
  [20570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [20572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [20574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6272),
  [20576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6678),
  [20578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12831),
  [20580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6163),
  [20582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7656),
  [20584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6250),
  [20586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6226),
  [20588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12929),
  [20590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12928),
  [20592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12904),
  [20594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12903),
  [20596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9916),
  [20598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12881),
  [20600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [20602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2500),
  [20604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [20606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2502),
  [20608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [20610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [20612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [20614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [20616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10062),
  [20618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12873),
  [20620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13230),
  [20622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13231),
  [20624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13235),
  [20626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11964),
  [20628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11963),
  [20630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11959),
  [20632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13303),
  [20634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13315),
  [20636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [20638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13341),
  [20640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13379),
  [20642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13391),
  [20644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13451),
  [20646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13456),
  [20648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13464),
  [20650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13466),
  [20652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13472),
  [20654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13475),
  [20656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13487),
  [20658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13494),
  [20660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12822),
  [20662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [20664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4346),
  [20666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6209),
  [20668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [20670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3925),
  [20672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13530),
  [20674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13519),
  [20676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14069),
  [20678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13564),
  [20680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13579),
  [20682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13595),
  [20684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6282),
  [20686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3199),
  [20688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [20690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [20692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5699),
  [20694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6206),
  [20696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5223),
  [20698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5221),
  [20700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13644),
  [20702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13648),
  [20704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13651),
  [20706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13654),
  [20708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5781),
  [20710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5777),
  [20712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5776),
  [20714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [20716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [20718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5775),
  [20720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13718),
  [20722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13723),
  [20724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13727),
  [20726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [20728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [20730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5774),
  [20732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [20734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [20736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13757),
  [20738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6771),
  [20740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [20742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [20744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [20746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6769),
  [20748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14134),
  [20750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [20752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6157),
  [20754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4453),
  [20756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10056),
  [20758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3953),
  [20760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13844),
  [20762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6754),
  [20764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [20766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [20768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6202),
  [20770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11808),
  [20772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6950),
  [20774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comment_target, 4, 0, 0),
  [20776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14219),
  [20778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14224),
  [20780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14228),
  [20782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11720),
  [20784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11719),
  [20786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11718),
  [20788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14230),
  [20790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14231),
  [20792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [20794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14256),
  [20796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14261),
  [20798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14264),
  [20800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14265),
  [20802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14273),
  [20804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14277),
  [20806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14279),
  [20808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14299),
  [20810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14306),
  [20812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14319),
  [20814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14321),
  [20816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [20818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3769),
  [20820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [20822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8282),
  [20824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [20826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7439),
  [20828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [20830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14342),
  [20832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14344),
  [20834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14353),
  [20836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14358),
  [20838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14363),
  [20840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14305),
  [20842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [20844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7385),
  [20846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [20848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [20850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [20852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [20854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [20856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14449),
  [20858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14489),
  [20860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14497),
  [20862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14498),
  [20864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6181),
  [20866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [20868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5653),
  [20870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [20872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [20874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [20876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4742),
  [20878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14513),
  [20880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14637),
  [20882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14639),
  [20884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [20886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3109),
  [20888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [20890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [20892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9484),
  [20894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14643),
  [20896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6185),
  [20898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [20900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [20902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6184),
  [20904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6182),
  [20906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5073),
  [20908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5693),
  [20910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11362),
  [20912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [20914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10178),
  [20916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6174),
  [20918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12717),
  [20920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6693),
  [20922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7676),
  [20924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7675),
  [20926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5046),
  [20928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5685),
  [20930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12497),
  [20932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12795),
  [20934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12751),
  [20936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12109),
  [20938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12110),
  [20940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12112),
  [20942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12732),
  [20944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12679),
  [20946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5684),
  [20948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12674),
  [20950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12666),
  [20952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12659),
  [20954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12646),
  [20956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12540),
  [20958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12607),
  [20960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12759),
  [20962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12585),
  [20964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12527),
  [20966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12504),
  [20968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12439),
  [20970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4937),
  [20972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5650),
  [20974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6172),
  [20976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5048),
  [20978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [20980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14275),
  [20982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5051),
  [20984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5676),
  [20986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12478),
  [20988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12491),
  [20990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13031),
  [20992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12511),
  [20994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12519),
  [20996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12521),
  [20998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5675),
  [21000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4935),
  [21002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [21004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4932),
  [21006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6873),
  [21008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3787),
  [21010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [21012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12588),
  [21014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12589),
  [21016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12648),
  [21018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12655),
  [21020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9846),
  [21022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4018),
  [21024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9492),
  [21026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5561),
  [21028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5560),
  [21030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12755),
  [21032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12668),
  [21034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12796),
  [21036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [21038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5559),
  [21040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5558),
  [21042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12814),
  [21044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10097),
  [21046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [21048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6848),
  [21050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5557),
  [21052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14308),
  [21054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10298),
  [21056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14311),
  [21058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [21060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11488),
  [21062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5556),
  [21064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12616),
  [21066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4748),
  [21068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6842),
  [21070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13430),
  [21072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13570),
  [21074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13572),
  [21076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11782),
  [21078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11857),
  [21080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11854),
  [21082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13703),
  [21084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13713),
  [21086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4926),
  [21088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13721),
  [21090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13737),
  [21092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13743),
  [21094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13744),
  [21096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13748),
  [21098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13752),
  [21100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13753),
  [21102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13754),
  [21104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13758),
  [21106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13775),
  [21108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13776),
  [21110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5205),
  [21112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4924),
  [21114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6228),
  [21116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12614),
  [21118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14323),
  [21120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [21122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12612),
  [21124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [21126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13994),
  [21128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13942),
  [21130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14014),
  [21132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14016),
  [21134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14021),
  [21136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14023),
  [21138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [21140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5555),
  [21142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5554),
  [21144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [21146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5070),
  [21148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5072),
  [21150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14078),
  [21152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14085),
  [21154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14092),
  [21156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14093),
  [21158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [21160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [21162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [21164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12602),
  [21166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6817),
  [21168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14117),
  [21170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14128),
  [21172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14133),
  [21174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [21176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [21178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7007),
  [21180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14136),
  [21182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10111),
  [21184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3757),
  [21186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5074),
  [21188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5075),
  [21190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9834),
  [21192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6350),
  [21194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10412),
  [21196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4689),
  [21198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6839),
  [21200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14119),
  [21202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7672),
  [21204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [21206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4688),
  [21208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8138),
  [21210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14606),
  [21212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14607),
  [21214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14612),
  [21216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11576),
  [21218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11587),
  [21220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11586),
  [21222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14627),
  [21224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14630),
  [21226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5601),
  [21228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14632),
  [21230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14634),
  [21232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14638),
  [21234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14640),
  [21236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14741),
  [21238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14654),
  [21240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14656),
  [21242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14666),
  [21244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14668),
  [21246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14670),
  [21248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14706),
  [21250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5655),
  [21252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6741),
  [21254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7627),
  [21256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5659),
  [21258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6695),
  [21260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6688),
  [21262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5660),
  [21264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14362),
  [21266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14832),
  [21268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14830),
  [21270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14828),
  [21272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14827),
  [21274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14825),
  [21276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14824),
  [21278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10274),
  [21280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6354),
  [21282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5605),
  [21284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5603),
  [21286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [21288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9228),
  [21290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14820),
  [21292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14819),
  [21294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14817),
  [21296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14816),
  [21298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5686),
  [21300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [21302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5688),
  [21304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5691),
  [21306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5892),
  [21308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14813),
  [21310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14812),
  [21312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14808),
  [21314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [21316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5646),
  [21318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exclude_current_row, 3, 0, 0),
  [21320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14803),
  [21322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7379),
  [21324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3751),
  [21326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11332),
  [21328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6981),
  [21330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3796),
  [21332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7616),
  [21334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10458),
  [21336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [21338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [21340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6706),
  [21342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [21344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [21346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14767),
  [21348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14766),
  [21350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14765),
  [21352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11542),
  [21354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11544),
  [21356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11548),
  [21358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14756),
  [21360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14755),
  [21362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14754),
  [21364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14753),
  [21366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14752),
  [21368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14751),
  [21370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14749),
  [21372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14748),
  [21374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14747),
  [21376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14746),
  [21378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14745),
  [21380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14744),
  [21382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14742),
  [21384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4916),
  [21386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9587),
  [21388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6222),
  [21390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5535),
  [21392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14730),
  [21394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14729),
  [21396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14727),
  [21398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14726),
  [21400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14725),
  [21402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14659),
  [21404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3750),
  [21406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [21408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3026),
  [21410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10833),
  [21412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14702),
  [21414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14700),
  [21416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14699),
  [21418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14696),
  [21420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6862),
  [21422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2996),
  [21424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14678),
  [21426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14674),
  [21428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14672),
  [21430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_frame, 4, 0, 0),
  [21432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14671),
  [21434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exclude_group, 2, 0, 0),
  [21436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14788),
  [21438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4761),
  [21440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12748),
  [21442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3801),
  [21444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exclude_ties, 2, 0, 0),
  [21446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10438),
  [21448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6170),
  [21450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10594),
  [21452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8651),
  [21454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6973),
  [21456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7012),
  [21458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14122),
  [21460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14589),
  [21462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14588),
  [21464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14587),
  [21466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11602),
  [21468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11603),
  [21470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11604),
  [21472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14583),
  [21474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14456),
  [21476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14006),
  [21478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14581),
  [21480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14579),
  [21482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14578),
  [21484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14576),
  [21486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14571),
  [21488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14570),
  [21490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14569),
  [21492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14568),
  [21494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14567),
  [21496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14564),
  [21498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14563),
  [21500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [21502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [21504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [21506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14506),
  [21508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14488),
  [21510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14480),
  [21512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14473),
  [21514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14472),
  [21516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14465),
  [21518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [21520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [21522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [21524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [21526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14446),
  [21528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14444),
  [21530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14443),
  [21532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14433),
  [21534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6956),
  [21536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9624),
  [21538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14430),
  [21540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14418),
  [21542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14417),
  [21544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [21546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14414),
  [21548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [21550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5722),
  [21552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [21554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7659),
  [21556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13931),
  [21558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10606),
  [21560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10392),
  [21562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4778),
  [21564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5261),
  [21566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11580),
  [21568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5262),
  [21570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [21572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14282),
  [21574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14281),
  [21576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14280),
  [21578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11701),
  [21580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11703),
  [21582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11705),
  [21584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14268),
  [21586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14267),
  [21588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [21590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14260),
  [21592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14259),
  [21594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14258),
  [21596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14257),
  [21598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14255),
  [21600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14254),
  [21602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14247),
  [21604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14243),
  [21606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14240),
  [21608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14239),
  [21610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14238),
  [21612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [21614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [21616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [21618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5134),
  [21620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5794),
  [21622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14197),
  [21624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14192),
  [21626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14187),
  [21628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14184),
  [21630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14175),
  [21632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14173),
  [21634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8937),
  [21636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7630),
  [21638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6996),
  [21640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [21642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14168),
  [21644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14167),
  [21646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14166),
  [21648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14165),
  [21650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7160),
  [21652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14157),
  [21654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14150),
  [21656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14149),
  [21658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9571),
  [21660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14144),
  [21662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13869),
  [21664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [21666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9566),
  [21668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4424),
  [21670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [21672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [21674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10350),
  [21676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7635),
  [21678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [21680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9575),
  [21682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7169),
  [21684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13929),
  [21686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13920),
  [21688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13915),
  [21690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11795),
  [21692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11796),
  [21694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11797),
  [21696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13902),
  [21698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13901),
  [21700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12803),
  [21702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13896),
  [21704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13892),
  [21706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13890),
  [21708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13889),
  [21710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13886),
  [21712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13885),
  [21714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13884),
  [21716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13883),
  [21718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13882),
  [21720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13880),
  [21722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13875),
  [21724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4287),
  [21726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [21728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9238),
  [21730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11588),
  [21732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5270),
  [21734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13862),
  [21736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13861),
  [21738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13856),
  [21740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13855),
  [21742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13848),
  [21744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13842),
  [21746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4881),
  [21748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5271),
  [21750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [21752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7054),
  [21754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13822),
  [21756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13821),
  [21758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13820),
  [21760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13819),
  [21762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12257),
  [21764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5273),
  [21766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13812),
  [21768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13806),
  [21770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13803),
  [21772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [21774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13801),
  [21776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5274),
  [21778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [21780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7230),
  [21782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [21784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12820),
  [21786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7608),
  [21788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10332),
  [21790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [21792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7976),
  [21794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7224),
  [21796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [21798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3412),
  [21800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13667),
  [21802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13661),
  [21804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13657),
  [21806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11860),
  [21808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11861),
  [21810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11863),
  [21812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13559),
  [21814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13646),
  [21816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [21818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13642),
  [21820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13637),
  [21822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13634),
  [21824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13632),
  [21826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13631),
  [21828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13630),
  [21830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13629),
  [21832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13628),
  [21834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13626),
  [21836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13614),
  [21838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13613),
  [21840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4874),
  [21842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12077),
  [21844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [21846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13589),
  [21848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13588),
  [21850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13587),
  [21852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13583),
  [21854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13576),
  [21856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13574),
  [21858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [21860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [21862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12856),
  [21864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4903),
  [21866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13567),
  [21868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13566),
  [21870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13565),
  [21872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13560),
  [21874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7062),
  [21876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13552),
  [21878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13549),
  [21880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13540),
  [21882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7061),
  [21884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13536),
  [21886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [21888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [21890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10648),
  [21892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [21894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4930),
  [21896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10295),
  [21898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7216),
  [21900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11599),
  [21902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6846),
  [21904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5275),
  [21906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [21908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4231),
  [21910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13453),
  [21912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13450),
  [21914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13449),
  [21916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11957),
  [21918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11947),
  [21920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11949),
  [21922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13353),
  [21924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13335),
  [21926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5277),
  [21928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13329),
  [21930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13327),
  [21932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13318),
  [21934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13175),
  [21936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13294),
  [21938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13293),
  [21940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13289),
  [21942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13287),
  [21944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13286),
  [21946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13244),
  [21948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13232),
  [21950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [21952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7246),
  [21954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [21956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10659),
  [21958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [21960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13080),
  [21962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13162),
  [21964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13139),
  [21966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13126),
  [21968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13116),
  [21970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13115),
  [21972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [21974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9152),
  [21976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [21978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13053),
  [21980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12921),
  [21982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13044),
  [21984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13039),
  [21986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2600),
  [21988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [21990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12996),
  [21992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12989),
  [21994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12975),
  [21996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [21998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12940),
  [22000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12878),
  [22002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9150),
  [22004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [22006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [22008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2614),
  [22010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [22012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10265),
  [22014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [22016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [22018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [22020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7213),
  [22022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7214),
  [22024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [22026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12741),
  [22028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12740),
  [22030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12738),
  [22032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12113),
  [22034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12115),
  [22036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12117),
  [22038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12719),
  [22040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12716),
  [22042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7252),
  [22044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12713),
  [22046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12701),
  [22048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12691),
  [22050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12686),
  [22052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12682),
  [22054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12681),
  [22056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12537),
  [22058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12661),
  [22060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12660),
  [22062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12658),
  [22064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12656),
  [22066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [22068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7251),
  [22070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12371),
  [22072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8712),
  [22074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12617),
  [22076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12609),
  [22078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12604),
  [22080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12603),
  [22082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12598),
  [22084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12597),
  [22086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12372),
  [22088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [22090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12915),
  [22092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12583),
  [22094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12576),
  [22096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12575),
  [22098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12572),
  [22100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5288),
  [22102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [22104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12557),
  [22106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12548),
  [22108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12547),
  [22110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7247),
  [22112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12538),
  [22114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5289),
  [22116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5290),
  [22118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [22120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12377),
  [22122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [22124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12378),
  [22126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10232),
  [22128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12379),
  [22130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12380),
  [22132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12383),
  [22134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12384),
  [22136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4343),
  [22138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12386),
  [22140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12340),
  [22142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4577),
  [22144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12323),
  [22146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12247),
  [22148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12251),
  [22150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12252),
  [22152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12294),
  [22154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12290),
  [22156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12286),
  [22158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12595),
  [22160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12280),
  [22162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12276),
  [22164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12275),
  [22166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12272),
  [22168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12271),
  [22170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12270),
  [22172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12269),
  [22174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13553),
  [22176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12305),
  [22178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12408),
  [22180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [22182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5292),
  [22184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5537),
  [22186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12337),
  [22188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12338),
  [22190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12346),
  [22192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12347),
  [22194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12356),
  [22196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12359),
  [22198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [22200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5654),
  [22202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4373),
  [22204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12412),
  [22206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12414),
  [22208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12422),
  [22210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12423),
  [22212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11268),
  [22214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5295),
  [22216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12461),
  [22218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12490),
  [22220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12492),
  [22222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [22224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12495),
  [22226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7625),
  [22228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9486),
  [22230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6699),
  [22232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3067),
  [22234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9485),
  [22236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10210),
  [22238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5313),
  [22240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5303),
  [22242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7211),
  [22244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7736),
  [22246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5302),
  [22248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12877),
  [22250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12880),
  [22252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12905),
  [22254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12047),
  [22256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12040),
  [22258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12034),
  [22260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12965),
  [22262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12973),
  [22264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7210),
  [22266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12981),
  [22268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12987),
  [22270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12988),
  [22272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12994),
  [22274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13558),
  [22276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13021),
  [22278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12972),
  [22280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13034),
  [22282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13051),
  [22284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13056),
  [22286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13067),
  [22288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12974),
  [22290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12990),
  [22292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12998),
  [22294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4110),
  [22296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [22298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13157),
  [22300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13164),
  [22302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13165),
  [22304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13199),
  [22306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13217),
  [22308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13317),
  [22310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [22312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [22314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [22316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12185),
  [22318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13467),
  [22320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13468),
  [22322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13483),
  [22324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13492),
  [22326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7835),
  [22328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [22330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13513),
  [22332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13515),
  [22334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13524),
  [22336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13531),
  [22338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13050),
  [22340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [22342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8131),
  [22344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7032),
  [22346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7048),
  [22348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10177),
  [22350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7034),
  [22352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comment_target, 3, 0, 0),
  [22354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9698),
  [22356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [22358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7035),
  [22360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7036),
  [22362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14200),
  [22364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14202),
  [22366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14206),
  [22368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11729),
  [22370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11725),
  [22372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11724),
  [22374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14234),
  [22376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14303),
  [22378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5294),
  [22380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14313),
  [22382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14315),
  [22384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14318),
  [22386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14322),
  [22388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14326),
  [22390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14327),
  [22392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14329),
  [22394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14330),
  [22396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14334),
  [22398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14336),
  [22400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14337),
  [22402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5293),
  [22404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6749),
  [22406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5296),
  [22408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4344),
  [22410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4062),
  [22412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14553),
  [22414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14604),
  [22416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14641),
  [22418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14642),
  [22420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14790),
  [22422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14648),
  [22424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10128),
  [22426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7201),
  [22428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9359),
  [22430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7198),
  [22432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13178),
  [22434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14688),
  [22436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14815),
  [22438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14811),
  [22440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10686),
  [22442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7150),
  [22444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14802),
  [22446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14800),
  [22448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14797),
  [22450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transaction, 5, 0, 0),
  [22452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14794),
  [22454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5281),
  [22456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9643),
  [22458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10149),
  [22460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10004),
  [22462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14780),
  [22464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14764),
  [22466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14761),
  [22468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11545),
  [22470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11546),
  [22472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11547),
  [22474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14760),
  [22476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14757),
  [22478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7151),
  [22480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14743),
  [22482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14735),
  [22484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14728),
  [22486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14722),
  [22488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14718),
  [22490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14715),
  [22492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14714),
  [22494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14712),
  [22496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14708),
  [22498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14694),
  [22500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14691),
  [22502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14560),
  [22504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14687),
  [22506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14685),
  [22508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14684),
  [22510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14667),
  [22512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14665),
  [22514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14662),
  [22516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14661),
  [22518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14660),
  [22520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14658),
  [22522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14657),
  [22524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14652),
  [22526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14651),
  [22528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14649),
  [22530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5269),
  [22532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9638),
  [22534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10132),
  [22536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12530),
  [22538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14625),
  [22540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14621),
  [22542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14619),
  [22544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11590),
  [22546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11591),
  [22548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11592),
  [22550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14610),
  [22552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14608),
  [22554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4796),
  [22556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14603),
  [22558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14601),
  [22560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14599),
  [22562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14598),
  [22564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14597),
  [22566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14593),
  [22568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14591),
  [22570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14586),
  [22572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14585),
  [22574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14584),
  [22576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14582),
  [22578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14580),
  [22580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14575),
  [22582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14574),
  [22584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14566),
  [22586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14432),
  [22588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14557),
  [22590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14549),
  [22592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14548),
  [22594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14547),
  [22596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14546),
  [22598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14530),
  [22600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14528),
  [22602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14521),
  [22604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14514),
  [22606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [22608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10124),
  [22610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [22612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14481),
  [22614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14466),
  [22616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13054),
  [22618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11621),
  [22620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10119),
  [22622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11233),
  [22624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14371),
  [22626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14421),
  [22628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [22630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6176),
  [22632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7641),
  [22634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14415),
  [22636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14405),
  [22638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14398),
  [22640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14389),
  [22642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14383),
  [22644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14381),
  [22646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14365),
  [22648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14364),
  [22650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14360),
  [22652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14359),
  [22654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14355),
  [22656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14354),
  [22658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14349),
  [22660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14348),
  [22662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14346),
  [22664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14345),
  [22666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7706),
  [22668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7158),
  [22670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7162),
  [22672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4797),
  [22674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7037),
  [22676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7163),
  [22678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11996),
  [22680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7321),
  [22682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4899),
  [22684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14602),
  [22686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [22688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [22690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10699),
  [22692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [22694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4898),
  [22696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4895),
  [22698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5315),
  [22700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5316),
  [22702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3382),
  [22704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6993),
  [22706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4889),
  [22708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6837),
  [22710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5574),
  [22712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4888),
  [22714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11243),
  [22716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8695),
  [22718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6995),
  [22720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14190),
  [22722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [22724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4943),
  [22726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7019),
  [22728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8588),
  [22730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7020),
  [22732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5258),
  [22734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14070),
  [22736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9192),
  [22738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4945),
  [22740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5255),
  [22742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9319),
  [22744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13260),
  [22746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12618),
  [22748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13267),
  [22750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13268),
  [22752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10717),
  [22754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10034),
  [22756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7574),
  [22758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13269),
  [22760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9618),
  [22762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5610),
  [22764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [22766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [22768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8592),
  [22770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5322),
  [22772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2837),
  [22774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5323),
  [22776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [22778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [22780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4509),
  [22782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5241),
  [22784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10019),
  [22786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10006),
  [22788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7498),
  [22790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13742),
  [22792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4946),
  [22794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [22796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7460),
  [22798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4200),
  [22800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6810),
  [22802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5242),
  [22804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5332),
  [22806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11852),
  [22808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9997),
  [22810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6425),
  [22812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [22814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13546),
  [22816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13647),
  [22818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6766),
  [22820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [22822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9724),
  [22824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11872),
  [22826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [22828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [22830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9989),
  [22832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [22834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [22836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [22838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [22840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [22842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2458),
  [22844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [22846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [22848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [22850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [22852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [22854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [22856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4912),
  [22858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [22860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [22862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13562),
  [22864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13424),
  [22866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8175),
  [22868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5236),
  [22870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [22872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [22874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [22876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [22878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [22880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6178),
  [22882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11907),
  [22884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6186),
  [22886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9113),
  [22888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [22890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13498),
  [22892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [22894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10745),
  [22896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7964),
  [22898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5200),
  [22900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [22902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [22904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10252),
  [22906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [22908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11925),
  [22910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [22912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [22914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [22916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7725),
  [22918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4572),
  [22920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6935),
  [22922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10278),
  [22924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5198),
  [22926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11760),
  [22928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8611),
  [22930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4681),
  [22932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6847),
  [22934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [22936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [22938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13429),
  [22940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13423),
  [22942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6876),
  [22944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7402),
  [22946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [22948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10349),
  [22950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7356),
  [22952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [22954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10446),
  [22956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [22958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [22960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13258),
  [22962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13257),
  [22964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13256),
  [22966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [22968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11697),
  [22970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [22972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [22974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13228),
  [22976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13224),
  [22978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9341),
  [22980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [22982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [22984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [22986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [22988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [22990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [22992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [22994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [22996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [22998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13151),
  [23000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [23002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9933),
  [23004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6908),
  [23006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13105),
  [23008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [23010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7359),
  [23012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5144),
  [23014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8709),
  [23016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [23018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8078),
  [23020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5140),
  [23022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8711),
  [23024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4887),
  [23026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13033),
  [23028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4939),
  [23030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9904),
  [23032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13543),
  [23034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [23036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13544),
  [23038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [23040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [23042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [23044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [23046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [23048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [23050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [23052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [23054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12991),
  [23056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [23058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [23060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [23062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [23064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7411),
  [23066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [23068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12035),
  [23070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [23072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [23074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7606),
  [23076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7262),
  [23078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [23080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [23082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7639),
  [23084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13547),
  [23086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12949),
  [23088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7503),
  [23090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13548),
  [23092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13550),
  [23094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [23096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4183),
  [23098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [23100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9894),
  [23102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [23104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [23106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [23108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [23110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9848),
  [23112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [23114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [23116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6224),
  [23118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6717),
  [23120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4552),
  [23122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9887),
  [23124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9886),
  [23126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9853),
  [23128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [23130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyword_character, 1, 0, 0),
  [23132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [23134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6235),
  [23136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12786),
  [23138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8331),
  [23140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10434),
  [23142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5515),
  [23144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9881),
  [23146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9879),
  [23148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6247),
  [23150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8931),
  [23152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5501),
  [23154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8925),
  [23156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11734),
  [23158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8900),
  [23160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4951),
  [23162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9878),
  [23164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9875),
  [23166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7545),
  [23168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11891),
  [23170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9872),
  [23172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [23174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12863),
  [23176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6248),
  [23178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4444),
  [23180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10449),
  [23182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11026),
  [23184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5514),
  [23186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5513),
  [23188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13573),
  [23190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10607),
  [23192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4650),
  [23194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5545),
  [23196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4539),
  [23198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12028),
  [23200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5546),
  [23202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5547),
  [23204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5548),
  [23206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7983),
  [23208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9293),
  [23210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5495),
  [23212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5549),
  [23214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12022),
  [23216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12995),
  [23218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [23220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [23222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9443),
  [23224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6733),
  [23226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [23228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13945),
  [23230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10369),
  [23232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8769),
  [23234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6947),
  [23236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6255),
  [23238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6265),
  [23240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13166),
  [23242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6691),
  [23244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9913),
  [23246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13093),
  [23248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13098),
  [23250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13099),
  [23252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13103),
  [23254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13107),
  [23256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13108),
  [23258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13032),
  [23260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13110),
  [23262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13112),
  [23264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13113),
  [23266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13114),
  [23268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [23270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13117),
  [23272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13138),
  [23274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13141),
  [23276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11990),
  [23278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11988),
  [23280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11987),
  [23282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13158),
  [23284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13109),
  [23286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13170),
  [23288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2958),
  [23290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6665),
  [23292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [23294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [23296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2952),
  [23298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6832),
  [23300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13677),
  [23302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2951),
  [23304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11970),
  [23306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3975),
  [23308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13655),
  [23310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10454),
  [23312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8380),
  [23314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [23316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [23318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [23320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2939),
  [23322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4176),
  [23324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11803),
  [23326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [23328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [23330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9581),
  [23332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7772),
  [23334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10093),
  [23336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12246),
  [23338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4165),
  [23340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9085),
  [23342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [23344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9432),
  [23346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10272),
  [23348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__comment_target, 2, 0, 38),
  [23350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12344),
  [23352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13291),
  [23354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [23356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4132),
  [23358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13473),
  [23360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12352),
  [23362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12353),
  [23364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12354),
  [23366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [23368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8810),
  [23370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12360),
  [23372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11864),
  [23374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7511),
  [23376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [23378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [23380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transaction, 4, 0, 0),
  [23382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 4, 0, 0),
  [23384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13342),
  [23386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [23388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2903),
  [23390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4861),
  [23392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11087),
  [23394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13418),
  [23396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6694),
  [23398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4158),
  [23400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4720),
  [23402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [23404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13660),
  [23406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4154),
  [23408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7714),
  [23410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10229),
  [23412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13662),
  [23414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [23416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13663),
  [23418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9617),
  [23420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10205),
  [23422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [23424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12213),
  [23426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [23428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [23430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [23432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [23434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2709),
  [23436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13664),
  [23438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12433),
  [23440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6283),
  [23442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6284),
  [23444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11071),
  [23446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2880),
  [23448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12441),
  [23450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12442),
  [23452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12443),
  [23454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [23456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6900),
  [23458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12449),
  [23460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8192),
  [23462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13665),
  [23464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [23466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [23468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13666),
  [23470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13477),
  [23472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9664),
  [23474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8732),
  [23476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7539),
  [23478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9965),
  [23480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12176),
  [23482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13670),
  [23484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9248),
  [23486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10095),
  [23488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9256),
  [23490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13672),
  [23492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2974),
  [23494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12515),
  [23496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13674),
  [23498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8735),
  [23500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9992),
  [23502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [23504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12523),
  [23506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12524),
  [23508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12525),
  [23510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9347),
  [23512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8774),
  [23514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12531),
  [23516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [23518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13678),
  [23520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [23522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [23524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [23526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13681),
  [23528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9633),
  [23530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13682),
  [23532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7712),
  [23534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11883),
  [23536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12152),
  [23538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7357),
  [23540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11856),
  [23542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11855),
  [23544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8743),
  [23546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6289),
  [23548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12593),
  [23550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10080),
  [23552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10029),
  [23554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12599),
  [23556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12600),
  [23558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12601),
  [23560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12605),
  [23562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4130),
  [23564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [23566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [23568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9619),
  [23570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10045),
  [23572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [23574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12137),
  [23576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7710),
  [23578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8493),
  [23580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12665),
  [23582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10049),
  [23584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4852),
  [23586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12671),
  [23588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12672),
  [23590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12673),
  [23592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12677),
  [23594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7709),
  [23596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8307),
  [23598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8348),
  [23600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9595),
  [23602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13690),
  [23604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12119),
  [23606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13694),
  [23608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [23610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8737),
  [23612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12737),
  [23614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6677),
  [23616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11931),
  [23618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12743),
  [23620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12744),
  [23622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12745),
  [23624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12749),
  [23626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13695),
  [23628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7680),
  [23630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9565),
  [23632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6286),
  [23634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12095),
  [23636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9482),
  [23638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6813),
  [23640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6415),
  [23642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12802),
  [23644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4617),
  [23646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12805),
  [23648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12806),
  [23650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12807),
  [23652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12809),
  [23654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7674),
  [23656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14357),
  [23658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6747),
  [23660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9549),
  [23662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9530),
  [23664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8775),
  [23666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12078),
  [23668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5519),
  [23670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_window_frame, 6, 0, 0),
  [23672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6294),
  [23674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12861),
  [23676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6296),
  [23678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12864),
  [23680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12865),
  [23682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12866),
  [23684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12868),
  [23686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6309),
  [23688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9552),
  [23690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6319),
  [23692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4844),
  [23694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9507),
  [23696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7662),
  [23698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12058),
  [23700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8772),
  [23702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6446),
  [23704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12920),
  [23706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7689),
  [23708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12923),
  [23710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12924),
  [23712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12925),
  [23714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12927),
  [23716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [23718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [23720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [23722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10302),
  [23724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9488),
  [23726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [23728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12032),
  [23730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13699),
  [23732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [23734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7552),
  [23736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12979),
  [23738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8189),
  [23740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12982),
  [23742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12983),
  [23744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12984),
  [23746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12986),
  [23748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4804),
  [23750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9146),
  [23752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13704),
  [23754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13779),
  [23756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9472),
  [23758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10162),
  [23760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12014),
  [23762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8180),
  [23764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7812),
  [23766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10171),
  [23768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13038),
  [23770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10173),
  [23772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13041),
  [23774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13042),
  [23776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13043),
  [23778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13045),
  [23780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5238),
  [23782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13717),
  [23784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9181),
  [23786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8790),
  [23788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9450),
  [23790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4505),
  [23792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11998),
  [23794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13722),
  [23796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13726),
  [23798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6379),
  [23800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13097),
  [23802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13100),
  [23804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13101),
  [23806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13102),
  [23808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13104),
  [23810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6385),
  [23812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12154),
  [23814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11846),
  [23816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9439),
  [23818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9636),
  [23820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11993),
  [23822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5597),
  [23824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5598),
  [23826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9642),
  [23828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13156),
  [23830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8441),
  [23832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13159),
  [23834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13160),
  [23836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13161),
  [23838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13163),
  [23840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9187),
  [23842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12179),
  [23844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8789),
  [23846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9429),
  [23848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6726),
  [23850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11981),
  [23852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [23854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [23856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [23858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13215),
  [23860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13218),
  [23862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13219),
  [23864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13220),
  [23866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13222),
  [23868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6338),
  [23870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14786),
  [23872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9414),
  [23874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [23876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11961),
  [23878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8792),
  [23880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7696),
  [23882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13765),
  [23884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13274),
  [23886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6336),
  [23888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13277),
  [23890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13278),
  [23892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13279),
  [23894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13281),
  [23896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5614),
  [23898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13457),
  [23900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8202),
  [23902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6323),
  [23904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9397),
  [23906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13766),
  [23908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11955),
  [23910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8203),
  [23912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [23914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9711),
  [23916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13333),
  [23918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3567),
  [23920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13336),
  [23922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13337),
  [23924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13338),
  [23926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13340),
  [23928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3033),
  [23930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [23932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9389),
  [23934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13374),
  [23936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13375),
  [23938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13376),
  [23940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13377),
  [23942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13378),
  [23944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [23946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [23948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9388),
  [23950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13412),
  [23952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13413),
  [23954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13414),
  [23956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13415),
  [23958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13416),
  [23960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3034),
  [23962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3035),
  [23964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [23966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [23968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [23970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3239),
  [23972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10208),
  [23974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [23976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11930),
  [23978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [23980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6777),
  [23982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8797),
  [23984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_not_in, 2, 0, 0),
  [23986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9130),
  [23988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8390),
  [23990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6664),
  [23992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7331),
  [23994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3600),
  [23996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13488),
  [23998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6671),
  [24000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3601),
  [24002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10239),
  [24004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4406),
  [24006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11823),
  [24008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3602),
  [24010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [24012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4743),
  [24014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [24016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [24018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6394),
  [24020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4611),
  [24022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8740),
  [24024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4610),
  [24026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [24028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8271),
  [24030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4609),
  [24032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3230),
  [24034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13523),
  [24036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8216),
  [24038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13534),
  [24040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10245),
  [24042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [24044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [24046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [24048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3228),
  [24050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13545),
  [24052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8262),
  [24054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [24056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7655),
  [24058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8747),
  [24060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3390),
  [24062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8289),
  [24064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3385),
  [24066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3378),
  [24068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8817),
  [24070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10224),
  [24072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4604),
  [24074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [24076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [24078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3604),
  [24080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3605),
  [24082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3036),
  [24084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9100),
  [24086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13575),
  [24088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [24090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13578),
  [24092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11890),
  [24094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8063),
  [24096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [24098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13911),
  [24100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13841),
  [24102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7704),
  [24104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8755),
  [24106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [24108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3042),
  [24110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3376),
  [24112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [24114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [24116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [24118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [24120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3375),
  [24122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11791),
  [24124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [24126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2673),
  [24128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8327),
  [24130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3614),
  [24132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [24134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7777),
  [24136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13616),
  [24138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13617),
  [24140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13618),
  [24142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [24144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [24146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8773),
  [24148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [24150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7735),
  [24152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [24154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3620),
  [24156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3621),
  [24158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [24160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13641),
  [24162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7413),
  [24164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8537),
  [24166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7415),
  [24168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__rollback, 2, 0, 0),
  [24170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__commit, 2, 0, 0),
  [24172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transaction, 3, 0, 0),
  [24174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4274),
  [24176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13652),
  [24178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10250),
  [24180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3, 0, 0),
  [24182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [24184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13668),
  [24186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2834),
  [24188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7717),
  [24190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13671),
  [24192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7430),
  [24194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4603),
  [24196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4500),
  [24198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [24200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2835),
  [24202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [24204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13746),
  [24206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9104),
  [24208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7688),
  [24210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10959),
  [24212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4601),
  [24214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4600),
  [24216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [24218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [24220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [24222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3373),
  [24224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7661),
  [24226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [24228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [24230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [24232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6750),
  [24234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [24236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3720),
  [24238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [24240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [24242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3718),
  [24244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [24246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7610),
  [24248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [24250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [24252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [24254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [24256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4599),
  [24258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4598),
  [24260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6450),
  [24262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7603),
  [24264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10342),
  [24266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4493),
  [24268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [24270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3060),
  [24272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [24274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [24276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [24278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [24280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4709),
  [24282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4708),
  [24284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7615),
  [24286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4463),
  [24288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10897),
  [24290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [24292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4474),
  [24294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4473),
  [24296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7607),
  [24298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [24300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3351),
  [24302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [24304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3061),
  [24306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5923),
  [24308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6676),
  [24310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [24312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6448),
  [24314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6392),
  [24316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8359),
  [24318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7678),
  [24320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4817),
  [24322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13840),
  [24324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8096),
  [24326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7761),
  [24328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13845),
  [24330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13846),
  [24332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13847),
  [24334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13850),
  [24336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10328),
  [24338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [24340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10331),
  [24342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [24344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7679),
  [24346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8290),
  [24348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5863),
  [24350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [24352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [24354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13888),
  [24356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7930),
  [24358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7896),
  [24360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13893),
  [24362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13894),
  [24364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13895),
  [24366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13898),
  [24368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [24370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8384),
  [24372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6697),
  [24374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4434),
  [24376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4447),
  [24378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13916),
  [24380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7914),
  [24382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7904),
  [24384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13921),
  [24386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13922),
  [24388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13923),
  [24390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13926),
  [24392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [24394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4446),
  [24396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13983),
  [24398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [24400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [24402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10017),
  [24404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4819),
  [24406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13943),
  [24408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8013),
  [24410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7771),
  [24412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13947),
  [24414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13948),
  [24416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13949),
  [24418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13950),
  [24420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [24422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3049),
  [24424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4282),
  [24426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [24428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [24430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3233),
  [24432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13963),
  [24434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8032),
  [24436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13966),
  [24438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13967),
  [24440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13968),
  [24442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13969),
  [24444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [24446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [24448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [24450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [24452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [24454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [24456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13982),
  [24458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7945),
  [24460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13985),
  [24462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13986),
  [24464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13987),
  [24466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13988),
  [24468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [24470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8859),
  [24472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [24474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13999),
  [24476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14001),
  [24478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14002),
  [24480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14003),
  [24482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14004),
  [24484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [24486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3350),
  [24488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14015),
  [24490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14017),
  [24492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14018),
  [24494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14019),
  [24496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14020),
  [24498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [24500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [24502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14062),
  [24504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14031),
  [24506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14033),
  [24508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14034),
  [24510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14035),
  [24512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14036),
  [24514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2303),
  [24516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3446),
  [24518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14088),
  [24520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14047),
  [24522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14049),
  [24524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14050),
  [24526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14051),
  [24528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14052),
  [24530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [24532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [24534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6732),
  [24536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14063),
  [24538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14065),
  [24540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14066),
  [24542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14067),
  [24544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14068),
  [24546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8958),
  [24548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [24550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2849),
  [24552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14079),
  [24554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14081),
  [24556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14082),
  [24558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14083),
  [24560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14084),
  [24562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10838),
  [24564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [24566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [24568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14095),
  [24570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14097),
  [24572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14098),
  [24574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14099),
  [24576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14100),
  [24578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8957),
  [24580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3264),
  [24582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4396),
  [24584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14111),
  [24586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14113),
  [24588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14114),
  [24590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14115),
  [24592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14116),
  [24594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4160),
  [24596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [24598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14127),
  [24600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14129),
  [24602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14130),
  [24604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14131),
  [24606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14132),
  [24608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4379),
  [24610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5626),
  [24612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4372),
  [24614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14143),
  [24616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14145),
  [24618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14146),
  [24620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14147),
  [24622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14148),
  [24624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14152),
  [24626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14153),
  [24628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14154),
  [24630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14155),
  [24632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14156),
  [24634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14160),
  [24636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14161),
  [24638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14162),
  [24640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14163),
  [24642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14164),
  [24644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [24646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [24648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4304),
  [24650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4303),
  [24652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [24654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [24656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11749),
  [24658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4595),
  [24660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3710),
  [24662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7370),
  [24664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [24666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4285),
  [24668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14209),
  [24670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [24672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [24674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6666),
  [24676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [24678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [24680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10795),
  [24682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4281),
  [24684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [24686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [24688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [24690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [24692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [24694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [24696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8273),
  [24698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4280),
  [24700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4279),
  [24702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4938),
  [24704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8272),
  [24706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4936),
  [24708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [24710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4278),
  [24712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [24714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4277),
  [24716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [24718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4276),
  [24720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [24722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3428),
  [24724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2282),
  [24726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [24728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [24730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [24732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [24734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6948),
  [24736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [24738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [24740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3425),
  [24742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4941),
  [24744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4940),
  [24746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4472),
  [24748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4275),
  [24750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6768),
  [24752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4272),
  [24754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4594),
  [24756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [24758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3879),
  [24760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [24762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4270),
  [24764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [24766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4269),
  [24768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [24770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10797),
  [24772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [24774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4263),
  [24776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7716),
  [24778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4262),
  [24780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [24782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [24784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10393),
  [24786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4260),
  [24788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14250),
  [24790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [24792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8955),
  [24794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4087),
  [24796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4143),
  [24798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4518),
  [24800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [24802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8964),
  [24804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3908),
  [24806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [24808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10387),
  [24810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [24812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [24814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [24816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3912),
  [24818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4593),
  [24820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4592),
  [24822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [24824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4596),
  [24826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6646),
  [24828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [24830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10384),
  [24832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4590),
  [24834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [24836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transaction, 2, 0, 0),
  [24838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [24840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [24842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [24844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [24846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10768),
  [24848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [24850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [24852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [24854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5796),
  [24856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1931),
  [24858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [24860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [24862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6852),
  [24864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [24866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2418),
  [24868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [24870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [24872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [24874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [24876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [24878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5521),
  [24880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4964),
  [24882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [24884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5566),
  [24886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10088),
  [24888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [24890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5567),
  [24892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4996),
  [24894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [24896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7337),
  [24898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [24900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [24902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2422),
  [24904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [24906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [24908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4576),
  [24910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [24912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7952),
  [24914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [24916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [24918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8344),
  [24920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [24922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [24924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4967),
  [24926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6729),
  [24928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [24930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4977),
  [24932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5600),
  [24934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [24936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5602),
  [24938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5003),
  [24940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [24942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5020),
  [24944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [24946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [24948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [24950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete, 2, 0, 0),
  [24952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [24954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11610),
  [24956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [24958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [24960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [24962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [24964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [24966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1967),
  [24968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [24970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [24972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8407),
  [24974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7026),
  [24976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5793),
  [24978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5792),
  [24980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5624),
  [24982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7027),
  [24984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5771),
  [24986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5768),
  [24988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8423),
  [24990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [24992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5066),
  [24994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [24996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8431),
  [24998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5765),
  [25000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5068),
  [25002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8432),
  [25004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7666),
  [25006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [25008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5766),
  [25010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [25012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5764),
  [25014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5121),
  [25016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4955),
  [25018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5044),
  [25020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4959),
  [25022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4966),
  [25024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10129),
  [25026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [25028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [25030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5530),
  [25032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5565),
  [25034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5621),
  [25036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5604),
  [25038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [25040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9327),
  [25042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2446),
  [25044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [25046] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [25048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8440),
  [25050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [25052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5752),
  [25054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5715),
  [25056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5713),
  [25058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5947),
  [25060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7663),
  [25062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5091),
  [25064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7660),
  [25066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [25068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7664),
  [25070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [25072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9036),
  [25074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2455),
  [25076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [25078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9055),
  [25080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7057),
  [25082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13491),
  [25084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5990),
  [25086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6819),
  [25088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [25090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__exclude_no_others, 3, 0, 0),
  [25092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10033),
  [25094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4591),
  [25096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [25098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1788),
  [25100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6461),
  [25102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4562),
  [25104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [25106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [25108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4566),
  [25110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4567),
  [25112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4037),
  [25114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [25116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [25118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9074),
  [25120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9045),
  [25122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [25124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3936),
  [25126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4030),
  [25128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [25130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3699),
  [25132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [25134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [25136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [25138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [25140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [25142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [25144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9352),
  [25146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [25148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [25150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3978),
  [25152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3967),
  [25154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3959),
  [25156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [25158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5806),
  [25160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8387),
  [25162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [25164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [25166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10451),
  [25168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10464),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token__dollar_quoted_string_start_tag = 0,
  ts_external_token__dollar_quoted_string_end_tag = 1,
  ts_external_token__dollar_quoted_string = 2,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__dollar_quoted_string_start_tag] = sym__dollar_quoted_string_start_tag,
  [ts_external_token__dollar_quoted_string_end_tag] = sym__dollar_quoted_string_end_tag,
  [ts_external_token__dollar_quoted_string] = sym__dollar_quoted_string,
};

static const bool ts_external_scanner_states[6][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__dollar_quoted_string_start_tag] = true,
    [ts_external_token__dollar_quoted_string_end_tag] = true,
    [ts_external_token__dollar_quoted_string] = true,
  },
  [2] = {
    [ts_external_token__dollar_quoted_string_end_tag] = true,
  },
  [3] = {
    [ts_external_token__dollar_quoted_string] = true,
  },
  [4] = {
    [ts_external_token__dollar_quoted_string_end_tag] = true,
    [ts_external_token__dollar_quoted_string] = true,
  },
  [5] = {
    [ts_external_token__dollar_quoted_string_start_tag] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_sql_external_scanner_create(void);
void tree_sitter_sql_external_scanner_destroy(void *);
bool tree_sitter_sql_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_sql_external_scanner_serialize(void *, char *);
void tree_sitter_sql_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_sql(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym__identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_sql_external_scanner_create,
      tree_sitter_sql_external_scanner_destroy,
      tree_sitter_sql_external_scanner_scan,
      tree_sitter_sql_external_scanner_serialize,
      tree_sitter_sql_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
